export type AudioBehaviourParameters = {
    restrictiveness?: 1 | 2 | 3;
    onlyTranscribedAudio?: boolean;
    recordingBitrate?: number;
    noiseLimit?: number;
};
export type ImageBehaviourParameters = {
    frames?: number;
    useUploadImage?: boolean;
    uploadInterval?: number;
    saveVideo?: boolean;
};
export type VideoBehaviourParameters = {
    minAlertTimePitch?: number;
    minAlertTimeYaw?: number;
    thresholdYaw?: number;
    thresholdPitchUp?: number;
    thresholdPitchDown?: number;
    environmentCamera?: boolean;
    useExamAlert?: boolean;
    detectPerson?: boolean;
    detectFace?: boolean;
    detectCellPhone?: boolean;
    detectNoise?: boolean;
    detectSpeech?: boolean;
    retryEnabled?: boolean;
    maxRetries?: number;
};
export default interface IParamsConfig {
    audioBehaviourParameters?: AudioBehaviourParameters;
    imageBehaviourParameters?: ImageBehaviourParameters;
    videoBehaviourParameters?: VideoBehaviourParameters;
    spyScanInterval?: number;
}
