import { DevicesInterface } from "../new-flow/backend/SpyCamBackendService";
import { ProctoringContext } from "../proctoring/proctoring";
export interface SpyCamDevice {
    macAddress: string;
    destinationsCount: number;
    totalPackages: number;
    packageRate: number;
    rssi: number;
    deviceType: number;
}
export declare class SpyCam {
    private backendService;
    private readonly context;
    private readonly backend;
    private proctoringId;
    private scanInterval;
    private startTime;
    private checkSpyCam;
    private currentIsPlugged;
    private options;
    constructor(context: ProctoringContext, options: {
        onRealtimeAlertsCallback?: (response: any) => void;
    });
    setProctoringId(proctoringId: string): void;
    isPluggedIn(sendEvent?: boolean): Promise<boolean>;
    isAlive(): Promise<boolean>;
    connectAndScan(): Promise<any>;
    devices({ deviceType, rssiThreshold, packageRateThreshold }: DevicesInterface): Promise<SpyCamDevice[]>;
    startCheckSpyCam(spyScanInterval: number, { deviceType, rssiThreshold, packageRateThreshold }: DevicesInterface): Promise<void>;
    stopCheckSpyCam(): void;
}
