import StartProctoringResponse from "../../dtos/StartProctoringResponse";
import { ProctoringSession } from "../proctoring/ProctoringSession";
import { ProctoringContext } from "../../proctoring/proctoring";
import IParamsConfig from "../../interfaces/ParamsConfig";
export declare class BackendService {
    private readonly options;
    private readonly baseUrl;
    token: string;
    constructor(options: {
        type: string;
        token?: string;
    });
    selectBaseUrl(type: string): "https://proctoring-api-dev.easyproctor.tech/api" | "https://proctoring-api-hml.easyproctor.tech/api" | "https://proctoring-api.easyproctor.tech/api";
    loginAuth(cpf: string, base64: string): Promise<any>;
    confirmStart(proctoringOptions: {
        examId: any;
        clientId: any;
        token: any;
    }, proctoringType: string, latitude?: number, longitude?: number): Promise<StartProctoringResponse>;
    getParamsConfig(proctoringOptions: ProctoringContext): Promise<IParamsConfig>;
    getSignedUrlImage(token: string, body: any): Promise<string[]>;
    getSignedUrl(token: string, file: File, proctoringId?: string): Promise<string>;
    saveAlerts(proctoringOptions: ProctoringContext, proctoringSession: ProctoringSession): Promise<void>;
    finishAndSendUrls(proctoringOptions: ProctoringContext, proctoringSession: ProctoringSession): Promise<void>;
    log(eventName: string, properties?: {
        [key: string]: any;
    }): Promise<string>;
    signTerm(): Promise<string>;
    signTermUrl(): Promise<string>;
    getServerHour(token: string): Promise<string>;
    private makeRequest;
    makeRequestAxios<R>(data: {
        path: string;
        method: "GET" | "POST" | "PUT";
        body?: any;
        jwt: string;
    }): Promise<R>;
    makeRequestPUT<R>(data: {
        url: string;
        method: "PUT";
        body?: any;
        jwt: string;
    }): Promise<R>;
}
