import type { SpyCamDevice } from "../../modules/SpyCam";
export declare enum DeviceTypeEnum {
    UNKNOWN = 0,
    ROUTER = 1,
    CLIENT_DEVICE = 2,
    POTENCIAL_CAMERA = 3
}
export interface DevicesInterface {
    deviceType?: DeviceTypeEnum;
    rssiThreshold?: number;
    packageRateThreshold?: number;
}
export declare class SpyCamBackendService {
    private readonly baseUrl;
    token: string;
    constructor();
    isAlive(): Promise<boolean>;
    isPluggedIn(): Promise<boolean>;
    ConnectAndScan(): Promise<any>;
    Devices({ deviceType, rssiThreshold, packageRateThreshold, }: DevicesInterface): Promise<SpyCamDevice[]>;
    makeRequestAxios<R>(data: {
        path: string;
        method: "GET" | "POST" | "PUT";
        body?: any;
        jwt: string;
    }): Promise<R>;
}
