import { ProctoringSession } from "../proctoring/ProctoringSession";
import { IRecorder } from "./IRecorder";
import { AudioBehaviourParameters } from "../../interfaces/ParamsConfig";
export declare class AudioRecorder implements IRecorder {
    blobs: Blob[];
    recorder?: any;
    audioStream: MediaStream;
    private options;
    private audioParams;
    constructor(options?: {
        cameraId?: string;
        microphoneId?: string;
    }, audioParams?: AudioBehaviourParameters);
    recordingStart: () => any;
    recordingStop: () => any;
    recordingPause: () => any;
    recordingResume: () => any;
    file?: File;
    startRecording(): Promise<void>;
    pauseRecording(): Promise<void>;
    resumeRecording(): Promise<void>;
    stopRecording(): Promise<void>;
    saveOnSession(session: ProctoringSession, start?: number, end?: number): Promise<void>;
}
