import Devices, { DevicesChanged } from "../../interfaces/Devices";
import { ProctoringSession } from "../proctoring/ProctoringSession";
import { ISessionRepository } from "./ISessionRepository";
export declare class IndexDbSessionRepository implements ISessionRepository {
    private dbName;
    private dbVersion;
    private storeName;
    constructor(dbName: string, storeName: string);
    save(data: Devices | DevicesChanged | ProctoringSession): Promise<void>;
    delete(id: string): Promise<void>;
    get(id: string): Promise<ProctoringSession | undefined>;
    getDevices(id: string): Promise<Devices | undefined>;
    list(): Promise<ProctoringSession[] | Devices[]>;
    clear(): Promise<void>;
    private processRequest;
    hasSessions(): Promise<boolean>;
    private connection?;
    private connectToStore;
    private connect;
}
