import { ServiceType } from '../proctoring/proctoring';
import { BackendService } from '../new-flow/backend/BackendService';
declare const init: (backend: BackendService) => BackendService;
declare const trackers: {
    registerStart: (proctoringId: string, success: boolean, description: string) => Promise<string>;
    registerFinish: (proctoringId: string, success: boolean, description: string) => Promise<string>;
    registerError: (proctoringId: string, description: string) => Promise<string>;
    registerBrowserNotSupported: (proctoringId: string, description: string) => Promise<string>;
    registerUpload: (proctoringId: string, success: boolean, description: string, serviceType: ServiceType, uploadTime?: number) => Promise<string>;
    registerUploadFile: (proctoringId: string, description: string, fileType: string) => Promise<string>;
    registerChangeDevice: (proctoringId: string, inOrOut: string, description: string) => Promise<string>;
    registerStopSharingScreen: (proctoringId: string, description: string) => Promise<string>;
    registerErrorRecorderRTC: (proctoringId: string, description: string) => Promise<string>;
    registerDownloadFile: (proctoringId: string, description: string) => Promise<string>;
    registerOnBufferSizeError: (proctoringId: string, description: string) => Promise<string>;
    registerAnotherStream: (proctoringId: string, description: string) => Promise<string>;
    registerSaveOnSession: (proctoringId: string, description: string) => Promise<string>;
};
export { trackers, init };
