import { ProctoringSessionOptions } from "./options/ProctoringOptions";
import { ProctoringVideoOptions } from "./options/ProctoringVideoOptions";
import { ProctoringContext } from "./proctoring";
export interface checkDevicesInterfaceReturn {
    cameraId: string;
    microphoneId: string;
    result: boolean;
}
export interface checkDevicesReturn {
    cameraId: string;
    microphoneId: string;
    volumeRange: number;
    allowedResolution: boolean;
    allowedAmbient: boolean;
    allowedPositionFace: boolean;
    allowedMicrophone: boolean;
    result: boolean;
    faceDetectionAlerts: {
        status: string;
        description: string;
    };
}
export declare class DeviceChecker {
    private static isModalOpen;
    private options;
    private videoOptions;
    private cameraRecorder;
    private volumeMeter;
    private volumeMedia;
    private volumeSum;
    private volumeCounter;
    private faceDetection;
    private faceDetectionAlerts;
    private microphoneMinThreshold;
    private allowedResolution;
    private allowedAmbient;
    private allowedPositionFace;
    private allowedMicrophone;
    private readonly backend;
    private readonly context;
    private noiseLimit;
    constructor(context: ProctoringContext);
    checkDevices(options: ProctoringSessionOptions | undefined, _videoOptions: ProctoringVideoOptions): Promise<checkDevicesReturn>;
    private isUnderResolution;
    private realtimeAlerts;
    private addStyleMask;
    private checkDevicesInterface;
    private videoDeviceInterface;
    private audioDeviceInterface;
    private setSelectOption;
    private onSelectOptionChange;
    startCheckDevices(options: ProctoringSessionOptions | undefined, _videoOptions: Partial<ProctoringVideoOptions>): Promise<{
        cameraStream: MediaStream;
    }>;
    closeCheckDevices(): Promise<void>;
    applyStyles(element: any, styles: any): void;
}
