import { checkIfhasMultipleMonitors, checkPermissions } from "../modules/checkPermissions";
import enumarateDevices from "../modules/enumarateDevices";
import { ProctoringContext } from "./proctoring";
export declare function useProctoring(proctoringOptions: ProctoringContext, enviromentConfig?: string): {
    login: () => Promise<void>;
    start: (options?: import("./options/ProctoringOptions").ProctoringSessionOptions, _videoOptions?: Partial<import("./options/ProctoringVideoOptions").ProctoringVideoOptions>) => Promise<import("../dtos/StartProctoringResponse").default>;
    finish: (options?: import("./proctoring").ProctoringFinisherOptions) => Promise<void>;
    onFocus: (cb: () => void) => void;
    onLostFocus: (cb: () => void) => void;
    onChangeDevices: (options?: import("./proctoring").ProctoringChangeDevicesOptions) => Promise<void>;
    onBufferSizeError: (cb: (cameraStream?: any) => void) => void;
    onRealtimeAlerts: (options?: import("./proctoring").ProctoringRealtimeAlertsOptions) => Promise<void>;
    checkDevices: (options?: import("./options/ProctoringOptions").ProctoringSessionOptions, _videoOptions?: import("./options/ProctoringVideoOptions").ProctoringVideoOptions) => Promise<import("../new-flow/checkers/DeviceCheckerService").checkDevicesReturn>;
    runCheckDevicesFlow: (options: import("./options/ProctoringOptions").ProctoringSessionOptions, _videoOptions: Partial<import("./options/ProctoringVideoOptions").ProctoringVideoOptions>, onModalConfirm: (resolve: (cameraId: string, microphoneId: string) => void) => void, onModalCancel: (reject: (error: Error) => void) => void, onUpdate: (feedback: any) => void) => Promise<any>;
    changeSelectedDevice: ({ cameraId, microphoneId }: any) => Promise<{
        cameraStream: MediaStream;
    }>;
    capturePhoto: (title: string, subtitle: string, resolution?: import("./CapturePhoto").IResolution) => Promise<import("./CapturePhoto").cameraInterface>;
    enumarateDevices: typeof enumarateDevices;
    checkPermissions: typeof checkPermissions;
    checkIfhasMultipleMonitors: typeof checkIfhasMultipleMonitors;
    onStopSharingScreen: (cb: () => void) => void;
    signInTerms: () => Promise<any>;
};
