"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __commonJS = (cb, mod) => function __require() {
  return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};
var __export = (target, all3) => {
  for (var name in all3)
    __defProp(target, name, { get: all3[name], enumerable: true });
};
var __copyProps = (to3, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to3, key) && key !== except)
        __defProp(to3, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to3;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// node_modules/delayed-stream/lib/delayed_stream.js
var require_delayed_stream = __commonJS({
  "node_modules/delayed-stream/lib/delayed_stream.js"(exports, module2) {
    var Stream = require("stream").Stream;
    var util2 = require("util");
    module2.exports = DelayedStream;
    function DelayedStream() {
      this.source = null;
      this.dataSize = 0;
      this.maxDataSize = 1024 * 1024;
      this.pauseStream = true;
      this._maxDataSizeExceeded = false;
      this._released = false;
      this._bufferedEvents = [];
    }
    util2.inherits(DelayedStream, Stream);
    DelayedStream.create = function(source, options) {
      var delayedStream = new this();
      options = options || {};
      for (var option in options) {
        delayedStream[option] = options[option];
      }
      delayedStream.source = source;
      var realEmit = source.emit;
      source.emit = function() {
        delayedStream._handleEmit(arguments);
        return realEmit.apply(source, arguments);
      };
      source.on("error", function() {
      });
      if (delayedStream.pauseStream) {
        source.pause();
      }
      return delayedStream;
    };
    Object.defineProperty(DelayedStream.prototype, "readable", {
      configurable: true,
      enumerable: true,
      get: function() {
        return this.source.readable;
      }
    });
    DelayedStream.prototype.setEncoding = function() {
      return this.source.setEncoding.apply(this.source, arguments);
    };
    DelayedStream.prototype.resume = function() {
      if (!this._released) {
        this.release();
      }
      this.source.resume();
    };
    DelayedStream.prototype.pause = function() {
      this.source.pause();
    };
    DelayedStream.prototype.release = function() {
      this._released = true;
      this._bufferedEvents.forEach(function(args) {
        this.emit.apply(this, args);
      }.bind(this));
      this._bufferedEvents = [];
    };
    DelayedStream.prototype.pipe = function() {
      var r3 = Stream.prototype.pipe.apply(this, arguments);
      this.resume();
      return r3;
    };
    DelayedStream.prototype._handleEmit = function(args) {
      if (this._released) {
        this.emit.apply(this, args);
        return;
      }
      if (args[0] === "data") {
        this.dataSize += args[1].length;
        this._checkIfMaxDataSizeExceeded();
      }
      this._bufferedEvents.push(args);
    };
    DelayedStream.prototype._checkIfMaxDataSizeExceeded = function() {
      if (this._maxDataSizeExceeded) {
        return;
      }
      if (this.dataSize <= this.maxDataSize) {
        return;
      }
      this._maxDataSizeExceeded = true;
      var message = "DelayedStream#maxDataSize of " + this.maxDataSize + " bytes exceeded.";
      this.emit("error", new Error(message));
    };
  }
});

// node_modules/combined-stream/lib/combined_stream.js
var require_combined_stream = __commonJS({
  "node_modules/combined-stream/lib/combined_stream.js"(exports, module2) {
    var util2 = require("util");
    var Stream = require("stream").Stream;
    var DelayedStream = require_delayed_stream();
    module2.exports = CombinedStream;
    function CombinedStream() {
      this.writable = false;
      this.readable = true;
      this.dataSize = 0;
      this.maxDataSize = 2 * 1024 * 1024;
      this.pauseStreams = true;
      this._released = false;
      this._streams = [];
      this._currentStream = null;
      this._insideLoop = false;
      this._pendingNext = false;
    }
    util2.inherits(CombinedStream, Stream);
    CombinedStream.create = function(options) {
      var combinedStream = new this();
      options = options || {};
      for (var option in options) {
        combinedStream[option] = options[option];
      }
      return combinedStream;
    };
    CombinedStream.isStreamLike = function(stream4) {
      return typeof stream4 !== "function" && typeof stream4 !== "string" && typeof stream4 !== "boolean" && typeof stream4 !== "number" && !Buffer.isBuffer(stream4);
    };
    CombinedStream.prototype.append = function(stream4) {
      var isStreamLike = CombinedStream.isStreamLike(stream4);
      if (isStreamLike) {
        if (!(stream4 instanceof DelayedStream)) {
          var newStream = DelayedStream.create(stream4, {
            maxDataSize: Infinity,
            pauseStream: this.pauseStreams
          });
          stream4.on("data", this._checkDataSize.bind(this));
          stream4 = newStream;
        }
        this._handleErrors(stream4);
        if (this.pauseStreams) {
          stream4.pause();
        }
      }
      this._streams.push(stream4);
      return this;
    };
    CombinedStream.prototype.pipe = function(dest, options) {
      Stream.prototype.pipe.call(this, dest, options);
      this.resume();
      return dest;
    };
    CombinedStream.prototype._getNext = function() {
      this._currentStream = null;
      if (this._insideLoop) {
        this._pendingNext = true;
        return;
      }
      this._insideLoop = true;
      try {
        do {
          this._pendingNext = false;
          this._realGetNext();
        } while (this._pendingNext);
      } finally {
        this._insideLoop = false;
      }
    };
    CombinedStream.prototype._realGetNext = function() {
      var stream4 = this._streams.shift();
      if (typeof stream4 == "undefined") {
        this.end();
        return;
      }
      if (typeof stream4 !== "function") {
        this._pipeNext(stream4);
        return;
      }
      var getStream = stream4;
      getStream(function(stream5) {
        var isStreamLike = CombinedStream.isStreamLike(stream5);
        if (isStreamLike) {
          stream5.on("data", this._checkDataSize.bind(this));
          this._handleErrors(stream5);
        }
        this._pipeNext(stream5);
      }.bind(this));
    };
    CombinedStream.prototype._pipeNext = function(stream4) {
      this._currentStream = stream4;
      var isStreamLike = CombinedStream.isStreamLike(stream4);
      if (isStreamLike) {
        stream4.on("end", this._getNext.bind(this));
        stream4.pipe(this, { end: false });
        return;
      }
      var value = stream4;
      this.write(value);
      this._getNext();
    };
    CombinedStream.prototype._handleErrors = function(stream4) {
      var self2 = this;
      stream4.on("error", function(err) {
        self2._emitError(err);
      });
    };
    CombinedStream.prototype.write = function(data) {
      this.emit("data", data);
    };
    CombinedStream.prototype.pause = function() {
      if (!this.pauseStreams) {
        return;
      }
      if (this.pauseStreams && this._currentStream && typeof this._currentStream.pause == "function")
        this._currentStream.pause();
      this.emit("pause");
    };
    CombinedStream.prototype.resume = function() {
      if (!this._released) {
        this._released = true;
        this.writable = true;
        this._getNext();
      }
      if (this.pauseStreams && this._currentStream && typeof this._currentStream.resume == "function")
        this._currentStream.resume();
      this.emit("resume");
    };
    CombinedStream.prototype.end = function() {
      this._reset();
      this.emit("end");
    };
    CombinedStream.prototype.destroy = function() {
      this._reset();
      this.emit("close");
    };
    CombinedStream.prototype._reset = function() {
      this.writable = false;
      this._streams = [];
      this._currentStream = null;
    };
    CombinedStream.prototype._checkDataSize = function() {
      this._updateDataSize();
      if (this.dataSize <= this.maxDataSize) {
        return;
      }
      var message = "DelayedStream#maxDataSize of " + this.maxDataSize + " bytes exceeded.";
      this._emitError(new Error(message));
    };
    CombinedStream.prototype._updateDataSize = function() {
      this.dataSize = 0;
      var self2 = this;
      this._streams.forEach(function(stream4) {
        if (!stream4.dataSize) {
          return;
        }
        self2.dataSize += stream4.dataSize;
      });
      if (this._currentStream && this._currentStream.dataSize) {
        this.dataSize += this._currentStream.dataSize;
      }
    };
    CombinedStream.prototype._emitError = function(err) {
      this._reset();
      this.emit("error", err);
    };
  }
});

// node_modules/mime-db/db.json
var require_db = __commonJS({
  "node_modules/mime-db/db.json"(exports, module2) {
    module2.exports = {
      "application/1d-interleaved-parityfec": {
        source: "iana"
      },
      "application/3gpdash-qoe-report+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/3gpp-ims+xml": {
        source: "iana",
        compressible: true
      },
      "application/3gpphal+json": {
        source: "iana",
        compressible: true
      },
      "application/3gpphalforms+json": {
        source: "iana",
        compressible: true
      },
      "application/a2l": {
        source: "iana"
      },
      "application/ace+cbor": {
        source: "iana"
      },
      "application/activemessage": {
        source: "iana"
      },
      "application/activity+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-costmap+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-costmapfilter+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-directory+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-endpointcost+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-endpointcostparams+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-endpointprop+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-endpointpropparams+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-error+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-networkmap+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-networkmapfilter+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-updatestreamcontrol+json": {
        source: "iana",
        compressible: true
      },
      "application/alto-updatestreamparams+json": {
        source: "iana",
        compressible: true
      },
      "application/aml": {
        source: "iana"
      },
      "application/andrew-inset": {
        source: "iana",
        extensions: ["ez"]
      },
      "application/applefile": {
        source: "iana"
      },
      "application/applixware": {
        source: "apache",
        extensions: ["aw"]
      },
      "application/at+jwt": {
        source: "iana"
      },
      "application/atf": {
        source: "iana"
      },
      "application/atfx": {
        source: "iana"
      },
      "application/atom+xml": {
        source: "iana",
        compressible: true,
        extensions: ["atom"]
      },
      "application/atomcat+xml": {
        source: "iana",
        compressible: true,
        extensions: ["atomcat"]
      },
      "application/atomdeleted+xml": {
        source: "iana",
        compressible: true,
        extensions: ["atomdeleted"]
      },
      "application/atomicmail": {
        source: "iana"
      },
      "application/atomsvc+xml": {
        source: "iana",
        compressible: true,
        extensions: ["atomsvc"]
      },
      "application/atsc-dwd+xml": {
        source: "iana",
        compressible: true,
        extensions: ["dwd"]
      },
      "application/atsc-dynamic-event-message": {
        source: "iana"
      },
      "application/atsc-held+xml": {
        source: "iana",
        compressible: true,
        extensions: ["held"]
      },
      "application/atsc-rdt+json": {
        source: "iana",
        compressible: true
      },
      "application/atsc-rsat+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rsat"]
      },
      "application/atxml": {
        source: "iana"
      },
      "application/auth-policy+xml": {
        source: "iana",
        compressible: true
      },
      "application/bacnet-xdd+zip": {
        source: "iana",
        compressible: false
      },
      "application/batch-smtp": {
        source: "iana"
      },
      "application/bdoc": {
        compressible: false,
        extensions: ["bdoc"]
      },
      "application/beep+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/calendar+json": {
        source: "iana",
        compressible: true
      },
      "application/calendar+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xcs"]
      },
      "application/call-completion": {
        source: "iana"
      },
      "application/cals-1840": {
        source: "iana"
      },
      "application/captive+json": {
        source: "iana",
        compressible: true
      },
      "application/cbor": {
        source: "iana"
      },
      "application/cbor-seq": {
        source: "iana"
      },
      "application/cccex": {
        source: "iana"
      },
      "application/ccmp+xml": {
        source: "iana",
        compressible: true
      },
      "application/ccxml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["ccxml"]
      },
      "application/cdfx+xml": {
        source: "iana",
        compressible: true,
        extensions: ["cdfx"]
      },
      "application/cdmi-capability": {
        source: "iana",
        extensions: ["cdmia"]
      },
      "application/cdmi-container": {
        source: "iana",
        extensions: ["cdmic"]
      },
      "application/cdmi-domain": {
        source: "iana",
        extensions: ["cdmid"]
      },
      "application/cdmi-object": {
        source: "iana",
        extensions: ["cdmio"]
      },
      "application/cdmi-queue": {
        source: "iana",
        extensions: ["cdmiq"]
      },
      "application/cdni": {
        source: "iana"
      },
      "application/cea": {
        source: "iana"
      },
      "application/cea-2018+xml": {
        source: "iana",
        compressible: true
      },
      "application/cellml+xml": {
        source: "iana",
        compressible: true
      },
      "application/cfw": {
        source: "iana"
      },
      "application/city+json": {
        source: "iana",
        compressible: true
      },
      "application/clr": {
        source: "iana"
      },
      "application/clue+xml": {
        source: "iana",
        compressible: true
      },
      "application/clue_info+xml": {
        source: "iana",
        compressible: true
      },
      "application/cms": {
        source: "iana"
      },
      "application/cnrp+xml": {
        source: "iana",
        compressible: true
      },
      "application/coap-group+json": {
        source: "iana",
        compressible: true
      },
      "application/coap-payload": {
        source: "iana"
      },
      "application/commonground": {
        source: "iana"
      },
      "application/conference-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/cose": {
        source: "iana"
      },
      "application/cose-key": {
        source: "iana"
      },
      "application/cose-key-set": {
        source: "iana"
      },
      "application/cpl+xml": {
        source: "iana",
        compressible: true,
        extensions: ["cpl"]
      },
      "application/csrattrs": {
        source: "iana"
      },
      "application/csta+xml": {
        source: "iana",
        compressible: true
      },
      "application/cstadata+xml": {
        source: "iana",
        compressible: true
      },
      "application/csvm+json": {
        source: "iana",
        compressible: true
      },
      "application/cu-seeme": {
        source: "apache",
        extensions: ["cu"]
      },
      "application/cwt": {
        source: "iana"
      },
      "application/cybercash": {
        source: "iana"
      },
      "application/dart": {
        compressible: true
      },
      "application/dash+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mpd"]
      },
      "application/dash-patch+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mpp"]
      },
      "application/dashdelta": {
        source: "iana"
      },
      "application/davmount+xml": {
        source: "iana",
        compressible: true,
        extensions: ["davmount"]
      },
      "application/dca-rft": {
        source: "iana"
      },
      "application/dcd": {
        source: "iana"
      },
      "application/dec-dx": {
        source: "iana"
      },
      "application/dialog-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/dicom": {
        source: "iana"
      },
      "application/dicom+json": {
        source: "iana",
        compressible: true
      },
      "application/dicom+xml": {
        source: "iana",
        compressible: true
      },
      "application/dii": {
        source: "iana"
      },
      "application/dit": {
        source: "iana"
      },
      "application/dns": {
        source: "iana"
      },
      "application/dns+json": {
        source: "iana",
        compressible: true
      },
      "application/dns-message": {
        source: "iana"
      },
      "application/docbook+xml": {
        source: "apache",
        compressible: true,
        extensions: ["dbk"]
      },
      "application/dots+cbor": {
        source: "iana"
      },
      "application/dskpp+xml": {
        source: "iana",
        compressible: true
      },
      "application/dssc+der": {
        source: "iana",
        extensions: ["dssc"]
      },
      "application/dssc+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xdssc"]
      },
      "application/dvcs": {
        source: "iana"
      },
      "application/ecmascript": {
        source: "iana",
        compressible: true,
        extensions: ["es", "ecma"]
      },
      "application/edi-consent": {
        source: "iana"
      },
      "application/edi-x12": {
        source: "iana",
        compressible: false
      },
      "application/edifact": {
        source: "iana",
        compressible: false
      },
      "application/efi": {
        source: "iana"
      },
      "application/elm+json": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/elm+xml": {
        source: "iana",
        compressible: true
      },
      "application/emergencycalldata.cap+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/emergencycalldata.comment+xml": {
        source: "iana",
        compressible: true
      },
      "application/emergencycalldata.control+xml": {
        source: "iana",
        compressible: true
      },
      "application/emergencycalldata.deviceinfo+xml": {
        source: "iana",
        compressible: true
      },
      "application/emergencycalldata.ecall.msd": {
        source: "iana"
      },
      "application/emergencycalldata.providerinfo+xml": {
        source: "iana",
        compressible: true
      },
      "application/emergencycalldata.serviceinfo+xml": {
        source: "iana",
        compressible: true
      },
      "application/emergencycalldata.subscriberinfo+xml": {
        source: "iana",
        compressible: true
      },
      "application/emergencycalldata.veds+xml": {
        source: "iana",
        compressible: true
      },
      "application/emma+xml": {
        source: "iana",
        compressible: true,
        extensions: ["emma"]
      },
      "application/emotionml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["emotionml"]
      },
      "application/encaprtp": {
        source: "iana"
      },
      "application/epp+xml": {
        source: "iana",
        compressible: true
      },
      "application/epub+zip": {
        source: "iana",
        compressible: false,
        extensions: ["epub"]
      },
      "application/eshop": {
        source: "iana"
      },
      "application/exi": {
        source: "iana",
        extensions: ["exi"]
      },
      "application/expect-ct-report+json": {
        source: "iana",
        compressible: true
      },
      "application/express": {
        source: "iana",
        extensions: ["exp"]
      },
      "application/fastinfoset": {
        source: "iana"
      },
      "application/fastsoap": {
        source: "iana"
      },
      "application/fdt+xml": {
        source: "iana",
        compressible: true,
        extensions: ["fdt"]
      },
      "application/fhir+json": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/fhir+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/fido.trusted-apps+json": {
        compressible: true
      },
      "application/fits": {
        source: "iana"
      },
      "application/flexfec": {
        source: "iana"
      },
      "application/font-sfnt": {
        source: "iana"
      },
      "application/font-tdpfr": {
        source: "iana",
        extensions: ["pfr"]
      },
      "application/font-woff": {
        source: "iana",
        compressible: false
      },
      "application/framework-attributes+xml": {
        source: "iana",
        compressible: true
      },
      "application/geo+json": {
        source: "iana",
        compressible: true,
        extensions: ["geojson"]
      },
      "application/geo+json-seq": {
        source: "iana"
      },
      "application/geopackage+sqlite3": {
        source: "iana"
      },
      "application/geoxacml+xml": {
        source: "iana",
        compressible: true
      },
      "application/gltf-buffer": {
        source: "iana"
      },
      "application/gml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["gml"]
      },
      "application/gpx+xml": {
        source: "apache",
        compressible: true,
        extensions: ["gpx"]
      },
      "application/gxf": {
        source: "apache",
        extensions: ["gxf"]
      },
      "application/gzip": {
        source: "iana",
        compressible: false,
        extensions: ["gz"]
      },
      "application/h224": {
        source: "iana"
      },
      "application/held+xml": {
        source: "iana",
        compressible: true
      },
      "application/hjson": {
        extensions: ["hjson"]
      },
      "application/http": {
        source: "iana"
      },
      "application/hyperstudio": {
        source: "iana",
        extensions: ["stk"]
      },
      "application/ibe-key-request+xml": {
        source: "iana",
        compressible: true
      },
      "application/ibe-pkg-reply+xml": {
        source: "iana",
        compressible: true
      },
      "application/ibe-pp-data": {
        source: "iana"
      },
      "application/iges": {
        source: "iana"
      },
      "application/im-iscomposing+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/index": {
        source: "iana"
      },
      "application/index.cmd": {
        source: "iana"
      },
      "application/index.obj": {
        source: "iana"
      },
      "application/index.response": {
        source: "iana"
      },
      "application/index.vnd": {
        source: "iana"
      },
      "application/inkml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["ink", "inkml"]
      },
      "application/iotp": {
        source: "iana"
      },
      "application/ipfix": {
        source: "iana",
        extensions: ["ipfix"]
      },
      "application/ipp": {
        source: "iana"
      },
      "application/isup": {
        source: "iana"
      },
      "application/its+xml": {
        source: "iana",
        compressible: true,
        extensions: ["its"]
      },
      "application/java-archive": {
        source: "apache",
        compressible: false,
        extensions: ["jar", "war", "ear"]
      },
      "application/java-serialized-object": {
        source: "apache",
        compressible: false,
        extensions: ["ser"]
      },
      "application/java-vm": {
        source: "apache",
        compressible: false,
        extensions: ["class"]
      },
      "application/javascript": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["js", "mjs"]
      },
      "application/jf2feed+json": {
        source: "iana",
        compressible: true
      },
      "application/jose": {
        source: "iana"
      },
      "application/jose+json": {
        source: "iana",
        compressible: true
      },
      "application/jrd+json": {
        source: "iana",
        compressible: true
      },
      "application/jscalendar+json": {
        source: "iana",
        compressible: true
      },
      "application/json": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["json", "map"]
      },
      "application/json-patch+json": {
        source: "iana",
        compressible: true
      },
      "application/json-seq": {
        source: "iana"
      },
      "application/json5": {
        extensions: ["json5"]
      },
      "application/jsonml+json": {
        source: "apache",
        compressible: true,
        extensions: ["jsonml"]
      },
      "application/jwk+json": {
        source: "iana",
        compressible: true
      },
      "application/jwk-set+json": {
        source: "iana",
        compressible: true
      },
      "application/jwt": {
        source: "iana"
      },
      "application/kpml-request+xml": {
        source: "iana",
        compressible: true
      },
      "application/kpml-response+xml": {
        source: "iana",
        compressible: true
      },
      "application/ld+json": {
        source: "iana",
        compressible: true,
        extensions: ["jsonld"]
      },
      "application/lgr+xml": {
        source: "iana",
        compressible: true,
        extensions: ["lgr"]
      },
      "application/link-format": {
        source: "iana"
      },
      "application/load-control+xml": {
        source: "iana",
        compressible: true
      },
      "application/lost+xml": {
        source: "iana",
        compressible: true,
        extensions: ["lostxml"]
      },
      "application/lostsync+xml": {
        source: "iana",
        compressible: true
      },
      "application/lpf+zip": {
        source: "iana",
        compressible: false
      },
      "application/lxf": {
        source: "iana"
      },
      "application/mac-binhex40": {
        source: "iana",
        extensions: ["hqx"]
      },
      "application/mac-compactpro": {
        source: "apache",
        extensions: ["cpt"]
      },
      "application/macwriteii": {
        source: "iana"
      },
      "application/mads+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mads"]
      },
      "application/manifest+json": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["webmanifest"]
      },
      "application/marc": {
        source: "iana",
        extensions: ["mrc"]
      },
      "application/marcxml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mrcx"]
      },
      "application/mathematica": {
        source: "iana",
        extensions: ["ma", "nb", "mb"]
      },
      "application/mathml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mathml"]
      },
      "application/mathml-content+xml": {
        source: "iana",
        compressible: true
      },
      "application/mathml-presentation+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-associated-procedure-description+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-deregister+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-envelope+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-msk+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-msk-response+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-protection-description+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-reception-report+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-register+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-register-response+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-schedule+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbms-user-service-description+xml": {
        source: "iana",
        compressible: true
      },
      "application/mbox": {
        source: "iana",
        extensions: ["mbox"]
      },
      "application/media-policy-dataset+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mpf"]
      },
      "application/media_control+xml": {
        source: "iana",
        compressible: true
      },
      "application/mediaservercontrol+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mscml"]
      },
      "application/merge-patch+json": {
        source: "iana",
        compressible: true
      },
      "application/metalink+xml": {
        source: "apache",
        compressible: true,
        extensions: ["metalink"]
      },
      "application/metalink4+xml": {
        source: "iana",
        compressible: true,
        extensions: ["meta4"]
      },
      "application/mets+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mets"]
      },
      "application/mf4": {
        source: "iana"
      },
      "application/mikey": {
        source: "iana"
      },
      "application/mipc": {
        source: "iana"
      },
      "application/missing-blocks+cbor-seq": {
        source: "iana"
      },
      "application/mmt-aei+xml": {
        source: "iana",
        compressible: true,
        extensions: ["maei"]
      },
      "application/mmt-usd+xml": {
        source: "iana",
        compressible: true,
        extensions: ["musd"]
      },
      "application/mods+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mods"]
      },
      "application/moss-keys": {
        source: "iana"
      },
      "application/moss-signature": {
        source: "iana"
      },
      "application/mosskey-data": {
        source: "iana"
      },
      "application/mosskey-request": {
        source: "iana"
      },
      "application/mp21": {
        source: "iana",
        extensions: ["m21", "mp21"]
      },
      "application/mp4": {
        source: "iana",
        extensions: ["mp4s", "m4p"]
      },
      "application/mpeg4-generic": {
        source: "iana"
      },
      "application/mpeg4-iod": {
        source: "iana"
      },
      "application/mpeg4-iod-xmt": {
        source: "iana"
      },
      "application/mrb-consumer+xml": {
        source: "iana",
        compressible: true
      },
      "application/mrb-publish+xml": {
        source: "iana",
        compressible: true
      },
      "application/msc-ivr+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/msc-mixer+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/msword": {
        source: "iana",
        compressible: false,
        extensions: ["doc", "dot"]
      },
      "application/mud+json": {
        source: "iana",
        compressible: true
      },
      "application/multipart-core": {
        source: "iana"
      },
      "application/mxf": {
        source: "iana",
        extensions: ["mxf"]
      },
      "application/n-quads": {
        source: "iana",
        extensions: ["nq"]
      },
      "application/n-triples": {
        source: "iana",
        extensions: ["nt"]
      },
      "application/nasdata": {
        source: "iana"
      },
      "application/news-checkgroups": {
        source: "iana",
        charset: "US-ASCII"
      },
      "application/news-groupinfo": {
        source: "iana",
        charset: "US-ASCII"
      },
      "application/news-transmission": {
        source: "iana"
      },
      "application/nlsml+xml": {
        source: "iana",
        compressible: true
      },
      "application/node": {
        source: "iana",
        extensions: ["cjs"]
      },
      "application/nss": {
        source: "iana"
      },
      "application/oauth-authz-req+jwt": {
        source: "iana"
      },
      "application/oblivious-dns-message": {
        source: "iana"
      },
      "application/ocsp-request": {
        source: "iana"
      },
      "application/ocsp-response": {
        source: "iana"
      },
      "application/octet-stream": {
        source: "iana",
        compressible: false,
        extensions: ["bin", "dms", "lrf", "mar", "so", "dist", "distz", "pkg", "bpk", "dump", "elc", "deploy", "exe", "dll", "deb", "dmg", "iso", "img", "msi", "msp", "msm", "buffer"]
      },
      "application/oda": {
        source: "iana",
        extensions: ["oda"]
      },
      "application/odm+xml": {
        source: "iana",
        compressible: true
      },
      "application/odx": {
        source: "iana"
      },
      "application/oebps-package+xml": {
        source: "iana",
        compressible: true,
        extensions: ["opf"]
      },
      "application/ogg": {
        source: "iana",
        compressible: false,
        extensions: ["ogx"]
      },
      "application/omdoc+xml": {
        source: "apache",
        compressible: true,
        extensions: ["omdoc"]
      },
      "application/onenote": {
        source: "apache",
        extensions: ["onetoc", "onetoc2", "onetmp", "onepkg"]
      },
      "application/opc-nodeset+xml": {
        source: "iana",
        compressible: true
      },
      "application/oscore": {
        source: "iana"
      },
      "application/oxps": {
        source: "iana",
        extensions: ["oxps"]
      },
      "application/p21": {
        source: "iana"
      },
      "application/p21+zip": {
        source: "iana",
        compressible: false
      },
      "application/p2p-overlay+xml": {
        source: "iana",
        compressible: true,
        extensions: ["relo"]
      },
      "application/parityfec": {
        source: "iana"
      },
      "application/passport": {
        source: "iana"
      },
      "application/patch-ops-error+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xer"]
      },
      "application/pdf": {
        source: "iana",
        compressible: false,
        extensions: ["pdf"]
      },
      "application/pdx": {
        source: "iana"
      },
      "application/pem-certificate-chain": {
        source: "iana"
      },
      "application/pgp-encrypted": {
        source: "iana",
        compressible: false,
        extensions: ["pgp"]
      },
      "application/pgp-keys": {
        source: "iana",
        extensions: ["asc"]
      },
      "application/pgp-signature": {
        source: "iana",
        extensions: ["asc", "sig"]
      },
      "application/pics-rules": {
        source: "apache",
        extensions: ["prf"]
      },
      "application/pidf+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/pidf-diff+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/pkcs10": {
        source: "iana",
        extensions: ["p10"]
      },
      "application/pkcs12": {
        source: "iana"
      },
      "application/pkcs7-mime": {
        source: "iana",
        extensions: ["p7m", "p7c"]
      },
      "application/pkcs7-signature": {
        source: "iana",
        extensions: ["p7s"]
      },
      "application/pkcs8": {
        source: "iana",
        extensions: ["p8"]
      },
      "application/pkcs8-encrypted": {
        source: "iana"
      },
      "application/pkix-attr-cert": {
        source: "iana",
        extensions: ["ac"]
      },
      "application/pkix-cert": {
        source: "iana",
        extensions: ["cer"]
      },
      "application/pkix-crl": {
        source: "iana",
        extensions: ["crl"]
      },
      "application/pkix-pkipath": {
        source: "iana",
        extensions: ["pkipath"]
      },
      "application/pkixcmp": {
        source: "iana",
        extensions: ["pki"]
      },
      "application/pls+xml": {
        source: "iana",
        compressible: true,
        extensions: ["pls"]
      },
      "application/poc-settings+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/postscript": {
        source: "iana",
        compressible: true,
        extensions: ["ai", "eps", "ps"]
      },
      "application/ppsp-tracker+json": {
        source: "iana",
        compressible: true
      },
      "application/problem+json": {
        source: "iana",
        compressible: true
      },
      "application/problem+xml": {
        source: "iana",
        compressible: true
      },
      "application/provenance+xml": {
        source: "iana",
        compressible: true,
        extensions: ["provx"]
      },
      "application/prs.alvestrand.titrax-sheet": {
        source: "iana"
      },
      "application/prs.cww": {
        source: "iana",
        extensions: ["cww"]
      },
      "application/prs.cyn": {
        source: "iana",
        charset: "7-BIT"
      },
      "application/prs.hpub+zip": {
        source: "iana",
        compressible: false
      },
      "application/prs.nprend": {
        source: "iana"
      },
      "application/prs.plucker": {
        source: "iana"
      },
      "application/prs.rdf-xml-crypt": {
        source: "iana"
      },
      "application/prs.xsf+xml": {
        source: "iana",
        compressible: true
      },
      "application/pskc+xml": {
        source: "iana",
        compressible: true,
        extensions: ["pskcxml"]
      },
      "application/pvd+json": {
        source: "iana",
        compressible: true
      },
      "application/qsig": {
        source: "iana"
      },
      "application/raml+yaml": {
        compressible: true,
        extensions: ["raml"]
      },
      "application/raptorfec": {
        source: "iana"
      },
      "application/rdap+json": {
        source: "iana",
        compressible: true
      },
      "application/rdf+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rdf", "owl"]
      },
      "application/reginfo+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rif"]
      },
      "application/relax-ng-compact-syntax": {
        source: "iana",
        extensions: ["rnc"]
      },
      "application/remote-printing": {
        source: "iana"
      },
      "application/reputon+json": {
        source: "iana",
        compressible: true
      },
      "application/resource-lists+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rl"]
      },
      "application/resource-lists-diff+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rld"]
      },
      "application/rfc+xml": {
        source: "iana",
        compressible: true
      },
      "application/riscos": {
        source: "iana"
      },
      "application/rlmi+xml": {
        source: "iana",
        compressible: true
      },
      "application/rls-services+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rs"]
      },
      "application/route-apd+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rapd"]
      },
      "application/route-s-tsid+xml": {
        source: "iana",
        compressible: true,
        extensions: ["sls"]
      },
      "application/route-usd+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rusd"]
      },
      "application/rpki-ghostbusters": {
        source: "iana",
        extensions: ["gbr"]
      },
      "application/rpki-manifest": {
        source: "iana",
        extensions: ["mft"]
      },
      "application/rpki-publication": {
        source: "iana"
      },
      "application/rpki-roa": {
        source: "iana",
        extensions: ["roa"]
      },
      "application/rpki-updown": {
        source: "iana"
      },
      "application/rsd+xml": {
        source: "apache",
        compressible: true,
        extensions: ["rsd"]
      },
      "application/rss+xml": {
        source: "apache",
        compressible: true,
        extensions: ["rss"]
      },
      "application/rtf": {
        source: "iana",
        compressible: true,
        extensions: ["rtf"]
      },
      "application/rtploopback": {
        source: "iana"
      },
      "application/rtx": {
        source: "iana"
      },
      "application/samlassertion+xml": {
        source: "iana",
        compressible: true
      },
      "application/samlmetadata+xml": {
        source: "iana",
        compressible: true
      },
      "application/sarif+json": {
        source: "iana",
        compressible: true
      },
      "application/sarif-external-properties+json": {
        source: "iana",
        compressible: true
      },
      "application/sbe": {
        source: "iana"
      },
      "application/sbml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["sbml"]
      },
      "application/scaip+xml": {
        source: "iana",
        compressible: true
      },
      "application/scim+json": {
        source: "iana",
        compressible: true
      },
      "application/scvp-cv-request": {
        source: "iana",
        extensions: ["scq"]
      },
      "application/scvp-cv-response": {
        source: "iana",
        extensions: ["scs"]
      },
      "application/scvp-vp-request": {
        source: "iana",
        extensions: ["spq"]
      },
      "application/scvp-vp-response": {
        source: "iana",
        extensions: ["spp"]
      },
      "application/sdp": {
        source: "iana",
        extensions: ["sdp"]
      },
      "application/secevent+jwt": {
        source: "iana"
      },
      "application/senml+cbor": {
        source: "iana"
      },
      "application/senml+json": {
        source: "iana",
        compressible: true
      },
      "application/senml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["senmlx"]
      },
      "application/senml-etch+cbor": {
        source: "iana"
      },
      "application/senml-etch+json": {
        source: "iana",
        compressible: true
      },
      "application/senml-exi": {
        source: "iana"
      },
      "application/sensml+cbor": {
        source: "iana"
      },
      "application/sensml+json": {
        source: "iana",
        compressible: true
      },
      "application/sensml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["sensmlx"]
      },
      "application/sensml-exi": {
        source: "iana"
      },
      "application/sep+xml": {
        source: "iana",
        compressible: true
      },
      "application/sep-exi": {
        source: "iana"
      },
      "application/session-info": {
        source: "iana"
      },
      "application/set-payment": {
        source: "iana"
      },
      "application/set-payment-initiation": {
        source: "iana",
        extensions: ["setpay"]
      },
      "application/set-registration": {
        source: "iana"
      },
      "application/set-registration-initiation": {
        source: "iana",
        extensions: ["setreg"]
      },
      "application/sgml": {
        source: "iana"
      },
      "application/sgml-open-catalog": {
        source: "iana"
      },
      "application/shf+xml": {
        source: "iana",
        compressible: true,
        extensions: ["shf"]
      },
      "application/sieve": {
        source: "iana",
        extensions: ["siv", "sieve"]
      },
      "application/simple-filter+xml": {
        source: "iana",
        compressible: true
      },
      "application/simple-message-summary": {
        source: "iana"
      },
      "application/simplesymbolcontainer": {
        source: "iana"
      },
      "application/sipc": {
        source: "iana"
      },
      "application/slate": {
        source: "iana"
      },
      "application/smil": {
        source: "iana"
      },
      "application/smil+xml": {
        source: "iana",
        compressible: true,
        extensions: ["smi", "smil"]
      },
      "application/smpte336m": {
        source: "iana"
      },
      "application/soap+fastinfoset": {
        source: "iana"
      },
      "application/soap+xml": {
        source: "iana",
        compressible: true
      },
      "application/sparql-query": {
        source: "iana",
        extensions: ["rq"]
      },
      "application/sparql-results+xml": {
        source: "iana",
        compressible: true,
        extensions: ["srx"]
      },
      "application/spdx+json": {
        source: "iana",
        compressible: true
      },
      "application/spirits-event+xml": {
        source: "iana",
        compressible: true
      },
      "application/sql": {
        source: "iana"
      },
      "application/srgs": {
        source: "iana",
        extensions: ["gram"]
      },
      "application/srgs+xml": {
        source: "iana",
        compressible: true,
        extensions: ["grxml"]
      },
      "application/sru+xml": {
        source: "iana",
        compressible: true,
        extensions: ["sru"]
      },
      "application/ssdl+xml": {
        source: "apache",
        compressible: true,
        extensions: ["ssdl"]
      },
      "application/ssml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["ssml"]
      },
      "application/stix+json": {
        source: "iana",
        compressible: true
      },
      "application/swid+xml": {
        source: "iana",
        compressible: true,
        extensions: ["swidtag"]
      },
      "application/tamp-apex-update": {
        source: "iana"
      },
      "application/tamp-apex-update-confirm": {
        source: "iana"
      },
      "application/tamp-community-update": {
        source: "iana"
      },
      "application/tamp-community-update-confirm": {
        source: "iana"
      },
      "application/tamp-error": {
        source: "iana"
      },
      "application/tamp-sequence-adjust": {
        source: "iana"
      },
      "application/tamp-sequence-adjust-confirm": {
        source: "iana"
      },
      "application/tamp-status-query": {
        source: "iana"
      },
      "application/tamp-status-response": {
        source: "iana"
      },
      "application/tamp-update": {
        source: "iana"
      },
      "application/tamp-update-confirm": {
        source: "iana"
      },
      "application/tar": {
        compressible: true
      },
      "application/taxii+json": {
        source: "iana",
        compressible: true
      },
      "application/td+json": {
        source: "iana",
        compressible: true
      },
      "application/tei+xml": {
        source: "iana",
        compressible: true,
        extensions: ["tei", "teicorpus"]
      },
      "application/tetra_isi": {
        source: "iana"
      },
      "application/thraud+xml": {
        source: "iana",
        compressible: true,
        extensions: ["tfi"]
      },
      "application/timestamp-query": {
        source: "iana"
      },
      "application/timestamp-reply": {
        source: "iana"
      },
      "application/timestamped-data": {
        source: "iana",
        extensions: ["tsd"]
      },
      "application/tlsrpt+gzip": {
        source: "iana"
      },
      "application/tlsrpt+json": {
        source: "iana",
        compressible: true
      },
      "application/tnauthlist": {
        source: "iana"
      },
      "application/token-introspection+jwt": {
        source: "iana"
      },
      "application/toml": {
        compressible: true,
        extensions: ["toml"]
      },
      "application/trickle-ice-sdpfrag": {
        source: "iana"
      },
      "application/trig": {
        source: "iana",
        extensions: ["trig"]
      },
      "application/ttml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["ttml"]
      },
      "application/tve-trigger": {
        source: "iana"
      },
      "application/tzif": {
        source: "iana"
      },
      "application/tzif-leap": {
        source: "iana"
      },
      "application/ubjson": {
        compressible: false,
        extensions: ["ubj"]
      },
      "application/ulpfec": {
        source: "iana"
      },
      "application/urc-grpsheet+xml": {
        source: "iana",
        compressible: true
      },
      "application/urc-ressheet+xml": {
        source: "iana",
        compressible: true,
        extensions: ["rsheet"]
      },
      "application/urc-targetdesc+xml": {
        source: "iana",
        compressible: true,
        extensions: ["td"]
      },
      "application/urc-uisocketdesc+xml": {
        source: "iana",
        compressible: true
      },
      "application/vcard+json": {
        source: "iana",
        compressible: true
      },
      "application/vcard+xml": {
        source: "iana",
        compressible: true
      },
      "application/vemmi": {
        source: "iana"
      },
      "application/vividence.scriptfile": {
        source: "apache"
      },
      "application/vnd.1000minds.decision-model+xml": {
        source: "iana",
        compressible: true,
        extensions: ["1km"]
      },
      "application/vnd.3gpp-prose+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp-prose-pc3ch+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp-v2x-local-service-information": {
        source: "iana"
      },
      "application/vnd.3gpp.5gnas": {
        source: "iana"
      },
      "application/vnd.3gpp.access-transfer-events+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.bsf+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.gmop+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.gtpc": {
        source: "iana"
      },
      "application/vnd.3gpp.interworking-data": {
        source: "iana"
      },
      "application/vnd.3gpp.lpp": {
        source: "iana"
      },
      "application/vnd.3gpp.mc-signalling-ear": {
        source: "iana"
      },
      "application/vnd.3gpp.mcdata-affiliation-command+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcdata-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcdata-payload": {
        source: "iana"
      },
      "application/vnd.3gpp.mcdata-service-config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcdata-signalling": {
        source: "iana"
      },
      "application/vnd.3gpp.mcdata-ue-config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcdata-user-profile+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-affiliation-command+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-floor-request+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-location-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-mbms-usage-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-service-config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-signed+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-ue-config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-ue-init-config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcptt-user-profile+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-affiliation-command+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-affiliation-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-location-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-mbms-usage-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-service-config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-transmission-request+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-ue-config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mcvideo-user-profile+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.mid-call+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.ngap": {
        source: "iana"
      },
      "application/vnd.3gpp.pfcp": {
        source: "iana"
      },
      "application/vnd.3gpp.pic-bw-large": {
        source: "iana",
        extensions: ["plb"]
      },
      "application/vnd.3gpp.pic-bw-small": {
        source: "iana",
        extensions: ["psb"]
      },
      "application/vnd.3gpp.pic-bw-var": {
        source: "iana",
        extensions: ["pvb"]
      },
      "application/vnd.3gpp.s1ap": {
        source: "iana"
      },
      "application/vnd.3gpp.sms": {
        source: "iana"
      },
      "application/vnd.3gpp.sms+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.srvcc-ext+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.srvcc-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.state-and-event-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp.ussd+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp2.bcmcsinfo+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.3gpp2.sms": {
        source: "iana"
      },
      "application/vnd.3gpp2.tcap": {
        source: "iana",
        extensions: ["tcap"]
      },
      "application/vnd.3lightssoftware.imagescal": {
        source: "iana"
      },
      "application/vnd.3m.post-it-notes": {
        source: "iana",
        extensions: ["pwn"]
      },
      "application/vnd.accpac.simply.aso": {
        source: "iana",
        extensions: ["aso"]
      },
      "application/vnd.accpac.simply.imp": {
        source: "iana",
        extensions: ["imp"]
      },
      "application/vnd.acucobol": {
        source: "iana",
        extensions: ["acu"]
      },
      "application/vnd.acucorp": {
        source: "iana",
        extensions: ["atc", "acutc"]
      },
      "application/vnd.adobe.air-application-installer-package+zip": {
        source: "apache",
        compressible: false,
        extensions: ["air"]
      },
      "application/vnd.adobe.flash.movie": {
        source: "iana"
      },
      "application/vnd.adobe.formscentral.fcdt": {
        source: "iana",
        extensions: ["fcdt"]
      },
      "application/vnd.adobe.fxp": {
        source: "iana",
        extensions: ["fxp", "fxpl"]
      },
      "application/vnd.adobe.partial-upload": {
        source: "iana"
      },
      "application/vnd.adobe.xdp+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xdp"]
      },
      "application/vnd.adobe.xfdf": {
        source: "iana",
        extensions: ["xfdf"]
      },
      "application/vnd.aether.imp": {
        source: "iana"
      },
      "application/vnd.afpc.afplinedata": {
        source: "iana"
      },
      "application/vnd.afpc.afplinedata-pagedef": {
        source: "iana"
      },
      "application/vnd.afpc.cmoca-cmresource": {
        source: "iana"
      },
      "application/vnd.afpc.foca-charset": {
        source: "iana"
      },
      "application/vnd.afpc.foca-codedfont": {
        source: "iana"
      },
      "application/vnd.afpc.foca-codepage": {
        source: "iana"
      },
      "application/vnd.afpc.modca": {
        source: "iana"
      },
      "application/vnd.afpc.modca-cmtable": {
        source: "iana"
      },
      "application/vnd.afpc.modca-formdef": {
        source: "iana"
      },
      "application/vnd.afpc.modca-mediummap": {
        source: "iana"
      },
      "application/vnd.afpc.modca-objectcontainer": {
        source: "iana"
      },
      "application/vnd.afpc.modca-overlay": {
        source: "iana"
      },
      "application/vnd.afpc.modca-pagesegment": {
        source: "iana"
      },
      "application/vnd.age": {
        source: "iana",
        extensions: ["age"]
      },
      "application/vnd.ah-barcode": {
        source: "iana"
      },
      "application/vnd.ahead.space": {
        source: "iana",
        extensions: ["ahead"]
      },
      "application/vnd.airzip.filesecure.azf": {
        source: "iana",
        extensions: ["azf"]
      },
      "application/vnd.airzip.filesecure.azs": {
        source: "iana",
        extensions: ["azs"]
      },
      "application/vnd.amadeus+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.amazon.ebook": {
        source: "apache",
        extensions: ["azw"]
      },
      "application/vnd.amazon.mobi8-ebook": {
        source: "iana"
      },
      "application/vnd.americandynamics.acc": {
        source: "iana",
        extensions: ["acc"]
      },
      "application/vnd.amiga.ami": {
        source: "iana",
        extensions: ["ami"]
      },
      "application/vnd.amundsen.maze+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.android.ota": {
        source: "iana"
      },
      "application/vnd.android.package-archive": {
        source: "apache",
        compressible: false,
        extensions: ["apk"]
      },
      "application/vnd.anki": {
        source: "iana"
      },
      "application/vnd.anser-web-certificate-issue-initiation": {
        source: "iana",
        extensions: ["cii"]
      },
      "application/vnd.anser-web-funds-transfer-initiation": {
        source: "apache",
        extensions: ["fti"]
      },
      "application/vnd.antix.game-component": {
        source: "iana",
        extensions: ["atx"]
      },
      "application/vnd.apache.arrow.file": {
        source: "iana"
      },
      "application/vnd.apache.arrow.stream": {
        source: "iana"
      },
      "application/vnd.apache.thrift.binary": {
        source: "iana"
      },
      "application/vnd.apache.thrift.compact": {
        source: "iana"
      },
      "application/vnd.apache.thrift.json": {
        source: "iana"
      },
      "application/vnd.api+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.aplextor.warrp+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.apothekende.reservation+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.apple.installer+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mpkg"]
      },
      "application/vnd.apple.keynote": {
        source: "iana",
        extensions: ["key"]
      },
      "application/vnd.apple.mpegurl": {
        source: "iana",
        extensions: ["m3u8"]
      },
      "application/vnd.apple.numbers": {
        source: "iana",
        extensions: ["numbers"]
      },
      "application/vnd.apple.pages": {
        source: "iana",
        extensions: ["pages"]
      },
      "application/vnd.apple.pkpass": {
        compressible: false,
        extensions: ["pkpass"]
      },
      "application/vnd.arastra.swi": {
        source: "iana"
      },
      "application/vnd.aristanetworks.swi": {
        source: "iana",
        extensions: ["swi"]
      },
      "application/vnd.artisan+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.artsquare": {
        source: "iana"
      },
      "application/vnd.astraea-software.iota": {
        source: "iana",
        extensions: ["iota"]
      },
      "application/vnd.audiograph": {
        source: "iana",
        extensions: ["aep"]
      },
      "application/vnd.autopackage": {
        source: "iana"
      },
      "application/vnd.avalon+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.avistar+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.balsamiq.bmml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["bmml"]
      },
      "application/vnd.balsamiq.bmpr": {
        source: "iana"
      },
      "application/vnd.banana-accounting": {
        source: "iana"
      },
      "application/vnd.bbf.usp.error": {
        source: "iana"
      },
      "application/vnd.bbf.usp.msg": {
        source: "iana"
      },
      "application/vnd.bbf.usp.msg+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.bekitzur-stech+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.bint.med-content": {
        source: "iana"
      },
      "application/vnd.biopax.rdf+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.blink-idb-value-wrapper": {
        source: "iana"
      },
      "application/vnd.blueice.multipass": {
        source: "iana",
        extensions: ["mpm"]
      },
      "application/vnd.bluetooth.ep.oob": {
        source: "iana"
      },
      "application/vnd.bluetooth.le.oob": {
        source: "iana"
      },
      "application/vnd.bmi": {
        source: "iana",
        extensions: ["bmi"]
      },
      "application/vnd.bpf": {
        source: "iana"
      },
      "application/vnd.bpf3": {
        source: "iana"
      },
      "application/vnd.businessobjects": {
        source: "iana",
        extensions: ["rep"]
      },
      "application/vnd.byu.uapi+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.cab-jscript": {
        source: "iana"
      },
      "application/vnd.canon-cpdl": {
        source: "iana"
      },
      "application/vnd.canon-lips": {
        source: "iana"
      },
      "application/vnd.capasystems-pg+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.cendio.thinlinc.clientconf": {
        source: "iana"
      },
      "application/vnd.century-systems.tcp_stream": {
        source: "iana"
      },
      "application/vnd.chemdraw+xml": {
        source: "iana",
        compressible: true,
        extensions: ["cdxml"]
      },
      "application/vnd.chess-pgn": {
        source: "iana"
      },
      "application/vnd.chipnuts.karaoke-mmd": {
        source: "iana",
        extensions: ["mmd"]
      },
      "application/vnd.ciedi": {
        source: "iana"
      },
      "application/vnd.cinderella": {
        source: "iana",
        extensions: ["cdy"]
      },
      "application/vnd.cirpack.isdn-ext": {
        source: "iana"
      },
      "application/vnd.citationstyles.style+xml": {
        source: "iana",
        compressible: true,
        extensions: ["csl"]
      },
      "application/vnd.claymore": {
        source: "iana",
        extensions: ["cla"]
      },
      "application/vnd.cloanto.rp9": {
        source: "iana",
        extensions: ["rp9"]
      },
      "application/vnd.clonk.c4group": {
        source: "iana",
        extensions: ["c4g", "c4d", "c4f", "c4p", "c4u"]
      },
      "application/vnd.cluetrust.cartomobile-config": {
        source: "iana",
        extensions: ["c11amc"]
      },
      "application/vnd.cluetrust.cartomobile-config-pkg": {
        source: "iana",
        extensions: ["c11amz"]
      },
      "application/vnd.coffeescript": {
        source: "iana"
      },
      "application/vnd.collabio.xodocuments.document": {
        source: "iana"
      },
      "application/vnd.collabio.xodocuments.document-template": {
        source: "iana"
      },
      "application/vnd.collabio.xodocuments.presentation": {
        source: "iana"
      },
      "application/vnd.collabio.xodocuments.presentation-template": {
        source: "iana"
      },
      "application/vnd.collabio.xodocuments.spreadsheet": {
        source: "iana"
      },
      "application/vnd.collabio.xodocuments.spreadsheet-template": {
        source: "iana"
      },
      "application/vnd.collection+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.collection.doc+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.collection.next+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.comicbook+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.comicbook-rar": {
        source: "iana"
      },
      "application/vnd.commerce-battelle": {
        source: "iana"
      },
      "application/vnd.commonspace": {
        source: "iana",
        extensions: ["csp"]
      },
      "application/vnd.contact.cmsg": {
        source: "iana",
        extensions: ["cdbcmsg"]
      },
      "application/vnd.coreos.ignition+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.cosmocaller": {
        source: "iana",
        extensions: ["cmc"]
      },
      "application/vnd.crick.clicker": {
        source: "iana",
        extensions: ["clkx"]
      },
      "application/vnd.crick.clicker.keyboard": {
        source: "iana",
        extensions: ["clkk"]
      },
      "application/vnd.crick.clicker.palette": {
        source: "iana",
        extensions: ["clkp"]
      },
      "application/vnd.crick.clicker.template": {
        source: "iana",
        extensions: ["clkt"]
      },
      "application/vnd.crick.clicker.wordbank": {
        source: "iana",
        extensions: ["clkw"]
      },
      "application/vnd.criticaltools.wbs+xml": {
        source: "iana",
        compressible: true,
        extensions: ["wbs"]
      },
      "application/vnd.cryptii.pipe+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.crypto-shade-file": {
        source: "iana"
      },
      "application/vnd.cryptomator.encrypted": {
        source: "iana"
      },
      "application/vnd.cryptomator.vault": {
        source: "iana"
      },
      "application/vnd.ctc-posml": {
        source: "iana",
        extensions: ["pml"]
      },
      "application/vnd.ctct.ws+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.cups-pdf": {
        source: "iana"
      },
      "application/vnd.cups-postscript": {
        source: "iana"
      },
      "application/vnd.cups-ppd": {
        source: "iana",
        extensions: ["ppd"]
      },
      "application/vnd.cups-raster": {
        source: "iana"
      },
      "application/vnd.cups-raw": {
        source: "iana"
      },
      "application/vnd.curl": {
        source: "iana"
      },
      "application/vnd.curl.car": {
        source: "apache",
        extensions: ["car"]
      },
      "application/vnd.curl.pcurl": {
        source: "apache",
        extensions: ["pcurl"]
      },
      "application/vnd.cyan.dean.root+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.cybank": {
        source: "iana"
      },
      "application/vnd.cyclonedx+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.cyclonedx+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.d2l.coursepackage1p0+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.d3m-dataset": {
        source: "iana"
      },
      "application/vnd.d3m-problem": {
        source: "iana"
      },
      "application/vnd.dart": {
        source: "iana",
        compressible: true,
        extensions: ["dart"]
      },
      "application/vnd.data-vision.rdz": {
        source: "iana",
        extensions: ["rdz"]
      },
      "application/vnd.datapackage+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dataresource+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dbf": {
        source: "iana",
        extensions: ["dbf"]
      },
      "application/vnd.debian.binary-package": {
        source: "iana"
      },
      "application/vnd.dece.data": {
        source: "iana",
        extensions: ["uvf", "uvvf", "uvd", "uvvd"]
      },
      "application/vnd.dece.ttml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["uvt", "uvvt"]
      },
      "application/vnd.dece.unspecified": {
        source: "iana",
        extensions: ["uvx", "uvvx"]
      },
      "application/vnd.dece.zip": {
        source: "iana",
        extensions: ["uvz", "uvvz"]
      },
      "application/vnd.denovo.fcselayout-link": {
        source: "iana",
        extensions: ["fe_launch"]
      },
      "application/vnd.desmume.movie": {
        source: "iana"
      },
      "application/vnd.dir-bi.plate-dl-nosuffix": {
        source: "iana"
      },
      "application/vnd.dm.delegation+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dna": {
        source: "iana",
        extensions: ["dna"]
      },
      "application/vnd.document+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dolby.mlp": {
        source: "apache",
        extensions: ["mlp"]
      },
      "application/vnd.dolby.mobile.1": {
        source: "iana"
      },
      "application/vnd.dolby.mobile.2": {
        source: "iana"
      },
      "application/vnd.doremir.scorecloud-binary-document": {
        source: "iana"
      },
      "application/vnd.dpgraph": {
        source: "iana",
        extensions: ["dpg"]
      },
      "application/vnd.dreamfactory": {
        source: "iana",
        extensions: ["dfac"]
      },
      "application/vnd.drive+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ds-keypoint": {
        source: "apache",
        extensions: ["kpxx"]
      },
      "application/vnd.dtg.local": {
        source: "iana"
      },
      "application/vnd.dtg.local.flash": {
        source: "iana"
      },
      "application/vnd.dtg.local.html": {
        source: "iana"
      },
      "application/vnd.dvb.ait": {
        source: "iana",
        extensions: ["ait"]
      },
      "application/vnd.dvb.dvbisl+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.dvbj": {
        source: "iana"
      },
      "application/vnd.dvb.esgcontainer": {
        source: "iana"
      },
      "application/vnd.dvb.ipdcdftnotifaccess": {
        source: "iana"
      },
      "application/vnd.dvb.ipdcesgaccess": {
        source: "iana"
      },
      "application/vnd.dvb.ipdcesgaccess2": {
        source: "iana"
      },
      "application/vnd.dvb.ipdcesgpdd": {
        source: "iana"
      },
      "application/vnd.dvb.ipdcroaming": {
        source: "iana"
      },
      "application/vnd.dvb.iptv.alfec-base": {
        source: "iana"
      },
      "application/vnd.dvb.iptv.alfec-enhancement": {
        source: "iana"
      },
      "application/vnd.dvb.notif-aggregate-root+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.notif-container+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.notif-generic+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.notif-ia-msglist+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.notif-ia-registration-request+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.notif-ia-registration-response+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.notif-init+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.dvb.pfr": {
        source: "iana"
      },
      "application/vnd.dvb.service": {
        source: "iana",
        extensions: ["svc"]
      },
      "application/vnd.dxr": {
        source: "iana"
      },
      "application/vnd.dynageo": {
        source: "iana",
        extensions: ["geo"]
      },
      "application/vnd.dzr": {
        source: "iana"
      },
      "application/vnd.easykaraoke.cdgdownload": {
        source: "iana"
      },
      "application/vnd.ecdis-update": {
        source: "iana"
      },
      "application/vnd.ecip.rlp": {
        source: "iana"
      },
      "application/vnd.eclipse.ditto+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ecowin.chart": {
        source: "iana",
        extensions: ["mag"]
      },
      "application/vnd.ecowin.filerequest": {
        source: "iana"
      },
      "application/vnd.ecowin.fileupdate": {
        source: "iana"
      },
      "application/vnd.ecowin.series": {
        source: "iana"
      },
      "application/vnd.ecowin.seriesrequest": {
        source: "iana"
      },
      "application/vnd.ecowin.seriesupdate": {
        source: "iana"
      },
      "application/vnd.efi.img": {
        source: "iana"
      },
      "application/vnd.efi.iso": {
        source: "iana"
      },
      "application/vnd.emclient.accessrequest+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.enliven": {
        source: "iana",
        extensions: ["nml"]
      },
      "application/vnd.enphase.envoy": {
        source: "iana"
      },
      "application/vnd.eprints.data+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.epson.esf": {
        source: "iana",
        extensions: ["esf"]
      },
      "application/vnd.epson.msf": {
        source: "iana",
        extensions: ["msf"]
      },
      "application/vnd.epson.quickanime": {
        source: "iana",
        extensions: ["qam"]
      },
      "application/vnd.epson.salt": {
        source: "iana",
        extensions: ["slt"]
      },
      "application/vnd.epson.ssf": {
        source: "iana",
        extensions: ["ssf"]
      },
      "application/vnd.ericsson.quickcall": {
        source: "iana"
      },
      "application/vnd.espass-espass+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.eszigno3+xml": {
        source: "iana",
        compressible: true,
        extensions: ["es3", "et3"]
      },
      "application/vnd.etsi.aoc+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.asic-e+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.etsi.asic-s+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.etsi.cug+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvcommand+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvdiscovery+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvprofile+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvsad-bc+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvsad-cod+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvsad-npvr+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvservice+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvsync+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.iptvueprofile+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.mcid+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.mheg5": {
        source: "iana"
      },
      "application/vnd.etsi.overload-control-policy-dataset+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.pstn+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.sci+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.simservs+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.timestamp-token": {
        source: "iana"
      },
      "application/vnd.etsi.tsl+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.etsi.tsl.der": {
        source: "iana"
      },
      "application/vnd.eu.kasparian.car+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.eudora.data": {
        source: "iana"
      },
      "application/vnd.evolv.ecig.profile": {
        source: "iana"
      },
      "application/vnd.evolv.ecig.settings": {
        source: "iana"
      },
      "application/vnd.evolv.ecig.theme": {
        source: "iana"
      },
      "application/vnd.exstream-empower+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.exstream-package": {
        source: "iana"
      },
      "application/vnd.ezpix-album": {
        source: "iana",
        extensions: ["ez2"]
      },
      "application/vnd.ezpix-package": {
        source: "iana",
        extensions: ["ez3"]
      },
      "application/vnd.f-secure.mobile": {
        source: "iana"
      },
      "application/vnd.familysearch.gedcom+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.fastcopy-disk-image": {
        source: "iana"
      },
      "application/vnd.fdf": {
        source: "iana",
        extensions: ["fdf"]
      },
      "application/vnd.fdsn.mseed": {
        source: "iana",
        extensions: ["mseed"]
      },
      "application/vnd.fdsn.seed": {
        source: "iana",
        extensions: ["seed", "dataless"]
      },
      "application/vnd.ffsns": {
        source: "iana"
      },
      "application/vnd.ficlab.flb+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.filmit.zfc": {
        source: "iana"
      },
      "application/vnd.fints": {
        source: "iana"
      },
      "application/vnd.firemonkeys.cloudcell": {
        source: "iana"
      },
      "application/vnd.flographit": {
        source: "iana",
        extensions: ["gph"]
      },
      "application/vnd.fluxtime.clip": {
        source: "iana",
        extensions: ["ftc"]
      },
      "application/vnd.font-fontforge-sfd": {
        source: "iana"
      },
      "application/vnd.framemaker": {
        source: "iana",
        extensions: ["fm", "frame", "maker", "book"]
      },
      "application/vnd.frogans.fnc": {
        source: "iana",
        extensions: ["fnc"]
      },
      "application/vnd.frogans.ltf": {
        source: "iana",
        extensions: ["ltf"]
      },
      "application/vnd.fsc.weblaunch": {
        source: "iana",
        extensions: ["fsc"]
      },
      "application/vnd.fujifilm.fb.docuworks": {
        source: "iana"
      },
      "application/vnd.fujifilm.fb.docuworks.binder": {
        source: "iana"
      },
      "application/vnd.fujifilm.fb.docuworks.container": {
        source: "iana"
      },
      "application/vnd.fujifilm.fb.jfi+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.fujitsu.oasys": {
        source: "iana",
        extensions: ["oas"]
      },
      "application/vnd.fujitsu.oasys2": {
        source: "iana",
        extensions: ["oa2"]
      },
      "application/vnd.fujitsu.oasys3": {
        source: "iana",
        extensions: ["oa3"]
      },
      "application/vnd.fujitsu.oasysgp": {
        source: "iana",
        extensions: ["fg5"]
      },
      "application/vnd.fujitsu.oasysprs": {
        source: "iana",
        extensions: ["bh2"]
      },
      "application/vnd.fujixerox.art-ex": {
        source: "iana"
      },
      "application/vnd.fujixerox.art4": {
        source: "iana"
      },
      "application/vnd.fujixerox.ddd": {
        source: "iana",
        extensions: ["ddd"]
      },
      "application/vnd.fujixerox.docuworks": {
        source: "iana",
        extensions: ["xdw"]
      },
      "application/vnd.fujixerox.docuworks.binder": {
        source: "iana",
        extensions: ["xbd"]
      },
      "application/vnd.fujixerox.docuworks.container": {
        source: "iana"
      },
      "application/vnd.fujixerox.hbpl": {
        source: "iana"
      },
      "application/vnd.fut-misnet": {
        source: "iana"
      },
      "application/vnd.futoin+cbor": {
        source: "iana"
      },
      "application/vnd.futoin+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.fuzzysheet": {
        source: "iana",
        extensions: ["fzs"]
      },
      "application/vnd.genomatix.tuxedo": {
        source: "iana",
        extensions: ["txd"]
      },
      "application/vnd.gentics.grd+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.geo+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.geocube+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.geogebra.file": {
        source: "iana",
        extensions: ["ggb"]
      },
      "application/vnd.geogebra.slides": {
        source: "iana"
      },
      "application/vnd.geogebra.tool": {
        source: "iana",
        extensions: ["ggt"]
      },
      "application/vnd.geometry-explorer": {
        source: "iana",
        extensions: ["gex", "gre"]
      },
      "application/vnd.geonext": {
        source: "iana",
        extensions: ["gxt"]
      },
      "application/vnd.geoplan": {
        source: "iana",
        extensions: ["g2w"]
      },
      "application/vnd.geospace": {
        source: "iana",
        extensions: ["g3w"]
      },
      "application/vnd.gerber": {
        source: "iana"
      },
      "application/vnd.globalplatform.card-content-mgt": {
        source: "iana"
      },
      "application/vnd.globalplatform.card-content-mgt-response": {
        source: "iana"
      },
      "application/vnd.gmx": {
        source: "iana",
        extensions: ["gmx"]
      },
      "application/vnd.google-apps.document": {
        compressible: false,
        extensions: ["gdoc"]
      },
      "application/vnd.google-apps.presentation": {
        compressible: false,
        extensions: ["gslides"]
      },
      "application/vnd.google-apps.spreadsheet": {
        compressible: false,
        extensions: ["gsheet"]
      },
      "application/vnd.google-earth.kml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["kml"]
      },
      "application/vnd.google-earth.kmz": {
        source: "iana",
        compressible: false,
        extensions: ["kmz"]
      },
      "application/vnd.gov.sk.e-form+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.gov.sk.e-form+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.gov.sk.xmldatacontainer+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.grafeq": {
        source: "iana",
        extensions: ["gqf", "gqs"]
      },
      "application/vnd.gridmp": {
        source: "iana"
      },
      "application/vnd.groove-account": {
        source: "iana",
        extensions: ["gac"]
      },
      "application/vnd.groove-help": {
        source: "iana",
        extensions: ["ghf"]
      },
      "application/vnd.groove-identity-message": {
        source: "iana",
        extensions: ["gim"]
      },
      "application/vnd.groove-injector": {
        source: "iana",
        extensions: ["grv"]
      },
      "application/vnd.groove-tool-message": {
        source: "iana",
        extensions: ["gtm"]
      },
      "application/vnd.groove-tool-template": {
        source: "iana",
        extensions: ["tpl"]
      },
      "application/vnd.groove-vcard": {
        source: "iana",
        extensions: ["vcg"]
      },
      "application/vnd.hal+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.hal+xml": {
        source: "iana",
        compressible: true,
        extensions: ["hal"]
      },
      "application/vnd.handheld-entertainment+xml": {
        source: "iana",
        compressible: true,
        extensions: ["zmm"]
      },
      "application/vnd.hbci": {
        source: "iana",
        extensions: ["hbci"]
      },
      "application/vnd.hc+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.hcl-bireports": {
        source: "iana"
      },
      "application/vnd.hdt": {
        source: "iana"
      },
      "application/vnd.heroku+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.hhe.lesson-player": {
        source: "iana",
        extensions: ["les"]
      },
      "application/vnd.hl7cda+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/vnd.hl7v2+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/vnd.hp-hpgl": {
        source: "iana",
        extensions: ["hpgl"]
      },
      "application/vnd.hp-hpid": {
        source: "iana",
        extensions: ["hpid"]
      },
      "application/vnd.hp-hps": {
        source: "iana",
        extensions: ["hps"]
      },
      "application/vnd.hp-jlyt": {
        source: "iana",
        extensions: ["jlt"]
      },
      "application/vnd.hp-pcl": {
        source: "iana",
        extensions: ["pcl"]
      },
      "application/vnd.hp-pclxl": {
        source: "iana",
        extensions: ["pclxl"]
      },
      "application/vnd.httphone": {
        source: "iana"
      },
      "application/vnd.hydrostatix.sof-data": {
        source: "iana",
        extensions: ["sfd-hdstx"]
      },
      "application/vnd.hyper+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.hyper-item+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.hyperdrive+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.hzn-3d-crossword": {
        source: "iana"
      },
      "application/vnd.ibm.afplinedata": {
        source: "iana"
      },
      "application/vnd.ibm.electronic-media": {
        source: "iana"
      },
      "application/vnd.ibm.minipay": {
        source: "iana",
        extensions: ["mpy"]
      },
      "application/vnd.ibm.modcap": {
        source: "iana",
        extensions: ["afp", "listafp", "list3820"]
      },
      "application/vnd.ibm.rights-management": {
        source: "iana",
        extensions: ["irm"]
      },
      "application/vnd.ibm.secure-container": {
        source: "iana",
        extensions: ["sc"]
      },
      "application/vnd.iccprofile": {
        source: "iana",
        extensions: ["icc", "icm"]
      },
      "application/vnd.ieee.1905": {
        source: "iana"
      },
      "application/vnd.igloader": {
        source: "iana",
        extensions: ["igl"]
      },
      "application/vnd.imagemeter.folder+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.imagemeter.image+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.immervision-ivp": {
        source: "iana",
        extensions: ["ivp"]
      },
      "application/vnd.immervision-ivu": {
        source: "iana",
        extensions: ["ivu"]
      },
      "application/vnd.ims.imsccv1p1": {
        source: "iana"
      },
      "application/vnd.ims.imsccv1p2": {
        source: "iana"
      },
      "application/vnd.ims.imsccv1p3": {
        source: "iana"
      },
      "application/vnd.ims.lis.v2.result+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ims.lti.v2.toolconsumerprofile+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ims.lti.v2.toolproxy+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ims.lti.v2.toolproxy.id+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ims.lti.v2.toolsettings+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ims.lti.v2.toolsettings.simple+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.informedcontrol.rms+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.informix-visionary": {
        source: "iana"
      },
      "application/vnd.infotech.project": {
        source: "iana"
      },
      "application/vnd.infotech.project+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.innopath.wamp.notification": {
        source: "iana"
      },
      "application/vnd.insors.igm": {
        source: "iana",
        extensions: ["igm"]
      },
      "application/vnd.intercon.formnet": {
        source: "iana",
        extensions: ["xpw", "xpx"]
      },
      "application/vnd.intergeo": {
        source: "iana",
        extensions: ["i2g"]
      },
      "application/vnd.intertrust.digibox": {
        source: "iana"
      },
      "application/vnd.intertrust.nncp": {
        source: "iana"
      },
      "application/vnd.intu.qbo": {
        source: "iana",
        extensions: ["qbo"]
      },
      "application/vnd.intu.qfx": {
        source: "iana",
        extensions: ["qfx"]
      },
      "application/vnd.iptc.g2.catalogitem+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.iptc.g2.conceptitem+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.iptc.g2.knowledgeitem+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.iptc.g2.newsitem+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.iptc.g2.newsmessage+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.iptc.g2.packageitem+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.iptc.g2.planningitem+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ipunplugged.rcprofile": {
        source: "iana",
        extensions: ["rcprofile"]
      },
      "application/vnd.irepository.package+xml": {
        source: "iana",
        compressible: true,
        extensions: ["irp"]
      },
      "application/vnd.is-xpr": {
        source: "iana",
        extensions: ["xpr"]
      },
      "application/vnd.isac.fcs": {
        source: "iana",
        extensions: ["fcs"]
      },
      "application/vnd.iso11783-10+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.jam": {
        source: "iana",
        extensions: ["jam"]
      },
      "application/vnd.japannet-directory-service": {
        source: "iana"
      },
      "application/vnd.japannet-jpnstore-wakeup": {
        source: "iana"
      },
      "application/vnd.japannet-payment-wakeup": {
        source: "iana"
      },
      "application/vnd.japannet-registration": {
        source: "iana"
      },
      "application/vnd.japannet-registration-wakeup": {
        source: "iana"
      },
      "application/vnd.japannet-setstore-wakeup": {
        source: "iana"
      },
      "application/vnd.japannet-verification": {
        source: "iana"
      },
      "application/vnd.japannet-verification-wakeup": {
        source: "iana"
      },
      "application/vnd.jcp.javame.midlet-rms": {
        source: "iana",
        extensions: ["rms"]
      },
      "application/vnd.jisp": {
        source: "iana",
        extensions: ["jisp"]
      },
      "application/vnd.joost.joda-archive": {
        source: "iana",
        extensions: ["joda"]
      },
      "application/vnd.jsk.isdn-ngn": {
        source: "iana"
      },
      "application/vnd.kahootz": {
        source: "iana",
        extensions: ["ktz", "ktr"]
      },
      "application/vnd.kde.karbon": {
        source: "iana",
        extensions: ["karbon"]
      },
      "application/vnd.kde.kchart": {
        source: "iana",
        extensions: ["chrt"]
      },
      "application/vnd.kde.kformula": {
        source: "iana",
        extensions: ["kfo"]
      },
      "application/vnd.kde.kivio": {
        source: "iana",
        extensions: ["flw"]
      },
      "application/vnd.kde.kontour": {
        source: "iana",
        extensions: ["kon"]
      },
      "application/vnd.kde.kpresenter": {
        source: "iana",
        extensions: ["kpr", "kpt"]
      },
      "application/vnd.kde.kspread": {
        source: "iana",
        extensions: ["ksp"]
      },
      "application/vnd.kde.kword": {
        source: "iana",
        extensions: ["kwd", "kwt"]
      },
      "application/vnd.kenameaapp": {
        source: "iana",
        extensions: ["htke"]
      },
      "application/vnd.kidspiration": {
        source: "iana",
        extensions: ["kia"]
      },
      "application/vnd.kinar": {
        source: "iana",
        extensions: ["kne", "knp"]
      },
      "application/vnd.koan": {
        source: "iana",
        extensions: ["skp", "skd", "skt", "skm"]
      },
      "application/vnd.kodak-descriptor": {
        source: "iana",
        extensions: ["sse"]
      },
      "application/vnd.las": {
        source: "iana"
      },
      "application/vnd.las.las+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.las.las+xml": {
        source: "iana",
        compressible: true,
        extensions: ["lasxml"]
      },
      "application/vnd.laszip": {
        source: "iana"
      },
      "application/vnd.leap+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.liberty-request+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.llamagraphics.life-balance.desktop": {
        source: "iana",
        extensions: ["lbd"]
      },
      "application/vnd.llamagraphics.life-balance.exchange+xml": {
        source: "iana",
        compressible: true,
        extensions: ["lbe"]
      },
      "application/vnd.logipipe.circuit+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.loom": {
        source: "iana"
      },
      "application/vnd.lotus-1-2-3": {
        source: "iana",
        extensions: ["123"]
      },
      "application/vnd.lotus-approach": {
        source: "iana",
        extensions: ["apr"]
      },
      "application/vnd.lotus-freelance": {
        source: "iana",
        extensions: ["pre"]
      },
      "application/vnd.lotus-notes": {
        source: "iana",
        extensions: ["nsf"]
      },
      "application/vnd.lotus-organizer": {
        source: "iana",
        extensions: ["org"]
      },
      "application/vnd.lotus-screencam": {
        source: "iana",
        extensions: ["scm"]
      },
      "application/vnd.lotus-wordpro": {
        source: "iana",
        extensions: ["lwp"]
      },
      "application/vnd.macports.portpkg": {
        source: "iana",
        extensions: ["portpkg"]
      },
      "application/vnd.mapbox-vector-tile": {
        source: "iana",
        extensions: ["mvt"]
      },
      "application/vnd.marlin.drm.actiontoken+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.marlin.drm.conftoken+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.marlin.drm.license+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.marlin.drm.mdcf": {
        source: "iana"
      },
      "application/vnd.mason+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.maxar.archive.3tz+zip": {
        source: "iana",
        compressible: false
      },
      "application/vnd.maxmind.maxmind-db": {
        source: "iana"
      },
      "application/vnd.mcd": {
        source: "iana",
        extensions: ["mcd"]
      },
      "application/vnd.medcalcdata": {
        source: "iana",
        extensions: ["mc1"]
      },
      "application/vnd.mediastation.cdkey": {
        source: "iana",
        extensions: ["cdkey"]
      },
      "application/vnd.meridian-slingshot": {
        source: "iana"
      },
      "application/vnd.mfer": {
        source: "iana",
        extensions: ["mwf"]
      },
      "application/vnd.mfmp": {
        source: "iana",
        extensions: ["mfm"]
      },
      "application/vnd.micro+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.micrografx.flo": {
        source: "iana",
        extensions: ["flo"]
      },
      "application/vnd.micrografx.igx": {
        source: "iana",
        extensions: ["igx"]
      },
      "application/vnd.microsoft.portable-executable": {
        source: "iana"
      },
      "application/vnd.microsoft.windows.thumbnail-cache": {
        source: "iana"
      },
      "application/vnd.miele+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.mif": {
        source: "iana",
        extensions: ["mif"]
      },
      "application/vnd.minisoft-hp3000-save": {
        source: "iana"
      },
      "application/vnd.mitsubishi.misty-guard.trustweb": {
        source: "iana"
      },
      "application/vnd.mobius.daf": {
        source: "iana",
        extensions: ["daf"]
      },
      "application/vnd.mobius.dis": {
        source: "iana",
        extensions: ["dis"]
      },
      "application/vnd.mobius.mbk": {
        source: "iana",
        extensions: ["mbk"]
      },
      "application/vnd.mobius.mqy": {
        source: "iana",
        extensions: ["mqy"]
      },
      "application/vnd.mobius.msl": {
        source: "iana",
        extensions: ["msl"]
      },
      "application/vnd.mobius.plc": {
        source: "iana",
        extensions: ["plc"]
      },
      "application/vnd.mobius.txf": {
        source: "iana",
        extensions: ["txf"]
      },
      "application/vnd.mophun.application": {
        source: "iana",
        extensions: ["mpn"]
      },
      "application/vnd.mophun.certificate": {
        source: "iana",
        extensions: ["mpc"]
      },
      "application/vnd.motorola.flexsuite": {
        source: "iana"
      },
      "application/vnd.motorola.flexsuite.adsi": {
        source: "iana"
      },
      "application/vnd.motorola.flexsuite.fis": {
        source: "iana"
      },
      "application/vnd.motorola.flexsuite.gotap": {
        source: "iana"
      },
      "application/vnd.motorola.flexsuite.kmr": {
        source: "iana"
      },
      "application/vnd.motorola.flexsuite.ttc": {
        source: "iana"
      },
      "application/vnd.motorola.flexsuite.wem": {
        source: "iana"
      },
      "application/vnd.motorola.iprm": {
        source: "iana"
      },
      "application/vnd.mozilla.xul+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xul"]
      },
      "application/vnd.ms-3mfdocument": {
        source: "iana"
      },
      "application/vnd.ms-artgalry": {
        source: "iana",
        extensions: ["cil"]
      },
      "application/vnd.ms-asf": {
        source: "iana"
      },
      "application/vnd.ms-cab-compressed": {
        source: "iana",
        extensions: ["cab"]
      },
      "application/vnd.ms-color.iccprofile": {
        source: "apache"
      },
      "application/vnd.ms-excel": {
        source: "iana",
        compressible: false,
        extensions: ["xls", "xlm", "xla", "xlc", "xlt", "xlw"]
      },
      "application/vnd.ms-excel.addin.macroenabled.12": {
        source: "iana",
        extensions: ["xlam"]
      },
      "application/vnd.ms-excel.sheet.binary.macroenabled.12": {
        source: "iana",
        extensions: ["xlsb"]
      },
      "application/vnd.ms-excel.sheet.macroenabled.12": {
        source: "iana",
        extensions: ["xlsm"]
      },
      "application/vnd.ms-excel.template.macroenabled.12": {
        source: "iana",
        extensions: ["xltm"]
      },
      "application/vnd.ms-fontobject": {
        source: "iana",
        compressible: true,
        extensions: ["eot"]
      },
      "application/vnd.ms-htmlhelp": {
        source: "iana",
        extensions: ["chm"]
      },
      "application/vnd.ms-ims": {
        source: "iana",
        extensions: ["ims"]
      },
      "application/vnd.ms-lrm": {
        source: "iana",
        extensions: ["lrm"]
      },
      "application/vnd.ms-office.activex+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ms-officetheme": {
        source: "iana",
        extensions: ["thmx"]
      },
      "application/vnd.ms-opentype": {
        source: "apache",
        compressible: true
      },
      "application/vnd.ms-outlook": {
        compressible: false,
        extensions: ["msg"]
      },
      "application/vnd.ms-package.obfuscated-opentype": {
        source: "apache"
      },
      "application/vnd.ms-pki.seccat": {
        source: "apache",
        extensions: ["cat"]
      },
      "application/vnd.ms-pki.stl": {
        source: "apache",
        extensions: ["stl"]
      },
      "application/vnd.ms-playready.initiator+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ms-powerpoint": {
        source: "iana",
        compressible: false,
        extensions: ["ppt", "pps", "pot"]
      },
      "application/vnd.ms-powerpoint.addin.macroenabled.12": {
        source: "iana",
        extensions: ["ppam"]
      },
      "application/vnd.ms-powerpoint.presentation.macroenabled.12": {
        source: "iana",
        extensions: ["pptm"]
      },
      "application/vnd.ms-powerpoint.slide.macroenabled.12": {
        source: "iana",
        extensions: ["sldm"]
      },
      "application/vnd.ms-powerpoint.slideshow.macroenabled.12": {
        source: "iana",
        extensions: ["ppsm"]
      },
      "application/vnd.ms-powerpoint.template.macroenabled.12": {
        source: "iana",
        extensions: ["potm"]
      },
      "application/vnd.ms-printdevicecapabilities+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ms-printing.printticket+xml": {
        source: "apache",
        compressible: true
      },
      "application/vnd.ms-printschematicket+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ms-project": {
        source: "iana",
        extensions: ["mpp", "mpt"]
      },
      "application/vnd.ms-tnef": {
        source: "iana"
      },
      "application/vnd.ms-windows.devicepairing": {
        source: "iana"
      },
      "application/vnd.ms-windows.nwprinting.oob": {
        source: "iana"
      },
      "application/vnd.ms-windows.printerpairing": {
        source: "iana"
      },
      "application/vnd.ms-windows.wsd.oob": {
        source: "iana"
      },
      "application/vnd.ms-wmdrm.lic-chlg-req": {
        source: "iana"
      },
      "application/vnd.ms-wmdrm.lic-resp": {
        source: "iana"
      },
      "application/vnd.ms-wmdrm.meter-chlg-req": {
        source: "iana"
      },
      "application/vnd.ms-wmdrm.meter-resp": {
        source: "iana"
      },
      "application/vnd.ms-word.document.macroenabled.12": {
        source: "iana",
        extensions: ["docm"]
      },
      "application/vnd.ms-word.template.macroenabled.12": {
        source: "iana",
        extensions: ["dotm"]
      },
      "application/vnd.ms-works": {
        source: "iana",
        extensions: ["wps", "wks", "wcm", "wdb"]
      },
      "application/vnd.ms-wpl": {
        source: "iana",
        extensions: ["wpl"]
      },
      "application/vnd.ms-xpsdocument": {
        source: "iana",
        compressible: false,
        extensions: ["xps"]
      },
      "application/vnd.msa-disk-image": {
        source: "iana"
      },
      "application/vnd.mseq": {
        source: "iana",
        extensions: ["mseq"]
      },
      "application/vnd.msign": {
        source: "iana"
      },
      "application/vnd.multiad.creator": {
        source: "iana"
      },
      "application/vnd.multiad.creator.cif": {
        source: "iana"
      },
      "application/vnd.music-niff": {
        source: "iana"
      },
      "application/vnd.musician": {
        source: "iana",
        extensions: ["mus"]
      },
      "application/vnd.muvee.style": {
        source: "iana",
        extensions: ["msty"]
      },
      "application/vnd.mynfc": {
        source: "iana",
        extensions: ["taglet"]
      },
      "application/vnd.nacamar.ybrid+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.ncd.control": {
        source: "iana"
      },
      "application/vnd.ncd.reference": {
        source: "iana"
      },
      "application/vnd.nearst.inv+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.nebumind.line": {
        source: "iana"
      },
      "application/vnd.nervana": {
        source: "iana"
      },
      "application/vnd.netfpx": {
        source: "iana"
      },
      "application/vnd.neurolanguage.nlu": {
        source: "iana",
        extensions: ["nlu"]
      },
      "application/vnd.nimn": {
        source: "iana"
      },
      "application/vnd.nintendo.nitro.rom": {
        source: "iana"
      },
      "application/vnd.nintendo.snes.rom": {
        source: "iana"
      },
      "application/vnd.nitf": {
        source: "iana",
        extensions: ["ntf", "nitf"]
      },
      "application/vnd.noblenet-directory": {
        source: "iana",
        extensions: ["nnd"]
      },
      "application/vnd.noblenet-sealer": {
        source: "iana",
        extensions: ["nns"]
      },
      "application/vnd.noblenet-web": {
        source: "iana",
        extensions: ["nnw"]
      },
      "application/vnd.nokia.catalogs": {
        source: "iana"
      },
      "application/vnd.nokia.conml+wbxml": {
        source: "iana"
      },
      "application/vnd.nokia.conml+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.nokia.iptv.config+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.nokia.isds-radio-presets": {
        source: "iana"
      },
      "application/vnd.nokia.landmark+wbxml": {
        source: "iana"
      },
      "application/vnd.nokia.landmark+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.nokia.landmarkcollection+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.nokia.n-gage.ac+xml": {
        source: "iana",
        compressible: true,
        extensions: ["ac"]
      },
      "application/vnd.nokia.n-gage.data": {
        source: "iana",
        extensions: ["ngdat"]
      },
      "application/vnd.nokia.n-gage.symbian.install": {
        source: "iana",
        extensions: ["n-gage"]
      },
      "application/vnd.nokia.ncd": {
        source: "iana"
      },
      "application/vnd.nokia.pcd+wbxml": {
        source: "iana"
      },
      "application/vnd.nokia.pcd+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.nokia.radio-preset": {
        source: "iana",
        extensions: ["rpst"]
      },
      "application/vnd.nokia.radio-presets": {
        source: "iana",
        extensions: ["rpss"]
      },
      "application/vnd.novadigm.edm": {
        source: "iana",
        extensions: ["edm"]
      },
      "application/vnd.novadigm.edx": {
        source: "iana",
        extensions: ["edx"]
      },
      "application/vnd.novadigm.ext": {
        source: "iana",
        extensions: ["ext"]
      },
      "application/vnd.ntt-local.content-share": {
        source: "iana"
      },
      "application/vnd.ntt-local.file-transfer": {
        source: "iana"
      },
      "application/vnd.ntt-local.ogw_remote-access": {
        source: "iana"
      },
      "application/vnd.ntt-local.sip-ta_remote": {
        source: "iana"
      },
      "application/vnd.ntt-local.sip-ta_tcp_stream": {
        source: "iana"
      },
      "application/vnd.oasis.opendocument.chart": {
        source: "iana",
        extensions: ["odc"]
      },
      "application/vnd.oasis.opendocument.chart-template": {
        source: "iana",
        extensions: ["otc"]
      },
      "application/vnd.oasis.opendocument.database": {
        source: "iana",
        extensions: ["odb"]
      },
      "application/vnd.oasis.opendocument.formula": {
        source: "iana",
        extensions: ["odf"]
      },
      "application/vnd.oasis.opendocument.formula-template": {
        source: "iana",
        extensions: ["odft"]
      },
      "application/vnd.oasis.opendocument.graphics": {
        source: "iana",
        compressible: false,
        extensions: ["odg"]
      },
      "application/vnd.oasis.opendocument.graphics-template": {
        source: "iana",
        extensions: ["otg"]
      },
      "application/vnd.oasis.opendocument.image": {
        source: "iana",
        extensions: ["odi"]
      },
      "application/vnd.oasis.opendocument.image-template": {
        source: "iana",
        extensions: ["oti"]
      },
      "application/vnd.oasis.opendocument.presentation": {
        source: "iana",
        compressible: false,
        extensions: ["odp"]
      },
      "application/vnd.oasis.opendocument.presentation-template": {
        source: "iana",
        extensions: ["otp"]
      },
      "application/vnd.oasis.opendocument.spreadsheet": {
        source: "iana",
        compressible: false,
        extensions: ["ods"]
      },
      "application/vnd.oasis.opendocument.spreadsheet-template": {
        source: "iana",
        extensions: ["ots"]
      },
      "application/vnd.oasis.opendocument.text": {
        source: "iana",
        compressible: false,
        extensions: ["odt"]
      },
      "application/vnd.oasis.opendocument.text-master": {
        source: "iana",
        extensions: ["odm"]
      },
      "application/vnd.oasis.opendocument.text-template": {
        source: "iana",
        extensions: ["ott"]
      },
      "application/vnd.oasis.opendocument.text-web": {
        source: "iana",
        extensions: ["oth"]
      },
      "application/vnd.obn": {
        source: "iana"
      },
      "application/vnd.ocf+cbor": {
        source: "iana"
      },
      "application/vnd.oci.image.manifest.v1+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oftn.l10n+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.contentaccessdownload+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.contentaccessstreaming+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.cspg-hexbinary": {
        source: "iana"
      },
      "application/vnd.oipf.dae.svg+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.dae.xhtml+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.mippvcontrolmessage+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.pae.gem": {
        source: "iana"
      },
      "application/vnd.oipf.spdiscovery+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.spdlist+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.ueprofile+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oipf.userprofile+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.olpc-sugar": {
        source: "iana",
        extensions: ["xo"]
      },
      "application/vnd.oma-scws-config": {
        source: "iana"
      },
      "application/vnd.oma-scws-http-request": {
        source: "iana"
      },
      "application/vnd.oma-scws-http-response": {
        source: "iana"
      },
      "application/vnd.oma.bcast.associated-procedure-parameter+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.bcast.drm-trigger+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.bcast.imd+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.bcast.ltkm": {
        source: "iana"
      },
      "application/vnd.oma.bcast.notification+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.bcast.provisioningtrigger": {
        source: "iana"
      },
      "application/vnd.oma.bcast.sgboot": {
        source: "iana"
      },
      "application/vnd.oma.bcast.sgdd+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.bcast.sgdu": {
        source: "iana"
      },
      "application/vnd.oma.bcast.simple-symbol-container": {
        source: "iana"
      },
      "application/vnd.oma.bcast.smartcard-trigger+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.bcast.sprov+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.bcast.stkm": {
        source: "iana"
      },
      "application/vnd.oma.cab-address-book+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.cab-feature-handler+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.cab-pcc+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.cab-subs-invite+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.cab-user-prefs+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.dcd": {
        source: "iana"
      },
      "application/vnd.oma.dcdc": {
        source: "iana"
      },
      "application/vnd.oma.dd2+xml": {
        source: "iana",
        compressible: true,
        extensions: ["dd2"]
      },
      "application/vnd.oma.drm.risd+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.group-usage-list+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.lwm2m+cbor": {
        source: "iana"
      },
      "application/vnd.oma.lwm2m+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.lwm2m+tlv": {
        source: "iana"
      },
      "application/vnd.oma.pal+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.poc.detailed-progress-report+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.poc.final-report+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.poc.groups+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.poc.invocation-descriptor+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.poc.optimized-progress-report+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.push": {
        source: "iana"
      },
      "application/vnd.oma.scidm.messages+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oma.xcap-directory+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.omads-email+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/vnd.omads-file+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/vnd.omads-folder+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/vnd.omaloc-supl-init": {
        source: "iana"
      },
      "application/vnd.onepager": {
        source: "iana"
      },
      "application/vnd.onepagertamp": {
        source: "iana"
      },
      "application/vnd.onepagertamx": {
        source: "iana"
      },
      "application/vnd.onepagertat": {
        source: "iana"
      },
      "application/vnd.onepagertatp": {
        source: "iana"
      },
      "application/vnd.onepagertatx": {
        source: "iana"
      },
      "application/vnd.openblox.game+xml": {
        source: "iana",
        compressible: true,
        extensions: ["obgx"]
      },
      "application/vnd.openblox.game-binary": {
        source: "iana"
      },
      "application/vnd.openeye.oeb": {
        source: "iana"
      },
      "application/vnd.openofficeorg.extension": {
        source: "apache",
        extensions: ["oxt"]
      },
      "application/vnd.openstreetmap.data+xml": {
        source: "iana",
        compressible: true,
        extensions: ["osm"]
      },
      "application/vnd.opentimestamps.ots": {
        source: "iana"
      },
      "application/vnd.openxmlformats-officedocument.custom-properties+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.customxmlproperties+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.drawing+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.drawingml.chart+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.drawingml.chartshapes+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.drawingml.diagramcolors+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.drawingml.diagramdata+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.drawingml.diagramlayout+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.drawingml.diagramstyle+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.extended-properties+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.commentauthors+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.comments+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.handoutmaster+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.notesmaster+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.notesslide+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.presentation": {
        source: "iana",
        compressible: false,
        extensions: ["pptx"]
      },
      "application/vnd.openxmlformats-officedocument.presentationml.presentation.main+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.presprops+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.slide": {
        source: "iana",
        extensions: ["sldx"]
      },
      "application/vnd.openxmlformats-officedocument.presentationml.slide+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.slidelayout+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.slidemaster+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.slideshow": {
        source: "iana",
        extensions: ["ppsx"]
      },
      "application/vnd.openxmlformats-officedocument.presentationml.slideshow.main+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.slideupdateinfo+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.tablestyles+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.tags+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.template": {
        source: "iana",
        extensions: ["potx"]
      },
      "application/vnd.openxmlformats-officedocument.presentationml.template.main+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.presentationml.viewprops+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.calcchain+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.chartsheet+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.comments+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.connections+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.dialogsheet+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.externallink+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.pivotcachedefinition+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.pivotcacherecords+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.pivottable+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.querytable+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.revisionheaders+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.revisionlog+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.sharedstrings+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": {
        source: "iana",
        compressible: false,
        extensions: ["xlsx"]
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.sheetmetadata+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.table+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.tablesinglecells+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.template": {
        source: "iana",
        extensions: ["xltx"]
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.template.main+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.usernames+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.volatiledependencies+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.theme+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.themeoverride+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.vmldrawing": {
        source: "iana"
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.comments+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.document": {
        source: "iana",
        compressible: false,
        extensions: ["docx"]
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.document.glossary+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.document.main+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.endnotes+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.fonttable+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.footer+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.footnotes+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.numbering+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.settings+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.styles+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.template": {
        source: "iana",
        extensions: ["dotx"]
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.template.main+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-officedocument.wordprocessingml.websettings+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-package.core-properties+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-package.digital-signature-xmlsignature+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.openxmlformats-package.relationships+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oracle.resource+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.orange.indata": {
        source: "iana"
      },
      "application/vnd.osa.netdeploy": {
        source: "iana"
      },
      "application/vnd.osgeo.mapguide.package": {
        source: "iana",
        extensions: ["mgp"]
      },
      "application/vnd.osgi.bundle": {
        source: "iana"
      },
      "application/vnd.osgi.dp": {
        source: "iana",
        extensions: ["dp"]
      },
      "application/vnd.osgi.subsystem": {
        source: "iana",
        extensions: ["esa"]
      },
      "application/vnd.otps.ct-kip+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.oxli.countgraph": {
        source: "iana"
      },
      "application/vnd.pagerduty+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.palm": {
        source: "iana",
        extensions: ["pdb", "pqa", "oprc"]
      },
      "application/vnd.panoply": {
        source: "iana"
      },
      "application/vnd.paos.xml": {
        source: "iana"
      },
      "application/vnd.patentdive": {
        source: "iana"
      },
      "application/vnd.patientecommsdoc": {
        source: "iana"
      },
      "application/vnd.pawaafile": {
        source: "iana",
        extensions: ["paw"]
      },
      "application/vnd.pcos": {
        source: "iana"
      },
      "application/vnd.pg.format": {
        source: "iana",
        extensions: ["str"]
      },
      "application/vnd.pg.osasli": {
        source: "iana",
        extensions: ["ei6"]
      },
      "application/vnd.piaccess.application-licence": {
        source: "iana"
      },
      "application/vnd.picsel": {
        source: "iana",
        extensions: ["efif"]
      },
      "application/vnd.pmi.widget": {
        source: "iana",
        extensions: ["wg"]
      },
      "application/vnd.poc.group-advertisement+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.pocketlearn": {
        source: "iana",
        extensions: ["plf"]
      },
      "application/vnd.powerbuilder6": {
        source: "iana",
        extensions: ["pbd"]
      },
      "application/vnd.powerbuilder6-s": {
        source: "iana"
      },
      "application/vnd.powerbuilder7": {
        source: "iana"
      },
      "application/vnd.powerbuilder7-s": {
        source: "iana"
      },
      "application/vnd.powerbuilder75": {
        source: "iana"
      },
      "application/vnd.powerbuilder75-s": {
        source: "iana"
      },
      "application/vnd.preminet": {
        source: "iana"
      },
      "application/vnd.previewsystems.box": {
        source: "iana",
        extensions: ["box"]
      },
      "application/vnd.proteus.magazine": {
        source: "iana",
        extensions: ["mgz"]
      },
      "application/vnd.psfs": {
        source: "iana"
      },
      "application/vnd.publishare-delta-tree": {
        source: "iana",
        extensions: ["qps"]
      },
      "application/vnd.pvi.ptid1": {
        source: "iana",
        extensions: ["ptid"]
      },
      "application/vnd.pwg-multiplexed": {
        source: "iana"
      },
      "application/vnd.pwg-xhtml-print+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.qualcomm.brew-app-res": {
        source: "iana"
      },
      "application/vnd.quarantainenet": {
        source: "iana"
      },
      "application/vnd.quark.quarkxpress": {
        source: "iana",
        extensions: ["qxd", "qxt", "qwd", "qwt", "qxl", "qxb"]
      },
      "application/vnd.quobject-quoxdocument": {
        source: "iana"
      },
      "application/vnd.radisys.moml+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-audit+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-audit-conf+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-audit-conn+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-audit-dialog+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-audit-stream+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-conf+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-dialog+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-dialog-base+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-dialog-fax-detect+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-dialog-fax-sendrecv+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-dialog-group+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-dialog-speech+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.radisys.msml-dialog-transform+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.rainstor.data": {
        source: "iana"
      },
      "application/vnd.rapid": {
        source: "iana"
      },
      "application/vnd.rar": {
        source: "iana",
        extensions: ["rar"]
      },
      "application/vnd.realvnc.bed": {
        source: "iana",
        extensions: ["bed"]
      },
      "application/vnd.recordare.musicxml": {
        source: "iana",
        extensions: ["mxl"]
      },
      "application/vnd.recordare.musicxml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["musicxml"]
      },
      "application/vnd.renlearn.rlprint": {
        source: "iana"
      },
      "application/vnd.resilient.logic": {
        source: "iana"
      },
      "application/vnd.restful+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.rig.cryptonote": {
        source: "iana",
        extensions: ["cryptonote"]
      },
      "application/vnd.rim.cod": {
        source: "apache",
        extensions: ["cod"]
      },
      "application/vnd.rn-realmedia": {
        source: "apache",
        extensions: ["rm"]
      },
      "application/vnd.rn-realmedia-vbr": {
        source: "apache",
        extensions: ["rmvb"]
      },
      "application/vnd.route66.link66+xml": {
        source: "iana",
        compressible: true,
        extensions: ["link66"]
      },
      "application/vnd.rs-274x": {
        source: "iana"
      },
      "application/vnd.ruckus.download": {
        source: "iana"
      },
      "application/vnd.s3sms": {
        source: "iana"
      },
      "application/vnd.sailingtracker.track": {
        source: "iana",
        extensions: ["st"]
      },
      "application/vnd.sar": {
        source: "iana"
      },
      "application/vnd.sbm.cid": {
        source: "iana"
      },
      "application/vnd.sbm.mid2": {
        source: "iana"
      },
      "application/vnd.scribus": {
        source: "iana"
      },
      "application/vnd.sealed.3df": {
        source: "iana"
      },
      "application/vnd.sealed.csf": {
        source: "iana"
      },
      "application/vnd.sealed.doc": {
        source: "iana"
      },
      "application/vnd.sealed.eml": {
        source: "iana"
      },
      "application/vnd.sealed.mht": {
        source: "iana"
      },
      "application/vnd.sealed.net": {
        source: "iana"
      },
      "application/vnd.sealed.ppt": {
        source: "iana"
      },
      "application/vnd.sealed.tiff": {
        source: "iana"
      },
      "application/vnd.sealed.xls": {
        source: "iana"
      },
      "application/vnd.sealedmedia.softseal.html": {
        source: "iana"
      },
      "application/vnd.sealedmedia.softseal.pdf": {
        source: "iana"
      },
      "application/vnd.seemail": {
        source: "iana",
        extensions: ["see"]
      },
      "application/vnd.seis+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.sema": {
        source: "iana",
        extensions: ["sema"]
      },
      "application/vnd.semd": {
        source: "iana",
        extensions: ["semd"]
      },
      "application/vnd.semf": {
        source: "iana",
        extensions: ["semf"]
      },
      "application/vnd.shade-save-file": {
        source: "iana"
      },
      "application/vnd.shana.informed.formdata": {
        source: "iana",
        extensions: ["ifm"]
      },
      "application/vnd.shana.informed.formtemplate": {
        source: "iana",
        extensions: ["itp"]
      },
      "application/vnd.shana.informed.interchange": {
        source: "iana",
        extensions: ["iif"]
      },
      "application/vnd.shana.informed.package": {
        source: "iana",
        extensions: ["ipk"]
      },
      "application/vnd.shootproof+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.shopkick+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.shp": {
        source: "iana"
      },
      "application/vnd.shx": {
        source: "iana"
      },
      "application/vnd.sigrok.session": {
        source: "iana"
      },
      "application/vnd.simtech-mindmapper": {
        source: "iana",
        extensions: ["twd", "twds"]
      },
      "application/vnd.siren+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.smaf": {
        source: "iana",
        extensions: ["mmf"]
      },
      "application/vnd.smart.notebook": {
        source: "iana"
      },
      "application/vnd.smart.teacher": {
        source: "iana",
        extensions: ["teacher"]
      },
      "application/vnd.snesdev-page-table": {
        source: "iana"
      },
      "application/vnd.software602.filler.form+xml": {
        source: "iana",
        compressible: true,
        extensions: ["fo"]
      },
      "application/vnd.software602.filler.form-xml-zip": {
        source: "iana"
      },
      "application/vnd.solent.sdkm+xml": {
        source: "iana",
        compressible: true,
        extensions: ["sdkm", "sdkd"]
      },
      "application/vnd.spotfire.dxp": {
        source: "iana",
        extensions: ["dxp"]
      },
      "application/vnd.spotfire.sfs": {
        source: "iana",
        extensions: ["sfs"]
      },
      "application/vnd.sqlite3": {
        source: "iana"
      },
      "application/vnd.sss-cod": {
        source: "iana"
      },
      "application/vnd.sss-dtf": {
        source: "iana"
      },
      "application/vnd.sss-ntf": {
        source: "iana"
      },
      "application/vnd.stardivision.calc": {
        source: "apache",
        extensions: ["sdc"]
      },
      "application/vnd.stardivision.draw": {
        source: "apache",
        extensions: ["sda"]
      },
      "application/vnd.stardivision.impress": {
        source: "apache",
        extensions: ["sdd"]
      },
      "application/vnd.stardivision.math": {
        source: "apache",
        extensions: ["smf"]
      },
      "application/vnd.stardivision.writer": {
        source: "apache",
        extensions: ["sdw", "vor"]
      },
      "application/vnd.stardivision.writer-global": {
        source: "apache",
        extensions: ["sgl"]
      },
      "application/vnd.stepmania.package": {
        source: "iana",
        extensions: ["smzip"]
      },
      "application/vnd.stepmania.stepchart": {
        source: "iana",
        extensions: ["sm"]
      },
      "application/vnd.street-stream": {
        source: "iana"
      },
      "application/vnd.sun.wadl+xml": {
        source: "iana",
        compressible: true,
        extensions: ["wadl"]
      },
      "application/vnd.sun.xml.calc": {
        source: "apache",
        extensions: ["sxc"]
      },
      "application/vnd.sun.xml.calc.template": {
        source: "apache",
        extensions: ["stc"]
      },
      "application/vnd.sun.xml.draw": {
        source: "apache",
        extensions: ["sxd"]
      },
      "application/vnd.sun.xml.draw.template": {
        source: "apache",
        extensions: ["std"]
      },
      "application/vnd.sun.xml.impress": {
        source: "apache",
        extensions: ["sxi"]
      },
      "application/vnd.sun.xml.impress.template": {
        source: "apache",
        extensions: ["sti"]
      },
      "application/vnd.sun.xml.math": {
        source: "apache",
        extensions: ["sxm"]
      },
      "application/vnd.sun.xml.writer": {
        source: "apache",
        extensions: ["sxw"]
      },
      "application/vnd.sun.xml.writer.global": {
        source: "apache",
        extensions: ["sxg"]
      },
      "application/vnd.sun.xml.writer.template": {
        source: "apache",
        extensions: ["stw"]
      },
      "application/vnd.sus-calendar": {
        source: "iana",
        extensions: ["sus", "susp"]
      },
      "application/vnd.svd": {
        source: "iana",
        extensions: ["svd"]
      },
      "application/vnd.swiftview-ics": {
        source: "iana"
      },
      "application/vnd.sycle+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.syft+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.symbian.install": {
        source: "apache",
        extensions: ["sis", "sisx"]
      },
      "application/vnd.syncml+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["xsm"]
      },
      "application/vnd.syncml.dm+wbxml": {
        source: "iana",
        charset: "UTF-8",
        extensions: ["bdm"]
      },
      "application/vnd.syncml.dm+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["xdm"]
      },
      "application/vnd.syncml.dm.notification": {
        source: "iana"
      },
      "application/vnd.syncml.dmddf+wbxml": {
        source: "iana"
      },
      "application/vnd.syncml.dmddf+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["ddf"]
      },
      "application/vnd.syncml.dmtnds+wbxml": {
        source: "iana"
      },
      "application/vnd.syncml.dmtnds+xml": {
        source: "iana",
        charset: "UTF-8",
        compressible: true
      },
      "application/vnd.syncml.ds.notification": {
        source: "iana"
      },
      "application/vnd.tableschema+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.tao.intent-module-archive": {
        source: "iana",
        extensions: ["tao"]
      },
      "application/vnd.tcpdump.pcap": {
        source: "iana",
        extensions: ["pcap", "cap", "dmp"]
      },
      "application/vnd.think-cell.ppttc+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.tmd.mediaflex.api+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.tml": {
        source: "iana"
      },
      "application/vnd.tmobile-livetv": {
        source: "iana",
        extensions: ["tmo"]
      },
      "application/vnd.tri.onesource": {
        source: "iana"
      },
      "application/vnd.trid.tpt": {
        source: "iana",
        extensions: ["tpt"]
      },
      "application/vnd.triscape.mxs": {
        source: "iana",
        extensions: ["mxs"]
      },
      "application/vnd.trueapp": {
        source: "iana",
        extensions: ["tra"]
      },
      "application/vnd.truedoc": {
        source: "iana"
      },
      "application/vnd.ubisoft.webplayer": {
        source: "iana"
      },
      "application/vnd.ufdl": {
        source: "iana",
        extensions: ["ufd", "ufdl"]
      },
      "application/vnd.uiq.theme": {
        source: "iana",
        extensions: ["utz"]
      },
      "application/vnd.umajin": {
        source: "iana",
        extensions: ["umj"]
      },
      "application/vnd.unity": {
        source: "iana",
        extensions: ["unityweb"]
      },
      "application/vnd.uoml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["uoml"]
      },
      "application/vnd.uplanet.alert": {
        source: "iana"
      },
      "application/vnd.uplanet.alert-wbxml": {
        source: "iana"
      },
      "application/vnd.uplanet.bearer-choice": {
        source: "iana"
      },
      "application/vnd.uplanet.bearer-choice-wbxml": {
        source: "iana"
      },
      "application/vnd.uplanet.cacheop": {
        source: "iana"
      },
      "application/vnd.uplanet.cacheop-wbxml": {
        source: "iana"
      },
      "application/vnd.uplanet.channel": {
        source: "iana"
      },
      "application/vnd.uplanet.channel-wbxml": {
        source: "iana"
      },
      "application/vnd.uplanet.list": {
        source: "iana"
      },
      "application/vnd.uplanet.list-wbxml": {
        source: "iana"
      },
      "application/vnd.uplanet.listcmd": {
        source: "iana"
      },
      "application/vnd.uplanet.listcmd-wbxml": {
        source: "iana"
      },
      "application/vnd.uplanet.signal": {
        source: "iana"
      },
      "application/vnd.uri-map": {
        source: "iana"
      },
      "application/vnd.valve.source.material": {
        source: "iana"
      },
      "application/vnd.vcx": {
        source: "iana",
        extensions: ["vcx"]
      },
      "application/vnd.vd-study": {
        source: "iana"
      },
      "application/vnd.vectorworks": {
        source: "iana"
      },
      "application/vnd.vel+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.verimatrix.vcas": {
        source: "iana"
      },
      "application/vnd.veritone.aion+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.veryant.thin": {
        source: "iana"
      },
      "application/vnd.ves.encrypted": {
        source: "iana"
      },
      "application/vnd.vidsoft.vidconference": {
        source: "iana"
      },
      "application/vnd.visio": {
        source: "iana",
        extensions: ["vsd", "vst", "vss", "vsw"]
      },
      "application/vnd.visionary": {
        source: "iana",
        extensions: ["vis"]
      },
      "application/vnd.vividence.scriptfile": {
        source: "iana"
      },
      "application/vnd.vsf": {
        source: "iana",
        extensions: ["vsf"]
      },
      "application/vnd.wap.sic": {
        source: "iana"
      },
      "application/vnd.wap.slc": {
        source: "iana"
      },
      "application/vnd.wap.wbxml": {
        source: "iana",
        charset: "UTF-8",
        extensions: ["wbxml"]
      },
      "application/vnd.wap.wmlc": {
        source: "iana",
        extensions: ["wmlc"]
      },
      "application/vnd.wap.wmlscriptc": {
        source: "iana",
        extensions: ["wmlsc"]
      },
      "application/vnd.webturbo": {
        source: "iana",
        extensions: ["wtb"]
      },
      "application/vnd.wfa.dpp": {
        source: "iana"
      },
      "application/vnd.wfa.p2p": {
        source: "iana"
      },
      "application/vnd.wfa.wsc": {
        source: "iana"
      },
      "application/vnd.windows.devicepairing": {
        source: "iana"
      },
      "application/vnd.wmc": {
        source: "iana"
      },
      "application/vnd.wmf.bootstrap": {
        source: "iana"
      },
      "application/vnd.wolfram.mathematica": {
        source: "iana"
      },
      "application/vnd.wolfram.mathematica.package": {
        source: "iana"
      },
      "application/vnd.wolfram.player": {
        source: "iana",
        extensions: ["nbp"]
      },
      "application/vnd.wordperfect": {
        source: "iana",
        extensions: ["wpd"]
      },
      "application/vnd.wqd": {
        source: "iana",
        extensions: ["wqd"]
      },
      "application/vnd.wrq-hp3000-labelled": {
        source: "iana"
      },
      "application/vnd.wt.stf": {
        source: "iana",
        extensions: ["stf"]
      },
      "application/vnd.wv.csp+wbxml": {
        source: "iana"
      },
      "application/vnd.wv.csp+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.wv.ssp+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.xacml+json": {
        source: "iana",
        compressible: true
      },
      "application/vnd.xara": {
        source: "iana",
        extensions: ["xar"]
      },
      "application/vnd.xfdl": {
        source: "iana",
        extensions: ["xfdl"]
      },
      "application/vnd.xfdl.webform": {
        source: "iana"
      },
      "application/vnd.xmi+xml": {
        source: "iana",
        compressible: true
      },
      "application/vnd.xmpie.cpkg": {
        source: "iana"
      },
      "application/vnd.xmpie.dpkg": {
        source: "iana"
      },
      "application/vnd.xmpie.plan": {
        source: "iana"
      },
      "application/vnd.xmpie.ppkg": {
        source: "iana"
      },
      "application/vnd.xmpie.xlim": {
        source: "iana"
      },
      "application/vnd.yamaha.hv-dic": {
        source: "iana",
        extensions: ["hvd"]
      },
      "application/vnd.yamaha.hv-script": {
        source: "iana",
        extensions: ["hvs"]
      },
      "application/vnd.yamaha.hv-voice": {
        source: "iana",
        extensions: ["hvp"]
      },
      "application/vnd.yamaha.openscoreformat": {
        source: "iana",
        extensions: ["osf"]
      },
      "application/vnd.yamaha.openscoreformat.osfpvg+xml": {
        source: "iana",
        compressible: true,
        extensions: ["osfpvg"]
      },
      "application/vnd.yamaha.remote-setup": {
        source: "iana"
      },
      "application/vnd.yamaha.smaf-audio": {
        source: "iana",
        extensions: ["saf"]
      },
      "application/vnd.yamaha.smaf-phrase": {
        source: "iana",
        extensions: ["spf"]
      },
      "application/vnd.yamaha.through-ngn": {
        source: "iana"
      },
      "application/vnd.yamaha.tunnel-udpencap": {
        source: "iana"
      },
      "application/vnd.yaoweme": {
        source: "iana"
      },
      "application/vnd.yellowriver-custom-menu": {
        source: "iana",
        extensions: ["cmp"]
      },
      "application/vnd.youtube.yt": {
        source: "iana"
      },
      "application/vnd.zul": {
        source: "iana",
        extensions: ["zir", "zirz"]
      },
      "application/vnd.zzazz.deck+xml": {
        source: "iana",
        compressible: true,
        extensions: ["zaz"]
      },
      "application/voicexml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["vxml"]
      },
      "application/voucher-cms+json": {
        source: "iana",
        compressible: true
      },
      "application/vq-rtcpxr": {
        source: "iana"
      },
      "application/wasm": {
        source: "iana",
        compressible: true,
        extensions: ["wasm"]
      },
      "application/watcherinfo+xml": {
        source: "iana",
        compressible: true,
        extensions: ["wif"]
      },
      "application/webpush-options+json": {
        source: "iana",
        compressible: true
      },
      "application/whoispp-query": {
        source: "iana"
      },
      "application/whoispp-response": {
        source: "iana"
      },
      "application/widget": {
        source: "iana",
        extensions: ["wgt"]
      },
      "application/winhlp": {
        source: "apache",
        extensions: ["hlp"]
      },
      "application/wita": {
        source: "iana"
      },
      "application/wordperfect5.1": {
        source: "iana"
      },
      "application/wsdl+xml": {
        source: "iana",
        compressible: true,
        extensions: ["wsdl"]
      },
      "application/wspolicy+xml": {
        source: "iana",
        compressible: true,
        extensions: ["wspolicy"]
      },
      "application/x-7z-compressed": {
        source: "apache",
        compressible: false,
        extensions: ["7z"]
      },
      "application/x-abiword": {
        source: "apache",
        extensions: ["abw"]
      },
      "application/x-ace-compressed": {
        source: "apache",
        extensions: ["ace"]
      },
      "application/x-amf": {
        source: "apache"
      },
      "application/x-apple-diskimage": {
        source: "apache",
        extensions: ["dmg"]
      },
      "application/x-arj": {
        compressible: false,
        extensions: ["arj"]
      },
      "application/x-authorware-bin": {
        source: "apache",
        extensions: ["aab", "x32", "u32", "vox"]
      },
      "application/x-authorware-map": {
        source: "apache",
        extensions: ["aam"]
      },
      "application/x-authorware-seg": {
        source: "apache",
        extensions: ["aas"]
      },
      "application/x-bcpio": {
        source: "apache",
        extensions: ["bcpio"]
      },
      "application/x-bdoc": {
        compressible: false,
        extensions: ["bdoc"]
      },
      "application/x-bittorrent": {
        source: "apache",
        extensions: ["torrent"]
      },
      "application/x-blorb": {
        source: "apache",
        extensions: ["blb", "blorb"]
      },
      "application/x-bzip": {
        source: "apache",
        compressible: false,
        extensions: ["bz"]
      },
      "application/x-bzip2": {
        source: "apache",
        compressible: false,
        extensions: ["bz2", "boz"]
      },
      "application/x-cbr": {
        source: "apache",
        extensions: ["cbr", "cba", "cbt", "cbz", "cb7"]
      },
      "application/x-cdlink": {
        source: "apache",
        extensions: ["vcd"]
      },
      "application/x-cfs-compressed": {
        source: "apache",
        extensions: ["cfs"]
      },
      "application/x-chat": {
        source: "apache",
        extensions: ["chat"]
      },
      "application/x-chess-pgn": {
        source: "apache",
        extensions: ["pgn"]
      },
      "application/x-chrome-extension": {
        extensions: ["crx"]
      },
      "application/x-cocoa": {
        source: "nginx",
        extensions: ["cco"]
      },
      "application/x-compress": {
        source: "apache"
      },
      "application/x-conference": {
        source: "apache",
        extensions: ["nsc"]
      },
      "application/x-cpio": {
        source: "apache",
        extensions: ["cpio"]
      },
      "application/x-csh": {
        source: "apache",
        extensions: ["csh"]
      },
      "application/x-deb": {
        compressible: false
      },
      "application/x-debian-package": {
        source: "apache",
        extensions: ["deb", "udeb"]
      },
      "application/x-dgc-compressed": {
        source: "apache",
        extensions: ["dgc"]
      },
      "application/x-director": {
        source: "apache",
        extensions: ["dir", "dcr", "dxr", "cst", "cct", "cxt", "w3d", "fgd", "swa"]
      },
      "application/x-doom": {
        source: "apache",
        extensions: ["wad"]
      },
      "application/x-dtbncx+xml": {
        source: "apache",
        compressible: true,
        extensions: ["ncx"]
      },
      "application/x-dtbook+xml": {
        source: "apache",
        compressible: true,
        extensions: ["dtb"]
      },
      "application/x-dtbresource+xml": {
        source: "apache",
        compressible: true,
        extensions: ["res"]
      },
      "application/x-dvi": {
        source: "apache",
        compressible: false,
        extensions: ["dvi"]
      },
      "application/x-envoy": {
        source: "apache",
        extensions: ["evy"]
      },
      "application/x-eva": {
        source: "apache",
        extensions: ["eva"]
      },
      "application/x-font-bdf": {
        source: "apache",
        extensions: ["bdf"]
      },
      "application/x-font-dos": {
        source: "apache"
      },
      "application/x-font-framemaker": {
        source: "apache"
      },
      "application/x-font-ghostscript": {
        source: "apache",
        extensions: ["gsf"]
      },
      "application/x-font-libgrx": {
        source: "apache"
      },
      "application/x-font-linux-psf": {
        source: "apache",
        extensions: ["psf"]
      },
      "application/x-font-pcf": {
        source: "apache",
        extensions: ["pcf"]
      },
      "application/x-font-snf": {
        source: "apache",
        extensions: ["snf"]
      },
      "application/x-font-speedo": {
        source: "apache"
      },
      "application/x-font-sunos-news": {
        source: "apache"
      },
      "application/x-font-type1": {
        source: "apache",
        extensions: ["pfa", "pfb", "pfm", "afm"]
      },
      "application/x-font-vfont": {
        source: "apache"
      },
      "application/x-freearc": {
        source: "apache",
        extensions: ["arc"]
      },
      "application/x-futuresplash": {
        source: "apache",
        extensions: ["spl"]
      },
      "application/x-gca-compressed": {
        source: "apache",
        extensions: ["gca"]
      },
      "application/x-glulx": {
        source: "apache",
        extensions: ["ulx"]
      },
      "application/x-gnumeric": {
        source: "apache",
        extensions: ["gnumeric"]
      },
      "application/x-gramps-xml": {
        source: "apache",
        extensions: ["gramps"]
      },
      "application/x-gtar": {
        source: "apache",
        extensions: ["gtar"]
      },
      "application/x-gzip": {
        source: "apache"
      },
      "application/x-hdf": {
        source: "apache",
        extensions: ["hdf"]
      },
      "application/x-httpd-php": {
        compressible: true,
        extensions: ["php"]
      },
      "application/x-install-instructions": {
        source: "apache",
        extensions: ["install"]
      },
      "application/x-iso9660-image": {
        source: "apache",
        extensions: ["iso"]
      },
      "application/x-iwork-keynote-sffkey": {
        extensions: ["key"]
      },
      "application/x-iwork-numbers-sffnumbers": {
        extensions: ["numbers"]
      },
      "application/x-iwork-pages-sffpages": {
        extensions: ["pages"]
      },
      "application/x-java-archive-diff": {
        source: "nginx",
        extensions: ["jardiff"]
      },
      "application/x-java-jnlp-file": {
        source: "apache",
        compressible: false,
        extensions: ["jnlp"]
      },
      "application/x-javascript": {
        compressible: true
      },
      "application/x-keepass2": {
        extensions: ["kdbx"]
      },
      "application/x-latex": {
        source: "apache",
        compressible: false,
        extensions: ["latex"]
      },
      "application/x-lua-bytecode": {
        extensions: ["luac"]
      },
      "application/x-lzh-compressed": {
        source: "apache",
        extensions: ["lzh", "lha"]
      },
      "application/x-makeself": {
        source: "nginx",
        extensions: ["run"]
      },
      "application/x-mie": {
        source: "apache",
        extensions: ["mie"]
      },
      "application/x-mobipocket-ebook": {
        source: "apache",
        extensions: ["prc", "mobi"]
      },
      "application/x-mpegurl": {
        compressible: false
      },
      "application/x-ms-application": {
        source: "apache",
        extensions: ["application"]
      },
      "application/x-ms-shortcut": {
        source: "apache",
        extensions: ["lnk"]
      },
      "application/x-ms-wmd": {
        source: "apache",
        extensions: ["wmd"]
      },
      "application/x-ms-wmz": {
        source: "apache",
        extensions: ["wmz"]
      },
      "application/x-ms-xbap": {
        source: "apache",
        extensions: ["xbap"]
      },
      "application/x-msaccess": {
        source: "apache",
        extensions: ["mdb"]
      },
      "application/x-msbinder": {
        source: "apache",
        extensions: ["obd"]
      },
      "application/x-mscardfile": {
        source: "apache",
        extensions: ["crd"]
      },
      "application/x-msclip": {
        source: "apache",
        extensions: ["clp"]
      },
      "application/x-msdos-program": {
        extensions: ["exe"]
      },
      "application/x-msdownload": {
        source: "apache",
        extensions: ["exe", "dll", "com", "bat", "msi"]
      },
      "application/x-msmediaview": {
        source: "apache",
        extensions: ["mvb", "m13", "m14"]
      },
      "application/x-msmetafile": {
        source: "apache",
        extensions: ["wmf", "wmz", "emf", "emz"]
      },
      "application/x-msmoney": {
        source: "apache",
        extensions: ["mny"]
      },
      "application/x-mspublisher": {
        source: "apache",
        extensions: ["pub"]
      },
      "application/x-msschedule": {
        source: "apache",
        extensions: ["scd"]
      },
      "application/x-msterminal": {
        source: "apache",
        extensions: ["trm"]
      },
      "application/x-mswrite": {
        source: "apache",
        extensions: ["wri"]
      },
      "application/x-netcdf": {
        source: "apache",
        extensions: ["nc", "cdf"]
      },
      "application/x-ns-proxy-autoconfig": {
        compressible: true,
        extensions: ["pac"]
      },
      "application/x-nzb": {
        source: "apache",
        extensions: ["nzb"]
      },
      "application/x-perl": {
        source: "nginx",
        extensions: ["pl", "pm"]
      },
      "application/x-pilot": {
        source: "nginx",
        extensions: ["prc", "pdb"]
      },
      "application/x-pkcs12": {
        source: "apache",
        compressible: false,
        extensions: ["p12", "pfx"]
      },
      "application/x-pkcs7-certificates": {
        source: "apache",
        extensions: ["p7b", "spc"]
      },
      "application/x-pkcs7-certreqresp": {
        source: "apache",
        extensions: ["p7r"]
      },
      "application/x-pki-message": {
        source: "iana"
      },
      "application/x-rar-compressed": {
        source: "apache",
        compressible: false,
        extensions: ["rar"]
      },
      "application/x-redhat-package-manager": {
        source: "nginx",
        extensions: ["rpm"]
      },
      "application/x-research-info-systems": {
        source: "apache",
        extensions: ["ris"]
      },
      "application/x-sea": {
        source: "nginx",
        extensions: ["sea"]
      },
      "application/x-sh": {
        source: "apache",
        compressible: true,
        extensions: ["sh"]
      },
      "application/x-shar": {
        source: "apache",
        extensions: ["shar"]
      },
      "application/x-shockwave-flash": {
        source: "apache",
        compressible: false,
        extensions: ["swf"]
      },
      "application/x-silverlight-app": {
        source: "apache",
        extensions: ["xap"]
      },
      "application/x-sql": {
        source: "apache",
        extensions: ["sql"]
      },
      "application/x-stuffit": {
        source: "apache",
        compressible: false,
        extensions: ["sit"]
      },
      "application/x-stuffitx": {
        source: "apache",
        extensions: ["sitx"]
      },
      "application/x-subrip": {
        source: "apache",
        extensions: ["srt"]
      },
      "application/x-sv4cpio": {
        source: "apache",
        extensions: ["sv4cpio"]
      },
      "application/x-sv4crc": {
        source: "apache",
        extensions: ["sv4crc"]
      },
      "application/x-t3vm-image": {
        source: "apache",
        extensions: ["t3"]
      },
      "application/x-tads": {
        source: "apache",
        extensions: ["gam"]
      },
      "application/x-tar": {
        source: "apache",
        compressible: true,
        extensions: ["tar"]
      },
      "application/x-tcl": {
        source: "apache",
        extensions: ["tcl", "tk"]
      },
      "application/x-tex": {
        source: "apache",
        extensions: ["tex"]
      },
      "application/x-tex-tfm": {
        source: "apache",
        extensions: ["tfm"]
      },
      "application/x-texinfo": {
        source: "apache",
        extensions: ["texinfo", "texi"]
      },
      "application/x-tgif": {
        source: "apache",
        extensions: ["obj"]
      },
      "application/x-ustar": {
        source: "apache",
        extensions: ["ustar"]
      },
      "application/x-virtualbox-hdd": {
        compressible: true,
        extensions: ["hdd"]
      },
      "application/x-virtualbox-ova": {
        compressible: true,
        extensions: ["ova"]
      },
      "application/x-virtualbox-ovf": {
        compressible: true,
        extensions: ["ovf"]
      },
      "application/x-virtualbox-vbox": {
        compressible: true,
        extensions: ["vbox"]
      },
      "application/x-virtualbox-vbox-extpack": {
        compressible: false,
        extensions: ["vbox-extpack"]
      },
      "application/x-virtualbox-vdi": {
        compressible: true,
        extensions: ["vdi"]
      },
      "application/x-virtualbox-vhd": {
        compressible: true,
        extensions: ["vhd"]
      },
      "application/x-virtualbox-vmdk": {
        compressible: true,
        extensions: ["vmdk"]
      },
      "application/x-wais-source": {
        source: "apache",
        extensions: ["src"]
      },
      "application/x-web-app-manifest+json": {
        compressible: true,
        extensions: ["webapp"]
      },
      "application/x-www-form-urlencoded": {
        source: "iana",
        compressible: true
      },
      "application/x-x509-ca-cert": {
        source: "iana",
        extensions: ["der", "crt", "pem"]
      },
      "application/x-x509-ca-ra-cert": {
        source: "iana"
      },
      "application/x-x509-next-ca-cert": {
        source: "iana"
      },
      "application/x-xfig": {
        source: "apache",
        extensions: ["fig"]
      },
      "application/x-xliff+xml": {
        source: "apache",
        compressible: true,
        extensions: ["xlf"]
      },
      "application/x-xpinstall": {
        source: "apache",
        compressible: false,
        extensions: ["xpi"]
      },
      "application/x-xz": {
        source: "apache",
        extensions: ["xz"]
      },
      "application/x-zmachine": {
        source: "apache",
        extensions: ["z1", "z2", "z3", "z4", "z5", "z6", "z7", "z8"]
      },
      "application/x400-bp": {
        source: "iana"
      },
      "application/xacml+xml": {
        source: "iana",
        compressible: true
      },
      "application/xaml+xml": {
        source: "apache",
        compressible: true,
        extensions: ["xaml"]
      },
      "application/xcap-att+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xav"]
      },
      "application/xcap-caps+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xca"]
      },
      "application/xcap-diff+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xdf"]
      },
      "application/xcap-el+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xel"]
      },
      "application/xcap-error+xml": {
        source: "iana",
        compressible: true
      },
      "application/xcap-ns+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xns"]
      },
      "application/xcon-conference-info+xml": {
        source: "iana",
        compressible: true
      },
      "application/xcon-conference-info-diff+xml": {
        source: "iana",
        compressible: true
      },
      "application/xenc+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xenc"]
      },
      "application/xhtml+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xhtml", "xht"]
      },
      "application/xhtml-voice+xml": {
        source: "apache",
        compressible: true
      },
      "application/xliff+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xlf"]
      },
      "application/xml": {
        source: "iana",
        compressible: true,
        extensions: ["xml", "xsl", "xsd", "rng"]
      },
      "application/xml-dtd": {
        source: "iana",
        compressible: true,
        extensions: ["dtd"]
      },
      "application/xml-external-parsed-entity": {
        source: "iana"
      },
      "application/xml-patch+xml": {
        source: "iana",
        compressible: true
      },
      "application/xmpp+xml": {
        source: "iana",
        compressible: true
      },
      "application/xop+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xop"]
      },
      "application/xproc+xml": {
        source: "apache",
        compressible: true,
        extensions: ["xpl"]
      },
      "application/xslt+xml": {
        source: "iana",
        compressible: true,
        extensions: ["xsl", "xslt"]
      },
      "application/xspf+xml": {
        source: "apache",
        compressible: true,
        extensions: ["xspf"]
      },
      "application/xv+xml": {
        source: "iana",
        compressible: true,
        extensions: ["mxml", "xhvml", "xvml", "xvm"]
      },
      "application/yang": {
        source: "iana",
        extensions: ["yang"]
      },
      "application/yang-data+json": {
        source: "iana",
        compressible: true
      },
      "application/yang-data+xml": {
        source: "iana",
        compressible: true
      },
      "application/yang-patch+json": {
        source: "iana",
        compressible: true
      },
      "application/yang-patch+xml": {
        source: "iana",
        compressible: true
      },
      "application/yin+xml": {
        source: "iana",
        compressible: true,
        extensions: ["yin"]
      },
      "application/zip": {
        source: "iana",
        compressible: false,
        extensions: ["zip"]
      },
      "application/zlib": {
        source: "iana"
      },
      "application/zstd": {
        source: "iana"
      },
      "audio/1d-interleaved-parityfec": {
        source: "iana"
      },
      "audio/32kadpcm": {
        source: "iana"
      },
      "audio/3gpp": {
        source: "iana",
        compressible: false,
        extensions: ["3gpp"]
      },
      "audio/3gpp2": {
        source: "iana"
      },
      "audio/aac": {
        source: "iana"
      },
      "audio/ac3": {
        source: "iana"
      },
      "audio/adpcm": {
        source: "apache",
        extensions: ["adp"]
      },
      "audio/amr": {
        source: "iana",
        extensions: ["amr"]
      },
      "audio/amr-wb": {
        source: "iana"
      },
      "audio/amr-wb+": {
        source: "iana"
      },
      "audio/aptx": {
        source: "iana"
      },
      "audio/asc": {
        source: "iana"
      },
      "audio/atrac-advanced-lossless": {
        source: "iana"
      },
      "audio/atrac-x": {
        source: "iana"
      },
      "audio/atrac3": {
        source: "iana"
      },
      "audio/basic": {
        source: "iana",
        compressible: false,
        extensions: ["au", "snd"]
      },
      "audio/bv16": {
        source: "iana"
      },
      "audio/bv32": {
        source: "iana"
      },
      "audio/clearmode": {
        source: "iana"
      },
      "audio/cn": {
        source: "iana"
      },
      "audio/dat12": {
        source: "iana"
      },
      "audio/dls": {
        source: "iana"
      },
      "audio/dsr-es201108": {
        source: "iana"
      },
      "audio/dsr-es202050": {
        source: "iana"
      },
      "audio/dsr-es202211": {
        source: "iana"
      },
      "audio/dsr-es202212": {
        source: "iana"
      },
      "audio/dv": {
        source: "iana"
      },
      "audio/dvi4": {
        source: "iana"
      },
      "audio/eac3": {
        source: "iana"
      },
      "audio/encaprtp": {
        source: "iana"
      },
      "audio/evrc": {
        source: "iana"
      },
      "audio/evrc-qcp": {
        source: "iana"
      },
      "audio/evrc0": {
        source: "iana"
      },
      "audio/evrc1": {
        source: "iana"
      },
      "audio/evrcb": {
        source: "iana"
      },
      "audio/evrcb0": {
        source: "iana"
      },
      "audio/evrcb1": {
        source: "iana"
      },
      "audio/evrcnw": {
        source: "iana"
      },
      "audio/evrcnw0": {
        source: "iana"
      },
      "audio/evrcnw1": {
        source: "iana"
      },
      "audio/evrcwb": {
        source: "iana"
      },
      "audio/evrcwb0": {
        source: "iana"
      },
      "audio/evrcwb1": {
        source: "iana"
      },
      "audio/evs": {
        source: "iana"
      },
      "audio/flexfec": {
        source: "iana"
      },
      "audio/fwdred": {
        source: "iana"
      },
      "audio/g711-0": {
        source: "iana"
      },
      "audio/g719": {
        source: "iana"
      },
      "audio/g722": {
        source: "iana"
      },
      "audio/g7221": {
        source: "iana"
      },
      "audio/g723": {
        source: "iana"
      },
      "audio/g726-16": {
        source: "iana"
      },
      "audio/g726-24": {
        source: "iana"
      },
      "audio/g726-32": {
        source: "iana"
      },
      "audio/g726-40": {
        source: "iana"
      },
      "audio/g728": {
        source: "iana"
      },
      "audio/g729": {
        source: "iana"
      },
      "audio/g7291": {
        source: "iana"
      },
      "audio/g729d": {
        source: "iana"
      },
      "audio/g729e": {
        source: "iana"
      },
      "audio/gsm": {
        source: "iana"
      },
      "audio/gsm-efr": {
        source: "iana"
      },
      "audio/gsm-hr-08": {
        source: "iana"
      },
      "audio/ilbc": {
        source: "iana"
      },
      "audio/ip-mr_v2.5": {
        source: "iana"
      },
      "audio/isac": {
        source: "apache"
      },
      "audio/l16": {
        source: "iana"
      },
      "audio/l20": {
        source: "iana"
      },
      "audio/l24": {
        source: "iana",
        compressible: false
      },
      "audio/l8": {
        source: "iana"
      },
      "audio/lpc": {
        source: "iana"
      },
      "audio/melp": {
        source: "iana"
      },
      "audio/melp1200": {
        source: "iana"
      },
      "audio/melp2400": {
        source: "iana"
      },
      "audio/melp600": {
        source: "iana"
      },
      "audio/mhas": {
        source: "iana"
      },
      "audio/midi": {
        source: "apache",
        extensions: ["mid", "midi", "kar", "rmi"]
      },
      "audio/mobile-xmf": {
        source: "iana",
        extensions: ["mxmf"]
      },
      "audio/mp3": {
        compressible: false,
        extensions: ["mp3"]
      },
      "audio/mp4": {
        source: "iana",
        compressible: false,
        extensions: ["m4a", "mp4a"]
      },
      "audio/mp4a-latm": {
        source: "iana"
      },
      "audio/mpa": {
        source: "iana"
      },
      "audio/mpa-robust": {
        source: "iana"
      },
      "audio/mpeg": {
        source: "iana",
        compressible: false,
        extensions: ["mpga", "mp2", "mp2a", "mp3", "m2a", "m3a"]
      },
      "audio/mpeg4-generic": {
        source: "iana"
      },
      "audio/musepack": {
        source: "apache"
      },
      "audio/ogg": {
        source: "iana",
        compressible: false,
        extensions: ["oga", "ogg", "spx", "opus"]
      },
      "audio/opus": {
        source: "iana"
      },
      "audio/parityfec": {
        source: "iana"
      },
      "audio/pcma": {
        source: "iana"
      },
      "audio/pcma-wb": {
        source: "iana"
      },
      "audio/pcmu": {
        source: "iana"
      },
      "audio/pcmu-wb": {
        source: "iana"
      },
      "audio/prs.sid": {
        source: "iana"
      },
      "audio/qcelp": {
        source: "iana"
      },
      "audio/raptorfec": {
        source: "iana"
      },
      "audio/red": {
        source: "iana"
      },
      "audio/rtp-enc-aescm128": {
        source: "iana"
      },
      "audio/rtp-midi": {
        source: "iana"
      },
      "audio/rtploopback": {
        source: "iana"
      },
      "audio/rtx": {
        source: "iana"
      },
      "audio/s3m": {
        source: "apache",
        extensions: ["s3m"]
      },
      "audio/scip": {
        source: "iana"
      },
      "audio/silk": {
        source: "apache",
        extensions: ["sil"]
      },
      "audio/smv": {
        source: "iana"
      },
      "audio/smv-qcp": {
        source: "iana"
      },
      "audio/smv0": {
        source: "iana"
      },
      "audio/sofa": {
        source: "iana"
      },
      "audio/sp-midi": {
        source: "iana"
      },
      "audio/speex": {
        source: "iana"
      },
      "audio/t140c": {
        source: "iana"
      },
      "audio/t38": {
        source: "iana"
      },
      "audio/telephone-event": {
        source: "iana"
      },
      "audio/tetra_acelp": {
        source: "iana"
      },
      "audio/tetra_acelp_bb": {
        source: "iana"
      },
      "audio/tone": {
        source: "iana"
      },
      "audio/tsvcis": {
        source: "iana"
      },
      "audio/uemclip": {
        source: "iana"
      },
      "audio/ulpfec": {
        source: "iana"
      },
      "audio/usac": {
        source: "iana"
      },
      "audio/vdvi": {
        source: "iana"
      },
      "audio/vmr-wb": {
        source: "iana"
      },
      "audio/vnd.3gpp.iufp": {
        source: "iana"
      },
      "audio/vnd.4sb": {
        source: "iana"
      },
      "audio/vnd.audiokoz": {
        source: "iana"
      },
      "audio/vnd.celp": {
        source: "iana"
      },
      "audio/vnd.cisco.nse": {
        source: "iana"
      },
      "audio/vnd.cmles.radio-events": {
        source: "iana"
      },
      "audio/vnd.cns.anp1": {
        source: "iana"
      },
      "audio/vnd.cns.inf1": {
        source: "iana"
      },
      "audio/vnd.dece.audio": {
        source: "iana",
        extensions: ["uva", "uvva"]
      },
      "audio/vnd.digital-winds": {
        source: "iana",
        extensions: ["eol"]
      },
      "audio/vnd.dlna.adts": {
        source: "iana"
      },
      "audio/vnd.dolby.heaac.1": {
        source: "iana"
      },
      "audio/vnd.dolby.heaac.2": {
        source: "iana"
      },
      "audio/vnd.dolby.mlp": {
        source: "iana"
      },
      "audio/vnd.dolby.mps": {
        source: "iana"
      },
      "audio/vnd.dolby.pl2": {
        source: "iana"
      },
      "audio/vnd.dolby.pl2x": {
        source: "iana"
      },
      "audio/vnd.dolby.pl2z": {
        source: "iana"
      },
      "audio/vnd.dolby.pulse.1": {
        source: "iana"
      },
      "audio/vnd.dra": {
        source: "iana",
        extensions: ["dra"]
      },
      "audio/vnd.dts": {
        source: "iana",
        extensions: ["dts"]
      },
      "audio/vnd.dts.hd": {
        source: "iana",
        extensions: ["dtshd"]
      },
      "audio/vnd.dts.uhd": {
        source: "iana"
      },
      "audio/vnd.dvb.file": {
        source: "iana"
      },
      "audio/vnd.everad.plj": {
        source: "iana"
      },
      "audio/vnd.hns.audio": {
        source: "iana"
      },
      "audio/vnd.lucent.voice": {
        source: "iana",
        extensions: ["lvp"]
      },
      "audio/vnd.ms-playready.media.pya": {
        source: "iana",
        extensions: ["pya"]
      },
      "audio/vnd.nokia.mobile-xmf": {
        source: "iana"
      },
      "audio/vnd.nortel.vbk": {
        source: "iana"
      },
      "audio/vnd.nuera.ecelp4800": {
        source: "iana",
        extensions: ["ecelp4800"]
      },
      "audio/vnd.nuera.ecelp7470": {
        source: "iana",
        extensions: ["ecelp7470"]
      },
      "audio/vnd.nuera.ecelp9600": {
        source: "iana",
        extensions: ["ecelp9600"]
      },
      "audio/vnd.octel.sbc": {
        source: "iana"
      },
      "audio/vnd.presonus.multitrack": {
        source: "iana"
      },
      "audio/vnd.qcelp": {
        source: "iana"
      },
      "audio/vnd.rhetorex.32kadpcm": {
        source: "iana"
      },
      "audio/vnd.rip": {
        source: "iana",
        extensions: ["rip"]
      },
      "audio/vnd.rn-realaudio": {
        compressible: false
      },
      "audio/vnd.sealedmedia.softseal.mpeg": {
        source: "iana"
      },
      "audio/vnd.vmx.cvsd": {
        source: "iana"
      },
      "audio/vnd.wave": {
        compressible: false
      },
      "audio/vorbis": {
        source: "iana",
        compressible: false
      },
      "audio/vorbis-config": {
        source: "iana"
      },
      "audio/wav": {
        compressible: false,
        extensions: ["wav"]
      },
      "audio/wave": {
        compressible: false,
        extensions: ["wav"]
      },
      "audio/webm": {
        source: "apache",
        compressible: false,
        extensions: ["weba"]
      },
      "audio/x-aac": {
        source: "apache",
        compressible: false,
        extensions: ["aac"]
      },
      "audio/x-aiff": {
        source: "apache",
        extensions: ["aif", "aiff", "aifc"]
      },
      "audio/x-caf": {
        source: "apache",
        compressible: false,
        extensions: ["caf"]
      },
      "audio/x-flac": {
        source: "apache",
        extensions: ["flac"]
      },
      "audio/x-m4a": {
        source: "nginx",
        extensions: ["m4a"]
      },
      "audio/x-matroska": {
        source: "apache",
        extensions: ["mka"]
      },
      "audio/x-mpegurl": {
        source: "apache",
        extensions: ["m3u"]
      },
      "audio/x-ms-wax": {
        source: "apache",
        extensions: ["wax"]
      },
      "audio/x-ms-wma": {
        source: "apache",
        extensions: ["wma"]
      },
      "audio/x-pn-realaudio": {
        source: "apache",
        extensions: ["ram", "ra"]
      },
      "audio/x-pn-realaudio-plugin": {
        source: "apache",
        extensions: ["rmp"]
      },
      "audio/x-realaudio": {
        source: "nginx",
        extensions: ["ra"]
      },
      "audio/x-tta": {
        source: "apache"
      },
      "audio/x-wav": {
        source: "apache",
        extensions: ["wav"]
      },
      "audio/xm": {
        source: "apache",
        extensions: ["xm"]
      },
      "chemical/x-cdx": {
        source: "apache",
        extensions: ["cdx"]
      },
      "chemical/x-cif": {
        source: "apache",
        extensions: ["cif"]
      },
      "chemical/x-cmdf": {
        source: "apache",
        extensions: ["cmdf"]
      },
      "chemical/x-cml": {
        source: "apache",
        extensions: ["cml"]
      },
      "chemical/x-csml": {
        source: "apache",
        extensions: ["csml"]
      },
      "chemical/x-pdb": {
        source: "apache"
      },
      "chemical/x-xyz": {
        source: "apache",
        extensions: ["xyz"]
      },
      "font/collection": {
        source: "iana",
        extensions: ["ttc"]
      },
      "font/otf": {
        source: "iana",
        compressible: true,
        extensions: ["otf"]
      },
      "font/sfnt": {
        source: "iana"
      },
      "font/ttf": {
        source: "iana",
        compressible: true,
        extensions: ["ttf"]
      },
      "font/woff": {
        source: "iana",
        extensions: ["woff"]
      },
      "font/woff2": {
        source: "iana",
        extensions: ["woff2"]
      },
      "image/aces": {
        source: "iana",
        extensions: ["exr"]
      },
      "image/apng": {
        compressible: false,
        extensions: ["apng"]
      },
      "image/avci": {
        source: "iana",
        extensions: ["avci"]
      },
      "image/avcs": {
        source: "iana",
        extensions: ["avcs"]
      },
      "image/avif": {
        source: "iana",
        compressible: false,
        extensions: ["avif"]
      },
      "image/bmp": {
        source: "iana",
        compressible: true,
        extensions: ["bmp"]
      },
      "image/cgm": {
        source: "iana",
        extensions: ["cgm"]
      },
      "image/dicom-rle": {
        source: "iana",
        extensions: ["drle"]
      },
      "image/emf": {
        source: "iana",
        extensions: ["emf"]
      },
      "image/fits": {
        source: "iana",
        extensions: ["fits"]
      },
      "image/g3fax": {
        source: "iana",
        extensions: ["g3"]
      },
      "image/gif": {
        source: "iana",
        compressible: false,
        extensions: ["gif"]
      },
      "image/heic": {
        source: "iana",
        extensions: ["heic"]
      },
      "image/heic-sequence": {
        source: "iana",
        extensions: ["heics"]
      },
      "image/heif": {
        source: "iana",
        extensions: ["heif"]
      },
      "image/heif-sequence": {
        source: "iana",
        extensions: ["heifs"]
      },
      "image/hej2k": {
        source: "iana",
        extensions: ["hej2"]
      },
      "image/hsj2": {
        source: "iana",
        extensions: ["hsj2"]
      },
      "image/ief": {
        source: "iana",
        extensions: ["ief"]
      },
      "image/jls": {
        source: "iana",
        extensions: ["jls"]
      },
      "image/jp2": {
        source: "iana",
        compressible: false,
        extensions: ["jp2", "jpg2"]
      },
      "image/jpeg": {
        source: "iana",
        compressible: false,
        extensions: ["jpeg", "jpg", "jpe"]
      },
      "image/jph": {
        source: "iana",
        extensions: ["jph"]
      },
      "image/jphc": {
        source: "iana",
        extensions: ["jhc"]
      },
      "image/jpm": {
        source: "iana",
        compressible: false,
        extensions: ["jpm"]
      },
      "image/jpx": {
        source: "iana",
        compressible: false,
        extensions: ["jpx", "jpf"]
      },
      "image/jxr": {
        source: "iana",
        extensions: ["jxr"]
      },
      "image/jxra": {
        source: "iana",
        extensions: ["jxra"]
      },
      "image/jxrs": {
        source: "iana",
        extensions: ["jxrs"]
      },
      "image/jxs": {
        source: "iana",
        extensions: ["jxs"]
      },
      "image/jxsc": {
        source: "iana",
        extensions: ["jxsc"]
      },
      "image/jxsi": {
        source: "iana",
        extensions: ["jxsi"]
      },
      "image/jxss": {
        source: "iana",
        extensions: ["jxss"]
      },
      "image/ktx": {
        source: "iana",
        extensions: ["ktx"]
      },
      "image/ktx2": {
        source: "iana",
        extensions: ["ktx2"]
      },
      "image/naplps": {
        source: "iana"
      },
      "image/pjpeg": {
        compressible: false
      },
      "image/png": {
        source: "iana",
        compressible: false,
        extensions: ["png"]
      },
      "image/prs.btif": {
        source: "iana",
        extensions: ["btif"]
      },
      "image/prs.pti": {
        source: "iana",
        extensions: ["pti"]
      },
      "image/pwg-raster": {
        source: "iana"
      },
      "image/sgi": {
        source: "apache",
        extensions: ["sgi"]
      },
      "image/svg+xml": {
        source: "iana",
        compressible: true,
        extensions: ["svg", "svgz"]
      },
      "image/t38": {
        source: "iana",
        extensions: ["t38"]
      },
      "image/tiff": {
        source: "iana",
        compressible: false,
        extensions: ["tif", "tiff"]
      },
      "image/tiff-fx": {
        source: "iana",
        extensions: ["tfx"]
      },
      "image/vnd.adobe.photoshop": {
        source: "iana",
        compressible: true,
        extensions: ["psd"]
      },
      "image/vnd.airzip.accelerator.azv": {
        source: "iana",
        extensions: ["azv"]
      },
      "image/vnd.cns.inf2": {
        source: "iana"
      },
      "image/vnd.dece.graphic": {
        source: "iana",
        extensions: ["uvi", "uvvi", "uvg", "uvvg"]
      },
      "image/vnd.djvu": {
        source: "iana",
        extensions: ["djvu", "djv"]
      },
      "image/vnd.dvb.subtitle": {
        source: "iana",
        extensions: ["sub"]
      },
      "image/vnd.dwg": {
        source: "iana",
        extensions: ["dwg"]
      },
      "image/vnd.dxf": {
        source: "iana",
        extensions: ["dxf"]
      },
      "image/vnd.fastbidsheet": {
        source: "iana",
        extensions: ["fbs"]
      },
      "image/vnd.fpx": {
        source: "iana",
        extensions: ["fpx"]
      },
      "image/vnd.fst": {
        source: "iana",
        extensions: ["fst"]
      },
      "image/vnd.fujixerox.edmics-mmr": {
        source: "iana",
        extensions: ["mmr"]
      },
      "image/vnd.fujixerox.edmics-rlc": {
        source: "iana",
        extensions: ["rlc"]
      },
      "image/vnd.globalgraphics.pgb": {
        source: "iana"
      },
      "image/vnd.microsoft.icon": {
        source: "iana",
        compressible: true,
        extensions: ["ico"]
      },
      "image/vnd.mix": {
        source: "iana"
      },
      "image/vnd.mozilla.apng": {
        source: "iana"
      },
      "image/vnd.ms-dds": {
        compressible: true,
        extensions: ["dds"]
      },
      "image/vnd.ms-modi": {
        source: "iana",
        extensions: ["mdi"]
      },
      "image/vnd.ms-photo": {
        source: "apache",
        extensions: ["wdp"]
      },
      "image/vnd.net-fpx": {
        source: "iana",
        extensions: ["npx"]
      },
      "image/vnd.pco.b16": {
        source: "iana",
        extensions: ["b16"]
      },
      "image/vnd.radiance": {
        source: "iana"
      },
      "image/vnd.sealed.png": {
        source: "iana"
      },
      "image/vnd.sealedmedia.softseal.gif": {
        source: "iana"
      },
      "image/vnd.sealedmedia.softseal.jpg": {
        source: "iana"
      },
      "image/vnd.svf": {
        source: "iana"
      },
      "image/vnd.tencent.tap": {
        source: "iana",
        extensions: ["tap"]
      },
      "image/vnd.valve.source.texture": {
        source: "iana",
        extensions: ["vtf"]
      },
      "image/vnd.wap.wbmp": {
        source: "iana",
        extensions: ["wbmp"]
      },
      "image/vnd.xiff": {
        source: "iana",
        extensions: ["xif"]
      },
      "image/vnd.zbrush.pcx": {
        source: "iana",
        extensions: ["pcx"]
      },
      "image/webp": {
        source: "apache",
        extensions: ["webp"]
      },
      "image/wmf": {
        source: "iana",
        extensions: ["wmf"]
      },
      "image/x-3ds": {
        source: "apache",
        extensions: ["3ds"]
      },
      "image/x-cmu-raster": {
        source: "apache",
        extensions: ["ras"]
      },
      "image/x-cmx": {
        source: "apache",
        extensions: ["cmx"]
      },
      "image/x-freehand": {
        source: "apache",
        extensions: ["fh", "fhc", "fh4", "fh5", "fh7"]
      },
      "image/x-icon": {
        source: "apache",
        compressible: true,
        extensions: ["ico"]
      },
      "image/x-jng": {
        source: "nginx",
        extensions: ["jng"]
      },
      "image/x-mrsid-image": {
        source: "apache",
        extensions: ["sid"]
      },
      "image/x-ms-bmp": {
        source: "nginx",
        compressible: true,
        extensions: ["bmp"]
      },
      "image/x-pcx": {
        source: "apache",
        extensions: ["pcx"]
      },
      "image/x-pict": {
        source: "apache",
        extensions: ["pic", "pct"]
      },
      "image/x-portable-anymap": {
        source: "apache",
        extensions: ["pnm"]
      },
      "image/x-portable-bitmap": {
        source: "apache",
        extensions: ["pbm"]
      },
      "image/x-portable-graymap": {
        source: "apache",
        extensions: ["pgm"]
      },
      "image/x-portable-pixmap": {
        source: "apache",
        extensions: ["ppm"]
      },
      "image/x-rgb": {
        source: "apache",
        extensions: ["rgb"]
      },
      "image/x-tga": {
        source: "apache",
        extensions: ["tga"]
      },
      "image/x-xbitmap": {
        source: "apache",
        extensions: ["xbm"]
      },
      "image/x-xcf": {
        compressible: false
      },
      "image/x-xpixmap": {
        source: "apache",
        extensions: ["xpm"]
      },
      "image/x-xwindowdump": {
        source: "apache",
        extensions: ["xwd"]
      },
      "message/cpim": {
        source: "iana"
      },
      "message/delivery-status": {
        source: "iana"
      },
      "message/disposition-notification": {
        source: "iana",
        extensions: [
          "disposition-notification"
        ]
      },
      "message/external-body": {
        source: "iana"
      },
      "message/feedback-report": {
        source: "iana"
      },
      "message/global": {
        source: "iana",
        extensions: ["u8msg"]
      },
      "message/global-delivery-status": {
        source: "iana",
        extensions: ["u8dsn"]
      },
      "message/global-disposition-notification": {
        source: "iana",
        extensions: ["u8mdn"]
      },
      "message/global-headers": {
        source: "iana",
        extensions: ["u8hdr"]
      },
      "message/http": {
        source: "iana",
        compressible: false
      },
      "message/imdn+xml": {
        source: "iana",
        compressible: true
      },
      "message/news": {
        source: "iana"
      },
      "message/partial": {
        source: "iana",
        compressible: false
      },
      "message/rfc822": {
        source: "iana",
        compressible: true,
        extensions: ["eml", "mime"]
      },
      "message/s-http": {
        source: "iana"
      },
      "message/sip": {
        source: "iana"
      },
      "message/sipfrag": {
        source: "iana"
      },
      "message/tracking-status": {
        source: "iana"
      },
      "message/vnd.si.simp": {
        source: "iana"
      },
      "message/vnd.wfa.wsc": {
        source: "iana",
        extensions: ["wsc"]
      },
      "model/3mf": {
        source: "iana",
        extensions: ["3mf"]
      },
      "model/e57": {
        source: "iana"
      },
      "model/gltf+json": {
        source: "iana",
        compressible: true,
        extensions: ["gltf"]
      },
      "model/gltf-binary": {
        source: "iana",
        compressible: true,
        extensions: ["glb"]
      },
      "model/iges": {
        source: "iana",
        compressible: false,
        extensions: ["igs", "iges"]
      },
      "model/mesh": {
        source: "iana",
        compressible: false,
        extensions: ["msh", "mesh", "silo"]
      },
      "model/mtl": {
        source: "iana",
        extensions: ["mtl"]
      },
      "model/obj": {
        source: "iana",
        extensions: ["obj"]
      },
      "model/step": {
        source: "iana"
      },
      "model/step+xml": {
        source: "iana",
        compressible: true,
        extensions: ["stpx"]
      },
      "model/step+zip": {
        source: "iana",
        compressible: false,
        extensions: ["stpz"]
      },
      "model/step-xml+zip": {
        source: "iana",
        compressible: false,
        extensions: ["stpxz"]
      },
      "model/stl": {
        source: "iana",
        extensions: ["stl"]
      },
      "model/vnd.collada+xml": {
        source: "iana",
        compressible: true,
        extensions: ["dae"]
      },
      "model/vnd.dwf": {
        source: "iana",
        extensions: ["dwf"]
      },
      "model/vnd.flatland.3dml": {
        source: "iana"
      },
      "model/vnd.gdl": {
        source: "iana",
        extensions: ["gdl"]
      },
      "model/vnd.gs-gdl": {
        source: "apache"
      },
      "model/vnd.gs.gdl": {
        source: "iana"
      },
      "model/vnd.gtw": {
        source: "iana",
        extensions: ["gtw"]
      },
      "model/vnd.moml+xml": {
        source: "iana",
        compressible: true
      },
      "model/vnd.mts": {
        source: "iana",
        extensions: ["mts"]
      },
      "model/vnd.opengex": {
        source: "iana",
        extensions: ["ogex"]
      },
      "model/vnd.parasolid.transmit.binary": {
        source: "iana",
        extensions: ["x_b"]
      },
      "model/vnd.parasolid.transmit.text": {
        source: "iana",
        extensions: ["x_t"]
      },
      "model/vnd.pytha.pyox": {
        source: "iana"
      },
      "model/vnd.rosette.annotated-data-model": {
        source: "iana"
      },
      "model/vnd.sap.vds": {
        source: "iana",
        extensions: ["vds"]
      },
      "model/vnd.usdz+zip": {
        source: "iana",
        compressible: false,
        extensions: ["usdz"]
      },
      "model/vnd.valve.source.compiled-map": {
        source: "iana",
        extensions: ["bsp"]
      },
      "model/vnd.vtu": {
        source: "iana",
        extensions: ["vtu"]
      },
      "model/vrml": {
        source: "iana",
        compressible: false,
        extensions: ["wrl", "vrml"]
      },
      "model/x3d+binary": {
        source: "apache",
        compressible: false,
        extensions: ["x3db", "x3dbz"]
      },
      "model/x3d+fastinfoset": {
        source: "iana",
        extensions: ["x3db"]
      },
      "model/x3d+vrml": {
        source: "apache",
        compressible: false,
        extensions: ["x3dv", "x3dvz"]
      },
      "model/x3d+xml": {
        source: "iana",
        compressible: true,
        extensions: ["x3d", "x3dz"]
      },
      "model/x3d-vrml": {
        source: "iana",
        extensions: ["x3dv"]
      },
      "multipart/alternative": {
        source: "iana",
        compressible: false
      },
      "multipart/appledouble": {
        source: "iana"
      },
      "multipart/byteranges": {
        source: "iana"
      },
      "multipart/digest": {
        source: "iana"
      },
      "multipart/encrypted": {
        source: "iana",
        compressible: false
      },
      "multipart/form-data": {
        source: "iana",
        compressible: false
      },
      "multipart/header-set": {
        source: "iana"
      },
      "multipart/mixed": {
        source: "iana"
      },
      "multipart/multilingual": {
        source: "iana"
      },
      "multipart/parallel": {
        source: "iana"
      },
      "multipart/related": {
        source: "iana",
        compressible: false
      },
      "multipart/report": {
        source: "iana"
      },
      "multipart/signed": {
        source: "iana",
        compressible: false
      },
      "multipart/vnd.bint.med-plus": {
        source: "iana"
      },
      "multipart/voice-message": {
        source: "iana"
      },
      "multipart/x-mixed-replace": {
        source: "iana"
      },
      "text/1d-interleaved-parityfec": {
        source: "iana"
      },
      "text/cache-manifest": {
        source: "iana",
        compressible: true,
        extensions: ["appcache", "manifest"]
      },
      "text/calendar": {
        source: "iana",
        extensions: ["ics", "ifb"]
      },
      "text/calender": {
        compressible: true
      },
      "text/cmd": {
        compressible: true
      },
      "text/coffeescript": {
        extensions: ["coffee", "litcoffee"]
      },
      "text/cql": {
        source: "iana"
      },
      "text/cql-expression": {
        source: "iana"
      },
      "text/cql-identifier": {
        source: "iana"
      },
      "text/css": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["css"]
      },
      "text/csv": {
        source: "iana",
        compressible: true,
        extensions: ["csv"]
      },
      "text/csv-schema": {
        source: "iana"
      },
      "text/directory": {
        source: "iana"
      },
      "text/dns": {
        source: "iana"
      },
      "text/ecmascript": {
        source: "iana"
      },
      "text/encaprtp": {
        source: "iana"
      },
      "text/enriched": {
        source: "iana"
      },
      "text/fhirpath": {
        source: "iana"
      },
      "text/flexfec": {
        source: "iana"
      },
      "text/fwdred": {
        source: "iana"
      },
      "text/gff3": {
        source: "iana"
      },
      "text/grammar-ref-list": {
        source: "iana"
      },
      "text/html": {
        source: "iana",
        compressible: true,
        extensions: ["html", "htm", "shtml"]
      },
      "text/jade": {
        extensions: ["jade"]
      },
      "text/javascript": {
        source: "iana",
        compressible: true
      },
      "text/jcr-cnd": {
        source: "iana"
      },
      "text/jsx": {
        compressible: true,
        extensions: ["jsx"]
      },
      "text/less": {
        compressible: true,
        extensions: ["less"]
      },
      "text/markdown": {
        source: "iana",
        compressible: true,
        extensions: ["markdown", "md"]
      },
      "text/mathml": {
        source: "nginx",
        extensions: ["mml"]
      },
      "text/mdx": {
        compressible: true,
        extensions: ["mdx"]
      },
      "text/mizar": {
        source: "iana"
      },
      "text/n3": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["n3"]
      },
      "text/parameters": {
        source: "iana",
        charset: "UTF-8"
      },
      "text/parityfec": {
        source: "iana"
      },
      "text/plain": {
        source: "iana",
        compressible: true,
        extensions: ["txt", "text", "conf", "def", "list", "log", "in", "ini"]
      },
      "text/provenance-notation": {
        source: "iana",
        charset: "UTF-8"
      },
      "text/prs.fallenstein.rst": {
        source: "iana"
      },
      "text/prs.lines.tag": {
        source: "iana",
        extensions: ["dsc"]
      },
      "text/prs.prop.logic": {
        source: "iana"
      },
      "text/raptorfec": {
        source: "iana"
      },
      "text/red": {
        source: "iana"
      },
      "text/rfc822-headers": {
        source: "iana"
      },
      "text/richtext": {
        source: "iana",
        compressible: true,
        extensions: ["rtx"]
      },
      "text/rtf": {
        source: "iana",
        compressible: true,
        extensions: ["rtf"]
      },
      "text/rtp-enc-aescm128": {
        source: "iana"
      },
      "text/rtploopback": {
        source: "iana"
      },
      "text/rtx": {
        source: "iana"
      },
      "text/sgml": {
        source: "iana",
        extensions: ["sgml", "sgm"]
      },
      "text/shaclc": {
        source: "iana"
      },
      "text/shex": {
        source: "iana",
        extensions: ["shex"]
      },
      "text/slim": {
        extensions: ["slim", "slm"]
      },
      "text/spdx": {
        source: "iana",
        extensions: ["spdx"]
      },
      "text/strings": {
        source: "iana"
      },
      "text/stylus": {
        extensions: ["stylus", "styl"]
      },
      "text/t140": {
        source: "iana"
      },
      "text/tab-separated-values": {
        source: "iana",
        compressible: true,
        extensions: ["tsv"]
      },
      "text/troff": {
        source: "iana",
        extensions: ["t", "tr", "roff", "man", "me", "ms"]
      },
      "text/turtle": {
        source: "iana",
        charset: "UTF-8",
        extensions: ["ttl"]
      },
      "text/ulpfec": {
        source: "iana"
      },
      "text/uri-list": {
        source: "iana",
        compressible: true,
        extensions: ["uri", "uris", "urls"]
      },
      "text/vcard": {
        source: "iana",
        compressible: true,
        extensions: ["vcard"]
      },
      "text/vnd.a": {
        source: "iana"
      },
      "text/vnd.abc": {
        source: "iana"
      },
      "text/vnd.ascii-art": {
        source: "iana"
      },
      "text/vnd.curl": {
        source: "iana",
        extensions: ["curl"]
      },
      "text/vnd.curl.dcurl": {
        source: "apache",
        extensions: ["dcurl"]
      },
      "text/vnd.curl.mcurl": {
        source: "apache",
        extensions: ["mcurl"]
      },
      "text/vnd.curl.scurl": {
        source: "apache",
        extensions: ["scurl"]
      },
      "text/vnd.debian.copyright": {
        source: "iana",
        charset: "UTF-8"
      },
      "text/vnd.dmclientscript": {
        source: "iana"
      },
      "text/vnd.dvb.subtitle": {
        source: "iana",
        extensions: ["sub"]
      },
      "text/vnd.esmertec.theme-descriptor": {
        source: "iana",
        charset: "UTF-8"
      },
      "text/vnd.familysearch.gedcom": {
        source: "iana",
        extensions: ["ged"]
      },
      "text/vnd.ficlab.flt": {
        source: "iana"
      },
      "text/vnd.fly": {
        source: "iana",
        extensions: ["fly"]
      },
      "text/vnd.fmi.flexstor": {
        source: "iana",
        extensions: ["flx"]
      },
      "text/vnd.gml": {
        source: "iana"
      },
      "text/vnd.graphviz": {
        source: "iana",
        extensions: ["gv"]
      },
      "text/vnd.hans": {
        source: "iana"
      },
      "text/vnd.hgl": {
        source: "iana"
      },
      "text/vnd.in3d.3dml": {
        source: "iana",
        extensions: ["3dml"]
      },
      "text/vnd.in3d.spot": {
        source: "iana",
        extensions: ["spot"]
      },
      "text/vnd.iptc.newsml": {
        source: "iana"
      },
      "text/vnd.iptc.nitf": {
        source: "iana"
      },
      "text/vnd.latex-z": {
        source: "iana"
      },
      "text/vnd.motorola.reflex": {
        source: "iana"
      },
      "text/vnd.ms-mediapackage": {
        source: "iana"
      },
      "text/vnd.net2phone.commcenter.command": {
        source: "iana"
      },
      "text/vnd.radisys.msml-basic-layout": {
        source: "iana"
      },
      "text/vnd.senx.warpscript": {
        source: "iana"
      },
      "text/vnd.si.uricatalogue": {
        source: "iana"
      },
      "text/vnd.sosi": {
        source: "iana"
      },
      "text/vnd.sun.j2me.app-descriptor": {
        source: "iana",
        charset: "UTF-8",
        extensions: ["jad"]
      },
      "text/vnd.trolltech.linguist": {
        source: "iana",
        charset: "UTF-8"
      },
      "text/vnd.wap.si": {
        source: "iana"
      },
      "text/vnd.wap.sl": {
        source: "iana"
      },
      "text/vnd.wap.wml": {
        source: "iana",
        extensions: ["wml"]
      },
      "text/vnd.wap.wmlscript": {
        source: "iana",
        extensions: ["wmls"]
      },
      "text/vtt": {
        source: "iana",
        charset: "UTF-8",
        compressible: true,
        extensions: ["vtt"]
      },
      "text/x-asm": {
        source: "apache",
        extensions: ["s", "asm"]
      },
      "text/x-c": {
        source: "apache",
        extensions: ["c", "cc", "cxx", "cpp", "h", "hh", "dic"]
      },
      "text/x-component": {
        source: "nginx",
        extensions: ["htc"]
      },
      "text/x-fortran": {
        source: "apache",
        extensions: ["f", "for", "f77", "f90"]
      },
      "text/x-gwt-rpc": {
        compressible: true
      },
      "text/x-handlebars-template": {
        extensions: ["hbs"]
      },
      "text/x-java-source": {
        source: "apache",
        extensions: ["java"]
      },
      "text/x-jquery-tmpl": {
        compressible: true
      },
      "text/x-lua": {
        extensions: ["lua"]
      },
      "text/x-markdown": {
        compressible: true,
        extensions: ["mkd"]
      },
      "text/x-nfo": {
        source: "apache",
        extensions: ["nfo"]
      },
      "text/x-opml": {
        source: "apache",
        extensions: ["opml"]
      },
      "text/x-org": {
        compressible: true,
        extensions: ["org"]
      },
      "text/x-pascal": {
        source: "apache",
        extensions: ["p", "pas"]
      },
      "text/x-processing": {
        compressible: true,
        extensions: ["pde"]
      },
      "text/x-sass": {
        extensions: ["sass"]
      },
      "text/x-scss": {
        extensions: ["scss"]
      },
      "text/x-setext": {
        source: "apache",
        extensions: ["etx"]
      },
      "text/x-sfv": {
        source: "apache",
        extensions: ["sfv"]
      },
      "text/x-suse-ymp": {
        compressible: true,
        extensions: ["ymp"]
      },
      "text/x-uuencode": {
        source: "apache",
        extensions: ["uu"]
      },
      "text/x-vcalendar": {
        source: "apache",
        extensions: ["vcs"]
      },
      "text/x-vcard": {
        source: "apache",
        extensions: ["vcf"]
      },
      "text/xml": {
        source: "iana",
        compressible: true,
        extensions: ["xml"]
      },
      "text/xml-external-parsed-entity": {
        source: "iana"
      },
      "text/yaml": {
        compressible: true,
        extensions: ["yaml", "yml"]
      },
      "video/1d-interleaved-parityfec": {
        source: "iana"
      },
      "video/3gpp": {
        source: "iana",
        extensions: ["3gp", "3gpp"]
      },
      "video/3gpp-tt": {
        source: "iana"
      },
      "video/3gpp2": {
        source: "iana",
        extensions: ["3g2"]
      },
      "video/av1": {
        source: "iana"
      },
      "video/bmpeg": {
        source: "iana"
      },
      "video/bt656": {
        source: "iana"
      },
      "video/celb": {
        source: "iana"
      },
      "video/dv": {
        source: "iana"
      },
      "video/encaprtp": {
        source: "iana"
      },
      "video/ffv1": {
        source: "iana"
      },
      "video/flexfec": {
        source: "iana"
      },
      "video/h261": {
        source: "iana",
        extensions: ["h261"]
      },
      "video/h263": {
        source: "iana",
        extensions: ["h263"]
      },
      "video/h263-1998": {
        source: "iana"
      },
      "video/h263-2000": {
        source: "iana"
      },
      "video/h264": {
        source: "iana",
        extensions: ["h264"]
      },
      "video/h264-rcdo": {
        source: "iana"
      },
      "video/h264-svc": {
        source: "iana"
      },
      "video/h265": {
        source: "iana"
      },
      "video/iso.segment": {
        source: "iana",
        extensions: ["m4s"]
      },
      "video/jpeg": {
        source: "iana",
        extensions: ["jpgv"]
      },
      "video/jpeg2000": {
        source: "iana"
      },
      "video/jpm": {
        source: "apache",
        extensions: ["jpm", "jpgm"]
      },
      "video/jxsv": {
        source: "iana"
      },
      "video/mj2": {
        source: "iana",
        extensions: ["mj2", "mjp2"]
      },
      "video/mp1s": {
        source: "iana"
      },
      "video/mp2p": {
        source: "iana"
      },
      "video/mp2t": {
        source: "iana",
        extensions: ["ts"]
      },
      "video/mp4": {
        source: "iana",
        compressible: false,
        extensions: ["mp4", "mp4v", "mpg4"]
      },
      "video/mp4v-es": {
        source: "iana"
      },
      "video/mpeg": {
        source: "iana",
        compressible: false,
        extensions: ["mpeg", "mpg", "mpe", "m1v", "m2v"]
      },
      "video/mpeg4-generic": {
        source: "iana"
      },
      "video/mpv": {
        source: "iana"
      },
      "video/nv": {
        source: "iana"
      },
      "video/ogg": {
        source: "iana",
        compressible: false,
        extensions: ["ogv"]
      },
      "video/parityfec": {
        source: "iana"
      },
      "video/pointer": {
        source: "iana"
      },
      "video/quicktime": {
        source: "iana",
        compressible: false,
        extensions: ["qt", "mov"]
      },
      "video/raptorfec": {
        source: "iana"
      },
      "video/raw": {
        source: "iana"
      },
      "video/rtp-enc-aescm128": {
        source: "iana"
      },
      "video/rtploopback": {
        source: "iana"
      },
      "video/rtx": {
        source: "iana"
      },
      "video/scip": {
        source: "iana"
      },
      "video/smpte291": {
        source: "iana"
      },
      "video/smpte292m": {
        source: "iana"
      },
      "video/ulpfec": {
        source: "iana"
      },
      "video/vc1": {
        source: "iana"
      },
      "video/vc2": {
        source: "iana"
      },
      "video/vnd.cctv": {
        source: "iana"
      },
      "video/vnd.dece.hd": {
        source: "iana",
        extensions: ["uvh", "uvvh"]
      },
      "video/vnd.dece.mobile": {
        source: "iana",
        extensions: ["uvm", "uvvm"]
      },
      "video/vnd.dece.mp4": {
        source: "iana"
      },
      "video/vnd.dece.pd": {
        source: "iana",
        extensions: ["uvp", "uvvp"]
      },
      "video/vnd.dece.sd": {
        source: "iana",
        extensions: ["uvs", "uvvs"]
      },
      "video/vnd.dece.video": {
        source: "iana",
        extensions: ["uvv", "uvvv"]
      },
      "video/vnd.directv.mpeg": {
        source: "iana"
      },
      "video/vnd.directv.mpeg-tts": {
        source: "iana"
      },
      "video/vnd.dlna.mpeg-tts": {
        source: "iana"
      },
      "video/vnd.dvb.file": {
        source: "iana",
        extensions: ["dvb"]
      },
      "video/vnd.fvt": {
        source: "iana",
        extensions: ["fvt"]
      },
      "video/vnd.hns.video": {
        source: "iana"
      },
      "video/vnd.iptvforum.1dparityfec-1010": {
        source: "iana"
      },
      "video/vnd.iptvforum.1dparityfec-2005": {
        source: "iana"
      },
      "video/vnd.iptvforum.2dparityfec-1010": {
        source: "iana"
      },
      "video/vnd.iptvforum.2dparityfec-2005": {
        source: "iana"
      },
      "video/vnd.iptvforum.ttsavc": {
        source: "iana"
      },
      "video/vnd.iptvforum.ttsmpeg2": {
        source: "iana"
      },
      "video/vnd.motorola.video": {
        source: "iana"
      },
      "video/vnd.motorola.videop": {
        source: "iana"
      },
      "video/vnd.mpegurl": {
        source: "iana",
        extensions: ["mxu", "m4u"]
      },
      "video/vnd.ms-playready.media.pyv": {
        source: "iana",
        extensions: ["pyv"]
      },
      "video/vnd.nokia.interleaved-multimedia": {
        source: "iana"
      },
      "video/vnd.nokia.mp4vr": {
        source: "iana"
      },
      "video/vnd.nokia.videovoip": {
        source: "iana"
      },
      "video/vnd.objectvideo": {
        source: "iana"
      },
      "video/vnd.radgamettools.bink": {
        source: "iana"
      },
      "video/vnd.radgamettools.smacker": {
        source: "iana"
      },
      "video/vnd.sealed.mpeg1": {
        source: "iana"
      },
      "video/vnd.sealed.mpeg4": {
        source: "iana"
      },
      "video/vnd.sealed.swf": {
        source: "iana"
      },
      "video/vnd.sealedmedia.softseal.mov": {
        source: "iana"
      },
      "video/vnd.uvvu.mp4": {
        source: "iana",
        extensions: ["uvu", "uvvu"]
      },
      "video/vnd.vivo": {
        source: "iana",
        extensions: ["viv"]
      },
      "video/vnd.youtube.yt": {
        source: "iana"
      },
      "video/vp8": {
        source: "iana"
      },
      "video/vp9": {
        source: "iana"
      },
      "video/webm": {
        source: "apache",
        compressible: false,
        extensions: ["webm"]
      },
      "video/x-f4v": {
        source: "apache",
        extensions: ["f4v"]
      },
      "video/x-fli": {
        source: "apache",
        extensions: ["fli"]
      },
      "video/x-flv": {
        source: "apache",
        compressible: false,
        extensions: ["flv"]
      },
      "video/x-m4v": {
        source: "apache",
        extensions: ["m4v"]
      },
      "video/x-matroska": {
        source: "apache",
        compressible: false,
        extensions: ["mkv", "mk3d", "mks"]
      },
      "video/x-mng": {
        source: "apache",
        extensions: ["mng"]
      },
      "video/x-ms-asf": {
        source: "apache",
        extensions: ["asf", "asx"]
      },
      "video/x-ms-vob": {
        source: "apache",
        extensions: ["vob"]
      },
      "video/x-ms-wm": {
        source: "apache",
        extensions: ["wm"]
      },
      "video/x-ms-wmv": {
        source: "apache",
        compressible: false,
        extensions: ["wmv"]
      },
      "video/x-ms-wmx": {
        source: "apache",
        extensions: ["wmx"]
      },
      "video/x-ms-wvx": {
        source: "apache",
        extensions: ["wvx"]
      },
      "video/x-msvideo": {
        source: "apache",
        extensions: ["avi"]
      },
      "video/x-sgi-movie": {
        source: "apache",
        extensions: ["movie"]
      },
      "video/x-smv": {
        source: "apache",
        extensions: ["smv"]
      },
      "x-conference/x-cooltalk": {
        source: "apache",
        extensions: ["ice"]
      },
      "x-shader/x-fragment": {
        compressible: true
      },
      "x-shader/x-vertex": {
        compressible: true
      }
    };
  }
});

// node_modules/mime-db/index.js
var require_mime_db = __commonJS({
  "node_modules/mime-db/index.js"(exports, module2) {
    module2.exports = require_db();
  }
});

// node_modules/mime-types/index.js
var require_mime_types = __commonJS({
  "node_modules/mime-types/index.js"(exports) {
    "use strict";
    var db = require_mime_db();
    var extname = require("path").extname;
    var EXTRACT_TYPE_REGEXP = /^\s*([^;\s]*)(?:;|\s|$)/;
    var TEXT_TYPE_REGEXP = /^text\//i;
    exports.charset = charset;
    exports.charsets = { lookup: charset };
    exports.contentType = contentType;
    exports.extension = extension;
    exports.extensions = /* @__PURE__ */ Object.create(null);
    exports.lookup = lookup;
    exports.types = /* @__PURE__ */ Object.create(null);
    populateMaps(exports.extensions, exports.types);
    function charset(type) {
      if (!type || typeof type !== "string") {
        return false;
      }
      var match = EXTRACT_TYPE_REGEXP.exec(type);
      var mime = match && db[match[1].toLowerCase()];
      if (mime && mime.charset) {
        return mime.charset;
      }
      if (match && TEXT_TYPE_REGEXP.test(match[1])) {
        return "UTF-8";
      }
      return false;
    }
    function contentType(str) {
      if (!str || typeof str !== "string") {
        return false;
      }
      var mime = str.indexOf("/") === -1 ? exports.lookup(str) : str;
      if (!mime) {
        return false;
      }
      if (mime.indexOf("charset") === -1) {
        var charset2 = exports.charset(mime);
        if (charset2)
          mime += "; charset=" + charset2.toLowerCase();
      }
      return mime;
    }
    function extension(type) {
      if (!type || typeof type !== "string") {
        return false;
      }
      var match = EXTRACT_TYPE_REGEXP.exec(type);
      var exts = match && exports.extensions[match[1].toLowerCase()];
      if (!exts || !exts.length) {
        return false;
      }
      return exts[0];
    }
    function lookup(path) {
      if (!path || typeof path !== "string") {
        return false;
      }
      var extension2 = extname("x." + path).toLowerCase().substr(1);
      if (!extension2) {
        return false;
      }
      return exports.types[extension2] || false;
    }
    function populateMaps(extensions, types) {
      var preference = ["nginx", "apache", void 0, "iana"];
      Object.keys(db).forEach(function forEachMimeType(type) {
        var mime = db[type];
        var exts = mime.extensions;
        if (!exts || !exts.length) {
          return;
        }
        extensions[type] = exts;
        for (var i3 = 0; i3 < exts.length; i3++) {
          var extension2 = exts[i3];
          if (types[extension2]) {
            var from = preference.indexOf(db[types[extension2]].source);
            var to3 = preference.indexOf(mime.source);
            if (types[extension2] !== "application/octet-stream" && (from > to3 || from === to3 && types[extension2].substr(0, 12) === "application/")) {
              continue;
            }
          }
          types[extension2] = type;
        }
      });
    }
  }
});

// node_modules/asynckit/lib/defer.js
var require_defer = __commonJS({
  "node_modules/asynckit/lib/defer.js"(exports, module2) {
    module2.exports = defer;
    function defer(fn3) {
      var nextTick = typeof setImmediate == "function" ? setImmediate : typeof process == "object" && typeof process.nextTick == "function" ? process.nextTick : null;
      if (nextTick) {
        nextTick(fn3);
      } else {
        setTimeout(fn3, 0);
      }
    }
  }
});

// node_modules/asynckit/lib/async.js
var require_async = __commonJS({
  "node_modules/asynckit/lib/async.js"(exports, module2) {
    var defer = require_defer();
    module2.exports = async;
    function async(callback) {
      var isAsync = false;
      defer(function() {
        isAsync = true;
      });
      return function async_callback(err, result) {
        if (isAsync) {
          callback(err, result);
        } else {
          defer(function nextTick_callback() {
            callback(err, result);
          });
        }
      };
    }
  }
});

// node_modules/asynckit/lib/abort.js
var require_abort = __commonJS({
  "node_modules/asynckit/lib/abort.js"(exports, module2) {
    module2.exports = abort;
    function abort(state) {
      Object.keys(state.jobs).forEach(clean.bind(state));
      state.jobs = {};
    }
    function clean(key) {
      if (typeof this.jobs[key] == "function") {
        this.jobs[key]();
      }
    }
  }
});

// node_modules/asynckit/lib/iterate.js
var require_iterate = __commonJS({
  "node_modules/asynckit/lib/iterate.js"(exports, module2) {
    var async = require_async();
    var abort = require_abort();
    module2.exports = iterate;
    function iterate(list, iterator, state, callback) {
      var key = state["keyedList"] ? state["keyedList"][state.index] : state.index;
      state.jobs[key] = runJob(iterator, key, list[key], function(error, output) {
        if (!(key in state.jobs)) {
          return;
        }
        delete state.jobs[key];
        if (error) {
          abort(state);
        } else {
          state.results[key] = output;
        }
        callback(error, state.results);
      });
    }
    function runJob(iterator, key, item, callback) {
      var aborter;
      if (iterator.length == 2) {
        aborter = iterator(item, async(callback));
      } else {
        aborter = iterator(item, key, async(callback));
      }
      return aborter;
    }
  }
});

// node_modules/asynckit/lib/state.js
var require_state = __commonJS({
  "node_modules/asynckit/lib/state.js"(exports, module2) {
    module2.exports = state;
    function state(list, sortMethod) {
      var isNamedList = !Array.isArray(list), initState = {
        index: 0,
        keyedList: isNamedList || sortMethod ? Object.keys(list) : null,
        jobs: {},
        results: isNamedList ? {} : [],
        size: isNamedList ? Object.keys(list).length : list.length
      };
      if (sortMethod) {
        initState.keyedList.sort(isNamedList ? sortMethod : function(a3, b3) {
          return sortMethod(list[a3], list[b3]);
        });
      }
      return initState;
    }
  }
});

// node_modules/asynckit/lib/terminator.js
var require_terminator = __commonJS({
  "node_modules/asynckit/lib/terminator.js"(exports, module2) {
    var abort = require_abort();
    var async = require_async();
    module2.exports = terminator;
    function terminator(callback) {
      if (!Object.keys(this.jobs).length) {
        return;
      }
      this.index = this.size;
      abort(this);
      async(callback)(null, this.results);
    }
  }
});

// node_modules/asynckit/parallel.js
var require_parallel = __commonJS({
  "node_modules/asynckit/parallel.js"(exports, module2) {
    var iterate = require_iterate();
    var initState = require_state();
    var terminator = require_terminator();
    module2.exports = parallel;
    function parallel(list, iterator, callback) {
      var state = initState(list);
      while (state.index < (state["keyedList"] || list).length) {
        iterate(list, iterator, state, function(error, result) {
          if (error) {
            callback(error, result);
            return;
          }
          if (Object.keys(state.jobs).length === 0) {
            callback(null, state.results);
            return;
          }
        });
        state.index++;
      }
      return terminator.bind(state, callback);
    }
  }
});

// node_modules/asynckit/serialOrdered.js
var require_serialOrdered = __commonJS({
  "node_modules/asynckit/serialOrdered.js"(exports, module2) {
    var iterate = require_iterate();
    var initState = require_state();
    var terminator = require_terminator();
    module2.exports = serialOrdered;
    module2.exports.ascending = ascending;
    module2.exports.descending = descending;
    function serialOrdered(list, iterator, sortMethod, callback) {
      var state = initState(list, sortMethod);
      iterate(list, iterator, state, function iteratorHandler(error, result) {
        if (error) {
          callback(error, result);
          return;
        }
        state.index++;
        if (state.index < (state["keyedList"] || list).length) {
          iterate(list, iterator, state, iteratorHandler);
          return;
        }
        callback(null, state.results);
      });
      return terminator.bind(state, callback);
    }
    function ascending(a3, b3) {
      return a3 < b3 ? -1 : a3 > b3 ? 1 : 0;
    }
    function descending(a3, b3) {
      return -1 * ascending(a3, b3);
    }
  }
});

// node_modules/asynckit/serial.js
var require_serial = __commonJS({
  "node_modules/asynckit/serial.js"(exports, module2) {
    var serialOrdered = require_serialOrdered();
    module2.exports = serial;
    function serial(list, iterator, callback) {
      return serialOrdered(list, iterator, null, callback);
    }
  }
});

// node_modules/asynckit/index.js
var require_asynckit = __commonJS({
  "node_modules/asynckit/index.js"(exports, module2) {
    module2.exports = {
      parallel: require_parallel(),
      serial: require_serial(),
      serialOrdered: require_serialOrdered()
    };
  }
});

// node_modules/form-data/lib/populate.js
var require_populate = __commonJS({
  "node_modules/form-data/lib/populate.js"(exports, module2) {
    module2.exports = function(dst, src) {
      Object.keys(src).forEach(function(prop) {
        dst[prop] = dst[prop] || src[prop];
      });
      return dst;
    };
  }
});

// node_modules/form-data/lib/form_data.js
var require_form_data = __commonJS({
  "node_modules/form-data/lib/form_data.js"(exports, module2) {
    var CombinedStream = require_combined_stream();
    var util2 = require("util");
    var path = require("path");
    var http2 = require("http");
    var https2 = require("https");
    var parseUrl = require("url").parse;
    var fs2 = require("fs");
    var Stream = require("stream").Stream;
    var mime = require_mime_types();
    var asynckit = require_asynckit();
    var populate = require_populate();
    module2.exports = FormData3;
    util2.inherits(FormData3, CombinedStream);
    function FormData3(options) {
      if (!(this instanceof FormData3)) {
        return new FormData3(options);
      }
      this._overheadLength = 0;
      this._valueLength = 0;
      this._valuesToMeasure = [];
      CombinedStream.call(this);
      options = options || {};
      for (var option in options) {
        this[option] = options[option];
      }
    }
    FormData3.LINE_BREAK = "\r\n";
    FormData3.DEFAULT_CONTENT_TYPE = "application/octet-stream";
    FormData3.prototype.append = function(field, value, options) {
      options = options || {};
      if (typeof options == "string") {
        options = { filename: options };
      }
      var append2 = CombinedStream.prototype.append.bind(this);
      if (typeof value == "number") {
        value = "" + value;
      }
      if (util2.isArray(value)) {
        this._error(new Error("Arrays are not supported."));
        return;
      }
      var header = this._multiPartHeader(field, value, options);
      var footer = this._multiPartFooter();
      append2(header);
      append2(value);
      append2(footer);
      this._trackLength(header, value, options);
    };
    FormData3.prototype._trackLength = function(header, value, options) {
      var valueLength = 0;
      if (options.knownLength != null) {
        valueLength += +options.knownLength;
      } else if (Buffer.isBuffer(value)) {
        valueLength = value.length;
      } else if (typeof value === "string") {
        valueLength = Buffer.byteLength(value);
      }
      this._valueLength += valueLength;
      this._overheadLength += Buffer.byteLength(header) + FormData3.LINE_BREAK.length;
      if (!value || !value.path && !(value.readable && value.hasOwnProperty("httpVersion")) && !(value instanceof Stream)) {
        return;
      }
      if (!options.knownLength) {
        this._valuesToMeasure.push(value);
      }
    };
    FormData3.prototype._lengthRetriever = function(value, callback) {
      if (value.hasOwnProperty("fd")) {
        if (value.end != void 0 && value.end != Infinity && value.start != void 0) {
          callback(null, value.end + 1 - (value.start ? value.start : 0));
        } else {
          fs2.stat(value.path, function(err, stat) {
            var fileSize;
            if (err) {
              callback(err);
              return;
            }
            fileSize = stat.size - (value.start ? value.start : 0);
            callback(null, fileSize);
          });
        }
      } else if (value.hasOwnProperty("httpVersion")) {
        callback(null, +value.headers["content-length"]);
      } else if (value.hasOwnProperty("httpModule")) {
        value.on("response", function(response) {
          value.pause();
          callback(null, +response.headers["content-length"]);
        });
        value.resume();
      } else {
        callback("Unknown stream");
      }
    };
    FormData3.prototype._multiPartHeader = function(field, value, options) {
      if (typeof options.header == "string") {
        return options.header;
      }
      var contentDisposition = this._getContentDisposition(value, options);
      var contentType = this._getContentType(value, options);
      var contents = "";
      var headers = {
        "Content-Disposition": ["form-data", 'name="' + field + '"'].concat(contentDisposition || []),
        "Content-Type": [].concat(contentType || [])
      };
      if (typeof options.header == "object") {
        populate(headers, options.header);
      }
      var header;
      for (var prop in headers) {
        if (!headers.hasOwnProperty(prop))
          continue;
        header = headers[prop];
        if (header == null) {
          continue;
        }
        if (!Array.isArray(header)) {
          header = [header];
        }
        if (header.length) {
          contents += prop + ": " + header.join("; ") + FormData3.LINE_BREAK;
        }
      }
      return "--" + this.getBoundary() + FormData3.LINE_BREAK + contents + FormData3.LINE_BREAK;
    };
    FormData3.prototype._getContentDisposition = function(value, options) {
      var filename, contentDisposition;
      if (typeof options.filepath === "string") {
        filename = path.normalize(options.filepath).replace(/\\/g, "/");
      } else if (options.filename || value.name || value.path) {
        filename = path.basename(options.filename || value.name || value.path);
      } else if (value.readable && value.hasOwnProperty("httpVersion")) {
        filename = path.basename(value.client._httpMessage.path || "");
      }
      if (filename) {
        contentDisposition = 'filename="' + filename + '"';
      }
      return contentDisposition;
    };
    FormData3.prototype._getContentType = function(value, options) {
      var contentType = options.contentType;
      if (!contentType && value.name) {
        contentType = mime.lookup(value.name);
      }
      if (!contentType && value.path) {
        contentType = mime.lookup(value.path);
      }
      if (!contentType && value.readable && value.hasOwnProperty("httpVersion")) {
        contentType = value.headers["content-type"];
      }
      if (!contentType && (options.filepath || options.filename)) {
        contentType = mime.lookup(options.filepath || options.filename);
      }
      if (!contentType && typeof value == "object") {
        contentType = FormData3.DEFAULT_CONTENT_TYPE;
      }
      return contentType;
    };
    FormData3.prototype._multiPartFooter = function() {
      return function(next) {
        var footer = FormData3.LINE_BREAK;
        var lastPart = this._streams.length === 0;
        if (lastPart) {
          footer += this._lastBoundary();
        }
        next(footer);
      }.bind(this);
    };
    FormData3.prototype._lastBoundary = function() {
      return "--" + this.getBoundary() + "--" + FormData3.LINE_BREAK;
    };
    FormData3.prototype.getHeaders = function(userHeaders) {
      var header;
      var formHeaders = {
        "content-type": "multipart/form-data; boundary=" + this.getBoundary()
      };
      for (header in userHeaders) {
        if (userHeaders.hasOwnProperty(header)) {
          formHeaders[header.toLowerCase()] = userHeaders[header];
        }
      }
      return formHeaders;
    };
    FormData3.prototype.setBoundary = function(boundary) {
      this._boundary = boundary;
    };
    FormData3.prototype.getBoundary = function() {
      if (!this._boundary) {
        this._generateBoundary();
      }
      return this._boundary;
    };
    FormData3.prototype.getBuffer = function() {
      var dataBuffer = new Buffer.alloc(0);
      var boundary = this.getBoundary();
      for (var i3 = 0, len = this._streams.length; i3 < len; i3++) {
        if (typeof this._streams[i3] !== "function") {
          if (Buffer.isBuffer(this._streams[i3])) {
            dataBuffer = Buffer.concat([dataBuffer, this._streams[i3]]);
          } else {
            dataBuffer = Buffer.concat([dataBuffer, Buffer.from(this._streams[i3])]);
          }
          if (typeof this._streams[i3] !== "string" || this._streams[i3].substring(2, boundary.length + 2) !== boundary) {
            dataBuffer = Buffer.concat([dataBuffer, Buffer.from(FormData3.LINE_BREAK)]);
          }
        }
      }
      return Buffer.concat([dataBuffer, Buffer.from(this._lastBoundary())]);
    };
    FormData3.prototype._generateBoundary = function() {
      var boundary = "--------------------------";
      for (var i3 = 0; i3 < 24; i3++) {
        boundary += Math.floor(Math.random() * 10).toString(16);
      }
      this._boundary = boundary;
    };
    FormData3.prototype.getLengthSync = function() {
      var knownLength = this._overheadLength + this._valueLength;
      if (this._streams.length) {
        knownLength += this._lastBoundary().length;
      }
      if (!this.hasKnownLength()) {
        this._error(new Error("Cannot calculate proper length in synchronous way."));
      }
      return knownLength;
    };
    FormData3.prototype.hasKnownLength = function() {
      var hasKnownLength = true;
      if (this._valuesToMeasure.length) {
        hasKnownLength = false;
      }
      return hasKnownLength;
    };
    FormData3.prototype.getLength = function(cb) {
      var knownLength = this._overheadLength + this._valueLength;
      if (this._streams.length) {
        knownLength += this._lastBoundary().length;
      }
      if (!this._valuesToMeasure.length) {
        process.nextTick(cb.bind(this, null, knownLength));
        return;
      }
      asynckit.parallel(this._valuesToMeasure, this._lengthRetriever, function(err, values) {
        if (err) {
          cb(err);
          return;
        }
        values.forEach(function(length) {
          knownLength += length;
        });
        cb(null, knownLength);
      });
    };
    FormData3.prototype.submit = function(params, cb) {
      var request, options, defaults2 = { method: "post" };
      if (typeof params == "string") {
        params = parseUrl(params);
        options = populate({
          port: params.port,
          path: params.pathname,
          host: params.hostname,
          protocol: params.protocol
        }, defaults2);
      } else {
        options = populate(params, defaults2);
        if (!options.port) {
          options.port = options.protocol == "https:" ? 443 : 80;
        }
      }
      options.headers = this.getHeaders(params.headers);
      if (options.protocol == "https:") {
        request = https2.request(options);
      } else {
        request = http2.request(options);
      }
      this.getLength(function(err, length) {
        if (err && err !== "Unknown stream") {
          this._error(err);
          return;
        }
        if (length) {
          request.setHeader("Content-Length", length);
        }
        this.pipe(request);
        if (cb) {
          var onResponse;
          var callback = function(error, responce) {
            request.removeListener("error", callback);
            request.removeListener("response", onResponse);
            return cb.call(this, error, responce);
          };
          onResponse = callback.bind(this, null);
          request.on("error", callback);
          request.on("response", onResponse);
        }
      }.bind(this));
      return request;
    };
    FormData3.prototype._error = function(err) {
      if (!this.error) {
        this.error = err;
        this.pause();
        this.emit("error", err);
      }
    };
    FormData3.prototype.toString = function() {
      return "[object FormData]";
    };
  }
});

// node_modules/proxy-from-env/index.js
var require_proxy_from_env = __commonJS({
  "node_modules/proxy-from-env/index.js"(exports) {
    "use strict";
    var parseUrl = require("url").parse;
    var DEFAULT_PORTS = {
      ftp: 21,
      gopher: 70,
      http: 80,
      https: 443,
      ws: 80,
      wss: 443
    };
    var stringEndsWith = String.prototype.endsWith || function(s3) {
      return s3.length <= this.length && this.indexOf(s3, this.length - s3.length) !== -1;
    };
    function getProxyForUrl2(url2) {
      var parsedUrl = typeof url2 === "string" ? parseUrl(url2) : url2 || {};
      var proto = parsedUrl.protocol;
      var hostname = parsedUrl.host;
      var port = parsedUrl.port;
      if (typeof hostname !== "string" || !hostname || typeof proto !== "string") {
        return "";
      }
      proto = proto.split(":", 1)[0];
      hostname = hostname.replace(/:\d*$/, "");
      port = parseInt(port) || DEFAULT_PORTS[proto] || 0;
      if (!shouldProxy(hostname, port)) {
        return "";
      }
      var proxy = getEnv("npm_config_" + proto + "_proxy") || getEnv(proto + "_proxy") || getEnv("npm_config_proxy") || getEnv("all_proxy");
      if (proxy && proxy.indexOf("://") === -1) {
        proxy = proto + "://" + proxy;
      }
      return proxy;
    }
    function shouldProxy(hostname, port) {
      var NO_PROXY = (getEnv("npm_config_no_proxy") || getEnv("no_proxy")).toLowerCase();
      if (!NO_PROXY) {
        return true;
      }
      if (NO_PROXY === "*") {
        return false;
      }
      return NO_PROXY.split(/[,\s]/).every(function(proxy) {
        if (!proxy) {
          return true;
        }
        var parsedProxy = proxy.match(/^(.+):(\d+)$/);
        var parsedProxyHostname = parsedProxy ? parsedProxy[1] : proxy;
        var parsedProxyPort = parsedProxy ? parseInt(parsedProxy[2]) : 0;
        if (parsedProxyPort && parsedProxyPort !== port) {
          return true;
        }
        if (!/^[.*]/.test(parsedProxyHostname)) {
          return hostname !== parsedProxyHostname;
        }
        if (parsedProxyHostname.charAt(0) === "*") {
          parsedProxyHostname = parsedProxyHostname.slice(1);
        }
        return !stringEndsWith.call(hostname, parsedProxyHostname);
      });
    }
    function getEnv(key) {
      return process.env[key.toLowerCase()] || process.env[key.toUpperCase()] || "";
    }
    exports.getProxyForUrl = getProxyForUrl2;
  }
});

// node_modules/ms/index.js
var require_ms = __commonJS({
  "node_modules/ms/index.js"(exports, module2) {
    var s3 = 1e3;
    var m3 = s3 * 60;
    var h3 = m3 * 60;
    var d3 = h3 * 24;
    var w3 = d3 * 7;
    var y3 = d3 * 365.25;
    module2.exports = function(val, options) {
      options = options || {};
      var type = typeof val;
      if (type === "string" && val.length > 0) {
        return parse(val);
      } else if (type === "number" && isFinite(val)) {
        return options.long ? fmtLong(val) : fmtShort(val);
      }
      throw new Error(
        "val is not a non-empty string or a valid number. val=" + JSON.stringify(val)
      );
    };
    function parse(str) {
      str = String(str);
      if (str.length > 100) {
        return;
      }
      var match = /^(-?(?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|weeks?|w|years?|yrs?|y)?$/i.exec(
        str
      );
      if (!match) {
        return;
      }
      var n3 = parseFloat(match[1]);
      var type = (match[2] || "ms").toLowerCase();
      switch (type) {
        case "years":
        case "year":
        case "yrs":
        case "yr":
        case "y":
          return n3 * y3;
        case "weeks":
        case "week":
        case "w":
          return n3 * w3;
        case "days":
        case "day":
        case "d":
          return n3 * d3;
        case "hours":
        case "hour":
        case "hrs":
        case "hr":
        case "h":
          return n3 * h3;
        case "minutes":
        case "minute":
        case "mins":
        case "min":
        case "m":
          return n3 * m3;
        case "seconds":
        case "second":
        case "secs":
        case "sec":
        case "s":
          return n3 * s3;
        case "milliseconds":
        case "millisecond":
        case "msecs":
        case "msec":
        case "ms":
          return n3;
        default:
          return void 0;
      }
    }
    function fmtShort(ms2) {
      var msAbs = Math.abs(ms2);
      if (msAbs >= d3) {
        return Math.round(ms2 / d3) + "d";
      }
      if (msAbs >= h3) {
        return Math.round(ms2 / h3) + "h";
      }
      if (msAbs >= m3) {
        return Math.round(ms2 / m3) + "m";
      }
      if (msAbs >= s3) {
        return Math.round(ms2 / s3) + "s";
      }
      return ms2 + "ms";
    }
    function fmtLong(ms2) {
      var msAbs = Math.abs(ms2);
      if (msAbs >= d3) {
        return plural(ms2, msAbs, d3, "day");
      }
      if (msAbs >= h3) {
        return plural(ms2, msAbs, h3, "hour");
      }
      if (msAbs >= m3) {
        return plural(ms2, msAbs, m3, "minute");
      }
      if (msAbs >= s3) {
        return plural(ms2, msAbs, s3, "second");
      }
      return ms2 + " ms";
    }
    function plural(ms2, msAbs, n3, name) {
      var isPlural = msAbs >= n3 * 1.5;
      return Math.round(ms2 / n3) + " " + name + (isPlural ? "s" : "");
    }
  }
});

// node_modules/debug/src/common.js
var require_common = __commonJS({
  "node_modules/debug/src/common.js"(exports, module2) {
    function setup(env) {
      createDebug.debug = createDebug;
      createDebug.default = createDebug;
      createDebug.coerce = coerce;
      createDebug.disable = disable;
      createDebug.enable = enable;
      createDebug.enabled = enabled;
      createDebug.humanize = require_ms();
      createDebug.destroy = destroy;
      Object.keys(env).forEach((key) => {
        createDebug[key] = env[key];
      });
      createDebug.names = [];
      createDebug.skips = [];
      createDebug.formatters = {};
      function selectColor(namespace) {
        let hash = 0;
        for (let i3 = 0; i3 < namespace.length; i3++) {
          hash = (hash << 5) - hash + namespace.charCodeAt(i3);
          hash |= 0;
        }
        return createDebug.colors[Math.abs(hash) % createDebug.colors.length];
      }
      createDebug.selectColor = selectColor;
      function createDebug(namespace) {
        let prevTime;
        let enableOverride = null;
        let namespacesCache;
        let enabledCache;
        function debug(...args) {
          if (!debug.enabled) {
            return;
          }
          const self2 = debug;
          const curr = Number(new Date());
          const ms2 = curr - (prevTime || curr);
          self2.diff = ms2;
          self2.prev = prevTime;
          self2.curr = curr;
          prevTime = curr;
          args[0] = createDebug.coerce(args[0]);
          if (typeof args[0] !== "string") {
            args.unshift("%O");
          }
          let index = 0;
          args[0] = args[0].replace(/%([a-zA-Z%])/g, (match, format) => {
            if (match === "%%") {
              return "%";
            }
            index++;
            const formatter = createDebug.formatters[format];
            if (typeof formatter === "function") {
              const val = args[index];
              match = formatter.call(self2, val);
              args.splice(index, 1);
              index--;
            }
            return match;
          });
          createDebug.formatArgs.call(self2, args);
          const logFn = self2.log || createDebug.log;
          logFn.apply(self2, args);
        }
        debug.namespace = namespace;
        debug.useColors = createDebug.useColors();
        debug.color = createDebug.selectColor(namespace);
        debug.extend = extend2;
        debug.destroy = createDebug.destroy;
        Object.defineProperty(debug, "enabled", {
          enumerable: true,
          configurable: false,
          get: () => {
            if (enableOverride !== null) {
              return enableOverride;
            }
            if (namespacesCache !== createDebug.namespaces) {
              namespacesCache = createDebug.namespaces;
              enabledCache = createDebug.enabled(namespace);
            }
            return enabledCache;
          },
          set: (v3) => {
            enableOverride = v3;
          }
        });
        if (typeof createDebug.init === "function") {
          createDebug.init(debug);
        }
        return debug;
      }
      function extend2(namespace, delimiter) {
        const newDebug = createDebug(this.namespace + (typeof delimiter === "undefined" ? ":" : delimiter) + namespace);
        newDebug.log = this.log;
        return newDebug;
      }
      function enable(namespaces) {
        createDebug.save(namespaces);
        createDebug.namespaces = namespaces;
        createDebug.names = [];
        createDebug.skips = [];
        let i3;
        const split = (typeof namespaces === "string" ? namespaces : "").split(/[\s,]+/);
        const len = split.length;
        for (i3 = 0; i3 < len; i3++) {
          if (!split[i3]) {
            continue;
          }
          namespaces = split[i3].replace(/\*/g, ".*?");
          if (namespaces[0] === "-") {
            createDebug.skips.push(new RegExp("^" + namespaces.slice(1) + "$"));
          } else {
            createDebug.names.push(new RegExp("^" + namespaces + "$"));
          }
        }
      }
      function disable() {
        const namespaces = [
          ...createDebug.names.map(toNamespace),
          ...createDebug.skips.map(toNamespace).map((namespace) => "-" + namespace)
        ].join(",");
        createDebug.enable("");
        return namespaces;
      }
      function enabled(name) {
        if (name[name.length - 1] === "*") {
          return true;
        }
        let i3;
        let len;
        for (i3 = 0, len = createDebug.skips.length; i3 < len; i3++) {
          if (createDebug.skips[i3].test(name)) {
            return false;
          }
        }
        for (i3 = 0, len = createDebug.names.length; i3 < len; i3++) {
          if (createDebug.names[i3].test(name)) {
            return true;
          }
        }
        return false;
      }
      function toNamespace(regexp) {
        return regexp.toString().substring(2, regexp.toString().length - 2).replace(/\.\*\?$/, "*");
      }
      function coerce(val) {
        if (val instanceof Error) {
          return val.stack || val.message;
        }
        return val;
      }
      function destroy() {
        console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.");
      }
      createDebug.enable(createDebug.load());
      return createDebug;
    }
    module2.exports = setup;
  }
});

// node_modules/debug/src/browser.js
var require_browser = __commonJS({
  "node_modules/debug/src/browser.js"(exports, module2) {
    exports.formatArgs = formatArgs;
    exports.save = save;
    exports.load = load;
    exports.useColors = useColors;
    exports.storage = localstorage();
    exports.destroy = (() => {
      let warned = false;
      return () => {
        if (!warned) {
          warned = true;
          console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.");
        }
      };
    })();
    exports.colors = [
      "#0000CC",
      "#0000FF",
      "#0033CC",
      "#0033FF",
      "#0066CC",
      "#0066FF",
      "#0099CC",
      "#0099FF",
      "#00CC00",
      "#00CC33",
      "#00CC66",
      "#00CC99",
      "#00CCCC",
      "#00CCFF",
      "#3300CC",
      "#3300FF",
      "#3333CC",
      "#3333FF",
      "#3366CC",
      "#3366FF",
      "#3399CC",
      "#3399FF",
      "#33CC00",
      "#33CC33",
      "#33CC66",
      "#33CC99",
      "#33CCCC",
      "#33CCFF",
      "#6600CC",
      "#6600FF",
      "#6633CC",
      "#6633FF",
      "#66CC00",
      "#66CC33",
      "#9900CC",
      "#9900FF",
      "#9933CC",
      "#9933FF",
      "#99CC00",
      "#99CC33",
      "#CC0000",
      "#CC0033",
      "#CC0066",
      "#CC0099",
      "#CC00CC",
      "#CC00FF",
      "#CC3300",
      "#CC3333",
      "#CC3366",
      "#CC3399",
      "#CC33CC",
      "#CC33FF",
      "#CC6600",
      "#CC6633",
      "#CC9900",
      "#CC9933",
      "#CCCC00",
      "#CCCC33",
      "#FF0000",
      "#FF0033",
      "#FF0066",
      "#FF0099",
      "#FF00CC",
      "#FF00FF",
      "#FF3300",
      "#FF3333",
      "#FF3366",
      "#FF3399",
      "#FF33CC",
      "#FF33FF",
      "#FF6600",
      "#FF6633",
      "#FF9900",
      "#FF9933",
      "#FFCC00",
      "#FFCC33"
    ];
    function useColors() {
      if (typeof window !== "undefined" && window.process && (window.process.type === "renderer" || window.process.__nwjs)) {
        return true;
      }
      if (typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/(edge|trident)\/(\d+)/)) {
        return false;
      }
      return typeof document !== "undefined" && document.documentElement && document.documentElement.style && document.documentElement.style.WebkitAppearance || typeof window !== "undefined" && window.console && (window.console.firebug || window.console.exception && window.console.table) || typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/) && parseInt(RegExp.$1, 10) >= 31 || typeof navigator !== "undefined" && navigator.userAgent && navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/);
    }
    function formatArgs(args) {
      args[0] = (this.useColors ? "%c" : "") + this.namespace + (this.useColors ? " %c" : " ") + args[0] + (this.useColors ? "%c " : " ") + "+" + module2.exports.humanize(this.diff);
      if (!this.useColors) {
        return;
      }
      const c3 = "color: " + this.color;
      args.splice(1, 0, c3, "color: inherit");
      let index = 0;
      let lastC = 0;
      args[0].replace(/%[a-zA-Z%]/g, (match) => {
        if (match === "%%") {
          return;
        }
        index++;
        if (match === "%c") {
          lastC = index;
        }
      });
      args.splice(lastC, 0, c3);
    }
    exports.log = console.debug || console.log || (() => {
    });
    function save(namespaces) {
      try {
        if (namespaces) {
          exports.storage.setItem("debug", namespaces);
        } else {
          exports.storage.removeItem("debug");
        }
      } catch (error) {
      }
    }
    function load() {
      let r3;
      try {
        r3 = exports.storage.getItem("debug");
      } catch (error) {
      }
      if (!r3 && typeof process !== "undefined" && "env" in process) {
        r3 = process.env.DEBUG;
      }
      return r3;
    }
    function localstorage() {
      try {
        return localStorage;
      } catch (error) {
      }
    }
    module2.exports = require_common()(exports);
    var { formatters } = module2.exports;
    formatters.j = function(v3) {
      try {
        return JSON.stringify(v3);
      } catch (error) {
        return "[UnexpectedJSONParseError]: " + error.message;
      }
    };
  }
});

// node_modules/has-flag/index.js
var require_has_flag = __commonJS({
  "node_modules/has-flag/index.js"(exports, module2) {
    "use strict";
    module2.exports = (flag, argv = process.argv) => {
      const prefix = flag.startsWith("-") ? "" : flag.length === 1 ? "-" : "--";
      const position = argv.indexOf(prefix + flag);
      const terminatorPosition = argv.indexOf("--");
      return position !== -1 && (terminatorPosition === -1 || position < terminatorPosition);
    };
  }
});

// node_modules/supports-color/index.js
var require_supports_color = __commonJS({
  "node_modules/supports-color/index.js"(exports, module2) {
    "use strict";
    var os2 = require("os");
    var tty = require("tty");
    var hasFlag = require_has_flag();
    var { env } = process;
    var forceColor;
    if (hasFlag("no-color") || hasFlag("no-colors") || hasFlag("color=false") || hasFlag("color=never")) {
      forceColor = 0;
    } else if (hasFlag("color") || hasFlag("colors") || hasFlag("color=true") || hasFlag("color=always")) {
      forceColor = 1;
    }
    if ("FORCE_COLOR" in env) {
      if (env.FORCE_COLOR === "true") {
        forceColor = 1;
      } else if (env.FORCE_COLOR === "false") {
        forceColor = 0;
      } else {
        forceColor = env.FORCE_COLOR.length === 0 ? 1 : Math.min(parseInt(env.FORCE_COLOR, 10), 3);
      }
    }
    function translateLevel(level) {
      if (level === 0) {
        return false;
      }
      return {
        level,
        hasBasic: true,
        has256: level >= 2,
        has16m: level >= 3
      };
    }
    function supportsColor(haveStream, streamIsTTY) {
      if (forceColor === 0) {
        return 0;
      }
      if (hasFlag("color=16m") || hasFlag("color=full") || hasFlag("color=truecolor")) {
        return 3;
      }
      if (hasFlag("color=256")) {
        return 2;
      }
      if (haveStream && !streamIsTTY && forceColor === void 0) {
        return 0;
      }
      const min = forceColor || 0;
      if (env.TERM === "dumb") {
        return min;
      }
      if (process.platform === "win32") {
        const osRelease = os2.release().split(".");
        if (Number(osRelease[0]) >= 10 && Number(osRelease[2]) >= 10586) {
          return Number(osRelease[2]) >= 14931 ? 3 : 2;
        }
        return 1;
      }
      if ("CI" in env) {
        if (["TRAVIS", "CIRCLECI", "APPVEYOR", "GITLAB_CI", "GITHUB_ACTIONS", "BUILDKITE"].some((sign) => sign in env) || env.CI_NAME === "codeship") {
          return 1;
        }
        return min;
      }
      if ("TEAMCITY_VERSION" in env) {
        return /^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env.TEAMCITY_VERSION) ? 1 : 0;
      }
      if (env.COLORTERM === "truecolor") {
        return 3;
      }
      if ("TERM_PROGRAM" in env) {
        const version = parseInt((env.TERM_PROGRAM_VERSION || "").split(".")[0], 10);
        switch (env.TERM_PROGRAM) {
          case "iTerm.app":
            return version >= 3 ? 3 : 2;
          case "Apple_Terminal":
            return 2;
        }
      }
      if (/-256(color)?$/i.test(env.TERM)) {
        return 2;
      }
      if (/^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(env.TERM)) {
        return 1;
      }
      if ("COLORTERM" in env) {
        return 1;
      }
      return min;
    }
    function getSupportLevel(stream4) {
      const level = supportsColor(stream4, stream4 && stream4.isTTY);
      return translateLevel(level);
    }
    module2.exports = {
      supportsColor: getSupportLevel,
      stdout: translateLevel(supportsColor(true, tty.isatty(1))),
      stderr: translateLevel(supportsColor(true, tty.isatty(2)))
    };
  }
});

// node_modules/debug/src/node.js
var require_node = __commonJS({
  "node_modules/debug/src/node.js"(exports, module2) {
    var tty = require("tty");
    var util2 = require("util");
    exports.init = init2;
    exports.log = log2;
    exports.formatArgs = formatArgs;
    exports.save = save;
    exports.load = load;
    exports.useColors = useColors;
    exports.destroy = util2.deprecate(
      () => {
      },
      "Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`."
    );
    exports.colors = [6, 2, 3, 4, 5, 1];
    try {
      const supportsColor = require_supports_color();
      if (supportsColor && (supportsColor.stderr || supportsColor).level >= 2) {
        exports.colors = [
          20,
          21,
          26,
          27,
          32,
          33,
          38,
          39,
          40,
          41,
          42,
          43,
          44,
          45,
          56,
          57,
          62,
          63,
          68,
          69,
          74,
          75,
          76,
          77,
          78,
          79,
          80,
          81,
          92,
          93,
          98,
          99,
          112,
          113,
          128,
          129,
          134,
          135,
          148,
          149,
          160,
          161,
          162,
          163,
          164,
          165,
          166,
          167,
          168,
          169,
          170,
          171,
          172,
          173,
          178,
          179,
          184,
          185,
          196,
          197,
          198,
          199,
          200,
          201,
          202,
          203,
          204,
          205,
          206,
          207,
          208,
          209,
          214,
          215,
          220,
          221
        ];
      }
    } catch (error) {
    }
    exports.inspectOpts = Object.keys(process.env).filter((key) => {
      return /^debug_/i.test(key);
    }).reduce((obj, key) => {
      const prop = key.substring(6).toLowerCase().replace(/_([a-z])/g, (_3, k3) => {
        return k3.toUpperCase();
      });
      let val = process.env[key];
      if (/^(yes|on|true|enabled)$/i.test(val)) {
        val = true;
      } else if (/^(no|off|false|disabled)$/i.test(val)) {
        val = false;
      } else if (val === "null") {
        val = null;
      } else {
        val = Number(val);
      }
      obj[prop] = val;
      return obj;
    }, {});
    function useColors() {
      return "colors" in exports.inspectOpts ? Boolean(exports.inspectOpts.colors) : tty.isatty(process.stderr.fd);
    }
    function formatArgs(args) {
      const { namespace: name, useColors: useColors2 } = this;
      if (useColors2) {
        const c3 = this.color;
        const colorCode = "\x1B[3" + (c3 < 8 ? c3 : "8;5;" + c3);
        const prefix = `  ${colorCode};1m${name} \x1B[0m`;
        args[0] = prefix + args[0].split("\n").join("\n" + prefix);
        args.push(colorCode + "m+" + module2.exports.humanize(this.diff) + "\x1B[0m");
      } else {
        args[0] = getDate() + name + " " + args[0];
      }
    }
    function getDate() {
      if (exports.inspectOpts.hideDate) {
        return "";
      }
      return new Date().toISOString() + " ";
    }
    function log2(...args) {
      return process.stderr.write(util2.format(...args) + "\n");
    }
    function save(namespaces) {
      if (namespaces) {
        process.env.DEBUG = namespaces;
      } else {
        delete process.env.DEBUG;
      }
    }
    function load() {
      return process.env.DEBUG;
    }
    function init2(debug) {
      debug.inspectOpts = {};
      const keys = Object.keys(exports.inspectOpts);
      for (let i3 = 0; i3 < keys.length; i3++) {
        debug.inspectOpts[keys[i3]] = exports.inspectOpts[keys[i3]];
      }
    }
    module2.exports = require_common()(exports);
    var { formatters } = module2.exports;
    formatters.o = function(v3) {
      this.inspectOpts.colors = this.useColors;
      return util2.inspect(v3, this.inspectOpts).split("\n").map((str) => str.trim()).join(" ");
    };
    formatters.O = function(v3) {
      this.inspectOpts.colors = this.useColors;
      return util2.inspect(v3, this.inspectOpts);
    };
  }
});

// node_modules/debug/src/index.js
var require_src = __commonJS({
  "node_modules/debug/src/index.js"(exports, module2) {
    if (typeof process === "undefined" || process.type === "renderer" || process.browser === true || process.__nwjs) {
      module2.exports = require_browser();
    } else {
      module2.exports = require_node();
    }
  }
});

// node_modules/follow-redirects/debug.js
var require_debug = __commonJS({
  "node_modules/follow-redirects/debug.js"(exports, module2) {
    var debug;
    module2.exports = function() {
      if (!debug) {
        try {
          debug = require_src()("follow-redirects");
        } catch (error) {
        }
        if (typeof debug !== "function") {
          debug = function() {
          };
        }
      }
      debug.apply(null, arguments);
    };
  }
});

// node_modules/follow-redirects/index.js
var require_follow_redirects = __commonJS({
  "node_modules/follow-redirects/index.js"(exports, module2) {
    var url2 = require("url");
    var URL2 = url2.URL;
    var http2 = require("http");
    var https2 = require("https");
    var Writable = require("stream").Writable;
    var assert = require("assert");
    var debug = require_debug();
    var events = ["abort", "aborted", "connect", "error", "socket", "timeout"];
    var eventHandlers = /* @__PURE__ */ Object.create(null);
    events.forEach(function(event) {
      eventHandlers[event] = function(arg1, arg2, arg3) {
        this._redirectable.emit(event, arg1, arg2, arg3);
      };
    });
    var InvalidUrlError = createErrorType(
      "ERR_INVALID_URL",
      "Invalid URL",
      TypeError
    );
    var RedirectionError = createErrorType(
      "ERR_FR_REDIRECTION_FAILURE",
      "Redirected request failed"
    );
    var TooManyRedirectsError = createErrorType(
      "ERR_FR_TOO_MANY_REDIRECTS",
      "Maximum number of redirects exceeded"
    );
    var MaxBodyLengthExceededError = createErrorType(
      "ERR_FR_MAX_BODY_LENGTH_EXCEEDED",
      "Request body larger than maxBodyLength limit"
    );
    var WriteAfterEndError = createErrorType(
      "ERR_STREAM_WRITE_AFTER_END",
      "write after end"
    );
    function RedirectableRequest(options, responseCallback) {
      Writable.call(this);
      this._sanitizeOptions(options);
      this._options = options;
      this._ended = false;
      this._ending = false;
      this._redirectCount = 0;
      this._redirects = [];
      this._requestBodyLength = 0;
      this._requestBodyBuffers = [];
      if (responseCallback) {
        this.on("response", responseCallback);
      }
      var self2 = this;
      this._onNativeResponse = function(response) {
        self2._processResponse(response);
      };
      this._performRequest();
    }
    RedirectableRequest.prototype = Object.create(Writable.prototype);
    RedirectableRequest.prototype.abort = function() {
      abortRequest(this._currentRequest);
      this.emit("abort");
    };
    RedirectableRequest.prototype.write = function(data, encoding, callback) {
      if (this._ending) {
        throw new WriteAfterEndError();
      }
      if (!isString2(data) && !isBuffer2(data)) {
        throw new TypeError("data should be a string, Buffer or Uint8Array");
      }
      if (isFunction2(encoding)) {
        callback = encoding;
        encoding = null;
      }
      if (data.length === 0) {
        if (callback) {
          callback();
        }
        return;
      }
      if (this._requestBodyLength + data.length <= this._options.maxBodyLength) {
        this._requestBodyLength += data.length;
        this._requestBodyBuffers.push({ data, encoding });
        this._currentRequest.write(data, encoding, callback);
      } else {
        this.emit("error", new MaxBodyLengthExceededError());
        this.abort();
      }
    };
    RedirectableRequest.prototype.end = function(data, encoding, callback) {
      if (isFunction2(data)) {
        callback = data;
        data = encoding = null;
      } else if (isFunction2(encoding)) {
        callback = encoding;
        encoding = null;
      }
      if (!data) {
        this._ended = this._ending = true;
        this._currentRequest.end(null, null, callback);
      } else {
        var self2 = this;
        var currentRequest = this._currentRequest;
        this.write(data, encoding, function() {
          self2._ended = true;
          currentRequest.end(null, null, callback);
        });
        this._ending = true;
      }
    };
    RedirectableRequest.prototype.setHeader = function(name, value) {
      this._options.headers[name] = value;
      this._currentRequest.setHeader(name, value);
    };
    RedirectableRequest.prototype.removeHeader = function(name) {
      delete this._options.headers[name];
      this._currentRequest.removeHeader(name);
    };
    RedirectableRequest.prototype.setTimeout = function(msecs, callback) {
      var self2 = this;
      function destroyOnTimeout(socket) {
        socket.setTimeout(msecs);
        socket.removeListener("timeout", socket.destroy);
        socket.addListener("timeout", socket.destroy);
      }
      function startTimer(socket) {
        if (self2._timeout) {
          clearTimeout(self2._timeout);
        }
        self2._timeout = setTimeout(function() {
          self2.emit("timeout");
          clearTimer();
        }, msecs);
        destroyOnTimeout(socket);
      }
      function clearTimer() {
        if (self2._timeout) {
          clearTimeout(self2._timeout);
          self2._timeout = null;
        }
        self2.removeListener("abort", clearTimer);
        self2.removeListener("error", clearTimer);
        self2.removeListener("response", clearTimer);
        if (callback) {
          self2.removeListener("timeout", callback);
        }
        if (!self2.socket) {
          self2._currentRequest.removeListener("socket", startTimer);
        }
      }
      if (callback) {
        this.on("timeout", callback);
      }
      if (this.socket) {
        startTimer(this.socket);
      } else {
        this._currentRequest.once("socket", startTimer);
      }
      this.on("socket", destroyOnTimeout);
      this.on("abort", clearTimer);
      this.on("error", clearTimer);
      this.on("response", clearTimer);
      return this;
    };
    [
      "flushHeaders",
      "getHeader",
      "setNoDelay",
      "setSocketKeepAlive"
    ].forEach(function(method) {
      RedirectableRequest.prototype[method] = function(a3, b3) {
        return this._currentRequest[method](a3, b3);
      };
    });
    ["aborted", "connection", "socket"].forEach(function(property) {
      Object.defineProperty(RedirectableRequest.prototype, property, {
        get: function() {
          return this._currentRequest[property];
        }
      });
    });
    RedirectableRequest.prototype._sanitizeOptions = function(options) {
      if (!options.headers) {
        options.headers = {};
      }
      if (options.host) {
        if (!options.hostname) {
          options.hostname = options.host;
        }
        delete options.host;
      }
      if (!options.pathname && options.path) {
        var searchPos = options.path.indexOf("?");
        if (searchPos < 0) {
          options.pathname = options.path;
        } else {
          options.pathname = options.path.substring(0, searchPos);
          options.search = options.path.substring(searchPos);
        }
      }
    };
    RedirectableRequest.prototype._performRequest = function() {
      var protocol = this._options.protocol;
      var nativeProtocol = this._options.nativeProtocols[protocol];
      if (!nativeProtocol) {
        this.emit("error", new TypeError("Unsupported protocol " + protocol));
        return;
      }
      if (this._options.agents) {
        var scheme = protocol.slice(0, -1);
        this._options.agent = this._options.agents[scheme];
      }
      var request = this._currentRequest = nativeProtocol.request(this._options, this._onNativeResponse);
      request._redirectable = this;
      for (var event of events) {
        request.on(event, eventHandlers[event]);
      }
      this._currentUrl = /^\//.test(this._options.path) ? url2.format(this._options) : this._options.path;
      if (this._isRedirect) {
        var i3 = 0;
        var self2 = this;
        var buffers = this._requestBodyBuffers;
        (function writeNext(error) {
          if (request === self2._currentRequest) {
            if (error) {
              self2.emit("error", error);
            } else if (i3 < buffers.length) {
              var buffer = buffers[i3++];
              if (!request.finished) {
                request.write(buffer.data, buffer.encoding, writeNext);
              }
            } else if (self2._ended) {
              request.end();
            }
          }
        })();
      }
    };
    RedirectableRequest.prototype._processResponse = function(response) {
      var statusCode = response.statusCode;
      if (this._options.trackRedirects) {
        this._redirects.push({
          url: this._currentUrl,
          headers: response.headers,
          statusCode
        });
      }
      var location2 = response.headers.location;
      if (!location2 || this._options.followRedirects === false || statusCode < 300 || statusCode >= 400) {
        response.responseUrl = this._currentUrl;
        response.redirects = this._redirects;
        this.emit("response", response);
        this._requestBodyBuffers = [];
        return;
      }
      abortRequest(this._currentRequest);
      response.destroy();
      if (++this._redirectCount > this._options.maxRedirects) {
        this.emit("error", new TooManyRedirectsError());
        return;
      }
      var requestHeaders;
      var beforeRedirect = this._options.beforeRedirect;
      if (beforeRedirect) {
        requestHeaders = Object.assign({
          Host: response.req.getHeader("host")
        }, this._options.headers);
      }
      var method = this._options.method;
      if ((statusCode === 301 || statusCode === 302) && this._options.method === "POST" || statusCode === 303 && !/^(?:GET|HEAD)$/.test(this._options.method)) {
        this._options.method = "GET";
        this._requestBodyBuffers = [];
        removeMatchingHeaders(/^content-/i, this._options.headers);
      }
      var currentHostHeader = removeMatchingHeaders(/^host$/i, this._options.headers);
      var currentUrlParts = url2.parse(this._currentUrl);
      var currentHost = currentHostHeader || currentUrlParts.host;
      var currentUrl = /^\w+:/.test(location2) ? this._currentUrl : url2.format(Object.assign(currentUrlParts, { host: currentHost }));
      var redirectUrl;
      try {
        redirectUrl = url2.resolve(currentUrl, location2);
      } catch (cause) {
        this.emit("error", new RedirectionError({ cause }));
        return;
      }
      debug("redirecting to", redirectUrl);
      this._isRedirect = true;
      var redirectUrlParts = url2.parse(redirectUrl);
      Object.assign(this._options, redirectUrlParts);
      if (redirectUrlParts.protocol !== currentUrlParts.protocol && redirectUrlParts.protocol !== "https:" || redirectUrlParts.host !== currentHost && !isSubdomain(redirectUrlParts.host, currentHost)) {
        removeMatchingHeaders(/^(?:authorization|cookie)$/i, this._options.headers);
      }
      if (isFunction2(beforeRedirect)) {
        var responseDetails = {
          headers: response.headers,
          statusCode
        };
        var requestDetails = {
          url: currentUrl,
          method,
          headers: requestHeaders
        };
        try {
          beforeRedirect(this._options, responseDetails, requestDetails);
        } catch (err) {
          this.emit("error", err);
          return;
        }
        this._sanitizeOptions(this._options);
      }
      try {
        this._performRequest();
      } catch (cause) {
        this.emit("error", new RedirectionError({ cause }));
      }
    };
    function wrap(protocols) {
      var exports2 = {
        maxRedirects: 21,
        maxBodyLength: 10 * 1024 * 1024
      };
      var nativeProtocols = {};
      Object.keys(protocols).forEach(function(scheme) {
        var protocol = scheme + ":";
        var nativeProtocol = nativeProtocols[protocol] = protocols[scheme];
        var wrappedProtocol = exports2[scheme] = Object.create(nativeProtocol);
        function request(input, options, callback) {
          if (isString2(input)) {
            var parsed;
            try {
              parsed = urlToOptions(new URL2(input));
            } catch (err) {
              parsed = url2.parse(input);
            }
            if (!isString2(parsed.protocol)) {
              throw new InvalidUrlError({ input });
            }
            input = parsed;
          } else if (URL2 && input instanceof URL2) {
            input = urlToOptions(input);
          } else {
            callback = options;
            options = input;
            input = { protocol };
          }
          if (isFunction2(options)) {
            callback = options;
            options = null;
          }
          options = Object.assign({
            maxRedirects: exports2.maxRedirects,
            maxBodyLength: exports2.maxBodyLength
          }, input, options);
          options.nativeProtocols = nativeProtocols;
          if (!isString2(options.host) && !isString2(options.hostname)) {
            options.hostname = "::1";
          }
          assert.equal(options.protocol, protocol, "protocol mismatch");
          debug("options", options);
          return new RedirectableRequest(options, callback);
        }
        function get(input, options, callback) {
          var wrappedRequest = wrappedProtocol.request(input, options, callback);
          wrappedRequest.end();
          return wrappedRequest;
        }
        Object.defineProperties(wrappedProtocol, {
          request: { value: request, configurable: true, enumerable: true, writable: true },
          get: { value: get, configurable: true, enumerable: true, writable: true }
        });
      });
      return exports2;
    }
    function noop2() {
    }
    function urlToOptions(urlObject) {
      var options = {
        protocol: urlObject.protocol,
        hostname: urlObject.hostname.startsWith("[") ? urlObject.hostname.slice(1, -1) : urlObject.hostname,
        hash: urlObject.hash,
        search: urlObject.search,
        pathname: urlObject.pathname,
        path: urlObject.pathname + urlObject.search,
        href: urlObject.href
      };
      if (urlObject.port !== "") {
        options.port = Number(urlObject.port);
      }
      return options;
    }
    function removeMatchingHeaders(regex, headers) {
      var lastValue;
      for (var header in headers) {
        if (regex.test(header)) {
          lastValue = headers[header];
          delete headers[header];
        }
      }
      return lastValue === null || typeof lastValue === "undefined" ? void 0 : String(lastValue).trim();
    }
    function createErrorType(code, message, baseClass) {
      function CustomError(properties) {
        Error.captureStackTrace(this, this.constructor);
        Object.assign(this, properties || {});
        this.code = code;
        this.message = this.cause ? message + ": " + this.cause.message : message;
      }
      CustomError.prototype = new (baseClass || Error)();
      CustomError.prototype.constructor = CustomError;
      CustomError.prototype.name = "Error [" + code + "]";
      return CustomError;
    }
    function abortRequest(request) {
      for (var event of events) {
        request.removeListener(event, eventHandlers[event]);
      }
      request.on("error", noop2);
      request.abort();
    }
    function isSubdomain(subdomain, domain) {
      assert(isString2(subdomain) && isString2(domain));
      var dot = subdomain.length - domain.length - 1;
      return dot > 0 && subdomain[dot] === "." && subdomain.endsWith(domain);
    }
    function isString2(value) {
      return typeof value === "string" || value instanceof String;
    }
    function isFunction2(value) {
      return typeof value === "function";
    }
    function isBuffer2(value) {
      return typeof value === "object" && "length" in value;
    }
    module2.exports = wrap({ http: http2, https: https2 });
    module2.exports.wrap = wrap;
  }
});

// node_modules/file-saver/dist/FileSaver.min.js
var require_FileSaver_min = __commonJS({
  "node_modules/file-saver/dist/FileSaver.min.js"(exports, module2) {
    (function(a3, b3) {
      if ("function" == typeof define && define.amd)
        define([], b3);
      else if ("undefined" != typeof exports)
        b3();
      else {
        b3(), a3.FileSaver = { exports: {} }.exports;
      }
    })(exports, function() {
      "use strict";
      function b3(a4, b4) {
        return "undefined" == typeof b4 ? b4 = { autoBom: false } : "object" != typeof b4 && (console.warn("Deprecated: Expected third argument to be a object"), b4 = { autoBom: !b4 }), b4.autoBom && /^\s*(?:text\/\S*|application\/xml|\S*\/\S*\+xml)\s*;.*charset\s*=\s*utf-8/i.test(a4.type) ? new Blob(["\uFEFF", a4], { type: a4.type }) : a4;
      }
      function c3(a4, b4, c4) {
        var d4 = new XMLHttpRequest();
        d4.open("GET", a4), d4.responseType = "blob", d4.onload = function() {
          g3(d4.response, b4, c4);
        }, d4.onerror = function() {
          console.error("could not download file");
        }, d4.send();
      }
      function d3(a4) {
        var b4 = new XMLHttpRequest();
        b4.open("HEAD", a4, false);
        try {
          b4.send();
        } catch (a5) {
        }
        return 200 <= b4.status && 299 >= b4.status;
      }
      function e3(a4) {
        try {
          a4.dispatchEvent(new MouseEvent("click"));
        } catch (c4) {
          var b4 = document.createEvent("MouseEvents");
          b4.initMouseEvent("click", true, true, window, 0, 0, 0, 80, 20, false, false, false, false, 0, null), a4.dispatchEvent(b4);
        }
      }
      var f3 = "object" == typeof window && window.window === window ? window : "object" == typeof self && self.self === self ? self : "object" == typeof global && global.global === global ? global : void 0, a3 = f3.navigator && /Macintosh/.test(navigator.userAgent) && /AppleWebKit/.test(navigator.userAgent) && !/Safari/.test(navigator.userAgent), g3 = f3.saveAs || ("object" != typeof window || window !== f3 ? function() {
      } : "download" in HTMLAnchorElement.prototype && !a3 ? function(b4, g4, h3) {
        var i3 = f3.URL || f3.webkitURL, j3 = document.createElement("a");
        g4 = g4 || b4.name || "download", j3.download = g4, j3.rel = "noopener", "string" == typeof b4 ? (j3.href = b4, j3.origin === location.origin ? e3(j3) : d3(j3.href) ? c3(b4, g4, h3) : e3(j3, j3.target = "_blank")) : (j3.href = i3.createObjectURL(b4), setTimeout(function() {
          i3.revokeObjectURL(j3.href);
        }, 4e4), setTimeout(function() {
          e3(j3);
        }, 0));
      } : "msSaveOrOpenBlob" in navigator ? function(f4, g4, h3) {
        if (g4 = g4 || f4.name || "download", "string" != typeof f4)
          navigator.msSaveOrOpenBlob(b3(f4, h3), g4);
        else if (d3(f4))
          c3(f4, g4, h3);
        else {
          var i3 = document.createElement("a");
          i3.href = f4, i3.target = "_blank", setTimeout(function() {
            e3(i3);
          });
        }
      } : function(b4, d4, e4, g4) {
        if (g4 = g4 || open("", "_blank"), g4 && (g4.document.title = g4.document.body.innerText = "downloading..."), "string" == typeof b4)
          return c3(b4, d4, e4);
        var h3 = "application/octet-stream" === b4.type, i3 = /constructor/i.test(f3.HTMLElement) || f3.safari, j3 = /CriOS\/[\d]+/.test(navigator.userAgent);
        if ((j3 || h3 && i3 || a3) && "undefined" != typeof FileReader) {
          var k3 = new FileReader();
          k3.onloadend = function() {
            var a4 = k3.result;
            a4 = j3 ? a4 : a4.replace(/^data:[^;]*;/, "data:attachment/file;"), g4 ? g4.location.href = a4 : location = a4, g4 = null;
          }, k3.readAsDataURL(b4);
        } else {
          var l3 = f3.URL || f3.webkitURL, m3 = l3.createObjectURL(b4);
          g4 ? g4.location = m3 : location.href = m3, g4 = null, setTimeout(function() {
            l3.revokeObjectURL(m3);
          }, 4e4);
        }
      });
      f3.saveAs = g3.saveAs = g3, "undefined" != typeof module2 && (module2.exports = g3);
    });
  }
});

// src/index.ts
var src_exports = {};
__export(src_exports, {
  useProctoring: () => useProctoring
});
module.exports = __toCommonJS(src_exports);

// src/modules/checkPermissions.ts
async function checkPermissions() {
  try {
    const constraints = {
      audio: true,
      video: true
    };
    const stream4 = await navigator.mediaDevices.getUserMedia(constraints);
    stream4.getTracks().forEach((el) => {
      el.stop();
    });
    return true;
  } catch (error) {
    return false;
  }
}
async function checkIfhasMultipleMonitors() {
  return new Promise((resolve, reject) => {
    const checked = window.screen.isExtended;
    if (checked) {
      resolve(checked);
    } else {
      const isFirefox = navigator.userAgent.indexOf("Firefox") > -1;
      if (!isFirefox) {
        let totalScreens = [];
        window.getScreenDetails().then(function(details) {
          totalScreens = details;
          resolve(totalScreens.screens.length >= 2);
        });
      } else {
        resolve(false);
      }
    }
  });
}

// src/modules/enumarateDevices.ts
async function enumarateDevices() {
  const virtualCameraSoftware = ["OBS", "ManyCam", "Snap Camera", "Virtual"];
  const mediaDevices = await navigator.mediaDevices.enumerateDevices();
  const defaultDevices = mediaDevices.filter((device) => !virtualCameraSoftware.some((keyword) => device.deviceId.includes(keyword) || device.label.includes(keyword)));
  const devices = {
    cameras: defaultDevices.filter((el) => el.kind == "videoinput" && el.deviceId).map((e3) => {
      return { label: e3.label || "Generic Device", id: e3.deviceId };
    }),
    microphones: defaultDevices.filter((el) => el.kind == "audioinput" && el.deviceId).map((e3) => {
      return { label: e3.label || "Generic Device", id: e3.deviceId };
    })
  };
  return devices;
}

// node_modules/@mediapipe/tasks-vision/vision_bundle.mjs
var t = "undefined" != typeof self ? self : {};
function e(e3, n3) {
  t: {
    for (var r3 = ["CLOSURE_FLAGS"], i3 = t, s3 = 0; s3 < r3.length; s3++)
      if (null == (i3 = i3[r3[s3]])) {
        r3 = null;
        break t;
      }
    r3 = i3;
  }
  return null != (e3 = r3 && r3[e3]) ? e3 : n3;
}
function n() {
  throw Error("Invalid UTF8");
}
function r(t3, e3) {
  return e3 = String.fromCharCode.apply(null, e3), null == t3 ? e3 : t3 + e3;
}
var i;
var s;
var o = "undefined" != typeof TextDecoder;
var a;
var c = "undefined" != typeof TextEncoder;
function h(t3) {
  if (c)
    t3 = (a || (a = new TextEncoder())).encode(t3);
  else {
    let n3 = 0;
    const r3 = new Uint8Array(3 * t3.length);
    for (let i3 = 0; i3 < t3.length; i3++) {
      var e3 = t3.charCodeAt(i3);
      if (128 > e3)
        r3[n3++] = e3;
      else {
        if (2048 > e3)
          r3[n3++] = e3 >> 6 | 192;
        else {
          if (55296 <= e3 && 57343 >= e3) {
            if (56319 >= e3 && i3 < t3.length) {
              const s3 = t3.charCodeAt(++i3);
              if (56320 <= s3 && 57343 >= s3) {
                e3 = 1024 * (e3 - 55296) + s3 - 56320 + 65536, r3[n3++] = e3 >> 18 | 240, r3[n3++] = e3 >> 12 & 63 | 128, r3[n3++] = e3 >> 6 & 63 | 128, r3[n3++] = 63 & e3 | 128;
                continue;
              }
              i3--;
            }
            e3 = 65533;
          }
          r3[n3++] = e3 >> 12 | 224, r3[n3++] = e3 >> 6 & 63 | 128;
        }
        r3[n3++] = 63 & e3 | 128;
      }
    }
    t3 = n3 === r3.length ? r3 : r3.subarray(0, n3);
  }
  return t3;
}
var u;
var l = e(610401301, false);
var f = e(572417392, true);
var d = t.navigator;
function p(t3) {
  return !!l && (!!u && u.brands.some(({ brand: e3 }) => e3 && -1 != e3.indexOf(t3)));
}
function g(e3) {
  var n3;
  return (n3 = t.navigator) && (n3 = n3.userAgent) || (n3 = ""), -1 != n3.indexOf(e3);
}
function m() {
  return !!l && (!!u && 0 < u.brands.length);
}
function y() {
  return m() ? p("Chromium") : (g("Chrome") || g("CriOS")) && !(!m() && g("Edge")) || g("Silk");
}
u = d && d.userAgentData || null;
var v = !m() && (g("Trident") || g("MSIE"));
!g("Android") || y(), y(), g("Safari") && (y() || !m() && g("Coast") || !m() && g("Opera") || !m() && g("Edge") || (m() ? p("Microsoft Edge") : g("Edg/")) || m() && p("Opera"));
var _ = {};
var w = null;
function T(t3) {
  var e3 = t3.length, n3 = 3 * e3 / 4;
  n3 % 3 ? n3 = Math.floor(n3) : -1 != "=.".indexOf(t3[e3 - 1]) && (n3 = -1 != "=.".indexOf(t3[e3 - 2]) ? n3 - 2 : n3 - 1);
  var r3 = new Uint8Array(n3), i3 = 0;
  return function(t4, e4) {
    function n4(e5) {
      for (; r4 < t4.length; ) {
        var n5 = t4.charAt(r4++), i5 = w[n5];
        if (null != i5)
          return i5;
        if (!/^[\s\xa0]*$/.test(n5))
          throw Error("Unknown base64 encoding at char: " + n5);
      }
      return e5;
    }
    E();
    for (var r4 = 0; ; ) {
      var i4 = n4(-1), s3 = n4(0), o3 = n4(64), a3 = n4(64);
      if (64 === a3 && -1 === i4)
        break;
      e4(i4 << 2 | s3 >> 4), 64 != o3 && (e4(s3 << 4 & 240 | o3 >> 2), 64 != a3 && e4(o3 << 6 & 192 | a3));
    }
  }(t3, function(t4) {
    r3[i3++] = t4;
  }), i3 !== n3 ? r3.subarray(0, i3) : r3;
}
function E() {
  if (!w) {
    w = {};
    for (var t3 = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789".split(""), e3 = ["+/=", "+/", "-_=", "-_.", "-_"], n3 = 0; 5 > n3; n3++) {
      var r3 = t3.concat(e3[n3].split(""));
      _[n3] = r3;
      for (var i3 = 0; i3 < r3.length; i3++) {
        var s3 = r3[i3];
        void 0 === w[s3] && (w[s3] = i3);
      }
    }
  }
}
var b = "undefined" != typeof Uint8Array;
var A = !v && "function" == typeof btoa;
function x(t3) {
  if (!A) {
    var e3;
    void 0 === e3 && (e3 = 0), E(), e3 = _[e3];
    var n3 = Array(Math.floor(t3.length / 3)), r3 = e3[64] || "";
    let c3 = 0, h3 = 0;
    for (; c3 < t3.length - 2; c3 += 3) {
      var i3 = t3[c3], s3 = t3[c3 + 1], o3 = t3[c3 + 2], a3 = e3[i3 >> 2];
      i3 = e3[(3 & i3) << 4 | s3 >> 4], s3 = e3[(15 & s3) << 2 | o3 >> 6], o3 = e3[63 & o3], n3[h3++] = a3 + i3 + s3 + o3;
    }
    switch (a3 = 0, o3 = r3, t3.length - c3) {
      case 2:
        o3 = e3[(15 & (a3 = t3[c3 + 1])) << 2] || r3;
      case 1:
        t3 = t3[c3], n3[h3] = e3[t3 >> 2] + e3[(3 & t3) << 4 | a3 >> 4] + o3 + r3;
    }
    return n3.join("");
  }
  for (e3 = "", n3 = 0, r3 = t3.length - 10240; n3 < r3; )
    e3 += String.fromCharCode.apply(null, t3.subarray(n3, n3 += 10240));
  return e3 += String.fromCharCode.apply(null, n3 ? t3.subarray(n3) : t3), btoa(e3);
}
var k = /[-_.]/g;
var S = { "-": "+", _: "/", ".": "=" };
function L(t3) {
  return S[t3] || "";
}
function R(t3) {
  if (!A)
    return T(t3);
  k.test(t3) && (t3 = t3.replace(k, L)), t3 = atob(t3);
  const e3 = new Uint8Array(t3.length);
  for (let n3 = 0; n3 < t3.length; n3++)
    e3[n3] = t3.charCodeAt(n3);
  return e3;
}
function F(t3) {
  return b && null != t3 && t3 instanceof Uint8Array;
}
var M;
function O() {
  return M || (M = new Uint8Array(0));
}
var I = {};
var C;
function P(t3) {
  if (t3 !== I)
    throw Error("illegal external caller");
}
function U() {
  return C || (C = new B(null, I));
}
function D(t3) {
  P(I);
  var e3 = t3.Z;
  return null == (e3 = null == e3 || F(e3) ? e3 : "string" == typeof e3 ? R(e3) : null) ? e3 : t3.Z = e3;
}
var B = class {
  constructor(t3, e3) {
    if (P(e3), this.Z = t3, null != t3 && 0 === t3.length)
      throw Error("ByteString should be constructed with non-empty values");
  }
  wa() {
    const t3 = D(this);
    return t3 ? new Uint8Array(t3) : O();
  }
};
function N(t3, e3) {
  return Error(`Invalid wire type: ${t3} (at position ${e3})`);
}
function G() {
  return Error("Failed to read varint, encoding is invalid.");
}
function j(t3, e3) {
  return Error(`Tried to read past the end of the data ${e3} > ${t3}`);
}
function V(t3) {
  return 0 == t3.length ? U() : new B(t3, I);
}
function X(t3) {
  if ("string" == typeof t3)
    return { buffer: R(t3), L: false };
  if (Array.isArray(t3))
    return { buffer: new Uint8Array(t3), L: false };
  if (t3.constructor === Uint8Array)
    return { buffer: t3, L: false };
  if (t3.constructor === ArrayBuffer)
    return { buffer: new Uint8Array(t3), L: false };
  if (t3.constructor === B)
    return { buffer: D(t3) || O(), L: true };
  if (t3 instanceof Uint8Array)
    return { buffer: new Uint8Array(t3.buffer, t3.byteOffset, t3.byteLength), L: false };
  throw Error("Type not convertible to a Uint8Array, expected a Uint8Array, an ArrayBuffer, a base64 encoded string, a ByteString or an Array of numbers");
}
function z() {
  return "function" == typeof BigInt;
}
var W = !f;
var H = !f;
var Y = "function" == typeof Uint8Array.prototype.slice;
var K;
var $ = 0;
var q = 0;
function J(t3) {
  const e3 = 0 > t3;
  let n3 = (t3 = Math.abs(t3)) >>> 0;
  if (t3 = Math.floor((t3 - n3) / 4294967296), e3) {
    const [e4, r3] = st(n3, t3);
    t3 = r3, n3 = e4;
  }
  $ = n3 >>> 0, q = t3 >>> 0;
}
function Z(t3) {
  const e3 = K || (K = new DataView(new ArrayBuffer(8)));
  e3.setFloat32(0, +t3, true), q = 0, $ = e3.getUint32(0, true);
}
function Q(t3, e3) {
  return 4294967296 * e3 + (t3 >>> 0);
}
function tt(t3, e3) {
  const n3 = 2147483648 & e3;
  return n3 && (e3 = ~e3 >>> 0, 0 == (t3 = 1 + ~t3 >>> 0) && (e3 = e3 + 1 >>> 0)), t3 = Q(t3, e3), n3 ? -t3 : t3;
}
function et(t3, e3) {
  if (t3 >>>= 0, 2097151 >= (e3 >>>= 0))
    var n3 = "" + (4294967296 * e3 + t3);
  else
    z() ? n3 = "" + (BigInt(e3) << BigInt(32) | BigInt(t3)) : (t3 = (16777215 & t3) + 6777216 * (n3 = 16777215 & (t3 >>> 24 | e3 << 8)) + 6710656 * (e3 = e3 >> 16 & 65535), n3 += 8147497 * e3, e3 *= 2, 1e7 <= t3 && (n3 += Math.floor(t3 / 1e7), t3 %= 1e7), 1e7 <= n3 && (e3 += Math.floor(n3 / 1e7), n3 %= 1e7), n3 = e3 + nt(n3) + nt(t3));
  return n3;
}
function nt(t3) {
  return t3 = String(t3), "0000000".slice(t3.length) + t3;
}
function rt() {
  var t3 = $, e3 = q;
  if (2147483648 & e3)
    if (z())
      t3 = "" + (BigInt(0 | e3) << BigInt(32) | BigInt(t3 >>> 0));
    else {
      const [n3, r3] = st(t3, e3);
      t3 = "-" + et(n3, r3);
    }
  else
    t3 = et(t3, e3);
  return t3;
}
function it(t3) {
  if (16 > t3.length)
    J(Number(t3));
  else if (z())
    t3 = BigInt(t3), $ = Number(t3 & BigInt(4294967295)) >>> 0, q = Number(t3 >> BigInt(32) & BigInt(4294967295));
  else {
    const e3 = +("-" === t3[0]);
    q = $ = 0;
    const n3 = t3.length;
    for (let r3 = e3, i3 = (n3 - e3) % 6 + e3; i3 <= n3; r3 = i3, i3 += 6) {
      const e4 = Number(t3.slice(r3, i3));
      q *= 1e6, $ = 1e6 * $ + e4, 4294967296 <= $ && (q += Math.trunc($ / 4294967296), q >>>= 0, $ >>>= 0);
    }
    if (e3) {
      const [t4, e4] = st($, q);
      $ = t4, q = e4;
    }
  }
}
function st(t3, e3) {
  return e3 = ~e3, t3 ? t3 = 1 + ~t3 : e3 += 1, [t3, e3];
}
function ot(t3, e3) {
  let n3, r3 = 0, i3 = 0, s3 = 0;
  const o3 = t3.h;
  let a3 = t3.g;
  do {
    n3 = o3[a3++], r3 |= (127 & n3) << s3, s3 += 7;
  } while (32 > s3 && 128 & n3);
  for (32 < s3 && (i3 |= (127 & n3) >> 4), s3 = 3; 32 > s3 && 128 & n3; s3 += 7)
    n3 = o3[a3++], i3 |= (127 & n3) << s3;
  if (pt(t3, a3), 128 > n3)
    return e3(r3 >>> 0, i3 >>> 0);
  throw G();
}
function at(t3) {
  let e3 = 0, n3 = t3.g;
  const r3 = n3 + 10, i3 = t3.h;
  for (; n3 < r3; ) {
    const r4 = i3[n3++];
    if (e3 |= r4, 0 == (128 & r4))
      return pt(t3, n3), !!(127 & e3);
  }
  throw G();
}
function ct(t3) {
  const e3 = t3.h;
  let n3 = t3.g, r3 = e3[n3++], i3 = 127 & r3;
  if (128 & r3 && (r3 = e3[n3++], i3 |= (127 & r3) << 7, 128 & r3 && (r3 = e3[n3++], i3 |= (127 & r3) << 14, 128 & r3 && (r3 = e3[n3++], i3 |= (127 & r3) << 21, 128 & r3 && (r3 = e3[n3++], i3 |= r3 << 28, 128 & r3 && 128 & e3[n3++] && 128 & e3[n3++] && 128 & e3[n3++] && 128 & e3[n3++] && 128 & e3[n3++])))))
    throw G();
  return pt(t3, n3), i3;
}
function ht(t3) {
  return ct(t3) >>> 0;
}
function ut(t3) {
  var e3 = t3.h;
  const n3 = t3.g, r3 = e3[n3], i3 = e3[n3 + 1], s3 = e3[n3 + 2];
  return e3 = e3[n3 + 3], pt(t3, t3.g + 4), (r3 << 0 | i3 << 8 | s3 << 16 | e3 << 24) >>> 0;
}
function lt(t3) {
  var e3 = ut(t3);
  t3 = 2 * (e3 >> 31) + 1;
  const n3 = e3 >>> 23 & 255;
  return e3 &= 8388607, 255 == n3 ? e3 ? NaN : 1 / 0 * t3 : 0 == n3 ? t3 * Math.pow(2, -149) * e3 : t3 * Math.pow(2, n3 - 150) * (e3 + Math.pow(2, 23));
}
function ft(t3) {
  return ct(t3);
}
function dt(t3, e3, { aa: n3 = false } = {}) {
  t3.aa = n3, e3 && (e3 = X(e3), t3.h = e3.buffer, t3.m = e3.L, t3.j = 0, t3.l = t3.h.length, t3.g = t3.j);
}
function pt(t3, e3) {
  if (t3.g = e3, e3 > t3.l)
    throw j(t3.l, e3);
}
function gt(t3, e3) {
  if (0 > e3)
    throw Error(`Tried to read a negative byte length: ${e3}`);
  const n3 = t3.g, r3 = n3 + e3;
  if (r3 > t3.l)
    throw j(e3, t3.l - n3);
  return t3.g = r3, n3;
}
function mt(t3, e3) {
  if (0 == e3)
    return U();
  var n3 = gt(t3, e3);
  return t3.aa && t3.m ? n3 = t3.h.subarray(n3, n3 + e3) : (t3 = t3.h, n3 = n3 === (e3 = n3 + e3) ? O() : Y ? t3.slice(n3, e3) : new Uint8Array(t3.subarray(n3, e3))), V(n3);
}
var yt = [];
function vt(t3) {
  var e3 = t3.g;
  if (e3.g == e3.l)
    return false;
  t3.l = t3.g.g;
  var n3 = ht(t3.g);
  if (e3 = n3 >>> 3, !(0 <= (n3 &= 7) && 5 >= n3))
    throw N(n3, t3.l);
  if (1 > e3)
    throw Error(`Invalid field number: ${e3} (at position ${t3.l})`);
  return t3.m = e3, t3.h = n3, true;
}
function _t(t3) {
  switch (t3.h) {
    case 0:
      0 != t3.h ? _t(t3) : at(t3.g);
      break;
    case 1:
      pt(t3 = t3.g, t3.g + 8);
      break;
    case 2:
      if (2 != t3.h)
        _t(t3);
      else {
        var e3 = ht(t3.g);
        pt(t3 = t3.g, t3.g + e3);
      }
      break;
    case 5:
      pt(t3 = t3.g, t3.g + 4);
      break;
    case 3:
      for (e3 = t3.m; ; ) {
        if (!vt(t3))
          throw Error("Unmatched start-group tag: stream EOF");
        if (4 == t3.h) {
          if (t3.m != e3)
            throw Error("Unmatched end-group tag");
          break;
        }
        _t(t3);
      }
      break;
    default:
      throw N(t3.h, t3.l);
  }
}
function wt(t3, e3, n3) {
  const r3 = t3.g.l, i3 = ht(t3.g), s3 = t3.g.g + i3;
  let o3 = s3 - r3;
  if (0 >= o3 && (t3.g.l = s3, n3(e3, t3, void 0, void 0, void 0), o3 = s3 - t3.g.g), o3)
    throw Error(`Message parsing ended unexpectedly. Expected to read ${i3} bytes, instead read ${i3 - o3} bytes, either the data ended unexpectedly or the message misreported its own length`);
  return t3.g.g = s3, t3.g.l = r3, e3;
}
function Tt(t3) {
  var e3 = ht(t3.g), a3 = gt(t3 = t3.g, e3);
  if (t3 = t3.h, o) {
    var c3, h3 = t3;
    (c3 = s) || (c3 = s = new TextDecoder("utf-8", { fatal: true })), e3 = a3 + e3, h3 = 0 === a3 && e3 === h3.length ? h3 : h3.subarray(a3, e3);
    try {
      var u3 = c3.decode(h3);
    } catch (t4) {
      if (void 0 === i) {
        try {
          c3.decode(new Uint8Array([128]));
        } catch (t5) {
        }
        try {
          c3.decode(new Uint8Array([97])), i = true;
        } catch (t5) {
          i = false;
        }
      }
      throw !i && (s = void 0), t4;
    }
  } else {
    e3 = (u3 = a3) + e3, a3 = [];
    let i3, s3 = null;
    for (; u3 < e3; ) {
      var l3 = t3[u3++];
      128 > l3 ? a3.push(l3) : 224 > l3 ? u3 >= e3 ? n() : (i3 = t3[u3++], 194 > l3 || 128 != (192 & i3) ? (u3--, n()) : a3.push((31 & l3) << 6 | 63 & i3)) : 240 > l3 ? u3 >= e3 - 1 ? n() : (i3 = t3[u3++], 128 != (192 & i3) || 224 === l3 && 160 > i3 || 237 === l3 && 160 <= i3 || 128 != (192 & (c3 = t3[u3++])) ? (u3--, n()) : a3.push((15 & l3) << 12 | (63 & i3) << 6 | 63 & c3)) : 244 >= l3 ? u3 >= e3 - 2 ? n() : (i3 = t3[u3++], 128 != (192 & i3) || 0 != i3 - 144 + (l3 << 28) >> 30 || 128 != (192 & (c3 = t3[u3++])) || 128 != (192 & (h3 = t3[u3++])) ? (u3--, n()) : (l3 = (7 & l3) << 18 | (63 & i3) << 12 | (63 & c3) << 6 | 63 & h3, l3 -= 65536, a3.push(55296 + (l3 >> 10 & 1023), 56320 + (1023 & l3)))) : n(), 8192 <= a3.length && (s3 = r(s3, a3), a3.length = 0);
    }
    u3 = r(s3, a3);
  }
  return u3;
}
function Et(t3) {
  const e3 = ht(t3.g);
  return mt(t3.g, e3);
}
function bt(t3, e3, n3) {
  var r3 = ht(t3.g);
  for (r3 = t3.g.g + r3; t3.g.g < r3; )
    n3.push(e3(t3.g));
}
var At = [];
function xt(t3) {
  return t3 ? /^\d+$/.test(t3) ? (it(t3), new kt($, q)) : null : St || (St = new kt(0, 0));
}
var kt = class {
  constructor(t3, e3) {
    this.h = t3 >>> 0, this.g = e3 >>> 0;
  }
};
var St;
function Lt(t3) {
  return t3 ? /^-?\d+$/.test(t3) ? (it(t3), new Rt($, q)) : null : Ft || (Ft = new Rt(0, 0));
}
var Rt = class {
  constructor(t3, e3) {
    this.h = t3 >>> 0, this.g = e3 >>> 0;
  }
};
var Ft;
function Mt(t3, e3, n3) {
  for (; 0 < n3 || 127 < e3; )
    t3.g.push(127 & e3 | 128), e3 = (e3 >>> 7 | n3 << 25) >>> 0, n3 >>>= 7;
  t3.g.push(e3);
}
function Ot(t3, e3) {
  for (; 127 < e3; )
    t3.g.push(127 & e3 | 128), e3 >>>= 7;
  t3.g.push(e3);
}
function It(t3, e3) {
  if (0 <= e3)
    Ot(t3, e3);
  else {
    for (let n3 = 0; 9 > n3; n3++)
      t3.g.push(127 & e3 | 128), e3 >>= 7;
    t3.g.push(1);
  }
}
function Ct(t3, e3) {
  t3.g.push(e3 >>> 0 & 255), t3.g.push(e3 >>> 8 & 255), t3.g.push(e3 >>> 16 & 255), t3.g.push(e3 >>> 24 & 255);
}
function Pt(t3, e3) {
  0 !== e3.length && (t3.l.push(e3), t3.h += e3.length);
}
function Ut(t3, e3, n3) {
  Ot(t3.g, 8 * e3 + n3);
}
function Dt(t3, e3) {
  return Ut(t3, e3, 2), e3 = t3.g.end(), Pt(t3, e3), e3.push(t3.h), e3;
}
function Bt(t3, e3) {
  var n3 = e3.pop();
  for (n3 = t3.h + t3.g.length() - n3; 127 < n3; )
    e3.push(127 & n3 | 128), n3 >>>= 7, t3.h++;
  e3.push(n3), t3.h++;
}
function Nt(t3, e3, n3) {
  Ut(t3, e3, 2), Ot(t3.g, n3.length), Pt(t3, t3.g.end()), Pt(t3, n3);
}
function Gt(t3, e3, n3, r3) {
  null != n3 && (e3 = Dt(t3, e3), r3(n3, t3), Bt(t3, e3));
}
var jt = class {
  constructor(t3, e3, n3, r3) {
    this.g = t3, this.h = e3, this.l = n3, this.qa = r3;
  }
};
function Vt(t3) {
  return Array.prototype.slice.call(t3);
}
function Xt(t3) {
  return "function" == typeof Symbol && "symbol" == typeof Symbol() ? Symbol() : t3;
}
var zt = Xt();
var Wt = Xt("0di");
var Ht = zt ? (t3, e3) => {
  t3[zt] |= e3;
} : (t3, e3) => {
  void 0 !== t3.D ? t3.D |= e3 : Object.defineProperties(t3, { D: { value: e3, configurable: true, writable: true, enumerable: false } });
};
function Yt(t3) {
  const e3 = qt(t3);
  1 != (1 & e3) && (Object.isFrozen(t3) && (t3 = Vt(t3)), Zt(t3, 1 | e3));
}
var Kt = zt ? (t3, e3) => {
  t3[zt] &= ~e3;
} : (t3, e3) => {
  void 0 !== t3.D && (t3.D &= ~e3);
};
function $t(t3, e3, n3) {
  return n3 ? t3 | e3 : t3 & ~e3;
}
var qt = zt ? (t3) => 0 | t3[zt] : (t3) => 0 | t3.D;
var Jt = zt ? (t3) => t3[zt] : (t3) => t3.D;
var Zt = zt ? (t3, e3) => {
  t3[zt] = e3;
} : (t3, e3) => {
  void 0 !== t3.D ? t3.D = e3 : Object.defineProperties(t3, { D: { value: e3, configurable: true, writable: true, enumerable: false } });
};
function Qt() {
  var t3 = [];
  return Ht(t3, 1), t3;
}
function te(t3) {
  return Ht(t3, 34), t3;
}
function ee(t3, e3) {
  Zt(e3, -14591 & (0 | t3));
}
function ne(t3, e3) {
  Zt(e3, -14557 & (34 | t3));
}
function re(t3) {
  return 0 === (t3 = t3 >> 14 & 1023) ? 536870912 : t3;
}
var ie = {};
var se = {};
function oe(t3) {
  return !(!t3 || "object" != typeof t3 || t3.Na !== se);
}
function ae(t3) {
  return null !== t3 && "object" == typeof t3 && !Array.isArray(t3) && t3.constructor === Object;
}
var ce = !f;
function he(t3, e3, n3) {
  if (null != t3) {
    if ("string" == typeof t3)
      t3 = t3 ? new B(t3, I) : U();
    else if (t3.constructor !== B)
      if (F(t3))
        t3 = n3 ? V(t3) : t3.length ? new B(new Uint8Array(t3), I) : U();
      else {
        if (!e3)
          throw Error();
        t3 = void 0;
      }
  }
  return t3;
}
function ue(t3, e3, n3) {
  if (!Array.isArray(t3) || t3.length)
    return false;
  const r3 = qt(t3);
  return !!(1 & r3) || !(!e3 || !(Array.isArray(e3) ? e3.includes(n3) : e3.has(n3))) && (Zt(t3, 1 | r3), true);
}
var le;
var fe = [];
function de(t3) {
  if (2 & t3)
    throw Error();
}
Zt(fe, 55), le = Object.freeze(fe);
var pe = class {
  constructor(t3, e3, n3) {
    this.l = 0, this.g = t3, this.h = e3, this.m = n3;
  }
  next() {
    if (this.l < this.g.length) {
      const t3 = this.g[this.l++];
      return { done: false, value: this.h ? this.h.call(this.m, t3) : t3 };
    }
    return { done: true, value: void 0 };
  }
  [Symbol.iterator]() {
    return new pe(this.g, this.h, this.m);
  }
};
var ge = {};
var me;
var ye;
function ve(t3, e3) {
  (e3 = me ? e3[me] : void 0) && (t3[me] = Vt(e3));
}
function _e(t3) {
  return (t3 = Error(t3)).__closure__error__context__984382 || (t3.__closure__error__context__984382 = {}), t3.__closure__error__context__984382.severity = "warning", t3;
}
function we(t3) {
  return null == t3 || "number" == typeof t3 ? t3 : "NaN" === t3 || "Infinity" === t3 || "-Infinity" === t3 ? Number(t3) : void 0;
}
function Te(t3) {
  return null == t3 || "boolean" == typeof t3 ? t3 : "number" == typeof t3 ? !!t3 : void 0;
}
Object.freeze(new class {
}()), Object.freeze(new class {
}());
var Ee = /^-?([1-9][0-9]*|0)(\.[0-9]+)?$/;
function be(t3) {
  const e3 = typeof t3;
  return "number" === e3 ? Number.isFinite(t3) : "string" === e3 && Ee.test(t3);
}
function Ae(t3) {
  if (null == t3)
    return t3;
  if ("string" == typeof t3) {
    if (!t3)
      return;
    t3 = +t3;
  }
  return "number" == typeof t3 && Number.isFinite(t3) ? 0 | t3 : void 0;
}
function xe(t3) {
  if (null == t3)
    return t3;
  if ("string" == typeof t3) {
    if (!t3)
      return;
    t3 = +t3;
  }
  return "number" == typeof t3 && Number.isFinite(t3) ? t3 >>> 0 : void 0;
}
function ke(t3) {
  return "-" !== t3[0] && (20 > t3.length || 20 === t3.length && 184467 > Number(t3.substring(0, 6)));
}
function Se(t3) {
  return "-" === t3[0] ? 20 > t3.length || 20 === t3.length && -922337 < Number(t3.substring(0, 7)) : 19 > t3.length || 19 === t3.length && 922337 > Number(t3.substring(0, 6));
}
function Le(t3) {
  return t3 = Math.trunc(t3), Number.isSafeInteger(t3) || (J(t3), t3 = tt($, q)), t3;
}
function Re(t3) {
  var e3 = Math.trunc(Number(t3));
  return Number.isSafeInteger(e3) ? String(e3) : (-1 !== (e3 = t3.indexOf(".")) && (t3 = t3.substring(0, e3)), Se(t3) || (it(t3), t3 = rt()), t3);
}
function Fe(t3) {
  return null == t3 ? t3 : be(t3) ? "number" == typeof t3 ? Le(t3) : Re(t3) : void 0;
}
function Me(t3) {
  if ("string" != typeof t3)
    throw Error();
  return t3;
}
function Oe(t3) {
  if (null != t3 && "string" != typeof t3)
    throw Error();
  return t3;
}
function Ie(t3) {
  return null == t3 || "string" == typeof t3 ? t3 : void 0;
}
function Ce(t3, e3, n3, r3) {
  if (null != t3 && "object" == typeof t3 && t3.W === ie)
    return t3;
  if (!Array.isArray(t3))
    return n3 ? 2 & r3 ? (t3 = e3[Wt]) ? e3 = t3 : (te((t3 = new e3()).s), e3 = e3[Wt] = t3) : e3 = new e3() : e3 = void 0, e3;
  let i3 = n3 = qt(t3);
  return 0 === i3 && (i3 |= 32 & r3), i3 |= 2 & r3, i3 !== n3 && Zt(t3, i3), new e3(t3);
}
function Pe(t3, e3, n3) {
  if (e3) {
    var r3 = !!r3;
    if (!be(e3 = t3))
      throw _e("int64");
    "string" == typeof e3 ? r3 = Re(e3) : r3 ? (r3 = Math.trunc(e3), Number.isSafeInteger(r3) ? r3 = String(r3) : Se(e3 = String(r3)) ? r3 = e3 : (J(r3), r3 = rt())) : r3 = Le(e3);
  } else
    r3 = Fe(t3);
  return "string" == typeof (n3 = null == (t3 = r3) ? n3 ? 0 : void 0 : t3) && (r3 = +n3, Number.isSafeInteger(r3)) ? r3 : n3;
}
var Ue;
var De;
var Be;
function Ne(t3) {
  switch (typeof t3) {
    case "boolean":
      return De || (De = [0, void 0, true]);
    case "number":
      return 0 < t3 ? void 0 : 0 === t3 ? Be || (Be = [0, void 0]) : [-t3, void 0];
    case "string":
      return [0, t3];
    case "object":
      return t3;
  }
}
function Ge(t3, e3) {
  return je(t3, e3[0], e3[1]);
}
function je(t3, e3, n3) {
  if (null == t3 && (t3 = Ue), Ue = void 0, null == t3) {
    var r3 = 96;
    n3 ? (t3 = [n3], r3 |= 512) : t3 = [], e3 && (r3 = -16760833 & r3 | (1023 & e3) << 14);
  } else {
    if (!Array.isArray(t3))
      throw Error();
    if (64 & (r3 = qt(t3)))
      return ye && delete t3[ye], t3;
    if (r3 |= 64, n3 && (r3 |= 512, n3 !== t3[0]))
      throw Error();
    t: {
      const i3 = (n3 = t3).length;
      if (i3) {
        const t4 = i3 - 1;
        if (ae(n3[t4])) {
          if (1024 <= (e3 = t4 - (+!!(512 & (r3 |= 256)) - 1)))
            throw Error();
          r3 = -16760833 & r3 | (1023 & e3) << 14;
          break t;
        }
      }
      if (e3) {
        if (1024 < (e3 = Math.max(e3, i3 - (+!!(512 & r3) - 1))))
          throw Error();
        r3 = -16760833 & r3 | (1023 & e3) << 14;
      }
    }
  }
  return Zt(t3, r3), t3;
}
var Ve = function() {
  try {
    return new class extends Map {
      constructor() {
        super();
      }
    }(), false;
  } catch {
    return true;
  }
}();
var Xe = class {
  constructor() {
    this.g = /* @__PURE__ */ new Map();
  }
  get(t3) {
    return this.g.get(t3);
  }
  set(t3, e3) {
    return this.g.set(t3, e3), this.size = this.g.size, this;
  }
  delete(t3) {
    return t3 = this.g.delete(t3), this.size = this.g.size, t3;
  }
  clear() {
    this.g.clear(), this.size = this.g.size;
  }
  has(t3) {
    return this.g.has(t3);
  }
  entries() {
    return this.g.entries();
  }
  keys() {
    return this.g.keys();
  }
  values() {
    return this.g.values();
  }
  forEach(t3, e3) {
    return this.g.forEach(t3, e3);
  }
  [Symbol.iterator]() {
    return this.entries();
  }
};
var ze = Ve ? (Object.setPrototypeOf(Xe.prototype, Map.prototype), Object.defineProperties(Xe.prototype, { size: { value: 0, configurable: true, enumerable: true, writable: true } }), Xe) : class extends Map {
  constructor() {
    super();
  }
};
function We(t3) {
  return t3;
}
function He(t3) {
  if (2 & t3.O)
    throw Error("Cannot mutate an immutable Map");
}
var Ye = class extends ze {
  constructor(t3, e3, n3 = We, r3 = We) {
    super();
    let i3 = qt(t3);
    i3 |= 64, Zt(t3, i3), this.O = i3, this.V = e3, this.R = n3 || We, this.Y = this.V ? Ke : r3 || We;
    for (let s3 = 0; s3 < t3.length; s3++) {
      const o3 = t3[s3], a3 = n3(o3[0], false, true);
      let c3 = o3[1];
      e3 ? void 0 === c3 && (c3 = null) : c3 = r3(o3[1], false, true, void 0, void 0, i3), super.set(a3, c3);
    }
  }
  pa(t3 = $e) {
    return this.X(t3);
  }
  X(t3 = $e) {
    const e3 = [], n3 = super.entries();
    for (var r3; !(r3 = n3.next()).done; )
      (r3 = r3.value)[0] = t3(r3[0]), r3[1] = t3(r3[1]), e3.push(r3);
    return e3;
  }
  clear() {
    He(this), super.clear();
  }
  delete(t3) {
    return He(this), super.delete(this.R(t3, true, false));
  }
  entries() {
    var t3 = this.ma();
    return new pe(t3, qe, this);
  }
  keys() {
    return this.Ma();
  }
  values() {
    var t3 = this.ma();
    return new pe(t3, Ye.prototype.get, this);
  }
  forEach(t3, e3) {
    super.forEach((n3, r3) => {
      t3.call(e3, this.get(r3), r3, this);
    });
  }
  set(t3, e3) {
    return He(this), null == (t3 = this.R(t3, true, false)) ? this : null == e3 ? (super.delete(t3), this) : super.set(t3, this.Y(e3, true, true, this.V, false, this.O));
  }
  Ta(t3) {
    const e3 = this.R(t3[0], false, true);
    t3 = t3[1], t3 = this.V ? void 0 === t3 ? null : t3 : this.Y(t3, false, true, void 0, false, this.O), super.set(e3, t3);
  }
  has(t3) {
    return super.has(this.R(t3, false, false));
  }
  get(t3) {
    t3 = this.R(t3, false, false);
    const e3 = super.get(t3);
    if (void 0 !== e3) {
      var n3 = this.V;
      return n3 ? ((n3 = this.Y(e3, false, true, n3, this.xa, this.O)) !== e3 && super.set(t3, n3), n3) : e3;
    }
  }
  ma() {
    return Array.from(super.keys());
  }
  Ma() {
    return super.keys();
  }
  [Symbol.iterator]() {
    return this.entries();
  }
};
function Ke(t3, e3, n3, r3, i3, s3) {
  return t3 = Ce(t3, r3, n3, s3), i3 && (t3 = sn(t3)), t3;
}
function $e(t3) {
  return t3;
}
function qe(t3) {
  return [t3, this.get(t3)];
}
function Je(t3, e3, n3, r3, i3, s3) {
  if (null != t3) {
    if (Array.isArray(t3))
      t3 = i3 && 0 == t3.length && 1 & qt(t3) ? void 0 : s3 && 2 & qt(t3) ? t3 : Ze(t3, e3, n3, void 0 !== r3, i3, s3);
    else if (ae(t3)) {
      const o3 = {};
      for (let a3 in t3)
        o3[a3] = Je(t3[a3], e3, n3, r3, i3, s3);
      t3 = o3;
    } else
      t3 = e3(t3, r3);
    return t3;
  }
}
function Ze(t3, e3, n3, r3, i3, s3) {
  const o3 = r3 || n3 ? qt(t3) : 0;
  r3 = r3 ? !!(32 & o3) : void 0;
  const a3 = Vt(t3);
  for (let t4 = 0; t4 < a3.length; t4++)
    a3[t4] = Je(a3[t4], e3, n3, r3, i3, s3);
  return n3 && (ve(a3, t3), n3(o3, a3)), a3;
}
function Qe(t3) {
  return Je(t3, tn, void 0, void 0, false, false);
}
function tn(t3) {
  return t3.W === ie ? t3.toJSON() : t3 instanceof Ye ? t3.pa(Qe) : function(t4) {
    switch (typeof t4) {
      case "number":
        return isFinite(t4) ? t4 : String(t4);
      case "boolean":
        return t4 ? 1 : 0;
      case "object":
        if (t4) {
          if (Array.isArray(t4))
            return ce || !ue(t4, void 0, 9999) ? t4 : void 0;
          if (F(t4))
            return x(t4);
          if (t4 instanceof B) {
            const e3 = t4.Z;
            return null == e3 ? "" : "string" == typeof e3 ? e3 : t4.Z = x(e3);
          }
          if (t4 instanceof Ye)
            return t4 = t4.pa(), W || 0 !== t4.length ? t4 : void 0;
        }
    }
    return t4;
  }(t3);
}
function en(t3, e3, n3 = ne) {
  if (null != t3) {
    if (b && t3 instanceof Uint8Array)
      return e3 ? t3 : new Uint8Array(t3);
    if (Array.isArray(t3)) {
      var r3 = qt(t3);
      return 2 & r3 ? t3 : (e3 && (e3 = 0 === r3 || !!(32 & r3) && !(64 & r3 || !(16 & r3))), e3 ? (Zt(t3, -12293 & (34 | r3)), t3) : Ze(t3, en, 4 & r3 ? ne : n3, true, false, true));
    }
    return t3.W === ie ? (n3 = t3.s, t3 = 2 & (r3 = Jt(n3)) ? t3 : nn(t3, n3, r3, true)) : t3 instanceof Ye && (n3 = te(t3.X(en)), t3 = new Ye(n3, t3.V, t3.R, t3.Y)), t3;
  }
}
function nn(t3, e3, n3, r3) {
  return t3 = t3.constructor, Ue = e3 = rn(e3, n3, r3), e3 = new t3(e3), Ue = void 0, e3;
}
function rn(t3, e3, n3) {
  const r3 = n3 || 2 & e3 ? ne : ee, i3 = !!(32 & e3);
  return t3 = function(t4, e4, n4) {
    const r4 = Vt(t4);
    var i4 = r4.length;
    const s3 = 256 & e4 ? r4[i4 - 1] : void 0;
    for (i4 += s3 ? -1 : 0, e4 = 512 & e4 ? 1 : 0; e4 < i4; e4++)
      r4[e4] = n4(r4[e4]);
    if (s3) {
      e4 = r4[e4] = {};
      for (const t5 in s3)
        e4[t5] = n4(s3[t5]);
    }
    return ve(r4, t4), r4;
  }(t3, e3, (t4) => en(t4, i3, r3)), Ht(t3, 32 | (n3 ? 2 : 0)), t3;
}
function sn(t3) {
  const e3 = t3.s, n3 = Jt(e3);
  return 2 & n3 ? nn(t3, e3, n3, false) : t3;
}
function on(t3, e3) {
  return an(t3 = t3.s, Jt(t3), e3);
}
function an(t3, e3, n3, r3) {
  if (-1 === n3)
    return null;
  if (n3 >= re(e3)) {
    if (256 & e3)
      return t3[t3.length - 1][n3];
  } else {
    var i3 = t3.length;
    if (r3 && 256 & e3 && null != (r3 = t3[i3 - 1][n3]))
      return r3;
    if ((e3 = n3 + (+!!(512 & e3) - 1)) < i3)
      return t3[e3];
  }
}
function cn(t3, e3, n3, r3) {
  const i3 = t3.s;
  let s3 = Jt(i3);
  return de(s3), hn(i3, s3, e3, n3, r3), t3;
}
function hn(t3, e3, n3, r3, i3) {
  var s3 = re(e3);
  if (n3 >= s3 || i3) {
    if (i3 = e3, 256 & e3)
      s3 = t3[t3.length - 1];
    else {
      if (null == r3)
        return i3;
      s3 = t3[s3 + (+!!(512 & e3) - 1)] = {}, i3 |= 256;
    }
    return s3[n3] = r3, i3 !== e3 && Zt(t3, i3), i3;
  }
  return t3[n3 + (+!!(512 & e3) - 1)] = r3, 256 & e3 && (n3 in (t3 = t3[t3.length - 1]) && delete t3[n3]), e3;
}
function un(t3, e3, n3, r3, i3) {
  var s3 = 2 & e3;
  let o3 = an(t3, e3, n3, i3);
  Array.isArray(o3) || (o3 = le);
  const a3 = !(2 & r3);
  r3 = !(1 & r3);
  const c3 = !!(32 & e3);
  let h3 = qt(o3);
  return 0 !== h3 || !c3 || s3 || a3 ? 1 & h3 || (h3 |= 1, Zt(o3, h3)) : (h3 |= 33, Zt(o3, h3)), s3 ? (t3 = false, 2 & h3 || (te(o3), t3 = !!(4 & h3)), (r3 || t3) && Object.freeze(o3)) : (s3 = !!(2 & h3) || !!(2048 & h3), r3 && s3 ? (o3 = Vt(o3), r3 = 1, c3 && !a3 && (r3 |= 32), Zt(o3, r3), hn(t3, e3, n3, o3, i3)) : a3 && 32 & h3 && !s3 && Kt(o3, 32)), o3;
}
function ln(t3, e3) {
  t3 = t3.s;
  let n3 = Jt(t3);
  const r3 = an(t3, n3, e3), i3 = we(r3);
  return null != i3 && i3 !== r3 && hn(t3, n3, e3, i3), i3;
}
function fn(t3) {
  t3 = t3.s;
  let e3 = Jt(t3);
  const n3 = an(t3, e3, 1), r3 = he(n3, true, !!(34 & e3));
  return null != r3 && r3 !== n3 && hn(t3, e3, 1, r3), r3;
}
function dn(t3, e3, n3) {
  t3 = t3.s;
  let r3 = Jt(t3);
  const i3 = 2 & r3 ? 1 : 2;
  let s3 = pn(t3, r3, e3);
  var o3 = qt(s3);
  if (!(4 & o3)) {
    (4 & o3 || Object.isFrozen(s3)) && (s3 = Vt(s3), o3 = On(o3, r3, false), r3 = hn(t3, r3, e3, s3));
    var a3 = 0;
    let i4 = 0;
    for (; a3 < s3.length; a3++) {
      const t4 = n3(s3[a3]);
      null != t4 && (s3[i4++] = t4);
    }
    i4 < a3 && (s3.length = i4), o3 = $t(o3 = gn(o3, r3, false), 20, true), o3 = $t(o3, 4096, false), o3 = $t(o3, 8192, false), Zt(s3, o3), 2 & o3 && Object.freeze(s3);
  }
  return mn(o3) || (n3 = o3, (o3 = (a3 = 1 === i3) ? $t(o3, 2, true) : $t(o3, 32, false)) !== n3 && Zt(s3, o3), a3 && Object.freeze(s3)), 2 === i3 && mn(o3) && (s3 = Vt(s3), o3 = On(o3, r3, false), Zt(s3, o3), hn(t3, r3, e3, s3)), s3;
}
function pn(t3, e3, n3) {
  return t3 = an(t3, e3, n3), Array.isArray(t3) ? t3 : le;
}
function gn(t3, e3, n3) {
  return 0 === t3 && (t3 = On(t3, e3, n3)), $t(t3, 1, true);
}
function mn(t3) {
  return !!(2 & t3) && !!(4 & t3) || !!(2048 & t3);
}
var yn;
function vn() {
  return yn != null ? yn : yn = new Ye(te([]), void 0, void 0, void 0, ge);
}
function _n(t3) {
  t3 = Vt(t3);
  for (let e3 = 0; e3 < t3.length; e3++) {
    const n3 = t3[e3] = Vt(t3[e3]);
    Array.isArray(n3[1]) && (n3[1] = te(n3[1]));
  }
  return t3;
}
function wn(t3, e3, n3) {
  {
    const o3 = t3.s;
    let a3 = Jt(o3);
    if (de(a3), null == n3)
      hn(o3, a3, e3);
    else {
      var r3, i3 = t3 = qt(n3), s3 = !!(2 & t3) || Object.isFrozen(n3);
      if ((r3 = !s3) && (r3 = false), !(4 & t3))
        for (t3 = 21, s3 && (n3 = Vt(n3), i3 = 0, t3 = On(t3, a3, true)), s3 = 0; s3 < n3.length; s3++)
          n3[s3] = Me(n3[s3]);
      r3 && (n3 = Vt(n3), i3 = 0, t3 = On(t3, a3, true)), t3 !== i3 && Zt(n3, t3), hn(o3, a3, e3, n3);
    }
  }
}
function Tn(t3, e3, n3, r3) {
  const i3 = Jt(t3);
  de(i3), t3 = un(t3, i3, e3, 2), r3 = n3(r3, !!(4 & (e3 = qt(t3))) && !!(4096 & e3)), t3.push(r3);
}
function En(t3) {
  return t3;
}
function bn(t3, e3) {
  return An(t3 = t3.s, Jt(t3), ps) === e3 ? e3 : -1;
}
function An(t3, e3, n3) {
  let r3 = 0;
  for (let i3 = 0; i3 < n3.length; i3++) {
    const s3 = n3[i3];
    null != an(t3, e3, s3) && (0 !== r3 && (e3 = hn(t3, e3, r3)), r3 = s3);
  }
  return r3;
}
function xn(t3, e3, n3, r3) {
  let i3 = Jt(t3);
  de(i3);
  const s3 = an(t3, i3, n3, r3);
  let o3;
  if (null != s3 && s3.W === ie)
    return (e3 = sn(s3)) !== s3 && hn(t3, i3, n3, e3, r3), e3.s;
  if (Array.isArray(s3)) {
    const t4 = qt(s3);
    o3 = 2 & t4 ? rn(s3, t4, false) : s3, o3 = Ge(o3, e3);
  } else
    o3 = Ge(void 0, e3);
  return o3 !== s3 && hn(t3, i3, n3, o3, r3), o3;
}
function kn(t3, e3, n3, r3) {
  t3 = t3.s;
  let i3 = Jt(t3);
  const s3 = an(t3, i3, n3, r3);
  return (e3 = Ce(s3, e3, false, i3)) !== s3 && null != e3 && hn(t3, i3, n3, e3, r3), e3;
}
function Sn(t3, e3, n3, r3 = false) {
  if (null == (e3 = kn(t3, e3, n3, r3)))
    return e3;
  t3 = t3.s;
  let i3 = Jt(t3);
  if (!(2 & i3)) {
    const s3 = sn(e3);
    s3 !== e3 && hn(t3, i3, n3, e3 = s3, r3);
  }
  return e3;
}
function Ln(t3, e3, n3, r3, i3, s3) {
  var o3 = !!(2 & e3), a3 = o3 ? 1 : 2;
  const c3 = 1 === a3;
  a3 = 2 === a3, i3 = !!i3, s3 && (s3 = !o3), o3 = pn(t3, e3, r3);
  var h3 = qt(o3);
  const u3 = !!(4 & h3);
  if (!u3) {
    var l3 = o3, f3 = e3;
    const t4 = !!(2 & (h3 = gn(h3, e3, i3)));
    t4 && (f3 = $t(f3, 2, true));
    let r4 = !t4, s4 = true, a4 = 0, c4 = 0;
    for (; a4 < l3.length; a4++) {
      const e4 = Ce(l3[a4], n3, false, f3);
      if (e4 instanceof n3) {
        if (!t4) {
          const t5 = !!(2 & qt(e4.s));
          r4 && (r4 = !t5), s4 && (s4 = t5);
        }
        l3[c4++] = e4;
      }
    }
    c4 < a4 && (l3.length = c4), h3 = $t(h3, 4, true), h3 = $t(h3, 16, s4), h3 = $t(h3, 8, r4), Zt(l3, h3), t4 && Object.freeze(l3);
  }
  if (n3 = !!(8 & h3) || c3 && !o3.length, s3 && !n3) {
    for (mn(h3) && (o3 = Vt(o3), h3 = On(h3, e3, i3), e3 = hn(t3, e3, r3, o3)), s3 = o3, n3 = h3, l3 = 0; l3 < s3.length; l3++)
      (h3 = s3[l3]) !== (f3 = sn(h3)) && (s3[l3] = f3);
    n3 = $t(n3, 8, true), n3 = $t(n3, 16, !s3.length), Zt(s3, n3), h3 = n3;
  }
  return mn(h3) || (s3 = h3, c3 ? h3 = $t(h3, !o3.length || 16 & h3 && (!u3 || 32 & h3) ? 2 : 2048, true) : i3 || (h3 = $t(h3, 32, false)), h3 !== s3 && Zt(o3, h3), c3 && Object.freeze(o3)), a3 && mn(h3) && (o3 = Vt(o3), h3 = On(h3, e3, i3), Zt(o3, h3), hn(t3, e3, r3, o3)), o3;
}
function Rn(t3, e3, n3) {
  t3 = t3.s;
  const r3 = Jt(t3);
  return Ln(t3, r3, e3, n3, false, !(2 & r3));
}
function Fn(t3, e3, n3, r3, i3) {
  return null == r3 && (r3 = void 0), cn(t3, n3, r3, i3);
}
function Mn(t3, e3, n3, r3) {
  null == r3 && (r3 = void 0), t3 = t3.s;
  let i3 = Jt(t3);
  de(i3), (n3 = An(t3, i3, n3)) && n3 !== e3 && null != r3 && (i3 = hn(t3, i3, n3)), hn(t3, i3, e3, r3);
}
function On(t3, e3, n3) {
  return t3 = $t(t3, 2, !!(2 & e3)), t3 = $t(t3, 32, !!(32 & e3) && n3), $t(t3, 2048, false);
}
function In(t3, e3, n3) {
  t3 = t3.s;
  const r3 = Jt(t3);
  de(r3), t3 = Ln(t3, r3, e3, 1, true), e3 = null != n3 ? n3 : new e3(), t3.push(e3), 2 & qt(e3.s) ? Kt(t3, 8) : Kt(t3, 16);
}
function Cn(t3, e3) {
  return Ae(on(t3, e3));
}
function Pn(t3, e3) {
  return Ie(on(t3, e3));
}
function Un(t3) {
  return t3 != null ? t3 : 0;
}
function Dn(t3, e3) {
  return Un(ln(t3, e3));
}
function Bn(t3, e3, n3) {
  if (null != n3 && "boolean" != typeof n3)
    throw t3 = typeof n3, Error(`Expected boolean but got ${"object" != t3 ? t3 : n3 ? Array.isArray(n3) ? "array" : t3 : "null"}: ${n3}`);
  cn(t3, e3, n3);
}
function Nn(t3, e3, n3) {
  if (null != n3) {
    if ("number" != typeof n3)
      throw _e("int32");
    if (!Number.isFinite(n3))
      throw _e("int32");
    n3 |= 0;
  }
  cn(t3, e3, n3);
}
function Gn(t3, e3, n3) {
  if (null != n3 && "number" != typeof n3)
    throw Error(`Value of float/double field must be a number, found ${typeof n3}: ${n3}`);
  cn(t3, e3, n3);
}
function jn(t3, e3, n3) {
  e3.g ? e3.m(t3, e3.g, e3.h, n3, true) : e3.m(t3, e3.h, n3, true);
}
Ye.prototype.toJSON = void 0, Ye.prototype.Na = se;
var Vn = class {
  constructor(t3, e3) {
    this.s = je(t3, e3);
  }
  toJSON() {
    return Xn(this, Ze(this.s, tn, void 0, void 0, false, false), true);
  }
  l() {
    var t3 = uo;
    return t3.g ? t3.l(this, t3.g, t3.h, true) : t3.l(this, t3.h, t3.defaultValue, true);
  }
  clone() {
    const t3 = this.s;
    return nn(this, t3, Jt(t3), false);
  }
  L() {
    return !!(2 & qt(this.s));
  }
};
function Xn(t3, e3, n3) {
  const r3 = t3.constructor.A;
  var i3 = Jt(n3 ? t3.s : e3), s3 = re(i3), o3 = false;
  if (r3 && ce) {
    if (!n3) {
      var a3;
      if ((e3 = Vt(e3)).length && ae(a3 = e3[e3.length - 1])) {
        for (o3 = 0; o3 < r3.length; o3++)
          if (r3[o3] >= s3) {
            Object.assign(e3[e3.length - 1] = {}, a3);
            break;
          }
      }
      o3 = true;
    }
    var c3;
    s3 = e3, n3 = !n3, t3 = re(a3 = Jt(t3.s)), a3 = +!!(512 & a3) - 1;
    for (let e4 = 0; e4 < r3.length; e4++) {
      var h3 = r3[e4];
      if (h3 < t3) {
        var u3 = s3[h3 += a3];
        null == u3 ? s3[h3] = n3 ? le : Qt() : n3 && u3 !== le && Yt(u3);
      } else {
        if (!c3) {
          var l3 = void 0;
          s3.length && ae(l3 = s3[s3.length - 1]) ? c3 = l3 : s3.push(c3 = {});
        }
        u3 = c3[h3], null == c3[h3] ? c3[h3] = n3 ? le : Qt() : n3 && u3 !== le && Yt(u3);
      }
    }
  }
  if (!(c3 = e3.length))
    return e3;
  let f3, d3;
  if (ae(l3 = e3[c3 - 1])) {
    t: {
      var p3 = l3;
      for (var g3 in s3 = {}, n3 = false, p3)
        t3 = p3[g3], Array.isArray(t3) && (a3 = t3, (!H && ue(t3, r3, +g3) || !W && oe(t3) && 0 === t3.size) && (t3 = null), t3 != a3 && (n3 = true)), null != t3 ? s3[g3] = t3 : n3 = true;
      if (n3) {
        for (let t4 in s3) {
          p3 = s3;
          break t;
        }
        p3 = null;
      }
    }
    p3 != l3 && (f3 = true), c3--;
  }
  for (i3 = +!!(512 & i3) - 1; 0 < c3 && (null == (l3 = e3[g3 = c3 - 1]) || !H && ue(l3, r3, g3 - i3) || !W && oe(l3) && 0 === l3.size); c3--)
    d3 = true;
  return f3 || d3 ? (e3 = o3 ? e3 : Array.prototype.slice.call(e3, 0, c3), o3 && (e3.length = c3), p3 && e3.push(p3), e3) : e3;
}
function zn(t3) {
  return Array.isArray(t3) ? t3[0] instanceof jt ? t3 : [Xr, t3] : [t3, void 0];
}
function Wn(t3, e3) {
  if (Array.isArray(e3)) {
    var n3 = qt(e3);
    if (4 & n3)
      return e3;
    for (var r3 = 0, i3 = 0; r3 < e3.length; r3++) {
      const n4 = t3(e3[r3]);
      null != n4 && (e3[i3++] = n4);
    }
    return i3 < r3 && (e3.length = i3), Zt(e3, -12289 & (5 | n3)), 2 & n3 && Object.freeze(e3), e3;
  }
}
Vn.prototype.W = ie, Vn.prototype.toString = function() {
  return Xn(this, this.s, false).toString();
};
var Hn = Symbol();
function Yn(t3) {
  let e3 = t3[Hn];
  if (!e3) {
    const n3 = tr(t3), r3 = fr(t3), i3 = r3.g;
    e3 = i3 ? (t4, e4) => i3(t4, e4, r3) : (t4, e4) => {
      for (; vt(e4) && 4 != e4.h; ) {
        var i4 = e4.m, s3 = r3[i4];
        if (!s3) {
          var o3 = r3.ha;
          o3 && (o3 = o3[i4]) && (s3 = r3[i4] = Kn(o3));
        }
        s3 && s3(e4, t4, i4) || (i4 = (s3 = e4).l, _t(s3), s3.ga ? s3 = void 0 : (o3 = s3.g.g - i4, s3.g.g = i4, s3 = mt(s3.g, o3)), i4 = t4, s3 && (me || (me = Symbol()), (o3 = i4[me]) ? o3.push(s3) : i4[me] = [s3]));
      }
      n3 === $n || n3 === qn || n3.Oa || (t4[ye || (ye = Symbol())] = n3);
    }, t3[Hn] = e3;
  }
  return e3;
}
function Kn(t3) {
  const e3 = (t3 = zn(t3))[0].g;
  if (t3 = t3[1]) {
    const n3 = Yn(t3), r3 = fr(t3).S;
    return (t4, i3, s3) => e3(t4, i3, s3, r3, n3);
  }
  return e3;
}
var $n;
var qn;
var Jn = Symbol();
function Zn(t3, e3, n3) {
  const r3 = n3[1];
  let i3;
  if (r3) {
    const n4 = r3[Jn];
    i3 = n4 ? n4.S : Ne(r3[0]), t3[e3] = n4 != null ? n4 : r3;
  }
  i3 && i3 === De ? (t3.na || (t3.na = [])).push(e3) : n3[0] && (t3.oa || (t3.oa = [])).push(e3);
}
function Qn(t3, e3) {
  return [t3.l, !e3 || 0 < e3[0] ? void 0 : e3];
}
function tr(t3) {
  var e3 = t3[Jn];
  if (e3)
    return e3;
  if (!(e3 = nr(t3, t3[Jn] = {}, Qn, Qn, Zn)).oa && !e3.na) {
    let n3 = true;
    for (let t4 in e3) {
      isNaN(t4) || (n3 = false);
      break;
    }
    n3 ? (e3 = Ne(t3[0]) === De, e3 = t3[Jn] = e3 ? qn || (qn = { S: Ne(true) }) : $n || ($n = {})) : e3.Oa = true;
  }
  return e3;
}
function er(t3, e3, n3) {
  t3[e3] = n3;
}
function nr(t3, e3, n3, r3, i3 = er) {
  e3.S = Ne(t3[0]);
  let s3 = 0;
  var o3 = t3[++s3];
  o3 && o3.constructor === Object && (e3.ha = o3, "function" == typeof (o3 = t3[++s3]) && (e3.g = o3, e3.h = t3[++s3], o3 = t3[++s3]));
  const a3 = {};
  for (; Array.isArray(o3) && "number" == typeof o3[0] && 0 < o3[0]; ) {
    for (var c3 = 0; c3 < o3.length; c3++)
      a3[o3[c3]] = o3;
    o3 = t3[++s3];
  }
  for (c3 = 1; void 0 !== o3; ) {
    let l3;
    "number" == typeof o3 && (c3 += o3, o3 = t3[++s3]);
    var h3 = void 0;
    if (o3 instanceof jt ? l3 = o3 : (l3 = zr, s3--), l3.qa) {
      o3 = t3[++s3], h3 = t3;
      var u3 = s3;
      "function" == typeof o3 && (o3 = o3(), h3[u3] = o3), h3 = o3;
    }
    for (u3 = c3 + 1, "number" == typeof (o3 = t3[++s3]) && 0 > o3 && (u3 -= o3, o3 = t3[++s3]); c3 < u3; c3++) {
      const t4 = a3[c3];
      i3(e3, c3, h3 ? r3(l3, h3, t4) : n3(l3, t4));
    }
  }
  return e3;
}
var rr = Symbol();
function ir(t3) {
  let e3 = t3[rr];
  if (!e3) {
    const n3 = cr(t3);
    e3 = (t4, e4) => pr(t4, e4, n3), t3[rr] = e3;
  }
  return e3;
}
var sr = Symbol();
function or(t3) {
  return t3.h;
}
function ar(t3, e3) {
  let n3, r3;
  const i3 = t3.h;
  return (t4, s3, o3) => i3(t4, s3, o3, r3 || (r3 = cr(e3).S), n3 || (n3 = ir(e3)));
}
function cr(t3) {
  let e3 = t3[sr];
  return e3 || (e3 = nr(t3, t3[sr] = {}, or, ar), hr in t3 && sr in t3 && (t3.length = 0), e3);
}
var hr = Symbol();
function ur(t3, e3) {
  const n3 = t3.g;
  return e3 ? (t4, r3, i3) => n3(t4, r3, i3, e3) : n3;
}
function lr(t3, e3, n3) {
  const r3 = t3.g;
  let i3, s3;
  return (t4, o3, a3) => r3(t4, o3, a3, s3 || (s3 = fr(e3).S), i3 || (i3 = Yn(e3)), n3);
}
function fr(t3) {
  let e3 = t3[hr];
  return e3 || (tr(t3), e3 = nr(t3, t3[hr] = {}, ur, lr), hr in t3 && sr in t3 && (t3.length = 0), e3);
}
function dr(t3, e3) {
  var n3 = t3[e3];
  if (n3)
    return n3;
  if ((n3 = t3.ha) && (n3 = n3[e3])) {
    var r3 = (n3 = zn(n3))[0].h;
    if (n3 = n3[1]) {
      const e4 = ir(n3), i3 = cr(n3).S;
      n3 = (n3 = t3.h) ? n3(i3, e4) : (t4, n4, s3) => r3(t4, n4, s3, i3, e4);
    } else
      n3 = r3;
    return t3[e3] = n3;
  }
}
function pr(t3, e3, n3) {
  for (var r3 = Jt(t3), i3 = +!!(512 & r3) - 1, s3 = t3.length, o3 = 512 & r3 ? 1 : 0, a3 = s3 + (256 & r3 ? -1 : 0); o3 < a3; o3++) {
    const r4 = t3[o3];
    if (null == r4)
      continue;
    const s4 = o3 - i3, a4 = dr(n3, s4);
    a4 && a4(e3, r4, s4);
  }
  if (256 & r3) {
    r3 = t3[s3 - 1];
    for (let t4 in r3)
      i3 = +t4, Number.isNaN(i3) || null != (s3 = r3[t4]) && (a3 = dr(n3, i3)) && a3(e3, s3, i3);
  }
  if (t3 = me ? t3[me] : void 0)
    for (Pt(e3, e3.g.end()), n3 = 0; n3 < t3.length; n3++)
      Pt(e3, D(t3[n3]) || O());
}
function gr(t3, e3) {
  return new jt(t3, e3, false, false);
}
function mr(t3, e3) {
  return new jt(t3, e3, true, false);
}
function yr(t3, e3) {
  return new jt(t3, e3, false, true);
}
function vr(t3, e3, n3) {
  hn(t3, Jt(t3), e3, n3);
}
var _r = yr(function(t3, e3, n3, r3, i3) {
  return 2 === t3.h && (t3 = wt(t3, Ge([void 0, void 0], r3), i3), de(r3 = Jt(e3)), (i3 = an(e3, r3, n3)) instanceof Ye ? 0 != (2 & i3.O) ? ((i3 = i3.X()).push(t3), hn(e3, r3, n3, i3)) : i3.Ta(t3) : Array.isArray(i3) ? (2 & qt(i3) && hn(e3, r3, n3, i3 = _n(i3)), i3.push(t3)) : hn(e3, r3, n3, [t3]), true);
}, function(t3, e3, n3, r3, i3) {
  if (e3 instanceof Ye)
    e3.forEach((e4, s3) => {
      Gt(t3, n3, Ge([s3, e4], r3), i3);
    });
  else if (Array.isArray(e3))
    for (let s3 = 0; s3 < e3.length; s3++) {
      const o3 = e3[s3];
      Array.isArray(o3) && Gt(t3, n3, Ge(o3, r3), i3);
    }
});
function wr(t3, e3, n3) {
  t:
    if (null != e3) {
      if (be(e3)) {
        if ("string" == typeof e3) {
          e3 = Re(e3);
          break t;
        }
        if ("number" == typeof e3) {
          e3 = Le(e3);
          break t;
        }
      }
      e3 = void 0;
    }
  null != e3 && ("string" == typeof e3 && Lt(e3), null != e3 && (Ut(t3, n3, 0), "number" == typeof e3 ? (t3 = t3.g, J(e3), Mt(t3, $, q)) : (n3 = Lt(e3), Mt(t3.g, n3.h, n3.g))));
}
function Tr(t3, e3, n3) {
  null != (e3 = Ae(e3)) && null != e3 && (Ut(t3, n3, 0), It(t3.g, e3));
}
function Er(t3, e3, n3) {
  null != (e3 = Te(e3)) && (Ut(t3, n3, 0), t3.g.g.push(e3 ? 1 : 0));
}
function br(t3, e3, n3) {
  null != (e3 = Ie(e3)) && Nt(t3, n3, h(e3));
}
function Ar(t3, e3, n3, r3, i3) {
  Gt(t3, n3, e3 instanceof Vn ? e3.s : Array.isArray(e3) ? Ge(e3, r3) : void 0, i3);
}
function xr(t3, e3, n3) {
  null != (e3 = null == e3 || "string" == typeof e3 || F(e3) || e3 instanceof B ? e3 : void 0) && Nt(t3, n3, X(e3).buffer);
}
function kr(t3, e3, n3) {
  return (5 === t3.h || 2 === t3.h) && (e3 = un(e3, Jt(e3), n3, 2, false), 2 == t3.h ? bt(t3, lt, e3) : e3.push(lt(t3.g)), true);
}
var Sr;
var Lr = gr(function(t3, e3, n3) {
  if (1 !== t3.h)
    return false;
  var r3 = t3.g;
  t3 = ut(r3);
  const i3 = ut(r3);
  r3 = 2 * (i3 >> 31) + 1;
  const s3 = i3 >>> 20 & 2047;
  return t3 = 4294967296 * (1048575 & i3) + t3, vr(e3, n3, 2047 == s3 ? t3 ? NaN : 1 / 0 * r3 : 0 == s3 ? r3 * Math.pow(2, -1074) * t3 : r3 * Math.pow(2, s3 - 1075) * (t3 + 4503599627370496)), true;
}, function(t3, e3, n3) {
  null != (e3 = we(e3)) && (Ut(t3, n3, 1), t3 = t3.g, (n3 = K || (K = new DataView(new ArrayBuffer(8)))).setFloat64(0, +e3, true), $ = n3.getUint32(0, true), q = n3.getUint32(4, true), Ct(t3, $), Ct(t3, q));
});
var Rr = gr(function(t3, e3, n3) {
  return 5 === t3.h && (vr(e3, n3, lt(t3.g)), true);
}, function(t3, e3, n3) {
  null != (e3 = we(e3)) && (Ut(t3, n3, 5), t3 = t3.g, Z(e3), Ct(t3, $));
});
var Fr = mr(kr, function(t3, e3, n3) {
  if (null != (e3 = Wn(we, e3)))
    for (let o3 = 0; o3 < e3.length; o3++) {
      var r3 = t3, i3 = n3, s3 = e3[o3];
      null != s3 && (Ut(r3, i3, 5), r3 = r3.g, Z(s3), Ct(r3, $));
    }
});
var Mr = mr(kr, function(t3, e3, n3) {
  if (null != (e3 = Wn(we, e3)) && e3.length) {
    Ut(t3, n3, 2), Ot(t3.g, 4 * e3.length);
    for (let r3 = 0; r3 < e3.length; r3++)
      n3 = t3.g, Z(e3[r3]), Ct(n3, $);
  }
});
var Or = gr(function(t3, e3, n3) {
  return 0 === t3.h && (vr(e3, n3, ot(t3.g, tt)), true);
}, wr);
var Ir = gr(function(t3, e3, n3) {
  return 0 === t3.h && (vr(e3, n3, 0 === (t3 = ot(t3.g, tt)) ? void 0 : t3), true);
}, wr);
var Cr = gr(function(t3, e3, n3) {
  return 0 === t3.h && (vr(e3, n3, ot(t3.g, Q)), true);
}, function(t3, e3, n3) {
  t:
    if (null != e3) {
      if (be(e3)) {
        if ("string" == typeof e3) {
          var r3 = Math.trunc(Number(e3));
          Number.isSafeInteger(r3) && 0 <= r3 ? e3 = String(r3) : (-1 !== (r3 = e3.indexOf(".")) && (e3 = e3.substring(0, r3)), ke(e3) || (it(e3), e3 = et($, q)));
          break t;
        }
        if ("number" == typeof e3) {
          e3 = 0 <= (e3 = Math.trunc(e3)) && Number.isSafeInteger(e3) ? e3 : function(t4) {
            if (0 > t4) {
              J(t4);
              const e4 = et($, q);
              return t4 = Number(e4), Number.isSafeInteger(t4) ? t4 : e4;
            }
            return ke(String(t4)) ? t4 : (J(t4), Q($, q));
          }(e3);
          break t;
        }
      }
      e3 = void 0;
    }
  null != e3 && ("string" == typeof e3 && xt(e3), null != e3 && (Ut(t3, n3, 0), "number" == typeof e3 ? (t3 = t3.g, J(e3), Mt(t3, $, q)) : (n3 = xt(e3), Mt(t3.g, n3.h, n3.g))));
});
var Pr = gr(function(t3, e3, n3) {
  return 0 === t3.h && (vr(e3, n3, ct(t3.g)), true);
}, Tr);
var Ur = mr(function(t3, e3, n3) {
  return (0 === t3.h || 2 === t3.h) && (e3 = un(e3, Jt(e3), n3, 2, false), 2 == t3.h ? bt(t3, ct, e3) : e3.push(ct(t3.g)), true);
}, function(t3, e3, n3) {
  if (null != (e3 = Wn(Ae, e3)) && e3.length) {
    n3 = Dt(t3, n3);
    for (let n4 = 0; n4 < e3.length; n4++)
      It(t3.g, e3[n4]);
    Bt(t3, n3);
  }
});
var Dr = gr(function(t3, e3, n3) {
  return 0 === t3.h && (vr(e3, n3, 0 === (t3 = ct(t3.g)) ? void 0 : t3), true);
}, Tr);
var Br = gr(function(t3, e3, n3) {
  return 0 === t3.h && (vr(e3, n3, at(t3.g)), true);
}, Er);
var Nr = gr(function(t3, e3, n3) {
  return 0 === t3.h && (vr(e3, n3, false === (t3 = at(t3.g)) ? void 0 : t3), true);
}, Er);
var Gr = mr(function(t3, e3, n3) {
  return 2 === t3.h && (Tn(e3, n3, En, t3 = Tt(t3)), true);
}, function(t3, e3, n3) {
  if (null != (e3 = Wn(Ie, e3)))
    for (let o3 = 0; o3 < e3.length; o3++) {
      var r3 = t3, i3 = n3, s3 = e3[o3];
      null != s3 && Nt(r3, i3, h(s3));
    }
});
var jr = gr(function(t3, e3, n3) {
  return 2 === t3.h && (vr(e3, n3, "" === (t3 = Tt(t3)) ? void 0 : t3), true);
}, br);
var Vr = gr(function(t3, e3, n3) {
  return 2 === t3.h && (vr(e3, n3, Tt(t3)), true);
}, br);
var Xr = yr(function(t3, e3, n3, r3, i3) {
  return 2 === t3.h && (wt(t3, xn(e3, r3, n3, true), i3), true);
}, Ar);
var zr = yr(function(t3, e3, n3, r3, i3) {
  return 2 === t3.h && (wt(t3, xn(e3, r3, n3), i3), true);
}, Ar);
Sr = new jt(function(t3, e3, n3, r3, i3) {
  if (2 !== t3.h)
    return false;
  r3 = Ge(void 0, r3);
  let s3 = Jt(e3);
  de(s3);
  let o3 = un(e3, s3, n3, 3);
  return s3 = Jt(e3), 4 & qt(o3) && (o3 = Vt(o3), Zt(o3, -2079 & (1 | qt(o3))), hn(e3, s3, n3, o3)), o3.push(r3), wt(t3, r3, i3), true;
}, function(t3, e3, n3, r3, i3) {
  if (Array.isArray(e3))
    for (let s3 = 0; s3 < e3.length; s3++)
      Ar(t3, e3[s3], n3, r3, i3);
}, true, true);
var Wr = yr(function(t3, e3, n3, r3, i3, s3) {
  if (2 !== t3.h)
    return false;
  let o3 = Jt(e3);
  return de(o3), (s3 = An(e3, o3, s3)) && n3 !== s3 && hn(e3, o3, s3), wt(t3, e3 = xn(e3, r3, n3), i3), true;
}, Ar);
var Hr = gr(function(t3, e3, n3) {
  return 2 === t3.h && (vr(e3, n3, Et(t3)), true);
}, xr);
var Yr = mr(function(t3, e3, n3) {
  return (0 === t3.h || 2 === t3.h) && (e3 = un(e3, Jt(e3), n3, 2, false), 2 == t3.h ? bt(t3, ht, e3) : e3.push(ht(t3.g)), true);
}, function(t3, e3, n3) {
  if (null != (e3 = Wn(xe, e3)))
    for (let o3 = 0; o3 < e3.length; o3++) {
      var r3 = t3, i3 = n3, s3 = e3[o3];
      null != s3 && (Ut(r3, i3, 0), Ot(r3.g, s3));
    }
});
var Kr = gr(function(t3, e3, n3) {
  return 0 === t3.h && (vr(e3, n3, ct(t3.g)), true);
}, function(t3, e3, n3) {
  null != (e3 = Ae(e3)) && (e3 = parseInt(e3, 10), Ut(t3, n3, 0), It(t3.g, e3));
});
var $r = mr(function(t3, e3, n3) {
  return (0 === t3.h || 2 === t3.h) && (e3 = un(e3, Jt(e3), n3, 2, false), 2 == t3.h ? bt(t3, ft, e3) : e3.push(ct(t3.g)), true);
}, function(t3, e3, n3) {
  if (null != (e3 = Wn(Ae, e3)) && e3.length) {
    n3 = Dt(t3, n3);
    for (let n4 = 0; n4 < e3.length; n4++)
      It(t3.g, e3[n4]);
    Bt(t3, n3);
  }
});
var qr = class {
  constructor(t3, e3) {
    this.h = t3, this.g = e3, this.l = Sn, this.m = Fn, this.defaultValue = void 0;
  }
};
function Jr(t3, e3) {
  return new qr(t3, e3);
}
function Zr(t3, e3) {
  return (n3, r3) => {
    t: {
      if (At.length) {
        const t4 = At.pop();
        t4.o(r3), dt(t4.g, n3, r3), n3 = t4;
      } else
        n3 = new class {
          constructor(t4, e4) {
            if (yt.length) {
              const n4 = yt.pop();
              dt(n4, t4, e4), t4 = n4;
            } else
              t4 = new class {
                constructor(t5, e5) {
                  this.h = null, this.m = false, this.g = this.l = this.j = 0, dt(this, t5, e5);
                }
                clear() {
                  this.h = null, this.m = false, this.g = this.l = this.j = 0, this.aa = false;
                }
              }(t4, e4);
            this.g = t4, this.l = this.g.g, this.h = this.m = -1, this.o(e4);
          }
          o({ ga: t4 = false } = {}) {
            this.ga = t4;
          }
        }(n3, r3);
      try {
        const r4 = new t3(), s3 = r4.s;
        Yn(e3)(s3, n3), ye && delete s3[ye];
        var i3 = r4;
        break t;
      } finally {
        n3.g.clear(), n3.m = -1, n3.h = -1, 100 > At.length && At.push(n3);
      }
      i3 = void 0;
    }
    return i3;
  };
}
function Qr(t3) {
  return function() {
    const e3 = new class {
      constructor() {
        this.l = [], this.h = 0, this.g = new class {
          constructor() {
            this.g = [];
          }
          length() {
            return this.g.length;
          }
          end() {
            const t4 = this.g;
            return this.g = [], t4;
          }
        }();
      }
    }();
    pr(this.s, e3, cr(t3)), Pt(e3, e3.g.end());
    const n3 = new Uint8Array(e3.h), r3 = e3.l, i3 = r3.length;
    let s3 = 0;
    for (let t4 = 0; t4 < i3; t4++) {
      const e4 = r3[t4];
      n3.set(e4, s3), s3 += e4.length;
    }
    return e3.l = [n3], n3;
  };
}
var ti = [0, jr, gr(function(t3, e3, n3) {
  return 2 === t3.h && (vr(e3, n3, (t3 = Et(t3)) === U() ? void 0 : t3), true);
}, function(t3, e3, n3) {
  if (null != e3) {
    if (e3 instanceof Vn) {
      const r3 = e3.Va;
      return void (r3 && (e3 = r3(e3), null != e3 && Nt(t3, n3, X(e3).buffer)));
    }
    if (Array.isArray(e3))
      return;
  }
  xr(t3, e3, n3);
})];
var ei = [0, Vr];
var ni = [0, Pr, Kr, Br, -1, Ur, Kr, -1];
var ri = [0, Br, -1];
var ii = class extends Vn {
  constructor() {
    super();
  }
};
ii.A = [6];
var si = [0, Br, Vr, Br, Kr, -1, $r, Vr, -1, ri, Kr];
var oi = [0, Vr, -2];
var ai = class extends Vn {
  constructor() {
    super();
  }
};
var ci = [0];
var hi = [0, Pr, Br, -2];
var ui = class extends Vn {
  constructor(t3) {
    super(t3, 2);
  }
};
var li = {};
var fi = [-2, li, Br];
li[336783863] = [0, Vr, Br, -1, Pr, [0, [1, 2, 3, 4, 5], Wr, ci, Wr, si, Wr, oi, Wr, hi, Wr, ni], ei];
var di = [0, jr, Nr];
var pi = [0, Ir, -1, Nr, -3, Ir, Ur, jr, Dr, Ir, -1, Nr, Dr, Nr, -2, jr];
var gi = [-1, {}];
var mi = [0, Vr, 1, gi];
var yi = [0, Vr, Gr, gi];
function vi(t3, e3) {
  e3 = Oe(e3), t3 = t3.s;
  let n3 = Jt(t3);
  de(n3), hn(t3, n3, 2, "" === e3 ? void 0 : e3);
}
function _i(t3, e3) {
  Tn(t3.s, 3, Me, e3);
}
function wi(t3, e3) {
  Tn(t3.s, 4, Me, e3);
}
var Ti = class extends Vn {
  constructor(t3) {
    super(t3, 500);
  }
  o(t3) {
    return Fn(this, 0, 7, t3);
  }
};
Ti.A = [3, 4, 5, 6, 8, 13, 17, 1005];
var Ei = [-500, jr, -1, Gr, -3, fi, Sr, ti, Dr, -1, mi, yi, Sr, di, jr, pi, Dr, Gr, 987, Gr];
var bi = [0, jr, -1, gi];
var Ai = [-500, Vr, -1, [-1, {}], 998, Vr];
var xi = [-500, Vr, Gr, -1, [-2, {}, Br], 997, Gr, -1];
var ki = [-500, Vr, Gr, gi, 998, Gr];
function Si(t3, e3) {
  In(t3, Ti, e3);
}
function Li(t3, e3) {
  Tn(t3.s, 10, Me, e3);
}
function Ri(t3, e3) {
  Tn(t3.s, 15, Me, e3);
}
var Fi = class extends Vn {
  constructor(t3) {
    super(t3, 500);
  }
  o(t3) {
    return Fn(this, 0, 1001, t3);
  }
};
Fi.A = [1, 6, 7, 9, 10, 15, 16, 17, 14, 1002];
var Mi = [-500, Sr, Ei, 4, Sr, Ai, Sr, xi, Dr, Sr, ki, Gr, Dr, mi, yi, Sr, bi, Gr, -2, pi, jr, -1, Nr, 979, gi, Sr, ti];
var Oi = Zr(Fi, Mi);
Fi.prototype.g = Qr(Mi);
var Ii = [0, Sr, [0, Pr, -2]];
var Ci = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var Pi = [0, Pr, Rr, Vr, -1];
var Ui = class extends Vn {
  constructor(t3) {
    super(t3);
  }
  g() {
    return Rn(this, Ci, 1);
  }
};
Ui.A = [1];
var Di = [0, Sr, Pi];
var Bi = Zr(Ui, Di);
var Ni = [0, Pr, Rr];
var Gi = [0, Pr, -1, Ii];
var ji = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var Vi = [0, Pr, -3];
var Xi = [0, Rr, -3];
var zi = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var Wi = [0, Rr, -1, Vr, Rr];
var Hi = class extends Vn {
  constructor(t3) {
    super(t3);
  }
  h() {
    return Sn(this, ji, 2);
  }
  g() {
    return Rn(this, zi, 5);
  }
};
Hi.A = [5];
var Yi = [0, Kr, Vi, Xi, Gi, Sr, Wi];
var Ki = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
Ki.A = [1, 2, 3, 8, 9];
var $i = Zr(Ki, [0, Gr, Ur, Mr, Yi, Vr, -1, Or, Sr, Ni, Gr, Or]);
var qi = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var Ji = [0, Rr, -4];
var Zi = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
Zi.A = [1];
var Qi = Zr(Zi, [0, Sr, Ji]);
var ts = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var es = [0, Rr, -4];
var ns = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
ns.A = [1];
var rs = Zr(ns, [0, Sr, es]);
var is = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
is.A = [3];
var ss = [0, Pr, -1, Mr, Kr];
var os = class extends Vn {
  constructor() {
    super();
  }
};
os.prototype.g = Qr([0, Rr, -4, Or]);
var as = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var cs = [0, 1, Pr, Vr, Di];
var hs = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
hs.A = [1];
var us = Zr(hs, [0, Sr, cs, Or]);
var ls = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
ls.A = [1];
var fs = class extends Vn {
  constructor(t3) {
    super(t3);
  }
  ua() {
    const t3 = fn(this);
    return null == t3 ? U() : t3;
  }
};
var ds = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var ps = [1, 2];
var gs = [0, ps, Wr, [0, Mr], Wr, [0, Hr], Pr, Vr];
var ms = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
ms.A = [1];
var ys = Zr(ms, [0, Sr, gs, Or]);
var vs = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
vs.A = [4, 5];
var _s = [0, Vr, Pr, Rr, Gr, -1];
var ws = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var Ts = [0, Br, -1];
var Es = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var bs = [1, 2, 3, 4, 5];
var As = class extends Vn {
  constructor(t3) {
    super(t3);
  }
  g() {
    return null != fn(this);
  }
  h() {
    return null != Pn(this, 2);
  }
};
var xs = [0, Hr, Vr, [0, Pr, Or, -1], [0, Cr, Or]];
var ks = class extends Vn {
  constructor(t3) {
    super(t3);
  }
  g() {
    var _a2;
    return (_a2 = Te(on(this, 2))) != null ? _a2 : false;
  }
};
var Ss = [0, xs, Br, [0, bs, Wr, hi, Wr, si, Wr, ni, Wr, ci, Wr, oi], Kr];
var Ls = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var Rs = [0, Ss, Rr, -1, Pr];
var Fs = Jr(502141897, Ls);
li[502141897] = Rs;
var Ms = [0, xs];
li[512499200] = Ms;
var Os = [0, Ms];
li[515723506] = Os;
var Is = Zr(class extends Vn {
  constructor(t3) {
    super(t3);
  }
}, [0, [0, Kr, -1, Fr, Yr], ss]);
var Cs = [0, Ss];
li[508981768] = Cs;
var Ps = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var Us = [0, Ss, Rr, Cs, Br];
var Ds = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var Bs = [0, Ss, Rs, Us, Rr, Os];
li[508968149] = Us;
var Ns = Jr(508968150, Ds);
li[508968150] = Bs;
var Gs = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var js = Jr(513916220, Gs);
li[513916220] = [0, Ss, Bs, Pr];
var Vs = class extends Vn {
  constructor(t3) {
    super(t3);
  }
  h() {
    return Sn(this, vs, 2);
  }
  g() {
    cn(this, 2);
  }
};
var Xs = [0, Ss, _s];
li[478825465] = Xs;
var zs = [0, Ss];
li[478825422] = zs;
var Ws = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var Hs = [0, Ss, zs, Xs, -1];
var Ys = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var Ks = [0, Ss, Rr, Pr];
var $s = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var qs = [0, Ss, Rr];
var Js = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var Zs = [0, Ss, Ks, qs, Rr];
var Qs = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var to = [0, Ss, Zs, Hs];
li[463370452] = Hs, li[464864288] = Ks, li[474472470] = qs;
var eo = Jr(462713202, Js);
li[462713202] = Zs;
var no = Jr(479097054, Qs);
li[479097054] = to;
var ro = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var io = Jr(456383383, ro);
li[456383383] = [0, Ss, _s];
var so = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var oo = Jr(476348187, so);
li[476348187] = [0, Ss, Ts];
var ao = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var co = [0, Kr, -1];
var ho = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
ho.A = [3];
var uo = Jr(458105876, class extends Vn {
  constructor(t3) {
    super(t3);
  }
  g() {
    var t3 = this.s;
    const e3 = Jt(t3);
    var n3 = 2 & e3;
    return t3 = function(t4, e4, n4) {
      var r3 = ho;
      const i3 = 2 & e4;
      let s3 = false;
      if (null == n4) {
        if (i3)
          return vn();
        n4 = [];
      } else if (n4.constructor === Ye) {
        if (0 == (2 & n4.O) || i3)
          return n4;
        n4 = n4.X();
      } else
        Array.isArray(n4) ? s3 = !!(2 & qt(n4)) : n4 = [];
      if (i3) {
        if (!n4.length)
          return vn();
        s3 || (s3 = true, te(n4));
      } else
        s3 && (s3 = false, n4 = _n(n4));
      return s3 || (64 & qt(n4) ? Kt(n4, 32) : 32 & e4 && Ht(n4, 32)), hn(t4, e4, 2, r3 = new Ye(n4, r3, Pe, void 0), false), r3;
    }(t3, e3, an(t3, e3, 2)), null == t3 || !n3 && ho && (t3.xa = true), n3 = t3;
  }
});
li[458105876] = [0, co, _r, [true, Or, [0, Vr, -1, Gr]]];
var lo = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var fo = Jr(458105758, lo);
li[458105758] = [0, Ss, Vr, co];
var po = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
po.A = [5, 6];
var go = Jr(443442058, po);
li[443442058] = [0, Ss, Vr, Pr, Rr, Gr, -1];
var mo = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var yo = [0, Ss, Rr, -1, Pr];
li[514774813] = yo;
var vo = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var _o = [0, Ss, Rr, Br];
var wo = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var To = [0, Ss, yo, _o, Rr];
li[518928384] = _o;
var Eo = Jr(516587230, wo);
function bo(t3, e3) {
  return e3 = e3 ? e3.clone() : new vs(), void 0 !== t3.displayNamesLocale ? cn(e3, 1, Oe(t3.displayNamesLocale)) : void 0 === t3.displayNamesLocale && cn(e3, 1), void 0 !== t3.maxResults ? Nn(e3, 2, t3.maxResults) : "maxResults" in t3 && cn(e3, 2), void 0 !== t3.scoreThreshold ? Gn(e3, 3, t3.scoreThreshold) : "scoreThreshold" in t3 && cn(e3, 3), void 0 !== t3.categoryAllowlist ? wn(e3, 4, t3.categoryAllowlist) : "categoryAllowlist" in t3 && cn(e3, 4), void 0 !== t3.categoryDenylist ? wn(e3, 5, t3.categoryDenylist) : "categoryDenylist" in t3 && cn(e3, 5), e3;
}
function Ao(t3, e3 = -1, n3 = "") {
  return { categories: t3.map((t4) => {
    var _a2, _b, _c2, _d, _e3, _f;
    return { index: (_a2 = Un(Cn(t4, 1))) != null ? _a2 : -1, score: (_b = Dn(t4, 2)) != null ? _b : 0, categoryName: (_d = (_c2 = Pn(t4, 3)) != null ? _c2 : "") != null ? _d : "", displayName: (_f = (_e3 = Pn(t4, 4)) != null ? _e3 : "") != null ? _f : "" };
  }), headIndex: e3, headName: n3 };
}
function xo(t3) {
  var _a2, _b, _c2, _d, _e3, _f, _g, _h, _i2, _j, _k, _l, _m;
  var e3 = dn(t3, 3, we), n3 = dn(t3, 2, Ae), r3 = dn(t3, 1, Ie), i3 = dn(t3, 9, Ie);
  const s3 = { categories: [], keypoints: [] };
  for (let t4 = 0; t4 < e3.length; t4++)
    s3.categories.push({ score: e3[t4], index: (_a2 = n3[t4]) != null ? _a2 : -1, categoryName: (_b = r3[t4]) != null ? _b : "", displayName: (_c2 = i3[t4]) != null ? _c2 : "" });
  if ((e3 = (_d = Sn(t3, Hi, 4)) == null ? void 0 : _d.h()) && (s3.boundingBox = { originX: (_e3 = Cn(e3, 1)) != null ? _e3 : 0, originY: (_f = Cn(e3, 2)) != null ? _f : 0, width: (_g = Cn(e3, 3)) != null ? _g : 0, height: (_h = Cn(e3, 4)) != null ? _h : 0, angle: 0 }), (_i2 = Sn(t3, Hi, 4)) == null ? void 0 : _i2.g().length)
    for (const e4 of Sn(t3, Hi, 4).g())
      s3.keypoints.push({ x: (_j = ln(e4, 1)) != null ? _j : 0, y: (_k = ln(e4, 2)) != null ? _k : 0, score: (_l = ln(e4, 4)) != null ? _l : 0, label: (_m = Pn(e4, 3)) != null ? _m : "" });
  return s3;
}
function ko(t3) {
  var _a2, _b, _c2;
  const e3 = [];
  for (const n3 of Rn(t3, ts, 1))
    e3.push({ x: (_a2 = Dn(n3, 1)) != null ? _a2 : 0, y: (_b = Dn(n3, 2)) != null ? _b : 0, z: (_c2 = Dn(n3, 3)) != null ? _c2 : 0 });
  return e3;
}
function So(t3) {
  var _a2, _b, _c2;
  const e3 = [];
  for (const n3 of Rn(t3, qi, 1))
    e3.push({ x: (_a2 = Dn(n3, 1)) != null ? _a2 : 0, y: (_b = Dn(n3, 2)) != null ? _b : 0, z: (_c2 = Dn(n3, 3)) != null ? _c2 : 0 });
  return e3;
}
function Lo(t3) {
  return Array.from(t3, (t4) => 127 < t4 ? t4 - 256 : t4);
}
function Ro(t3, e3) {
  if (t3.length !== e3.length)
    throw Error(`Cannot compute cosine similarity between embeddings of different sizes (${t3.length} vs. ${e3.length}).`);
  let n3 = 0, r3 = 0, i3 = 0;
  for (let s3 = 0; s3 < t3.length; s3++)
    n3 += t3[s3] * e3[s3], r3 += t3[s3] * t3[s3], i3 += e3[s3] * e3[s3];
  if (0 >= r3 || 0 >= i3)
    throw Error("Cannot compute cosine similarity on embedding with 0 norm.");
  return n3 / Math.sqrt(r3 * i3);
}
var Fo;
li[516587230] = To;
var Mo = new Uint8Array([0, 97, 115, 109, 1, 0, 0, 0, 1, 5, 1, 96, 0, 1, 123, 3, 2, 1, 0, 10, 10, 1, 8, 0, 65, 0, 253, 15, 253, 98, 11]);
async function Oo() {
  if (void 0 === Fo)
    try {
      await WebAssembly.instantiate(Mo), Fo = true;
    } catch {
      Fo = false;
    }
  return Fo;
}
async function Io(t3, e3 = "") {
  const n3 = await Oo() ? "wasm_internal" : "wasm_nosimd_internal";
  return { wasmLoaderPath: `${e3}/${t3}_${n3}.js`, wasmBinaryPath: `${e3}/${t3}_${n3}.wasm` };
}
var Co = class {
};
function Po() {
  const t3 = navigator.userAgent;
  return t3.includes("Safari") && !t3.includes("Chrome");
}
async function Uo(t3) {
  if ("function" != typeof importScripts) {
    const e3 = document.createElement("script");
    return e3.src = t3.toString(), e3.crossOrigin = "anonymous", new Promise((t4, n3) => {
      e3.addEventListener("load", () => {
        t4();
      }, false), e3.addEventListener("error", (t5) => {
        n3(t5);
      }, false), document.body.appendChild(e3);
    });
  }
  importScripts(t3.toString());
}
function Do(t3, e3, n3) {
  t3.m || console.error("No wasm multistream support detected: ensure dependency inclusion of :gl_graph_runner_internal_multi_input target"), n3(e3 = t3.i.stringToNewUTF8(e3)), t3.i._free(e3);
}
function Bo(t3, e3, n3) {
  if (!t3.i.canvas)
    throw Error("No OpenGL canvas configured.");
  if (n3 ? t3.i._bindTextureToStream(n3) : t3.i._bindTextureToCanvas(), !(n3 = t3.i.canvas.getContext("webgl2") || t3.i.canvas.getContext("webgl")))
    throw Error("Failed to obtain WebGL context from the provided canvas. `getContext()` should only be invoked with `webgl` or `webgl2`.");
  return t3.i.gpuOriginForWebTexturesIsBottomLeft && n3.pixelStorei(n3.UNPACK_FLIP_Y_WEBGL, true), n3.texImage2D(n3.TEXTURE_2D, 0, n3.RGBA, n3.RGBA, n3.UNSIGNED_BYTE, e3), t3.i.gpuOriginForWebTexturesIsBottomLeft && n3.pixelStorei(n3.UNPACK_FLIP_Y_WEBGL, false), e3.videoWidth ? (n3 = e3.videoWidth, e3 = e3.videoHeight) : e3.naturalWidth ? (n3 = e3.naturalWidth, e3 = e3.naturalHeight) : (n3 = e3.width, e3 = e3.height), !t3.l || n3 === t3.i.canvas.width && e3 === t3.i.canvas.height || (t3.i.canvas.width = n3, t3.i.canvas.height = e3), [n3, e3];
}
function No(t3, e3, n3) {
  t3.m || console.error("No wasm multistream support detected: ensure dependency inclusion of :gl_graph_runner_internal_multi_input target");
  const r3 = new Uint32Array(e3.length);
  for (let n4 = 0; n4 < e3.length; n4++)
    r3[n4] = t3.i.stringToNewUTF8(e3[n4]);
  e3 = t3.i._malloc(4 * r3.length), t3.i.HEAPU32.set(r3, e3 >> 2), n3(e3);
  for (const e4 of r3)
    t3.i._free(e4);
  t3.i._free(e3);
}
function Go(t3, e3, n3) {
  t3.i.simpleListeners = t3.i.simpleListeners || {}, t3.i.simpleListeners[e3] = n3;
}
function jo(t3, e3, n3) {
  let r3 = [];
  t3.i.simpleListeners = t3.i.simpleListeners || {}, t3.i.simpleListeners[e3] = (t4, e4, i3) => {
    e4 ? (n3(r3, i3), r3 = []) : r3.push(t4);
  };
}
Co.forVisionTasks = function(t3) {
  return Io("vision", t3);
}, Co.forTextTasks = function(t3) {
  return Io("text", t3);
}, Co.forAudioTasks = function(t3) {
  return Io("audio", t3);
}, Co.isSimdSupported = function() {
  return Oo();
};
async function Vo(t3, e3, n3, r3) {
  return t3 = await (async (t4, e4, n4, r4, i3) => {
    if (e4 && await Uo(e4), !self.ModuleFactory)
      throw Error("ModuleFactory not set.");
    if (n4 && (await Uo(n4), !self.ModuleFactory))
      throw Error("ModuleFactory not set.");
    return self.Module && i3 && ((e4 = self.Module).locateFile = i3.locateFile, i3.mainScriptUrlOrBlob && (e4.mainScriptUrlOrBlob = i3.mainScriptUrlOrBlob)), i3 = await self.ModuleFactory(self.Module || i3), self.ModuleFactory = self.Module = void 0, new t4(i3, r4);
  })(t3, n3.wasmLoaderPath, n3.assetLoaderPath, e3, { locateFile: (t4) => t4.endsWith(".wasm") ? n3.wasmBinaryPath.toString() : n3.assetBinaryPath && t4.endsWith(".data") ? n3.assetBinaryPath.toString() : t4 }), await t3.o(r3), t3;
}
function Xo(t3, e3) {
  const n3 = Sn(t3.baseOptions, As, 1) || new As();
  "string" == typeof e3 ? (cn(n3, 2, Oe(e3)), cn(n3, 1)) : e3 instanceof Uint8Array && (cn(n3, 1, he(e3, false, false)), cn(n3, 2)), Fn(t3.baseOptions, 0, 1, n3);
}
function zo(t3) {
  try {
    const e3 = t3.F.length;
    if (1 === e3)
      throw Error(t3.F[0].message);
    if (1 < e3)
      throw Error("Encountered multiple errors: " + t3.F.map((t4) => t4.message).join(", "));
  } finally {
    t3.F = [];
  }
}
function Wo(t3, e3) {
  t3.I = Math.max(t3.I, e3);
}
function Ho(t3, e3) {
  t3.C = new Ti(), vi(t3.C, "PassThroughCalculator"), _i(t3.C, "free_memory"), wi(t3.C, "free_memory_unused_out"), Li(e3, "free_memory"), Si(e3, t3.C);
}
function Yo(t3, e3) {
  _i(t3.C, e3), wi(t3.C, e3 + "_unused_out");
}
function Ko(t3) {
  t3.g.addBoolToStream(true, "free_memory", t3.I);
}
var $o = class {
  constructor(t3) {
    this.g = t3, this.F = [], this.I = 0, this.g.setAutoRenderToScreen(false);
  }
  l(t3, e3 = true) {
    var _a2, _b, _c2, _d, _e3, _f;
    if (e3) {
      const e4 = t3.baseOptions || {};
      if (((_a2 = t3.baseOptions) == null ? void 0 : _a2.modelAssetBuffer) && ((_b = t3.baseOptions) == null ? void 0 : _b.modelAssetPath))
        throw Error("Cannot set both baseOptions.modelAssetPath and baseOptions.modelAssetBuffer");
      if (!(((_c2 = Sn(this.baseOptions, As, 1)) == null ? void 0 : _c2.g()) || ((_d = Sn(this.baseOptions, As, 1)) == null ? void 0 : _d.h()) || ((_e3 = t3.baseOptions) == null ? void 0 : _e3.modelAssetBuffer) || ((_f = t3.baseOptions) == null ? void 0 : _f.modelAssetPath)))
        throw Error("Either baseOptions.modelAssetPath or baseOptions.modelAssetBuffer must be set");
      if (function(t4, e5) {
        let n3 = Sn(t4.baseOptions, Es, 3);
        if (!n3) {
          var r3 = n3 = new Es(), i3 = new ai();
          Mn(r3, 4, bs, i3);
        }
        "delegate" in e5 && ("GPU" === e5.delegate ? (e5 = n3, r3 = new ii(), Mn(e5, 2, bs, r3)) : (e5 = n3, r3 = new ai(), Mn(e5, 4, bs, r3))), Fn(t4.baseOptions, 0, 3, n3);
      }(this, e4), e4.modelAssetPath)
        return fetch(e4.modelAssetPath.toString()).then((t4) => {
          if (t4.ok)
            return t4.arrayBuffer();
          throw Error(`Failed to fetch model: ${e4.modelAssetPath} (${t4.status})`);
        }).then((t4) => {
          try {
            this.g.i.FS_unlink("/model.dat");
          } catch {
          }
          this.g.i.FS_createDataFile("/", "model.dat", new Uint8Array(t4), true, false, false), Xo(this, "/model.dat"), this.m(), this.N();
        });
      Xo(this, e4.modelAssetBuffer);
    }
    return this.m(), this.N(), Promise.resolve();
  }
  N() {
  }
  da() {
    let t3;
    if (this.g.da((e3) => {
      t3 = Oi(e3);
    }), !t3)
      throw Error("Failed to retrieve CalculatorGraphConfig");
    return t3;
  }
  setGraph(t3, e3) {
    this.g.attachErrorListener((t4, e4) => {
      this.F.push(Error(e4));
    }), this.g.Ra(), this.g.setGraph(t3, e3), this.C = void 0, zo(this);
  }
  finishProcessing() {
    this.g.finishProcessing(), zo(this);
  }
  close() {
    this.C = void 0, this.g.closeGraph();
  }
};
function qo(t3, e3) {
  if (null === t3)
    throw Error(`Unable to obtain required WebGL resource: ${e3}`);
  return t3;
}
$o.prototype.close = $o.prototype.close;
var Jo = class {
  constructor(t3, e3, n3, r3) {
    this.g = t3, this.h = e3, this.m = n3, this.l = r3;
  }
  bind() {
    this.g.bindVertexArray(this.h);
  }
  close() {
    this.g.deleteVertexArray(this.h), this.g.deleteBuffer(this.m), this.g.deleteBuffer(this.l);
  }
};
function Zo(t3, e3, n3) {
  const r3 = t3.g;
  if (n3 = qo(r3.createShader(n3), "Failed to create WebGL shader"), r3.shaderSource(n3, e3), r3.compileShader(n3), !r3.getShaderParameter(n3, r3.COMPILE_STATUS))
    throw Error(`Could not compile WebGL shader: ${r3.getShaderInfoLog(n3)}`);
  return r3.attachShader(t3.h, n3), n3;
}
function Qo(t3, e3) {
  const n3 = t3.g, r3 = qo(n3.createVertexArray(), "Failed to create vertex array");
  n3.bindVertexArray(r3);
  const i3 = qo(n3.createBuffer(), "Failed to create buffer");
  n3.bindBuffer(n3.ARRAY_BUFFER, i3), n3.enableVertexAttribArray(t3.N), n3.vertexAttribPointer(t3.N, 2, n3.FLOAT, false, 0, 0), n3.bufferData(n3.ARRAY_BUFFER, new Float32Array([-1, -1, -1, 1, 1, 1, 1, -1]), n3.STATIC_DRAW);
  const s3 = qo(n3.createBuffer(), "Failed to create buffer");
  return n3.bindBuffer(n3.ARRAY_BUFFER, s3), n3.enableVertexAttribArray(t3.M), n3.vertexAttribPointer(t3.M, 2, n3.FLOAT, false, 0, 0), n3.bufferData(n3.ARRAY_BUFFER, new Float32Array(e3 ? [0, 1, 0, 0, 1, 0, 1, 1] : [0, 0, 0, 1, 1, 1, 1, 0]), n3.STATIC_DRAW), n3.bindBuffer(n3.ARRAY_BUFFER, null), n3.bindVertexArray(null), new Jo(n3, r3, i3, s3);
}
function ta(t3, e3) {
  if (t3.g) {
    if (e3 !== t3.g)
      throw Error("Cannot change GL context once initialized");
  } else
    t3.g = e3;
}
function ea(t3, e3, n3, r3) {
  return ta(t3, e3), t3.h || (t3.m(), t3.F()), n3 ? (t3.u || (t3.u = Qo(t3, true)), n3 = t3.u) : (t3.v || (t3.v = Qo(t3, false)), n3 = t3.v), e3.useProgram(t3.h), n3.bind(), t3.l(), t3 = r3(), n3.g.bindVertexArray(null), t3;
}
function na(t3, e3, n3) {
  return ta(t3, e3), t3 = qo(e3.createTexture(), "Failed to create texture"), e3.bindTexture(e3.TEXTURE_2D, t3), e3.texParameteri(e3.TEXTURE_2D, e3.TEXTURE_WRAP_S, e3.CLAMP_TO_EDGE), e3.texParameteri(e3.TEXTURE_2D, e3.TEXTURE_WRAP_T, e3.CLAMP_TO_EDGE), e3.texParameteri(e3.TEXTURE_2D, e3.TEXTURE_MIN_FILTER, n3 != null ? n3 : e3.LINEAR), e3.texParameteri(e3.TEXTURE_2D, e3.TEXTURE_MAG_FILTER, n3 != null ? n3 : e3.LINEAR), e3.bindTexture(e3.TEXTURE_2D, null), t3;
}
function ra(t3, e3, n3) {
  ta(t3, e3), t3.C || (t3.C = qo(e3.createFramebuffer(), "Failed to create framebuffe.")), e3.bindFramebuffer(e3.FRAMEBUFFER, t3.C), e3.framebufferTexture2D(e3.FRAMEBUFFER, e3.COLOR_ATTACHMENT0, e3.TEXTURE_2D, n3, 0);
}
function ia(t3) {
  var _a2;
  (_a2 = t3.g) == null ? void 0 : _a2.bindFramebuffer(t3.g.FRAMEBUFFER, null);
}
var sa = class {
  I() {
    return "\n  precision mediump float;\n  varying vec2 vTex;\n  uniform sampler2D inputTexture;\n  void main() {\n    gl_FragColor = texture2D(inputTexture, vTex);\n  }\n ";
  }
  m() {
    const t3 = this.g;
    if (this.h = qo(t3.createProgram(), "Failed to create WebGL program"), this.ta = Zo(this, "\n  attribute vec2 aVertex;\n  attribute vec2 aTex;\n  varying vec2 vTex;\n  void main(void) {\n    gl_Position = vec4(aVertex, 0.0, 1.0);\n    vTex = aTex;\n  }", t3.VERTEX_SHADER), this.sa = Zo(this, this.I(), t3.FRAGMENT_SHADER), t3.linkProgram(this.h), !t3.getProgramParameter(this.h, t3.LINK_STATUS))
      throw Error(`Error during program linking: ${t3.getProgramInfoLog(this.h)}`);
    this.N = t3.getAttribLocation(this.h, "aVertex"), this.M = t3.getAttribLocation(this.h, "aTex");
  }
  F() {
  }
  l() {
  }
  close() {
    if (this.h) {
      const t3 = this.g;
      t3.deleteProgram(this.h), t3.deleteShader(this.ta), t3.deleteShader(this.sa);
    }
    this.C && this.g.deleteFramebuffer(this.C), this.v && this.v.close(), this.u && this.u.close();
  }
};
var oa = class extends sa {
  I() {
    return "\n  precision mediump float;\n  uniform sampler2D backgroundTexture;\n  uniform sampler2D maskTexture;\n  uniform sampler2D colorMappingTexture;\n  varying vec2 vTex;\n  void main() {\n    vec4 backgroundColor = texture2D(backgroundTexture, vTex);\n    float category = texture2D(maskTexture, vTex).r;\n    vec4 categoryColor = texture2D(colorMappingTexture, vec2(category, 0.0));\n    gl_FragColor = mix(backgroundColor, categoryColor, categoryColor.a);\n  }\n ";
  }
  F() {
    const t3 = this.g;
    t3.activeTexture(t3.TEXTURE1), this.B = na(this, t3, t3.LINEAR), t3.activeTexture(t3.TEXTURE2), this.j = na(this, t3, t3.NEAREST);
  }
  m() {
    super.m();
    const t3 = this.g;
    this.U = qo(t3.getUniformLocation(this.h, "backgroundTexture"), "Uniform location"), this.ra = qo(t3.getUniformLocation(this.h, "colorMappingTexture"), "Uniform location"), this.T = qo(t3.getUniformLocation(this.h, "maskTexture"), "Uniform location");
  }
  l() {
    super.l();
    const t3 = this.g;
    t3.uniform1i(this.T, 0), t3.uniform1i(this.U, 1), t3.uniform1i(this.ra, 2);
  }
  close() {
    this.B && this.g.deleteTexture(this.B), this.j && this.g.deleteTexture(this.j), super.close();
  }
};
var aa = class extends sa {
  I() {
    return "\n  precision mediump float;\n  uniform sampler2D maskTexture;\n  uniform sampler2D defaultTexture;\n  uniform sampler2D overlayTexture;\n  varying vec2 vTex;\n  void main() {\n    float confidence = texture2D(maskTexture, vTex).r;\n    vec4 defaultColor = texture2D(defaultTexture, vTex);\n    vec4 overlayColor = texture2D(overlayTexture, vTex);\n    // Apply the alpha from the overlay and merge in the default color\n    overlayColor = mix(defaultColor, overlayColor, overlayColor.a);\n    gl_FragColor = mix(defaultColor, overlayColor, confidence);\n  }\n ";
  }
  F() {
    const t3 = this.g;
    t3.activeTexture(t3.TEXTURE1), this.j = na(this, t3), t3.activeTexture(t3.TEXTURE2), this.B = na(this, t3);
  }
  m() {
    super.m();
    const t3 = this.g;
    this.T = qo(t3.getUniformLocation(this.h, "defaultTexture"), "Uniform location"), this.U = qo(t3.getUniformLocation(this.h, "overlayTexture"), "Uniform location"), this.J = qo(t3.getUniformLocation(this.h, "maskTexture"), "Uniform location");
  }
  l() {
    super.l();
    const t3 = this.g;
    t3.uniform1i(this.J, 0), t3.uniform1i(this.T, 1), t3.uniform1i(this.U, 2);
  }
  close() {
    this.j && this.g.deleteTexture(this.j), this.B && this.g.deleteTexture(this.B), super.close();
  }
};
function ca(t3, e3) {
  switch (e3) {
    case 0:
      return t3.g.find((t4) => t4 instanceof Uint8Array);
    case 1:
      return t3.g.find((t4) => t4 instanceof Float32Array);
    case 2:
      return t3.g.find((t4) => "undefined" != typeof WebGLTexture && t4 instanceof WebGLTexture);
    default:
      throw Error(`Type is not supported: ${e3}`);
  }
}
function ha(t3) {
  var e3 = ca(t3, 1);
  if (!e3) {
    if (e3 = ca(t3, 0))
      e3 = new Float32Array(e3).map((t4) => t4 / 255);
    else {
      e3 = new Float32Array(t3.width * t3.height);
      const r3 = la(t3);
      var n3 = da(t3);
      if (ra(n3, r3, ua(t3)), "iPad Simulator;iPhone Simulator;iPod Simulator;iPad;iPhone;iPod".split(";").includes(navigator.platform) || navigator.userAgent.includes("Mac") && "ontouchend" in self.document) {
        n3 = new Float32Array(t3.width * t3.height * 4), r3.readPixels(0, 0, t3.width, t3.height, r3.RGBA, r3.FLOAT, n3);
        for (let t4 = 0, r4 = 0; t4 < e3.length; ++t4, r4 += 4)
          e3[t4] = n3[r4];
      } else
        r3.readPixels(0, 0, t3.width, t3.height, r3.RED, r3.FLOAT, e3);
    }
    t3.g.push(e3);
  }
  return e3;
}
function ua(t3) {
  let e3 = ca(t3, 2);
  if (!e3) {
    const n3 = la(t3);
    e3 = pa(t3);
    const r3 = ha(t3), i3 = fa(t3);
    n3.texImage2D(n3.TEXTURE_2D, 0, i3, t3.width, t3.height, 0, n3.RED, n3.FLOAT, r3), ga(t3);
  }
  return e3;
}
function la(t3) {
  if (!t3.canvas)
    throw Error("Conversion to different image formats require that a canvas is passed when initializing the image.");
  return t3.h || (t3.h = qo(t3.canvas.getContext("webgl2"), "You cannot use a canvas that is already bound to a different type of rendering context.")), t3.h;
}
function fa(t3) {
  if (t3 = la(t3), !ma)
    if (t3.getExtension("EXT_color_buffer_float") && t3.getExtension("OES_texture_float_linear") && t3.getExtension("EXT_float_blend"))
      ma = t3.R32F;
    else {
      if (!t3.getExtension("EXT_color_buffer_half_float"))
        throw Error("GPU does not fully support 4-channel float32 or float16 formats");
      ma = t3.R16F;
    }
  return ma;
}
function da(t3) {
  return t3.l || (t3.l = new sa()), t3.l;
}
function pa(t3) {
  const e3 = la(t3);
  e3.viewport(0, 0, t3.width, t3.height), e3.activeTexture(e3.TEXTURE0);
  let n3 = ca(t3, 2);
  return n3 || (n3 = na(da(t3), e3, t3.m ? e3.LINEAR : e3.NEAREST), t3.g.push(n3), t3.j = true), e3.bindTexture(e3.TEXTURE_2D, n3), n3;
}
function ga(t3) {
  t3.h.bindTexture(t3.h.TEXTURE_2D, null);
}
var ma;
var ya = class {
  constructor(t3, e3, n3, r3, i3, s3, o3) {
    this.g = t3, this.m = e3, this.j = n3, this.canvas = r3, this.l = i3, this.width = s3, this.height = o3, this.j && (0 === --va && console.error("You seem to be creating MPMask instances without invoking .close(). This leaks resources."));
  }
  La() {
    return !!ca(this, 0);
  }
  ka() {
    return !!ca(this, 1);
  }
  P() {
    return !!ca(this, 2);
  }
  ja() {
    return (e3 = ca(t3 = this, 0)) || (e3 = ha(t3), e3 = new Uint8Array(e3.map((t4) => 255 * t4)), t3.g.push(e3)), e3;
    var t3, e3;
  }
  ia() {
    return ha(this);
  }
  K() {
    return ua(this);
  }
  clone() {
    const t3 = [];
    for (const e3 of this.g) {
      let n3;
      if (e3 instanceof Uint8Array)
        n3 = new Uint8Array(e3);
      else if (e3 instanceof Float32Array)
        n3 = new Float32Array(e3);
      else {
        if (!(e3 instanceof WebGLTexture))
          throw Error(`Type is not supported: ${e3}`);
        {
          const t4 = la(this), e4 = da(this);
          t4.activeTexture(t4.TEXTURE1), n3 = na(e4, t4, this.m ? t4.LINEAR : t4.NEAREST), t4.bindTexture(t4.TEXTURE_2D, n3);
          const r3 = fa(this);
          t4.texImage2D(t4.TEXTURE_2D, 0, r3, this.width, this.height, 0, t4.RED, t4.FLOAT, null), t4.bindTexture(t4.TEXTURE_2D, null), ra(e4, t4, n3), ea(e4, t4, false, () => {
            pa(this), t4.clearColor(0, 0, 0, 0), t4.clear(t4.COLOR_BUFFER_BIT), t4.drawArrays(t4.TRIANGLE_FAN, 0, 4), ga(this);
          }), ia(e4), ga(this);
        }
      }
      t3.push(n3);
    }
    return new ya(t3, this.m, this.P(), this.canvas, this.l, this.width, this.height);
  }
  close() {
    this.j && la(this).deleteTexture(ca(this, 2)), va = -1;
  }
};
ya.prototype.close = ya.prototype.close, ya.prototype.clone = ya.prototype.clone, ya.prototype.getAsWebGLTexture = ya.prototype.K, ya.prototype.getAsFloat32Array = ya.prototype.ia, ya.prototype.getAsUint8Array = ya.prototype.ja, ya.prototype.hasWebGLTexture = ya.prototype.P, ya.prototype.hasFloat32Array = ya.prototype.ka, ya.prototype.hasUint8Array = ya.prototype.La;
var va = 250;
var _a = { color: "white", lineWidth: 4, radius: 6 };
function wa(t3) {
  return { ..._a, fillColor: (t3 = t3 || {}).color, ...t3 };
}
function Ta(t3, e3) {
  return t3 instanceof Function ? t3(e3) : t3;
}
function Ea(t3, e3, n3) {
  return Math.max(Math.min(e3, n3), Math.min(Math.max(e3, n3), t3));
}
function ba(t3) {
  if (!t3.l)
    throw Error("CPU rendering requested but CanvasRenderingContext2D not provided.");
  return t3.l;
}
function Aa(t3) {
  if (!t3.j)
    throw Error("GPU rendering requested but WebGL2RenderingContext not provided.");
  return t3.j;
}
function xa(t3, e3, n3) {
  var _a2;
  if (e3.P())
    n3(e3.K());
  else {
    const r3 = e3.ka() ? e3.ia() : e3.ja();
    t3.m = (_a2 = t3.m) != null ? _a2 : new sa();
    const i3 = Aa(t3);
    n3((t3 = new ya([r3], e3.m, false, i3.canvas, t3.m, e3.width, e3.height)).K()), t3.close();
  }
}
function ka(t3, e3, n3, r3) {
  const i3 = function(t4) {
    return t4.g || (t4.g = new oa()), t4.g;
  }(t3), s3 = Aa(t3), o3 = Array.isArray(n3) ? new ImageData(new Uint8ClampedArray(n3), 1, 1) : n3;
  ea(i3, s3, true, () => {
    !function(t5, e4, n4, r4) {
      const i4 = t5.g;
      if (i4.activeTexture(i4.TEXTURE0), i4.bindTexture(i4.TEXTURE_2D, e4), i4.activeTexture(i4.TEXTURE1), i4.bindTexture(i4.TEXTURE_2D, t5.B), i4.texImage2D(i4.TEXTURE_2D, 0, i4.RGBA, i4.RGBA, i4.UNSIGNED_BYTE, n4), t5.J && function(t6, e5) {
        if (t6 !== e5)
          return false;
        t6 = t6.entries(), e5 = e5.entries();
        for (const [r5, i5] of t6) {
          t6 = r5;
          const s4 = i5;
          var n5 = e5.next();
          if (n5.done)
            return false;
          const [o4, a3] = n5.value;
          if (n5 = a3, t6 !== o4 || s4[0] !== n5[0] || s4[1] !== n5[1] || s4[2] !== n5[2] || s4[3] !== n5[3])
            return false;
        }
        return !!e5.next().done;
      }(t5.J, r4))
        i4.activeTexture(i4.TEXTURE2), i4.bindTexture(i4.TEXTURE_2D, t5.j);
      else {
        t5.J = r4;
        const e5 = Array(1024).fill(0);
        r4.forEach((t6, n5) => {
          if (4 !== t6.length)
            throw Error(`Color at index ${n5} is not a four-channel value.`);
          e5[4 * n5] = t6[0], e5[4 * n5 + 1] = t6[1], e5[4 * n5 + 2] = t6[2], e5[4 * n5 + 3] = t6[3];
        }), i4.activeTexture(i4.TEXTURE2), i4.bindTexture(i4.TEXTURE_2D, t5.j), i4.texImage2D(i4.TEXTURE_2D, 0, i4.RGBA, 256, 1, 0, i4.RGBA, i4.UNSIGNED_BYTE, new Uint8Array(e5));
      }
    }(i3, e3, o3, r3), s3.clearColor(0, 0, 0, 0), s3.clear(s3.COLOR_BUFFER_BIT), s3.drawArrays(s3.TRIANGLE_FAN, 0, 4);
    const t4 = i3.g;
    t4.activeTexture(t4.TEXTURE0), t4.bindTexture(t4.TEXTURE_2D, null), t4.activeTexture(t4.TEXTURE1), t4.bindTexture(t4.TEXTURE_2D, null), t4.activeTexture(t4.TEXTURE2), t4.bindTexture(t4.TEXTURE_2D, null);
  });
}
function Sa(t3, e3, n3, r3) {
  const i3 = Aa(t3), s3 = function(t4) {
    return t4.h || (t4.h = new aa()), t4.h;
  }(t3), o3 = Array.isArray(n3) ? new ImageData(new Uint8ClampedArray(n3), 1, 1) : n3, a3 = Array.isArray(r3) ? new ImageData(new Uint8ClampedArray(r3), 1, 1) : r3;
  ea(s3, i3, true, () => {
    var t4 = s3.g;
    t4.activeTexture(t4.TEXTURE0), t4.bindTexture(t4.TEXTURE_2D, e3), t4.activeTexture(t4.TEXTURE1), t4.bindTexture(t4.TEXTURE_2D, s3.j), t4.texImage2D(t4.TEXTURE_2D, 0, t4.RGBA, t4.RGBA, t4.UNSIGNED_BYTE, o3), t4.activeTexture(t4.TEXTURE2), t4.bindTexture(t4.TEXTURE_2D, s3.B), t4.texImage2D(t4.TEXTURE_2D, 0, t4.RGBA, t4.RGBA, t4.UNSIGNED_BYTE, a3), i3.clearColor(0, 0, 0, 0), i3.clear(i3.COLOR_BUFFER_BIT), i3.drawArrays(i3.TRIANGLE_FAN, 0, 4), i3.bindTexture(i3.TEXTURE_2D, null), (t4 = s3.g).activeTexture(t4.TEXTURE0), t4.bindTexture(t4.TEXTURE_2D, null), t4.activeTexture(t4.TEXTURE1), t4.bindTexture(t4.TEXTURE_2D, null), t4.activeTexture(t4.TEXTURE2), t4.bindTexture(t4.TEXTURE_2D, null);
  });
}
var La = class {
  constructor(t3, e3) {
    t3 instanceof CanvasRenderingContext2D || t3 instanceof OffscreenCanvasRenderingContext2D ? (this.l = t3, this.j = e3) : this.j = t3;
  }
  Ea(t3, e3) {
    if (t3) {
      var n3 = ba(this);
      e3 = wa(e3), n3.save();
      var r3 = n3.canvas, i3 = 0;
      for (const s3 of t3)
        n3.fillStyle = Ta(e3.fillColor, { index: i3, from: s3 }), n3.strokeStyle = Ta(e3.color, { index: i3, from: s3 }), n3.lineWidth = Ta(e3.lineWidth, { index: i3, from: s3 }), (t3 = new Path2D()).arc(s3.x * r3.width, s3.y * r3.height, Ta(e3.radius, { index: i3, from: s3 }), 0, 2 * Math.PI), n3.fill(t3), n3.stroke(t3), ++i3;
      n3.restore();
    }
  }
  Da(t3, e3, n3) {
    if (t3 && e3) {
      var r3 = ba(this);
      n3 = wa(n3), r3.save();
      var i3 = r3.canvas, s3 = 0;
      for (const o3 of e3) {
        r3.beginPath(), e3 = t3[o3.start];
        const a3 = t3[o3.end];
        e3 && a3 && (r3.strokeStyle = Ta(n3.color, { index: s3, from: e3, to: a3 }), r3.lineWidth = Ta(n3.lineWidth, { index: s3, from: e3, to: a3 }), r3.moveTo(e3.x * i3.width, e3.y * i3.height), r3.lineTo(a3.x * i3.width, a3.y * i3.height)), ++s3, r3.stroke();
      }
      r3.restore();
    }
  }
  Aa(t3, e3) {
    const n3 = ba(this);
    e3 = wa(e3), n3.save(), n3.beginPath(), n3.lineWidth = Ta(e3.lineWidth, {}), n3.strokeStyle = Ta(e3.color, {}), n3.fillStyle = Ta(e3.fillColor, {}), n3.moveTo(t3.originX, t3.originY), n3.lineTo(t3.originX + t3.width, t3.originY), n3.lineTo(t3.originX + t3.width, t3.originY + t3.height), n3.lineTo(t3.originX, t3.originY + t3.height), n3.lineTo(t3.originX, t3.originY), n3.stroke(), n3.fill(), n3.restore();
  }
  Ba(t3, e3, n3 = [0, 0, 0, 255]) {
    this.l ? function(t4, e4, n4, r3) {
      const i3 = Aa(t4);
      xa(t4, e4, (e5) => {
        ka(t4, e5, n4, r3), (e5 = ba(t4)).drawImage(i3.canvas, 0, 0, e5.canvas.width, e5.canvas.height);
      });
    }(this, t3, n3, e3) : ka(this, t3.K(), n3, e3);
  }
  Ca(t3, e3, n3) {
    this.l ? function(t4, e4, n4, r3) {
      const i3 = Aa(t4);
      xa(t4, e4, (e5) => {
        Sa(t4, e5, n4, r3), (e5 = ba(t4)).drawImage(i3.canvas, 0, 0, e5.canvas.width, e5.canvas.height);
      });
    }(this, t3, e3, n3) : Sa(this, t3.K(), e3, n3);
  }
  close() {
    var _a2, _b, _c2;
    (_a2 = this.g) == null ? void 0 : _a2.close(), this.g = void 0, (_b = this.h) == null ? void 0 : _b.close(), this.h = void 0, (_c2 = this.m) == null ? void 0 : _c2.close(), this.m = void 0;
  }
};
function Ra(t3, e3) {
  switch (e3) {
    case 0:
      return t3.g.find((t4) => t4 instanceof ImageData);
    case 1:
      return t3.g.find((t4) => "undefined" != typeof ImageBitmap && t4 instanceof ImageBitmap);
    case 2:
      return t3.g.find((t4) => "undefined" != typeof WebGLTexture && t4 instanceof WebGLTexture);
    default:
      throw Error(`Type is not supported: ${e3}`);
  }
}
function Fa(t3) {
  var e3 = Ra(t3, 0);
  if (!e3) {
    e3 = Oa(t3);
    const n3 = Ia(t3), r3 = new Uint8Array(t3.width * t3.height * 4);
    ra(n3, e3, Ma(t3)), e3.readPixels(0, 0, t3.width, t3.height, e3.RGBA, e3.UNSIGNED_BYTE, r3), ia(n3), e3 = new ImageData(new Uint8ClampedArray(r3.buffer), t3.width, t3.height), t3.g.push(e3);
  }
  return e3;
}
function Ma(t3) {
  let e3 = Ra(t3, 2);
  if (!e3) {
    const n3 = Oa(t3);
    e3 = Ca(t3);
    const r3 = Ra(t3, 1) || Fa(t3);
    n3.texImage2D(n3.TEXTURE_2D, 0, n3.RGBA, n3.RGBA, n3.UNSIGNED_BYTE, r3), Pa(t3);
  }
  return e3;
}
function Oa(t3) {
  if (!t3.canvas)
    throw Error("Conversion to different image formats require that a canvas is passed when iniitializing the image.");
  return t3.h || (t3.h = qo(t3.canvas.getContext("webgl2"), "You cannot use a canvas that is already bound to a different type of rendering context.")), t3.h;
}
function Ia(t3) {
  return t3.l || (t3.l = new sa()), t3.l;
}
function Ca(t3) {
  const e3 = Oa(t3);
  e3.viewport(0, 0, t3.width, t3.height), e3.activeTexture(e3.TEXTURE0);
  let n3 = Ra(t3, 2);
  return n3 || (n3 = na(Ia(t3), e3), t3.g.push(n3), t3.m = true), e3.bindTexture(e3.TEXTURE_2D, n3), n3;
}
function Pa(t3) {
  t3.h.bindTexture(t3.h.TEXTURE_2D, null);
}
function Ua(t3) {
  const e3 = Oa(t3);
  return ea(Ia(t3), e3, true, () => function(t4, e4) {
    const n3 = t4.canvas;
    if (n3.width === t4.width && n3.height === t4.height)
      return e4();
    const r3 = n3.width, i3 = n3.height;
    return n3.width = t4.width, n3.height = t4.height, t4 = e4(), n3.width = r3, n3.height = i3, t4;
  }(t3, () => {
    if (e3.bindFramebuffer(e3.FRAMEBUFFER, null), e3.clearColor(0, 0, 0, 0), e3.clear(e3.COLOR_BUFFER_BIT), e3.drawArrays(e3.TRIANGLE_FAN, 0, 4), !(t3.canvas instanceof OffscreenCanvas))
      throw Error("Conversion to ImageBitmap requires that the MediaPipe Tasks is initialized with an OffscreenCanvas");
    return t3.canvas.transferToImageBitmap();
  }));
}
La.prototype.close = La.prototype.close, La.prototype.drawConfidenceMask = La.prototype.Ca, La.prototype.drawCategoryMask = La.prototype.Ba, La.prototype.drawBoundingBox = La.prototype.Aa, La.prototype.drawConnectors = La.prototype.Da, La.prototype.drawLandmarks = La.prototype.Ea, La.lerp = function(t3, e3, n3, r3, i3) {
  return Ea(r3 * (1 - (t3 - e3) / (n3 - e3)) + i3 * (1 - (n3 - t3) / (n3 - e3)), r3, i3);
}, La.clamp = Ea;
var Da = class {
  constructor(t3, e3, n3, r3, i3, s3, o3) {
    this.g = t3, this.j = e3, this.m = n3, this.canvas = r3, this.l = i3, this.width = s3, this.height = o3, (this.j || this.m) && (0 === --Ba && console.error("You seem to be creating MPImage instances without invoking .close(). This leaks resources."));
  }
  Ka() {
    return !!Ra(this, 0);
  }
  la() {
    return !!Ra(this, 1);
  }
  P() {
    return !!Ra(this, 2);
  }
  Ia() {
    return Fa(this);
  }
  Ha() {
    var t3 = Ra(this, 1);
    return t3 || (Ma(this), Ca(this), t3 = Ua(this), Pa(this), this.g.push(t3), this.j = true), t3;
  }
  K() {
    return Ma(this);
  }
  clone() {
    const t3 = [];
    for (const e3 of this.g) {
      let n3;
      if (e3 instanceof ImageData)
        n3 = new ImageData(e3.data, this.width, this.height);
      else if (e3 instanceof WebGLTexture) {
        const t4 = Oa(this), e4 = Ia(this);
        t4.activeTexture(t4.TEXTURE1), n3 = na(e4, t4), t4.bindTexture(t4.TEXTURE_2D, n3), t4.texImage2D(t4.TEXTURE_2D, 0, t4.RGBA, this.width, this.height, 0, t4.RGBA, t4.UNSIGNED_BYTE, null), t4.bindTexture(t4.TEXTURE_2D, null), ra(e4, t4, n3), ea(e4, t4, false, () => {
          Ca(this), t4.clearColor(0, 0, 0, 0), t4.clear(t4.COLOR_BUFFER_BIT), t4.drawArrays(t4.TRIANGLE_FAN, 0, 4), Pa(this);
        }), ia(e4), Pa(this);
      } else {
        if (!(e3 instanceof ImageBitmap))
          throw Error(`Type is not supported: ${e3}`);
        Ma(this), Ca(this), n3 = Ua(this), Pa(this);
      }
      t3.push(n3);
    }
    return new Da(t3, this.la(), this.P(), this.canvas, this.l, this.width, this.height);
  }
  close() {
    this.j && Ra(this, 1).close(), this.m && Oa(this).deleteTexture(Ra(this, 2)), Ba = -1;
  }
};
Da.prototype.close = Da.prototype.close, Da.prototype.clone = Da.prototype.clone, Da.prototype.getAsWebGLTexture = Da.prototype.K, Da.prototype.getAsImageBitmap = Da.prototype.Ha, Da.prototype.getAsImageData = Da.prototype.Ia, Da.prototype.hasWebGLTexture = Da.prototype.P, Da.prototype.hasImageBitmap = Da.prototype.la, Da.prototype.hasImageData = Da.prototype.Ka;
var Ba = 250;
function Na(...t3) {
  return t3.map(([t4, e3]) => ({ start: t4, end: e3 }));
}
var Ga = function(t3) {
  return class extends t3 {
    Ra() {
      this.i._registerModelResourcesGraphService();
    }
  };
}((ja = class {
  constructor(t3, e3) {
    this.l = true, this.i = t3, this.g = null, this.h = 0, this.m = "function" == typeof this.i._addIntToInputStream, void 0 !== e3 ? this.i.canvas = e3 : "undefined" == typeof OffscreenCanvas || Po() ? (console.warn("OffscreenCanvas not supported and GraphRunner constructor glCanvas parameter is undefined. Creating backup canvas."), this.i.canvas = document.createElement("canvas")) : this.i.canvas = new OffscreenCanvas(1, 1);
  }
  async initializeGraph(t3) {
    const e3 = await (await fetch(t3)).arrayBuffer();
    t3 = !(t3.endsWith(".pbtxt") || t3.endsWith(".textproto")), this.setGraph(new Uint8Array(e3), t3);
  }
  setGraphFromString(t3) {
    this.setGraph(new TextEncoder().encode(t3), false);
  }
  setGraph(t3, e3) {
    const n3 = t3.length, r3 = this.i._malloc(n3);
    this.i.HEAPU8.set(t3, r3), e3 ? this.i._changeBinaryGraph(n3, r3) : this.i._changeTextGraph(n3, r3), this.i._free(r3);
  }
  configureAudio(t3, e3, n3, r3, i3) {
    this.i._configureAudio || console.warn('Attempting to use configureAudio without support for input audio. Is build dep ":gl_graph_runner_audio" missing?'), Do(this, r3 || "input_audio", (r4) => {
      Do(this, i3 = i3 || "audio_header", (i4) => {
        this.i._configureAudio(r4, i4, t3, e3, n3);
      });
    });
  }
  setAutoResizeCanvas(t3) {
    this.l = t3;
  }
  setAutoRenderToScreen(t3) {
    this.i._setAutoRenderToScreen(t3);
  }
  setGpuBufferVerticalFlip(t3) {
    this.i.gpuOriginForWebTexturesIsBottomLeft = t3;
  }
  da(t3) {
    Go(this, "__graph_config__", (e3) => {
      t3(e3);
    }), Do(this, "__graph_config__", (t4) => {
      this.i._getGraphConfig(t4, void 0);
    }), delete this.i.simpleListeners.__graph_config__;
  }
  attachErrorListener(t3) {
    this.i.errorListener = t3;
  }
  attachEmptyPacketListener(t3, e3) {
    this.i.emptyPacketListeners = this.i.emptyPacketListeners || {}, this.i.emptyPacketListeners[t3] = e3;
  }
  addAudioToStream(t3, e3, n3) {
    this.addAudioToStreamWithShape(t3, 0, 0, e3, n3);
  }
  addAudioToStreamWithShape(t3, e3, n3, r3, i3) {
    const s3 = 4 * t3.length;
    this.h !== s3 && (this.g && this.i._free(this.g), this.g = this.i._malloc(s3), this.h = s3), this.i.HEAPF32.set(t3, this.g / 4), Do(this, r3, (t4) => {
      this.i._addAudioToInputStream(this.g, e3, n3, t4, i3);
    });
  }
  addGpuBufferToStream(t3, e3, n3) {
    Do(this, e3, (e4) => {
      const [r3, i3] = Bo(this, t3, e4);
      this.i._addBoundTextureToStream(e4, r3, i3, n3);
    });
  }
  addBoolToStream(t3, e3, n3) {
    Do(this, e3, (e4) => {
      this.i._addBoolToInputStream(t3, e4, n3);
    });
  }
  addDoubleToStream(t3, e3, n3) {
    Do(this, e3, (e4) => {
      this.i._addDoubleToInputStream(t3, e4, n3);
    });
  }
  addFloatToStream(t3, e3, n3) {
    Do(this, e3, (e4) => {
      this.i._addFloatToInputStream(t3, e4, n3);
    });
  }
  addIntToStream(t3, e3, n3) {
    Do(this, e3, (e4) => {
      this.i._addIntToInputStream(t3, e4, n3);
    });
  }
  addStringToStream(t3, e3, n3) {
    Do(this, e3, (e4) => {
      Do(this, t3, (t4) => {
        this.i._addStringToInputStream(t4, e4, n3);
      });
    });
  }
  addStringRecordToStream(t3, e3, n3) {
    Do(this, e3, (e4) => {
      No(this, Object.keys(t3), (r3) => {
        No(this, Object.values(t3), (i3) => {
          this.i._addFlatHashMapToInputStream(r3, i3, Object.keys(t3).length, e4, n3);
        });
      });
    });
  }
  addProtoToStream(t3, e3, n3, r3) {
    Do(this, n3, (n4) => {
      Do(this, e3, (e4) => {
        const i3 = this.i._malloc(t3.length);
        this.i.HEAPU8.set(t3, i3), this.i._addProtoToInputStream(i3, t3.length, e4, n4, r3), this.i._free(i3);
      });
    });
  }
  addEmptyPacketToStream(t3, e3) {
    Do(this, t3, (t4) => {
      this.i._addEmptyPacketToInputStream(t4, e3);
    });
  }
  addBoolVectorToStream(t3, e3, n3) {
    Do(this, e3, (e4) => {
      const r3 = this.i._allocateBoolVector(t3.length);
      if (!r3)
        throw Error("Unable to allocate new bool vector on heap.");
      for (const e5 of t3)
        this.i._addBoolVectorEntry(r3, e5);
      this.i._addBoolVectorToInputStream(r3, e4, n3);
    });
  }
  addDoubleVectorToStream(t3, e3, n3) {
    Do(this, e3, (e4) => {
      const r3 = this.i._allocateDoubleVector(t3.length);
      if (!r3)
        throw Error("Unable to allocate new double vector on heap.");
      for (const e5 of t3)
        this.i._addDoubleVectorEntry(r3, e5);
      this.i._addDoubleVectorToInputStream(r3, e4, n3);
    });
  }
  addFloatVectorToStream(t3, e3, n3) {
    Do(this, e3, (e4) => {
      const r3 = this.i._allocateFloatVector(t3.length);
      if (!r3)
        throw Error("Unable to allocate new float vector on heap.");
      for (const e5 of t3)
        this.i._addFloatVectorEntry(r3, e5);
      this.i._addFloatVectorToInputStream(r3, e4, n3);
    });
  }
  addIntVectorToStream(t3, e3, n3) {
    Do(this, e3, (e4) => {
      const r3 = this.i._allocateIntVector(t3.length);
      if (!r3)
        throw Error("Unable to allocate new int vector on heap.");
      for (const e5 of t3)
        this.i._addIntVectorEntry(r3, e5);
      this.i._addIntVectorToInputStream(r3, e4, n3);
    });
  }
  addStringVectorToStream(t3, e3, n3) {
    Do(this, e3, (e4) => {
      const r3 = this.i._allocateStringVector(t3.length);
      if (!r3)
        throw Error("Unable to allocate new string vector on heap.");
      for (const e5 of t3)
        Do(this, e5, (t4) => {
          this.i._addStringVectorEntry(r3, t4);
        });
      this.i._addStringVectorToInputStream(r3, e4, n3);
    });
  }
  addBoolToInputSidePacket(t3, e3) {
    Do(this, e3, (e4) => {
      this.i._addBoolToInputSidePacket(t3, e4);
    });
  }
  addDoubleToInputSidePacket(t3, e3) {
    Do(this, e3, (e4) => {
      this.i._addDoubleToInputSidePacket(t3, e4);
    });
  }
  addFloatToInputSidePacket(t3, e3) {
    Do(this, e3, (e4) => {
      this.i._addFloatToInputSidePacket(t3, e4);
    });
  }
  addIntToInputSidePacket(t3, e3) {
    Do(this, e3, (e4) => {
      this.i._addIntToInputSidePacket(t3, e4);
    });
  }
  addStringToInputSidePacket(t3, e3) {
    Do(this, e3, (e4) => {
      Do(this, t3, (t4) => {
        this.i._addStringToInputSidePacket(t4, e4);
      });
    });
  }
  addProtoToInputSidePacket(t3, e3, n3) {
    Do(this, n3, (n4) => {
      Do(this, e3, (e4) => {
        const r3 = this.i._malloc(t3.length);
        this.i.HEAPU8.set(t3, r3), this.i._addProtoToInputSidePacket(r3, t3.length, e4, n4), this.i._free(r3);
      });
    });
  }
  addBoolVectorToInputSidePacket(t3, e3) {
    Do(this, e3, (e4) => {
      const n3 = this.i._allocateBoolVector(t3.length);
      if (!n3)
        throw Error("Unable to allocate new bool vector on heap.");
      for (const e5 of t3)
        this.i._addBoolVectorEntry(n3, e5);
      this.i._addBoolVectorToInputSidePacket(n3, e4);
    });
  }
  addDoubleVectorToInputSidePacket(t3, e3) {
    Do(this, e3, (e4) => {
      const n3 = this.i._allocateDoubleVector(t3.length);
      if (!n3)
        throw Error("Unable to allocate new double vector on heap.");
      for (const e5 of t3)
        this.i._addDoubleVectorEntry(n3, e5);
      this.i._addDoubleVectorToInputSidePacket(n3, e4);
    });
  }
  addFloatVectorToInputSidePacket(t3, e3) {
    Do(this, e3, (e4) => {
      const n3 = this.i._allocateFloatVector(t3.length);
      if (!n3)
        throw Error("Unable to allocate new float vector on heap.");
      for (const e5 of t3)
        this.i._addFloatVectorEntry(n3, e5);
      this.i._addFloatVectorToInputSidePacket(n3, e4);
    });
  }
  addIntVectorToInputSidePacket(t3, e3) {
    Do(this, e3, (e4) => {
      const n3 = this.i._allocateIntVector(t3.length);
      if (!n3)
        throw Error("Unable to allocate new int vector on heap.");
      for (const e5 of t3)
        this.i._addIntVectorEntry(n3, e5);
      this.i._addIntVectorToInputSidePacket(n3, e4);
    });
  }
  addStringVectorToInputSidePacket(t3, e3) {
    Do(this, e3, (e4) => {
      const n3 = this.i._allocateStringVector(t3.length);
      if (!n3)
        throw Error("Unable to allocate new string vector on heap.");
      for (const e5 of t3)
        Do(this, e5, (t4) => {
          this.i._addStringVectorEntry(n3, t4);
        });
      this.i._addStringVectorToInputSidePacket(n3, e4);
    });
  }
  attachBoolListener(t3, e3) {
    Go(this, t3, e3), Do(this, t3, (t4) => {
      this.i._attachBoolListener(t4);
    });
  }
  attachBoolVectorListener(t3, e3) {
    jo(this, t3, e3), Do(this, t3, (t4) => {
      this.i._attachBoolVectorListener(t4);
    });
  }
  attachIntListener(t3, e3) {
    Go(this, t3, e3), Do(this, t3, (t4) => {
      this.i._attachIntListener(t4);
    });
  }
  attachIntVectorListener(t3, e3) {
    jo(this, t3, e3), Do(this, t3, (t4) => {
      this.i._attachIntVectorListener(t4);
    });
  }
  attachDoubleListener(t3, e3) {
    Go(this, t3, e3), Do(this, t3, (t4) => {
      this.i._attachDoubleListener(t4);
    });
  }
  attachDoubleVectorListener(t3, e3) {
    jo(this, t3, e3), Do(this, t3, (t4) => {
      this.i._attachDoubleVectorListener(t4);
    });
  }
  attachFloatListener(t3, e3) {
    Go(this, t3, e3), Do(this, t3, (t4) => {
      this.i._attachFloatListener(t4);
    });
  }
  attachFloatVectorListener(t3, e3) {
    jo(this, t3, e3), Do(this, t3, (t4) => {
      this.i._attachFloatVectorListener(t4);
    });
  }
  attachStringListener(t3, e3) {
    Go(this, t3, e3), Do(this, t3, (t4) => {
      this.i._attachStringListener(t4);
    });
  }
  attachStringVectorListener(t3, e3) {
    jo(this, t3, e3), Do(this, t3, (t4) => {
      this.i._attachStringVectorListener(t4);
    });
  }
  attachProtoListener(t3, e3, n3) {
    Go(this, t3, e3), Do(this, t3, (t4) => {
      this.i._attachProtoListener(t4, n3 || false);
    });
  }
  attachProtoVectorListener(t3, e3, n3) {
    jo(this, t3, e3), Do(this, t3, (t4) => {
      this.i._attachProtoVectorListener(t4, n3 || false);
    });
  }
  attachAudioListener(t3, e3, n3) {
    this.i._attachAudioListener || console.warn('Attempting to use attachAudioListener without support for output audio. Is build dep ":gl_graph_runner_audio_out" missing?'), Go(this, t3, (t4, n4) => {
      t4 = new Float32Array(t4.buffer, t4.byteOffset, t4.length / 4), e3(t4, n4);
    }), Do(this, t3, (t4) => {
      this.i._attachAudioListener(t4, n3 || false);
    });
  }
  finishProcessing() {
    this.i._waitUntilIdle();
  }
  closeGraph() {
    this.i._closeGraph(), this.i.simpleListeners = void 0, this.i.emptyPacketListeners = void 0;
  }
}, class extends ja {
  get fa() {
    return this.i;
  }
  va(t3, e3, n3) {
    Do(this, e3, (e4) => {
      const [r3, i3] = Bo(this, t3, e4);
      this.fa._addBoundTextureAsImageToStream(e4, r3, i3, n3);
    });
  }
  ba(t3, e3) {
    Go(this, t3, e3), Do(this, t3, (t4) => {
      this.fa._attachImageListener(t4);
    });
  }
  ca(t3, e3) {
    jo(this, t3, e3), Do(this, t3, (t4) => {
      this.fa._attachImageVectorListener(t4);
    });
  }
}));
var ja;
var Va = class extends Ga {
};
async function Xa(t3, e3, n3) {
  var _a2;
  return async function(t4, e4, n4, r3) {
    return Vo(t4, e4, n4, r3);
  }(t3, (_a2 = n3.canvas) != null ? _a2 : "undefined" == typeof OffscreenCanvas || Po() ? document.createElement("canvas") : void 0, e3, n3);
}
function za(t3, e3, n3, r3) {
  if (t3.J) {
    const s3 = new os();
    if (n3 == null ? void 0 : n3.regionOfInterest) {
      if (!t3.U)
        throw Error("This task doesn't support region-of-interest.");
      var i3 = n3.regionOfInterest;
      if (i3.left >= i3.right || i3.top >= i3.bottom)
        throw Error("Expected RectF with left < right and top < bottom.");
      if (0 > i3.left || 0 > i3.top || 1 < i3.right || 1 < i3.bottom)
        throw Error("Expected RectF values to be in [0,1].");
      Gn(s3, 1, (i3.left + i3.right) / 2), Gn(s3, 2, (i3.top + i3.bottom) / 2), Gn(s3, 4, i3.right - i3.left), Gn(s3, 3, i3.bottom - i3.top);
    } else
      Gn(s3, 1, 0.5), Gn(s3, 2, 0.5), Gn(s3, 4, 1), Gn(s3, 3, 1);
    if (n3 == null ? void 0 : n3.rotationDegrees) {
      if (0 != (n3 == null ? void 0 : n3.rotationDegrees) % 90)
        throw Error("Expected rotation to be a multiple of 90\xB0.");
      if (Gn(s3, 5, -Math.PI * n3.rotationDegrees / 180), 0 != (n3 == null ? void 0 : n3.rotationDegrees) % 180) {
        const [t4, r4] = void 0 !== e3.videoWidth ? [e3.videoWidth, e3.videoHeight] : void 0 !== e3.naturalWidth ? [e3.naturalWidth, e3.naturalHeight] : [e3.width, e3.height];
        n3 = Dn(s3, 3) * r4 / t4, i3 = Dn(s3, 4) * t4 / r4, Gn(s3, 4, n3), Gn(s3, 3, i3);
      }
    }
    t3.g.addProtoToStream(s3.g(), "mediapipe.NormalizedRect", t3.J, r3);
  }
  t3.g.va(e3, t3.T, r3 != null ? r3 : performance.now()), t3.finishProcessing();
}
function Wa(t3, e3, n3) {
  var _a2;
  if ((_a2 = t3.baseOptions) == null ? void 0 : _a2.g())
    throw Error("Task is not initialized with image mode. 'runningMode' must be set to 'IMAGE'.");
  za(t3, e3, n3, t3.I + 1);
}
function Ha(t3, e3, n3, r3) {
  var _a2;
  if (!((_a2 = t3.baseOptions) == null ? void 0 : _a2.g()))
    throw Error("Task is not initialized with video mode. 'runningMode' must be set to 'VIDEO'.");
  za(t3, e3, n3, r3);
}
function Ya(t3, e3, n3, r3) {
  var i3 = e3.data;
  const s3 = e3.width, o3 = s3 * (e3 = e3.height);
  if ((i3 instanceof Uint8Array || i3 instanceof Float32Array) && i3.length !== o3)
    throw Error("Unsupported channel count: " + i3.length / o3);
  return t3 = new ya([i3], n3, false, t3.g.i.canvas, t3.M, s3, e3), r3 ? t3.clone() : t3;
}
var Ka = class extends $o {
  constructor(t3, e3, n3, r3) {
    super(t3), this.g = t3, this.T = e3, this.J = n3, this.U = r3, this.M = new sa();
  }
  l(t3, e3 = true) {
    if ("runningMode" in t3 && Bn(this.baseOptions, 2, !!t3.runningMode && "IMAGE" !== t3.runningMode), void 0 !== t3.canvas && this.g.i.canvas !== t3.canvas)
      throw Error("You must create a new task to reset the canvas.");
    return super.l(t3, e3);
  }
  close() {
    this.M.close(), super.close();
  }
};
Ka.prototype.close = Ka.prototype.close;
var $a = class extends Ka {
  constructor(t3, e3) {
    super(new Va(t3, e3), "image_in", "norm_rect_in", false), this.j = { detections: [] }, Fn(t3 = this.h = new Ls(), 0, 1, e3 = new ks()), Gn(this.h, 2, 0.5), Gn(this.h, 3, 0.3);
  }
  get baseOptions() {
    return Sn(this.h, ks, 1);
  }
  set baseOptions(t3) {
    Fn(this.h, 0, 1, t3);
  }
  o(t3) {
    var _a2, _b;
    return "minDetectionConfidence" in t3 && Gn(this.h, 2, (_a2 = t3.minDetectionConfidence) != null ? _a2 : 0.5), "minSuppressionThreshold" in t3 && Gn(this.h, 3, (_b = t3.minSuppressionThreshold) != null ? _b : 0.3), this.l(t3);
  }
  G(t3, e3) {
    return this.j = { detections: [] }, Wa(this, t3, e3), this.j;
  }
  H(t3, e3, n3) {
    return this.j = { detections: [] }, Ha(this, t3, n3, e3), this.j;
  }
  m() {
    var t3 = new Fi();
    Li(t3, "image_in"), Li(t3, "norm_rect_in"), Ri(t3, "detections");
    const e3 = new ui();
    jn(e3, Fs, this.h);
    const n3 = new Ti();
    vi(n3, "mediapipe.tasks.vision.face_detector.FaceDetectorGraph"), _i(n3, "IMAGE:image_in"), _i(n3, "NORM_RECT:norm_rect_in"), wi(n3, "DETECTIONS:detections"), n3.o(e3), Si(t3, n3), this.g.attachProtoVectorListener("detections", (t4, e4) => {
      for (const e5 of t4)
        t4 = $i(e5), this.j.detections.push(xo(t4));
      Wo(this, e4);
    }), this.g.attachEmptyPacketListener("detections", (t4) => {
      Wo(this, t4);
    }), t3 = t3.g(), this.setGraph(new Uint8Array(t3), true);
  }
};
$a.prototype.detectForVideo = $a.prototype.H, $a.prototype.detect = $a.prototype.G, $a.prototype.setOptions = $a.prototype.o, $a.createFromModelPath = async function(t3, e3) {
  return Xa($a, t3, { baseOptions: { modelAssetPath: e3 } });
}, $a.createFromModelBuffer = function(t3, e3) {
  return Xa($a, t3, { baseOptions: { modelAssetBuffer: e3 } });
}, $a.createFromOptions = function(t3, e3) {
  return Xa($a, t3, e3);
};
var qa = Na([61, 146], [146, 91], [91, 181], [181, 84], [84, 17], [17, 314], [314, 405], [405, 321], [321, 375], [375, 291], [61, 185], [185, 40], [40, 39], [39, 37], [37, 0], [0, 267], [267, 269], [269, 270], [270, 409], [409, 291], [78, 95], [95, 88], [88, 178], [178, 87], [87, 14], [14, 317], [317, 402], [402, 318], [318, 324], [324, 308], [78, 191], [191, 80], [80, 81], [81, 82], [82, 13], [13, 312], [312, 311], [311, 310], [310, 415], [415, 308]);
var Ja = Na([263, 249], [249, 390], [390, 373], [373, 374], [374, 380], [380, 381], [381, 382], [382, 362], [263, 466], [466, 388], [388, 387], [387, 386], [386, 385], [385, 384], [384, 398], [398, 362]);
var Za = Na([276, 283], [283, 282], [282, 295], [295, 285], [300, 293], [293, 334], [334, 296], [296, 336]);
var Qa = Na([474, 475], [475, 476], [476, 477], [477, 474]);
var tc = Na([33, 7], [7, 163], [163, 144], [144, 145], [145, 153], [153, 154], [154, 155], [155, 133], [33, 246], [246, 161], [161, 160], [160, 159], [159, 158], [158, 157], [157, 173], [173, 133]);
var ec = Na([46, 53], [53, 52], [52, 65], [65, 55], [70, 63], [63, 105], [105, 66], [66, 107]);
var nc = Na([469, 470], [470, 471], [471, 472], [472, 469]);
var rc = Na([10, 338], [338, 297], [297, 332], [332, 284], [284, 251], [251, 389], [389, 356], [356, 454], [454, 323], [323, 361], [361, 288], [288, 397], [397, 365], [365, 379], [379, 378], [378, 400], [400, 377], [377, 152], [152, 148], [148, 176], [176, 149], [149, 150], [150, 136], [136, 172], [172, 58], [58, 132], [132, 93], [93, 234], [234, 127], [127, 162], [162, 21], [21, 54], [54, 103], [103, 67], [67, 109], [109, 10]);
var ic = [...qa, ...Ja, ...Za, ...tc, ...ec, ...rc];
var sc = Na([127, 34], [34, 139], [139, 127], [11, 0], [0, 37], [37, 11], [232, 231], [231, 120], [120, 232], [72, 37], [37, 39], [39, 72], [128, 121], [121, 47], [47, 128], [232, 121], [121, 128], [128, 232], [104, 69], [69, 67], [67, 104], [175, 171], [171, 148], [148, 175], [118, 50], [50, 101], [101, 118], [73, 39], [39, 40], [40, 73], [9, 151], [151, 108], [108, 9], [48, 115], [115, 131], [131, 48], [194, 204], [204, 211], [211, 194], [74, 40], [40, 185], [185, 74], [80, 42], [42, 183], [183, 80], [40, 92], [92, 186], [186, 40], [230, 229], [229, 118], [118, 230], [202, 212], [212, 214], [214, 202], [83, 18], [18, 17], [17, 83], [76, 61], [61, 146], [146, 76], [160, 29], [29, 30], [30, 160], [56, 157], [157, 173], [173, 56], [106, 204], [204, 194], [194, 106], [135, 214], [214, 192], [192, 135], [203, 165], [165, 98], [98, 203], [21, 71], [71, 68], [68, 21], [51, 45], [45, 4], [4, 51], [144, 24], [24, 23], [23, 144], [77, 146], [146, 91], [91, 77], [205, 50], [50, 187], [187, 205], [201, 200], [200, 18], [18, 201], [91, 106], [106, 182], [182, 91], [90, 91], [91, 181], [181, 90], [85, 84], [84, 17], [17, 85], [206, 203], [203, 36], [36, 206], [148, 171], [171, 140], [140, 148], [92, 40], [40, 39], [39, 92], [193, 189], [189, 244], [244, 193], [159, 158], [158, 28], [28, 159], [247, 246], [246, 161], [161, 247], [236, 3], [3, 196], [196, 236], [54, 68], [68, 104], [104, 54], [193, 168], [168, 8], [8, 193], [117, 228], [228, 31], [31, 117], [189, 193], [193, 55], [55, 189], [98, 97], [97, 99], [99, 98], [126, 47], [47, 100], [100, 126], [166, 79], [79, 218], [218, 166], [155, 154], [154, 26], [26, 155], [209, 49], [49, 131], [131, 209], [135, 136], [136, 150], [150, 135], [47, 126], [126, 217], [217, 47], [223, 52], [52, 53], [53, 223], [45, 51], [51, 134], [134, 45], [211, 170], [170, 140], [140, 211], [67, 69], [69, 108], [108, 67], [43, 106], [106, 91], [91, 43], [230, 119], [119, 120], [120, 230], [226, 130], [130, 247], [247, 226], [63, 53], [53, 52], [52, 63], [238, 20], [20, 242], [242, 238], [46, 70], [70, 156], [156, 46], [78, 62], [62, 96], [96, 78], [46, 53], [53, 63], [63, 46], [143, 34], [34, 227], [227, 143], [123, 117], [117, 111], [111, 123], [44, 125], [125, 19], [19, 44], [236, 134], [134, 51], [51, 236], [216, 206], [206, 205], [205, 216], [154, 153], [153, 22], [22, 154], [39, 37], [37, 167], [167, 39], [200, 201], [201, 208], [208, 200], [36, 142], [142, 100], [100, 36], [57, 212], [212, 202], [202, 57], [20, 60], [60, 99], [99, 20], [28, 158], [158, 157], [157, 28], [35, 226], [226, 113], [113, 35], [160, 159], [159, 27], [27, 160], [204, 202], [202, 210], [210, 204], [113, 225], [225, 46], [46, 113], [43, 202], [202, 204], [204, 43], [62, 76], [76, 77], [77, 62], [137, 123], [123, 116], [116, 137], [41, 38], [38, 72], [72, 41], [203, 129], [129, 142], [142, 203], [64, 98], [98, 240], [240, 64], [49, 102], [102, 64], [64, 49], [41, 73], [73, 74], [74, 41], [212, 216], [216, 207], [207, 212], [42, 74], [74, 184], [184, 42], [169, 170], [170, 211], [211, 169], [170, 149], [149, 176], [176, 170], [105, 66], [66, 69], [69, 105], [122, 6], [6, 168], [168, 122], [123, 147], [147, 187], [187, 123], [96, 77], [77, 90], [90, 96], [65, 55], [55, 107], [107, 65], [89, 90], [90, 180], [180, 89], [101, 100], [100, 120], [120, 101], [63, 105], [105, 104], [104, 63], [93, 137], [137, 227], [227, 93], [15, 86], [86, 85], [85, 15], [129, 102], [102, 49], [49, 129], [14, 87], [87, 86], [86, 14], [55, 8], [8, 9], [9, 55], [100, 47], [47, 121], [121, 100], [145, 23], [23, 22], [22, 145], [88, 89], [89, 179], [179, 88], [6, 122], [122, 196], [196, 6], [88, 95], [95, 96], [96, 88], [138, 172], [172, 136], [136, 138], [215, 58], [58, 172], [172, 215], [115, 48], [48, 219], [219, 115], [42, 80], [80, 81], [81, 42], [195, 3], [3, 51], [51, 195], [43, 146], [146, 61], [61, 43], [171, 175], [175, 199], [199, 171], [81, 82], [82, 38], [38, 81], [53, 46], [46, 225], [225, 53], [144, 163], [163, 110], [110, 144], [52, 65], [65, 66], [66, 52], [229, 228], [228, 117], [117, 229], [34, 127], [127, 234], [234, 34], [107, 108], [108, 69], [69, 107], [109, 108], [108, 151], [151, 109], [48, 64], [64, 235], [235, 48], [62, 78], [78, 191], [191, 62], [129, 209], [209, 126], [126, 129], [111, 35], [35, 143], [143, 111], [117, 123], [123, 50], [50, 117], [222, 65], [65, 52], [52, 222], [19, 125], [125, 141], [141, 19], [221, 55], [55, 65], [65, 221], [3, 195], [195, 197], [197, 3], [25, 7], [7, 33], [33, 25], [220, 237], [237, 44], [44, 220], [70, 71], [71, 139], [139, 70], [122, 193], [193, 245], [245, 122], [247, 130], [130, 33], [33, 247], [71, 21], [21, 162], [162, 71], [170, 169], [169, 150], [150, 170], [188, 174], [174, 196], [196, 188], [216, 186], [186, 92], [92, 216], [2, 97], [97, 167], [167, 2], [141, 125], [125, 241], [241, 141], [164, 167], [167, 37], [37, 164], [72, 38], [38, 12], [12, 72], [38, 82], [82, 13], [13, 38], [63, 68], [68, 71], [71, 63], [226, 35], [35, 111], [111, 226], [101, 50], [50, 205], [205, 101], [206, 92], [92, 165], [165, 206], [209, 198], [198, 217], [217, 209], [165, 167], [167, 97], [97, 165], [220, 115], [115, 218], [218, 220], [133, 112], [112, 243], [243, 133], [239, 238], [238, 241], [241, 239], [214, 135], [135, 169], [169, 214], [190, 173], [173, 133], [133, 190], [171, 208], [208, 32], [32, 171], [125, 44], [44, 237], [237, 125], [86, 87], [87, 178], [178, 86], [85, 86], [86, 179], [179, 85], [84, 85], [85, 180], [180, 84], [83, 84], [84, 181], [181, 83], [201, 83], [83, 182], [182, 201], [137, 93], [93, 132], [132, 137], [76, 62], [62, 183], [183, 76], [61, 76], [76, 184], [184, 61], [57, 61], [61, 185], [185, 57], [212, 57], [57, 186], [186, 212], [214, 207], [207, 187], [187, 214], [34, 143], [143, 156], [156, 34], [79, 239], [239, 237], [237, 79], [123, 137], [137, 177], [177, 123], [44, 1], [1, 4], [4, 44], [201, 194], [194, 32], [32, 201], [64, 102], [102, 129], [129, 64], [213, 215], [215, 138], [138, 213], [59, 166], [166, 219], [219, 59], [242, 99], [99, 97], [97, 242], [2, 94], [94, 141], [141, 2], [75, 59], [59, 235], [235, 75], [24, 110], [110, 228], [228, 24], [25, 130], [130, 226], [226, 25], [23, 24], [24, 229], [229, 23], [22, 23], [23, 230], [230, 22], [26, 22], [22, 231], [231, 26], [112, 26], [26, 232], [232, 112], [189, 190], [190, 243], [243, 189], [221, 56], [56, 190], [190, 221], [28, 56], [56, 221], [221, 28], [27, 28], [28, 222], [222, 27], [29, 27], [27, 223], [223, 29], [30, 29], [29, 224], [224, 30], [247, 30], [30, 225], [225, 247], [238, 79], [79, 20], [20, 238], [166, 59], [59, 75], [75, 166], [60, 75], [75, 240], [240, 60], [147, 177], [177, 215], [215, 147], [20, 79], [79, 166], [166, 20], [187, 147], [147, 213], [213, 187], [112, 233], [233, 244], [244, 112], [233, 128], [128, 245], [245, 233], [128, 114], [114, 188], [188, 128], [114, 217], [217, 174], [174, 114], [131, 115], [115, 220], [220, 131], [217, 198], [198, 236], [236, 217], [198, 131], [131, 134], [134, 198], [177, 132], [132, 58], [58, 177], [143, 35], [35, 124], [124, 143], [110, 163], [163, 7], [7, 110], [228, 110], [110, 25], [25, 228], [356, 389], [389, 368], [368, 356], [11, 302], [302, 267], [267, 11], [452, 350], [350, 349], [349, 452], [302, 303], [303, 269], [269, 302], [357, 343], [343, 277], [277, 357], [452, 453], [453, 357], [357, 452], [333, 332], [332, 297], [297, 333], [175, 152], [152, 377], [377, 175], [347, 348], [348, 330], [330, 347], [303, 304], [304, 270], [270, 303], [9, 336], [336, 337], [337, 9], [278, 279], [279, 360], [360, 278], [418, 262], [262, 431], [431, 418], [304, 408], [408, 409], [409, 304], [310, 415], [415, 407], [407, 310], [270, 409], [409, 410], [410, 270], [450, 348], [348, 347], [347, 450], [422, 430], [430, 434], [434, 422], [313, 314], [314, 17], [17, 313], [306, 307], [307, 375], [375, 306], [387, 388], [388, 260], [260, 387], [286, 414], [414, 398], [398, 286], [335, 406], [406, 418], [418, 335], [364, 367], [367, 416], [416, 364], [423, 358], [358, 327], [327, 423], [251, 284], [284, 298], [298, 251], [281, 5], [5, 4], [4, 281], [373, 374], [374, 253], [253, 373], [307, 320], [320, 321], [321, 307], [425, 427], [427, 411], [411, 425], [421, 313], [313, 18], [18, 421], [321, 405], [405, 406], [406, 321], [320, 404], [404, 405], [405, 320], [315, 16], [16, 17], [17, 315], [426, 425], [425, 266], [266, 426], [377, 400], [400, 369], [369, 377], [322, 391], [391, 269], [269, 322], [417, 465], [465, 464], [464, 417], [386, 257], [257, 258], [258, 386], [466, 260], [260, 388], [388, 466], [456, 399], [399, 419], [419, 456], [284, 332], [332, 333], [333, 284], [417, 285], [285, 8], [8, 417], [346, 340], [340, 261], [261, 346], [413, 441], [441, 285], [285, 413], [327, 460], [460, 328], [328, 327], [355, 371], [371, 329], [329, 355], [392, 439], [439, 438], [438, 392], [382, 341], [341, 256], [256, 382], [429, 420], [420, 360], [360, 429], [364, 394], [394, 379], [379, 364], [277, 343], [343, 437], [437, 277], [443, 444], [444, 283], [283, 443], [275, 440], [440, 363], [363, 275], [431, 262], [262, 369], [369, 431], [297, 338], [338, 337], [337, 297], [273, 375], [375, 321], [321, 273], [450, 451], [451, 349], [349, 450], [446, 342], [342, 467], [467, 446], [293, 334], [334, 282], [282, 293], [458, 461], [461, 462], [462, 458], [276, 353], [353, 383], [383, 276], [308, 324], [324, 325], [325, 308], [276, 300], [300, 293], [293, 276], [372, 345], [345, 447], [447, 372], [352, 345], [345, 340], [340, 352], [274, 1], [1, 19], [19, 274], [456, 248], [248, 281], [281, 456], [436, 427], [427, 425], [425, 436], [381, 256], [256, 252], [252, 381], [269, 391], [391, 393], [393, 269], [200, 199], [199, 428], [428, 200], [266, 330], [330, 329], [329, 266], [287, 273], [273, 422], [422, 287], [250, 462], [462, 328], [328, 250], [258, 286], [286, 384], [384, 258], [265, 353], [353, 342], [342, 265], [387, 259], [259, 257], [257, 387], [424, 431], [431, 430], [430, 424], [342, 353], [353, 276], [276, 342], [273, 335], [335, 424], [424, 273], [292, 325], [325, 307], [307, 292], [366, 447], [447, 345], [345, 366], [271, 303], [303, 302], [302, 271], [423, 266], [266, 371], [371, 423], [294, 455], [455, 460], [460, 294], [279, 278], [278, 294], [294, 279], [271, 272], [272, 304], [304, 271], [432, 434], [434, 427], [427, 432], [272, 407], [407, 408], [408, 272], [394, 430], [430, 431], [431, 394], [395, 369], [369, 400], [400, 395], [334, 333], [333, 299], [299, 334], [351, 417], [417, 168], [168, 351], [352, 280], [280, 411], [411, 352], [325, 319], [319, 320], [320, 325], [295, 296], [296, 336], [336, 295], [319, 403], [403, 404], [404, 319], [330, 348], [348, 349], [349, 330], [293, 298], [298, 333], [333, 293], [323, 454], [454, 447], [447, 323], [15, 16], [16, 315], [315, 15], [358, 429], [429, 279], [279, 358], [14, 15], [15, 316], [316, 14], [285, 336], [336, 9], [9, 285], [329, 349], [349, 350], [350, 329], [374, 380], [380, 252], [252, 374], [318, 402], [402, 403], [403, 318], [6, 197], [197, 419], [419, 6], [318, 319], [319, 325], [325, 318], [367, 364], [364, 365], [365, 367], [435, 367], [367, 397], [397, 435], [344, 438], [438, 439], [439, 344], [272, 271], [271, 311], [311, 272], [195, 5], [5, 281], [281, 195], [273, 287], [287, 291], [291, 273], [396, 428], [428, 199], [199, 396], [311, 271], [271, 268], [268, 311], [283, 444], [444, 445], [445, 283], [373, 254], [254, 339], [339, 373], [282, 334], [334, 296], [296, 282], [449, 347], [347, 346], [346, 449], [264, 447], [447, 454], [454, 264], [336, 296], [296, 299], [299, 336], [338, 10], [10, 151], [151, 338], [278, 439], [439, 455], [455, 278], [292, 407], [407, 415], [415, 292], [358, 371], [371, 355], [355, 358], [340, 345], [345, 372], [372, 340], [346, 347], [347, 280], [280, 346], [442, 443], [443, 282], [282, 442], [19, 94], [94, 370], [370, 19], [441, 442], [442, 295], [295, 441], [248, 419], [419, 197], [197, 248], [263, 255], [255, 359], [359, 263], [440, 275], [275, 274], [274, 440], [300, 383], [383, 368], [368, 300], [351, 412], [412, 465], [465, 351], [263, 467], [467, 466], [466, 263], [301, 368], [368, 389], [389, 301], [395, 378], [378, 379], [379, 395], [412, 351], [351, 419], [419, 412], [436, 426], [426, 322], [322, 436], [2, 164], [164, 393], [393, 2], [370, 462], [462, 461], [461, 370], [164, 0], [0, 267], [267, 164], [302, 11], [11, 12], [12, 302], [268, 12], [12, 13], [13, 268], [293, 300], [300, 301], [301, 293], [446, 261], [261, 340], [340, 446], [330, 266], [266, 425], [425, 330], [426, 423], [423, 391], [391, 426], [429, 355], [355, 437], [437, 429], [391, 327], [327, 326], [326, 391], [440, 457], [457, 438], [438, 440], [341, 382], [382, 362], [362, 341], [459, 457], [457, 461], [461, 459], [434, 430], [430, 394], [394, 434], [414, 463], [463, 362], [362, 414], [396, 369], [369, 262], [262, 396], [354, 461], [461, 457], [457, 354], [316, 403], [403, 402], [402, 316], [315, 404], [404, 403], [403, 315], [314, 405], [405, 404], [404, 314], [313, 406], [406, 405], [405, 313], [421, 418], [418, 406], [406, 421], [366, 401], [401, 361], [361, 366], [306, 408], [408, 407], [407, 306], [291, 409], [409, 408], [408, 291], [287, 410], [410, 409], [409, 287], [432, 436], [436, 410], [410, 432], [434, 416], [416, 411], [411, 434], [264, 368], [368, 383], [383, 264], [309, 438], [438, 457], [457, 309], [352, 376], [376, 401], [401, 352], [274, 275], [275, 4], [4, 274], [421, 428], [428, 262], [262, 421], [294, 327], [327, 358], [358, 294], [433, 416], [416, 367], [367, 433], [289, 455], [455, 439], [439, 289], [462, 370], [370, 326], [326, 462], [2, 326], [326, 370], [370, 2], [305, 460], [460, 455], [455, 305], [254, 449], [449, 448], [448, 254], [255, 261], [261, 446], [446, 255], [253, 450], [450, 449], [449, 253], [252, 451], [451, 450], [450, 252], [256, 452], [452, 451], [451, 256], [341, 453], [453, 452], [452, 341], [413, 464], [464, 463], [463, 413], [441, 413], [413, 414], [414, 441], [258, 442], [442, 441], [441, 258], [257, 443], [443, 442], [442, 257], [259, 444], [444, 443], [443, 259], [260, 445], [445, 444], [444, 260], [467, 342], [342, 445], [445, 467], [459, 458], [458, 250], [250, 459], [289, 392], [392, 290], [290, 289], [290, 328], [328, 460], [460, 290], [376, 433], [433, 435], [435, 376], [250, 290], [290, 392], [392, 250], [411, 416], [416, 433], [433, 411], [341, 463], [463, 464], [464, 341], [453, 464], [464, 465], [465, 453], [357, 465], [465, 412], [412, 357], [343, 412], [412, 399], [399, 343], [360, 363], [363, 440], [440, 360], [437, 399], [399, 456], [456, 437], [420, 456], [456, 363], [363, 420], [401, 435], [435, 288], [288, 401], [372, 383], [383, 353], [353, 372], [339, 255], [255, 249], [249, 339], [448, 261], [261, 255], [255, 448], [133, 243], [243, 190], [190, 133], [133, 155], [155, 112], [112, 133], [33, 246], [246, 247], [247, 33], [33, 130], [130, 25], [25, 33], [398, 384], [384, 286], [286, 398], [362, 398], [398, 414], [414, 362], [362, 463], [463, 341], [341, 362], [263, 359], [359, 467], [467, 263], [263, 249], [249, 255], [255, 263], [466, 467], [467, 260], [260, 466], [75, 60], [60, 166], [166, 75], [238, 239], [239, 79], [79, 238], [162, 127], [127, 139], [139, 162], [72, 11], [11, 37], [37, 72], [121, 232], [232, 120], [120, 121], [73, 72], [72, 39], [39, 73], [114, 128], [128, 47], [47, 114], [233, 232], [232, 128], [128, 233], [103, 104], [104, 67], [67, 103], [152, 175], [175, 148], [148, 152], [119, 118], [118, 101], [101, 119], [74, 73], [73, 40], [40, 74], [107, 9], [9, 108], [108, 107], [49, 48], [48, 131], [131, 49], [32, 194], [194, 211], [211, 32], [184, 74], [74, 185], [185, 184], [191, 80], [80, 183], [183, 191], [185, 40], [40, 186], [186, 185], [119, 230], [230, 118], [118, 119], [210, 202], [202, 214], [214, 210], [84, 83], [83, 17], [17, 84], [77, 76], [76, 146], [146, 77], [161, 160], [160, 30], [30, 161], [190, 56], [56, 173], [173, 190], [182, 106], [106, 194], [194, 182], [138, 135], [135, 192], [192, 138], [129, 203], [203, 98], [98, 129], [54, 21], [21, 68], [68, 54], [5, 51], [51, 4], [4, 5], [145, 144], [144, 23], [23, 145], [90, 77], [77, 91], [91, 90], [207, 205], [205, 187], [187, 207], [83, 201], [201, 18], [18, 83], [181, 91], [91, 182], [182, 181], [180, 90], [90, 181], [181, 180], [16, 85], [85, 17], [17, 16], [205, 206], [206, 36], [36, 205], [176, 148], [148, 140], [140, 176], [165, 92], [92, 39], [39, 165], [245, 193], [193, 244], [244, 245], [27, 159], [159, 28], [28, 27], [30, 247], [247, 161], [161, 30], [174, 236], [236, 196], [196, 174], [103, 54], [54, 104], [104, 103], [55, 193], [193, 8], [8, 55], [111, 117], [117, 31], [31, 111], [221, 189], [189, 55], [55, 221], [240, 98], [98, 99], [99, 240], [142, 126], [126, 100], [100, 142], [219, 166], [166, 218], [218, 219], [112, 155], [155, 26], [26, 112], [198, 209], [209, 131], [131, 198], [169, 135], [135, 150], [150, 169], [114, 47], [47, 217], [217, 114], [224, 223], [223, 53], [53, 224], [220, 45], [45, 134], [134, 220], [32, 211], [211, 140], [140, 32], [109, 67], [67, 108], [108, 109], [146, 43], [43, 91], [91, 146], [231, 230], [230, 120], [120, 231], [113, 226], [226, 247], [247, 113], [105, 63], [63, 52], [52, 105], [241, 238], [238, 242], [242, 241], [124, 46], [46, 156], [156, 124], [95, 78], [78, 96], [96, 95], [70, 46], [46, 63], [63, 70], [116, 143], [143, 227], [227, 116], [116, 123], [123, 111], [111, 116], [1, 44], [44, 19], [19, 1], [3, 236], [236, 51], [51, 3], [207, 216], [216, 205], [205, 207], [26, 154], [154, 22], [22, 26], [165, 39], [39, 167], [167, 165], [199, 200], [200, 208], [208, 199], [101, 36], [36, 100], [100, 101], [43, 57], [57, 202], [202, 43], [242, 20], [20, 99], [99, 242], [56, 28], [28, 157], [157, 56], [124, 35], [35, 113], [113, 124], [29, 160], [160, 27], [27, 29], [211, 204], [204, 210], [210, 211], [124, 113], [113, 46], [46, 124], [106, 43], [43, 204], [204, 106], [96, 62], [62, 77], [77, 96], [227, 137], [137, 116], [116, 227], [73, 41], [41, 72], [72, 73], [36, 203], [203, 142], [142, 36], [235, 64], [64, 240], [240, 235], [48, 49], [49, 64], [64, 48], [42, 41], [41, 74], [74, 42], [214, 212], [212, 207], [207, 214], [183, 42], [42, 184], [184, 183], [210, 169], [169, 211], [211, 210], [140, 170], [170, 176], [176, 140], [104, 105], [105, 69], [69, 104], [193, 122], [122, 168], [168, 193], [50, 123], [123, 187], [187, 50], [89, 96], [96, 90], [90, 89], [66, 65], [65, 107], [107, 66], [179, 89], [89, 180], [180, 179], [119, 101], [101, 120], [120, 119], [68, 63], [63, 104], [104, 68], [234, 93], [93, 227], [227, 234], [16, 15], [15, 85], [85, 16], [209, 129], [129, 49], [49, 209], [15, 14], [14, 86], [86, 15], [107, 55], [55, 9], [9, 107], [120, 100], [100, 121], [121, 120], [153, 145], [145, 22], [22, 153], [178, 88], [88, 179], [179, 178], [197, 6], [6, 196], [196, 197], [89, 88], [88, 96], [96, 89], [135, 138], [138, 136], [136, 135], [138, 215], [215, 172], [172, 138], [218, 115], [115, 219], [219, 218], [41, 42], [42, 81], [81, 41], [5, 195], [195, 51], [51, 5], [57, 43], [43, 61], [61, 57], [208, 171], [171, 199], [199, 208], [41, 81], [81, 38], [38, 41], [224, 53], [53, 225], [225, 224], [24, 144], [144, 110], [110, 24], [105, 52], [52, 66], [66, 105], [118, 229], [229, 117], [117, 118], [227, 34], [34, 234], [234, 227], [66, 107], [107, 69], [69, 66], [10, 109], [109, 151], [151, 10], [219, 48], [48, 235], [235, 219], [183, 62], [62, 191], [191, 183], [142, 129], [129, 126], [126, 142], [116, 111], [111, 143], [143, 116], [118, 117], [117, 50], [50, 118], [223, 222], [222, 52], [52, 223], [94, 19], [19, 141], [141, 94], [222, 221], [221, 65], [65, 222], [196, 3], [3, 197], [197, 196], [45, 220], [220, 44], [44, 45], [156, 70], [70, 139], [139, 156], [188, 122], [122, 245], [245, 188], [139, 71], [71, 162], [162, 139], [149, 170], [170, 150], [150, 149], [122, 188], [188, 196], [196, 122], [206, 216], [216, 92], [92, 206], [164, 2], [2, 167], [167, 164], [242, 141], [141, 241], [241, 242], [0, 164], [164, 37], [37, 0], [11, 72], [72, 12], [12, 11], [12, 38], [38, 13], [13, 12], [70, 63], [63, 71], [71, 70], [31, 226], [226, 111], [111, 31], [36, 101], [101, 205], [205, 36], [203, 206], [206, 165], [165, 203], [126, 209], [209, 217], [217, 126], [98, 165], [165, 97], [97, 98], [237, 220], [220, 218], [218, 237], [237, 239], [239, 241], [241, 237], [210, 214], [214, 169], [169, 210], [140, 171], [171, 32], [32, 140], [241, 125], [125, 237], [237, 241], [179, 86], [86, 178], [178, 179], [180, 85], [85, 179], [179, 180], [181, 84], [84, 180], [180, 181], [182, 83], [83, 181], [181, 182], [194, 201], [201, 182], [182, 194], [177, 137], [137, 132], [132, 177], [184, 76], [76, 183], [183, 184], [185, 61], [61, 184], [184, 185], [186, 57], [57, 185], [185, 186], [216, 212], [212, 186], [186, 216], [192, 214], [214, 187], [187, 192], [139, 34], [34, 156], [156, 139], [218, 79], [79, 237], [237, 218], [147, 123], [123, 177], [177, 147], [45, 44], [44, 4], [4, 45], [208, 201], [201, 32], [32, 208], [98, 64], [64, 129], [129, 98], [192, 213], [213, 138], [138, 192], [235, 59], [59, 219], [219, 235], [141, 242], [242, 97], [97, 141], [97, 2], [2, 141], [141, 97], [240, 75], [75, 235], [235, 240], [229, 24], [24, 228], [228, 229], [31, 25], [25, 226], [226, 31], [230, 23], [23, 229], [229, 230], [231, 22], [22, 230], [230, 231], [232, 26], [26, 231], [231, 232], [233, 112], [112, 232], [232, 233], [244, 189], [189, 243], [243, 244], [189, 221], [221, 190], [190, 189], [222, 28], [28, 221], [221, 222], [223, 27], [27, 222], [222, 223], [224, 29], [29, 223], [223, 224], [225, 30], [30, 224], [224, 225], [113, 247], [247, 225], [225, 113], [99, 60], [60, 240], [240, 99], [213, 147], [147, 215], [215, 213], [60, 20], [20, 166], [166, 60], [192, 187], [187, 213], [213, 192], [243, 112], [112, 244], [244, 243], [244, 233], [233, 245], [245, 244], [245, 128], [128, 188], [188, 245], [188, 114], [114, 174], [174, 188], [134, 131], [131, 220], [220, 134], [174, 217], [217, 236], [236, 174], [236, 198], [198, 134], [134, 236], [215, 177], [177, 58], [58, 215], [156, 143], [143, 124], [124, 156], [25, 110], [110, 7], [7, 25], [31, 228], [228, 25], [25, 31], [264, 356], [356, 368], [368, 264], [0, 11], [11, 267], [267, 0], [451, 452], [452, 349], [349, 451], [267, 302], [302, 269], [269, 267], [350, 357], [357, 277], [277, 350], [350, 452], [452, 357], [357, 350], [299, 333], [333, 297], [297, 299], [396, 175], [175, 377], [377, 396], [280, 347], [347, 330], [330, 280], [269, 303], [303, 270], [270, 269], [151, 9], [9, 337], [337, 151], [344, 278], [278, 360], [360, 344], [424, 418], [418, 431], [431, 424], [270, 304], [304, 409], [409, 270], [272, 310], [310, 407], [407, 272], [322, 270], [270, 410], [410, 322], [449, 450], [450, 347], [347, 449], [432, 422], [422, 434], [434, 432], [18, 313], [313, 17], [17, 18], [291, 306], [306, 375], [375, 291], [259, 387], [387, 260], [260, 259], [424, 335], [335, 418], [418, 424], [434, 364], [364, 416], [416, 434], [391, 423], [423, 327], [327, 391], [301, 251], [251, 298], [298, 301], [275, 281], [281, 4], [4, 275], [254, 373], [373, 253], [253, 254], [375, 307], [307, 321], [321, 375], [280, 425], [425, 411], [411, 280], [200, 421], [421, 18], [18, 200], [335, 321], [321, 406], [406, 335], [321, 320], [320, 405], [405, 321], [314, 315], [315, 17], [17, 314], [423, 426], [426, 266], [266, 423], [396, 377], [377, 369], [369, 396], [270, 322], [322, 269], [269, 270], [413, 417], [417, 464], [464, 413], [385, 386], [386, 258], [258, 385], [248, 456], [456, 419], [419, 248], [298, 284], [284, 333], [333, 298], [168, 417], [417, 8], [8, 168], [448, 346], [346, 261], [261, 448], [417, 413], [413, 285], [285, 417], [326, 327], [327, 328], [328, 326], [277, 355], [355, 329], [329, 277], [309, 392], [392, 438], [438, 309], [381, 382], [382, 256], [256, 381], [279, 429], [429, 360], [360, 279], [365, 364], [364, 379], [379, 365], [355, 277], [277, 437], [437, 355], [282, 443], [443, 283], [283, 282], [281, 275], [275, 363], [363, 281], [395, 431], [431, 369], [369, 395], [299, 297], [297, 337], [337, 299], [335, 273], [273, 321], [321, 335], [348, 450], [450, 349], [349, 348], [359, 446], [446, 467], [467, 359], [283, 293], [293, 282], [282, 283], [250, 458], [458, 462], [462, 250], [300, 276], [276, 383], [383, 300], [292, 308], [308, 325], [325, 292], [283, 276], [276, 293], [293, 283], [264, 372], [372, 447], [447, 264], [346, 352], [352, 340], [340, 346], [354, 274], [274, 19], [19, 354], [363, 456], [456, 281], [281, 363], [426, 436], [436, 425], [425, 426], [380, 381], [381, 252], [252, 380], [267, 269], [269, 393], [393, 267], [421, 200], [200, 428], [428, 421], [371, 266], [266, 329], [329, 371], [432, 287], [287, 422], [422, 432], [290, 250], [250, 328], [328, 290], [385, 258], [258, 384], [384, 385], [446, 265], [265, 342], [342, 446], [386, 387], [387, 257], [257, 386], [422, 424], [424, 430], [430, 422], [445, 342], [342, 276], [276, 445], [422, 273], [273, 424], [424, 422], [306, 292], [292, 307], [307, 306], [352, 366], [366, 345], [345, 352], [268, 271], [271, 302], [302, 268], [358, 423], [423, 371], [371, 358], [327, 294], [294, 460], [460, 327], [331, 279], [279, 294], [294, 331], [303, 271], [271, 304], [304, 303], [436, 432], [432, 427], [427, 436], [304, 272], [272, 408], [408, 304], [395, 394], [394, 431], [431, 395], [378, 395], [395, 400], [400, 378], [296, 334], [334, 299], [299, 296], [6, 351], [351, 168], [168, 6], [376, 352], [352, 411], [411, 376], [307, 325], [325, 320], [320, 307], [285, 295], [295, 336], [336, 285], [320, 319], [319, 404], [404, 320], [329, 330], [330, 349], [349, 329], [334, 293], [293, 333], [333, 334], [366, 323], [323, 447], [447, 366], [316, 15], [15, 315], [315, 316], [331, 358], [358, 279], [279, 331], [317, 14], [14, 316], [316, 317], [8, 285], [285, 9], [9, 8], [277, 329], [329, 350], [350, 277], [253, 374], [374, 252], [252, 253], [319, 318], [318, 403], [403, 319], [351, 6], [6, 419], [419, 351], [324, 318], [318, 325], [325, 324], [397, 367], [367, 365], [365, 397], [288, 435], [435, 397], [397, 288], [278, 344], [344, 439], [439, 278], [310, 272], [272, 311], [311, 310], [248, 195], [195, 281], [281, 248], [375, 273], [273, 291], [291, 375], [175, 396], [396, 199], [199, 175], [312, 311], [311, 268], [268, 312], [276, 283], [283, 445], [445, 276], [390, 373], [373, 339], [339, 390], [295, 282], [282, 296], [296, 295], [448, 449], [449, 346], [346, 448], [356, 264], [264, 454], [454, 356], [337, 336], [336, 299], [299, 337], [337, 338], [338, 151], [151, 337], [294, 278], [278, 455], [455, 294], [308, 292], [292, 415], [415, 308], [429, 358], [358, 355], [355, 429], [265, 340], [340, 372], [372, 265], [352, 346], [346, 280], [280, 352], [295, 442], [442, 282], [282, 295], [354, 19], [19, 370], [370, 354], [285, 441], [441, 295], [295, 285], [195, 248], [248, 197], [197, 195], [457, 440], [440, 274], [274, 457], [301, 300], [300, 368], [368, 301], [417, 351], [351, 465], [465, 417], [251, 301], [301, 389], [389, 251], [394, 395], [395, 379], [379, 394], [399, 412], [412, 419], [419, 399], [410, 436], [436, 322], [322, 410], [326, 2], [2, 393], [393, 326], [354, 370], [370, 461], [461, 354], [393, 164], [164, 267], [267, 393], [268, 302], [302, 12], [12, 268], [312, 268], [268, 13], [13, 312], [298, 293], [293, 301], [301, 298], [265, 446], [446, 340], [340, 265], [280, 330], [330, 425], [425, 280], [322, 426], [426, 391], [391, 322], [420, 429], [429, 437], [437, 420], [393, 391], [391, 326], [326, 393], [344, 440], [440, 438], [438, 344], [458, 459], [459, 461], [461, 458], [364, 434], [434, 394], [394, 364], [428, 396], [396, 262], [262, 428], [274, 354], [354, 457], [457, 274], [317, 316], [316, 402], [402, 317], [316, 315], [315, 403], [403, 316], [315, 314], [314, 404], [404, 315], [314, 313], [313, 405], [405, 314], [313, 421], [421, 406], [406, 313], [323, 366], [366, 361], [361, 323], [292, 306], [306, 407], [407, 292], [306, 291], [291, 408], [408, 306], [291, 287], [287, 409], [409, 291], [287, 432], [432, 410], [410, 287], [427, 434], [434, 411], [411, 427], [372, 264], [264, 383], [383, 372], [459, 309], [309, 457], [457, 459], [366, 352], [352, 401], [401, 366], [1, 274], [274, 4], [4, 1], [418, 421], [421, 262], [262, 418], [331, 294], [294, 358], [358, 331], [435, 433], [433, 367], [367, 435], [392, 289], [289, 439], [439, 392], [328, 462], [462, 326], [326, 328], [94, 2], [2, 370], [370, 94], [289, 305], [305, 455], [455, 289], [339, 254], [254, 448], [448, 339], [359, 255], [255, 446], [446, 359], [254, 253], [253, 449], [449, 254], [253, 252], [252, 450], [450, 253], [252, 256], [256, 451], [451, 252], [256, 341], [341, 452], [452, 256], [414, 413], [413, 463], [463, 414], [286, 441], [441, 414], [414, 286], [286, 258], [258, 441], [441, 286], [258, 257], [257, 442], [442, 258], [257, 259], [259, 443], [443, 257], [259, 260], [260, 444], [444, 259], [260, 467], [467, 445], [445, 260], [309, 459], [459, 250], [250, 309], [305, 289], [289, 290], [290, 305], [305, 290], [290, 460], [460, 305], [401, 376], [376, 435], [435, 401], [309, 250], [250, 392], [392, 309], [376, 411], [411, 433], [433, 376], [453, 341], [341, 464], [464, 453], [357, 453], [453, 465], [465, 357], [343, 357], [357, 412], [412, 343], [437, 343], [343, 399], [399, 437], [344, 360], [360, 440], [440, 344], [420, 437], [437, 456], [456, 420], [360, 420], [420, 363], [363, 360], [361, 401], [401, 288], [288, 361], [265, 372], [372, 353], [353, 265], [390, 339], [339, 249], [249, 390], [339, 448], [448, 255], [255, 339]);
function oc(t3) {
  t3.j = { faceLandmarks: [], faceBlendshapes: [], facialTransformationMatrixes: [] };
}
var ac = class extends Ka {
  constructor(t3, e3) {
    super(new Va(t3, e3), "image_in", "norm_rect", false), this.j = { faceLandmarks: [], faceBlendshapes: [], facialTransformationMatrixes: [] }, this.outputFacialTransformationMatrixes = this.outputFaceBlendshapes = false, Fn(t3 = this.h = new Ds(), 0, 1, e3 = new ks()), this.v = new Ps(), Fn(this.h, 0, 3, this.v), this.u = new Ls(), Fn(this.h, 0, 2, this.u), Nn(this.u, 4, 1), Gn(this.u, 2, 0.5), Gn(this.v, 2, 0.5), Gn(this.h, 4, 0.5);
  }
  get baseOptions() {
    return Sn(this.h, ks, 1);
  }
  set baseOptions(t3) {
    Fn(this.h, 0, 1, t3);
  }
  o(t3) {
    var _a2, _b, _c2, _d;
    return "numFaces" in t3 && Nn(this.u, 4, (_a2 = t3.numFaces) != null ? _a2 : 1), "minFaceDetectionConfidence" in t3 && Gn(this.u, 2, (_b = t3.minFaceDetectionConfidence) != null ? _b : 0.5), "minTrackingConfidence" in t3 && Gn(this.h, 4, (_c2 = t3.minTrackingConfidence) != null ? _c2 : 0.5), "minFacePresenceConfidence" in t3 && Gn(this.v, 2, (_d = t3.minFacePresenceConfidence) != null ? _d : 0.5), "outputFaceBlendshapes" in t3 && (this.outputFaceBlendshapes = !!t3.outputFaceBlendshapes), "outputFacialTransformationMatrixes" in t3 && (this.outputFacialTransformationMatrixes = !!t3.outputFacialTransformationMatrixes), this.l(t3);
  }
  G(t3, e3) {
    return oc(this), Wa(this, t3, e3), this.j;
  }
  H(t3, e3, n3) {
    return oc(this), Ha(this, t3, n3, e3), this.j;
  }
  m() {
    var t3 = new Fi();
    Li(t3, "image_in"), Li(t3, "norm_rect"), Ri(t3, "face_landmarks");
    const e3 = new ui();
    jn(e3, Ns, this.h);
    const n3 = new Ti();
    vi(n3, "mediapipe.tasks.vision.face_landmarker.FaceLandmarkerGraph"), _i(n3, "IMAGE:image_in"), _i(n3, "NORM_RECT:norm_rect"), wi(n3, "NORM_LANDMARKS:face_landmarks"), n3.o(e3), Si(t3, n3), this.g.attachProtoVectorListener("face_landmarks", (t4, e4) => {
      for (const e5 of t4)
        t4 = rs(e5), this.j.faceLandmarks.push(ko(t4));
      Wo(this, e4);
    }), this.g.attachEmptyPacketListener("face_landmarks", (t4) => {
      Wo(this, t4);
    }), this.outputFaceBlendshapes && (Ri(t3, "blendshapes"), wi(n3, "BLENDSHAPES:blendshapes"), this.g.attachProtoVectorListener("blendshapes", (t4, e4) => {
      var _a2;
      if (this.outputFaceBlendshapes)
        for (const e5 of t4)
          t4 = Bi(e5), this.j.faceBlendshapes.push(Ao((_a2 = t4.g()) != null ? _a2 : []));
      Wo(this, e4);
    }), this.g.attachEmptyPacketListener("blendshapes", (t4) => {
      Wo(this, t4);
    })), this.outputFacialTransformationMatrixes && (Ri(t3, "face_geometry"), wi(n3, "FACE_GEOMETRY:face_geometry"), this.g.attachProtoVectorListener("face_geometry", (t4, e4) => {
      var _a2, _b, _c2;
      if (this.outputFacialTransformationMatrixes)
        for (const e5 of t4)
          (t4 = Sn(Is(e5), is, 2)) && this.j.facialTransformationMatrixes.push({ rows: (_a2 = Un(Cn(t4, 1))) != null ? _a2 : 0, columns: (_b = Un(Cn(t4, 2))) != null ? _b : 0, data: (_c2 = dn(t4, 3, we)) != null ? _c2 : [] });
      Wo(this, e4);
    }), this.g.attachEmptyPacketListener("face_geometry", (t4) => {
      Wo(this, t4);
    })), t3 = t3.g(), this.setGraph(new Uint8Array(t3), true);
  }
};
ac.prototype.detectForVideo = ac.prototype.H, ac.prototype.detect = ac.prototype.G, ac.prototype.setOptions = ac.prototype.o, ac.createFromModelPath = function(t3, e3) {
  return Xa(ac, t3, { baseOptions: { modelAssetPath: e3 } });
}, ac.createFromModelBuffer = function(t3, e3) {
  return Xa(ac, t3, { baseOptions: { modelAssetBuffer: e3 } });
}, ac.createFromOptions = function(t3, e3) {
  return Xa(ac, t3, e3);
}, ac.FACE_LANDMARKS_LIPS = qa, ac.FACE_LANDMARKS_LEFT_EYE = Ja, ac.FACE_LANDMARKS_LEFT_EYEBROW = Za, ac.FACE_LANDMARKS_LEFT_IRIS = Qa, ac.FACE_LANDMARKS_RIGHT_EYE = tc, ac.FACE_LANDMARKS_RIGHT_EYEBROW = ec, ac.FACE_LANDMARKS_RIGHT_IRIS = nc, ac.FACE_LANDMARKS_FACE_OVAL = rc, ac.FACE_LANDMARKS_CONTOURS = ic, ac.FACE_LANDMARKS_TESSELATION = sc;
var cc = class extends Ka {
  constructor(t3, e3) {
    super(new Va(t3, e3), "image_in", "norm_rect", true), Fn(t3 = this.j = new Gs(), 0, 1, e3 = new ks());
  }
  get baseOptions() {
    return Sn(this.j, ks, 1);
  }
  set baseOptions(t3) {
    Fn(this.j, 0, 1, t3);
  }
  o(t3) {
    return super.l(t3);
  }
  Ua(t3, e3, n3) {
    const r3 = "function" != typeof e3 ? e3 : {};
    if (this.h = "function" == typeof e3 ? e3 : n3, Wa(this, t3, r3 != null ? r3 : {}), !this.h)
      return this.u;
  }
  m() {
    var t3 = new Fi();
    Li(t3, "image_in"), Li(t3, "norm_rect"), Ri(t3, "stylized_image");
    const e3 = new ui();
    jn(e3, js, this.j);
    const n3 = new Ti();
    vi(n3, "mediapipe.tasks.vision.face_stylizer.FaceStylizerGraph"), _i(n3, "IMAGE:image_in"), _i(n3, "NORM_RECT:norm_rect"), wi(n3, "STYLIZED_IMAGE:stylized_image"), n3.o(e3), Si(t3, n3), this.g.ba("stylized_image", (t4, e4) => {
      var n4 = !this.h, r3 = t4.data, i3 = t4.width;
      const s3 = i3 * (t4 = t4.height);
      if (r3 instanceof Uint8Array)
        if (r3.length === 3 * s3) {
          const e5 = new Uint8ClampedArray(4 * s3);
          for (let t5 = 0; t5 < s3; ++t5)
            e5[4 * t5] = r3[3 * t5], e5[4 * t5 + 1] = r3[3 * t5 + 1], e5[4 * t5 + 2] = r3[3 * t5 + 2], e5[4 * t5 + 3] = 255;
          r3 = new ImageData(e5, i3, t4);
        } else {
          if (r3.length !== 4 * s3)
            throw Error("Unsupported channel count: " + r3.length / s3);
          r3 = new ImageData(new Uint8ClampedArray(r3.buffer, r3.byteOffset, r3.length), i3, t4);
        }
      else if (!(r3 instanceof WebGLTexture))
        throw Error(`Unsupported format: ${r3.constructor.name}`);
      i3 = new Da([r3], false, false, this.g.i.canvas, this.M, i3, t4), this.u = n4 = n4 ? i3.clone() : i3, this.h && this.h(n4), Wo(this, e4);
    }), this.g.attachEmptyPacketListener("stylized_image", (t4) => {
      this.u = null, this.h && this.h(null), Wo(this, t4);
    }), t3 = t3.g(), this.setGraph(new Uint8Array(t3), true);
  }
};
cc.prototype.stylize = cc.prototype.Ua, cc.prototype.setOptions = cc.prototype.o, cc.createFromModelPath = function(t3, e3) {
  return Xa(cc, t3, { baseOptions: { modelAssetPath: e3 } });
}, cc.createFromModelBuffer = function(t3, e3) {
  return Xa(cc, t3, { baseOptions: { modelAssetBuffer: e3 } });
}, cc.createFromOptions = function(t3, e3) {
  return Xa(cc, t3, e3);
};
var hc = Na([0, 1], [1, 2], [2, 3], [3, 4], [0, 5], [5, 6], [6, 7], [7, 8], [5, 9], [9, 10], [10, 11], [11, 12], [9, 13], [13, 14], [14, 15], [15, 16], [13, 17], [0, 17], [17, 18], [18, 19], [19, 20]);
function uc(t3) {
  t3.gestures = [], t3.landmarks = [], t3.worldLandmarks = [], t3.handedness = [];
}
function lc(t3) {
  return 0 === t3.gestures.length ? { gestures: [], landmarks: [], worldLandmarks: [], handedness: [], handednesses: [] } : { gestures: t3.gestures, landmarks: t3.landmarks, worldLandmarks: t3.worldLandmarks, handedness: t3.handedness, handednesses: t3.handedness };
}
function fc(t3, e3 = true) {
  var _a2, _b, _c2, _d, _e3;
  const n3 = [];
  for (const i3 of t3) {
    var r3 = Bi(i3);
    t3 = [];
    for (const n4 of r3.g())
      r3 = e3 && null != Cn(n4, 1) ? Un(Cn(n4, 1)) : -1, t3.push({ score: (_a2 = Dn(n4, 2)) != null ? _a2 : 0, index: r3, categoryName: (_c2 = (_b = Pn(n4, 3)) != null ? _b : "") != null ? _c2 : "", displayName: (_e3 = (_d = Pn(n4, 4)) != null ? _d : "") != null ? _e3 : "" });
    n3.push(t3);
  }
  return n3;
}
var dc = class extends Ka {
  constructor(t3, e3) {
    super(new Va(t3, e3), "image_in", "norm_rect", false), this.gestures = [], this.landmarks = [], this.worldLandmarks = [], this.handedness = [], Fn(t3 = this.v = new Qs(), 0, 1, e3 = new ks()), this.B = new Js(), Fn(this.v, 0, 2, this.B), this.u = new $s(), Fn(this.B, 0, 3, this.u), this.h = new Ys(), Fn(this.B, 0, 2, this.h), this.j = new Ws(), Fn(this.v, 0, 3, this.j), Gn(this.h, 2, 0.5), Gn(this.B, 4, 0.5), Gn(this.u, 2, 0.5);
  }
  get baseOptions() {
    return Sn(this.v, ks, 1);
  }
  set baseOptions(t3) {
    Fn(this.v, 0, 1, t3);
  }
  o(t3) {
    var _a2, _b, _c2, _d, _e3, _f, _g, _h;
    if (Nn(this.h, 3, (_a2 = t3.numHands) != null ? _a2 : 1), "minHandDetectionConfidence" in t3 && Gn(this.h, 2, (_b = t3.minHandDetectionConfidence) != null ? _b : 0.5), "minTrackingConfidence" in t3 && Gn(this.B, 4, (_c2 = t3.minTrackingConfidence) != null ? _c2 : 0.5), "minHandPresenceConfidence" in t3 && Gn(this.u, 2, (_d = t3.minHandPresenceConfidence) != null ? _d : 0.5), t3.cannedGesturesClassifierOptions) {
      var e3 = new Vs(), n3 = e3, r3 = bo(t3.cannedGesturesClassifierOptions, (_e3 = Sn(this.j, Vs, 3)) == null ? void 0 : _e3.h());
      Fn(n3, 0, 2, r3), Fn(this.j, 0, 3, e3);
    } else
      void 0 === t3.cannedGesturesClassifierOptions && ((_f = Sn(this.j, Vs, 3)) == null ? void 0 : _f.g());
    return t3.customGesturesClassifierOptions ? (Fn(n3 = e3 = new Vs(), 0, 2, r3 = bo(t3.customGesturesClassifierOptions, (_g = Sn(this.j, Vs, 4)) == null ? void 0 : _g.h())), Fn(this.j, 0, 4, e3)) : void 0 === t3.customGesturesClassifierOptions && ((_h = Sn(this.j, Vs, 4)) == null ? void 0 : _h.g()), this.l(t3);
  }
  Pa(t3, e3) {
    return uc(this), Wa(this, t3, e3), lc(this);
  }
  Qa(t3, e3, n3) {
    return uc(this), Ha(this, t3, n3, e3), lc(this);
  }
  m() {
    var t3 = new Fi();
    Li(t3, "image_in"), Li(t3, "norm_rect"), Ri(t3, "hand_gestures"), Ri(t3, "hand_landmarks"), Ri(t3, "world_hand_landmarks"), Ri(t3, "handedness");
    const e3 = new ui();
    jn(e3, no, this.v);
    const n3 = new Ti();
    vi(n3, "mediapipe.tasks.vision.gesture_recognizer.GestureRecognizerGraph"), _i(n3, "IMAGE:image_in"), _i(n3, "NORM_RECT:norm_rect"), wi(n3, "HAND_GESTURES:hand_gestures"), wi(n3, "LANDMARKS:hand_landmarks"), wi(n3, "WORLD_LANDMARKS:world_hand_landmarks"), wi(n3, "HANDEDNESS:handedness"), n3.o(e3), Si(t3, n3), this.g.attachProtoVectorListener("hand_landmarks", (t4, e4) => {
      var _a2, _b, _c2;
      for (const e5 of t4) {
        t4 = rs(e5);
        const n4 = [];
        for (const e6 of Rn(t4, ts, 1))
          n4.push({ x: (_a2 = Dn(e6, 1)) != null ? _a2 : 0, y: (_b = Dn(e6, 2)) != null ? _b : 0, z: (_c2 = Dn(e6, 3)) != null ? _c2 : 0 });
        this.landmarks.push(n4);
      }
      Wo(this, e4);
    }), this.g.attachEmptyPacketListener("hand_landmarks", (t4) => {
      Wo(this, t4);
    }), this.g.attachProtoVectorListener("world_hand_landmarks", (t4, e4) => {
      var _a2, _b, _c2;
      for (const e5 of t4) {
        t4 = Qi(e5);
        const n4 = [];
        for (const e6 of Rn(t4, qi, 1))
          n4.push({ x: (_a2 = Dn(e6, 1)) != null ? _a2 : 0, y: (_b = Dn(e6, 2)) != null ? _b : 0, z: (_c2 = Dn(e6, 3)) != null ? _c2 : 0 });
        this.worldLandmarks.push(n4);
      }
      Wo(this, e4);
    }), this.g.attachEmptyPacketListener("world_hand_landmarks", (t4) => {
      Wo(this, t4);
    }), this.g.attachProtoVectorListener("hand_gestures", (t4, e4) => {
      this.gestures.push(...fc(t4, false)), Wo(this, e4);
    }), this.g.attachEmptyPacketListener("hand_gestures", (t4) => {
      Wo(this, t4);
    }), this.g.attachProtoVectorListener("handedness", (t4, e4) => {
      this.handedness.push(...fc(t4)), Wo(this, e4);
    }), this.g.attachEmptyPacketListener("handedness", (t4) => {
      Wo(this, t4);
    }), t3 = t3.g(), this.setGraph(new Uint8Array(t3), true);
  }
};
function pc(t3) {
  return { landmarks: t3.landmarks, worldLandmarks: t3.worldLandmarks, handednesses: t3.handedness, handedness: t3.handedness };
}
dc.prototype.recognizeForVideo = dc.prototype.Qa, dc.prototype.recognize = dc.prototype.Pa, dc.prototype.setOptions = dc.prototype.o, dc.createFromModelPath = function(t3, e3) {
  return Xa(dc, t3, { baseOptions: { modelAssetPath: e3 } });
}, dc.createFromModelBuffer = function(t3, e3) {
  return Xa(dc, t3, { baseOptions: { modelAssetBuffer: e3 } });
}, dc.createFromOptions = function(t3, e3) {
  return Xa(dc, t3, e3);
}, dc.HAND_CONNECTIONS = hc;
var gc = class extends Ka {
  constructor(t3, e3) {
    super(new Va(t3, e3), "image_in", "norm_rect", false), this.landmarks = [], this.worldLandmarks = [], this.handedness = [], Fn(t3 = this.j = new Js(), 0, 1, e3 = new ks()), this.u = new $s(), Fn(this.j, 0, 3, this.u), this.h = new Ys(), Fn(this.j, 0, 2, this.h), Nn(this.h, 3, 1), Gn(this.h, 2, 0.5), Gn(this.u, 2, 0.5), Gn(this.j, 4, 0.5);
  }
  get baseOptions() {
    return Sn(this.j, ks, 1);
  }
  set baseOptions(t3) {
    Fn(this.j, 0, 1, t3);
  }
  o(t3) {
    var _a2, _b, _c2, _d;
    return "numHands" in t3 && Nn(this.h, 3, (_a2 = t3.numHands) != null ? _a2 : 1), "minHandDetectionConfidence" in t3 && Gn(this.h, 2, (_b = t3.minHandDetectionConfidence) != null ? _b : 0.5), "minTrackingConfidence" in t3 && Gn(this.j, 4, (_c2 = t3.minTrackingConfidence) != null ? _c2 : 0.5), "minHandPresenceConfidence" in t3 && Gn(this.u, 2, (_d = t3.minHandPresenceConfidence) != null ? _d : 0.5), this.l(t3);
  }
  G(t3, e3) {
    return this.landmarks = [], this.worldLandmarks = [], this.handedness = [], Wa(this, t3, e3), pc(this);
  }
  H(t3, e3, n3) {
    return this.landmarks = [], this.worldLandmarks = [], this.handedness = [], Ha(this, t3, n3, e3), pc(this);
  }
  m() {
    var t3 = new Fi();
    Li(t3, "image_in"), Li(t3, "norm_rect"), Ri(t3, "hand_landmarks"), Ri(t3, "world_hand_landmarks"), Ri(t3, "handedness");
    const e3 = new ui();
    jn(e3, eo, this.j);
    const n3 = new Ti();
    vi(n3, "mediapipe.tasks.vision.hand_landmarker.HandLandmarkerGraph"), _i(n3, "IMAGE:image_in"), _i(n3, "NORM_RECT:norm_rect"), wi(n3, "LANDMARKS:hand_landmarks"), wi(n3, "WORLD_LANDMARKS:world_hand_landmarks"), wi(n3, "HANDEDNESS:handedness"), n3.o(e3), Si(t3, n3), this.g.attachProtoVectorListener("hand_landmarks", (t4, e4) => {
      for (const e5 of t4)
        t4 = rs(e5), this.landmarks.push(ko(t4));
      Wo(this, e4);
    }), this.g.attachEmptyPacketListener("hand_landmarks", (t4) => {
      Wo(this, t4);
    }), this.g.attachProtoVectorListener("world_hand_landmarks", (t4, e4) => {
      for (const e5 of t4)
        t4 = Qi(e5), this.worldLandmarks.push(So(t4));
      Wo(this, e4);
    }), this.g.attachEmptyPacketListener("world_hand_landmarks", (t4) => {
      Wo(this, t4);
    }), this.g.attachProtoVectorListener("handedness", (t4, e4) => {
      var _a2, _b, _c2, _d, _e3, _f;
      var n4 = this.handedness, r3 = n4.push;
      const i3 = [];
      for (const e5 of t4) {
        t4 = Bi(e5);
        const n5 = [];
        for (const e6 of t4.g())
          n5.push({ score: (_a2 = Dn(e6, 2)) != null ? _a2 : 0, index: (_b = Un(Cn(e6, 1))) != null ? _b : -1, categoryName: (_d = (_c2 = Pn(e6, 3)) != null ? _c2 : "") != null ? _d : "", displayName: (_f = (_e3 = Pn(e6, 4)) != null ? _e3 : "") != null ? _f : "" });
        i3.push(n5);
      }
      r3.call(n4, ...i3), Wo(this, e4);
    }), this.g.attachEmptyPacketListener("handedness", (t4) => {
      Wo(this, t4);
    }), t3 = t3.g(), this.setGraph(new Uint8Array(t3), true);
  }
};
gc.prototype.detectForVideo = gc.prototype.H, gc.prototype.detect = gc.prototype.G, gc.prototype.setOptions = gc.prototype.o, gc.createFromModelPath = function(t3, e3) {
  return Xa(gc, t3, { baseOptions: { modelAssetPath: e3 } });
}, gc.createFromModelBuffer = function(t3, e3) {
  return Xa(gc, t3, { baseOptions: { modelAssetBuffer: e3 } });
}, gc.createFromOptions = function(t3, e3) {
  return Xa(gc, t3, e3);
}, gc.HAND_CONNECTIONS = hc;
var mc = class extends Ka {
  constructor(t3, e3) {
    super(new Va(t3, e3), "input_image", "norm_rect", true), this.j = { classifications: [] }, Fn(t3 = this.h = new ro(), 0, 1, e3 = new ks());
  }
  get baseOptions() {
    return Sn(this.h, ks, 1);
  }
  set baseOptions(t3) {
    Fn(this.h, 0, 1, t3);
  }
  o(t3) {
    return Fn(this.h, 0, 2, bo(t3, Sn(this.h, vs, 2))), this.l(t3);
  }
  ya(t3, e3) {
    return this.j = { classifications: [] }, Wa(this, t3, e3), this.j;
  }
  za(t3, e3, n3) {
    return this.j = { classifications: [] }, Ha(this, t3, n3, e3), this.j;
  }
  m() {
    var t3 = new Fi();
    Li(t3, "input_image"), Li(t3, "norm_rect"), Ri(t3, "classifications");
    const e3 = new ui();
    jn(e3, io, this.h);
    const n3 = new Ti();
    vi(n3, "mediapipe.tasks.vision.image_classifier.ImageClassifierGraph"), _i(n3, "IMAGE:input_image"), _i(n3, "NORM_RECT:norm_rect"), wi(n3, "CLASSIFICATIONS:classifications"), n3.o(e3), Si(t3, n3), this.g.attachProtoListener("classifications", (t4, e4) => {
      this.j = function(t5) {
        const e5 = { classifications: Rn(t5, as, 1).map((t6) => {
          var _a2, _b, _c2;
          return Ao((_b = (_a2 = Sn(t6, Ui, 4)) == null ? void 0 : _a2.g()) != null ? _b : [], Un(Cn(t6, 2)), (_c2 = Pn(t6, 3)) != null ? _c2 : "");
        }) };
        return null != Fe(on(t5, 2)) && (e5.timestampMs = Un(Fe(on(t5, 2)))), e5;
      }(us(t4)), Wo(this, e4);
    }), this.g.attachEmptyPacketListener("classifications", (t4) => {
      Wo(this, t4);
    }), t3 = t3.g(), this.setGraph(new Uint8Array(t3), true);
  }
};
mc.prototype.classifyForVideo = mc.prototype.za, mc.prototype.classify = mc.prototype.ya, mc.prototype.setOptions = mc.prototype.o, mc.createFromModelPath = function(t3, e3) {
  return Xa(mc, t3, { baseOptions: { modelAssetPath: e3 } });
}, mc.createFromModelBuffer = function(t3, e3) {
  return Xa(mc, t3, { baseOptions: { modelAssetBuffer: e3 } });
}, mc.createFromOptions = function(t3, e3) {
  return Xa(mc, t3, e3);
};
var yc = class extends Ka {
  constructor(t3, e3) {
    super(new Va(t3, e3), "image_in", "norm_rect", true), this.h = new so(), this.embeddings = { embeddings: [] }, Fn(t3 = this.h, 0, 1, e3 = new ks());
  }
  get baseOptions() {
    return Sn(this.h, ks, 1);
  }
  set baseOptions(t3) {
    Fn(this.h, 0, 1, t3);
  }
  o(t3) {
    var e3 = this.h, n3 = Sn(this.h, ws, 2);
    return n3 = n3 ? n3.clone() : new ws(), void 0 !== t3.l2Normalize ? Bn(n3, 1, t3.l2Normalize) : "l2Normalize" in t3 && cn(n3, 1), void 0 !== t3.quantize ? Bn(n3, 2, t3.quantize) : "quantize" in t3 && cn(n3, 2), Fn(e3, 0, 2, n3), this.l(t3);
  }
  Fa(t3, e3) {
    return Wa(this, t3, e3), this.embeddings;
  }
  Ga(t3, e3, n3) {
    return Ha(this, t3, n3, e3), this.embeddings;
  }
  m() {
    var t3 = new Fi();
    Li(t3, "image_in"), Li(t3, "norm_rect"), Ri(t3, "embeddings_out");
    const e3 = new ui();
    jn(e3, oo, this.h);
    const n3 = new Ti();
    vi(n3, "mediapipe.tasks.vision.image_embedder.ImageEmbedderGraph"), _i(n3, "IMAGE:image_in"), _i(n3, "NORM_RECT:norm_rect"), wi(n3, "EMBEDDINGS:embeddings_out"), n3.o(e3), Si(t3, n3), this.g.attachProtoListener("embeddings_out", (t4, e4) => {
      t4 = ys(t4), this.embeddings = function(t5) {
        return { embeddings: Rn(t5, ds, 1).map((t6) => {
          var _a2, _b, _c2, _d, _e3, _f;
          const e5 = { headIndex: (_a2 = Un(Cn(t6, 3))) != null ? _a2 : -1, headName: (_c2 = (_b = Pn(t6, 4)) != null ? _b : "") != null ? _c2 : "" };
          if (void 0 !== kn(t6, ls, bn(t6, 1)))
            t6 = dn(t6 = Sn(t6, ls, bn(t6, 1)), 1, we), e5.floatEmbedding = t6;
          else {
            const n4 = new Uint8Array(0);
            e5.quantizedEmbedding = (_f = (_e3 = (_d = Sn(t6, fs, bn(t6, 2))) == null ? void 0 : _d.ua()) == null ? void 0 : _e3.wa()) != null ? _f : n4;
          }
          return e5;
        }), timestampMs: Un(Fe(on(t5, 2))) };
      }(t4), Wo(this, e4);
    }), this.g.attachEmptyPacketListener("embeddings_out", (t4) => {
      Wo(this, t4);
    }), t3 = t3.g(), this.setGraph(new Uint8Array(t3), true);
  }
};
yc.cosineSimilarity = function(t3, e3) {
  if (t3.floatEmbedding && e3.floatEmbedding)
    t3 = Ro(t3.floatEmbedding, e3.floatEmbedding);
  else {
    if (!t3.quantizedEmbedding || !e3.quantizedEmbedding)
      throw Error("Cannot compute cosine similarity between quantized and float embeddings.");
    t3 = Ro(Lo(t3.quantizedEmbedding), Lo(e3.quantizedEmbedding));
  }
  return t3;
}, yc.prototype.embedForVideo = yc.prototype.Ga, yc.prototype.embed = yc.prototype.Fa, yc.prototype.setOptions = yc.prototype.o, yc.createFromModelPath = function(t3, e3) {
  return Xa(yc, t3, { baseOptions: { modelAssetPath: e3 } });
}, yc.createFromModelBuffer = function(t3, e3) {
  return Xa(yc, t3, { baseOptions: { modelAssetBuffer: e3 } });
}, yc.createFromOptions = function(t3, e3) {
  return Xa(yc, t3, e3);
};
var vc = class {
  constructor(t3, e3, n3) {
    this.confidenceMasks = t3, this.categoryMask = e3, this.qualityScores = n3;
  }
  close() {
    var _a2, _b;
    (_a2 = this.confidenceMasks) == null ? void 0 : _a2.forEach((t3) => {
      t3.close();
    }), (_b = this.categoryMask) == null ? void 0 : _b.close();
  }
};
function _c(t3) {
  t3.categoryMask = void 0, t3.confidenceMasks = void 0, t3.qualityScores = void 0;
}
function wc(t3) {
  try {
    const e3 = new vc(t3.confidenceMasks, t3.categoryMask, t3.qualityScores);
    if (!t3.j)
      return e3;
    t3.j(e3);
  } finally {
    Ko(t3);
  }
}
vc.prototype.close = vc.prototype.close;
var Tc = class extends Ka {
  constructor(t3, e3) {
    super(new Va(t3, e3), "image_in", "norm_rect", false), this.u = [], this.outputCategoryMask = false, this.outputConfidenceMasks = true, this.h = new lo(), this.v = new ao(), Fn(this.h, 0, 3, this.v), Fn(t3 = this.h, 0, 1, e3 = new ks());
  }
  get baseOptions() {
    return Sn(this.h, ks, 1);
  }
  set baseOptions(t3) {
    Fn(this.h, 0, 1, t3);
  }
  o(t3) {
    var _a2, _b;
    return void 0 !== t3.displayNamesLocale ? cn(this.h, 2, Oe(t3.displayNamesLocale)) : "displayNamesLocale" in t3 && cn(this.h, 2), "outputCategoryMask" in t3 && (this.outputCategoryMask = (_a2 = t3.outputCategoryMask) != null ? _a2 : false), "outputConfidenceMasks" in t3 && (this.outputConfidenceMasks = (_b = t3.outputConfidenceMasks) != null ? _b : true), super.l(t3);
  }
  N() {
    !function(t3) {
      var _a2, _b, _c2;
      const e3 = Rn(t3.da(), Ti, 1).filter((t4) => {
        var _a3;
        return ((_a3 = Pn(t4, 1)) != null ? _a3 : "").includes("mediapipe.tasks.TensorsToSegmentationCalculator");
      });
      if (t3.u = [], 1 < e3.length)
        throw Error("The graph has more than one mediapipe.tasks.TensorsToSegmentationCalculator.");
      1 === e3.length && ((_c2 = (_b = (_a2 = Sn(e3[0], ui, 7)) == null ? void 0 : _a2.l()) == null ? void 0 : _b.g()) != null ? _c2 : /* @__PURE__ */ new Map()).forEach((e4, n3) => {
        var _a3;
        t3.u[Number(n3)] = (_a3 = Pn(e4, 1)) != null ? _a3 : "";
      });
    }(this);
  }
  ea(t3, e3, n3) {
    const r3 = "function" != typeof e3 ? e3 : {};
    return this.j = "function" == typeof e3 ? e3 : n3, _c(this), Wa(this, t3, r3), wc(this);
  }
  Sa(t3, e3, n3, r3) {
    const i3 = "function" != typeof n3 ? n3 : {};
    return this.j = "function" == typeof n3 ? n3 : r3, _c(this), Ha(this, t3, i3, e3), wc(this);
  }
  Ja() {
    return this.u;
  }
  m() {
    var t3 = new Fi();
    Li(t3, "image_in"), Li(t3, "norm_rect");
    const e3 = new ui();
    jn(e3, fo, this.h);
    const n3 = new Ti();
    vi(n3, "mediapipe.tasks.vision.image_segmenter.ImageSegmenterGraph"), _i(n3, "IMAGE:image_in"), _i(n3, "NORM_RECT:norm_rect"), n3.o(e3), Si(t3, n3), Ho(this, t3), this.outputConfidenceMasks && (Ri(t3, "confidence_masks"), wi(n3, "CONFIDENCE_MASKS:confidence_masks"), Yo(this, "confidence_masks"), this.g.ca("confidence_masks", (t4, e4) => {
      this.confidenceMasks = t4.map((t5) => Ya(this, t5, true, !this.j)), Wo(this, e4);
    }), this.g.attachEmptyPacketListener("confidence_masks", (t4) => {
      this.confidenceMasks = [], Wo(this, t4);
    })), this.outputCategoryMask && (Ri(t3, "category_mask"), wi(n3, "CATEGORY_MASK:category_mask"), Yo(this, "category_mask"), this.g.ba("category_mask", (t4, e4) => {
      this.categoryMask = Ya(this, t4, false, !this.j), Wo(this, e4);
    }), this.g.attachEmptyPacketListener("category_mask", (t4) => {
      this.categoryMask = void 0, Wo(this, t4);
    })), Ri(t3, "quality_scores"), wi(n3, "QUALITY_SCORES:quality_scores"), this.g.attachFloatVectorListener("quality_scores", (t4, e4) => {
      this.qualityScores = t4, Wo(this, e4);
    }), this.g.attachEmptyPacketListener("quality_scores", (t4) => {
      this.categoryMask = void 0, Wo(this, t4);
    }), t3 = t3.g(), this.setGraph(new Uint8Array(t3), true);
  }
};
Tc.prototype.getLabels = Tc.prototype.Ja, Tc.prototype.segmentForVideo = Tc.prototype.Sa, Tc.prototype.segment = Tc.prototype.ea, Tc.prototype.setOptions = Tc.prototype.o, Tc.createFromModelPath = function(t3, e3) {
  return Xa(Tc, t3, { baseOptions: { modelAssetPath: e3 } });
}, Tc.createFromModelBuffer = function(t3, e3) {
  return Xa(Tc, t3, { baseOptions: { modelAssetBuffer: e3 } });
}, Tc.createFromOptions = function(t3, e3) {
  return Xa(Tc, t3, e3);
};
var Ec = class {
  constructor(t3, e3, n3) {
    this.confidenceMasks = t3, this.categoryMask = e3, this.qualityScores = n3;
  }
  close() {
    var _a2, _b;
    (_a2 = this.confidenceMasks) == null ? void 0 : _a2.forEach((t3) => {
      t3.close();
    }), (_b = this.categoryMask) == null ? void 0 : _b.close();
  }
};
Ec.prototype.close = Ec.prototype.close;
var bc = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var Ac = [0, Pr, -2];
var xc = [0, Lr, -3, Br];
var kc = [0, Lr, -3, Br, Lr, -1];
var Sc = [0, kc];
var Lc = [0, Sc, Ac];
var Rc = [0, kc, Ac];
var Fc = [0, kc, Pr, -1];
var Mc = [0, Fc, Ac];
var Oc = [0, Lr, -3, Br, Ac, -1];
var Ic = [0, Lr, -3, Br, Kr];
var Cc = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var Pc = [0, Lr, -1, Br];
var Uc = class extends Vn {
  constructor() {
    super();
  }
};
Uc.A = [1];
var Dc = class extends Vn {
  constructor(t3) {
    super(t3);
  }
};
var Bc = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 14, 15];
var Nc = [0, Bc, Wr, kc, Wr, Rc, Wr, Sc, Wr, Lc, Wr, Pc, Wr, Ic, Wr, xc, Wr, [0, Vr, Lr, -2, Br, Pr, Br, -1, 2, Lr, Ac], Wr, Fc, Wr, Mc, Lr, Ac, Vr, Wr, Oc, Wr, [0, Sr, Pc]];
var Gc = [0, Vr, Pr, -1, Br];
var jc = class extends Vn {
  constructor() {
    super();
  }
};
jc.A = [1], jc.prototype.g = Qr([0, Sr, Nc, Vr, Gc]);
var Vc = class extends Ka {
  constructor(t3, e3) {
    super(new Va(t3, e3), "image_in", "norm_rect_in", false), this.outputCategoryMask = false, this.outputConfidenceMasks = true, this.h = new lo(), this.v = new ao(), Fn(this.h, 0, 3, this.v), Fn(t3 = this.h, 0, 1, e3 = new ks());
  }
  get baseOptions() {
    return Sn(this.h, ks, 1);
  }
  set baseOptions(t3) {
    Fn(this.h, 0, 1, t3);
  }
  o(t3) {
    var _a2, _b;
    return "outputCategoryMask" in t3 && (this.outputCategoryMask = (_a2 = t3.outputCategoryMask) != null ? _a2 : false), "outputConfidenceMasks" in t3 && (this.outputConfidenceMasks = (_b = t3.outputConfidenceMasks) != null ? _b : true), super.l(t3);
  }
  ea(t3, e3, n3, r3) {
    const i3 = "function" != typeof n3 ? n3 : {};
    this.j = "function" == typeof n3 ? n3 : r3, this.qualityScores = this.categoryMask = this.confidenceMasks = void 0, n3 = this.I + 1, r3 = new jc();
    const s3 = new Dc();
    var o3 = new bc();
    if (Nn(o3, 1, 255), Fn(s3, 0, 12, o3), e3.keypoint && e3.scribble)
      throw Error("Cannot provide both keypoint and scribble.");
    if (e3.keypoint) {
      var a3 = new Cc();
      Bn(a3, 3, true), Gn(a3, 1, e3.keypoint.x), Gn(a3, 2, e3.keypoint.y), Mn(s3, 5, Bc, a3);
    } else {
      if (!e3.scribble)
        throw Error("Must provide either a keypoint or a scribble.");
      for (a3 of (o3 = new Uc(), e3.scribble))
        Bn(e3 = new Cc(), 3, true), Gn(e3, 1, a3.x), Gn(e3, 2, a3.y), In(o3, Cc, e3);
      Mn(s3, 15, Bc, o3);
    }
    In(r3, Dc, s3), this.g.addProtoToStream(r3.g(), "drishti.RenderData", "roi_in", n3), Wa(this, t3, i3);
    t: {
      try {
        const t4 = new Ec(this.confidenceMasks, this.categoryMask, this.qualityScores);
        if (!this.j) {
          var c3 = t4;
          break t;
        }
        this.j(t4);
      } finally {
        Ko(this);
      }
      c3 = void 0;
    }
    return c3;
  }
  m() {
    var t3 = new Fi();
    Li(t3, "image_in"), Li(t3, "roi_in"), Li(t3, "norm_rect_in");
    const e3 = new ui();
    jn(e3, fo, this.h);
    const n3 = new Ti();
    vi(n3, "mediapipe.tasks.vision.interactive_segmenter.InteractiveSegmenterGraph"), _i(n3, "IMAGE:image_in"), _i(n3, "ROI:roi_in"), _i(n3, "NORM_RECT:norm_rect_in"), n3.o(e3), Si(t3, n3), Ho(this, t3), this.outputConfidenceMasks && (Ri(t3, "confidence_masks"), wi(n3, "CONFIDENCE_MASKS:confidence_masks"), Yo(this, "confidence_masks"), this.g.ca("confidence_masks", (t4, e4) => {
      this.confidenceMasks = t4.map((t5) => Ya(this, t5, true, !this.j)), Wo(this, e4);
    }), this.g.attachEmptyPacketListener("confidence_masks", (t4) => {
      this.confidenceMasks = [], Wo(this, t4);
    })), this.outputCategoryMask && (Ri(t3, "category_mask"), wi(n3, "CATEGORY_MASK:category_mask"), Yo(this, "category_mask"), this.g.ba("category_mask", (t4, e4) => {
      this.categoryMask = Ya(this, t4, false, !this.j), Wo(this, e4);
    }), this.g.attachEmptyPacketListener("category_mask", (t4) => {
      this.categoryMask = void 0, Wo(this, t4);
    })), Ri(t3, "quality_scores"), wi(n3, "QUALITY_SCORES:quality_scores"), this.g.attachFloatVectorListener("quality_scores", (t4, e4) => {
      this.qualityScores = t4, Wo(this, e4);
    }), this.g.attachEmptyPacketListener("quality_scores", (t4) => {
      this.categoryMask = void 0, Wo(this, t4);
    }), t3 = t3.g(), this.setGraph(new Uint8Array(t3), true);
  }
};
Vc.prototype.segment = Vc.prototype.ea, Vc.prototype.setOptions = Vc.prototype.o, Vc.createFromModelPath = function(t3, e3) {
  return Xa(Vc, t3, { baseOptions: { modelAssetPath: e3 } });
}, Vc.createFromModelBuffer = function(t3, e3) {
  return Xa(Vc, t3, { baseOptions: { modelAssetBuffer: e3 } });
}, Vc.createFromOptions = function(t3, e3) {
  return Xa(Vc, t3, e3);
};
var Xc = class extends Ka {
  constructor(t3, e3) {
    super(new Va(t3, e3), "input_frame_gpu", "norm_rect", false), this.j = { detections: [] }, Fn(t3 = this.h = new po(), 0, 1, e3 = new ks());
  }
  get baseOptions() {
    return Sn(this.h, ks, 1);
  }
  set baseOptions(t3) {
    Fn(this.h, 0, 1, t3);
  }
  o(t3) {
    return void 0 !== t3.displayNamesLocale ? cn(this.h, 2, Oe(t3.displayNamesLocale)) : "displayNamesLocale" in t3 && cn(this.h, 2), void 0 !== t3.maxResults ? Nn(this.h, 3, t3.maxResults) : "maxResults" in t3 && cn(this.h, 3), void 0 !== t3.scoreThreshold ? Gn(this.h, 4, t3.scoreThreshold) : "scoreThreshold" in t3 && cn(this.h, 4), void 0 !== t3.categoryAllowlist ? wn(this.h, 5, t3.categoryAllowlist) : "categoryAllowlist" in t3 && cn(this.h, 5), void 0 !== t3.categoryDenylist ? wn(this.h, 6, t3.categoryDenylist) : "categoryDenylist" in t3 && cn(this.h, 6), this.l(t3);
  }
  G(t3, e3) {
    return this.j = { detections: [] }, Wa(this, t3, e3), this.j;
  }
  H(t3, e3, n3) {
    return this.j = { detections: [] }, Ha(this, t3, n3, e3), this.j;
  }
  m() {
    var t3 = new Fi();
    Li(t3, "input_frame_gpu"), Li(t3, "norm_rect"), Ri(t3, "detections");
    const e3 = new ui();
    jn(e3, go, this.h);
    const n3 = new Ti();
    vi(n3, "mediapipe.tasks.vision.ObjectDetectorGraph"), _i(n3, "IMAGE:input_frame_gpu"), _i(n3, "NORM_RECT:norm_rect"), wi(n3, "DETECTIONS:detections"), n3.o(e3), Si(t3, n3), this.g.attachProtoVectorListener("detections", (t4, e4) => {
      for (const e5 of t4)
        t4 = $i(e5), this.j.detections.push(xo(t4));
      Wo(this, e4);
    }), this.g.attachEmptyPacketListener("detections", (t4) => {
      Wo(this, t4);
    }), t3 = t3.g(), this.setGraph(new Uint8Array(t3), true);
  }
};
Xc.prototype.detectForVideo = Xc.prototype.H, Xc.prototype.detect = Xc.prototype.G, Xc.prototype.setOptions = Xc.prototype.o, Xc.createFromModelPath = async function(t3, e3) {
  return Xa(Xc, t3, { baseOptions: { modelAssetPath: e3 } });
}, Xc.createFromModelBuffer = function(t3, e3) {
  return Xa(Xc, t3, { baseOptions: { modelAssetBuffer: e3 } });
}, Xc.createFromOptions = function(t3, e3) {
  return Xa(Xc, t3, e3);
};
function zc(t3) {
  t3.landmarks = [], t3.worldLandmarks = [], t3.v = void 0;
}
function Wc(t3) {
  try {
    const e3 = new class {
      constructor(t4, e4, n3) {
        this.landmarks = t4, this.worldLandmarks = e4, this.g = n3;
      }
      close() {
        var _a2;
        (_a2 = this.g) == null ? void 0 : _a2.forEach((t4) => {
          t4.close();
        });
      }
    }(t3.landmarks, t3.worldLandmarks, t3.v);
    if (!t3.u)
      return e3;
    t3.u(e3);
  } finally {
    Ko(t3);
  }
}
var Hc = class extends Ka {
  constructor(t3, e3) {
    super(new Va(t3, e3), "image_in", "norm_rect", false), this.landmarks = [], this.worldLandmarks = [], this.outputSegmentationMasks = false, Fn(t3 = this.h = new wo(), 0, 1, e3 = new ks()), this.B = new vo(), Fn(this.h, 0, 3, this.B), this.j = new mo(), Fn(this.h, 0, 2, this.j), Nn(this.j, 4, 1), Gn(this.j, 2, 0.5), Gn(this.B, 2, 0.5), Gn(this.h, 4, 0.5);
  }
  get baseOptions() {
    return Sn(this.h, ks, 1);
  }
  set baseOptions(t3) {
    Fn(this.h, 0, 1, t3);
  }
  o(t3) {
    var _a2, _b, _c2, _d, _e3;
    return "numPoses" in t3 && Nn(this.j, 4, (_a2 = t3.numPoses) != null ? _a2 : 1), "minPoseDetectionConfidence" in t3 && Gn(this.j, 2, (_b = t3.minPoseDetectionConfidence) != null ? _b : 0.5), "minTrackingConfidence" in t3 && Gn(this.h, 4, (_c2 = t3.minTrackingConfidence) != null ? _c2 : 0.5), "minPosePresenceConfidence" in t3 && Gn(this.B, 2, (_d = t3.minPosePresenceConfidence) != null ? _d : 0.5), "outputSegmentationMasks" in t3 && (this.outputSegmentationMasks = (_e3 = t3.outputSegmentationMasks) != null ? _e3 : false), this.l(t3);
  }
  G(t3, e3, n3) {
    const r3 = "function" != typeof e3 ? e3 : {};
    return this.u = "function" == typeof e3 ? e3 : n3, zc(this), Wa(this, t3, r3), Wc(this);
  }
  H(t3, e3, n3, r3) {
    const i3 = "function" != typeof n3 ? n3 : {};
    return this.u = "function" == typeof n3 ? n3 : r3, zc(this), Ha(this, t3, i3, e3), Wc(this);
  }
  m() {
    var t3 = new Fi();
    Li(t3, "image_in"), Li(t3, "norm_rect"), Ri(t3, "normalized_landmarks"), Ri(t3, "world_landmarks"), Ri(t3, "segmentation_masks");
    const e3 = new ui();
    jn(e3, Eo, this.h);
    const n3 = new Ti();
    vi(n3, "mediapipe.tasks.vision.pose_landmarker.PoseLandmarkerGraph"), _i(n3, "IMAGE:image_in"), _i(n3, "NORM_RECT:norm_rect"), wi(n3, "NORM_LANDMARKS:normalized_landmarks"), wi(n3, "WORLD_LANDMARKS:world_landmarks"), n3.o(e3), Si(t3, n3), Ho(this, t3), this.g.attachProtoVectorListener("normalized_landmarks", (t4, e4) => {
      this.landmarks = [];
      for (const e5 of t4)
        t4 = rs(e5), this.landmarks.push(ko(t4));
      Wo(this, e4);
    }), this.g.attachEmptyPacketListener("normalized_landmarks", (t4) => {
      this.landmarks = [], Wo(this, t4);
    }), this.g.attachProtoVectorListener("world_landmarks", (t4, e4) => {
      this.worldLandmarks = [];
      for (const e5 of t4)
        t4 = Qi(e5), this.worldLandmarks.push(So(t4));
      Wo(this, e4);
    }), this.g.attachEmptyPacketListener("world_landmarks", (t4) => {
      this.worldLandmarks = [], Wo(this, t4);
    }), this.outputSegmentationMasks && (wi(n3, "SEGMENTATION_MASK:segmentation_masks"), Yo(this, "segmentation_masks"), this.g.ca("segmentation_masks", (t4, e4) => {
      this.v = t4.map((t5) => Ya(this, t5, true, !this.u)), Wo(this, e4);
    }), this.g.attachEmptyPacketListener("segmentation_masks", (t4) => {
      this.v = [], Wo(this, t4);
    })), t3 = t3.g(), this.setGraph(new Uint8Array(t3), true);
  }
};
Hc.prototype.detectForVideo = Hc.prototype.H, Hc.prototype.detect = Hc.prototype.G, Hc.prototype.setOptions = Hc.prototype.o, Hc.createFromModelPath = function(t3, e3) {
  return Xa(Hc, t3, { baseOptions: { modelAssetPath: e3 } });
}, Hc.createFromModelBuffer = function(t3, e3) {
  return Xa(Hc, t3, { baseOptions: { modelAssetBuffer: e3 } });
}, Hc.createFromOptions = function(t3, e3) {
  return Xa(Hc, t3, e3);
}, Hc.POSE_CONNECTIONS = Na([0, 1], [1, 2], [2, 3], [3, 7], [0, 4], [4, 5], [5, 6], [6, 8], [9, 10], [11, 12], [11, 13], [13, 15], [15, 17], [15, 19], [15, 21], [17, 19], [12, 14], [14, 16], [16, 18], [16, 20], [16, 22], [18, 20], [11, 23], [12, 24], [23, 24], [23, 25], [24, 26], [25, 27], [26, 28], [27, 29], [28, 30], [29, 31], [30, 32], [27, 31], [28, 32]);

// src/modules/BaseDetection.ts
var BaseDetection = class {
  constructor(detectorType, modelAssetPath, options, paramsConfig, classVideo = "videoPreviewFrameDetection", classDiv = "liveViewFrameDetection") {
    this.options = {
      onRealtimeAlertsCallback: (response) => {
      }
    };
    this.children = [];
    this.runningMode = "VIDEO";
    this.detecting = false;
    this.createdVideo = false;
    this.lastVideoTime = -1;
    this.lastExecutionDate = Date.now();
    this.detectorType = detectorType;
    this.modelAssetPath = modelAssetPath;
    this.classVideo = classVideo;
    this.classDiv = classDiv;
    paramsConfig && (this.paramsConfig = paramsConfig);
    options && (this.options = options);
  }
  async initializeDetector() {
    const vision = await Co.forVisionTasks("https://cdn.jsdelivr.net/npm/@mediapipe/tasks-vision@0.10.2/wasm");
    this.detector = await (this.detectorType === "FaceDetector" ? $a : Xc).createFromOptions(vision, {
      baseOptions: {
        modelAssetPath: this.modelAssetPath,
        delegate: "CPU"
      },
      scoreThreshold: this.detectorType === "ObjectDetector" ? 0.5 : 0,
      runningMode: this.runningMode
    });
  }
  stopDetection() {
    this.animationFrameId && clearTimeout(this.animationFrameId);
    this.detecting = false;
    this.liveView = document.getElementById(this.classDiv);
    this.liveView && this.classDiv === "liveViewFrameDetection" && document.body.removeChild(this.liveView);
    this.createdVideo && this.video && document.body.removeChild(this.video);
    this.createdVideo = false;
  }
  enableCam(cameraStream) {
    var _a2;
    if (!this.detector) {
      console.log("Wait! Detector not loaded yet.");
      return;
    }
    this.detecting = true;
    this.error = document.getElementById("errorFrameDetection");
    this.video = document.getElementById(this.classVideo);
    this.liveView = document.getElementById(this.classDiv);
    if (!this.video) {
      this.video = document.createElement("video");
      this.video.setAttribute("id", this.classVideo);
      this.video.setAttribute("style", `
                width: 20rem; 
                border-radius: 10px;
                position: absolute;
                top: 0;
                display: none;
            `);
      this.video.muted = true;
      document.body.appendChild(this.video);
      this.createdVideo = true;
    }
    cameraStream && !this.video.srcObject && (this.video.srcObject = cameraStream);
    this.video.play();
    const that = this;
    (_a2 = this.video) == null ? void 0 : _a2.addEventListener("loadeddata", () => that.predictWebcam());
    const style = document.createElement("style");
    style.type = "text/css";
    style.innerHTML = `
            .key-point { 
                position: absolute;
                z-index: 1;
                width: 3px;
                height: 3px;
                background-color: #ff0000;
                /* border: 1px solid #ffffff; */
                border-radius: 50%;
                display: block; 
            }
        `;
    document.getElementsByTagName("head")[0].appendChild(style);
  }
  async predictWebcam() {
    if (this.lastVideoTime === -1) {
      await this.detector.setOptions({ runningMode: "VIDEO" });
    }
    const millis = Date.now() - this.lastExecutionDate;
    if (millis >= 1e3) {
      const startTimeMs = Date.now();
      this.lastExecutionDate = startTimeMs;
      if (this.video.currentTime !== this.lastVideoTime) {
        this.lastVideoTime = this.video.currentTime;
        const detections = this.detector.detectForVideo(this.video, startTimeMs);
        this.verify(detections);
      }
    }
    this.animationFrameId = setTimeout(() => {
      this.predictWebcam();
    }, 0);
  }
  handleAlert(description, type) {
    this.options.onRealtimeAlertsCallback && this.options.onRealtimeAlertsCallback({
      status: "ALERT",
      description: this.alertTranslate(description),
      type
    });
    this.error && (this.error.innerText = description);
  }
  handleOk(description, type) {
    this.options.onRealtimeAlertsCallback && this.options.onRealtimeAlertsCallback({
      status: "OK",
      description: this.alertTranslate(description),
      type
    });
    this.error && (this.error.innerText = "");
  }
  displayVideoDetections(result) {
  }
  verify(result) {
  }
  alertTranslate(description) {
    switch (description) {
      case "multiple_faces_detected":
        return "M\xFAltiplas faces detectadas";
      case "no_face_detected":
        return "Nenhuma face encontrada";
      case "multiple_persons_detected":
        return "M\xFAltiplas pessoas detectadas";
      case "no_person_detected":
        return "Nenhuma pessoa encontrada";
      case "cellphone_detected":
        return "Celular detectado";
      case "wrong_position_face_detected":
        return "Face na posi\xE7\xE3o errada";
      case "person_ok":
        return "Pessoa detectada";
      case "cellphone_ok":
        return "Nenhum celular detectadoa";
      case "face_ok":
        return "Face detectada";
      case "ok_position_face_detected":
        return "Face na posi\xE7\xE3o correta";
      default:
        return description;
    }
  }
};
function buildVideoPreview() {
  const liveView = document.createElement("div");
  liveView.setAttribute("id", "liveViewFrameDetection");
  const error = document.createElement("erro");
  error.setAttribute("id", "errorFrameDetection");
  const video = document.createElement("video");
  video.setAttribute("id", "videoPreviewFrameDetection");
  video.muted = true;
  liveView.style.width = "320px";
  liveView.style.height = "180px";
  liveView.style.position = "fixed";
  liveView.style.bottom = "30px";
  liveView.style.right = "30px";
  liveView.style.display = "none";
  video.style.width = "100%";
  video.style.height = "100%";
  video.style.background = "#000";
  liveView.appendChild(error);
  liveView.appendChild(video);
  document.body.appendChild(liveView);
}

// src/modules/faceDetection.ts
var FaceDetection = class extends BaseDetection {
  constructor(options, paramsConfig, classVideo = "videoPreviewFrameDetection", classDiv = "liveViewFrameDetection") {
    super("FaceDetector", `https://storage.googleapis.com/mediapipe-models/face_detector/blaze_face_short_range/float16/1/blaze_face_short_range.tflite`, options, paramsConfig, classVideo, classDiv);
    this.emmitedPositionAlert = false;
  }
  displayVideoDetections(result) {
    for (const child of this.children) {
      this.liveView.removeChild(child);
    }
    this.children.splice(0);
    for (const detection of result.detections) {
      const monitorWidth = window.innerWidth;
      const monitorHeight = window.innerHeight;
      const desiredWidth = this.video.offsetWidth;
      const desiredHeight = this.video.offsetHeight;
      const widthScaleFactor = desiredWidth / monitorWidth;
      const heightScaleFactor = desiredHeight / monitorHeight;
      const adjustedLeft = desiredWidth - detection.boundingBox.width * widthScaleFactor - detection.boundingBox.originX * widthScaleFactor;
      const adjustedTop = detection.boundingBox.originY * heightScaleFactor;
      const adjustedWidth = (detection.boundingBox.width - 10) * widthScaleFactor;
      const adjustedHeight = detection.boundingBox.height * heightScaleFactor;
      const p3 = document.createElement("p");
      p3.innerText = "Confidence: " + Math.round(parseFloat(detection.categories[0].score) * 100) + "% .";
      p3.style.right = adjustedLeft + "px";
      p3.style.top = adjustedTop - 50 + "px";
      p3.style.width = adjustedWidth + "px";
      const commonStyle = {
        zIndex: "2",
        position: "absolute",
        border: "1px dashed #fff"
      };
      Object.assign(p3.style, {
        ...commonStyle,
        margin: "0",
        fontSize: "9px",
        paddingBottom: "5px",
        paddingTop: "5px",
        color: "#fff",
        backgroundColor: "#007f8b"
      });
      const highlighter = document.createElement("div");
      highlighter.setAttribute("class", "highlighter");
      highlighter.style.right = adjustedLeft + "px";
      highlighter.style.top = adjustedTop + "px";
      highlighter.style.width = adjustedWidth + "px";
      highlighter.style.height = adjustedHeight - 10 + "px";
      Object.assign(highlighter.style, {
        ...commonStyle,
        zIndex: "1",
        background: "rgba(0, 255, 0, 0.25)"
      });
      this.liveView.appendChild(highlighter);
      this.liveView.appendChild(p3);
      this.children.push(highlighter);
      this.children.push(p3);
      for (const keypoint of detection.keypoints) {
        const keypointEl = document.createElement("spam");
        keypointEl.className = "key-point";
        keypointEl.style.top = `${keypoint.y * this.video.offsetHeight - 3}px`;
        keypointEl.style.right = `${this.video.offsetWidth - keypoint.x * this.video.offsetWidth - 3}px`;
        this.liveView.appendChild(keypointEl);
        this.children.push(keypointEl);
      }
    }
  }
  verify(result) {
    var _a2, _b, _c2;
    if (((_a2 = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _a2.detectFace) && result.detections.length !== this.numFacesSent) {
      this.numFacesSent = result.detections.length;
      if (result.detections.length === 0) {
        this.handleAlert("no_face_detected", "face_detection_on_stream");
      } else if (result.detections.length > 1) {
        this.handleAlert("multiple_faces_detected", "face_detection_on_stream");
      } else {
        this.handleOk("face_ok", "face_detection_on_stream");
      }
    }
    if (((_b = result.detections[0]) == null ? void 0 : _b.keypoints[4].x) < 0.2 || ((_c2 = result.detections[0]) == null ? void 0 : _c2.keypoints[5].x) > 0.8) {
      !this.emmitedPositionAlert && this.handleAlert("wrong_position_face_detected", "position_detection_on_stream");
      this.emmitedPositionAlert = true;
    } else {
      this.emmitedPositionAlert && this.handleOk("ok_position_face_detected", "position_detection_on_stream");
      this.emmitedPositionAlert = false;
    }
  }
};

// node_modules/axios/lib/helpers/bind.js
function bind(fn3, thisArg) {
  return function wrap() {
    return fn3.apply(thisArg, arguments);
  };
}

// node_modules/axios/lib/utils.js
var { toString } = Object.prototype;
var { getPrototypeOf } = Object;
var kindOf = ((cache) => (thing) => {
  const str = toString.call(thing);
  return cache[str] || (cache[str] = str.slice(8, -1).toLowerCase());
})(/* @__PURE__ */ Object.create(null));
var kindOfTest = (type) => {
  type = type.toLowerCase();
  return (thing) => kindOf(thing) === type;
};
var typeOfTest = (type) => (thing) => typeof thing === type;
var { isArray } = Array;
var isUndefined = typeOfTest("undefined");
function isBuffer(val) {
  return val !== null && !isUndefined(val) && val.constructor !== null && !isUndefined(val.constructor) && isFunction(val.constructor.isBuffer) && val.constructor.isBuffer(val);
}
var isArrayBuffer = kindOfTest("ArrayBuffer");
function isArrayBufferView(val) {
  let result;
  if (typeof ArrayBuffer !== "undefined" && ArrayBuffer.isView) {
    result = ArrayBuffer.isView(val);
  } else {
    result = val && val.buffer && isArrayBuffer(val.buffer);
  }
  return result;
}
var isString = typeOfTest("string");
var isFunction = typeOfTest("function");
var isNumber = typeOfTest("number");
var isObject = (thing) => thing !== null && typeof thing === "object";
var isBoolean = (thing) => thing === true || thing === false;
var isPlainObject = (val) => {
  if (kindOf(val) !== "object") {
    return false;
  }
  const prototype3 = getPrototypeOf(val);
  return (prototype3 === null || prototype3 === Object.prototype || Object.getPrototypeOf(prototype3) === null) && !(Symbol.toStringTag in val) && !(Symbol.iterator in val);
};
var isDate = kindOfTest("Date");
var isFile = kindOfTest("File");
var isBlob = kindOfTest("Blob");
var isFileList = kindOfTest("FileList");
var isStream = (val) => isObject(val) && isFunction(val.pipe);
var isFormData = (thing) => {
  let kind;
  return thing && (typeof FormData === "function" && thing instanceof FormData || isFunction(thing.append) && ((kind = kindOf(thing)) === "formdata" || kind === "object" && isFunction(thing.toString) && thing.toString() === "[object FormData]"));
};
var isURLSearchParams = kindOfTest("URLSearchParams");
var trim = (str) => str.trim ? str.trim() : str.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, "");
function forEach(obj, fn3, { allOwnKeys = false } = {}) {
  if (obj === null || typeof obj === "undefined") {
    return;
  }
  let i3;
  let l3;
  if (typeof obj !== "object") {
    obj = [obj];
  }
  if (isArray(obj)) {
    for (i3 = 0, l3 = obj.length; i3 < l3; i3++) {
      fn3.call(null, obj[i3], i3, obj);
    }
  } else {
    const keys = allOwnKeys ? Object.getOwnPropertyNames(obj) : Object.keys(obj);
    const len = keys.length;
    let key;
    for (i3 = 0; i3 < len; i3++) {
      key = keys[i3];
      fn3.call(null, obj[key], key, obj);
    }
  }
}
function findKey(obj, key) {
  key = key.toLowerCase();
  const keys = Object.keys(obj);
  let i3 = keys.length;
  let _key;
  while (i3-- > 0) {
    _key = keys[i3];
    if (key === _key.toLowerCase()) {
      return _key;
    }
  }
  return null;
}
var _global = (() => {
  if (typeof globalThis !== "undefined")
    return globalThis;
  return typeof self !== "undefined" ? self : typeof window !== "undefined" ? window : global;
})();
var isContextDefined = (context) => !isUndefined(context) && context !== _global;
function merge() {
  const { caseless } = isContextDefined(this) && this || {};
  const result = {};
  const assignValue = (val, key) => {
    const targetKey = caseless && findKey(result, key) || key;
    if (isPlainObject(result[targetKey]) && isPlainObject(val)) {
      result[targetKey] = merge(result[targetKey], val);
    } else if (isPlainObject(val)) {
      result[targetKey] = merge({}, val);
    } else if (isArray(val)) {
      result[targetKey] = val.slice();
    } else {
      result[targetKey] = val;
    }
  };
  for (let i3 = 0, l3 = arguments.length; i3 < l3; i3++) {
    arguments[i3] && forEach(arguments[i3], assignValue);
  }
  return result;
}
var extend = (a3, b3, thisArg, { allOwnKeys } = {}) => {
  forEach(b3, (val, key) => {
    if (thisArg && isFunction(val)) {
      a3[key] = bind(val, thisArg);
    } else {
      a3[key] = val;
    }
  }, { allOwnKeys });
  return a3;
};
var stripBOM = (content) => {
  if (content.charCodeAt(0) === 65279) {
    content = content.slice(1);
  }
  return content;
};
var inherits = (constructor, superConstructor, props, descriptors2) => {
  constructor.prototype = Object.create(superConstructor.prototype, descriptors2);
  constructor.prototype.constructor = constructor;
  Object.defineProperty(constructor, "super", {
    value: superConstructor.prototype
  });
  props && Object.assign(constructor.prototype, props);
};
var toFlatObject = (sourceObj, destObj, filter2, propFilter) => {
  let props;
  let i3;
  let prop;
  const merged = {};
  destObj = destObj || {};
  if (sourceObj == null)
    return destObj;
  do {
    props = Object.getOwnPropertyNames(sourceObj);
    i3 = props.length;
    while (i3-- > 0) {
      prop = props[i3];
      if ((!propFilter || propFilter(prop, sourceObj, destObj)) && !merged[prop]) {
        destObj[prop] = sourceObj[prop];
        merged[prop] = true;
      }
    }
    sourceObj = filter2 !== false && getPrototypeOf(sourceObj);
  } while (sourceObj && (!filter2 || filter2(sourceObj, destObj)) && sourceObj !== Object.prototype);
  return destObj;
};
var endsWith = (str, searchString, position) => {
  str = String(str);
  if (position === void 0 || position > str.length) {
    position = str.length;
  }
  position -= searchString.length;
  const lastIndex = str.indexOf(searchString, position);
  return lastIndex !== -1 && lastIndex === position;
};
var toArray = (thing) => {
  if (!thing)
    return null;
  if (isArray(thing))
    return thing;
  let i3 = thing.length;
  if (!isNumber(i3))
    return null;
  const arr = new Array(i3);
  while (i3-- > 0) {
    arr[i3] = thing[i3];
  }
  return arr;
};
var isTypedArray = ((TypedArray) => {
  return (thing) => {
    return TypedArray && thing instanceof TypedArray;
  };
})(typeof Uint8Array !== "undefined" && getPrototypeOf(Uint8Array));
var forEachEntry = (obj, fn3) => {
  const generator = obj && obj[Symbol.iterator];
  const iterator = generator.call(obj);
  let result;
  while ((result = iterator.next()) && !result.done) {
    const pair = result.value;
    fn3.call(obj, pair[0], pair[1]);
  }
};
var matchAll = (regExp, str) => {
  let matches;
  const arr = [];
  while ((matches = regExp.exec(str)) !== null) {
    arr.push(matches);
  }
  return arr;
};
var isHTMLForm = kindOfTest("HTMLFormElement");
var toCamelCase = (str) => {
  return str.toLowerCase().replace(
    /[-_\s]([a-z\d])(\w*)/g,
    function replacer(m3, p1, p22) {
      return p1.toUpperCase() + p22;
    }
  );
};
var hasOwnProperty = (({ hasOwnProperty: hasOwnProperty2 }) => (obj, prop) => hasOwnProperty2.call(obj, prop))(Object.prototype);
var isRegExp = kindOfTest("RegExp");
var reduceDescriptors = (obj, reducer) => {
  const descriptors2 = Object.getOwnPropertyDescriptors(obj);
  const reducedDescriptors = {};
  forEach(descriptors2, (descriptor, name) => {
    let ret;
    if ((ret = reducer(descriptor, name, obj)) !== false) {
      reducedDescriptors[name] = ret || descriptor;
    }
  });
  Object.defineProperties(obj, reducedDescriptors);
};
var freezeMethods = (obj) => {
  reduceDescriptors(obj, (descriptor, name) => {
    if (isFunction(obj) && ["arguments", "caller", "callee"].indexOf(name) !== -1) {
      return false;
    }
    const value = obj[name];
    if (!isFunction(value))
      return;
    descriptor.enumerable = false;
    if ("writable" in descriptor) {
      descriptor.writable = false;
      return;
    }
    if (!descriptor.set) {
      descriptor.set = () => {
        throw Error("Can not rewrite read-only method '" + name + "'");
      };
    }
  });
};
var toObjectSet = (arrayOrString, delimiter) => {
  const obj = {};
  const define2 = (arr) => {
    arr.forEach((value) => {
      obj[value] = true;
    });
  };
  isArray(arrayOrString) ? define2(arrayOrString) : define2(String(arrayOrString).split(delimiter));
  return obj;
};
var noop = () => {
};
var toFiniteNumber = (value, defaultValue) => {
  value = +value;
  return Number.isFinite(value) ? value : defaultValue;
};
var ALPHA = "abcdefghijklmnopqrstuvwxyz";
var DIGIT = "0123456789";
var ALPHABET = {
  DIGIT,
  ALPHA,
  ALPHA_DIGIT: ALPHA + ALPHA.toUpperCase() + DIGIT
};
var generateString = (size = 16, alphabet = ALPHABET.ALPHA_DIGIT) => {
  let str = "";
  const { length } = alphabet;
  while (size--) {
    str += alphabet[Math.random() * length | 0];
  }
  return str;
};
function isSpecCompliantForm(thing) {
  return !!(thing && isFunction(thing.append) && thing[Symbol.toStringTag] === "FormData" && thing[Symbol.iterator]);
}
var toJSONObject = (obj) => {
  const stack = new Array(10);
  const visit = (source, i3) => {
    if (isObject(source)) {
      if (stack.indexOf(source) >= 0) {
        return;
      }
      if (!("toJSON" in source)) {
        stack[i3] = source;
        const target = isArray(source) ? [] : {};
        forEach(source, (value, key) => {
          const reducedValue = visit(value, i3 + 1);
          !isUndefined(reducedValue) && (target[key] = reducedValue);
        });
        stack[i3] = void 0;
        return target;
      }
    }
    return source;
  };
  return visit(obj, 0);
};
var isAsyncFn = kindOfTest("AsyncFunction");
var isThenable = (thing) => thing && (isObject(thing) || isFunction(thing)) && isFunction(thing.then) && isFunction(thing.catch);
var utils_default = {
  isArray,
  isArrayBuffer,
  isBuffer,
  isFormData,
  isArrayBufferView,
  isString,
  isNumber,
  isBoolean,
  isObject,
  isPlainObject,
  isUndefined,
  isDate,
  isFile,
  isBlob,
  isRegExp,
  isFunction,
  isStream,
  isURLSearchParams,
  isTypedArray,
  isFileList,
  forEach,
  merge,
  extend,
  trim,
  stripBOM,
  inherits,
  toFlatObject,
  kindOf,
  kindOfTest,
  endsWith,
  toArray,
  forEachEntry,
  matchAll,
  isHTMLForm,
  hasOwnProperty,
  hasOwnProp: hasOwnProperty,
  reduceDescriptors,
  freezeMethods,
  toObjectSet,
  toCamelCase,
  noop,
  toFiniteNumber,
  findKey,
  global: _global,
  isContextDefined,
  ALPHABET,
  generateString,
  isSpecCompliantForm,
  toJSONObject,
  isAsyncFn,
  isThenable
};

// node_modules/axios/lib/core/AxiosError.js
function AxiosError(message, code, config, request, response) {
  Error.call(this);
  if (Error.captureStackTrace) {
    Error.captureStackTrace(this, this.constructor);
  } else {
    this.stack = new Error().stack;
  }
  this.message = message;
  this.name = "AxiosError";
  code && (this.code = code);
  config && (this.config = config);
  request && (this.request = request);
  response && (this.response = response);
}
utils_default.inherits(AxiosError, Error, {
  toJSON: function toJSON() {
    return {
      message: this.message,
      name: this.name,
      description: this.description,
      number: this.number,
      fileName: this.fileName,
      lineNumber: this.lineNumber,
      columnNumber: this.columnNumber,
      stack: this.stack,
      config: utils_default.toJSONObject(this.config),
      code: this.code,
      status: this.response && this.response.status ? this.response.status : null
    };
  }
});
var prototype = AxiosError.prototype;
var descriptors = {};
[
  "ERR_BAD_OPTION_VALUE",
  "ERR_BAD_OPTION",
  "ECONNABORTED",
  "ETIMEDOUT",
  "ERR_NETWORK",
  "ERR_FR_TOO_MANY_REDIRECTS",
  "ERR_DEPRECATED",
  "ERR_BAD_RESPONSE",
  "ERR_BAD_REQUEST",
  "ERR_CANCELED",
  "ERR_NOT_SUPPORT",
  "ERR_INVALID_URL"
].forEach((code) => {
  descriptors[code] = { value: code };
});
Object.defineProperties(AxiosError, descriptors);
Object.defineProperty(prototype, "isAxiosError", { value: true });
AxiosError.from = (error, code, config, request, response, customProps) => {
  const axiosError = Object.create(prototype);
  utils_default.toFlatObject(error, axiosError, function filter2(obj) {
    return obj !== Error.prototype;
  }, (prop) => {
    return prop !== "isAxiosError";
  });
  AxiosError.call(axiosError, error.message, code, config, request, response);
  axiosError.cause = error;
  axiosError.name = error.name;
  customProps && Object.assign(axiosError, customProps);
  return axiosError;
};
var AxiosError_default = AxiosError;

// node_modules/axios/lib/platform/node/classes/FormData.js
var import_form_data = __toESM(require_form_data(), 1);
var FormData_default = import_form_data.default;

// node_modules/axios/lib/helpers/toFormData.js
function isVisitable(thing) {
  return utils_default.isPlainObject(thing) || utils_default.isArray(thing);
}
function removeBrackets(key) {
  return utils_default.endsWith(key, "[]") ? key.slice(0, -2) : key;
}
function renderKey(path, key, dots) {
  if (!path)
    return key;
  return path.concat(key).map(function each(token, i3) {
    token = removeBrackets(token);
    return !dots && i3 ? "[" + token + "]" : token;
  }).join(dots ? "." : "");
}
function isFlatArray(arr) {
  return utils_default.isArray(arr) && !arr.some(isVisitable);
}
var predicates = utils_default.toFlatObject(utils_default, {}, null, function filter(prop) {
  return /^is[A-Z]/.test(prop);
});
function toFormData(obj, formData, options) {
  if (!utils_default.isObject(obj)) {
    throw new TypeError("target must be an object");
  }
  formData = formData || new (FormData_default || FormData)();
  options = utils_default.toFlatObject(options, {
    metaTokens: true,
    dots: false,
    indexes: false
  }, false, function defined(option, source) {
    return !utils_default.isUndefined(source[option]);
  });
  const metaTokens = options.metaTokens;
  const visitor = options.visitor || defaultVisitor;
  const dots = options.dots;
  const indexes = options.indexes;
  const _Blob = options.Blob || typeof Blob !== "undefined" && Blob;
  const useBlob = _Blob && utils_default.isSpecCompliantForm(formData);
  if (!utils_default.isFunction(visitor)) {
    throw new TypeError("visitor must be a function");
  }
  function convertValue(value) {
    if (value === null)
      return "";
    if (utils_default.isDate(value)) {
      return value.toISOString();
    }
    if (!useBlob && utils_default.isBlob(value)) {
      throw new AxiosError_default("Blob is not supported. Use a Buffer instead.");
    }
    if (utils_default.isArrayBuffer(value) || utils_default.isTypedArray(value)) {
      return useBlob && typeof Blob === "function" ? new Blob([value]) : Buffer.from(value);
    }
    return value;
  }
  function defaultVisitor(value, key, path) {
    let arr = value;
    if (value && !path && typeof value === "object") {
      if (utils_default.endsWith(key, "{}")) {
        key = metaTokens ? key : key.slice(0, -2);
        value = JSON.stringify(value);
      } else if (utils_default.isArray(value) && isFlatArray(value) || (utils_default.isFileList(value) || utils_default.endsWith(key, "[]")) && (arr = utils_default.toArray(value))) {
        key = removeBrackets(key);
        arr.forEach(function each(el, index) {
          !(utils_default.isUndefined(el) || el === null) && formData.append(
            indexes === true ? renderKey([key], index, dots) : indexes === null ? key : key + "[]",
            convertValue(el)
          );
        });
        return false;
      }
    }
    if (isVisitable(value)) {
      return true;
    }
    formData.append(renderKey(path, key, dots), convertValue(value));
    return false;
  }
  const stack = [];
  const exposedHelpers = Object.assign(predicates, {
    defaultVisitor,
    convertValue,
    isVisitable
  });
  function build(value, path) {
    if (utils_default.isUndefined(value))
      return;
    if (stack.indexOf(value) !== -1) {
      throw Error("Circular reference detected in " + path.join("."));
    }
    stack.push(value);
    utils_default.forEach(value, function each(el, key) {
      const result = !(utils_default.isUndefined(el) || el === null) && visitor.call(
        formData,
        el,
        utils_default.isString(key) ? key.trim() : key,
        path,
        exposedHelpers
      );
      if (result === true) {
        build(el, path ? path.concat(key) : [key]);
      }
    });
    stack.pop();
  }
  if (!utils_default.isObject(obj)) {
    throw new TypeError("data must be an object");
  }
  build(obj);
  return formData;
}
var toFormData_default = toFormData;

// node_modules/axios/lib/helpers/AxiosURLSearchParams.js
function encode(str) {
  const charMap = {
    "!": "%21",
    "'": "%27",
    "(": "%28",
    ")": "%29",
    "~": "%7E",
    "%20": "+",
    "%00": "\0"
  };
  return encodeURIComponent(str).replace(/[!'()~]|%20|%00/g, function replacer(match) {
    return charMap[match];
  });
}
function AxiosURLSearchParams(params, options) {
  this._pairs = [];
  params && toFormData_default(params, this, options);
}
var prototype2 = AxiosURLSearchParams.prototype;
prototype2.append = function append(name, value) {
  this._pairs.push([name, value]);
};
prototype2.toString = function toString2(encoder) {
  const _encode = encoder ? function(value) {
    return encoder.call(this, value, encode);
  } : encode;
  return this._pairs.map(function each(pair) {
    return _encode(pair[0]) + "=" + _encode(pair[1]);
  }, "").join("&");
};
var AxiosURLSearchParams_default = AxiosURLSearchParams;

// node_modules/axios/lib/helpers/buildURL.js
function encode2(val) {
  return encodeURIComponent(val).replace(/%3A/gi, ":").replace(/%24/g, "$").replace(/%2C/gi, ",").replace(/%20/g, "+").replace(/%5B/gi, "[").replace(/%5D/gi, "]");
}
function buildURL(url2, params, options) {
  if (!params) {
    return url2;
  }
  const _encode = options && options.encode || encode2;
  const serializeFn = options && options.serialize;
  let serializedParams;
  if (serializeFn) {
    serializedParams = serializeFn(params, options);
  } else {
    serializedParams = utils_default.isURLSearchParams(params) ? params.toString() : new AxiosURLSearchParams_default(params, options).toString(_encode);
  }
  if (serializedParams) {
    const hashmarkIndex = url2.indexOf("#");
    if (hashmarkIndex !== -1) {
      url2 = url2.slice(0, hashmarkIndex);
    }
    url2 += (url2.indexOf("?") === -1 ? "?" : "&") + serializedParams;
  }
  return url2;
}

// node_modules/axios/lib/core/InterceptorManager.js
var InterceptorManager = class {
  constructor() {
    this.handlers = [];
  }
  use(fulfilled, rejected, options) {
    this.handlers.push({
      fulfilled,
      rejected,
      synchronous: options ? options.synchronous : false,
      runWhen: options ? options.runWhen : null
    });
    return this.handlers.length - 1;
  }
  eject(id) {
    if (this.handlers[id]) {
      this.handlers[id] = null;
    }
  }
  clear() {
    if (this.handlers) {
      this.handlers = [];
    }
  }
  forEach(fn3) {
    utils_default.forEach(this.handlers, function forEachHandler(h3) {
      if (h3 !== null) {
        fn3(h3);
      }
    });
  }
};
var InterceptorManager_default = InterceptorManager;

// node_modules/axios/lib/defaults/transitional.js
var transitional_default = {
  silentJSONParsing: true,
  forcedJSONParsing: true,
  clarifyTimeoutError: false
};

// node_modules/axios/lib/platform/node/classes/URLSearchParams.js
var import_url = __toESM(require("url"), 1);
var URLSearchParams_default = import_url.default.URLSearchParams;

// node_modules/axios/lib/platform/node/index.js
var node_default = {
  isNode: true,
  classes: {
    URLSearchParams: URLSearchParams_default,
    FormData: FormData_default,
    Blob: typeof Blob !== "undefined" && Blob || null
  },
  protocols: ["http", "https", "file", "data"]
};

// node_modules/axios/lib/helpers/toURLEncodedForm.js
function toURLEncodedForm(data, options) {
  return toFormData_default(data, new node_default.classes.URLSearchParams(), Object.assign({
    visitor: function(value, key, path, helpers) {
      if (node_default.isNode && utils_default.isBuffer(value)) {
        this.append(key, value.toString("base64"));
        return false;
      }
      return helpers.defaultVisitor.apply(this, arguments);
    }
  }, options));
}

// node_modules/axios/lib/helpers/formDataToJSON.js
function parsePropPath(name) {
  return utils_default.matchAll(/\w+|\[(\w*)]/g, name).map((match) => {
    return match[0] === "[]" ? "" : match[1] || match[0];
  });
}
function arrayToObject(arr) {
  const obj = {};
  const keys = Object.keys(arr);
  let i3;
  const len = keys.length;
  let key;
  for (i3 = 0; i3 < len; i3++) {
    key = keys[i3];
    obj[key] = arr[key];
  }
  return obj;
}
function formDataToJSON(formData) {
  function buildPath(path, value, target, index) {
    let name = path[index++];
    const isNumericKey = Number.isFinite(+name);
    const isLast = index >= path.length;
    name = !name && utils_default.isArray(target) ? target.length : name;
    if (isLast) {
      if (utils_default.hasOwnProp(target, name)) {
        target[name] = [target[name], value];
      } else {
        target[name] = value;
      }
      return !isNumericKey;
    }
    if (!target[name] || !utils_default.isObject(target[name])) {
      target[name] = [];
    }
    const result = buildPath(path, value, target[name], index);
    if (result && utils_default.isArray(target[name])) {
      target[name] = arrayToObject(target[name]);
    }
    return !isNumericKey;
  }
  if (utils_default.isFormData(formData) && utils_default.isFunction(formData.entries)) {
    const obj = {};
    utils_default.forEachEntry(formData, (name, value) => {
      buildPath(parsePropPath(name), value, obj, 0);
    });
    return obj;
  }
  return null;
}
var formDataToJSON_default = formDataToJSON;

// node_modules/axios/lib/defaults/index.js
function stringifySafely(rawValue, parser, encoder) {
  if (utils_default.isString(rawValue)) {
    try {
      (parser || JSON.parse)(rawValue);
      return utils_default.trim(rawValue);
    } catch (e3) {
      if (e3.name !== "SyntaxError") {
        throw e3;
      }
    }
  }
  return (encoder || JSON.stringify)(rawValue);
}
var defaults = {
  transitional: transitional_default,
  adapter: node_default.isNode ? "http" : "xhr",
  transformRequest: [function transformRequest(data, headers) {
    const contentType = headers.getContentType() || "";
    const hasJSONContentType = contentType.indexOf("application/json") > -1;
    const isObjectPayload = utils_default.isObject(data);
    if (isObjectPayload && utils_default.isHTMLForm(data)) {
      data = new FormData(data);
    }
    const isFormData2 = utils_default.isFormData(data);
    if (isFormData2) {
      if (!hasJSONContentType) {
        return data;
      }
      return hasJSONContentType ? JSON.stringify(formDataToJSON_default(data)) : data;
    }
    if (utils_default.isArrayBuffer(data) || utils_default.isBuffer(data) || utils_default.isStream(data) || utils_default.isFile(data) || utils_default.isBlob(data)) {
      return data;
    }
    if (utils_default.isArrayBufferView(data)) {
      return data.buffer;
    }
    if (utils_default.isURLSearchParams(data)) {
      headers.setContentType("application/x-www-form-urlencoded;charset=utf-8", false);
      return data.toString();
    }
    let isFileList2;
    if (isObjectPayload) {
      if (contentType.indexOf("application/x-www-form-urlencoded") > -1) {
        return toURLEncodedForm(data, this.formSerializer).toString();
      }
      if ((isFileList2 = utils_default.isFileList(data)) || contentType.indexOf("multipart/form-data") > -1) {
        const _FormData = this.env && this.env.FormData;
        return toFormData_default(
          isFileList2 ? { "files[]": data } : data,
          _FormData && new _FormData(),
          this.formSerializer
        );
      }
    }
    if (isObjectPayload || hasJSONContentType) {
      headers.setContentType("application/json", false);
      return stringifySafely(data);
    }
    return data;
  }],
  transformResponse: [function transformResponse(data) {
    const transitional2 = this.transitional || defaults.transitional;
    const forcedJSONParsing = transitional2 && transitional2.forcedJSONParsing;
    const JSONRequested = this.responseType === "json";
    if (data && utils_default.isString(data) && (forcedJSONParsing && !this.responseType || JSONRequested)) {
      const silentJSONParsing = transitional2 && transitional2.silentJSONParsing;
      const strictJSONParsing = !silentJSONParsing && JSONRequested;
      try {
        return JSON.parse(data);
      } catch (e3) {
        if (strictJSONParsing) {
          if (e3.name === "SyntaxError") {
            throw AxiosError_default.from(e3, AxiosError_default.ERR_BAD_RESPONSE, this, null, this.response);
          }
          throw e3;
        }
      }
    }
    return data;
  }],
  timeout: 0,
  xsrfCookieName: "XSRF-TOKEN",
  xsrfHeaderName: "X-XSRF-TOKEN",
  maxContentLength: -1,
  maxBodyLength: -1,
  env: {
    FormData: node_default.classes.FormData,
    Blob: node_default.classes.Blob
  },
  validateStatus: function validateStatus(status) {
    return status >= 200 && status < 300;
  },
  headers: {
    common: {
      "Accept": "application/json, text/plain, */*",
      "Content-Type": void 0
    }
  }
};
utils_default.forEach(["delete", "get", "head", "post", "put", "patch"], (method) => {
  defaults.headers[method] = {};
});
var defaults_default = defaults;

// node_modules/axios/lib/helpers/parseHeaders.js
var ignoreDuplicateOf = utils_default.toObjectSet([
  "age",
  "authorization",
  "content-length",
  "content-type",
  "etag",
  "expires",
  "from",
  "host",
  "if-modified-since",
  "if-unmodified-since",
  "last-modified",
  "location",
  "max-forwards",
  "proxy-authorization",
  "referer",
  "retry-after",
  "user-agent"
]);
var parseHeaders_default = (rawHeaders) => {
  const parsed = {};
  let key;
  let val;
  let i3;
  rawHeaders && rawHeaders.split("\n").forEach(function parser(line) {
    i3 = line.indexOf(":");
    key = line.substring(0, i3).trim().toLowerCase();
    val = line.substring(i3 + 1).trim();
    if (!key || parsed[key] && ignoreDuplicateOf[key]) {
      return;
    }
    if (key === "set-cookie") {
      if (parsed[key]) {
        parsed[key].push(val);
      } else {
        parsed[key] = [val];
      }
    } else {
      parsed[key] = parsed[key] ? parsed[key] + ", " + val : val;
    }
  });
  return parsed;
};

// node_modules/axios/lib/core/AxiosHeaders.js
var $internals = Symbol("internals");
function normalizeHeader(header) {
  return header && String(header).trim().toLowerCase();
}
function normalizeValue(value) {
  if (value === false || value == null) {
    return value;
  }
  return utils_default.isArray(value) ? value.map(normalizeValue) : String(value);
}
function parseTokens(str) {
  const tokens = /* @__PURE__ */ Object.create(null);
  const tokensRE = /([^\s,;=]+)\s*(?:=\s*([^,;]+))?/g;
  let match;
  while (match = tokensRE.exec(str)) {
    tokens[match[1]] = match[2];
  }
  return tokens;
}
var isValidHeaderName = (str) => /^[-_a-zA-Z0-9^`|~,!#$%&'*+.]+$/.test(str.trim());
function matchHeaderValue(context, value, header, filter2, isHeaderNameFilter) {
  if (utils_default.isFunction(filter2)) {
    return filter2.call(this, value, header);
  }
  if (isHeaderNameFilter) {
    value = header;
  }
  if (!utils_default.isString(value))
    return;
  if (utils_default.isString(filter2)) {
    return value.indexOf(filter2) !== -1;
  }
  if (utils_default.isRegExp(filter2)) {
    return filter2.test(value);
  }
}
function formatHeader(header) {
  return header.trim().toLowerCase().replace(/([a-z\d])(\w*)/g, (w3, char, str) => {
    return char.toUpperCase() + str;
  });
}
function buildAccessors(obj, header) {
  const accessorName = utils_default.toCamelCase(" " + header);
  ["get", "set", "has"].forEach((methodName) => {
    Object.defineProperty(obj, methodName + accessorName, {
      value: function(arg1, arg2, arg3) {
        return this[methodName].call(this, header, arg1, arg2, arg3);
      },
      configurable: true
    });
  });
}
var AxiosHeaders = class {
  constructor(headers) {
    headers && this.set(headers);
  }
  set(header, valueOrRewrite, rewrite) {
    const self2 = this;
    function setHeader(_value, _header, _rewrite) {
      const lHeader = normalizeHeader(_header);
      if (!lHeader) {
        throw new Error("header name must be a non-empty string");
      }
      const key = utils_default.findKey(self2, lHeader);
      if (!key || self2[key] === void 0 || _rewrite === true || _rewrite === void 0 && self2[key] !== false) {
        self2[key || _header] = normalizeValue(_value);
      }
    }
    const setHeaders = (headers, _rewrite) => utils_default.forEach(headers, (_value, _header) => setHeader(_value, _header, _rewrite));
    if (utils_default.isPlainObject(header) || header instanceof this.constructor) {
      setHeaders(header, valueOrRewrite);
    } else if (utils_default.isString(header) && (header = header.trim()) && !isValidHeaderName(header)) {
      setHeaders(parseHeaders_default(header), valueOrRewrite);
    } else {
      header != null && setHeader(valueOrRewrite, header, rewrite);
    }
    return this;
  }
  get(header, parser) {
    header = normalizeHeader(header);
    if (header) {
      const key = utils_default.findKey(this, header);
      if (key) {
        const value = this[key];
        if (!parser) {
          return value;
        }
        if (parser === true) {
          return parseTokens(value);
        }
        if (utils_default.isFunction(parser)) {
          return parser.call(this, value, key);
        }
        if (utils_default.isRegExp(parser)) {
          return parser.exec(value);
        }
        throw new TypeError("parser must be boolean|regexp|function");
      }
    }
  }
  has(header, matcher) {
    header = normalizeHeader(header);
    if (header) {
      const key = utils_default.findKey(this, header);
      return !!(key && this[key] !== void 0 && (!matcher || matchHeaderValue(this, this[key], key, matcher)));
    }
    return false;
  }
  delete(header, matcher) {
    const self2 = this;
    let deleted = false;
    function deleteHeader(_header) {
      _header = normalizeHeader(_header);
      if (_header) {
        const key = utils_default.findKey(self2, _header);
        if (key && (!matcher || matchHeaderValue(self2, self2[key], key, matcher))) {
          delete self2[key];
          deleted = true;
        }
      }
    }
    if (utils_default.isArray(header)) {
      header.forEach(deleteHeader);
    } else {
      deleteHeader(header);
    }
    return deleted;
  }
  clear(matcher) {
    const keys = Object.keys(this);
    let i3 = keys.length;
    let deleted = false;
    while (i3--) {
      const key = keys[i3];
      if (!matcher || matchHeaderValue(this, this[key], key, matcher, true)) {
        delete this[key];
        deleted = true;
      }
    }
    return deleted;
  }
  normalize(format) {
    const self2 = this;
    const headers = {};
    utils_default.forEach(this, (value, header) => {
      const key = utils_default.findKey(headers, header);
      if (key) {
        self2[key] = normalizeValue(value);
        delete self2[header];
        return;
      }
      const normalized = format ? formatHeader(header) : String(header).trim();
      if (normalized !== header) {
        delete self2[header];
      }
      self2[normalized] = normalizeValue(value);
      headers[normalized] = true;
    });
    return this;
  }
  concat(...targets) {
    return this.constructor.concat(this, ...targets);
  }
  toJSON(asStrings) {
    const obj = /* @__PURE__ */ Object.create(null);
    utils_default.forEach(this, (value, header) => {
      value != null && value !== false && (obj[header] = asStrings && utils_default.isArray(value) ? value.join(", ") : value);
    });
    return obj;
  }
  [Symbol.iterator]() {
    return Object.entries(this.toJSON())[Symbol.iterator]();
  }
  toString() {
    return Object.entries(this.toJSON()).map(([header, value]) => header + ": " + value).join("\n");
  }
  get [Symbol.toStringTag]() {
    return "AxiosHeaders";
  }
  static from(thing) {
    return thing instanceof this ? thing : new this(thing);
  }
  static concat(first, ...targets) {
    const computed = new this(first);
    targets.forEach((target) => computed.set(target));
    return computed;
  }
  static accessor(header) {
    const internals = this[$internals] = this[$internals] = {
      accessors: {}
    };
    const accessors = internals.accessors;
    const prototype3 = this.prototype;
    function defineAccessor(_header) {
      const lHeader = normalizeHeader(_header);
      if (!accessors[lHeader]) {
        buildAccessors(prototype3, _header);
        accessors[lHeader] = true;
      }
    }
    utils_default.isArray(header) ? header.forEach(defineAccessor) : defineAccessor(header);
    return this;
  }
};
AxiosHeaders.accessor(["Content-Type", "Content-Length", "Accept", "Accept-Encoding", "User-Agent", "Authorization"]);
utils_default.reduceDescriptors(AxiosHeaders.prototype, ({ value }, key) => {
  let mapped = key[0].toUpperCase() + key.slice(1);
  return {
    get: () => value,
    set(headerValue) {
      this[mapped] = headerValue;
    }
  };
});
utils_default.freezeMethods(AxiosHeaders);
var AxiosHeaders_default = AxiosHeaders;

// node_modules/axios/lib/core/transformData.js
function transformData(fns, response) {
  const config = this || defaults_default;
  const context = response || config;
  const headers = AxiosHeaders_default.from(context.headers);
  let data = context.data;
  utils_default.forEach(fns, function transform(fn3) {
    data = fn3.call(config, data, headers.normalize(), response ? response.status : void 0);
  });
  headers.normalize();
  return data;
}

// node_modules/axios/lib/cancel/isCancel.js
function isCancel(value) {
  return !!(value && value.__CANCEL__);
}

// node_modules/axios/lib/cancel/CanceledError.js
function CanceledError(message, config, request) {
  AxiosError_default.call(this, message == null ? "canceled" : message, AxiosError_default.ERR_CANCELED, config, request);
  this.name = "CanceledError";
}
utils_default.inherits(CanceledError, AxiosError_default, {
  __CANCEL__: true
});
var CanceledError_default = CanceledError;

// node_modules/axios/lib/core/settle.js
function settle(resolve, reject, response) {
  const validateStatus2 = response.config.validateStatus;
  if (!response.status || !validateStatus2 || validateStatus2(response.status)) {
    resolve(response);
  } else {
    reject(new AxiosError_default(
      "Request failed with status code " + response.status,
      [AxiosError_default.ERR_BAD_REQUEST, AxiosError_default.ERR_BAD_RESPONSE][Math.floor(response.status / 100) - 4],
      response.config,
      response.request,
      response
    ));
  }
}

// node_modules/axios/lib/helpers/isAbsoluteURL.js
function isAbsoluteURL(url2) {
  return /^([a-z][a-z\d+\-.]*:)?\/\//i.test(url2);
}

// node_modules/axios/lib/helpers/combineURLs.js
function combineURLs(baseURL, relativeURL) {
  return relativeURL ? baseURL.replace(/\/+$/, "") + "/" + relativeURL.replace(/^\/+/, "") : baseURL;
}

// node_modules/axios/lib/core/buildFullPath.js
function buildFullPath(baseURL, requestedURL) {
  if (baseURL && !isAbsoluteURL(requestedURL)) {
    return combineURLs(baseURL, requestedURL);
  }
  return requestedURL;
}

// node_modules/axios/lib/adapters/http.js
var import_proxy_from_env = __toESM(require_proxy_from_env(), 1);
var import_http = __toESM(require("http"), 1);
var import_https = __toESM(require("https"), 1);
var import_util2 = __toESM(require("util"), 1);
var import_follow_redirects = __toESM(require_follow_redirects(), 1);
var import_zlib = __toESM(require("zlib"), 1);

// node_modules/axios/lib/env/data.js
var VERSION = "1.5.0";

// node_modules/axios/lib/helpers/parseProtocol.js
function parseProtocol(url2) {
  const match = /^([-+\w]{1,25})(:?\/\/|:)/.exec(url2);
  return match && match[1] || "";
}

// node_modules/axios/lib/helpers/fromDataURI.js
var DATA_URL_PATTERN = /^(?:([^;]+);)?(?:[^;]+;)?(base64|),([\s\S]*)$/;
function fromDataURI(uri, asBlob, options) {
  const _Blob = options && options.Blob || node_default.classes.Blob;
  const protocol = parseProtocol(uri);
  if (asBlob === void 0 && _Blob) {
    asBlob = true;
  }
  if (protocol === "data") {
    uri = protocol.length ? uri.slice(protocol.length + 1) : uri;
    const match = DATA_URL_PATTERN.exec(uri);
    if (!match) {
      throw new AxiosError_default("Invalid URL", AxiosError_default.ERR_INVALID_URL);
    }
    const mime = match[1];
    const isBase64 = match[2];
    const body = match[3];
    const buffer = Buffer.from(decodeURIComponent(body), isBase64 ? "base64" : "utf8");
    if (asBlob) {
      if (!_Blob) {
        throw new AxiosError_default("Blob is not supported", AxiosError_default.ERR_NOT_SUPPORT);
      }
      return new _Blob([buffer], { type: mime });
    }
    return buffer;
  }
  throw new AxiosError_default("Unsupported protocol " + protocol, AxiosError_default.ERR_NOT_SUPPORT);
}

// node_modules/axios/lib/adapters/http.js
var import_stream4 = __toESM(require("stream"), 1);

// node_modules/axios/lib/helpers/AxiosTransformStream.js
var import_stream = __toESM(require("stream"), 1);

// node_modules/axios/lib/helpers/throttle.js
function throttle(fn3, freq) {
  let timestamp = 0;
  const threshold = 1e3 / freq;
  let timer = null;
  return function throttled(force, args) {
    const now = Date.now();
    if (force || now - timestamp > threshold) {
      if (timer) {
        clearTimeout(timer);
        timer = null;
      }
      timestamp = now;
      return fn3.apply(null, args);
    }
    if (!timer) {
      timer = setTimeout(() => {
        timer = null;
        timestamp = Date.now();
        return fn3.apply(null, args);
      }, threshold - (now - timestamp));
    }
  };
}
var throttle_default = throttle;

// node_modules/axios/lib/helpers/speedometer.js
function speedometer(samplesCount, min) {
  samplesCount = samplesCount || 10;
  const bytes = new Array(samplesCount);
  const timestamps = new Array(samplesCount);
  let head = 0;
  let tail = 0;
  let firstSampleTS;
  min = min !== void 0 ? min : 1e3;
  return function push(chunkLength) {
    const now = Date.now();
    const startedAt = timestamps[tail];
    if (!firstSampleTS) {
      firstSampleTS = now;
    }
    bytes[head] = chunkLength;
    timestamps[head] = now;
    let i3 = tail;
    let bytesCount = 0;
    while (i3 !== head) {
      bytesCount += bytes[i3++];
      i3 = i3 % samplesCount;
    }
    head = (head + 1) % samplesCount;
    if (head === tail) {
      tail = (tail + 1) % samplesCount;
    }
    if (now - firstSampleTS < min) {
      return;
    }
    const passed = startedAt && now - startedAt;
    return passed ? Math.round(bytesCount * 1e3 / passed) : void 0;
  };
}
var speedometer_default = speedometer;

// node_modules/axios/lib/helpers/AxiosTransformStream.js
var kInternals = Symbol("internals");
var AxiosTransformStream = class extends import_stream.default.Transform {
  constructor(options) {
    options = utils_default.toFlatObject(options, {
      maxRate: 0,
      chunkSize: 64 * 1024,
      minChunkSize: 100,
      timeWindow: 500,
      ticksRate: 2,
      samplesCount: 15
    }, null, (prop, source) => {
      return !utils_default.isUndefined(source[prop]);
    });
    super({
      readableHighWaterMark: options.chunkSize
    });
    const self2 = this;
    const internals = this[kInternals] = {
      length: options.length,
      timeWindow: options.timeWindow,
      ticksRate: options.ticksRate,
      chunkSize: options.chunkSize,
      maxRate: options.maxRate,
      minChunkSize: options.minChunkSize,
      bytesSeen: 0,
      isCaptured: false,
      notifiedBytesLoaded: 0,
      ts: Date.now(),
      bytes: 0,
      onReadCallback: null
    };
    const _speedometer = speedometer_default(internals.ticksRate * options.samplesCount, internals.timeWindow);
    this.on("newListener", (event) => {
      if (event === "progress") {
        if (!internals.isCaptured) {
          internals.isCaptured = true;
        }
      }
    });
    let bytesNotified = 0;
    internals.updateProgress = throttle_default(function throttledHandler() {
      const totalBytes = internals.length;
      const bytesTransferred = internals.bytesSeen;
      const progressBytes = bytesTransferred - bytesNotified;
      if (!progressBytes || self2.destroyed)
        return;
      const rate = _speedometer(progressBytes);
      bytesNotified = bytesTransferred;
      process.nextTick(() => {
        self2.emit("progress", {
          "loaded": bytesTransferred,
          "total": totalBytes,
          "progress": totalBytes ? bytesTransferred / totalBytes : void 0,
          "bytes": progressBytes,
          "rate": rate ? rate : void 0,
          "estimated": rate && totalBytes && bytesTransferred <= totalBytes ? (totalBytes - bytesTransferred) / rate : void 0
        });
      });
    }, internals.ticksRate);
    const onFinish = () => {
      internals.updateProgress(true);
    };
    this.once("end", onFinish);
    this.once("error", onFinish);
  }
  _read(size) {
    const internals = this[kInternals];
    if (internals.onReadCallback) {
      internals.onReadCallback();
    }
    return super._read(size);
  }
  _transform(chunk, encoding, callback) {
    const self2 = this;
    const internals = this[kInternals];
    const maxRate = internals.maxRate;
    const readableHighWaterMark = this.readableHighWaterMark;
    const timeWindow = internals.timeWindow;
    const divider = 1e3 / timeWindow;
    const bytesThreshold = maxRate / divider;
    const minChunkSize = internals.minChunkSize !== false ? Math.max(internals.minChunkSize, bytesThreshold * 0.01) : 0;
    function pushChunk(_chunk, _callback) {
      const bytes = Buffer.byteLength(_chunk);
      internals.bytesSeen += bytes;
      internals.bytes += bytes;
      if (internals.isCaptured) {
        internals.updateProgress();
      }
      if (self2.push(_chunk)) {
        process.nextTick(_callback);
      } else {
        internals.onReadCallback = () => {
          internals.onReadCallback = null;
          process.nextTick(_callback);
        };
      }
    }
    const transformChunk = (_chunk, _callback) => {
      const chunkSize = Buffer.byteLength(_chunk);
      let chunkRemainder = null;
      let maxChunkSize = readableHighWaterMark;
      let bytesLeft;
      let passed = 0;
      if (maxRate) {
        const now = Date.now();
        if (!internals.ts || (passed = now - internals.ts) >= timeWindow) {
          internals.ts = now;
          bytesLeft = bytesThreshold - internals.bytes;
          internals.bytes = bytesLeft < 0 ? -bytesLeft : 0;
          passed = 0;
        }
        bytesLeft = bytesThreshold - internals.bytes;
      }
      if (maxRate) {
        if (bytesLeft <= 0) {
          return setTimeout(() => {
            _callback(null, _chunk);
          }, timeWindow - passed);
        }
        if (bytesLeft < maxChunkSize) {
          maxChunkSize = bytesLeft;
        }
      }
      if (maxChunkSize && chunkSize > maxChunkSize && chunkSize - maxChunkSize > minChunkSize) {
        chunkRemainder = _chunk.subarray(maxChunkSize);
        _chunk = _chunk.subarray(0, maxChunkSize);
      }
      pushChunk(_chunk, chunkRemainder ? () => {
        process.nextTick(_callback, null, chunkRemainder);
      } : _callback);
    };
    transformChunk(chunk, function transformNextChunk(err, _chunk) {
      if (err) {
        return callback(err);
      }
      if (_chunk) {
        transformChunk(_chunk, transformNextChunk);
      } else {
        callback(null);
      }
    });
  }
  setLength(length) {
    this[kInternals].length = +length;
    return this;
  }
};
var AxiosTransformStream_default = AxiosTransformStream;

// node_modules/axios/lib/adapters/http.js
var import_events = __toESM(require("events"), 1);

// node_modules/axios/lib/helpers/formDataToStream.js
var import_util = require("util");
var import_stream2 = require("stream");

// node_modules/axios/lib/helpers/readBlob.js
var { asyncIterator } = Symbol;
var readBlob = async function* (blob) {
  if (blob.stream) {
    yield* blob.stream();
  } else if (blob.arrayBuffer) {
    yield await blob.arrayBuffer();
  } else if (blob[asyncIterator]) {
    yield* blob[asyncIterator]();
  } else {
    yield blob;
  }
};
var readBlob_default = readBlob;

// node_modules/axios/lib/helpers/formDataToStream.js
var BOUNDARY_ALPHABET = utils_default.ALPHABET.ALPHA_DIGIT + "-_";
var textEncoder = new import_util.TextEncoder();
var CRLF = "\r\n";
var CRLF_BYTES = textEncoder.encode(CRLF);
var CRLF_BYTES_COUNT = 2;
var FormDataPart = class {
  constructor(name, value) {
    const { escapeName } = this.constructor;
    const isStringValue = utils_default.isString(value);
    let headers = `Content-Disposition: form-data; name="${escapeName(name)}"${!isStringValue && value.name ? `; filename="${escapeName(value.name)}"` : ""}${CRLF}`;
    if (isStringValue) {
      value = textEncoder.encode(String(value).replace(/\r?\n|\r\n?/g, CRLF));
    } else {
      headers += `Content-Type: ${value.type || "application/octet-stream"}${CRLF}`;
    }
    this.headers = textEncoder.encode(headers + CRLF);
    this.contentLength = isStringValue ? value.byteLength : value.size;
    this.size = this.headers.byteLength + this.contentLength + CRLF_BYTES_COUNT;
    this.name = name;
    this.value = value;
  }
  async *encode() {
    yield this.headers;
    const { value } = this;
    if (utils_default.isTypedArray(value)) {
      yield value;
    } else {
      yield* readBlob_default(value);
    }
    yield CRLF_BYTES;
  }
  static escapeName(name) {
    return String(name).replace(/[\r\n"]/g, (match) => ({
      "\r": "%0D",
      "\n": "%0A",
      '"': "%22"
    })[match]);
  }
};
var formDataToStream = (form, headersHandler, options) => {
  const {
    tag = "form-data-boundary",
    size = 25,
    boundary = tag + "-" + utils_default.generateString(size, BOUNDARY_ALPHABET)
  } = options || {};
  if (!utils_default.isFormData(form)) {
    throw TypeError("FormData instance required");
  }
  if (boundary.length < 1 || boundary.length > 70) {
    throw Error("boundary must be 10-70 characters long");
  }
  const boundaryBytes = textEncoder.encode("--" + boundary + CRLF);
  const footerBytes = textEncoder.encode("--" + boundary + "--" + CRLF + CRLF);
  let contentLength = footerBytes.byteLength;
  const parts = Array.from(form.entries()).map(([name, value]) => {
    const part = new FormDataPart(name, value);
    contentLength += part.size;
    return part;
  });
  contentLength += boundaryBytes.byteLength * parts.length;
  contentLength = utils_default.toFiniteNumber(contentLength);
  const computedHeaders = {
    "Content-Type": `multipart/form-data; boundary=${boundary}`
  };
  if (Number.isFinite(contentLength)) {
    computedHeaders["Content-Length"] = contentLength;
  }
  headersHandler && headersHandler(computedHeaders);
  return import_stream2.Readable.from(async function* () {
    for (const part of parts) {
      yield boundaryBytes;
      yield* part.encode();
    }
    yield footerBytes;
  }());
};
var formDataToStream_default = formDataToStream;

// node_modules/axios/lib/helpers/ZlibHeaderTransformStream.js
var import_stream3 = __toESM(require("stream"), 1);
var ZlibHeaderTransformStream = class extends import_stream3.default.Transform {
  __transform(chunk, encoding, callback) {
    this.push(chunk);
    callback();
  }
  _transform(chunk, encoding, callback) {
    if (chunk.length !== 0) {
      this._transform = this.__transform;
      if (chunk[0] !== 120) {
        const header = Buffer.alloc(2);
        header[0] = 120;
        header[1] = 156;
        this.push(header, encoding);
      }
    }
    this.__transform(chunk, encoding, callback);
  }
};
var ZlibHeaderTransformStream_default = ZlibHeaderTransformStream;

// node_modules/axios/lib/helpers/callbackify.js
var callbackify = (fn3, reducer) => {
  return utils_default.isAsyncFn(fn3) ? function(...args) {
    const cb = args.pop();
    fn3.apply(this, args).then((value) => {
      try {
        reducer ? cb(null, ...reducer(value)) : cb(null, value);
      } catch (err) {
        cb(err);
      }
    }, cb);
  } : fn3;
};
var callbackify_default = callbackify;

// node_modules/axios/lib/adapters/http.js
var zlibOptions = {
  flush: import_zlib.default.constants.Z_SYNC_FLUSH,
  finishFlush: import_zlib.default.constants.Z_SYNC_FLUSH
};
var brotliOptions = {
  flush: import_zlib.default.constants.BROTLI_OPERATION_FLUSH,
  finishFlush: import_zlib.default.constants.BROTLI_OPERATION_FLUSH
};
var isBrotliSupported = utils_default.isFunction(import_zlib.default.createBrotliDecompress);
var { http: httpFollow, https: httpsFollow } = import_follow_redirects.default;
var isHttps = /https:?/;
var supportedProtocols = node_default.protocols.map((protocol) => {
  return protocol + ":";
});
function dispatchBeforeRedirect(options) {
  if (options.beforeRedirects.proxy) {
    options.beforeRedirects.proxy(options);
  }
  if (options.beforeRedirects.config) {
    options.beforeRedirects.config(options);
  }
}
function setProxy(options, configProxy, location2) {
  let proxy = configProxy;
  if (!proxy && proxy !== false) {
    const proxyUrl = (0, import_proxy_from_env.getProxyForUrl)(location2);
    if (proxyUrl) {
      proxy = new URL(proxyUrl);
    }
  }
  if (proxy) {
    if (proxy.username) {
      proxy.auth = (proxy.username || "") + ":" + (proxy.password || "");
    }
    if (proxy.auth) {
      if (proxy.auth.username || proxy.auth.password) {
        proxy.auth = (proxy.auth.username || "") + ":" + (proxy.auth.password || "");
      }
      const base64 = Buffer.from(proxy.auth, "utf8").toString("base64");
      options.headers["Proxy-Authorization"] = "Basic " + base64;
    }
    options.headers.host = options.hostname + (options.port ? ":" + options.port : "");
    const proxyHost = proxy.hostname || proxy.host;
    options.hostname = proxyHost;
    options.host = proxyHost;
    options.port = proxy.port;
    options.path = location2;
    if (proxy.protocol) {
      options.protocol = proxy.protocol.includes(":") ? proxy.protocol : `${proxy.protocol}:`;
    }
  }
  options.beforeRedirects.proxy = function beforeRedirect(redirectOptions) {
    setProxy(redirectOptions, configProxy, redirectOptions.href);
  };
}
var isHttpAdapterSupported = typeof process !== "undefined" && utils_default.kindOf(process) === "process";
var wrapAsync = (asyncExecutor) => {
  return new Promise((resolve, reject) => {
    let onDone;
    let isDone;
    const done = (value, isRejected) => {
      if (isDone)
        return;
      isDone = true;
      onDone && onDone(value, isRejected);
    };
    const _resolve = (value) => {
      done(value);
      resolve(value);
    };
    const _reject = (reason) => {
      done(reason, true);
      reject(reason);
    };
    asyncExecutor(_resolve, _reject, (onDoneHandler) => onDone = onDoneHandler).catch(_reject);
  });
};
var http_default = isHttpAdapterSupported && function httpAdapter(config) {
  return wrapAsync(async function dispatchHttpRequest(resolve, reject, onDone) {
    let { data, lookup, family } = config;
    const { responseType, responseEncoding } = config;
    const method = config.method.toUpperCase();
    let isDone;
    let rejected = false;
    let req;
    if (lookup && utils_default.isAsyncFn(lookup)) {
      lookup = callbackify_default(lookup, (entry) => {
        if (utils_default.isString(entry)) {
          entry = [entry, entry.indexOf(".") < 0 ? 6 : 4];
        } else if (!utils_default.isArray(entry)) {
          throw new TypeError("lookup async function must return an array [ip: string, family: number]]");
        }
        return entry;
      });
    }
    const emitter = new import_events.default();
    const onFinished = () => {
      if (config.cancelToken) {
        config.cancelToken.unsubscribe(abort);
      }
      if (config.signal) {
        config.signal.removeEventListener("abort", abort);
      }
      emitter.removeAllListeners();
    };
    onDone((value, isRejected) => {
      isDone = true;
      if (isRejected) {
        rejected = true;
        onFinished();
      }
    });
    function abort(reason) {
      emitter.emit("abort", !reason || reason.type ? new CanceledError_default(null, config, req) : reason);
    }
    emitter.once("abort", reject);
    if (config.cancelToken || config.signal) {
      config.cancelToken && config.cancelToken.subscribe(abort);
      if (config.signal) {
        config.signal.aborted ? abort() : config.signal.addEventListener("abort", abort);
      }
    }
    const fullPath = buildFullPath(config.baseURL, config.url);
    const parsed = new URL(fullPath, "http://localhost");
    const protocol = parsed.protocol || supportedProtocols[0];
    if (protocol === "data:") {
      let convertedData;
      if (method !== "GET") {
        return settle(resolve, reject, {
          status: 405,
          statusText: "method not allowed",
          headers: {},
          config
        });
      }
      try {
        convertedData = fromDataURI(config.url, responseType === "blob", {
          Blob: config.env && config.env.Blob
        });
      } catch (err) {
        throw AxiosError_default.from(err, AxiosError_default.ERR_BAD_REQUEST, config);
      }
      if (responseType === "text") {
        convertedData = convertedData.toString(responseEncoding);
        if (!responseEncoding || responseEncoding === "utf8") {
          convertedData = utils_default.stripBOM(convertedData);
        }
      } else if (responseType === "stream") {
        convertedData = import_stream4.default.Readable.from(convertedData);
      }
      return settle(resolve, reject, {
        data: convertedData,
        status: 200,
        statusText: "OK",
        headers: new AxiosHeaders_default(),
        config
      });
    }
    if (supportedProtocols.indexOf(protocol) === -1) {
      return reject(new AxiosError_default(
        "Unsupported protocol " + protocol,
        AxiosError_default.ERR_BAD_REQUEST,
        config
      ));
    }
    const headers = AxiosHeaders_default.from(config.headers).normalize();
    headers.set("User-Agent", "axios/" + VERSION, false);
    const onDownloadProgress = config.onDownloadProgress;
    const onUploadProgress = config.onUploadProgress;
    const maxRate = config.maxRate;
    let maxUploadRate = void 0;
    let maxDownloadRate = void 0;
    if (utils_default.isSpecCompliantForm(data)) {
      const userBoundary = headers.getContentType(/boundary=([-_\w\d]{10,70})/i);
      data = formDataToStream_default(data, (formHeaders) => {
        headers.set(formHeaders);
      }, {
        tag: `axios-${VERSION}-boundary`,
        boundary: userBoundary && userBoundary[1] || void 0
      });
    } else if (utils_default.isFormData(data) && utils_default.isFunction(data.getHeaders)) {
      headers.set(data.getHeaders());
      if (!headers.hasContentLength()) {
        try {
          const knownLength = await import_util2.default.promisify(data.getLength).call(data);
          Number.isFinite(knownLength) && knownLength >= 0 && headers.setContentLength(knownLength);
        } catch (e3) {
        }
      }
    } else if (utils_default.isBlob(data)) {
      data.size && headers.setContentType(data.type || "application/octet-stream");
      headers.setContentLength(data.size || 0);
      data = import_stream4.default.Readable.from(readBlob_default(data));
    } else if (data && !utils_default.isStream(data)) {
      if (Buffer.isBuffer(data)) {
      } else if (utils_default.isArrayBuffer(data)) {
        data = Buffer.from(new Uint8Array(data));
      } else if (utils_default.isString(data)) {
        data = Buffer.from(data, "utf-8");
      } else {
        return reject(new AxiosError_default(
          "Data after transformation must be a string, an ArrayBuffer, a Buffer, or a Stream",
          AxiosError_default.ERR_BAD_REQUEST,
          config
        ));
      }
      headers.setContentLength(data.length, false);
      if (config.maxBodyLength > -1 && data.length > config.maxBodyLength) {
        return reject(new AxiosError_default(
          "Request body larger than maxBodyLength limit",
          AxiosError_default.ERR_BAD_REQUEST,
          config
        ));
      }
    }
    const contentLength = utils_default.toFiniteNumber(headers.getContentLength());
    if (utils_default.isArray(maxRate)) {
      maxUploadRate = maxRate[0];
      maxDownloadRate = maxRate[1];
    } else {
      maxUploadRate = maxDownloadRate = maxRate;
    }
    if (data && (onUploadProgress || maxUploadRate)) {
      if (!utils_default.isStream(data)) {
        data = import_stream4.default.Readable.from(data, { objectMode: false });
      }
      data = import_stream4.default.pipeline([data, new AxiosTransformStream_default({
        length: contentLength,
        maxRate: utils_default.toFiniteNumber(maxUploadRate)
      })], utils_default.noop);
      onUploadProgress && data.on("progress", (progress) => {
        onUploadProgress(Object.assign(progress, {
          upload: true
        }));
      });
    }
    let auth = void 0;
    if (config.auth) {
      const username = config.auth.username || "";
      const password = config.auth.password || "";
      auth = username + ":" + password;
    }
    if (!auth && parsed.username) {
      const urlUsername = parsed.username;
      const urlPassword = parsed.password;
      auth = urlUsername + ":" + urlPassword;
    }
    auth && headers.delete("authorization");
    let path;
    try {
      path = buildURL(
        parsed.pathname + parsed.search,
        config.params,
        config.paramsSerializer
      ).replace(/^\?/, "");
    } catch (err) {
      const customErr = new Error(err.message);
      customErr.config = config;
      customErr.url = config.url;
      customErr.exists = true;
      return reject(customErr);
    }
    headers.set(
      "Accept-Encoding",
      "gzip, compress, deflate" + (isBrotliSupported ? ", br" : ""),
      false
    );
    const options = {
      path,
      method,
      headers: headers.toJSON(),
      agents: { http: config.httpAgent, https: config.httpsAgent },
      auth,
      protocol,
      family,
      beforeRedirect: dispatchBeforeRedirect,
      beforeRedirects: {}
    };
    !utils_default.isUndefined(lookup) && (options.lookup = lookup);
    if (config.socketPath) {
      options.socketPath = config.socketPath;
    } else {
      options.hostname = parsed.hostname;
      options.port = parsed.port;
      setProxy(options, config.proxy, protocol + "//" + parsed.hostname + (parsed.port ? ":" + parsed.port : "") + options.path);
    }
    let transport;
    const isHttpsRequest = isHttps.test(options.protocol);
    options.agent = isHttpsRequest ? config.httpsAgent : config.httpAgent;
    if (config.transport) {
      transport = config.transport;
    } else if (config.maxRedirects === 0) {
      transport = isHttpsRequest ? import_https.default : import_http.default;
    } else {
      if (config.maxRedirects) {
        options.maxRedirects = config.maxRedirects;
      }
      if (config.beforeRedirect) {
        options.beforeRedirects.config = config.beforeRedirect;
      }
      transport = isHttpsRequest ? httpsFollow : httpFollow;
    }
    if (config.maxBodyLength > -1) {
      options.maxBodyLength = config.maxBodyLength;
    } else {
      options.maxBodyLength = Infinity;
    }
    if (config.insecureHTTPParser) {
      options.insecureHTTPParser = config.insecureHTTPParser;
    }
    req = transport.request(options, function handleResponse(res) {
      if (req.destroyed)
        return;
      const streams = [res];
      const responseLength = +res.headers["content-length"];
      if (onDownloadProgress) {
        const transformStream = new AxiosTransformStream_default({
          length: utils_default.toFiniteNumber(responseLength),
          maxRate: utils_default.toFiniteNumber(maxDownloadRate)
        });
        onDownloadProgress && transformStream.on("progress", (progress) => {
          onDownloadProgress(Object.assign(progress, {
            download: true
          }));
        });
        streams.push(transformStream);
      }
      let responseStream = res;
      const lastRequest = res.req || req;
      if (config.decompress !== false && res.headers["content-encoding"]) {
        if (method === "HEAD" || res.statusCode === 204) {
          delete res.headers["content-encoding"];
        }
        switch (res.headers["content-encoding"]) {
          case "gzip":
          case "x-gzip":
          case "compress":
          case "x-compress":
            streams.push(import_zlib.default.createUnzip(zlibOptions));
            delete res.headers["content-encoding"];
            break;
          case "deflate":
            streams.push(new ZlibHeaderTransformStream_default());
            streams.push(import_zlib.default.createUnzip(zlibOptions));
            delete res.headers["content-encoding"];
            break;
          case "br":
            if (isBrotliSupported) {
              streams.push(import_zlib.default.createBrotliDecompress(brotliOptions));
              delete res.headers["content-encoding"];
            }
        }
      }
      responseStream = streams.length > 1 ? import_stream4.default.pipeline(streams, utils_default.noop) : streams[0];
      const offListeners = import_stream4.default.finished(responseStream, () => {
        offListeners();
        onFinished();
      });
      const response = {
        status: res.statusCode,
        statusText: res.statusMessage,
        headers: new AxiosHeaders_default(res.headers),
        config,
        request: lastRequest
      };
      if (responseType === "stream") {
        response.data = responseStream;
        settle(resolve, reject, response);
      } else {
        const responseBuffer = [];
        let totalResponseBytes = 0;
        responseStream.on("data", function handleStreamData(chunk) {
          responseBuffer.push(chunk);
          totalResponseBytes += chunk.length;
          if (config.maxContentLength > -1 && totalResponseBytes > config.maxContentLength) {
            rejected = true;
            responseStream.destroy();
            reject(new AxiosError_default(
              "maxContentLength size of " + config.maxContentLength + " exceeded",
              AxiosError_default.ERR_BAD_RESPONSE,
              config,
              lastRequest
            ));
          }
        });
        responseStream.on("aborted", function handlerStreamAborted() {
          if (rejected) {
            return;
          }
          const err = new AxiosError_default(
            "maxContentLength size of " + config.maxContentLength + " exceeded",
            AxiosError_default.ERR_BAD_RESPONSE,
            config,
            lastRequest
          );
          responseStream.destroy(err);
          reject(err);
        });
        responseStream.on("error", function handleStreamError(err) {
          if (req.destroyed)
            return;
          reject(AxiosError_default.from(err, null, config, lastRequest));
        });
        responseStream.on("end", function handleStreamEnd() {
          try {
            let responseData = responseBuffer.length === 1 ? responseBuffer[0] : Buffer.concat(responseBuffer);
            if (responseType !== "arraybuffer") {
              responseData = responseData.toString(responseEncoding);
              if (!responseEncoding || responseEncoding === "utf8") {
                responseData = utils_default.stripBOM(responseData);
              }
            }
            response.data = responseData;
          } catch (err) {
            reject(AxiosError_default.from(err, null, config, response.request, response));
          }
          settle(resolve, reject, response);
        });
      }
      emitter.once("abort", (err) => {
        if (!responseStream.destroyed) {
          responseStream.emit("error", err);
          responseStream.destroy();
        }
      });
    });
    emitter.once("abort", (err) => {
      reject(err);
      req.destroy(err);
    });
    req.on("error", function handleRequestError(err) {
      reject(AxiosError_default.from(err, null, config, req));
    });
    req.on("socket", function handleRequestSocket(socket) {
      socket.setKeepAlive(true, 1e3 * 60);
    });
    if (config.timeout) {
      const timeout = parseInt(config.timeout, 10);
      if (isNaN(timeout)) {
        reject(new AxiosError_default(
          "error trying to parse `config.timeout` to int",
          AxiosError_default.ERR_BAD_OPTION_VALUE,
          config,
          req
        ));
        return;
      }
      req.setTimeout(timeout, function handleRequestTimeout() {
        if (isDone)
          return;
        let timeoutErrorMessage = config.timeout ? "timeout of " + config.timeout + "ms exceeded" : "timeout exceeded";
        const transitional2 = config.transitional || transitional_default;
        if (config.timeoutErrorMessage) {
          timeoutErrorMessage = config.timeoutErrorMessage;
        }
        reject(new AxiosError_default(
          timeoutErrorMessage,
          transitional2.clarifyTimeoutError ? AxiosError_default.ETIMEDOUT : AxiosError_default.ECONNABORTED,
          config,
          req
        ));
        abort();
      });
    }
    if (utils_default.isStream(data)) {
      let ended = false;
      let errored = false;
      data.on("end", () => {
        ended = true;
      });
      data.once("error", (err) => {
        errored = true;
        req.destroy(err);
      });
      data.on("close", () => {
        if (!ended && !errored) {
          abort(new CanceledError_default("Request stream has been aborted", config, req));
        }
      });
      data.pipe(req);
    } else {
      req.end(data);
    }
  });
};

// node_modules/axios/lib/helpers/cookies.js
var cookies_default = node_default.isStandardBrowserEnv ? function standardBrowserEnv() {
  return {
    write: function write(name, value, expires, path, domain, secure) {
      const cookie = [];
      cookie.push(name + "=" + encodeURIComponent(value));
      if (utils_default.isNumber(expires)) {
        cookie.push("expires=" + new Date(expires).toGMTString());
      }
      if (utils_default.isString(path)) {
        cookie.push("path=" + path);
      }
      if (utils_default.isString(domain)) {
        cookie.push("domain=" + domain);
      }
      if (secure === true) {
        cookie.push("secure");
      }
      document.cookie = cookie.join("; ");
    },
    read: function read(name) {
      const match = document.cookie.match(new RegExp("(^|;\\s*)(" + name + ")=([^;]*)"));
      return match ? decodeURIComponent(match[3]) : null;
    },
    remove: function remove(name) {
      this.write(name, "", Date.now() - 864e5);
    }
  };
}() : function nonStandardBrowserEnv() {
  return {
    write: function write() {
    },
    read: function read() {
      return null;
    },
    remove: function remove() {
    }
  };
}();

// node_modules/axios/lib/helpers/isURLSameOrigin.js
var isURLSameOrigin_default = node_default.isStandardBrowserEnv ? function standardBrowserEnv2() {
  const msie = /(msie|trident)/i.test(navigator.userAgent);
  const urlParsingNode = document.createElement("a");
  let originURL;
  function resolveURL(url2) {
    let href = url2;
    if (msie) {
      urlParsingNode.setAttribute("href", href);
      href = urlParsingNode.href;
    }
    urlParsingNode.setAttribute("href", href);
    return {
      href: urlParsingNode.href,
      protocol: urlParsingNode.protocol ? urlParsingNode.protocol.replace(/:$/, "") : "",
      host: urlParsingNode.host,
      search: urlParsingNode.search ? urlParsingNode.search.replace(/^\?/, "") : "",
      hash: urlParsingNode.hash ? urlParsingNode.hash.replace(/^#/, "") : "",
      hostname: urlParsingNode.hostname,
      port: urlParsingNode.port,
      pathname: urlParsingNode.pathname.charAt(0) === "/" ? urlParsingNode.pathname : "/" + urlParsingNode.pathname
    };
  }
  originURL = resolveURL(window.location.href);
  return function isURLSameOrigin(requestURL) {
    const parsed = utils_default.isString(requestURL) ? resolveURL(requestURL) : requestURL;
    return parsed.protocol === originURL.protocol && parsed.host === originURL.host;
  };
}() : function nonStandardBrowserEnv2() {
  return function isURLSameOrigin() {
    return true;
  };
}();

// node_modules/axios/lib/adapters/xhr.js
function progressEventReducer(listener, isDownloadStream) {
  let bytesNotified = 0;
  const _speedometer = speedometer_default(50, 250);
  return (e3) => {
    const loaded = e3.loaded;
    const total = e3.lengthComputable ? e3.total : void 0;
    const progressBytes = loaded - bytesNotified;
    const rate = _speedometer(progressBytes);
    const inRange = loaded <= total;
    bytesNotified = loaded;
    const data = {
      loaded,
      total,
      progress: total ? loaded / total : void 0,
      bytes: progressBytes,
      rate: rate ? rate : void 0,
      estimated: rate && total && inRange ? (total - loaded) / rate : void 0,
      event: e3
    };
    data[isDownloadStream ? "download" : "upload"] = true;
    listener(data);
  };
}
var isXHRAdapterSupported = typeof XMLHttpRequest !== "undefined";
var xhr_default = isXHRAdapterSupported && function(config) {
  return new Promise(function dispatchXhrRequest(resolve, reject) {
    let requestData = config.data;
    const requestHeaders = AxiosHeaders_default.from(config.headers).normalize();
    const responseType = config.responseType;
    let onCanceled;
    function done() {
      if (config.cancelToken) {
        config.cancelToken.unsubscribe(onCanceled);
      }
      if (config.signal) {
        config.signal.removeEventListener("abort", onCanceled);
      }
    }
    if (utils_default.isFormData(requestData)) {
      if (node_default.isStandardBrowserEnv || node_default.isStandardBrowserWebWorkerEnv) {
        requestHeaders.setContentType(false);
      } else {
        requestHeaders.setContentType("multipart/form-data;", false);
      }
    }
    let request = new XMLHttpRequest();
    if (config.auth) {
      const username = config.auth.username || "";
      const password = config.auth.password ? unescape(encodeURIComponent(config.auth.password)) : "";
      requestHeaders.set("Authorization", "Basic " + btoa(username + ":" + password));
    }
    const fullPath = buildFullPath(config.baseURL, config.url);
    request.open(config.method.toUpperCase(), buildURL(fullPath, config.params, config.paramsSerializer), true);
    request.timeout = config.timeout;
    function onloadend() {
      if (!request) {
        return;
      }
      const responseHeaders = AxiosHeaders_default.from(
        "getAllResponseHeaders" in request && request.getAllResponseHeaders()
      );
      const responseData = !responseType || responseType === "text" || responseType === "json" ? request.responseText : request.response;
      const response = {
        data: responseData,
        status: request.status,
        statusText: request.statusText,
        headers: responseHeaders,
        config,
        request
      };
      settle(function _resolve(value) {
        resolve(value);
        done();
      }, function _reject(err) {
        reject(err);
        done();
      }, response);
      request = null;
    }
    if ("onloadend" in request) {
      request.onloadend = onloadend;
    } else {
      request.onreadystatechange = function handleLoad() {
        if (!request || request.readyState !== 4) {
          return;
        }
        if (request.status === 0 && !(request.responseURL && request.responseURL.indexOf("file:") === 0)) {
          return;
        }
        setTimeout(onloadend);
      };
    }
    request.onabort = function handleAbort() {
      if (!request) {
        return;
      }
      reject(new AxiosError_default("Request aborted", AxiosError_default.ECONNABORTED, config, request));
      request = null;
    };
    request.onerror = function handleError() {
      reject(new AxiosError_default("Network Error", AxiosError_default.ERR_NETWORK, config, request));
      request = null;
    };
    request.ontimeout = function handleTimeout() {
      let timeoutErrorMessage = config.timeout ? "timeout of " + config.timeout + "ms exceeded" : "timeout exceeded";
      const transitional2 = config.transitional || transitional_default;
      if (config.timeoutErrorMessage) {
        timeoutErrorMessage = config.timeoutErrorMessage;
      }
      reject(new AxiosError_default(
        timeoutErrorMessage,
        transitional2.clarifyTimeoutError ? AxiosError_default.ETIMEDOUT : AxiosError_default.ECONNABORTED,
        config,
        request
      ));
      request = null;
    };
    if (node_default.isStandardBrowserEnv) {
      const xsrfValue = (config.withCredentials || isURLSameOrigin_default(fullPath)) && config.xsrfCookieName && cookies_default.read(config.xsrfCookieName);
      if (xsrfValue) {
        requestHeaders.set(config.xsrfHeaderName, xsrfValue);
      }
    }
    requestData === void 0 && requestHeaders.setContentType(null);
    if ("setRequestHeader" in request) {
      utils_default.forEach(requestHeaders.toJSON(), function setRequestHeader(val, key) {
        request.setRequestHeader(key, val);
      });
    }
    if (!utils_default.isUndefined(config.withCredentials)) {
      request.withCredentials = !!config.withCredentials;
    }
    if (responseType && responseType !== "json") {
      request.responseType = config.responseType;
    }
    if (typeof config.onDownloadProgress === "function") {
      request.addEventListener("progress", progressEventReducer(config.onDownloadProgress, true));
    }
    if (typeof config.onUploadProgress === "function" && request.upload) {
      request.upload.addEventListener("progress", progressEventReducer(config.onUploadProgress));
    }
    if (config.cancelToken || config.signal) {
      onCanceled = (cancel) => {
        if (!request) {
          return;
        }
        reject(!cancel || cancel.type ? new CanceledError_default(null, config, request) : cancel);
        request.abort();
        request = null;
      };
      config.cancelToken && config.cancelToken.subscribe(onCanceled);
      if (config.signal) {
        config.signal.aborted ? onCanceled() : config.signal.addEventListener("abort", onCanceled);
      }
    }
    const protocol = parseProtocol(fullPath);
    if (protocol && node_default.protocols.indexOf(protocol) === -1) {
      reject(new AxiosError_default("Unsupported protocol " + protocol + ":", AxiosError_default.ERR_BAD_REQUEST, config));
      return;
    }
    request.send(requestData || null);
  });
};

// node_modules/axios/lib/adapters/adapters.js
var knownAdapters = {
  http: http_default,
  xhr: xhr_default
};
utils_default.forEach(knownAdapters, (fn3, value) => {
  if (fn3) {
    try {
      Object.defineProperty(fn3, "name", { value });
    } catch (e3) {
    }
    Object.defineProperty(fn3, "adapterName", { value });
  }
});
var adapters_default = {
  getAdapter: (adapters) => {
    adapters = utils_default.isArray(adapters) ? adapters : [adapters];
    const { length } = adapters;
    let nameOrAdapter;
    let adapter;
    for (let i3 = 0; i3 < length; i3++) {
      nameOrAdapter = adapters[i3];
      if (adapter = utils_default.isString(nameOrAdapter) ? knownAdapters[nameOrAdapter.toLowerCase()] : nameOrAdapter) {
        break;
      }
    }
    if (!adapter) {
      if (adapter === false) {
        throw new AxiosError_default(
          `Adapter ${nameOrAdapter} is not supported by the environment`,
          "ERR_NOT_SUPPORT"
        );
      }
      throw new Error(
        utils_default.hasOwnProp(knownAdapters, nameOrAdapter) ? `Adapter '${nameOrAdapter}' is not available in the build` : `Unknown adapter '${nameOrAdapter}'`
      );
    }
    if (!utils_default.isFunction(adapter)) {
      throw new TypeError("adapter is not a function");
    }
    return adapter;
  },
  adapters: knownAdapters
};

// node_modules/axios/lib/core/dispatchRequest.js
function throwIfCancellationRequested(config) {
  if (config.cancelToken) {
    config.cancelToken.throwIfRequested();
  }
  if (config.signal && config.signal.aborted) {
    throw new CanceledError_default(null, config);
  }
}
function dispatchRequest(config) {
  throwIfCancellationRequested(config);
  config.headers = AxiosHeaders_default.from(config.headers);
  config.data = transformData.call(
    config,
    config.transformRequest
  );
  if (["post", "put", "patch"].indexOf(config.method) !== -1) {
    config.headers.setContentType("application/x-www-form-urlencoded", false);
  }
  const adapter = adapters_default.getAdapter(config.adapter || defaults_default.adapter);
  return adapter(config).then(function onAdapterResolution(response) {
    throwIfCancellationRequested(config);
    response.data = transformData.call(
      config,
      config.transformResponse,
      response
    );
    response.headers = AxiosHeaders_default.from(response.headers);
    return response;
  }, function onAdapterRejection(reason) {
    if (!isCancel(reason)) {
      throwIfCancellationRequested(config);
      if (reason && reason.response) {
        reason.response.data = transformData.call(
          config,
          config.transformResponse,
          reason.response
        );
        reason.response.headers = AxiosHeaders_default.from(reason.response.headers);
      }
    }
    return Promise.reject(reason);
  });
}

// node_modules/axios/lib/core/mergeConfig.js
var headersToObject = (thing) => thing instanceof AxiosHeaders_default ? thing.toJSON() : thing;
function mergeConfig(config1, config2) {
  config2 = config2 || {};
  const config = {};
  function getMergedValue(target, source, caseless) {
    if (utils_default.isPlainObject(target) && utils_default.isPlainObject(source)) {
      return utils_default.merge.call({ caseless }, target, source);
    } else if (utils_default.isPlainObject(source)) {
      return utils_default.merge({}, source);
    } else if (utils_default.isArray(source)) {
      return source.slice();
    }
    return source;
  }
  function mergeDeepProperties(a3, b3, caseless) {
    if (!utils_default.isUndefined(b3)) {
      return getMergedValue(a3, b3, caseless);
    } else if (!utils_default.isUndefined(a3)) {
      return getMergedValue(void 0, a3, caseless);
    }
  }
  function valueFromConfig2(a3, b3) {
    if (!utils_default.isUndefined(b3)) {
      return getMergedValue(void 0, b3);
    }
  }
  function defaultToConfig2(a3, b3) {
    if (!utils_default.isUndefined(b3)) {
      return getMergedValue(void 0, b3);
    } else if (!utils_default.isUndefined(a3)) {
      return getMergedValue(void 0, a3);
    }
  }
  function mergeDirectKeys(a3, b3, prop) {
    if (prop in config2) {
      return getMergedValue(a3, b3);
    } else if (prop in config1) {
      return getMergedValue(void 0, a3);
    }
  }
  const mergeMap = {
    url: valueFromConfig2,
    method: valueFromConfig2,
    data: valueFromConfig2,
    baseURL: defaultToConfig2,
    transformRequest: defaultToConfig2,
    transformResponse: defaultToConfig2,
    paramsSerializer: defaultToConfig2,
    timeout: defaultToConfig2,
    timeoutMessage: defaultToConfig2,
    withCredentials: defaultToConfig2,
    adapter: defaultToConfig2,
    responseType: defaultToConfig2,
    xsrfCookieName: defaultToConfig2,
    xsrfHeaderName: defaultToConfig2,
    onUploadProgress: defaultToConfig2,
    onDownloadProgress: defaultToConfig2,
    decompress: defaultToConfig2,
    maxContentLength: defaultToConfig2,
    maxBodyLength: defaultToConfig2,
    beforeRedirect: defaultToConfig2,
    transport: defaultToConfig2,
    httpAgent: defaultToConfig2,
    httpsAgent: defaultToConfig2,
    cancelToken: defaultToConfig2,
    socketPath: defaultToConfig2,
    responseEncoding: defaultToConfig2,
    validateStatus: mergeDirectKeys,
    headers: (a3, b3) => mergeDeepProperties(headersToObject(a3), headersToObject(b3), true)
  };
  utils_default.forEach(Object.keys(Object.assign({}, config1, config2)), function computeConfigValue(prop) {
    const merge2 = mergeMap[prop] || mergeDeepProperties;
    const configValue = merge2(config1[prop], config2[prop], prop);
    utils_default.isUndefined(configValue) && merge2 !== mergeDirectKeys || (config[prop] = configValue);
  });
  return config;
}

// node_modules/axios/lib/helpers/validator.js
var validators = {};
["object", "boolean", "number", "function", "string", "symbol"].forEach((type, i3) => {
  validators[type] = function validator(thing) {
    return typeof thing === type || "a" + (i3 < 1 ? "n " : " ") + type;
  };
});
var deprecatedWarnings = {};
validators.transitional = function transitional(validator, version, message) {
  function formatMessage(opt, desc) {
    return "[Axios v" + VERSION + "] Transitional option '" + opt + "'" + desc + (message ? ". " + message : "");
  }
  return (value, opt, opts) => {
    if (validator === false) {
      throw new AxiosError_default(
        formatMessage(opt, " has been removed" + (version ? " in " + version : "")),
        AxiosError_default.ERR_DEPRECATED
      );
    }
    if (version && !deprecatedWarnings[opt]) {
      deprecatedWarnings[opt] = true;
      console.warn(
        formatMessage(
          opt,
          " has been deprecated since v" + version + " and will be removed in the near future"
        )
      );
    }
    return validator ? validator(value, opt, opts) : true;
  };
};
function assertOptions(options, schema, allowUnknown) {
  if (typeof options !== "object") {
    throw new AxiosError_default("options must be an object", AxiosError_default.ERR_BAD_OPTION_VALUE);
  }
  const keys = Object.keys(options);
  let i3 = keys.length;
  while (i3-- > 0) {
    const opt = keys[i3];
    const validator = schema[opt];
    if (validator) {
      const value = options[opt];
      const result = value === void 0 || validator(value, opt, options);
      if (result !== true) {
        throw new AxiosError_default("option " + opt + " must be " + result, AxiosError_default.ERR_BAD_OPTION_VALUE);
      }
      continue;
    }
    if (allowUnknown !== true) {
      throw new AxiosError_default("Unknown option " + opt, AxiosError_default.ERR_BAD_OPTION);
    }
  }
}
var validator_default = {
  assertOptions,
  validators
};

// node_modules/axios/lib/core/Axios.js
var validators2 = validator_default.validators;
var Axios = class {
  constructor(instanceConfig) {
    this.defaults = instanceConfig;
    this.interceptors = {
      request: new InterceptorManager_default(),
      response: new InterceptorManager_default()
    };
  }
  request(configOrUrl, config) {
    if (typeof configOrUrl === "string") {
      config = config || {};
      config.url = configOrUrl;
    } else {
      config = configOrUrl || {};
    }
    config = mergeConfig(this.defaults, config);
    const { transitional: transitional2, paramsSerializer, headers } = config;
    if (transitional2 !== void 0) {
      validator_default.assertOptions(transitional2, {
        silentJSONParsing: validators2.transitional(validators2.boolean),
        forcedJSONParsing: validators2.transitional(validators2.boolean),
        clarifyTimeoutError: validators2.transitional(validators2.boolean)
      }, false);
    }
    if (paramsSerializer != null) {
      if (utils_default.isFunction(paramsSerializer)) {
        config.paramsSerializer = {
          serialize: paramsSerializer
        };
      } else {
        validator_default.assertOptions(paramsSerializer, {
          encode: validators2.function,
          serialize: validators2.function
        }, true);
      }
    }
    config.method = (config.method || this.defaults.method || "get").toLowerCase();
    let contextHeaders = headers && utils_default.merge(
      headers.common,
      headers[config.method]
    );
    headers && utils_default.forEach(
      ["delete", "get", "head", "post", "put", "patch", "common"],
      (method) => {
        delete headers[method];
      }
    );
    config.headers = AxiosHeaders_default.concat(contextHeaders, headers);
    const requestInterceptorChain = [];
    let synchronousRequestInterceptors = true;
    this.interceptors.request.forEach(function unshiftRequestInterceptors(interceptor) {
      if (typeof interceptor.runWhen === "function" && interceptor.runWhen(config) === false) {
        return;
      }
      synchronousRequestInterceptors = synchronousRequestInterceptors && interceptor.synchronous;
      requestInterceptorChain.unshift(interceptor.fulfilled, interceptor.rejected);
    });
    const responseInterceptorChain = [];
    this.interceptors.response.forEach(function pushResponseInterceptors(interceptor) {
      responseInterceptorChain.push(interceptor.fulfilled, interceptor.rejected);
    });
    let promise;
    let i3 = 0;
    let len;
    if (!synchronousRequestInterceptors) {
      const chain = [dispatchRequest.bind(this), void 0];
      chain.unshift.apply(chain, requestInterceptorChain);
      chain.push.apply(chain, responseInterceptorChain);
      len = chain.length;
      promise = Promise.resolve(config);
      while (i3 < len) {
        promise = promise.then(chain[i3++], chain[i3++]);
      }
      return promise;
    }
    len = requestInterceptorChain.length;
    let newConfig = config;
    i3 = 0;
    while (i3 < len) {
      const onFulfilled = requestInterceptorChain[i3++];
      const onRejected = requestInterceptorChain[i3++];
      try {
        newConfig = onFulfilled(newConfig);
      } catch (error) {
        onRejected.call(this, error);
        break;
      }
    }
    try {
      promise = dispatchRequest.call(this, newConfig);
    } catch (error) {
      return Promise.reject(error);
    }
    i3 = 0;
    len = responseInterceptorChain.length;
    while (i3 < len) {
      promise = promise.then(responseInterceptorChain[i3++], responseInterceptorChain[i3++]);
    }
    return promise;
  }
  getUri(config) {
    config = mergeConfig(this.defaults, config);
    const fullPath = buildFullPath(config.baseURL, config.url);
    return buildURL(fullPath, config.params, config.paramsSerializer);
  }
};
utils_default.forEach(["delete", "get", "head", "options"], function forEachMethodNoData(method) {
  Axios.prototype[method] = function(url2, config) {
    return this.request(mergeConfig(config || {}, {
      method,
      url: url2,
      data: (config || {}).data
    }));
  };
});
utils_default.forEach(["post", "put", "patch"], function forEachMethodWithData(method) {
  function generateHTTPMethod(isForm) {
    return function httpMethod(url2, data, config) {
      return this.request(mergeConfig(config || {}, {
        method,
        headers: isForm ? {
          "Content-Type": "multipart/form-data"
        } : {},
        url: url2,
        data
      }));
    };
  }
  Axios.prototype[method] = generateHTTPMethod();
  Axios.prototype[method + "Form"] = generateHTTPMethod(true);
});
var Axios_default = Axios;

// node_modules/axios/lib/cancel/CancelToken.js
var CancelToken = class {
  constructor(executor) {
    if (typeof executor !== "function") {
      throw new TypeError("executor must be a function.");
    }
    let resolvePromise;
    this.promise = new Promise(function promiseExecutor(resolve) {
      resolvePromise = resolve;
    });
    const token = this;
    this.promise.then((cancel) => {
      if (!token._listeners)
        return;
      let i3 = token._listeners.length;
      while (i3-- > 0) {
        token._listeners[i3](cancel);
      }
      token._listeners = null;
    });
    this.promise.then = (onfulfilled) => {
      let _resolve;
      const promise = new Promise((resolve) => {
        token.subscribe(resolve);
        _resolve = resolve;
      }).then(onfulfilled);
      promise.cancel = function reject() {
        token.unsubscribe(_resolve);
      };
      return promise;
    };
    executor(function cancel(message, config, request) {
      if (token.reason) {
        return;
      }
      token.reason = new CanceledError_default(message, config, request);
      resolvePromise(token.reason);
    });
  }
  throwIfRequested() {
    if (this.reason) {
      throw this.reason;
    }
  }
  subscribe(listener) {
    if (this.reason) {
      listener(this.reason);
      return;
    }
    if (this._listeners) {
      this._listeners.push(listener);
    } else {
      this._listeners = [listener];
    }
  }
  unsubscribe(listener) {
    if (!this._listeners) {
      return;
    }
    const index = this._listeners.indexOf(listener);
    if (index !== -1) {
      this._listeners.splice(index, 1);
    }
  }
  static source() {
    let cancel;
    const token = new CancelToken(function executor(c3) {
      cancel = c3;
    });
    return {
      token,
      cancel
    };
  }
};
var CancelToken_default = CancelToken;

// node_modules/axios/lib/helpers/spread.js
function spread(callback) {
  return function wrap(arr) {
    return callback.apply(null, arr);
  };
}

// node_modules/axios/lib/helpers/isAxiosError.js
function isAxiosError(payload) {
  return utils_default.isObject(payload) && payload.isAxiosError === true;
}

// node_modules/axios/lib/helpers/HttpStatusCode.js
var HttpStatusCode = {
  Continue: 100,
  SwitchingProtocols: 101,
  Processing: 102,
  EarlyHints: 103,
  Ok: 200,
  Created: 201,
  Accepted: 202,
  NonAuthoritativeInformation: 203,
  NoContent: 204,
  ResetContent: 205,
  PartialContent: 206,
  MultiStatus: 207,
  AlreadyReported: 208,
  ImUsed: 226,
  MultipleChoices: 300,
  MovedPermanently: 301,
  Found: 302,
  SeeOther: 303,
  NotModified: 304,
  UseProxy: 305,
  Unused: 306,
  TemporaryRedirect: 307,
  PermanentRedirect: 308,
  BadRequest: 400,
  Unauthorized: 401,
  PaymentRequired: 402,
  Forbidden: 403,
  NotFound: 404,
  MethodNotAllowed: 405,
  NotAcceptable: 406,
  ProxyAuthenticationRequired: 407,
  RequestTimeout: 408,
  Conflict: 409,
  Gone: 410,
  LengthRequired: 411,
  PreconditionFailed: 412,
  PayloadTooLarge: 413,
  UriTooLong: 414,
  UnsupportedMediaType: 415,
  RangeNotSatisfiable: 416,
  ExpectationFailed: 417,
  ImATeapot: 418,
  MisdirectedRequest: 421,
  UnprocessableEntity: 422,
  Locked: 423,
  FailedDependency: 424,
  TooEarly: 425,
  UpgradeRequired: 426,
  PreconditionRequired: 428,
  TooManyRequests: 429,
  RequestHeaderFieldsTooLarge: 431,
  UnavailableForLegalReasons: 451,
  InternalServerError: 500,
  NotImplemented: 501,
  BadGateway: 502,
  ServiceUnavailable: 503,
  GatewayTimeout: 504,
  HttpVersionNotSupported: 505,
  VariantAlsoNegotiates: 506,
  InsufficientStorage: 507,
  LoopDetected: 508,
  NotExtended: 510,
  NetworkAuthenticationRequired: 511
};
Object.entries(HttpStatusCode).forEach(([key, value]) => {
  HttpStatusCode[value] = key;
});
var HttpStatusCode_default = HttpStatusCode;

// node_modules/axios/lib/axios.js
function createInstance(defaultConfig) {
  const context = new Axios_default(defaultConfig);
  const instance = bind(Axios_default.prototype.request, context);
  utils_default.extend(instance, Axios_default.prototype, context, { allOwnKeys: true });
  utils_default.extend(instance, context, null, { allOwnKeys: true });
  instance.create = function create(instanceConfig) {
    return createInstance(mergeConfig(defaultConfig, instanceConfig));
  };
  return instance;
}
var axios = createInstance(defaults_default);
axios.Axios = Axios_default;
axios.CanceledError = CanceledError_default;
axios.CancelToken = CancelToken_default;
axios.isCancel = isCancel;
axios.VERSION = VERSION;
axios.toFormData = toFormData_default;
axios.AxiosError = AxiosError_default;
axios.Cancel = axios.CanceledError;
axios.all = function all(promises) {
  return Promise.all(promises);
};
axios.spread = spread;
axios.isAxiosError = isAxiosError;
axios.mergeConfig = mergeConfig;
axios.AxiosHeaders = AxiosHeaders_default;
axios.formToJSON = (thing) => formDataToJSON_default(utils_default.isHTMLForm(thing) ? new FormData(thing) : thing);
axios.getAdapter = adapters_default.getAdapter;
axios.HttpStatusCode = HttpStatusCode_default;
axios.default = axios;
var axios_default = axios;

// node_modules/axios/index.js
var {
  Axios: Axios2,
  AxiosError: AxiosError2,
  CanceledError: CanceledError2,
  isCancel: isCancel2,
  CancelToken: CancelToken2,
  VERSION: VERSION2,
  all: all2,
  Cancel,
  isAxiosError: isAxiosError2,
  spread: spread2,
  toFormData: toFormData2,
  AxiosHeaders: AxiosHeaders2,
  HttpStatusCode: HttpStatusCode2,
  formToJSON,
  getAdapter,
  mergeConfig: mergeConfig2
} = axios_default;

// src/new-flow/backend/BackendService.ts
var DEV_BASE_URL = "https://proctoring-api-dev.easyproctor.tech/api";
var HOMOL_BASE_URL = "https://proctoring-api-hml.easyproctor.tech/api";
var PROD_BASE_URL = "https://proctoring-api.easyproctor.tech/api";
var BackendService = class {
  constructor(options) {
    this.options = options;
    this.baseUrl = this.selectBaseUrl(options.type);
    this.token = options.token;
  }
  selectBaseUrl(type) {
    if (type === "dev") {
      return DEV_BASE_URL;
    } else if (type === "homol") {
      return HOMOL_BASE_URL;
    } else if (type === "prod") {
      return PROD_BASE_URL;
    } else {
      return PROD_BASE_URL;
    }
  }
  async loginAuth(cpf, base64) {
    return await this.makeRequest({
      path: `/Auth`,
      method: "POST",
      body: {
        emailOrCpf: cpf,
        key: base64
      }
    });
  }
  async confirmStart(proctoringOptions, proctoringType, latitude, longitude) {
    return await this.makeRequest({
      path: `/proctoring/start/${proctoringOptions.examId}`,
      method: "POST",
      body: {
        clientId: proctoringOptions.clientId,
        proctoringType,
        latitude,
        longitude
      },
      jwt: proctoringOptions.token
    });
  }
  async getParamsConfig(proctoringOptions) {
    const paramsConfig = await this.makeRequestAxios({
      path: `/Client/params`,
      method: "GET",
      jwt: proctoringOptions.token
    }).catch((error) => {
      throw "N\xE3o foi poss\xEDvel realizar a requisi\xE7\xE3o, tente novamente mais tarde";
    });
    return paramsConfig.data;
  }
  async getSignedUrlImage(token, body) {
    const url2 = await this.makeRequestAxios({
      path: `/upload/signed-url-batch`,
      method: "POST",
      jwt: token,
      body
    });
    return url2.data;
  }
  async getSignedUrl(token, file, proctoringId2) {
    const url2 = await this.makeRequestAxios({
      path: `/upload/signed-url`,
      method: "POST",
      jwt: token,
      body: {
        objectName: `${proctoringId2}/${file.name}`,
        contentType: file.type
      }
    });
    return url2.data;
  }
  async saveAlerts(proctoringOptions, proctoringSession) {
    await this.makeRequest({
      path: "/proctoring/save-alerts",
      method: "POST",
      jwt: proctoringOptions.token,
      body: {
        proctoringId: proctoringSession.id,
        alerts: proctoringSession.alerts
      }
    });
  }
  async finishAndSendUrls(proctoringOptions, proctoringSession) {
    await this.makeRequest({
      path: `/proctoring/finish/${proctoringOptions.examId}`,
      method: "POST",
      body: {
        endDate: new Date().toISOString(),
        videoCameraUrl: "",
        audioCameraUrl: "",
        videoScreenUrl: ""
      },
      jwt: proctoringOptions.token
    });
  }
  async log(eventName, properties) {
    let entryType;
    if ((properties == null ? void 0 : properties.success) !== null && (properties == null ? void 0 : properties.success) !== void 0) {
      entryType = properties.success ? "4" : "1";
    } else {
      entryType = "4";
    }
    return await this.makeRequest({
      path: `/Log`,
      method: "POST",
      body: {
        entryType,
        eventName,
        message: properties
      },
      jwt: this.token
    });
  }
  async signTerm() {
    return await this.makeRequest({
      path: `/User/sign-terms`,
      method: "PATCH",
      body: {},
      jwt: this.token
    });
  }
  async signTermUrl() {
    const result = await this.makeRequestAxios({
      path: `/User/sign-terms-url`,
      method: "GET",
      jwt: this.token
    });
    return result.data;
  }
  async getServerHour(token) {
    return await this.makeRequest({
      path: `/Proctoring/server-hour`,
      method: "GET",
      jwt: token
    });
  }
  async makeRequest(data) {
    const { path, method, body, jwt } = data;
    const resp = await fetch(this.baseUrl + path, {
      method,
      body: body != null ? JSON.stringify(body) : void 0,
      headers: {
        Authorization: `Bearer ${jwt}`,
        "Content-Type": "application/json",
        "Access-Control-Allow-Origin": "*"
      }
    });
    if (resp.status >= 400) {
      throw "N\xE3o foi poss\xEDvel realizar a requisi\xE7\xE3o, tente novamente mais tarde";
    }
    const content = resp.headers.get("content-type");
    const isJson = content ? content.includes("application/json") : false;
    const responseData = isJson ? await resp.json() : null;
    return responseData;
  }
  async makeRequestAxios(data) {
    const { path, method, body, jwt } = data;
    const resp = await axios_default.request({
      url: this.baseUrl + path,
      method,
      headers: {
        Authorization: `Bearer ${jwt}`,
        "Access-Control-Allow-Origin": "*"
      },
      data: body
    });
    if (resp.status >= 400) {
      throw "N\xE3o foi poss\xEDvel realizar a requisi\xE7\xE3o, tente novamente mais tarde";
    }
    return resp;
  }
  async makeRequestPUT(data) {
    const { url: url2, method, body, jwt } = data;
    const resp = await fetch(url2, {
      method,
      body: body != null ? JSON.stringify(body) : void 0,
      headers: {
        Accept: "*/*",
        "Accept-Encoding": "gzip, deflate, br",
        Connection: "keep-alive",
        "aeg-event-type": "Notification",
        "Content-Type": "application/json",
        "Cache-Control": "no-cache",
        "x-ms-blob-type": "BlockBlob"
      }
    });
    if (resp.status >= 400) {
      throw "N\xE3o foi poss\xEDvel realizar a requisi\xE7\xE3o, tente novamente mais tarde";
    }
    const content = resp.headers.get("content-type");
    const isJson = content ? content.includes("application/json") : false;
    const responseData = isJson ? await resp.json() : null;
    return responseData;
  }
};

// src/new-flow/backend/SpyCamBackendService.ts
var SpyCamBackendService = class {
  constructor() {
    this.baseUrl = "https://localhost:5080";
  }
  async isAlive() {
    const paramsConfig = await this.makeRequestAxios({
      path: `/api/usb-device-manager/is-alive`,
      method: "GET",
      jwt: this.token
    }).catch((error) => {
      throw "N\xE3o foi poss\xEDvel realizar a requisi\xE7\xE3o, tente novamente mais tarde";
    });
    return paramsConfig.data;
  }
  async isPluggedIn() {
    const paramsConfig = await this.makeRequestAxios({
      path: `/api/usb-device-manager/is-plugged-in`,
      method: "GET",
      jwt: this.token
    }).catch((error) => {
      throw "N\xE3o foi poss\xEDvel realizar a requisi\xE7\xE3o, tente novamente mais tarde";
    });
    return paramsConfig.data;
  }
  async ConnectAndScan() {
    const paramsConfig = await this.makeRequestAxios({
      path: `/api/usb-device-manager/connect-and-scan`,
      method: "GET",
      jwt: this.token
    }).catch((error) => {
      throw "N\xE3o foi poss\xEDvel realizar a requisi\xE7\xE3o, tente novamente mais tarde";
    });
    return paramsConfig.data;
  }
  async Devices({
    deviceType,
    rssiThreshold,
    packageRateThreshold
  }) {
    const queryParams = [];
    deviceType && queryParams.push(`deviceType=${deviceType}`);
    rssiThreshold && queryParams.push(`rssiThreshold=${rssiThreshold}`);
    packageRateThreshold && queryParams.push(`packageRateThreshold=${packageRateThreshold}`);
    const paramsConfig = await this.makeRequestAxios({
      path: `/api/usb-device-manager/devices?${queryParams.join("&")}`,
      method: "GET",
      jwt: this.token
    }).catch((error) => {
      throw "N\xE3o foi poss\xEDvel realizar a requisi\xE7\xE3o, tente novamente mais tarde";
    });
    return paramsConfig.data;
  }
  async makeRequestAxios(data) {
    const { path, method, body, jwt } = data;
    const resp = await axios_default.request({
      url: this.baseUrl + path,
      method,
      headers: {
        Authorization: `Bearer ${jwt}`,
        "Access-Control-Allow-Origin": "*"
      },
      data: body
    });
    if (resp.status >= 400) {
      throw "N\xE3o foi poss\xEDvel realizar a requisi\xE7\xE3o, tente novamente mais tarde";
    }
    return resp;
  }
};

// src/new-flow/proctoring/ProctoringSession.ts
var ProctoringSession = class {
  constructor() {
    this.sessionDuration = 0;
    this.state = "Created" /* Created */;
    this.startedAt = new Date();
    this.alerts = [];
    this.recordings = [];
  }
  get hasSomethingToUpload() {
    for (const rec of this.recordings) {
      if (!rec.upload) {
        return true;
      }
    }
    return false;
  }
  start() {
    this.state = "Recording" /* Recording */;
    this.startedAt = new Date(Date.now());
  }
  pause() {
    this.state = "Paused" /* Paused */;
  }
  resume() {
    this.state = "Recording" /* Recording */;
  }
  stop() {
    this.state = "Ended" /* Ended */;
    this.sessionDuration = Date.now() - this.startedAt.getTime();
  }
  setProctoringId(proctoringId2) {
    this.id = proctoringId2;
  }
  setEndConfirmed() {
    this.state = "EndConfirmed" /* EndConfirmed */;
  }
  setUploaded() {
    this.state = "Uploaded" /* Uploaded */;
  }
  setUploadConfirmed() {
    this.state = "UploadConfirmed" /* UploadConfirmed */;
  }
  addAlert(alert) {
    this.alerts.push(alert);
  }
  addRecording(rec) {
    this.recordings.push(rec);
  }
};

// src/modules/SpyCam.ts
var SpyCam = class {
  constructor(context, options) {
    this.backendService = new SpyCamBackendService();
    this.scanInterval = 5;
    this.options = {};
    this.options = options;
    this.context = context;
    this.backend = new BackendService({
      type: (context == null ? void 0 : context.type) || "prod",
      token: context.token
    });
    this.currentIsPlugged = true;
  }
  setProctoringId(proctoringId2) {
    this.proctoringId = proctoringId2;
  }
  async isPluggedIn(sendEvent = false) {
    var _a2, _b, _c2, _d;
    try {
      const isPlugged = await this.backendService.isPluggedIn();
      if (this.proctoringId && sendEvent) {
        if (isPlugged) {
          if (!this.currentIsPlugged) {
            (_b = (_a2 = this.options).onRealtimeAlertsCallback) == null ? void 0 : _b.call(_a2, {
              type: "spycam",
              message: "Spycam disconnected",
              description: "Dispositivo de varredura conectado.",
              status: "OK"
            });
          }
        } else {
          const session = new ProctoringSession();
          session.setProctoringId(this.proctoringId);
          session.addAlert({
            begin: Date.now() - this.startTime.getTime(),
            end: 0,
            alert: 33 /* SpyDeviceDisconnected */,
            type: 5 /* Environment */
          });
          await this.backend.saveAlerts(this.context, session);
          (_d = (_c2 = this.options).onRealtimeAlertsCallback) == null ? void 0 : _d.call(_c2, {
            type: "spycam",
            message: "Spycam disconnected",
            description: "Nenhum dispositivo de varredura conectado.",
            status: "ALERT"
          });
        }
      }
      this.currentIsPlugged = isPlugged;
      return this.currentIsPlugged;
    } catch (error) {
      throw error;
    }
  }
  async isAlive() {
    try {
      return await this.backendService.isAlive();
    } catch (error) {
      throw error;
    }
  }
  connectAndScan() {
    return this.backendService.ConnectAndScan();
  }
  async devices({
    deviceType,
    rssiThreshold,
    packageRateThreshold
  }) {
    var _a2, _b;
    const devices = await this.backendService.Devices(
      {
        deviceType,
        rssiThreshold,
        packageRateThreshold
      }
    );
    if (devices.length > 0) {
      (_b = (_a2 = this.options).onRealtimeAlertsCallback) == null ? void 0 : _b.call(_a2, {
        type: "spycam",
        message: "Spycam detected",
        description: "Dispositivo espi\xE3o detectado.",
        data: devices
      });
      if (this.proctoringId) {
        const session = new ProctoringSession();
        session.setProctoringId(this.proctoringId);
        session.addAlert({
          begin: Date.now() - this.startTime.getTime(),
          end: 0,
          alert: 32 /* PotentialCamera */,
          type: 5 /* Environment */
        });
        await this.backend.saveAlerts(this.context, session);
      }
    }
    return devices;
  }
  async startCheckSpyCam(spyScanInterval, {
    deviceType,
    rssiThreshold,
    packageRateThreshold
  }) {
    this.scanInterval = spyScanInterval;
    this.startTime = new Date(Date.now());
    await this.isPluggedIn(true);
    this.checkSpyCam = setInterval(async () => {
      const isPlugged = await this.isPluggedIn(true);
      if (isPlugged) {
        await this.devices({
          deviceType,
          rssiThreshold,
          packageRateThreshold
        });
      }
    }, this.scanInterval * 6e4);
  }
  stopCheckSpyCam() {
    clearInterval(this.checkSpyCam);
  }
};

// src/proctoring/options/ProctoringOptions.ts
var getDefaultProctoringOptions = {
  cameraId: void 0,
  microphoneId: void 0,
  allowMultipleMonitors: false,
  allowOnlyFirstMonitor: true,
  captureScreen: true,
  noiseLimit: 40,
  proctoringType: "IMAGE",
  insights: "",
  onBufferSizeError: false,
  useGeolocation: false,
  useSpyScan: false
};

// src/proctoring/options/ProctoringVideoOptions.ts
function validatePartialVideoOptions(options) {
  if (!!options.width && !!options.height) {
    return {
      width: options.width,
      height: options.height,
      minWidth: options.minWidth,
      minHeight: options.minHeight
    };
  } else {
    return { width: 640, height: 480 };
  }
}
var getDefaultProctoringVideoOptions = {
  width: 1280,
  height: 720,
  minWidth: 640,
  minHeight: 480
};

// src/plugins/insights.ts
var backendService;
var init = (backend) => {
  backendService = backend;
  return backendService;
};
var eventNames = {
  START: "start",
  FINISH: "finish",
  ERROR: "error",
  UPLOAD: "upload",
  UPLOAD_FILE: "upload_file",
  DOWNLOAD_VIDEO: "download_video",
  BUFFER_SIZE: "buffer_size",
  ANOTHER_STREAM: "another_stream",
  CHANGE_DEVICE: "change_device",
  STOP_SHARING_SCREEN: "stop_sharing_screen",
  ERROR_RECORDER_RTC: "error_recorder_rtc",
  BROWSER_NOT_SUPPORTED: "browser_not_supported",
  SAVE_ON_SESSION: "save_on_session"
};
var log = (eventName, properties) => backendService && backendService.log(eventName, properties);
var trackers = {
  registerStart: (proctoringId2, success, description) => log(eventNames.START, { proctoringId: proctoringId2, success, description }),
  registerFinish: (proctoringId2, success, description) => log(eventNames.FINISH, { proctoringId: proctoringId2, success, description }),
  registerError: (proctoringId2, description) => log(eventNames.ERROR, { proctoringId: proctoringId2, description }),
  registerBrowserNotSupported: (proctoringId2, description) => log(eventNames.BROWSER_NOT_SUPPORTED, { proctoringId: proctoringId2, description }),
  registerUpload: (proctoringId2, success, description, serviceType, uploadTime) => log(eventNames.UPLOAD, { proctoringId: proctoringId2, success, description, serviceType, uploadTime }),
  registerUploadFile: (proctoringId2, description, fileType) => log(eventNames.UPLOAD_FILE, { proctoringId: proctoringId2, description, fileType }),
  registerChangeDevice: (proctoringId2, inOrOut, description) => log(eventNames.CHANGE_DEVICE, { proctoringId: proctoringId2, inOrOut, description }),
  registerStopSharingScreen: (proctoringId2, description) => log(eventNames.STOP_SHARING_SCREEN, { proctoringId: proctoringId2, description }),
  registerErrorRecorderRTC: (proctoringId2, description) => log(eventNames.ERROR_RECORDER_RTC, { proctoringId: proctoringId2, description }),
  registerDownloadFile: (proctoringId2, description) => log(eventNames.DOWNLOAD_VIDEO, { proctoringId: proctoringId2, description }),
  registerOnBufferSizeError: (proctoringId2, description) => log(eventNames.BUFFER_SIZE, { proctoringId: proctoringId2, description }),
  registerAnotherStream: (proctoringId2, description) => log(eventNames.ANOTHER_STREAM, { proctoringId: proctoringId2, description }),
  registerSaveOnSession: (proctoringId2, description) => log(eventNames.SAVE_ON_SESSION, { proctoringId: proctoringId2, description })
};

// src/plugins/recorder.ts
var proctoringId;
function setRecorderProctoringId(id) {
  proctoringId = id;
}
function recorder(stream4, buffer, onBufferSizeError = false, onBufferSizeErrorCallback, audio = false) {
  let resolvePromise;
  let stopped = false;
  let onBufferSizeInterval;
  let lastEvent;
  let bufferSize;
  bufferSize = 0;
  let recorderOptions = {
    mimeType: "video/webm",
    videoBitsPerSecond: 128e3,
    audioBitsPerSecond: 64 * 1e3
  };
  if (MediaRecorder.isTypeSupported("video/webm;codecs=vp9")) {
    recorderOptions.mimeType = "video/webm;codecs=vp9";
  } else {
    console.warn(
      "vp9 codec not supported. Using default mimeType without vp9."
    );
  }
  if (audio) {
    recorderOptions = {
      mimeType: "audio/webm",
      audioBitsPerSecond: 64 * 1e3
    };
  }
  const mediaRecorder = new MediaRecorder(stream4, recorderOptions);
  mediaRecorder.ondataavailable = (e3) => {
    bufferSize = bufferSize + e3.data.size;
    if (e3.data.size > 0) {
      buffer.push(e3.data);
    }
    if (!stopped) {
      if (lastEvent && e3.data.size === lastEvent.data.size || e3.data.size === 0) {
        proctoringId && lastEvent && e3.data.size === lastEvent.data.size && trackers.registerOnBufferSizeError(
          proctoringId,
          `onBufferSizeError: Recorder size freezed: ${e3.data.size} Mb`
        );
        proctoringId && e3.data.size === 0 && trackers.registerOnBufferSizeError(
          proctoringId,
          `onBufferSizeError: Recorder size equal 0 Mb`
        );
        onBufferSizeErrorCallback && onBufferSizeErrorCallback();
      }
      lastEvent = e3;
    } else {
      if (audio && mediaRecorder.state == "inactive") {
        const blob = new Blob(buffer, { type: "audio/webm" });
        buffer = [blob];
      }
      resolvePromise && resolvePromise();
    }
  };
  function startRecording() {
    return new Promise((resolve) => {
      resolvePromise = resolve;
      mediaRecorder.start();
      bufferSize = 0;
      stopped = false;
      if (onBufferSizeError) {
        onBufferSizeInterval = setInterval(async () => {
          await mediaRecorder.requestData();
        }, 3e4);
      }
    });
  }
  function stopRecording() {
    return new Promise((resolve) => {
      if (mediaRecorder.state == "recording") {
        resolvePromise = resolve;
        mediaRecorder.stop();
        stopped = true;
        clearInterval(onBufferSizeInterval);
        stream4.getTracks().forEach((el) => {
          el.stop();
        });
      } else {
        resolve();
      }
    });
  }
  function pauseRecording() {
    return new Promise((resolve) => {
      if (mediaRecorder.state == "recording") {
        mediaRecorder.pause();
        resolve();
      } else {
        resolve();
      }
    });
  }
  function resumeRecording() {
    return new Promise((resolve) => {
      if (mediaRecorder.state == "paused") {
        mediaRecorder.resume();
        resolve();
      } else {
        resolve();
      }
    });
  }
  function getBufferSize() {
    return bufferSize;
  }
  return {
    startRecording,
    stopRecording,
    pauseRecording,
    resumeRecording,
    recorderOptions,
    getBufferSize
  };
}

// src/new-flow/upload/UploadService.ts
var UploadService = class {
  constructor(proctoringId2, backend) {
    this.backend = backend;
    this.imageUrlPackage = [];
    this.imageBatchNum = 0;
    this.contImages = 0;
    this.proctoringId = proctoringId2;
  }
  async uploadImages(data, token, packSize) {
    const { file, onProgress } = data;
    try {
      const progressCallback = (e3) => {
        const progress = e3.loadedBytes / file.size * 100;
        onProgress && onProgress(Math.round(progress));
      };
      let uploadUrl;
      if (this.imageBatchNum === this.contImages) {
        const batchArray = [];
        for (let i3 = this.imageBatchNum; i3 < this.imageBatchNum + 60; i3++) {
          let imageName = `${this.proctoringId}/${this.proctoringId}_${i3 + 1}.jpg`;
          if ((i3 + 1) % packSize == 0)
            imageName = `${this.proctoringId}/${this.proctoringId}_${i3 + 1}_realtime.jpg`;
          batchArray.push({
            objectName: imageName,
            contentType: "image/jpeg"
          });
        }
        const batchUrls = await this.backend.getSignedUrlImage(token, batchArray);
        batchUrls.map((item) => {
          this.imageUrlPackage.push(item);
        });
        this.imageBatchNum += 60;
      }
      let uploaded = false;
      uploaded = await axios_default.request({
        url: this.imageUrlPackage[this.contImages],
        method: "PUT",
        headers: {
          "Content-Type": file.type,
          "x-ms-blob-type": "BlockBlob"
        },
        data: file,
        onUploadProgress: (p3) => {
          progressCallback({ loadedBytes: p3.loaded });
        }
      }).then((response) => {
        if (response.status == 200 || response.status == 201) {
          this.contImages++;
          return true;
        } else
          return false;
      }).catch(() => false).finally(() => {
      });
      return {
        storage: "upload" /* none */,
        url: uploadUrl,
        uploaded
      };
    } catch (err) {
      trackers.registerError(this.proctoringId, `Failed to upload to AWS
	File name: ${file.name}
	File type: ${file.type}
	File size: ${file.size}`);
      throw new Error("Failed to upload to AWS");
    }
  }
  async upload(data, token, image) {
    const { file, onProgress } = data;
    try {
      const progressCallback = (e3) => {
        const progress = e3.loadedBytes / file.size * 100;
        onProgress && onProgress(Math.round(progress));
      };
      let uploadUrl;
      if (image) {
        if (this.imageBatchNum === this.contImages) {
          const batchArray = [];
          for (let i3 = this.imageBatchNum; i3 < this.imageBatchNum + 20; i3++) {
            batchArray.push({
              objectName: `${this.proctoringId}/${this.proctoringId}_${i3 + 1}.jpg`,
              contentType: "image/jpeg"
            });
          }
          const batchUrls = await this.backend.getSignedUrlImage(token, batchArray);
          batchUrls.map((item) => {
            this.imageUrlPackage.push(item);
          });
          this.imageBatchNum += 20;
        }
      } else {
        uploadUrl = await this.backend.getSignedUrl(token, file, this.proctoringId);
      }
      let uploaded = false;
      if (image) {
        uploaded = await axios_default.request({
          url: this.imageUrlPackage[this.contImages],
          method: "PUT",
          headers: {
            "Content-Type": file.type,
            "x-ms-blob-type": "BlockBlob"
          },
          data: file,
          onUploadProgress: (p3) => {
            progressCallback({ loadedBytes: p3.loaded });
          }
        }).then(() => true).catch(() => false).finally(() => {
          this.contImages++;
        });
      } else {
        uploaded = await axios_default.request({
          url: uploadUrl,
          method: "PUT",
          headers: {
            "Content-Type": file.type,
            "x-ms-blob-type": "BlockBlob"
          },
          data: file,
          onUploadProgress: (p3) => {
            progressCallback({ loadedBytes: p3.loaded });
          }
        }).then(() => true).catch(() => false);
      }
      return {
        storage: "upload" /* none */,
        url: uploadUrl,
        uploaded
      };
    } catch (err) {
      trackers.registerError(this.proctoringId, `Failed to upload to AWS
	File name: ${file.name}
	File type: ${file.type}
	File size: ${file.size}`);
      throw new Error("Failed to upload to AWS");
    }
  }
};

// src/errors/errors.ts
var NOT_SHARED_FIRST_SCREEN = "not_shared_first_screen";
var NOT_SHARED_SCREEN = "not_shared_screen";
var MULTIPLE_MONITORS_DETECTED = "multiple_monitors_detected";
var PROCTORING_ALREADY_STARTED = "proctoring_already_started";
var PROCTORING_NOT_STARTED = "proctoring_not_started";
var ANOTHER_STREAM_ACTIVE = "another_stream_active";
var STREAM_UNDER_MINIMUM_PERMITTED = "stream_under_minimum_permitted";
var BROWSER_NOT_SUPPORTED = "browser_not_supported";
var TOKEN_MISSING = "token_missing";
var CREDENTIALS_MISSING = "credentials_missing";
var SPY_SCAN_API_NOT_FOUND = "spy_scan_api_not_found";

// src/modules/objectDetection.ts
var ObjectDetection = class extends BaseDetection {
  constructor(options, paramsConfig, classVideo = "videoPreviewFrameDetection", classDiv = "liveViewFrameDetection") {
    super("ObjectDetector", `https://storage.googleapis.com/mediapipe-models/object_detector/efficientdet_lite0/float16/1/efficientdet_lite0.tflite`, options, paramsConfig, classVideo, classDiv);
  }
  displayVideoDetections(result) {
    for (const child of this.children) {
      this.liveView.removeChild(child);
    }
    this.children.splice(0);
    for (const detection of result.detections) {
      const monitorWidth = window.innerWidth;
      const monitorHeight = window.innerHeight;
      const desiredWidth = this.video.offsetWidth;
      const desiredHeight = this.video.offsetHeight;
      const widthScaleFactor = desiredWidth / monitorWidth;
      const heightScaleFactor = desiredHeight / monitorHeight;
      const adjustedLeft = desiredWidth - detection.boundingBox.width * widthScaleFactor - detection.boundingBox.originX * widthScaleFactor;
      const adjustedTop = detection.boundingBox.originY * heightScaleFactor;
      const adjustedWidth = (detection.boundingBox.width - 10) * widthScaleFactor;
      const adjustedHeight = detection.boundingBox.height * heightScaleFactor;
      const p3 = document.createElement("p");
      p3.innerText = detection.categories[0].categoryName + " - with " + Math.round(parseFloat(detection.categories[0].score) * 100) + "% confidence.";
      p3.style.right = adjustedLeft - 20 + "px";
      p3.style.top = adjustedTop + "px";
      p3.style.width = adjustedWidth + "px";
      const commonStyle = {
        zIndex: "2",
        position: "absolute",
        border: "1px dashed #fff"
      };
      Object.assign(p3.style, {
        ...commonStyle,
        margin: "0",
        fontSize: "9px",
        paddingBottom: "5px",
        paddingTop: "5px",
        color: "#fff",
        backgroundColor: "#007f8b"
      });
      const highlighter = document.createElement("div");
      highlighter.setAttribute("class", "highlighter");
      highlighter.style.right = adjustedLeft - 20 + "px";
      highlighter.style.top = adjustedTop + "px";
      highlighter.style.width = adjustedWidth + "px";
      highlighter.style.height = adjustedHeight - 20 + "px";
      Object.assign(highlighter.style, {
        ...commonStyle,
        zIndex: "1",
        background: "rgba(0, 255, 0, 0.25)"
      });
      this.liveView.appendChild(highlighter);
      this.liveView.appendChild(p3);
      this.children.push(highlighter);
      this.children.push(p3);
    }
  }
  verify(result) {
    var _a2, _b;
    const numPersons = result.detections.filter((d3) => d3.categories.some((c3) => c3.categoryName === "person")).length;
    const numCellphones = result.detections.filter((d3) => d3.categories.some((c3) => c3.categoryName === "cell phone")).length;
    if (((_a2 = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _a2.detectPerson) && numPersons !== this.numPersonsSent) {
      if (numPersons === 0) {
        this.handleAlert("no_person_detected", "person_detection_on_stream");
        this.numPersonsSent = numPersons;
      } else if (numPersons > 1) {
        this.handleAlert("multiple_persons_detected", "person_detection_on_stream");
        this.numPersonsSent = numPersons;
      } else {
        this.handleOk("person_ok", "person_detection_on_stream");
        this.numPersonsSent = numPersons;
      }
    }
    if (((_b = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _b.detectCellPhone) && numCellphones !== this.numCellphoneSent) {
      if (numCellphones > 0) {
        this.handleAlert("cellphone_detected", "mobile_detection_on_stream");
        this.numCellphoneSent = numCellphones;
      } else {
        this.handleOk("cellphone_ok", "mobile_detection_on_stream");
        this.numCellphoneSent = numCellphones;
      }
    }
  }
};

// src/new-flow/recorders/VolumeMeter.ts
var VolumeMeter = class {
  constructor(stream4) {
    this.volume = null;
    this.animationFrameId = null;
    this.stream = stream4;
  }
  async start(options = {}) {
    return new Promise((resolve, reject) => {
      try {
        const audioContext = new AudioContext();
        this.analyser = audioContext.createAnalyser();
        const microphone = audioContext.createMediaStreamSource(this.stream);
        this.analyser.smoothingTimeConstant = 0.8;
        this.analyser.fftSize = 1024;
        microphone.connect(this.analyser);
        const processAudio = () => {
          const array = new Uint8Array(this.analyser.frequencyBinCount);
          this.analyser.getByteFrequencyData(array);
          const arraySum = array.reduce((a3, value) => a3 + value, 0);
          const average = arraySum / array.length;
          this.setVolume(average);
          options.setVolume && options.setVolume(average);
          this.animationFrameId = requestAnimationFrame(processAudio);
        };
        this.animationFrameId = requestAnimationFrame(processAudio);
        resolve(true);
      } catch (error) {
        this.stop();
        reject(`Error: ${error}`);
      }
    });
  }
  stop() {
    if (this.animationFrameId !== null) {
      cancelAnimationFrame(this.animationFrameId);
    }
  }
  getVolume() {
    return this.volume;
  }
  setVolume(value) {
    this.volume = value;
  }
};

// src/new-flow/recorders/CameraRecorder.ts
var CameraRecorder = class {
  constructor(options, videoOptions, paramsConfig, backend, backendToken) {
    this.blobs = [];
    this.paramsConfig = {
      audioBehaviourParameters: {
        recordingBitrate: 128,
        noiseLimit: 40
      },
      imageBehaviourParameters: {
        frames: 40,
        useUploadImage: true,
        uploadInterval: 20,
        saveVideo: true
      },
      videoBehaviourParameters: {
        detectPerson: false,
        detectFace: false,
        detectCellPhone: false
      }
    };
    this.options = {
      cameraId: void 0,
      microphoneId: void 0,
      onBufferSizeError: false,
      onBufferSizeErrorCallback: (cameraStream) => {
      },
      proctoringType: "IMAGE",
      onChangeDevicesCallback: (devices) => {
      },
      onRealtimeAlertsCallback: (response) => {
      }
    };
    this.videoOptions = {
      width: 640,
      height: 480,
      minWidth: 0,
      minHeight: 0
    };
    this.blobsRTC = [];
    this.imageCount = 0;
    this.filesToUpload = [];
    this.currentRetries = 0;
    this.noiseWait = 20;
    this.options = options;
    this.videoOptions = videoOptions;
    this.backend = backend;
    this.backendToken = backendToken;
    paramsConfig && (this.paramsConfig = paramsConfig);
  }
  setProctoringId(proctoringId2) {
    this.proctoringId = proctoringId2;
    this.proctoringId && this.backend && (this.upload = new UploadService(this.proctoringId, this.backend));
    setRecorderProctoringId(proctoringId2);
  }
  async initializeDetectors() {
    var _a2, _b, _c2;
    buildVideoPreview();
    if (((_a2 = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _a2.detectPerson) || ((_b = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _b.detectCellPhone)) {
      this.objectDetection = new ObjectDetection(
        {
          onRealtimeAlertsCallback: (response) => this.options.onRealtimeAlertsCallback(response)
        },
        this.paramsConfig
      );
      await this.objectDetection.initializeDetector();
    }
    if ((_c2 = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _c2.detectFace) {
      this.faceDetection = new FaceDetection(
        {
          onRealtimeAlertsCallback: (response) => this.options.onRealtimeAlertsCallback(response)
        },
        this.paramsConfig
      );
      await this.faceDetection.initializeDetector();
    }
  }
  configImageCapture() {
    this.video = document.createElement("video");
    this.canvas = document.createElement("canvas");
    this.video.srcObject = this.cameraStream;
    this.video.play();
    this.video.muted = true;
    this.canvas.width = this.videoOptions.width;
    this.canvas.height = this.videoOptions.height;
  }
  async bufferError(e3) {
    var _a2, _b;
    console.log("buffer error Camera Recorder params " + this.paramsConfig.videoBehaviourParameters);
    const retryEnabled = ((_a2 = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _a2.retryEnabled) || false;
    const maxRetries = ((_b = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _b.maxRetries) || 3;
    if (retryEnabled && this.currentRetries < maxRetries) {
      await this.recordingStop();
      await this.startRecording({
        retry: true
      });
      this.currentRetries++;
      this.options.onBufferSizeErrorCallback && this.options.onBufferSizeErrorCallback(this.cameraStream);
    } else {
      this.options.onBufferSizeErrorCallback && this.options.onBufferSizeErrorCallback();
    }
  }
  async startRecording(options) {
    var _a2, _b, _c2, _d, _e3, _f, _g;
    if ((((_a2 = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _a2.detectPerson) || ((_b = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _b.detectCellPhone) || ((_c2 = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _c2.detectFace)) && !(options == null ? void 0 : options.retry)) {
      await this.initializeDetectors();
    }
    const { cameraId, microphoneId, onBufferSizeErrorCallback } = this.options;
    const constraints = {
      audio: { deviceId: microphoneId },
      video: {
        deviceId: cameraId,
        width: this.videoOptions.width,
        height: this.videoOptions.height,
        frameRate: 15
      }
    };
    try {
      this.cameraStream = await navigator.mediaDevices.getUserMedia(
        constraints
      );
    } catch (error) {
      if (error.toString() == "NotReadableError: Could not start video source")
        throw "N\xE3o foi poss\xEDvel conectar a camera, ela pode estar sendo utilizada por outro programa";
      throw error;
    }
    const {
      startRecording,
      stopRecording,
      pauseRecording,
      resumeRecording,
      recorderOptions,
      getBufferSize
    } = recorder(
      this.cameraStream,
      this.blobs,
      this.options.onBufferSizeError,
      (e3) => this.bufferError(e3),
      false
    );
    this.recordingStart = startRecording;
    this.recordingStop = stopRecording;
    this.recordingPause = pauseRecording;
    this.recordingResume = resumeRecording;
    this.recorderOptions = recorderOptions;
    this.getBufferSize = getBufferSize;
    this.recordingStart();
    const tracks = this.cameraStream.getVideoTracks();
    const settings = tracks[0].getSettings();
    if (this.videoOptions.minWidth > settings.width || this.videoOptions.minHeight > settings.height) {
      throw STREAM_UNDER_MINIMUM_PERMITTED;
    } else if (this.videoOptions.width !== settings.width || this.videoOptions.height !== settings.height) {
      trackers.registerAnotherStream(
        this.proctoringId,
        `Maybe have another stream active
Video Options: ${JSON.stringify(
          this.videoOptions,
          null,
          2
        )}
Setting: ${JSON.stringify(settings, null, 2)}`
      );
      throw ANOTHER_STREAM_ACTIVE;
    }
    ((_d = this.paramsConfig.imageBehaviourParameters) == null ? void 0 : _d.useUploadImage) && this.options.proctoringType == "IMAGE" && this.photoShotsCycle();
    if ((_e3 = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _e3.detectFace) {
      await this.faceDetection.enableCam(this.cameraStream);
    }
    if (((_f = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _f.detectPerson) || ((_g = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _g.detectCellPhone)) {
      await this.objectDetection.enableCam(this.cameraStream);
    }
    this.filesToUpload = [];
    this.options.proctoringType == "REALTIME" && this.captureFrame();
  }
  async stopRecording() {
    this.recordingStop && await this.recordingStop();
    this.faceDetection && this.faceDetection.detecting && this.faceDetection.stopDetection();
    this.objectDetection && this.objectDetection.detecting && this.objectDetection.stopDetection();
    clearInterval(this.imageInterval);
    clearInterval(this.sendFrameInterval);
    if (this.options.proctoringType == "REALTIME" && this.upload && this.backendToken) {
      const size = this.filesToUpload.length;
      const packSize = this.paramsConfig.imageBehaviourParameters.uploadInterval;
      for (let i3 = 0; i3 < size; i3++) {
        if (i3 == size - 1 && this.filesToUpload[0]) {
          const imageName = this.filesToUpload[0].name.replace(
            ".jpg",
            "_realtime.jpg"
          );
          const file = new File([this.filesToUpload[0]], imageName, {
            type: "image/jpeg"
          });
          this.filesToUpload[0] = file;
        }
        this.filesToUpload[0] && await this.upload.uploadImages(
          {
            file: this.filesToUpload[0]
          },
          this.backendToken,
          packSize
        );
        this.filesToUpload.shift();
      }
    }
    this.volumeMeter && this.volumeMeter.stop();
    this.intervalNoiseDetection && clearInterval(this.intervalNoiseDetection);
  }
  async pauseRecording() {
    await this.recordingPause();
  }
  async resumeRecording() {
    await this.recordingResume();
  }
  photoShotsCycle() {
    let imageFile;
    this.configImageCapture();
    this.imageInterval = setInterval(async () => {
      this.canvas.getContext("2d").drawImage(
        this.video,
        0,
        0,
        this.videoOptions.width,
        this.videoOptions.height
      );
      const image_data_url = this.canvas.toDataURL("image/jpeg");
      imageFile = await this.getFile(
        image_data_url,
        `${this.proctoringId}_${this.imageCount + 1}.jpg`,
        "image/jpeg"
      );
      if (imageFile && this.upload && this.backendToken) {
        this.upload.upload(
          {
            file: imageFile
          },
          this.backendToken,
          true
        );
        this.imageCount++;
      }
    }, this.paramsConfig.imageBehaviourParameters.uploadInterval * 1e3);
  }
  captureFrame() {
    let imageFile;
    this.configImageCapture();
    const packSize = this.paramsConfig.imageBehaviourParameters.uploadInterval;
    let initSend = false;
    this.imageInterval = setInterval(async () => {
      this.canvas.getContext("2d").drawImage(this.video, 0, 0, this.canvas.width, this.canvas.height);
      const image_data_url = this.canvas.toDataURL("image/jpeg");
      if (this.proctoringId == void 0)
        return;
      if (initSend == false && packSize > 0) {
        initSend = true;
        this.sendFrame();
      }
      let imageName = `${this.proctoringId}_${this.imageCount + 1}.jpg`;
      if ((this.imageCount + 1) % packSize == 0)
        imageName = `${this.proctoringId}_${this.imageCount + 1}_realtime.jpg`;
      imageFile = await this.getFile(image_data_url, imageName, "image/jpeg");
      if (imageFile && imageFile.size > 10 && packSize > 0) {
        this.filesToUpload.push(imageFile);
        this.imageCount++;
      }
    }, 1e3);
  }
  sendFrame() {
    const packSize = this.paramsConfig.imageBehaviourParameters.uploadInterval;
    let pending = false;
    let undeliveredPackagesCount = 0;
    this.sendFrameInterval = setInterval(async () => {
      if (this.upload && this.backendToken && !pending) {
        undeliveredPackagesCount = 0;
        let count = 0;
        const length = this.filesToUpload.length;
        while (count < length) {
          pending = true;
          if (this.filesToUpload.length == 0)
            break;
          const uploadResult = await this.upload.uploadImages(
            {
              file: this.filesToUpload[0]
            },
            this.backendToken,
            packSize
          );
          if (uploadResult.uploaded == true) {
            await this.filesToUpload.shift();
            count++;
          } else {
            console.log("erro no upload: " + this.filesToUpload[0].name);
          }
        }
        pending = false;
      } else if (pending) {
        undeliveredPackagesCount++;
        if (undeliveredPackagesCount == 3) {
          undeliveredPackagesCount = 0;
          let newCanvasWidth = this.videoOptions.width / 2;
          let newCanvasHeight = this.videoOptions.height / 2;
          if (newCanvasWidth < 320)
            newCanvasWidth = 320;
          if (newCanvasHeight < 180)
            newCanvasHeight = 180;
          this.canvas.width = newCanvasWidth;
          this.canvas.height = newCanvasHeight;
        }
      }
    }, packSize * 1e3);
  }
  download(file) {
    const url2 = URL.createObjectURL(file);
    const a3 = document.createElement("a");
    document.body.appendChild(a3);
    a3.style.display = "none";
    a3.href = url2;
    a3.download = file.name;
    a3.click();
    window.URL.revokeObjectURL(url2);
  }
  async saveOnSession(session) {
    var _a2, _b;
    if (this.blobs != null)
      trackers.registerSaveOnSession(
        this.proctoringId,
        `Blobs Length: ${this.blobs.length} Buffer Size: ${this.getBufferSize()} `
      );
    const settings = this.cameraStream.getVideoTracks()[0].getSettings();
    const settingsAudio = this.cameraStream.getAudioTracks()[0].getSettings();
    if (this.options.proctoringType == "VIDEO" || this.options.proctoringType == "REALTIME" || this.options.proctoringType == "IMAGE" && ((_a2 = this.paramsConfig.imageBehaviourParameters) == null ? void 0 : _a2.saveVideo)) {
      session.addRecording({
        device: `Audio
	Sample Rate: ${settingsAudio.sampleRate}
	Sample Size: ${settingsAudio.sampleSize}

	Video:
	${JSON.stringify(this.recorderOptions)}`,
        file: new File(this.blobs, `EP_${session.id}_camera_0.webm`, {
          type: ((_b = this.recorderOptions) == null ? void 0 : _b.mimeType) || "video/webm"
        }),
        origin: "Camera" /* Camera */
      });
    }
  }
  async getFile(file, name, type) {
    return new Promise((resolve, reject) => {
      file.length > 5 && fetch(file).then((res) => res.blob()).then((blob) => {
        const file2 = new File([blob], name, { type });
        resolve(file2);
      }).catch((e3) => {
        reject(e3);
      });
    });
  }
  onNoiseDetected() {
    var _a2, _b, _c2;
    if (this.options.proctoringType === "REALTIME")
      return;
    if (!this.volumeMeter && this.cameraStream) {
      this.volumeMeter = new VolumeMeter(this.cameraStream);
      this.volumeMeter.start().catch((e3) => {
        console.log(e3);
        this.volumeMeter = void 0;
      });
    }
    const volume = (_b = (_a2 = this.volumeMeter) == null ? void 0 : _a2.getVolume()) != null ? _b : 0;
    if (volume >= (((_c2 = this.paramsConfig.audioBehaviourParameters) == null ? void 0 : _c2.noiseLimit) || 40)) {
      console.log("entrou" + this.noiseWait);
      if (this.noiseWait >= 20) {
        this.options.onRealtimeAlertsCallback({
          status: "ALERT",
          description: "Barulho detectado",
          type: "audio_detection_on_stream"
        });
        this.noiseWait = 0;
      }
    }
    this.noiseWait++;
  }
};

// src/new-flow/checkers/DeviceCheckerUI.ts
var DeviceCheckerUI = class {
  constructor(options = getDefaultProctoringOptions, _videoOptions) {
    this.videoOptions = { width: 1080, height: 720, minWidth: 0, minHeight: 0 };
    this.options = {
      ...getDefaultProctoringOptions,
      ...options,
      captureScreen: false,
      allowMultipleMonitors: true,
      allowOnlyFirstMonitor: false
    };
    this.videoOptions = { ...this.videoOptions, ..._videoOptions };
  }
  checkDevicesInterface() {
    this.addStyleMask();
    const style = document.createElement("style");
    style.type = "text/css";
    style.innerHTML = `
          .alert-div { 
              display: flex;
              align-items: center;
              margin-bottom: 5px;
          }
  
          .checkmark {
              display: inline-block;
              width: 22px;
              height: 22px;
              -ms-transform: rotate(45deg); /* IE 9 */
              -webkit-transform: rotate(45deg); /* Chrome, Safari, Opera */
              transform: rotate(45deg);
              border: 1px solid #16A34A;
              border-radius: 22px;
          }
          
          .checkmark_stem {
              position: absolute;
              width: 3px;
              height: 9px;
              background-color: #16A34A;
              left: 9px;
              top: 5px;
          }
          
          .checkmark_kick {
              position: absolute;
              width: 3px;
              height: 3px;
              background-color: #16A34A;
              left: 6px;
              top: 11px;
          }
  
          .checkmark_error {
              display: inline-block;
              width: 22px;
              height: 22px;
              -ms-transform: rotate(45deg); /* IE 9 */
              -webkit-transform: rotate(45deg); /* Chrome, Safari, Opera */
              transform: rotate(45deg);
              border: 1px solid #FF0000;
              border-radius: 22px;
          }
  
          .checkmark_stem_error {
              position: absolute;
              width: 3px;
              height: 11px;
              background-color: #FF0000;
              left: 8px;
              top: 4px;
          }
          
          .checkmark_kick_error {
              position: absolute;
              width: 11px;
              height: 3px;
              background-color: #FF0000;
              left: 4px;
              top: 8px;
          }
  
          .info {
              display: inline-block;
              width: 14px;
              height: 14px;
              -ms-transform: rotate(0deg);
              /* IE 9 */
              -webkit-transform: rotate(0deg);
              /* Chrome, Safari, Opera */
              transform: rotate(0deg);
              border: 1px solid #ccc;
              border-radius: 22px;
          }
          
          .info_stem {
              position: absolute;
              width: 2px;
              height: 6px;
              background-color: #ccc;
              left: 5px;
              top: 5px;
          }
          
          .info_kick {
              position: absolute;
              width: 2px;
              height: 2px;
              background-color: #ccc;
              left: 5px;
              top: 2px;
          }
      `;
    document.getElementsByTagName("head")[0].appendChild(style);
    const fullBg = document.createElement("div");
    fullBg.setAttribute("id", "checkDevices");
    const fullBgStyles = {
      backgroundColor: "rgba(0,0,0,0.4)",
      zIndex: "1000",
      position: "fixed",
      top: "0",
      left: "0",
      height: "100vh",
      width: "100%",
      display: "flex",
      alignItems: "center",
      justifyContent: "center"
    };
    this.applyStyles(fullBg, fullBgStyles);
    const modal = document.createElement("div");
    const modalStyles = {
      backgroundColor: "#fff",
      zIndex: "1001",
      width: "600px",
      borderRadius: "10px",
      display: "flex",
      flexDirection: "column",
      alignItems: "center"
    };
    this.applyStyles(modal, modalStyles);
    const h3 = document.createElement("h3");
    h3.innerText = "Para iniciar configure a c\xE2mera e o microfone";
    const h3Styles = {
      color: "rgba(0, 0, 0, .7)",
      fontWeight: "bold",
      fontSize: "20px",
      marginBottom: "15px",
      padding: "20px 0px",
      borderBottom: "2px solid rgba(0, 0, 0, .1)",
      width: "100%",
      textAlign: "center"
    };
    this.applyStyles(h3, h3Styles);
    modal.appendChild(h3);
    const divCameraHeader = document.createElement("div");
    const h3Camera = document.createElement("h3");
    const selectCamera = document.createElement("select");
    selectCamera.setAttribute("id", "cameraSelect");
    const divCameraHeaderStyles = {
      padding: "0 20px",
      width: "100%",
      display: "flex",
      justifyContent: "space-between",
      marginBottom: "15px"
    };
    this.applyStyles(divCameraHeader, divCameraHeaderStyles);
    h3Camera.innerText = "C\xE2mera";
    const h3CameraStyles = {
      color: "rgba(0, 0, 0, .75)",
      fontWeight: "bold",
      fontSize: "16px"
    };
    this.applyStyles(h3Camera, h3CameraStyles);
    selectCamera.style.maxWidth = "400px";
    divCameraHeader.appendChild(h3Camera);
    divCameraHeader.appendChild(selectCamera);
    modal.appendChild(divCameraHeader);
    const divCamera = document.createElement("div");
    divCamera.setAttribute("id", "liveCheckDevices");
    const videoDiv = document.createElement("div");
    const video = document.createElement("video");
    const center = document.createElement("div");
    video.setAttribute("id", "cameraStream");
    video.muted = true;
    const divCameraStyles = {
      width: "calc(100% - 40px)",
      display: "flex",
      justifyContent: "space-between",
      borderBottom: "2px solid rgba(0, 0, 0, .1)",
      paddingBottom: "15px",
      transform: "rotateY(180deg)"
    };
    this.applyStyles(divCamera, divCameraStyles);
    const videoStyles = {
      width: "20rem",
      backgroundColor: "#000",
      borderRadius: "10px",
      marginBottom: "15px"
    };
    this.applyStyles(video, videoStyles);
    this.applyStyles(videoDiv, { position: "relative" });
    const alertDivResolution = document.createElement("div");
    alertDivResolution.setAttribute("class", "alert-div");
    alertDivResolution.setAttribute("id", "alertDivResolution");
    const resolutionAlert = document.createElement("error");
    resolutionAlert.setAttribute("id", "resolutionAlert");
    resolutionAlert.innerText = "Resolu\xE7\xE3o m\xEDnima";
    resolutionAlert.style.marginLeft = "10px";
    resolutionAlert.style.marginRight = "5px";
    const checkmark_resolution = document.createElement("span");
    const checkmark_stem_resolution = document.createElement("div");
    const checkmark_kick_resolution = document.createElement("div");
    checkmark_resolution.setAttribute("id", "checkmark_resolution");
    checkmark_stem_resolution.setAttribute("id", "checkmark_stem_resolution");
    checkmark_kick_resolution.setAttribute("id", "checkmark_kick_resolution");
    checkmark_resolution.appendChild(checkmark_stem_resolution);
    checkmark_resolution.appendChild(checkmark_kick_resolution);
    const info_resolution = document.createElement("span");
    const info_stem_resolution = document.createElement("div");
    const info_kick_resolution = document.createElement("div");
    info_resolution.setAttribute("class", "info");
    info_resolution.setAttribute("id", "info_resolution");
    info_stem_resolution.setAttribute("class", "info_stem");
    info_kick_resolution.setAttribute("class", "info_kick");
    info_resolution.appendChild(info_stem_resolution);
    info_resolution.appendChild(info_kick_resolution);
    alertDivResolution.appendChild(checkmark_resolution);
    alertDivResolution.appendChild(resolutionAlert);
    alertDivResolution.appendChild(info_resolution);
    const alertDivFacePosition = document.createElement("div");
    alertDivFacePosition.setAttribute("class", "alert-div");
    alertDivFacePosition.setAttribute("id", "alertDivFacePosition");
    const facePositionAlert = document.createElement("error");
    facePositionAlert.setAttribute("id", "facePositionAlert");
    facePositionAlert.innerText = "Posicionamento da face";
    facePositionAlert.style.marginLeft = "10px";
    const checkmark_FacePosition = document.createElement("span");
    const checkmark_stem_FacePosition = document.createElement("div");
    const checkmark_kick_FacePosition = document.createElement("div");
    checkmark_FacePosition.setAttribute("id", "checkmark_FacePosition");
    checkmark_stem_FacePosition.setAttribute(
      "id",
      "checkmark_stem_FacePosition"
    );
    checkmark_kick_FacePosition.setAttribute(
      "id",
      "checkmark_kick_FacePosition"
    );
    checkmark_FacePosition.appendChild(checkmark_stem_FacePosition);
    checkmark_FacePosition.appendChild(checkmark_kick_FacePosition);
    alertDivFacePosition.appendChild(checkmark_FacePosition);
    alertDivFacePosition.appendChild(facePositionAlert);
    const alertDivAmbientVerify = document.createElement("div");
    alertDivAmbientVerify.setAttribute("class", "alert-div");
    alertDivAmbientVerify.setAttribute("id", "alertDivAmbientVerify");
    const ambientVerifyAlert = document.createElement("error");
    ambientVerifyAlert.setAttribute("id", "ambientVerifyAlert");
    ambientVerifyAlert.innerText = "Verifica\xE7\xE3o do ambiente";
    ambientVerifyAlert.style.marginLeft = "10px";
    const checkmark_AmbientVerify = document.createElement("span");
    const checkmark_stem_AmbientVerify = document.createElement("div");
    const checkmark_kick_AmbientVerify = document.createElement("div");
    checkmark_AmbientVerify.setAttribute("id", "checkmark_AmbientVerify");
    checkmark_stem_AmbientVerify.setAttribute(
      "id",
      "checkmark_stem_AmbientVerify"
    );
    checkmark_kick_AmbientVerify.setAttribute(
      "id",
      "checkmark_kick_AmbientVerify"
    );
    checkmark_AmbientVerify.appendChild(checkmark_stem_AmbientVerify);
    checkmark_AmbientVerify.appendChild(checkmark_kick_AmbientVerify);
    alertDivAmbientVerify.appendChild(checkmark_AmbientVerify);
    alertDivAmbientVerify.appendChild(ambientVerifyAlert);
    const alertDivSpyCam = document.createElement("div");
    alertDivSpyCam.setAttribute("class", "alert-div");
    alertDivSpyCam.setAttribute("id", "alertDivSpyCam");
    alertDivSpyCam.style.display = "none";
    const SpyCamAlert = document.createElement("error");
    SpyCamAlert.setAttribute("id", "SpyCamAlert");
    SpyCamAlert.innerText = "Verifica\xE7\xE3o de Spy Cam";
    SpyCamAlert.style.marginLeft = "10px";
    const checkmark_SpyCam = document.createElement("span");
    const checkmark_stem_SpyCam = document.createElement("div");
    const checkmark_kick_SpyCam = document.createElement("div");
    checkmark_SpyCam.setAttribute("id", "checkmark_SpyCam");
    checkmark_stem_SpyCam.setAttribute("id", "checkmark_stem_SpyCam");
    checkmark_kick_SpyCam.setAttribute("id", "checkmark_kick_SpyCam");
    checkmark_SpyCam.appendChild(checkmark_stem_SpyCam);
    checkmark_SpyCam.appendChild(checkmark_kick_SpyCam);
    alertDivSpyCam.appendChild(checkmark_SpyCam);
    alertDivSpyCam.appendChild(SpyCamAlert);
    center.style.transform = "rotateY(180deg)";
    center.appendChild(alertDivResolution);
    center.appendChild(alertDivFacePosition);
    center.appendChild(alertDivAmbientVerify);
    center.appendChild(alertDivSpyCam);
    divCamera.appendChild(center);
    videoDiv.appendChild(video);
    divCamera.appendChild(videoDiv);
    const mask = document.createElement("div");
    mask.setAttribute("class", "facial-biometry__mask");
    mask.style.width = "100%";
    mask.style.height = "100%";
    mask.style.position = "absolute";
    mask.style.top = "0px";
    mask.style.left = "0px";
    mask.style.backgroundColor = "#fff";
    mask.style.opacity = "0.6";
    const frame = document.createElement("div");
    frame.setAttribute("class", "biometry__frame");
    frame.style.width = "100%";
    frame.style.height = "100%";
    frame.style.position = "absolute";
    frame.style.top = "0px";
    frame.style.left = "0px";
    frame.style.zIndex = "10";
    videoDiv.appendChild(mask);
    videoDiv.appendChild(frame);
    modal.appendChild(divCamera);
    const divMicHeader = document.createElement("div");
    const h3Mic = document.createElement("h3");
    const selectMic = document.createElement("select");
    selectMic.setAttribute("id", "micSelect");
    const divMicHeaderStyles = {
      padding: "0 20px",
      width: "100%",
      display: "flex",
      justifyContent: "space-between",
      margin: "15px 0"
    };
    this.applyStyles(divMicHeader, divMicHeaderStyles);
    h3Mic.innerText = "Microfone";
    const h3MicStyles = {
      color: "rgba(0, 0, 0, .7)",
      fontWeight: "bold",
      fontSize: "16px"
    };
    this.applyStyles(h3Mic, h3MicStyles);
    selectMic.style.maxWidth = "400px";
    divMicHeader.appendChild(h3Mic);
    divMicHeader.appendChild(selectMic);
    modal.appendChild(divMicHeader);
    const divMic = document.createElement("div");
    const divMicStyles = {
      width: "100%",
      padding: "0px 40px",
      display: "flex"
    };
    this.applyStyles(divMic, divMicStyles);
    const divMicMeter = document.createElement("div");
    const divMicMeterStyles = {
      display: "flex",
      flexDirection: "column",
      justifyContent: "space-between",
      paddingBottom: "15px"
    };
    this.applyStyles(divMicMeter, divMicMeterStyles);
    const divMeter = document.createElement("div");
    divMeter.setAttribute("id", "audioStream");
    const divMeterStyles = {
      display: "flex",
      marginBottom: "15px"
    };
    this.applyStyles(divMeter, divMeterStyles);
    const pillStyles = {
      height: "16px",
      width: "5px",
      marginRight: "5px",
      borderRadius: "10px",
      backgroundColor: "rgba(0, 0, 0, .3)"
    };
    for (let i3 = 0; i3 < 25; i3++) {
      const pill = document.createElement("div");
      this.applyStyles(pill, pillStyles);
      divMeter.appendChild(pill);
    }
    const divRange = document.createElement("div");
    const pRange0 = document.createElement("p");
    const pRange50 = document.createElement("p");
    const pRange100 = document.createElement("p");
    const divRangeStyles = {
      width: "250px",
      display: "flex",
      justifyContent: "space-between"
    };
    this.applyStyles(divRange, divRangeStyles);
    pRange0.innerText = "0";
    pRange50.innerText = "50";
    pRange100.innerText = "100";
    divRange.appendChild(pRange0);
    divRange.appendChild(pRange50);
    divRange.appendChild(pRange100);
    const alertDivMicrophone = document.createElement("div");
    alertDivMicrophone.setAttribute("class", "alert-div");
    alertDivMicrophone.setAttribute("id", "alertDivMicrophone");
    const alertDivMicrophoneStyles = {
      alignItems: "start",
      justifyContent: "end",
      width: "inherit"
    };
    this.applyStyles(alertDivMicrophone, alertDivMicrophoneStyles);
    const microphoneAlert = document.createElement("error");
    microphoneAlert.setAttribute("id", "microphoneAlert");
    microphoneAlert.innerText = "Teste de funcionamento";
    microphoneAlert.style.marginLeft = "10px";
    const checkmark_microphone = document.createElement("span");
    const checkmark_stem_microphone = document.createElement("div");
    const checkmark_kick_microphone = document.createElement("div");
    checkmark_microphone.setAttribute("id", "checkmark_microphone");
    checkmark_stem_microphone.setAttribute("id", "checkmark_stem_microphone");
    checkmark_kick_microphone.setAttribute("id", "checkmark_kick_microphone");
    checkmark_microphone.appendChild(checkmark_stem_microphone);
    checkmark_microphone.appendChild(checkmark_kick_microphone);
    alertDivMicrophone.appendChild(checkmark_microphone);
    alertDivMicrophone.appendChild(microphoneAlert);
    divMicMeter.appendChild(divMeter);
    divMicMeter.appendChild(divRange);
    const pronunceMic = document.createElement("p");
    pronunceMic.innerText = 'Pronuncie em voz alta: "um, dois, tr\xEAs, quatro".';
    pronunceMic.style.textAlign = "start";
    const pronunceMicStyles = {
      width: "100%",
      marginLeft: "40px",
      marginBottom: "15px"
    };
    this.applyStyles(pronunceMic, pronunceMicStyles);
    divMic.appendChild(divMicMeter);
    divMic.appendChild(alertDivMicrophone);
    modal.appendChild(pronunceMic);
    modal.appendChild(divMic);
    const divBtn = document.createElement("div");
    const divBtnStyles = {
      width: "100%",
      display: "flex",
      alignItems: "center",
      justifyContent: "center",
      borderTop: "2px solid rgba(0, 0, 0, .1)"
    };
    this.applyStyles(divBtn, divBtnStyles);
    const buttonCancel = document.createElement("button");
    buttonCancel.setAttribute("id", "cancelBtn");
    buttonCancel.innerText = "Cancelar";
    const buttonCancelStyles = {
      width: "100%",
      height: "70px",
      backgroundColor: "#FFF",
      border: "none",
      color: "rgba(0, 0, 0, .7)",
      fontWeight: "bold",
      borderRadius: "10px",
      paddingTop: "5px",
      paddingBottom: "5px"
    };
    this.applyStyles(buttonCancel, buttonCancelStyles);
    const divider = document.createElement("span");
    const dividerStyles = {
      width: "3px",
      height: "70px",
      margin: "0px 2px",
      background: "rgba(0, 0, 0, .1)"
    };
    this.applyStyles(divider, dividerStyles);
    const button = document.createElement("button");
    button.innerText = "Continuar";
    button.setAttribute("id", "confirmBtn");
    const buttonStyles = {
      width: "100%",
      height: "70px",
      backgroundColor: "#FFF",
      border: "none",
      color: "rgba(0, 0, 0, .7)",
      fontWeight: "bold",
      borderRadius: "10px",
      paddingTop: "5px",
      paddingBottom: "5px"
    };
    this.applyStyles(button, buttonStyles);
    if (this.options.useSpyScan) {
      button.style.cursor = "not-allowed";
      button.setAttribute("disabled", "true");
    }
    divBtn.appendChild(buttonCancel);
    divBtn.appendChild(divider);
    divBtn.appendChild(button);
    modal.appendChild(divBtn);
    fullBg.appendChild(modal);
    document.body.appendChild(fullBg);
  }
  async setSelectOption(options, changeSelectedDevice) {
    const cameras = document.querySelector("#cameraSelect");
    const microphones = document.querySelector("#micSelect");
    const devices = await enumarateDevices();
    cameras && (cameras.value = options.cameraId || "default");
    microphones && (microphones.value = options.microphoneId || "default");
    const generateOption = (text, value) => {
      const el = document.createElement("option");
      el.setAttribute("value", value);
      el.innerHTML = text;
      return el;
    };
    devices.cameras.forEach((camera) => {
      const option = generateOption(camera.label, camera.id);
      cameras == null ? void 0 : cameras.appendChild(option);
    });
    devices.microphones.forEach((microphone) => {
      const option = generateOption(microphone.label, microphone.id);
      microphones == null ? void 0 : microphones.appendChild(option);
    });
    this.onSelectOptionChange((e3) => changeSelectedDevice(e3));
  }
  async onSelectOptionChange(changeSelectedDevice) {
    const cameras = document.querySelector("#cameraSelect");
    const microphones = document.querySelector("#micSelect");
    cameras == null ? void 0 : cameras.addEventListener("change", () => changeSelectedDevice({
      cameraId: cameras == null ? void 0 : cameras.value,
      microphoneId: microphones == null ? void 0 : microphones.value
    }));
    microphones == null ? void 0 : microphones.addEventListener("change", () => changeSelectedDevice({
      cameraId: cameras == null ? void 0 : cameras.value,
      microphoneId: microphones == null ? void 0 : microphones.value
    }));
  }
  closeModal() {
    const checkDevices = document.querySelector("#checkDevices");
    checkDevices == null ? void 0 : checkDevices.remove();
  }
  modalActions(closeCheckDevices) {
    const cancelBtn = document.getElementById("cancelBtn");
    const confirmBtn = document.getElementById("confirmBtn");
    const cameraSelect = document.getElementById("cameraSelect");
    const micSelect = document.getElementById("micSelect");
    return new Promise((resolve, reject) => {
      cancelBtn == null ? void 0 : cancelBtn.addEventListener("click", () => {
        closeCheckDevices();
        this.closeModal();
        reject({
          result: false
        });
      });
      confirmBtn == null ? void 0 : confirmBtn.addEventListener("click", () => {
        if (confirmBtn.disabled)
          return;
        closeCheckDevices();
        this.closeModal();
        resolve({
          cameraId: cameraSelect == null ? void 0 : cameraSelect.value,
          microphoneId: micSelect == null ? void 0 : micSelect.value,
          result: true
        });
      });
    });
  }
  realtimeAlertsUI(response) {
    const facePositionAlert = document.getElementById("facePositionAlert");
    const ambientVerifyAlert = document.getElementById("ambientVerifyAlert");
    const checkmark_FacePosition = document.getElementById("checkmark_FacePosition");
    const checkmark_stem_FacePosition = document.getElementById("checkmark_stem_FacePosition");
    const checkmark_kick_FacePosition = document.getElementById("checkmark_kick_FacePosition");
    const alertDivAmbientVerify = document.getElementById("alertDivAmbientVerify");
    const checkmark_AmbientVerify = document.getElementById("checkmark_AmbientVerify");
    const checkmark_stem_AmbientVerify = document.getElementById("checkmark_stem_AmbientVerify");
    const checkmark_kick_AmbientVerify = document.getElementById("checkmark_kick_AmbientVerify");
    if (response.status === "OK") {
      facePositionAlert && (facePositionAlert.style.color = "#16A34A");
      ambientVerifyAlert && (ambientVerifyAlert.style.color = "#16A34A");
      alertDivAmbientVerify && alertDivAmbientVerify.setAttribute("title", ``);
      if (checkmark_FacePosition) {
        checkmark_FacePosition.setAttribute("class", "checkmark");
        checkmark_stem_FacePosition.setAttribute("class", "checkmark_stem");
        checkmark_kick_FacePosition.setAttribute("class", "checkmark_kick");
      }
      if (checkmark_AmbientVerify) {
        checkmark_AmbientVerify.setAttribute("class", "checkmark");
        checkmark_stem_AmbientVerify.setAttribute("class", "checkmark_stem");
        checkmark_kick_AmbientVerify.setAttribute("class", "checkmark_kick");
      }
    } else {
      if (checkmark_FacePosition && (response.description === "Nenhuma face encontrada" || response.description === "Face na posi\xE7\xE3o errada")) {
        facePositionAlert && (facePositionAlert.style.color = "#FF0000");
        checkmark_FacePosition.setAttribute("class", "checkmark_error");
        checkmark_stem_FacePosition.setAttribute("class", "checkmark_stem_error");
        checkmark_kick_FacePosition.setAttribute("class", "checkmark_kick_error");
      }
      if (checkmark_AmbientVerify && response.description === "M\xFAltiplas faces detectadas") {
        ambientVerifyAlert && (ambientVerifyAlert.style.color = "#FF0000");
        alertDivAmbientVerify && alertDivAmbientVerify.setAttribute("title", `${response.description}`);
        checkmark_AmbientVerify.setAttribute("class", "checkmark_error");
        checkmark_stem_AmbientVerify.setAttribute("class", "checkmark_stem_error");
        checkmark_kick_AmbientVerify.setAttribute("class", "checkmark_kick_error");
      }
    }
  }
  waitingSpyDevices(waiting) {
    const SpyCamAlert = document.getElementById("SpyCamAlert");
    const alertDivSpyCam = document.getElementById(
      "alertDivSpyCam"
    );
    alertDivSpyCam && (alertDivSpyCam.style.display = "flex");
    if (waiting) {
      SpyCamAlert && (SpyCamAlert.style.color = "#c7c7c7");
      SpyCamAlert && (SpyCamAlert.innerText = "Verificando Spy Cam...");
      const confirmBtn = document.getElementById("confirmBtn");
      if (confirmBtn)
        confirmBtn.setAttribute("disabled", "true");
      confirmBtn && (confirmBtn.style.cursor = "not-allowed");
    } else {
      SpyCamAlert && (SpyCamAlert.style.color = "#16A34A");
      SpyCamAlert && (SpyCamAlert.innerText = "Verifica\xE7\xE3o de Spy Cam");
      const confirmBtn = document.getElementById("confirmBtn");
      if (confirmBtn)
        confirmBtn.setAttribute("disabled", "false");
      confirmBtn && (confirmBtn.style.cursor = "pointer");
    }
  }
  isSpyDevicesUI(allowedDevices) {
    const SpyCamAlert = document.getElementById("SpyCamAlert");
    const confirmBtn = document.getElementById("confirmBtn");
    const alertDivSpyCam = document.getElementById(
      "alertDivSpyCam"
    );
    alertDivSpyCam && (alertDivSpyCam.style.display = "flex");
    const checkmark_SpyCam = document.getElementById(
      "checkmark_SpyCam"
    );
    const checkmark_stem_SpyCam = document.getElementById(
      "checkmark_stem_SpyCam"
    );
    const checkmark_kick_SpyCam = document.getElementById(
      "checkmark_kick_SpyCam"
    );
    if (allowedDevices) {
      SpyCamAlert && (SpyCamAlert.style.color = "#16A34A");
      if (checkmark_SpyCam) {
        checkmark_SpyCam.setAttribute("class", "checkmark");
        checkmark_stem_SpyCam.setAttribute("class", "checkmark_stem");
        checkmark_kick_SpyCam.setAttribute("class", "checkmark_kick");
      }
    } else {
      if (checkmark_SpyCam) {
        SpyCamAlert && (SpyCamAlert.style.color = "#FF0000");
        checkmark_SpyCam.setAttribute("class", "checkmark_error");
        checkmark_stem_SpyCam.setAttribute(
          "class",
          "checkmark_stem_error"
        );
        checkmark_kick_SpyCam.setAttribute(
          "class",
          "checkmark_kick_error"
        );
      }
    }
    this.options.useSpyScan && (confirmBtn == null ? void 0 : confirmBtn.removeAttribute("disabled"));
    confirmBtn && (confirmBtn.style.cursor = "pointer");
  }
  isUnderResolutionUI(allowedResolution) {
    const error = document.getElementById("resolutionAlert");
    const alertDivResolution = document.getElementById("alertDivResolution");
    const info_resolution = document.getElementById("info_resolution");
    const checkmark_resolution = document.getElementById("checkmark_resolution");
    const checkmark_stem_resolution = document.getElementById("checkmark_stem_resolution");
    const checkmark_kick_resolution = document.getElementById("checkmark_kick_resolution");
    if (!allowedResolution) {
      error.style.color = "#FF0000";
      info_resolution && (info_resolution.style.display = "block");
      alertDivResolution.setAttribute("title", `A c\xE2mera n\xE3o satisfaz a resolu\xE7\xE3o m\xEDnima exigida (${this.videoOptions.minWidth}x${this.videoOptions.minHeight}).
Para iniciar um exame utilize uma outra c\xE2mera.`);
      checkmark_resolution.setAttribute("class", "checkmark_error");
      checkmark_stem_resolution.setAttribute("class", "checkmark_stem_error");
      checkmark_kick_resolution.setAttribute("class", "checkmark_kick_error");
    } else {
      error.style.color = "#16A34A";
      info_resolution && (info_resolution.style.display = "none");
      error.setAttribute("title", "");
      checkmark_resolution.setAttribute("class", "checkmark");
      checkmark_stem_resolution.setAttribute("class", "checkmark_stem");
      checkmark_kick_resolution.setAttribute("class", "checkmark_kick");
    }
  }
  videoDeviceInterfaceUI(stream4) {
    const cameraStream = document.querySelector("#cameraStream");
    if (cameraStream) {
      cameraStream.srcObject = stream4;
      cameraStream.play();
    }
  }
  audioDeviceInterfaceUIAllowedAmbient(allowedAmbient) {
    const ambientVerifyAlert = document.getElementById("ambientVerifyAlert");
    const alertDivAmbientVerify = document.getElementById("alertDivAmbientVerify");
    const checkmark_AmbientVerify = document.getElementById("checkmark_AmbientVerify");
    const checkmark_stem_AmbientVerify = document.getElementById("checkmark_stem_AmbientVerify");
    const checkmark_kick_AmbientVerify = document.getElementById("checkmark_kick_AmbientVerify");
    if (!allowedAmbient) {
      ambientVerifyAlert && (ambientVerifyAlert.style.color = "#FF0000");
      alertDivAmbientVerify && alertDivAmbientVerify.setAttribute("title", `Ambiente apresentando muito ru\xEDdo!`);
      checkmark_AmbientVerify.setAttribute("class", "checkmark_error");
      checkmark_stem_AmbientVerify.setAttribute("class", "checkmark_stem_error");
      checkmark_kick_AmbientVerify.setAttribute("class", "checkmark_kick_error");
    } else {
      ambientVerifyAlert && (ambientVerifyAlert.style.color = "#16A34A");
      alertDivAmbientVerify && alertDivAmbientVerify.setAttribute("title", ``);
      checkmark_AmbientVerify.setAttribute("class", "checkmark");
      checkmark_stem_AmbientVerify.setAttribute("class", "checkmark_stem");
      checkmark_kick_AmbientVerify.setAttribute("class", "checkmark_kick");
    }
  }
  audioDeviceInterfaceUIMicrophoneWorks(microphoneWorks) {
    const error = document.getElementById("microphoneAlert");
    const alertDivMicrophone = document.getElementById("alertDivMicrophone");
    const checkmark_microphone = document.getElementById("checkmark_microphone");
    const checkmark_stem_microphone = document.getElementById("checkmark_stem_microphone");
    const checkmark_kick_microphone = document.getElementById("checkmark_kick_microphone");
    if (microphoneWorks) {
      error && (error.style.color = "#16A34A");
      alertDivMicrophone && alertDivMicrophone.setAttribute("title", ``);
      checkmark_microphone && checkmark_microphone.setAttribute("class", "checkmark");
      checkmark_stem_microphone && checkmark_stem_microphone.setAttribute("class", "checkmark_stem");
      checkmark_kick_microphone && checkmark_kick_microphone.setAttribute("class", "checkmark_kick");
    } else {
      error && (error.style.color = "#FF0000");
      alertDivMicrophone && alertDivMicrophone.setAttribute("title", `Microfone n\xE3o est\xE1 funcionando corretamente!`);
      checkmark_microphone && checkmark_microphone.setAttribute("class", "checkmark_error");
      checkmark_stem_microphone && checkmark_stem_microphone.setAttribute("class", "checkmark_stem_error");
      checkmark_kick_microphone && checkmark_kick_microphone.setAttribute("class", "checkmark_kick_error");
    }
  }
  audioDeviceInterfaceUIErrorExec() {
    const error = document.getElementById("microphoneAlert");
    const checkmark_microphone = document.getElementById("checkmark_microphone");
    const checkmark_stem_microphone = document.getElementById("checkmark_stem_microphone");
    const checkmark_kick_microphone = document.getElementById("checkmark_kick_microphone");
    error && (error.style.color = "#FF0000");
    checkmark_microphone && checkmark_microphone.setAttribute("class", "checkmark_error");
    checkmark_stem_microphone && checkmark_stem_microphone.setAttribute("class", "checkmark_stem_error");
    checkmark_kick_microphone && checkmark_kick_microphone.setAttribute("class", "checkmark_kick_error");
  }
  audioDeviceInterfaceUIPills(value) {
    const audioStream = document.querySelector("#audioStream");
    const pillList = audioStream == null ? void 0 : audioStream.querySelectorAll("div");
    const volumeText = document.querySelector("#audioText");
    const pillValue = value / 4;
    pillList == null ? void 0 : pillList.forEach((item, index) => {
      index < Math.ceil(pillValue) ? item.style.backgroundColor = "rgb(22, 163, 74)" : item.style.backgroundColor = "rgba(0, 0, 0, .3)";
    });
    volumeText && (volumeText.innerText = value.toFixed(0).toString());
  }
  async addStyleMask() {
    const styles = `
        .facial-biometry__mask {
            mask-image: url('https://iarisprod.blob.core.windows.net/imagens/square.svg'), url('https://iarisprod.blob.core.windows.net/imagens/face-mask.svg');
            mask-size: cover, auto 65%;
            mask-repeat: no-repeat;
            mask-position: center, center;
            mask-composite: subtract;
        
            -webkit-mask-image: url('https://iarisprod.blob.core.windows.net/imagens/square.svg'), url('https://iarisprod.blob.core.windows.net/imagens/face-mask.svg');
            -webkit-mask-size: cover, auto 65%;
            -webkit-mask-repeat: no-repeat;
            -webkit-mask-position: center, center;
            -webkit-mask-composite: source-out;
        }
        
        .biometry__frame {
            background: url("https://iarisprod.blob.core.windows.net/imagens/face-frame.svg") no-repeat center;
            background-size: auto 65%;

            // mask-image: url("https://iarisprod.blob.core.windows.net/imagens/face-frame.svg");
            // mask-size: auto 65%;
            // mask-position: center;
            // mask-repeat: no-repeat;

            // -webkit-mask-image: url("https://iarisprod.blob.core.windows.net/imagens/face-frame.svg");
            // -webkit-mask-size: auto 65%;
            // -webkit-mask-position: center;
            // -webkit-mask-repeat: no-repeat;
        }
    `;
    const styleSheet = document.createElement("style");
    styleSheet.innerHTML = styles;
    document.head.appendChild(styleSheet);
  }
  applyStyles(element, styles) {
    for (const [property, value] of Object.entries(styles)) {
      element.style[property] = value;
    }
  }
};

// src/new-flow/checkers/DeviceCheckerService.ts
var _DeviceCheckerService = class {
  constructor(context) {
    this.videoOptions = {
      width: 1080,
      height: 720,
      minWidth: 0,
      minHeight: 0
    };
    this.volumeMedia = 0;
    this.volumeSum = 0;
    this.volumeCounter = 0;
    this.microphoneMinThreshold = 5;
    this.allowedResolution = true;
    this.allowedAmbient = true;
    this.allowedPositionFace = true;
    this.allowedMicrophone = false;
    this.allowedSpyScan = null;
    this.noiseLimit = 0;
    this.faceDetection = new FaceDetection(
      {
        onRealtimeAlertsCallback: (response) => this.realtimeAlerts(response)
      },
      { videoBehaviourParameters: { detectFace: true } },
      "cameraStream",
      "liveCheckDevices"
    );
    this.context = context;
    this.backend = new BackendService({
      type: (context == null ? void 0 : context.type) || "prod",
      token: context.token
    });
  }
  async runCheckDevicesFlow(options, _videoOptions, onModalConfirm, onModalCancel, onUpdate) {
    if (_DeviceCheckerService.isModalOpen) {
      return Promise.reject("Modal j\xE1 est\xE1 aberto");
    }
    this.options = {
      ...getDefaultProctoringOptions,
      ...options,
      captureScreen: false,
      allowMultipleMonitors: true,
      allowOnlyFirstMonitor: false
    };
    _DeviceCheckerService.isModalOpen = true;
    try {
      await this.faceDetection.initializeDetector();
      const { cameraStream } = await this.startCheckDevices(
        options,
        _videoOptions
      );
      this.checkSpyScan();
      const returnData = { cameraStream: this.cameraRecorder.cameraStream };
      this.onUpdateCb = (e3) => onUpdate(e3);
      const resultPromise = new Promise(
        (resolve, reject) => {
          onModalConfirm(() => {
            this.closeCheckDevices();
            resolve({
              result: true,
              cameraId: options.cameraId || "default",
              microphoneId: options.microphoneId || "default",
              volumeRange: this.volumeMedia,
              allowedResolution: this.allowedResolution,
              allowedPositionFace: this.allowedPositionFace,
              allowedAmbient: this.allowedAmbient,
              allowedMicrophone: this.allowedMicrophone,
              allowedSpyScan: this.allowedSpyScan,
              faceDetectionAlerts: this.faceDetectionAlerts
            });
            _DeviceCheckerService.isModalOpen = false;
          });
          onModalCancel(() => {
            this.closeCheckDevices();
            resolve({
              result: false
            });
            _DeviceCheckerService.isModalOpen = false;
          });
        }
      );
      return { ...returnData, result: resultPromise };
    } catch (error) {
      this.closeCheckDevices();
      _DeviceCheckerService.isModalOpen = false;
      throw error;
    }
  }
  onUpdateCallback() {
    if (typeof this.onUpdateCb === "function") {
      this.onUpdateCb({
        allowedResolution: this.allowedResolution,
        allowedPositionFace: this.allowedPositionFace,
        allowedAmbient: this.allowedAmbient,
        allowedMicrophone: this.allowedMicrophone,
        allowedSpyScan: this.allowedSpyScan,
        faceDetectionAlerts: this.faceDetectionAlerts
      });
    }
  }
  async checkDevices(options = getDefaultProctoringOptions, _videoOptions = getDefaultProctoringVideoOptions) {
    var _a2;
    if (_DeviceCheckerService.isModalOpen) {
      return Promise.reject();
    }
    _DeviceCheckerService.isModalOpen = true;
    this.DeviceCheckerUI = new DeviceCheckerUI(options, _videoOptions);
    try {
      this.options = {
        ...getDefaultProctoringOptions,
        ...options,
        captureScreen: false,
        allowMultipleMonitors: true,
        allowOnlyFirstMonitor: false
      };
      this.videoOptions = { ...this.videoOptions, ..._videoOptions };
      const paramsConfig = await this.backend.getParamsConfig(
        this.context
      );
      this.noiseLimit = ((_a2 = paramsConfig.audioBehaviourParameters) == null ? void 0 : _a2.noiseLimit) || 40;
      await this.faceDetection.initializeDetector();
      this.DeviceCheckerUI.checkDevicesInterface();
      this.startCheckDevices(options, _videoOptions);
      await this.checkSpyScan();
      const { cameraId, microphoneId, result } = await this.DeviceCheckerUI.modalActions(() => this.closeCheckDevices());
      return new Promise((resolve) => {
        resolve({
          result,
          cameraId,
          microphoneId,
          volumeRange: this.volumeMedia,
          allowedResolution: this.allowedResolution,
          allowedPositionFace: this.allowedPositionFace,
          allowedAmbient: this.allowedAmbient,
          allowedMicrophone: this.allowedMicrophone,
          allowedSpyScan: this.allowedSpyScan,
          faceDetectionAlerts: this.faceDetectionAlerts
        });
      });
    } catch (error) {
      this.closeCheckDevices();
      this.DeviceCheckerUI.closeModal();
      return Promise.reject(error);
    }
  }
  isUnderResolution() {
    const settings = this.cameraRecorder.cameraStream.getVideoTracks()[0].getSettings();
    if (this.videoOptions.minWidth > settings.width || this.videoOptions.minHeight > settings.height) {
      this.allowedResolution = false;
    } else {
      this.allowedResolution = true;
    }
    this.onUpdateCallback();
    this.DeviceCheckerUI && this.DeviceCheckerUI.isUnderResolutionUI(this.allowedResolution);
  }
  realtimeAlerts(response) {
    this.faceDetectionAlerts = response;
    if (response.status === "OK") {
      this.allowedPositionFace = true;
      this.allowedAmbient = true;
    } else {
      this.allowedPositionFace = false;
      this.allowedAmbient = false;
    }
    this.onUpdateCallback();
    this.DeviceCheckerUI && this.DeviceCheckerUI.realtimeAlertsUI(response);
  }
  videoDeviceInterface(stream4) {
    this.DeviceCheckerUI && this.DeviceCheckerUI.videoDeviceInterfaceUI(stream4);
    this.isUnderResolution();
    this.faceDetection.enableCam(stream4);
  }
  audioDeviceInterface(stream4) {
    this.volumeMeter = new VolumeMeter(this.cameraRecorder.cameraStream);
    this.volumeMeter.start({
      setVolume: (value) => {
        this.volumeCounter++;
        this.volumeSum += value;
        if (!this.allowedMicrophone && value > this.microphoneMinThreshold) {
          this.allowedMicrophone = true;
          this.onUpdateCallback();
          this.DeviceCheckerUI && this.DeviceCheckerUI.audioDeviceInterfaceUIMicrophoneWorks(true);
        } else if (!this.allowedMicrophone) {
          this.DeviceCheckerUI && this.DeviceCheckerUI.audioDeviceInterfaceUIMicrophoneWorks(false);
        }
        this.DeviceCheckerUI && this.DeviceCheckerUI.audioDeviceInterfaceUIPills(value);
        if (value > this.noiseLimit) {
          this.allowedAmbient = false;
          this.onUpdateCallback();
          this.DeviceCheckerUI && this.DeviceCheckerUI.audioDeviceInterfaceUIAllowedAmbient(false);
        } else {
          this.allowedAmbient = true;
          this.onUpdateCallback();
          this.DeviceCheckerUI && this.DeviceCheckerUI.audioDeviceInterfaceUIAllowedAmbient(true);
        }
      }
    }).catch((e3) => {
      console.log(e3);
      this.volumeMeter = void 0;
      this.DeviceCheckerUI && this.DeviceCheckerUI.audioDeviceInterfaceUIErrorExec();
    });
  }
  async changeSelectedDevice({ cameraId, microphoneId }) {
    var _a2;
    this.cameraRecorder.stopRecording && await this.cameraRecorder.stopRecording();
    (_a2 = this.volumeMeter) == null ? void 0 : _a2.stop();
    this.faceDetection.stopDetection();
    this.cameraRecorder = new CameraRecorder(
      {
        cameraId,
        microphoneId,
        onBufferSizeError: false,
        onBufferSizeErrorCallback: () => {
        }
      },
      {
        width: this.videoOptions.width,
        height: this.videoOptions.height
      }
    );
    await this.cameraRecorder.startRecording();
    this.videoDeviceInterface(this.cameraRecorder.cameraStream);
    this.audioDeviceInterface(this.cameraRecorder.cameraStream);
    return {
      cameraStream: this.cameraRecorder.cameraStream
    };
  }
  async startCheckDevices(options = getDefaultProctoringOptions, _videoOptions) {
    this.DeviceCheckerUI && this.DeviceCheckerUI.setSelectOption(
      options,
      (e3) => this.changeSelectedDevice(e3)
    );
    this.videoOptions = validatePartialVideoOptions(_videoOptions);
    await checkPermissions();
    this.cameraRecorder = new CameraRecorder(
      {
        cameraId: options.cameraId,
        microphoneId: options.microphoneId,
        onBufferSizeError: false,
        onBufferSizeErrorCallback: () => {
        }
      },
      {
        width: this.videoOptions.width,
        height: this.videoOptions.height
      }
    );
    await this.cameraRecorder.startRecording();
    this.videoDeviceInterface(this.cameraRecorder.cameraStream);
    this.audioDeviceInterface(this.cameraRecorder.cameraStream);
    if (this.DeviceCheckerUI) {
      const button = document.querySelector("#confirmBtn");
      !this.options.useSpyScan && (button.disabled = false);
    }
    return {
      cameraStream: this.cameraRecorder.cameraStream
    };
  }
  async closeCheckDevices() {
    var _a2;
    _DeviceCheckerService.isModalOpen = false;
    this.faceDetection.stopDetection();
    (_a2 = this.volumeMeter) == null ? void 0 : _a2.stop();
    this.volumeMedia = Math.ceil(this.volumeSum / this.volumeCounter);
    this.cameraRecorder.stopRecording && await this.cameraRecorder.stopRecording();
    this.DeviceCheckerUI = void 0;
    this.onUpdateCb = void 0;
  }
  async checkSpyScan() {
    this.spycam = new SpyCam(this.context, {});
    this.allowedSpyScan = null;
    if (this.options.useSpyScan) {
      this.DeviceCheckerUI && this.DeviceCheckerUI.waitingSpyDevices(true);
      try {
        const isPlugged = await this.spycam.isPluggedIn();
        if (isPlugged) {
          await this.spycam.devices({
            deviceType: 3 /* POTENCIAL_CAMERA */
          }).then((devices) => {
            if ((devices == null ? void 0 : devices.length) > 0) {
              this.allowedSpyScan = false;
            } else {
              this.allowedSpyScan = true;
            }
          }).finally(() => {
            this.DeviceCheckerUI && this.DeviceCheckerUI.waitingSpyDevices(false);
            this.DeviceCheckerUI && this.allowedSpyScan != null && this.DeviceCheckerUI.isSpyDevicesUI(this.allowedSpyScan);
          });
        } else {
          this.allowedSpyScan = false;
          this.DeviceCheckerUI && this.DeviceCheckerUI.waitingSpyDevices(false);
          this.DeviceCheckerUI && this.DeviceCheckerUI.isSpyDevicesUI(this.allowedSpyScan);
        }
      } catch (error) {
        this.allowedSpyScan = false;
        this.DeviceCheckerUI && this.DeviceCheckerUI.waitingSpyDevices(false);
        this.DeviceCheckerUI && this.DeviceCheckerUI.isSpyDevicesUI(this.allowedSpyScan);
        console.log(error);
      }
    }
  }
};
var DeviceCheckerService = _DeviceCheckerService;
DeviceCheckerService.isModalOpen = false;

// src/proctoring/CapturePhoto.ts
var CapturePhoto = class {
  constructor() {
  }
  async takePicture(title, subtitle, resolution = { width: 1080, height: 720 }) {
    this.resolution = resolution;
    return await this.takePictureInterface(title, subtitle);
  }
  async startCapture(cameraId = "default") {
    const cameraContainer = document.querySelector("#cameraStream");
    const constraints = {
      audio: false,
      video: {
        facingMode: "user",
        aspectRatio: 1.777777778,
        width: { min: 640, ideal: 640, max: 1920 },
        height: { min: 400, ideal: 480 },
        deviceId: cameraId
      }
    };
    this.cameraRecorder = new CameraRecorder(
      {
        cameraId,
        onBufferSizeErrorCallback: () => {
        }
      },
      { ...this.resolution }
    );
    await this.cameraRecorder.startRecording();
    cameraContainer.srcObject = this.cameraRecorder.cameraStream;
    cameraContainer.play();
  }
  shot() {
    const cameraContainer = document.querySelector("#cameraStream");
    const canvas = document.querySelector("#canvas");
    const picture = document.querySelector("#image");
    canvas.width = cameraContainer.videoWidth;
    canvas.height = cameraContainer.videoHeight;
    canvas.getContext("2d").drawImage(
      cameraContainer,
      0,
      0,
      cameraContainer.videoWidth,
      cameraContainer.videoHeight
    );
    picture.src = canvas.toDataURL("image/jpg");
    this.base64 = canvas.toDataURL("image/jpg");
  }
  takePictureInterface(title, subtitle) {
    return new Promise((resolve, reject) => {
      const fullBg = document.createElement("div");
      fullBg.setAttribute("id", "authPhoto");
      fullBg.style.backgroundColor = "rgba(0,0,0,0.4)";
      fullBg.style.zIndex = "1000";
      fullBg.style.position = "fixed";
      fullBg.style.top = "0";
      fullBg.style.left = "0";
      fullBg.style.height = "100vh";
      fullBg.style.width = "100%";
      fullBg.style.display = "flex";
      fullBg.style.alignItems = "center";
      fullBg.style.justifyContent = "center";
      const modal = document.createElement("div");
      modal.style.backgroundColor = "#fff";
      modal.style.zIndex = "1001";
      modal.style.position = "fixed";
      modal.style.top = "0";
      modal.style.left = "0";
      modal.style.height = "100vh";
      modal.style.width = "100%";
      modal.style.borderRadius = "10px";
      modal.style.display = "flex";
      modal.style.flexDirection = "column";
      modal.style.alignItems = "center";
      modal.style.boxSizing = "border-box";
      const h3 = document.createElement("h3");
      h3.innerText = title || "Biometria Facial";
      h3.style.color = "rgba(0, 0, 0, .7)";
      h3.style.fontWeight = "bold";
      h3.style.fontSize = "20px";
      h3.style.marginTop = "0px";
      h3.style.marginBottom = "15px";
      h3.style.padding = "20px 0px 0px";
      h3.style.width = "100%";
      h3.style.textAlign = "center";
      h3.style.position = "fixed";
      h3.style.top = "0";
      h3.style.left = "0";
      h3.style.zIndex = "1010";
      modal.appendChild(h3);
      const p3 = document.createElement("p");
      p3.innerText = subtitle || "Encaixe seu rosto no formato e clique no bot\xE3o abaixo";
      p3.style.color = "rgba(0, 0, 0, .7)";
      p3.style.fontWeight = "normal";
      p3.style.fontSize = "16px";
      p3.style.marginBottom = "15px";
      p3.style.padding = "0px 0px 20px";
      p3.style.width = "100%";
      p3.style.textAlign = "center";
      p3.style.position = "fixed";
      p3.style.top = "55px";
      p3.style.left = "0";
      p3.style.zIndex = "1011";
      modal.appendChild(p3);
      const divCameraHeader = document.createElement("div");
      const h3Camera = document.createElement("h3");
      const selectCamera = document.createElement("select");
      selectCamera.setAttribute("id", "cameraSelect");
      divCameraHeader.style.padding = "0 20px";
      divCameraHeader.style.width = "100%";
      divCameraHeader.style.display = "flex";
      divCameraHeader.style.justifyContent = "space-between";
      divCameraHeader.style.marginBottom = "15px";
      h3Camera.innerText = "C\xE2mera";
      h3Camera.style.color = "rgba(0, 0, 0, .75)";
      h3Camera.style.fontWeight = "bold";
      h3Camera.style.fontSize = "16px";
      divCameraHeader.appendChild(h3Camera);
      divCameraHeader.appendChild(selectCamera);
      const divCamera = document.createElement("div");
      const video = document.createElement("video");
      video.setAttribute("id", "cameraStream");
      video.muted = true;
      divCamera.style.position = "fixed";
      divCamera.style.top = "0";
      divCamera.style.left = "0";
      divCamera.style.height = "100vh";
      divCamera.style.width = "100%";
      divCamera.style.display = "flex";
      divCamera.style.justifyContent = "center";
      video.style.backgroundColor = "#000";
      video.style.borderRadius = "10px";
      video.style.width = "auto";
      video.style.height = "auto";
      video.style.minHeight = "100%";
      divCamera.appendChild(video);
      const canvas = document.createElement("canvas");
      canvas.setAttribute("id", "canvas");
      canvas.style.display = "none";
      canvas.style.width = "100%";
      canvas.style.height = "100%";
      const image = document.createElement("img");
      image.setAttribute("id", "image");
      image.style.objectFit = "contain";
      image.style.display = "none";
      image.style.borderRadius = "8px";
      divCamera.appendChild(canvas);
      divCamera.appendChild(image);
      const mask = document.createElement("div");
      mask.setAttribute("class", "facial-biometry__mask");
      mask.style.width = "100%";
      mask.style.height = "100%";
      mask.style.position = "absolute";
      mask.style.top = "0px";
      mask.style.left = "0px";
      mask.style.backgroundColor = "#fff";
      mask.style.opacity = "0.8";
      const frame = document.createElement("div");
      frame.setAttribute("class", "biometry__frame");
      frame.style.width = "100%";
      frame.style.height = "100%";
      frame.style.position = "absolute";
      frame.style.top = "0px";
      frame.style.left = "0px";
      frame.style.zIndex = "10";
      divCamera.appendChild(mask);
      divCamera.appendChild(frame);
      modal.appendChild(divCamera);
      this.addStyleMask();
      const takePhotoBtn = document.createElement("button");
      const divBtn = document.createElement("div");
      takePhotoBtn.setAttribute("id", "confirmBtn");
      divBtn.style.position = "fixed";
      divBtn.style.bottom = "0";
      divBtn.style.left = "0";
      divBtn.style.width = "100%";
      divBtn.style.display = "flex";
      divBtn.style.alignItems = "center";
      divBtn.style.justifyContent = "center";
      takePhotoBtn.style.background = "url('https://iarisprod.blob.core.windows.net/imagens/camera.svg') no-repeat center";
      takePhotoBtn.style.width = "70px";
      takePhotoBtn.style.height = "70px";
      takePhotoBtn.style.borderRadius = "70px";
      takePhotoBtn.style.border = "none";
      takePhotoBtn.style.backgroundColor = "#16a34a";
      takePhotoBtn.style.margin = "20px";
      const closeModalBtn = document.createElement("button");
      closeModalBtn.setAttribute("id", "closeModal");
      closeModalBtn.style.background = "url('https://iarisprod.blob.core.windows.net/imagens/close.svg') no-repeat center";
      closeModalBtn.style.width = "70px";
      closeModalBtn.style.height = "70px";
      closeModalBtn.style.borderRadius = "70px";
      closeModalBtn.style.border = "none";
      closeModalBtn.style.backgroundColor = "#e74141";
      closeModalBtn.style.margin = "20px";
      divBtn.appendChild(closeModalBtn);
      divBtn.appendChild(takePhotoBtn);
      modal.appendChild(divBtn);
      const retakeBtn = document.createElement("button");
      retakeBtn.style.background = "url('https://easyproctor-public.s3.us-east-2.amazonaws.com/images/retry.svg') no-repeat center";
      retakeBtn.style.width = "70px";
      retakeBtn.style.height = "70px";
      retakeBtn.style.borderRadius = "70px";
      retakeBtn.style.border = "none";
      retakeBtn.style.backgroundColor = "#e74141";
      retakeBtn.style.margin = "20px 20px";
      const confirmBtn = document.createElement("button");
      confirmBtn.style.background = "url('https://iarisprod.blob.core.windows.net/imagens/check.svg') no-repeat center";
      confirmBtn.style.width = "70px";
      confirmBtn.style.height = "70px";
      confirmBtn.style.borderRadius = "70px";
      confirmBtn.style.border = "none";
      confirmBtn.style.backgroundColor = "#16a34a";
      confirmBtn.style.margin = "20px 20px";
      fullBg.appendChild(modal);
      document.body.appendChild(fullBg);
      this.setSelectOption();
      this.startCapture();
      takePhotoBtn.addEventListener("click", () => {
        divBtn.removeChild(takePhotoBtn);
        divBtn.removeChild(closeModalBtn);
        divBtn.appendChild(retakeBtn);
        divBtn.appendChild(confirmBtn);
        this.shot();
        video.style.display = "none";
        image.style.display = "block";
      });
      retakeBtn.addEventListener("click", () => {
        divBtn.appendChild(closeModalBtn);
        divBtn.appendChild(takePhotoBtn);
        divBtn.removeChild(retakeBtn);
        divBtn.removeChild(confirmBtn);
        video.style.display = "block";
        image.style.display = "none";
      });
      confirmBtn.addEventListener("click", () => {
        this.closeInterface();
        resolve({ base64: this.base64 });
      });
      closeModalBtn.addEventListener("click", () => {
        this.closeInterface();
        reject(new Error("User does not captured photo"));
      });
    });
  }
  async setSelectOption() {
    const cameras = document.querySelector("#cameraSelect");
    const devices = await enumarateDevices();
    cameras && (cameras.value = "default");
    const generateOption = (text, value) => {
      const el = document.createElement("option");
      el.setAttribute("value", value);
      el.innerHTML = text;
      return el;
    };
    devices.cameras.forEach((camera) => {
      const option = generateOption(camera.label, camera.id);
      cameras == null ? void 0 : cameras.appendChild(option);
    });
    this.onSelectOptionChange();
  }
  async onSelectOptionChange() {
    const cameras = document.querySelector("#cameraSelect");
    cameras == null ? void 0 : cameras.addEventListener("change", async () => {
      this.startCapture(cameras == null ? void 0 : cameras.value);
    });
  }
  async closeInterface() {
    await this.cameraRecorder.stopRecording();
    const authPhoto = document.querySelector("#authPhoto");
    authPhoto == null ? void 0 : authPhoto.remove();
  }
  async addStyleMask() {
    const styles = `
            .facial-biometry__mask {
                mask-image: url('https://iarisprod.blob.core.windows.net/imagens/square.svg'), url('https://iarisprod.blob.core.windows.net/imagens/face-mask.svg');
                mask-size: cover, auto 65%;
                mask-repeat: no-repeat;
                mask-position: center, center;
                mask-composite: subtract;
            
                -webkit-mask-image: url('https://iarisprod.blob.core.windows.net/imagens/square.svg'), url('https://iarisprod.blob.core.windows.net/imagens/face-mask.svg');
                -webkit-mask-size: cover, auto 65%;
                -webkit-mask-repeat: no-repeat;
                -webkit-mask-position: center, center;
                -webkit-mask-composite: source-out;
            }
            
            .biometry__frame {
                background: url("https://iarisprod.blob.core.windows.net/imagens/face-frame.svg") no-repeat center;
                background-size: auto 65%;

                // mask-image: url("https://iarisprod.blob.core.windows.net/imagens/face-frame.svg");
                // mask-size: auto 65%;
                // mask-position: center;
                // mask-repeat: no-repeat;

                // -webkit-mask-image: url("https://iarisprod.blob.core.windows.net/imagens/face-frame.svg");
                // -webkit-mask-size: auto 65%;
                // -webkit-mask-position: center;
                // -webkit-mask-repeat: no-repeat;
            }
        `;
    const styleSheet = document.createElement("style");
    styleSheet.innerHTML = styles;
    document.head.appendChild(styleSheet);
  }
};

// src/extension/extension.ts
var Extension = class {
  constructor() {
    this.hasExtension = false;
    this.tryes = 0;
    this.responseStart = false;
  }
  start() {
    let timer;
    return new Promise((resolve, reject) => {
      window.postMessage({ type: "easyproctor", func: "startExtensionEasyproctor" }, "*");
      timer = setInterval(() => {
        if (this.tryes > 10) {
          clearInterval(timer);
          reject(new Error("N\xE3o foi poss\xEDvel se conectar com a extens\xE3o"));
        }
        if (this.responseStart) {
          clearInterval(timer);
          resolve(this.responseStart);
        }
        this.tryes++;
      }, 1e3);
    });
  }
  sendVerifyMsg(link, token) {
    window.postMessage({ type: "easyproctor", func: "verifyExtensionEasyproctor", url: link, token }, "*");
  }
  verify(event) {
    if (event.source == window && event.data.sender && event.data.sender === "easyproctor-extension" && event.data.message_name && event.data.message_name === "progress") {
      this.options.onProgress && this.options.onProgress(100);
    }
    if (event.source == window && event.data.sender && event.data.sender === "easyproctor-extension" && event.data.message_name && event.data.message_name === "start") {
      this.responseStart = true;
    }
    return new Promise((resolve, reject) => {
      if (event.source == window && event.data.sender && event.data.sender === "easyproctor-extension" && event.data.message_name && event.data.message_name === "version") {
        this.hasExtension = true;
        resolve(this.hasExtension);
      }
    });
  }
  addEventListener() {
    window.addEventListener("message", (event) => this.verify(event));
  }
};

// src/modules/onChangeDevices.ts
var onChangeDevices = class {
  constructor(repositoryDevices, proctoringId2) {
    this.repositoryDevices = repositoryDevices;
    this.proctoringId = proctoringId2;
  }
  startRecording(options) {
    navigator.mediaDevices.ondevicechange = () => {
      this.onChangeDevices(options);
    };
  }
  async onChangeDevices(options) {
    const devices = await enumarateDevices();
    const isSameDevice = (a3, b3) => a3.label === b3.label && a3.id === b3.id;
    const onlyInLeft = (left, right, compareFunction) => left.filter((leftValue) => !right.some((rightValue) => compareFunction(leftValue, rightValue)));
    const response = await this.repositoryDevices.getDevices("devices");
    const defaultDevice = { label: "", id: "" };
    const copy = { cameras: (response == null ? void 0 : response.cameras) || [defaultDevice], microphones: (response == null ? void 0 : response.microphones) || [defaultDevice] };
    let resultCameras;
    let resultMicrophones;
    if (devices.cameras.length != (copy == null ? void 0 : copy.cameras.length)) {
      resultCameras = devices.cameras.length > (copy == null ? void 0 : copy.cameras.length) ? onlyInLeft(devices.cameras, copy == null ? void 0 : copy.cameras, isSameDevice) : onlyInLeft(copy == null ? void 0 : copy.cameras, devices.cameras, isSameDevice);
      resultCameras = resultCameras.filter((item) => item.id != "default");
    }
    if (devices.microphones.length != (copy == null ? void 0 : copy.microphones.length)) {
      resultMicrophones = devices.microphones.length > (copy == null ? void 0 : copy.microphones.length) ? onlyInLeft(devices.microphones, copy == null ? void 0 : copy.microphones, isSameDevice) : onlyInLeft(copy == null ? void 0 : copy.microphones, devices.microphones, isSameDevice);
      resultMicrophones = resultMicrophones.filter((item) => item.id != "default" && item.id != "communications");
    }
    const devicesChanged = {
      cameras: resultCameras || [],
      microphones: resultMicrophones || [],
      status: devices.cameras.length > (copy == null ? void 0 : copy.cameras.length) || devices.microphones.length > (copy == null ? void 0 : copy.microphones.length) ? "in" : "out"
    };
    await this.repositoryDevices.save({ ...devices, id: "devices", status: devices.cameras.length > (copy == null ? void 0 : copy.cameras.length) || devices.microphones.length > (copy == null ? void 0 : copy.microphones.length) ? "in" : "out" });
    if (options.status && (devicesChanged.cameras.length != 0 || devicesChanged.microphones.length != 0)) {
      trackers.registerChangeDevice(this.proctoringId, devicesChanged.status, JSON.stringify(devicesChanged, null, 2));
      options.status(devicesChanged);
    }
  }
};

// src/new-flow/download/downloadService.ts
var import_file_saver = __toESM(require_FileSaver_min());
var DownloadService = class {
  constructor(proctoringId2) {
    this.loadingBoolean = true;
    this.proctoringId = proctoringId2;
  }
  async upload(data, token) {
    const { file, onProgress } = data;
    try {
      trackers.registerDownloadFile(this.proctoringId, `File to download
	File name: ${file.name}
	File type: ${file.type}
	File size: ${file.size}}`);
      (0, import_file_saver.saveAs)(file);
      this.loadingBoolean = false;
      clearInterval(this.loadingInterval);
      onProgress && onProgress(Math.round(100));
    } catch (err) {
      file && this.proctoringId && trackers.registerError(this.proctoringId, `Failed on machine download
	File name: ${file.name}
	File type: ${file.type}
	File size: ${file.size}`);
      throw new Error(`Error on machine download`);
    }
  }
};

// src/new-flow/proctoring/ProctoringRecorder.ts
var ProctoringRecorder = class {
  constructor(session, recorders) {
    this.session = session;
    this.recorders = recorders;
  }
  async startAll() {
    this.session.start();
    for (const rec of this.recorders) {
      await rec.startRecording({ retry: false });
    }
  }
  async pauseAll() {
    this.session.pause();
    for (const rec of this.recorders) {
      await rec.pauseRecording();
    }
  }
  async resumeAll() {
    this.session.resume();
    for (const rec of this.recorders) {
      await rec.resumeRecording();
    }
  }
  async stopAll() {
    for (const rec of this.recorders) {
      await rec.stopRecording();
    }
    this.session.stop();
  }
  async saveAllOnSession() {
    for (const rec of this.recorders) {
      await rec.saveOnSession(this.session);
    }
  }
};

// src/new-flow/proctoring/ProctoringUploader.ts
var ProctoringUploader = class {
  constructor(session, proctoringId2, uploadServices) {
    this.session = session;
    this.proctoringId = proctoringId2;
    this.uploadServices = uploadServices;
  }
  async upload(token, progress) {
    await this.uploadRecordings(token, progress);
  }
  async uploadRecordings(token, onProgress) {
    await this.uploadAllFiles(token, onProgress);
    if (!this.session.hasSomethingToUpload) {
      this.session.setUploaded();
    }
  }
  async uploadAllFiles(token, globalOnProgres) {
    for (let i3 = 0; i3 < this.session.recordings.length; i3++) {
      const rec = this.session.recordings[i3];
      if (rec.upload) {
        continue;
      }
      const onProgress = (percentage) => {
        const relativePercentage = (i3 * 100 + percentage) / this.session.recordings.length;
        if (globalOnProgres) {
          globalOnProgres(relativePercentage);
        }
      };
      const result = await this.uploadFile(rec, token, onProgress).catch(
        () => void 0
      );
      if (result) {
        if (!rec.upload) {
          rec.upload = {
            storage: "upload" /* none */,
            awsUrl: "",
            azureUrl: ""
          };
        }
        if (result.uploaded) {
          rec.upload.storage = result.storage;
        }
        if (result.storage === "upload" /* none */) {
          result.url && (rec.upload.azureUrl = result.url);
        } else {
          result.url && (rec.upload.awsUrl = result.url);
        }
      }
    }
    if (globalOnProgres) {
      globalOnProgres(100);
    }
  }
  async uploadFile(rec, token, onProgress) {
    for await (const uploadService of this.uploadServices) {
      const result = await uploadService.upload(
        {
          file: rec.file,
          onProgress: (progress) => {
            if (onProgress)
              onProgress(progress);
          }
        },
        token
      );
      if (result) {
        let fileType = "";
        if (rec.file.name.search("camera") !== -1) {
          fileType = "Camera";
        } else if (rec.file.name.search("screen") !== -1) {
          fileType = "Screen";
        } else if (rec.file.name.search("audio") !== -1) {
          fileType = "Audio";
        }
        trackers.registerUploadFile(this.proctoringId, `Upload File
	Name: ${rec.file.name}
	Type: ${rec.file.type}
	Size: ${rec.file.size}`, fileType);
        return result;
      }
    }
    throw new Error("Could not upload");
  }
};

// src/new-flow/recorders/AlertRecorder.ts
var AlertRecorder = class {
  constructor(options, optionsProctoring) {
    this.alerts = [];
    this.onLostFocusCallback = options.onLostFocusCallback;
    this.onFocusCallback = options.onFocusCallback;
    this.optionsProctoring = optionsProctoring;
  }
  async startRecording() {
    this.startTime = new Date(Date.now());
    if (this.optionsProctoring.captureScreen) {
      window.addEventListener("blur", () => this.onLostFocus());
      window.addEventListener("focus", () => this.onReturnFocus());
    }
  }
  async pauseRecording() {
    window.removeEventListener("blur", () => this.onLostFocus());
    window.removeEventListener("focus", () => this.onReturnFocus());
  }
  async resumeRecording() {
    if (this.optionsProctoring.captureScreen) {
      window.addEventListener("blur", () => this.onLostFocus());
      window.addEventListener("focus", () => this.onReturnFocus());
    }
  }
  async stopRecording() {
    window.removeEventListener("blur", () => this.onLostFocus());
    window.removeEventListener("focus", () => this.onReturnFocus());
  }
  async saveOnSession(session) {
    this.alerts.forEach((alert) => {
      session.addAlert(alert);
    });
  }
  onLostFocus() {
    var _a2;
    if (Date.now() - ((_a2 = this.startTime) == null ? void 0 : _a2.getTime()) > 1e4) {
      this.onLostFocusCallback();
      this.alerts.push({
        begin: Date.now() - this.startTime.getTime(),
        end: 0,
        alert: 25 /* LostFocus */,
        type: 3 /* Screen */
      });
    }
  }
  onReturnFocus() {
    const lastAlert = this.alerts[this.alerts.length - 1];
    if (lastAlert) {
      this.onFocusCallback();
      lastAlert.end = Date.now() - this.startTime.getTime();
    }
  }
};

// src/new-flow/recorders/AudioRecorder.ts
var AudioRecorder = class {
  constructor(options, audioParams) {
    this.blobs = [];
    this.options = {
      cameraId: void 0,
      microphoneId: void 0
    };
    this.audioParams = {
      recordingBitrate: 128
    };
    audioParams && (this.audioParams = audioParams);
    options && (this.options = options);
  }
  async startRecording() {
    const constraints = {
      audio: { deviceId: this.options.microphoneId || "default" }
    };
    this.audioStream = await navigator.mediaDevices.getUserMedia(constraints);
    const { startRecording, stopRecording, pauseRecording, resumeRecording } = recorder(this.audioStream, this.blobs, void 0, void 0, true);
    this.recordingStart = startRecording;
    this.recordingStop = stopRecording;
    this.recordingPause = pauseRecording;
    this.recordingResume = resumeRecording;
    this.recordingStart();
  }
  async pauseRecording() {
  }
  async resumeRecording() {
  }
  async stopRecording() {
    this.recordingStop && await this.recordingStop();
  }
  async saveOnSession(session, start, end) {
    session.addRecording({
      device: "",
      file: new File(
        this.blobs,
        `EP_${session.id}_audio_${start && end && `${start}_${end}` || "0"}.webm`,
        {
          type: "audio/webm"
        }
      ),
      origin: "Mic" /* Mic */
    });
  }
};

// node_modules/@mediapipe/tasks-audio/audio_bundle.mjs
var t2 = "undefined" != typeof self ? self : {};
function e2(e3, n3) {
  t: {
    for (var r3 = ["CLOSURE_FLAGS"], o3 = t2, i3 = 0; i3 < r3.length; i3++)
      if (null == (o3 = o3[r3[i3]])) {
        r3 = null;
        break t;
      }
    r3 = o3;
  }
  return null != (e3 = r3 && r3[e3]) ? e3 : n3;
}
function n2() {
  throw Error("Invalid UTF8");
}
function r2(t3, e3) {
  return e3 = String.fromCharCode.apply(null, e3), null == t3 ? e3 : t3 + e3;
}
var o2;
var i2;
var s2 = "undefined" != typeof TextDecoder;
var a2;
var u2 = "undefined" != typeof TextEncoder;
function c2(t3) {
  if (u2)
    t3 = (a2 || (a2 = new TextEncoder())).encode(t3);
  else {
    let n3 = 0;
    const r3 = new Uint8Array(3 * t3.length);
    for (let o3 = 0; o3 < t3.length; o3++) {
      var e3 = t3.charCodeAt(o3);
      if (128 > e3)
        r3[n3++] = e3;
      else {
        if (2048 > e3)
          r3[n3++] = e3 >> 6 | 192;
        else {
          if (55296 <= e3 && 57343 >= e3) {
            if (56319 >= e3 && o3 < t3.length) {
              const i3 = t3.charCodeAt(++o3);
              if (56320 <= i3 && 57343 >= i3) {
                e3 = 1024 * (e3 - 55296) + i3 - 56320 + 65536, r3[n3++] = e3 >> 18 | 240, r3[n3++] = e3 >> 12 & 63 | 128, r3[n3++] = e3 >> 6 & 63 | 128, r3[n3++] = 63 & e3 | 128;
                continue;
              }
              o3--;
            }
            e3 = 65533;
          }
          r3[n3++] = e3 >> 12 | 224, r3[n3++] = e3 >> 6 & 63 | 128;
        }
        r3[n3++] = 63 & e3 | 128;
      }
    }
    t3 = n3 === r3.length ? r3 : r3.subarray(0, n3);
  }
  return t3;
}
var l2;
var h2 = e2(610401301, false);
var f2 = e2(572417392, true);
var d2 = t2.navigator;
function g2(t3) {
  return !!h2 && (!!l2 && l2.brands.some(({ brand: e3 }) => e3 && -1 != e3.indexOf(t3)));
}
function p2(e3) {
  var n3;
  return (n3 = t2.navigator) && (n3 = n3.userAgent) || (n3 = ""), -1 != n3.indexOf(e3);
}
function m2() {
  return !!h2 && (!!l2 && 0 < l2.brands.length);
}
function y2() {
  return m2() ? g2("Chromium") : (p2("Chrome") || p2("CriOS")) && !(!m2() && p2("Edge")) || p2("Silk");
}
l2 = d2 && d2.userAgentData || null;
var v2 = !m2() && (p2("Trident") || p2("MSIE"));
!p2("Android") || y2(), y2(), p2("Safari") && (y2() || !m2() && p2("Coast") || !m2() && p2("Opera") || !m2() && p2("Edge") || (m2() ? g2("Microsoft Edge") : p2("Edg/")) || m2() && g2("Opera"));
var b2 = {};
var w2 = null;
function _2(t3) {
  var e3 = t3.length, n3 = 3 * e3 / 4;
  n3 % 3 ? n3 = Math.floor(n3) : -1 != "=.".indexOf(t3[e3 - 1]) && (n3 = -1 != "=.".indexOf(t3[e3 - 2]) ? n3 - 2 : n3 - 1);
  var r3 = new Uint8Array(n3), o3 = 0;
  return function(t4, e4) {
    function n4(e5) {
      for (; r4 < t4.length; ) {
        var n5 = t4.charAt(r4++), o5 = w2[n5];
        if (null != o5)
          return o5;
        if (!/^[\s\xa0]*$/.test(n5))
          throw Error("Unknown base64 encoding at char: " + n5);
      }
      return e5;
    }
    A2();
    for (var r4 = 0; ; ) {
      var o4 = n4(-1), i3 = n4(0), s3 = n4(64), a3 = n4(64);
      if (64 === a3 && -1 === o4)
        break;
      e4(o4 << 2 | i3 >> 4), 64 != s3 && (e4(i3 << 4 & 240 | s3 >> 2), 64 != a3 && e4(s3 << 6 & 192 | a3));
    }
  }(t3, function(t4) {
    r3[o3++] = t4;
  }), o3 !== n3 ? r3.subarray(0, o3) : r3;
}
function A2() {
  if (!w2) {
    w2 = {};
    for (var t3 = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789".split(""), e3 = ["+/=", "+/", "-_=", "-_.", "-_"], n3 = 0; 5 > n3; n3++) {
      var r3 = t3.concat(e3[n3].split(""));
      b2[n3] = r3;
      for (var o3 = 0; o3 < r3.length; o3++) {
        var i3 = r3[o3];
        void 0 === w2[i3] && (w2[i3] = o3);
      }
    }
  }
}
var S2 = "undefined" != typeof Uint8Array;
var E2 = !v2 && "function" == typeof btoa;
function T2(t3) {
  if (!E2) {
    var e3;
    void 0 === e3 && (e3 = 0), A2(), e3 = b2[e3];
    var n3 = Array(Math.floor(t3.length / 3)), r3 = e3[64] || "";
    let u3 = 0, c3 = 0;
    for (; u3 < t3.length - 2; u3 += 3) {
      var o3 = t3[u3], i3 = t3[u3 + 1], s3 = t3[u3 + 2], a3 = e3[o3 >> 2];
      o3 = e3[(3 & o3) << 4 | i3 >> 4], i3 = e3[(15 & i3) << 2 | s3 >> 6], s3 = e3[63 & s3], n3[c3++] = a3 + o3 + i3 + s3;
    }
    switch (a3 = 0, s3 = r3, t3.length - u3) {
      case 2:
        s3 = e3[(15 & (a3 = t3[u3 + 1])) << 2] || r3;
      case 1:
        t3 = t3[u3], n3[c3] = e3[t3 >> 2] + e3[(3 & t3) << 4 | a3 >> 4] + s3 + r3;
    }
    return n3.join("");
  }
  for (e3 = "", n3 = 0, r3 = t3.length - 10240; n3 < r3; )
    e3 += String.fromCharCode.apply(null, t3.subarray(n3, n3 += 10240));
  return e3 += String.fromCharCode.apply(null, n3 ? t3.subarray(n3) : t3), btoa(e3);
}
var I2 = /[-_.]/g;
var P2 = { "-": "+", _: "/", ".": "=" };
function O2(t3) {
  return P2[t3] || "";
}
function L2(t3) {
  if (!E2)
    return _2(t3);
  I2.test(t3) && (t3 = t3.replace(I2, O2)), t3 = atob(t3);
  const e3 = new Uint8Array(t3.length);
  for (let n3 = 0; n3 < t3.length; n3++)
    e3[n3] = t3.charCodeAt(n3);
  return e3;
}
function x2(t3) {
  return S2 && null != t3 && t3 instanceof Uint8Array;
}
var B2;
function F2() {
  return B2 || (B2 = new Uint8Array(0));
}
var U2 = {};
var j2;
function k2(t3) {
  if (t3 !== U2)
    throw Error("illegal external caller");
}
function V2() {
  return j2 || (j2 = new M2(null, U2));
}
function N2(t3) {
  k2(U2);
  var e3 = t3.D;
  return null == (e3 = null == e3 || x2(e3) ? e3 : "string" == typeof e3 ? L2(e3) : null) ? e3 : t3.D = e3;
}
var M2 = class {
  constructor(t3, e3) {
    if (k2(e3), this.D = t3, null != t3 && 0 === t3.length)
      throw Error("ByteString should be constructed with non-empty values");
  }
  P() {
    const t3 = N2(this);
    return t3 ? new Uint8Array(t3) : F2();
  }
};
function D2(t3, e3) {
  return Error(`Invalid wire type: ${t3} (at position ${e3})`);
}
function C2() {
  return Error("Failed to read varint, encoding is invalid.");
}
function G2(t3, e3) {
  return Error(`Tried to read past the end of the data ${e3} > ${t3}`);
}
function $2(t3) {
  return 0 == t3.length ? V2() : new M2(t3, U2);
}
function z2(t3) {
  if ("string" == typeof t3)
    return { buffer: L2(t3), A: false };
  if (Array.isArray(t3))
    return { buffer: new Uint8Array(t3), A: false };
  if (t3.constructor === Uint8Array)
    return { buffer: t3, A: false };
  if (t3.constructor === ArrayBuffer)
    return { buffer: new Uint8Array(t3), A: false };
  if (t3.constructor === M2)
    return { buffer: N2(t3) || F2(), A: true };
  if (t3 instanceof Uint8Array)
    return { buffer: new Uint8Array(t3.buffer, t3.byteOffset, t3.byteLength), A: false };
  throw Error("Type not convertible to a Uint8Array, expected a Uint8Array, an ArrayBuffer, a base64 encoded string, a ByteString or an Array of numbers");
}
function R2() {
  return "function" == typeof BigInt;
}
var W2 = !f2;
var H2 = !f2;
var J2 = "function" == typeof Uint8Array.prototype.slice;
var K2;
var q2 = 0;
var Y2 = 0;
function X2(t3) {
  const e3 = 0 > t3;
  let n3 = (t3 = Math.abs(t3)) >>> 0;
  if (t3 = Math.floor((t3 - n3) / 4294967296), e3) {
    const [e4, r3] = ot2(n3, t3);
    t3 = r3, n3 = e4;
  }
  q2 = n3 >>> 0, Y2 = t3 >>> 0;
}
function Q2(t3) {
  const e3 = K2 || (K2 = new DataView(new ArrayBuffer(8)));
  e3.setFloat32(0, +t3, true), Y2 = 0, q2 = e3.getUint32(0, true);
}
function Z2(t3, e3) {
  return 4294967296 * e3 + (t3 >>> 0);
}
function tt2(t3, e3) {
  const n3 = 2147483648 & e3;
  return n3 && (e3 = ~e3 >>> 0, 0 == (t3 = 1 + ~t3 >>> 0) && (e3 = e3 + 1 >>> 0)), t3 = Z2(t3, e3), n3 ? -t3 : t3;
}
function et2(t3, e3) {
  if (t3 >>>= 0, 2097151 >= (e3 >>>= 0))
    var n3 = "" + (4294967296 * e3 + t3);
  else
    R2() ? n3 = "" + (BigInt(e3) << BigInt(32) | BigInt(t3)) : (t3 = (16777215 & t3) + 6777216 * (n3 = 16777215 & (t3 >>> 24 | e3 << 8)) + 6710656 * (e3 = e3 >> 16 & 65535), n3 += 8147497 * e3, e3 *= 2, 1e7 <= t3 && (n3 += Math.floor(t3 / 1e7), t3 %= 1e7), 1e7 <= n3 && (e3 += Math.floor(n3 / 1e7), n3 %= 1e7), n3 = e3 + nt2(n3) + nt2(t3));
  return n3;
}
function nt2(t3) {
  return t3 = String(t3), "0000000".slice(t3.length) + t3;
}
function rt2(t3) {
  if (16 > t3.length)
    X2(Number(t3));
  else if (R2())
    t3 = BigInt(t3), q2 = Number(t3 & BigInt(4294967295)) >>> 0, Y2 = Number(t3 >> BigInt(32) & BigInt(4294967295));
  else {
    const e3 = +("-" === t3[0]);
    Y2 = q2 = 0;
    const n3 = t3.length;
    for (let r3 = e3, o3 = (n3 - e3) % 6 + e3; o3 <= n3; r3 = o3, o3 += 6) {
      const e4 = Number(t3.slice(r3, o3));
      Y2 *= 1e6, q2 = 1e6 * q2 + e4, 4294967296 <= q2 && (Y2 += Math.trunc(q2 / 4294967296), Y2 >>>= 0, q2 >>>= 0);
    }
    if (e3) {
      const [t4, e4] = ot2(q2, Y2);
      q2 = t4, Y2 = e4;
    }
  }
}
function ot2(t3, e3) {
  return e3 = ~e3, t3 ? t3 = 1 + ~t3 : e3 += 1, [t3, e3];
}
function it2(t3, e3) {
  let n3, r3 = 0, o3 = 0, i3 = 0;
  const s3 = t3.i;
  let a3 = t3.g;
  do {
    n3 = s3[a3++], r3 |= (127 & n3) << i3, i3 += 7;
  } while (32 > i3 && 128 & n3);
  for (32 < i3 && (o3 |= (127 & n3) >> 4), i3 = 3; 32 > i3 && 128 & n3; i3 += 7)
    n3 = s3[a3++], o3 |= (127 & n3) << i3;
  if (ft2(t3, a3), 128 > n3)
    return e3(r3 >>> 0, o3 >>> 0);
  throw C2();
}
function st2(t3) {
  let e3 = 0, n3 = t3.g;
  const r3 = n3 + 10, o3 = t3.i;
  for (; n3 < r3; ) {
    const r4 = o3[n3++];
    if (e3 |= r4, 0 == (128 & r4))
      return ft2(t3, n3), !!(127 & e3);
  }
  throw C2();
}
function at2(t3) {
  const e3 = t3.i;
  let n3 = t3.g, r3 = e3[n3++], o3 = 127 & r3;
  if (128 & r3 && (r3 = e3[n3++], o3 |= (127 & r3) << 7, 128 & r3 && (r3 = e3[n3++], o3 |= (127 & r3) << 14, 128 & r3 && (r3 = e3[n3++], o3 |= (127 & r3) << 21, 128 & r3 && (r3 = e3[n3++], o3 |= r3 << 28, 128 & r3 && 128 & e3[n3++] && 128 & e3[n3++] && 128 & e3[n3++] && 128 & e3[n3++] && 128 & e3[n3++])))))
    throw C2();
  return ft2(t3, n3), o3;
}
function ut2(t3) {
  var e3 = t3.i;
  const n3 = t3.g, r3 = e3[n3], o3 = e3[n3 + 1], i3 = e3[n3 + 2];
  return e3 = e3[n3 + 3], ft2(t3, t3.g + 4), (r3 << 0 | o3 << 8 | i3 << 16 | e3 << 24) >>> 0;
}
function ct2(t3) {
  var e3 = ut2(t3);
  t3 = 2 * (e3 >> 31) + 1;
  const n3 = e3 >>> 23 & 255;
  return e3 &= 8388607, 255 == n3 ? e3 ? NaN : 1 / 0 * t3 : 0 == n3 ? t3 * Math.pow(2, -149) * e3 : t3 * Math.pow(2, n3 - 150) * (e3 + Math.pow(2, 23));
}
function lt2(t3) {
  return at2(t3);
}
function ht2(t3, e3, { F: n3 = false } = {}) {
  t3.F = n3, e3 && (e3 = z2(e3), t3.i = e3.buffer, t3.m = e3.A, t3.u = 0, t3.j = t3.i.length, t3.g = t3.u);
}
function ft2(t3, e3) {
  if (t3.g = e3, e3 > t3.j)
    throw G2(t3.j, e3);
}
function dt2(t3, e3) {
  if (0 > e3)
    throw Error(`Tried to read a negative byte length: ${e3}`);
  const n3 = t3.g, r3 = n3 + e3;
  if (r3 > t3.j)
    throw G2(e3, t3.j - n3);
  return t3.g = r3, n3;
}
function gt2(t3, e3) {
  if (0 == e3)
    return V2();
  var n3 = dt2(t3, e3);
  return t3.F && t3.m ? n3 = t3.i.subarray(n3, n3 + e3) : (t3 = t3.i, n3 = n3 === (e3 = n3 + e3) ? F2() : J2 ? t3.slice(n3, e3) : new Uint8Array(t3.subarray(n3, e3))), $2(n3);
}
var pt2 = [];
function mt2(t3) {
  var e3 = t3.g;
  if (e3.g == e3.j)
    return false;
  t3.j = t3.g.g;
  var n3 = at2(t3.g) >>> 0;
  if (e3 = n3 >>> 3, !(0 <= (n3 &= 7) && 5 >= n3))
    throw D2(n3, t3.j);
  if (1 > e3)
    throw Error(`Invalid field number: ${e3} (at position ${t3.j})`);
  return t3.m = e3, t3.i = n3, true;
}
function yt2(t3) {
  switch (t3.i) {
    case 0:
      0 != t3.i ? yt2(t3) : st2(t3.g);
      break;
    case 1:
      ft2(t3 = t3.g, t3.g + 8);
      break;
    case 2:
      if (2 != t3.i)
        yt2(t3);
      else {
        var e3 = at2(t3.g) >>> 0;
        ft2(t3 = t3.g, t3.g + e3);
      }
      break;
    case 5:
      ft2(t3 = t3.g, t3.g + 4);
      break;
    case 3:
      for (e3 = t3.m; ; ) {
        if (!mt2(t3))
          throw Error("Unmatched start-group tag: stream EOF");
        if (4 == t3.i) {
          if (t3.m != e3)
            throw Error("Unmatched end-group tag");
          break;
        }
        yt2(t3);
      }
      break;
    default:
      throw D2(t3.i, t3.j);
  }
}
function vt2(t3, e3, n3) {
  const r3 = t3.g.j, o3 = at2(t3.g) >>> 0, i3 = t3.g.g + o3;
  let s3 = i3 - r3;
  if (0 >= s3 && (t3.g.j = i3, n3(e3, t3, void 0, void 0, void 0), s3 = i3 - t3.g.g), s3)
    throw Error(`Message parsing ended unexpectedly. Expected to read ${o3} bytes, instead read ${o3 - s3} bytes, either the data ended unexpectedly or the message misreported its own length`);
  t3.g.g = i3, t3.g.j = r3;
}
function bt2(t3) {
  var e3 = at2(t3.g) >>> 0, a3 = dt2(t3 = t3.g, e3);
  if (t3 = t3.i, s2) {
    var u3, c3 = t3;
    (u3 = i2) || (u3 = i2 = new TextDecoder("utf-8", { fatal: true })), e3 = a3 + e3, c3 = 0 === a3 && e3 === c3.length ? c3 : c3.subarray(a3, e3);
    try {
      var l3 = u3.decode(c3);
    } catch (t4) {
      if (void 0 === o2) {
        try {
          u3.decode(new Uint8Array([128]));
        } catch (t5) {
        }
        try {
          u3.decode(new Uint8Array([97])), o2 = true;
        } catch (t5) {
          o2 = false;
        }
      }
      throw !o2 && (i2 = void 0), t4;
    }
  } else {
    e3 = (l3 = a3) + e3, a3 = [];
    let o3, i3 = null;
    for (; l3 < e3; ) {
      var h3 = t3[l3++];
      128 > h3 ? a3.push(h3) : 224 > h3 ? l3 >= e3 ? n2() : (o3 = t3[l3++], 194 > h3 || 128 != (192 & o3) ? (l3--, n2()) : a3.push((31 & h3) << 6 | 63 & o3)) : 240 > h3 ? l3 >= e3 - 1 ? n2() : (o3 = t3[l3++], 128 != (192 & o3) || 224 === h3 && 160 > o3 || 237 === h3 && 160 <= o3 || 128 != (192 & (u3 = t3[l3++])) ? (l3--, n2()) : a3.push((15 & h3) << 12 | (63 & o3) << 6 | 63 & u3)) : 244 >= h3 ? l3 >= e3 - 2 ? n2() : (o3 = t3[l3++], 128 != (192 & o3) || 0 != o3 - 144 + (h3 << 28) >> 30 || 128 != (192 & (u3 = t3[l3++])) || 128 != (192 & (c3 = t3[l3++])) ? (l3--, n2()) : (h3 = (7 & h3) << 18 | (63 & o3) << 12 | (63 & u3) << 6 | 63 & c3, h3 -= 65536, a3.push(55296 + (h3 >> 10 & 1023), 56320 + (1023 & h3)))) : n2(), 8192 <= a3.length && (i3 = r2(i3, a3), a3.length = 0);
    }
    l3 = r2(i3, a3);
  }
  return l3;
}
function wt2(t3) {
  const e3 = at2(t3.g) >>> 0;
  return gt2(t3.g, e3);
}
function _t2(t3, e3, n3) {
  var r3 = at2(t3.g) >>> 0;
  for (r3 = t3.g.g + r3; t3.g.g < r3; )
    n3.push(e3(t3.g));
}
var At2 = [];
function St2(t3) {
  return t3 ? /^\d+$/.test(t3) ? (rt2(t3), new Et2(q2, Y2)) : null : Tt2 || (Tt2 = new Et2(0, 0));
}
var Et2 = class {
  constructor(t3, e3) {
    this.i = t3 >>> 0, this.g = e3 >>> 0;
  }
};
var Tt2;
function It2(t3) {
  return t3 ? /^-?\d+$/.test(t3) ? (rt2(t3), new Pt2(q2, Y2)) : null : Ot2 || (Ot2 = new Pt2(0, 0));
}
var Pt2 = class {
  constructor(t3, e3) {
    this.i = t3 >>> 0, this.g = e3 >>> 0;
  }
};
var Ot2;
function Lt2(t3, e3, n3) {
  for (; 0 < n3 || 127 < e3; )
    t3.g.push(127 & e3 | 128), e3 = (e3 >>> 7 | n3 << 25) >>> 0, n3 >>>= 7;
  t3.g.push(e3);
}
function xt2(t3, e3) {
  for (; 127 < e3; )
    t3.g.push(127 & e3 | 128), e3 >>>= 7;
  t3.g.push(e3);
}
function Bt2(t3, e3) {
  if (0 <= e3)
    xt2(t3, e3);
  else {
    for (let n3 = 0; 9 > n3; n3++)
      t3.g.push(127 & e3 | 128), e3 >>= 7;
    t3.g.push(1);
  }
}
function Ft2(t3, e3) {
  t3.g.push(e3 >>> 0 & 255), t3.g.push(e3 >>> 8 & 255), t3.g.push(e3 >>> 16 & 255), t3.g.push(e3 >>> 24 & 255);
}
function Ut2(t3, e3) {
  0 !== e3.length && (t3.j.push(e3), t3.i += e3.length);
}
function jt2(t3, e3, n3) {
  xt2(t3.g, 8 * e3 + n3);
}
function kt2(t3, e3) {
  return jt2(t3, e3, 2), e3 = t3.g.end(), Ut2(t3, e3), e3.push(t3.i), e3;
}
function Vt2(t3, e3) {
  var n3 = e3.pop();
  for (n3 = t3.i + t3.g.length() - n3; 127 < n3; )
    e3.push(127 & n3 | 128), n3 >>>= 7, t3.i++;
  e3.push(n3), t3.i++;
}
function Nt2(t3, e3, n3) {
  jt2(t3, e3, 2), xt2(t3.g, n3.length), Ut2(t3, t3.g.end()), Ut2(t3, n3);
}
var Mt2;
var Dt2 = class {
  constructor(t3, e3, n3, r3) {
    this.g = t3, this.i = e3, this.j = n3, this.N = r3;
  }
};
function Ct2(t3) {
  return Array.prototype.slice.call(t3);
}
var Gt2 = (Mt2 = "function" == typeof Symbol && "symbol" == typeof Symbol() ? Symbol() : void 0) ? (t3, e3) => {
  t3[Mt2] |= e3;
} : (t3, e3) => {
  void 0 !== t3.o ? t3.o |= e3 : Object.defineProperties(t3, { o: { value: e3, configurable: true, writable: true, enumerable: false } });
};
function $t2(t3) {
  const e3 = Wt2(t3);
  1 != (1 & e3) && (Object.isFrozen(t3) && (t3 = Ct2(t3)), Jt2(t3, 1 | e3));
}
var zt2 = Mt2 ? (t3, e3) => {
  t3[Mt2] &= ~e3;
} : (t3, e3) => {
  void 0 !== t3.o && (t3.o &= ~e3);
};
function Rt2(t3, e3, n3) {
  return n3 ? t3 | e3 : t3 & ~e3;
}
var Wt2 = Mt2 ? (t3) => 0 | t3[Mt2] : (t3) => 0 | t3.o;
var Ht2 = Mt2 ? (t3) => t3[Mt2] : (t3) => t3.o;
var Jt2 = Mt2 ? (t3, e3) => {
  t3[Mt2] = e3;
} : (t3, e3) => {
  void 0 !== t3.o ? t3.o = e3 : Object.defineProperties(t3, { o: { value: e3, configurable: true, writable: true, enumerable: false } });
};
function Kt2() {
  var t3 = [];
  return Gt2(t3, 1), t3;
}
function qt2(t3, e3) {
  Jt2(e3, -14591 & (0 | t3));
}
function Yt2(t3, e3) {
  Jt2(e3, -14557 & (34 | t3));
}
function Xt2(t3) {
  return 0 === (t3 = t3 >> 14 & 1023) ? 536870912 : t3;
}
var Qt2 = {};
var Zt2 = {};
function te2(t3) {
  return !(!t3 || "object" != typeof t3 || t3.W !== Zt2);
}
function ee2(t3) {
  return null !== t3 && "object" == typeof t3 && !Array.isArray(t3) && t3.constructor === Object;
}
var ne2 = !f2;
function re2(t3, e3, n3) {
  if (null != t3) {
    if ("string" == typeof t3)
      t3 = t3 ? new M2(t3, U2) : V2();
    else if (t3.constructor !== M2)
      if (x2(t3))
        t3 = n3 ? $2(t3) : t3.length ? new M2(new Uint8Array(t3), U2) : V2();
      else {
        if (!e3)
          throw Error();
        t3 = void 0;
      }
  }
  return t3;
}
function oe2(t3, e3, n3) {
  if (!Array.isArray(t3) || t3.length)
    return false;
  const r3 = Wt2(t3);
  return !!(1 & r3) || !(!e3 || !(Array.isArray(e3) ? e3.includes(n3) : e3.has(n3))) && (Jt2(t3, 1 | r3), true);
}
var ie2;
var se2 = [];
function ae2(t3) {
  if (2 & t3)
    throw Error();
}
var ue2;
var ce2;
function le2(t3, e3) {
  (e3 = ue2 ? e3[ue2] : void 0) && (t3[ue2] = Ct2(e3));
}
Jt2(se2, 55), ie2 = Object.freeze(se2);
function he2() {
  const t3 = Error("int32");
  return t3.__closure__error__context__984382 || (t3.__closure__error__context__984382 = {}), t3.__closure__error__context__984382.severity = "warning", t3;
}
function fe2(t3) {
  return null == t3 || "number" == typeof t3 ? t3 : "NaN" === t3 || "Infinity" === t3 || "-Infinity" === t3 ? Number(t3) : void 0;
}
function de2(t3) {
  if (null != t3 && "boolean" != typeof t3) {
    var e3 = typeof t3;
    throw Error(`Expected boolean but got ${"object" != e3 ? e3 : t3 ? Array.isArray(t3) ? "array" : e3 : "null"}: ${t3}`);
  }
  return t3;
}
Object.freeze(new class {
}()), Object.freeze(new class {
}());
var ge2 = /^-?([1-9][0-9]*|0)(\.[0-9]+)?$/;
function pe2(t3) {
  const e3 = typeof t3;
  return "number" === e3 ? Number.isFinite(t3) : "string" === e3 && ge2.test(t3);
}
function me2(t3) {
  if (null == t3)
    return t3;
  if ("string" == typeof t3) {
    if (!t3)
      return;
    t3 = +t3;
  }
  return "number" == typeof t3 && Number.isFinite(t3) ? 0 | t3 : void 0;
}
function ye2(t3) {
  return "-" !== t3[0] && (20 > t3.length || 20 === t3.length && 184467 > Number(t3.substring(0, 6)));
}
function ve2(t3) {
  return t3 = Math.trunc(t3), Number.isSafeInteger(t3) || (X2(t3), t3 = tt2(q2, Y2)), t3;
}
function be2(t3) {
  var e3 = Math.trunc(Number(t3));
  if (Number.isSafeInteger(e3))
    return String(e3);
  if (-1 !== (e3 = t3.indexOf(".")) && (t3 = t3.substring(0, e3)), !("-" === t3[0] ? 20 > t3.length || 20 === t3.length && -922337 < Number(t3.substring(0, 7)) : 19 > t3.length || 19 === t3.length && 922337 > Number(t3.substring(0, 6))))
    if (rt2(t3), t3 = q2, 2147483648 & (e3 = Y2))
      if (R2())
        t3 = "" + (BigInt(0 | e3) << BigInt(32) | BigInt(t3 >>> 0));
      else {
        const [n3, r3] = ot2(t3, e3);
        t3 = "-" + et2(n3, r3);
      }
    else
      t3 = et2(t3, e3);
  return t3;
}
function we2(t3) {
  if ("string" != typeof t3)
    throw Error();
  return t3;
}
function _e2(t3) {
  if (null != t3 && "string" != typeof t3)
    throw Error();
  return t3;
}
function Ae2(t3) {
  return null == t3 || "string" == typeof t3 ? t3 : void 0;
}
function Se2(t3, e3, n3) {
  if (null != t3 && "object" == typeof t3 && t3.C === Qt2)
    return t3;
  if (Array.isArray(t3)) {
    var r3 = Wt2(t3), o3 = r3;
    return 0 === o3 && (o3 |= 32 & n3), (o3 |= 2 & n3) !== r3 && Jt2(t3, o3), new e3(t3);
  }
}
var Ee2;
var Te2;
var Ie2;
function Pe2(t3) {
  switch (typeof t3) {
    case "boolean":
      return Te2 || (Te2 = [0, void 0, true]);
    case "number":
      return 0 < t3 ? void 0 : 0 === t3 ? Ie2 || (Ie2 = [0, void 0]) : [-t3, void 0];
    case "string":
      return [0, t3];
    case "object":
      return t3;
  }
}
function Oe2(t3, e3, n3) {
  if (null == t3 && (t3 = Ee2), Ee2 = void 0, null == t3) {
    var r3 = 96;
    n3 ? (t3 = [n3], r3 |= 512) : t3 = [], e3 && (r3 = -16760833 & r3 | (1023 & e3) << 14);
  } else {
    if (!Array.isArray(t3))
      throw Error();
    if (64 & (r3 = Wt2(t3)))
      return ce2 && delete t3[ce2], t3;
    if (r3 |= 64, n3 && (r3 |= 512, n3 !== t3[0]))
      throw Error();
    t: {
      const o3 = (n3 = t3).length;
      if (o3) {
        const t4 = o3 - 1;
        if (ee2(n3[t4])) {
          if (1024 <= (e3 = t4 - (+!!(512 & (r3 |= 256)) - 1)))
            throw Error();
          r3 = -16760833 & r3 | (1023 & e3) << 14;
          break t;
        }
      }
      if (e3) {
        if (1024 < (e3 = Math.max(e3, o3 - (+!!(512 & r3) - 1))))
          throw Error();
        r3 = -16760833 & r3 | (1023 & e3) << 14;
      }
    }
  }
  return Jt2(t3, r3), t3;
}
function Le2(t3, e3, n3, r3, o3, i3) {
  if (null != t3) {
    if (Array.isArray(t3))
      t3 = o3 && 0 == t3.length && 1 & Wt2(t3) ? void 0 : i3 && 2 & Wt2(t3) ? t3 : xe2(t3, e3, n3, void 0 !== r3, o3, i3);
    else if (ee2(t3)) {
      const s3 = {};
      for (let a3 in t3)
        s3[a3] = Le2(t3[a3], e3, n3, r3, o3, i3);
      t3 = s3;
    } else
      t3 = e3(t3, r3);
    return t3;
  }
}
function xe2(t3, e3, n3, r3, o3, i3) {
  const s3 = r3 || n3 ? Wt2(t3) : 0;
  r3 = r3 ? !!(32 & s3) : void 0;
  const a3 = Ct2(t3);
  for (let t4 = 0; t4 < a3.length; t4++)
    a3[t4] = Le2(a3[t4], e3, n3, r3, o3, i3);
  return n3 && (le2(a3, t3), n3(s3, a3)), a3;
}
function Be2(t3) {
  return t3.C === Qt2 ? t3.toJSON() : function(t4) {
    switch (typeof t4) {
      case "number":
        return isFinite(t4) ? t4 : String(t4);
      case "boolean":
        return t4 ? 1 : 0;
      case "object":
        if (t4) {
          if (Array.isArray(t4))
            return ne2 || !oe2(t4, void 0, 9999) ? t4 : void 0;
          if (x2(t4))
            return T2(t4);
          if (t4 instanceof M2) {
            const e3 = t4.D;
            return null == e3 ? "" : "string" == typeof e3 ? e3 : t4.D = T2(e3);
          }
        }
    }
    return t4;
  }(t3);
}
function Fe2(t3, e3, n3 = Yt2) {
  if (null != t3) {
    if (S2 && t3 instanceof Uint8Array)
      return e3 ? t3 : new Uint8Array(t3);
    if (Array.isArray(t3)) {
      var r3 = Wt2(t3);
      return 2 & r3 ? t3 : (e3 && (e3 = 0 === r3 || !!(32 & r3) && !(64 & r3 || !(16 & r3))), e3 ? (Jt2(t3, -12293 & (34 | r3)), t3) : xe2(t3, Fe2, 4 & r3 ? Yt2 : n3, true, false, true));
    }
    return t3.C === Qt2 && (n3 = t3.l, t3 = 2 & (r3 = Ht2(n3)) ? t3 : je2(t3, n3, r3, true)), t3;
  }
}
function Ue2(t3) {
  const e3 = t3.l;
  return je2(t3, e3, Ht2(e3), false);
}
function je2(t3, e3, n3, r3) {
  return t3 = t3.constructor, Ee2 = e3 = ke2(e3, n3, r3), e3 = new t3(e3), Ee2 = void 0, e3;
}
function ke2(t3, e3, n3) {
  const r3 = n3 || 2 & e3 ? Yt2 : qt2, o3 = !!(32 & e3);
  return t3 = function(t4, e4, n4) {
    const r4 = Ct2(t4);
    var o4 = r4.length;
    const i3 = 256 & e4 ? r4[o4 - 1] : void 0;
    for (o4 += i3 ? -1 : 0, e4 = 512 & e4 ? 1 : 0; e4 < o4; e4++)
      r4[e4] = n4(r4[e4]);
    if (i3) {
      e4 = r4[e4] = {};
      for (const t5 in i3)
        e4[t5] = n4(i3[t5]);
    }
    return le2(r4, t4), r4;
  }(t3, e3, (t4) => Fe2(t4, o3, r3)), Gt2(t3, 32 | (n3 ? 2 : 0)), t3;
}
function Ve2(t3) {
  const e3 = t3.l, n3 = Ht2(e3);
  return 2 & n3 ? je2(t3, e3, n3, false) : t3;
}
function Ne2(t3, e3) {
  return Me2(t3 = t3.l, Ht2(t3), e3);
}
function Me2(t3, e3, n3, r3) {
  if (-1 === n3)
    return null;
  if (n3 >= Xt2(e3)) {
    if (256 & e3)
      return t3[t3.length - 1][n3];
  } else {
    var o3 = t3.length;
    if (r3 && 256 & e3 && null != (r3 = t3[o3 - 1][n3]))
      return r3;
    if ((e3 = n3 + (+!!(512 & e3) - 1)) < o3)
      return t3[e3];
  }
}
function De2(t3, e3, n3, r3) {
  const o3 = t3.l;
  let i3 = Ht2(o3);
  return ae2(i3), Ce2(o3, i3, e3, n3, r3), t3;
}
function Ce2(t3, e3, n3, r3, o3) {
  var i3 = Xt2(e3);
  if (n3 >= i3 || o3) {
    if (o3 = e3, 256 & e3)
      i3 = t3[t3.length - 1];
    else {
      if (null == r3)
        return o3;
      i3 = t3[i3 + (+!!(512 & e3) - 1)] = {}, o3 |= 256;
    }
    return i3[n3] = r3, o3 !== e3 && Jt2(t3, o3), o3;
  }
  return t3[n3 + (+!!(512 & e3) - 1)] = r3, 256 & e3 && (n3 in (t3 = t3[t3.length - 1]) && delete t3[n3]), e3;
}
function Ge2(t3, e3, n3, r3, o3) {
  var i3 = 2 & e3;
  let s3 = Me2(t3, e3, n3, o3);
  Array.isArray(s3) || (s3 = ie2);
  const a3 = !(2 & r3);
  r3 = !(1 & r3);
  const u3 = !!(32 & e3);
  let c3 = Wt2(s3);
  return 0 !== c3 || !u3 || i3 || a3 ? 1 & c3 || (c3 |= 1, Jt2(s3, c3)) : (c3 |= 33, Jt2(s3, c3)), i3 ? (t3 = false, 2 & c3 || (Gt2(s3, 34), t3 = !!(4 & c3)), (r3 || t3) && Object.freeze(s3)) : (i3 = !!(2 & c3) || !!(2048 & c3), r3 && i3 ? (s3 = Ct2(s3), r3 = 1, u3 && !a3 && (r3 |= 32), Jt2(s3, r3), Ce2(t3, e3, n3, s3, o3)) : a3 && 32 & c3 && !i3 && zt2(s3, 32)), s3;
}
function $e2(t3) {
  t3 = t3.l;
  let e3 = Ht2(t3);
  const n3 = Me2(t3, e3, 1), r3 = re2(n3, true, !!(34 & e3));
  return null != r3 && r3 !== n3 && Ce2(t3, e3, 1, r3), r3;
}
function ze2(t3, e3) {
  return t3 = Me2(t3, e3, 1), Array.isArray(t3) ? t3 : ie2;
}
function Re2(t3, e3, n3) {
  return 0 === t3 && (t3 = sn2(t3, e3, n3)), Rt2(t3, 1, true);
}
function We2(t3) {
  return !!(2 & t3) && !!(4 & t3) || !!(2048 & t3);
}
function He2(t3, e3, n3) {
  {
    const s3 = t3.l;
    let a3 = Ht2(s3);
    if (ae2(a3), null == n3)
      Ce2(s3, a3, e3);
    else {
      var r3, o3 = t3 = Wt2(n3), i3 = !!(2 & t3) || Object.isFrozen(n3);
      if ((r3 = !i3) && (r3 = false), !(4 & t3))
        for (t3 = 21, i3 && (n3 = Ct2(n3), o3 = 0, t3 = sn2(t3, a3, true)), i3 = 0; i3 < n3.length; i3++)
          n3[i3] = we2(n3[i3]);
      r3 && (n3 = Ct2(n3), o3 = 0, t3 = sn2(t3, a3, true)), t3 !== o3 && Jt2(n3, t3), Ce2(s3, a3, e3, n3);
    }
  }
}
function Je2(t3, e3) {
  t3 = t3.l;
  let n3 = Ht2(t3);
  ae2(n3), Ce2(t3, n3, 2, "" === e3 ? void 0 : e3);
}
function Ke2(t3, e3, n3, r3) {
  const o3 = Ht2(t3);
  ae2(o3), t3 = Ge2(t3, o3, e3, 2), r3 = n3(r3, !!(4 & (e3 = Wt2(t3))) && !!(4096 & e3)), t3.push(r3);
}
function qe2(t3) {
  return t3;
}
function Ye2(t3, e3) {
  return Xe2(t3 = t3.l, Ht2(t3), ho2) === e3 ? e3 : -1;
}
function Xe2(t3, e3, n3) {
  let r3 = 0;
  for (let o3 = 0; o3 < n3.length; o3++) {
    const i3 = n3[o3];
    null != Me2(t3, e3, i3) && (0 !== r3 && (e3 = Ce2(t3, e3, r3)), r3 = i3);
  }
  return r3;
}
function Qe2(t3, e3, n3, r3) {
  let o3 = Ht2(t3);
  ae2(o3);
  const i3 = Me2(t3, o3, n3, r3);
  let s3;
  if (null != i3 && i3.C === Qt2)
    return (e3 = Ve2(i3)) !== i3 && Ce2(t3, o3, n3, e3, r3), e3.l;
  if (Array.isArray(i3)) {
    const t4 = Wt2(i3);
    s3 = 2 & t4 ? ke2(i3, t4, false) : i3, s3 = Oe2(s3, e3[0], e3[1]);
  } else
    s3 = Oe2(void 0, e3[0], e3[1]);
  return s3 !== i3 && Ce2(t3, o3, n3, s3, r3), s3;
}
function Ze2(t3, e3, n3, r3) {
  t3 = t3.l;
  let o3 = Ht2(t3);
  const i3 = Me2(t3, o3, n3, r3);
  return (e3 = Se2(i3, e3, o3)) !== i3 && null != e3 && Ce2(t3, o3, n3, e3, r3), e3;
}
function tn2(t3, e3, n3) {
  if (null == (e3 = Ze2(t3, e3, n3, false)))
    return e3;
  t3 = t3.l;
  let r3 = Ht2(t3);
  if (!(2 & r3)) {
    const o3 = Ve2(e3);
    o3 !== e3 && Ce2(t3, r3, n3, e3 = o3, false);
  }
  return e3;
}
function en2(t3, e3, n3, r3, o3) {
  var i3 = !!(2 & e3), s3 = i3 ? 1 : 2;
  const a3 = 1 === s3;
  s3 = 2 === s3, r3 = !!r3, o3 && (o3 = !i3), i3 = ze2(t3, e3);
  var u3 = Wt2(i3);
  const c3 = !!(4 & u3);
  if (!c3) {
    var l3, h3 = i3, f3 = e3;
    (l3 = !!(2 & (u3 = Re2(u3, e3, r3)))) && (f3 = Rt2(f3, 2, true));
    let t4 = !l3, o4 = true, s4 = 0, a4 = 0;
    for (; s4 < h3.length; s4++) {
      const e4 = Se2(h3[s4], n3, f3);
      if (e4 instanceof n3) {
        if (!l3) {
          const n4 = !!(2 & Wt2(e4.l));
          t4 && (t4 = !n4), o4 && (o4 = n4);
        }
        h3[a4++] = e4;
      }
    }
    a4 < s4 && (h3.length = a4), u3 = Rt2(u3, 4, true), u3 = Rt2(u3, 16, o4), u3 = Rt2(u3, 8, t4), Jt2(h3, u3), l3 && Object.freeze(h3);
  }
  if (n3 = !!(8 & u3) || a3 && !i3.length, o3 && !n3) {
    for (We2(u3) && (i3 = Ct2(i3), u3 = sn2(u3, e3, r3), e3 = Ce2(t3, e3, 1, i3)), o3 = i3, n3 = u3, h3 = 0; h3 < o3.length; h3++)
      (u3 = o3[h3]) !== (f3 = Ve2(u3)) && (o3[h3] = f3);
    n3 = Rt2(n3, 8, true), n3 = Rt2(n3, 16, !o3.length), Jt2(o3, n3), u3 = n3;
  }
  return We2(u3) || (o3 = u3, a3 ? u3 = Rt2(u3, !i3.length || 16 & u3 && (!c3 || 32 & u3) ? 2 : 2048, true) : r3 || (u3 = Rt2(u3, 32, false)), u3 !== o3 && Jt2(i3, u3), a3 && Object.freeze(i3)), s3 && We2(u3) && (i3 = Ct2(i3), u3 = sn2(u3, e3, r3), Jt2(i3, u3), Ce2(t3, e3, 1, i3)), i3;
}
function nn2(t3, e3) {
  t3 = t3.l;
  const n3 = Ht2(t3);
  return en2(t3, n3, e3, false, !(2 & n3));
}
function rn2(t3, e3, n3, r3, o3) {
  return null == r3 && (r3 = void 0), De2(t3, n3, r3, o3);
}
function on2(t3, e3, n3) {
  var r3 = qr2;
  null == n3 && (n3 = void 0), t3 = t3.l;
  let o3 = Ht2(t3);
  ae2(o3), (r3 = Xe2(t3, o3, r3)) && r3 !== e3 && null != n3 && (o3 = Ce2(t3, o3, r3)), Ce2(t3, o3, e3, n3);
}
function sn2(t3, e3, n3) {
  return t3 = Rt2(t3, 2, !!(2 & e3)), t3 = Rt2(t3, 32, !!(32 & e3) && n3), Rt2(t3, 2048, false);
}
function an2(t3, e3) {
  var n3 = kr2;
  t3 = t3.l;
  const r3 = Ht2(t3);
  ae2(r3), t3 = en2(t3, r3, n3, true), e3 = null != e3 ? e3 : new n3(), t3.push(e3), 2 & Wt2(e3.l) ? zt2(t3, 8) : zt2(t3, 16);
}
function un2(t3) {
  return null == (t3 = Ne2(t3, 2)) ? t3 : pe2(t3) ? "number" == typeof t3 ? ve2(t3) : be2(t3) : void 0;
}
function cn2(t3) {
  return t3 != null ? t3 : 0;
}
function ln2(t3, e3, n3) {
  Ke2(t3.l, e3, we2, n3);
}
function hn2(t3, e3, n3) {
  e3.g ? e3.j(t3, e3.g, e3.i, n3, true) : e3.j(t3, e3.i, n3, true);
}
var fn2 = class {
  constructor(t3, e3) {
    this.l = Oe2(t3, e3);
  }
  toJSON() {
    return dn2(this, xe2(this.l, Be2, void 0, void 0, false, false), true);
  }
  A() {
    return !!(2 & Wt2(this.l));
  }
};
function dn2(t3, e3, n3) {
  const r3 = t3.constructor.v;
  var o3 = Ht2(n3 ? t3.l : e3), i3 = Xt2(o3), s3 = false;
  if (r3 && ne2) {
    if (!n3) {
      var a3;
      if ((e3 = Ct2(e3)).length && ee2(a3 = e3[e3.length - 1])) {
        for (s3 = 0; s3 < r3.length; s3++)
          if (r3[s3] >= i3) {
            Object.assign(e3[e3.length - 1] = {}, a3);
            break;
          }
      }
      s3 = true;
    }
    var u3;
    i3 = e3, n3 = !n3, t3 = Xt2(a3 = Ht2(t3.l)), a3 = +!!(512 & a3) - 1;
    for (let e4 = 0; e4 < r3.length; e4++) {
      var c3 = r3[e4];
      if (c3 < t3) {
        var l3 = i3[c3 += a3];
        null == l3 ? i3[c3] = n3 ? ie2 : Kt2() : n3 && l3 !== ie2 && $t2(l3);
      } else {
        if (!u3) {
          var h3 = void 0;
          i3.length && ee2(h3 = i3[i3.length - 1]) ? u3 = h3 : i3.push(u3 = {});
        }
        l3 = u3[c3], null == u3[c3] ? u3[c3] = n3 ? ie2 : Kt2() : n3 && l3 !== ie2 && $t2(l3);
      }
    }
  }
  if (!(u3 = e3.length))
    return e3;
  let f3, d3;
  if (ee2(h3 = e3[u3 - 1])) {
    t: {
      var g3 = h3;
      for (var p3 in i3 = {}, n3 = false, g3)
        t3 = g3[p3], Array.isArray(t3) && (a3 = t3, (!H2 && oe2(t3, r3, +p3) || !W2 && te2(t3) && 0 === t3.size) && (t3 = null), t3 != a3 && (n3 = true)), null != t3 ? i3[p3] = t3 : n3 = true;
      if (n3) {
        for (let t4 in i3) {
          g3 = i3;
          break t;
        }
        g3 = null;
      }
    }
    g3 != h3 && (f3 = true), u3--;
  }
  for (o3 = +!!(512 & o3) - 1; 0 < u3 && (null == (h3 = e3[p3 = u3 - 1]) || !H2 && oe2(h3, r3, p3 - o3) || !W2 && te2(h3) && 0 === h3.size); u3--)
    d3 = true;
  return f3 || d3 ? (e3 = s3 ? e3 : Array.prototype.slice.call(e3, 0, u3), s3 && (e3.length = u3), g3 && e3.push(g3), e3) : e3;
}
function gn2(t3) {
  return Array.isArray(t3) ? t3[0] instanceof Dt2 ? t3 : [cr2, t3] : [t3, void 0];
}
function pn2(t3, e3) {
  if (Array.isArray(e3)) {
    var n3 = Wt2(e3);
    if (4 & n3)
      return e3;
    for (var r3 = 0, o3 = 0; r3 < e3.length; r3++) {
      const n4 = t3(e3[r3]);
      null != n4 && (e3[o3++] = n4);
    }
    return o3 < r3 && (e3.length = o3), Jt2(e3, -12289 & (5 | n3)), 2 & n3 && Object.freeze(e3), e3;
  }
}
fn2.prototype.C = Qt2, fn2.prototype.toString = function() {
  return dn2(this, this.l, false).toString();
};
var mn2 = Symbol();
function yn2(t3) {
  let e3 = t3[mn2];
  if (!e3) {
    const n3 = En2(t3), r3 = Vn2(t3), o3 = r3.g;
    e3 = o3 ? (t4, e4) => o3(t4, e4, r3) : (t4, e4) => {
      for (; mt2(e4) && 4 != e4.i; ) {
        var o4 = e4.m, i3 = r3[o4];
        if (!i3) {
          var s3 = r3.K;
          s3 && (s3 = s3[o4]) && (i3 = r3[o4] = vn2(s3));
        }
        i3 && i3(e4, t4, o4) || (o4 = (i3 = e4).j, yt2(i3), i3.J ? i3 = void 0 : (s3 = i3.g.g - o4, i3.g.g = o4, i3 = gt2(i3.g, s3)), o4 = t4, i3 && (ue2 || (ue2 = Symbol()), (s3 = o4[ue2]) ? s3.push(i3) : o4[ue2] = [i3]));
      }
      n3 === bn2 || n3 === wn2 || n3.T || (t4[ce2 || (ce2 = Symbol())] = n3);
    }, t3[mn2] = e3;
  }
  return e3;
}
function vn2(t3) {
  const e3 = (t3 = gn2(t3))[0].g;
  if (t3 = t3[1]) {
    const n3 = yn2(t3), r3 = Vn2(t3).B;
    return (t4, o3, i3) => e3(t4, o3, i3, r3, n3);
  }
  return e3;
}
var bn2;
var wn2;
var _n2 = Symbol();
function An2(t3, e3, n3) {
  const r3 = n3[1];
  let o3;
  if (r3) {
    const n4 = r3[_n2];
    o3 = n4 ? n4.B : Pe2(r3[0]), t3[e3] = n4 != null ? n4 : r3;
  }
  o3 && o3 === Te2 ? (t3.L || (t3.L = [])).push(e3) : n3[0] && (t3.M || (t3.M = [])).push(e3);
}
function Sn2(t3, e3) {
  return [t3.j, !e3 || 0 < e3[0] ? void 0 : e3];
}
function En2(t3) {
  var e3 = t3[_n2];
  if (e3)
    return e3;
  if (!(e3 = In2(t3, t3[_n2] = {}, Sn2, Sn2, An2)).M && !e3.L) {
    let n3 = true;
    for (let t4 in e3) {
      isNaN(t4) || (n3 = false);
      break;
    }
    n3 ? (e3 = Pe2(t3[0]) === Te2, e3 = t3[_n2] = e3 ? wn2 || (wn2 = { B: Pe2(true) }) : bn2 || (bn2 = {})) : e3.T = true;
  }
  return e3;
}
function Tn2(t3, e3, n3) {
  t3[e3] = n3;
}
function In2(t3, e3, n3, r3, o3 = Tn2) {
  e3.B = Pe2(t3[0]);
  let i3 = 0;
  var s3 = t3[++i3];
  s3 && s3.constructor === Object && (e3.K = s3, "function" == typeof (s3 = t3[++i3]) && (e3.g = s3, e3.i = t3[++i3], s3 = t3[++i3]));
  const a3 = {};
  for (; Array.isArray(s3) && "number" == typeof s3[0] && 0 < s3[0]; ) {
    for (var u3 = 0; u3 < s3.length; u3++)
      a3[s3[u3]] = s3;
    s3 = t3[++i3];
  }
  for (u3 = 1; void 0 !== s3; ) {
    let h3;
    "number" == typeof s3 && (u3 += s3, s3 = t3[++i3]);
    var c3 = void 0;
    if (s3 instanceof Dt2 ? h3 = s3 : (h3 = lr2, i3--), h3.N) {
      s3 = t3[++i3], c3 = t3;
      var l3 = i3;
      "function" == typeof s3 && (s3 = s3(), c3[l3] = s3), c3 = s3;
    }
    for (l3 = u3 + 1, "number" == typeof (s3 = t3[++i3]) && 0 > s3 && (l3 -= s3, s3 = t3[++i3]); u3 < l3; u3++) {
      const t4 = a3[u3];
      o3(e3, u3, c3 ? r3(h3, c3, t4) : n3(h3, t4));
    }
  }
  return e3;
}
var Pn2 = Symbol();
function On2(t3) {
  let e3 = t3[Pn2];
  if (!e3) {
    const n3 = Fn2(t3);
    e3 = (t4, e4) => Mn2(t4, e4, n3), t3[Pn2] = e3;
  }
  return e3;
}
var Ln2 = Symbol();
function xn2(t3) {
  return t3.i;
}
function Bn2(t3, e3) {
  let n3, r3;
  const o3 = t3.i;
  return (t4, i3, s3) => o3(t4, i3, s3, r3 || (r3 = Fn2(e3).B), n3 || (n3 = On2(e3)));
}
function Fn2(t3) {
  let e3 = t3[Ln2];
  return e3 || (e3 = In2(t3, t3[Ln2] = {}, xn2, Bn2), Un2 in t3 && Ln2 in t3 && (t3.length = 0), e3);
}
var Un2 = Symbol();
function jn2(t3, e3) {
  const n3 = t3.g;
  return e3 ? (t4, r3, o3) => n3(t4, r3, o3, e3) : n3;
}
function kn2(t3, e3, n3) {
  const r3 = t3.g;
  let o3, i3;
  return (t4, s3, a3) => r3(t4, s3, a3, i3 || (i3 = Vn2(e3).B), o3 || (o3 = yn2(e3)), n3);
}
function Vn2(t3) {
  let e3 = t3[Un2];
  return e3 || (En2(t3), e3 = In2(t3, t3[Un2] = {}, jn2, kn2), Un2 in t3 && Ln2 in t3 && (t3.length = 0), e3);
}
function Nn2(t3, e3) {
  var n3 = t3[e3];
  if (n3)
    return n3;
  if ((n3 = t3.K) && (n3 = n3[e3])) {
    var r3 = (n3 = gn2(n3))[0].i;
    if (n3 = n3[1]) {
      const e4 = On2(n3), o3 = Fn2(n3).B;
      n3 = (n3 = t3.i) ? n3(o3, e4) : (t4, n4, i3) => r3(t4, n4, i3, o3, e4);
    } else
      n3 = r3;
    return t3[e3] = n3;
  }
}
function Mn2(t3, e3, n3) {
  for (var r3 = Ht2(t3), o3 = +!!(512 & r3) - 1, i3 = t3.length, s3 = 512 & r3 ? 1 : 0, a3 = i3 + (256 & r3 ? -1 : 0); s3 < a3; s3++) {
    const r4 = t3[s3];
    if (null == r4)
      continue;
    const i4 = s3 - o3, a4 = Nn2(n3, i4);
    a4 && a4(e3, r4, i4);
  }
  if (256 & r3) {
    r3 = t3[i3 - 1];
    for (let t4 in r3)
      o3 = +t4, Number.isNaN(o3) || null != (i3 = r3[t4]) && (a3 = Nn2(n3, o3)) && a3(e3, i3, o3);
  }
  if (t3 = ue2 ? t3[ue2] : void 0)
    for (Ut2(e3, e3.g.end()), n3 = 0; n3 < t3.length; n3++)
      Ut2(e3, N2(t3[n3]) || F2());
}
function Dn2(t3, e3) {
  return new Dt2(t3, e3, false, false);
}
function Cn2(t3, e3) {
  return new Dt2(t3, e3, true, false);
}
function Gn2(t3, e3, n3) {
  Ce2(t3, Ht2(t3), e3, n3);
}
function $n2(t3, e3, n3) {
  t:
    if (null != e3) {
      if (pe2(e3)) {
        if ("string" == typeof e3) {
          e3 = be2(e3);
          break t;
        }
        if ("number" == typeof e3) {
          e3 = ve2(e3);
          break t;
        }
      }
      e3 = void 0;
    }
  null != e3 && ("string" == typeof e3 && It2(e3), null != e3 && (jt2(t3, n3, 0), "number" == typeof e3 ? (t3 = t3.g, X2(e3), Lt2(t3, q2, Y2)) : (n3 = It2(e3), Lt2(t3.g, n3.i, n3.g))));
}
function zn2(t3, e3, n3) {
  null != (e3 = me2(e3)) && null != e3 && (jt2(t3, n3, 0), Bt2(t3.g, e3));
}
function Rn2(t3, e3, n3) {
  null != (e3 = null == e3 || "boolean" == typeof e3 ? e3 : "number" == typeof e3 ? !!e3 : void 0) && (jt2(t3, n3, 0), t3.g.g.push(e3 ? 1 : 0));
}
function Wn2(t3, e3, n3) {
  null != (e3 = Ae2(e3)) && Nt2(t3, n3, c2(e3));
}
function Hn2(t3, e3, n3, r3, o3) {
  null != (e3 = e3 instanceof fn2 ? e3.l : Array.isArray(e3) ? Oe2(e3, r3[0], r3[1]) : void 0) && (n3 = kt2(t3, n3), o3(e3, t3), Vt2(t3, n3));
}
function Jn2(t3, e3, n3) {
  null != (e3 = null == e3 || "string" == typeof e3 || x2(e3) || e3 instanceof M2 ? e3 : void 0) && Nt2(t3, n3, z2(e3).buffer);
}
var Kn2;
var qn2 = Dn2(function(t3, e3, n3) {
  if (1 !== t3.i)
    return false;
  var r3 = t3.g;
  t3 = ut2(r3);
  const o3 = ut2(r3);
  r3 = 2 * (o3 >> 31) + 1;
  const i3 = o3 >>> 20 & 2047;
  return t3 = 4294967296 * (1048575 & o3) + t3, Gn2(e3, n3, 2047 == i3 ? t3 ? NaN : 1 / 0 * r3 : 0 == i3 ? r3 * Math.pow(2, -1074) * t3 : r3 * Math.pow(2, i3 - 1075) * (t3 + 4503599627370496)), true;
}, function(t3, e3, n3) {
  null != (e3 = fe2(e3)) && (jt2(t3, n3, 1), t3 = t3.g, (n3 = K2 || (K2 = new DataView(new ArrayBuffer(8)))).setFloat64(0, +e3, true), q2 = n3.getUint32(0, true), Y2 = n3.getUint32(4, true), Ft2(t3, q2), Ft2(t3, Y2));
});
var Yn2 = Dn2(function(t3, e3, n3) {
  return 5 === t3.i && (Gn2(e3, n3, ct2(t3.g)), true);
}, function(t3, e3, n3) {
  null != (e3 = fe2(e3)) && (jt2(t3, n3, 5), t3 = t3.g, Q2(e3), Ft2(t3, q2));
});
var Xn2 = Cn2(function(t3, e3, n3) {
  return (5 === t3.i || 2 === t3.i) && (e3 = Ge2(e3, Ht2(e3), n3, 2, false), 2 == t3.i ? _t2(t3, ct2, e3) : e3.push(ct2(t3.g)), true);
}, function(t3, e3, n3) {
  if (null != (e3 = pn2(fe2, e3)) && e3.length) {
    jt2(t3, n3, 2), xt2(t3.g, 4 * e3.length);
    for (let r3 = 0; r3 < e3.length; r3++)
      n3 = t3.g, Q2(e3[r3]), Ft2(n3, q2);
  }
});
var Qn2 = Dn2(function(t3, e3, n3) {
  return 0 === t3.i && (Gn2(e3, n3, it2(t3.g, tt2)), true);
}, $n2);
var Zn2 = Dn2(function(t3, e3, n3) {
  return 0 === t3.i && (Gn2(e3, n3, 0 === (t3 = it2(t3.g, tt2)) ? void 0 : t3), true);
}, $n2);
var tr2 = Dn2(function(t3, e3, n3) {
  return 0 === t3.i && (Gn2(e3, n3, it2(t3.g, Z2)), true);
}, function(t3, e3, n3) {
  t:
    if (null != e3) {
      if (pe2(e3)) {
        if ("string" == typeof e3) {
          var r3 = Math.trunc(Number(e3));
          Number.isSafeInteger(r3) && 0 <= r3 ? e3 = String(r3) : (-1 !== (r3 = e3.indexOf(".")) && (e3 = e3.substring(0, r3)), ye2(e3) || (rt2(e3), e3 = et2(q2, Y2)));
          break t;
        }
        if ("number" == typeof e3) {
          e3 = 0 <= (e3 = Math.trunc(e3)) && Number.isSafeInteger(e3) ? e3 : function(t4) {
            if (0 > t4) {
              X2(t4);
              const e4 = et2(q2, Y2);
              return t4 = Number(e4), Number.isSafeInteger(t4) ? t4 : e4;
            }
            return ye2(String(t4)) ? t4 : (X2(t4), Z2(q2, Y2));
          }(e3);
          break t;
        }
      }
      e3 = void 0;
    }
  null != e3 && ("string" == typeof e3 && St2(e3), null != e3 && (jt2(t3, n3, 0), "number" == typeof e3 ? (t3 = t3.g, X2(e3), Lt2(t3, q2, Y2)) : (n3 = St2(e3), Lt2(t3.g, n3.i, n3.g))));
});
var er2 = Dn2(function(t3, e3, n3) {
  return 0 === t3.i && (Gn2(e3, n3, at2(t3.g)), true);
}, zn2);
var nr2 = Cn2(function(t3, e3, n3) {
  return (0 === t3.i || 2 === t3.i) && (e3 = Ge2(e3, Ht2(e3), n3, 2, false), 2 == t3.i ? _t2(t3, at2, e3) : e3.push(at2(t3.g)), true);
}, function(t3, e3, n3) {
  if (null != (e3 = pn2(me2, e3)) && e3.length) {
    n3 = kt2(t3, n3);
    for (let n4 = 0; n4 < e3.length; n4++)
      Bt2(t3.g, e3[n4]);
    Vt2(t3, n3);
  }
});
var rr2 = Dn2(function(t3, e3, n3) {
  return 0 === t3.i && (Gn2(e3, n3, 0 === (t3 = at2(t3.g)) ? void 0 : t3), true);
}, zn2);
var or2 = Dn2(function(t3, e3, n3) {
  return 0 === t3.i && (Gn2(e3, n3, st2(t3.g)), true);
}, Rn2);
var ir2 = Dn2(function(t3, e3, n3) {
  return 0 === t3.i && (Gn2(e3, n3, false === (t3 = st2(t3.g)) ? void 0 : t3), true);
}, Rn2);
var sr2 = Cn2(function(t3, e3, n3) {
  return 2 === t3.i && (Ke2(e3, n3, qe2, t3 = bt2(t3)), true);
}, function(t3, e3, n3) {
  if (null != (e3 = pn2(Ae2, e3)))
    for (let s3 = 0; s3 < e3.length; s3++) {
      var r3 = t3, o3 = n3, i3 = e3[s3];
      null != i3 && Nt2(r3, o3, c2(i3));
    }
});
var ar2 = Dn2(function(t3, e3, n3) {
  return 2 === t3.i && (Gn2(e3, n3, "" === (t3 = bt2(t3)) ? void 0 : t3), true);
}, Wn2);
var ur2 = Dn2(function(t3, e3, n3) {
  return 2 === t3.i && (Gn2(e3, n3, bt2(t3)), true);
}, Wn2);
var cr2 = new Dt2(function(t3, e3, n3, r3, o3) {
  return 2 === t3.i && (vt2(t3, Qe2(e3, r3, n3, true), o3), true);
}, Hn2, false, true);
var lr2 = new Dt2(function(t3, e3, n3, r3, o3) {
  return 2 === t3.i && (vt2(t3, Qe2(e3, r3, n3), o3), true);
}, Hn2, false, true);
Kn2 = new Dt2(function(t3, e3, n3, r3, o3) {
  if (2 !== t3.i)
    return false;
  r3 = Oe2(void 0, r3[0], r3[1]);
  let i3 = Ht2(e3);
  ae2(i3);
  let s3 = Ge2(e3, i3, n3, 3);
  return i3 = Ht2(e3), 4 & Wt2(s3) && (s3 = Ct2(s3), Jt2(s3, -2079 & (1 | Wt2(s3))), Ce2(e3, i3, n3, s3)), s3.push(r3), vt2(t3, r3, o3), true;
}, function(t3, e3, n3, r3, o3) {
  if (Array.isArray(e3))
    for (let i3 = 0; i3 < e3.length; i3++)
      Hn2(t3, e3[i3], n3, r3, o3);
}, true, true);
var hr2 = new Dt2(function(t3, e3, n3, r3, o3, i3) {
  if (2 !== t3.i)
    return false;
  let s3 = Ht2(e3);
  return ae2(s3), (i3 = Xe2(e3, s3, i3)) && n3 !== i3 && Ce2(e3, s3, i3), vt2(t3, e3 = Qe2(e3, r3, n3), o3), true;
}, Hn2, false, true);
var fr2 = Dn2(function(t3, e3, n3) {
  return 2 === t3.i && (Gn2(e3, n3, wt2(t3)), true);
}, Jn2);
var dr2 = Dn2(function(t3, e3, n3) {
  return 0 === t3.i && (Gn2(e3, n3, at2(t3.g)), true);
}, function(t3, e3, n3) {
  null != (e3 = me2(e3)) && (e3 = parseInt(e3, 10), jt2(t3, n3, 0), Bt2(t3.g, e3));
});
var gr2 = Cn2(function(t3, e3, n3) {
  return (0 === t3.i || 2 === t3.i) && (e3 = Ge2(e3, Ht2(e3), n3, 2, false), 2 == t3.i ? _t2(t3, lt2, e3) : e3.push(at2(t3.g)), true);
}, function(t3, e3, n3) {
  if (null != (e3 = pn2(me2, e3)) && e3.length) {
    n3 = kt2(t3, n3);
    for (let n4 = 0; n4 < e3.length; n4++)
      Bt2(t3.g, e3[n4]);
    Vt2(t3, n3);
  }
});
var pr2 = class {
  constructor(t3, e3) {
    this.i = t3, this.g = e3, this.j = rn2, this.defaultValue = void 0;
  }
};
function mr2(t3, e3) {
  return (n3, r3) => {
    t: {
      if (At2.length) {
        const t4 = At2.pop();
        t4.s(r3), ht2(t4.g, n3, r3), n3 = t4;
      } else
        n3 = new class {
          constructor(t4, e4) {
            if (pt2.length) {
              const n4 = pt2.pop();
              ht2(n4, t4, e4), t4 = n4;
            } else
              t4 = new class {
                constructor(t5, e5) {
                  this.i = null, this.m = false, this.g = this.j = this.u = 0, ht2(this, t5, e5);
                }
                clear() {
                  this.i = null, this.m = false, this.g = this.j = this.u = 0, this.F = false;
                }
              }(t4, e4);
            this.g = t4, this.j = this.g.g, this.i = this.m = -1, this.s(e4);
          }
          s({ J: t4 = false } = {}) {
            this.J = t4;
          }
        }(n3, r3);
      try {
        const r4 = new t3(), i3 = r4.l;
        yn2(e3)(i3, n3), ce2 && delete i3[ce2];
        var o3 = r4;
        break t;
      } finally {
        n3.g.clear(), n3.m = -1, n3.i = -1, 100 > At2.length && At2.push(n3);
      }
      o3 = void 0;
    }
    return o3;
  };
}
var yr2 = [0, ar2, Dn2(function(t3, e3, n3) {
  return 2 === t3.i && (Gn2(e3, n3, (t3 = wt2(t3)) === V2() ? void 0 : t3), true);
}, function(t3, e3, n3) {
  if (null != e3) {
    if (e3 instanceof fn2) {
      const r3 = e3.X;
      return void (r3 && (e3 = r3(e3), null != e3 && Nt2(t3, n3, z2(e3).buffer)));
    }
    if (Array.isArray(e3))
      return;
  }
  Jn2(t3, e3, n3);
})];
var vr2 = [0, ur2];
var br2 = [0, er2, dr2, or2, -1, nr2, dr2, -1];
var wr2 = [0, or2, -1];
var _r2 = class extends fn2 {
  constructor() {
    super();
  }
};
_r2.v = [6];
var Ar2 = [0, or2, ur2, or2, dr2, -1, gr2, ur2, -1, wr2, dr2];
var Sr2 = [0, ur2, -2];
var Er2 = class extends fn2 {
  constructor() {
    super();
  }
};
var Tr2 = [0];
var Ir2 = [0, er2, or2, -2];
var Pr2 = class extends fn2 {
  constructor(t3) {
    super(t3, 2);
  }
};
var Or2 = {};
var Lr2 = [-2, Or2, or2];
Or2[336783863] = [0, ur2, or2, -1, er2, [0, [1, 2, 3, 4, 5], hr2, Tr2, hr2, Ar2, hr2, Sr2, hr2, Ir2, hr2, br2], vr2];
var xr2 = [0, ar2, ir2];
var Br2 = [0, Zn2, -1, ir2, -3, Zn2, nr2, ar2, rr2, Zn2, -1, ir2, rr2, ir2, -2, ar2];
var Fr2 = [-1, {}];
var Ur2 = [0, ur2, 1, Fr2];
var jr2 = [0, ur2, sr2, Fr2];
var kr2 = class extends fn2 {
  constructor(t3) {
    super(t3, 500);
  }
  s(t3) {
    return rn2(this, 0, 7, t3);
  }
};
kr2.v = [3, 4, 5, 6, 8, 13, 17, 1005];
var Vr2;
var Nr2 = [-500, ar2, -1, sr2, -3, Lr2, Kn2, yr2, rr2, -1, Ur2, jr2, Kn2, xr2, ar2, Br2, rr2, sr2, 987, sr2];
var Mr2 = [0, ar2, -1, Fr2];
var Dr2 = [-500, ur2, -1, [-1, {}], 998, ur2];
var Cr2 = [-500, ur2, sr2, -1, [-2, {}, or2], 997, sr2, -1];
var Gr2 = [-500, ur2, sr2, Fr2, 998, sr2];
var $r2 = class extends fn2 {
  constructor() {
    super(void 0, 500);
  }
  s(t3) {
    return rn2(this, 0, 1001, t3);
  }
};
$r2.v = [1, 6, 7, 9, 10, 15, 16, 17, 14, 1002], $r2.prototype.g = (Vr2 = [-500, Kn2, Nr2, 4, Kn2, Dr2, Kn2, Cr2, rr2, Kn2, Gr2, sr2, rr2, Ur2, jr2, Kn2, Mr2, sr2, -2, Br2, ar2, -1, ir2, 979, Fr2, Kn2, yr2], function() {
  const t3 = new class {
    constructor() {
      this.j = [], this.i = 0, this.g = new class {
        constructor() {
          this.g = [];
        }
        length() {
          return this.g.length;
        }
        end() {
          const t4 = this.g;
          return this.g = [], t4;
        }
      }();
    }
  }();
  Mn2(this.l, t3, Fn2(Vr2)), Ut2(t3, t3.g.end());
  const e3 = new Uint8Array(t3.i), n3 = t3.j, r3 = n3.length;
  let o3 = 0;
  for (let t4 = 0; t4 < r3; t4++) {
    const r4 = n3[t4];
    e3.set(r4, o3), o3 += r4.length;
  }
  return t3.j = [e3], e3;
});
var zr2 = class extends fn2 {
  constructor(t3) {
    super(t3);
  }
};
var Rr2 = [0, er2, Yn2, ur2, -1];
var Wr2 = class extends fn2 {
  constructor(t3) {
    super(t3);
  }
  g() {
    return nn2(this, zr2);
  }
};
Wr2.v = [1];
var Hr2 = [0, Kn2, Rr2];
var Jr2 = class extends fn2 {
  constructor(t3) {
    super(t3);
  }
};
Jr2.v = [4, 5];
var Kr2 = class extends fn2 {
  constructor(t3) {
    super(t3);
  }
};
var qr2 = [1, 2, 3, 4, 5];
var Yr2 = class extends fn2 {
  constructor(t3) {
    super(t3);
  }
  g() {
    return null != $e2(this);
  }
  i() {
    return null != Ae2(Ne2(this, 2));
  }
};
var Xr2 = class extends fn2 {
  constructor(t3) {
    super(t3);
  }
};
var Qr2 = [0, [0, fr2, ur2, [0, er2, Qn2, -1], [0, tr2, Qn2]], or2, [0, qr2, hr2, Ir2, hr2, Ar2, hr2, br2, hr2, Tr2, hr2, Sr2], dr2];
var Zr2 = class extends fn2 {
  constructor(t3) {
    super(t3);
  }
};
var to2 = new pr2(451755788, Zr2);
Or2[451755788] = [0, Qr2, [0, ur2, er2, Yn2, sr2, -1], qn2];
var eo2 = class extends fn2 {
  constructor(t3) {
    super(t3);
  }
};
var no2 = class extends fn2 {
  constructor(t3) {
    super(t3);
  }
};
var ro2 = new pr2(487277289, no2);
Or2[487277289] = [0, Qr2, [0, or2, -1]];
var oo2 = class extends fn2 {
  constructor(t3) {
    super(t3);
  }
};
var io2 = [0, 1, er2, ur2, Hr2];
var so2 = class extends fn2 {
  constructor(t3) {
    super(t3);
  }
};
so2.v = [1];
var ao2 = mr2(so2, [0, Kn2, io2, Qn2]);
var uo2 = class extends fn2 {
  constructor(t3) {
    super(t3);
  }
};
uo2.v = [1];
var co2 = class extends fn2 {
  constructor(t3) {
    super(t3);
  }
  O() {
    const t3 = $e2(this);
    return null == t3 ? V2() : t3;
  }
};
var lo2 = class extends fn2 {
  constructor(t3) {
    super(t3);
  }
};
var ho2 = [1, 2];
var fo2 = [0, ho2, hr2, [0, Xn2], hr2, [0, fr2], er2, ur2];
var go2 = class extends fn2 {
  constructor(t3) {
    super(t3);
  }
};
go2.v = [1];
var po2 = mr2(go2, [0, Kn2, fo2, Qn2]);
async function mo2(t3) {
  if ("function" != typeof importScripts) {
    const e3 = document.createElement("script");
    return e3.src = t3.toString(), e3.crossOrigin = "anonymous", new Promise((t4, n3) => {
      e3.addEventListener("load", () => {
        t4();
      }, false), e3.addEventListener("error", (t5) => {
        n3(t5);
      }, false), document.body.appendChild(e3);
    });
  }
  importScripts(t3.toString());
}
function yo2(t3, e3, n3) {
  t3.m || console.error("No wasm multistream support detected: ensure dependency inclusion of :gl_graph_runner_internal_multi_input target"), n3(e3 = t3.h.stringToNewUTF8(e3)), t3.h._free(e3);
}
function vo2(t3, e3, n3) {
  t3.m || console.error("No wasm multistream support detected: ensure dependency inclusion of :gl_graph_runner_internal_multi_input target");
  const r3 = new Uint32Array(e3.length);
  for (let n4 = 0; n4 < e3.length; n4++)
    r3[n4] = t3.h.stringToNewUTF8(e3[n4]);
  e3 = t3.h._malloc(4 * r3.length), t3.h.HEAPU32.set(r3, e3 >> 2), n3(e3);
  for (const e4 of r3)
    t3.h._free(e4);
  t3.h._free(e3);
}
function bo2(t3, e3, n3) {
  t3.h.simpleListeners = t3.h.simpleListeners || {}, t3.h.simpleListeners[e3] = n3;
}
function wo2(t3, e3, n3) {
  let r3 = [];
  t3.h.simpleListeners = t3.h.simpleListeners || {}, t3.h.simpleListeners[e3] = (t4, e4, o3) => {
    e4 ? (n3(r3, o3), r3 = []) : r3.push(t4);
  };
}
var _o2 = function(t3) {
  return class extends t3 {
    U() {
      this.h._registerModelResourcesGraphService();
    }
  };
}(class {
  constructor(t3, e3) {
    this.j = true, this.h = t3, this.g = null, this.i = 0, this.m = "function" == typeof this.h._addIntToInputStream, void 0 !== e3 ? this.h.canvas = e3 : ((t3 = "undefined" == typeof OffscreenCanvas) || (t3 = (t3 = navigator.userAgent).includes("Safari") && !t3.includes("Chrome")), t3 ? (console.warn("OffscreenCanvas not supported and GraphRunner constructor glCanvas parameter is undefined. Creating backup canvas."), this.h.canvas = document.createElement("canvas")) : this.h.canvas = new OffscreenCanvas(1, 1));
  }
  async initializeGraph(t3) {
    const e3 = await (await fetch(t3)).arrayBuffer();
    t3 = !(t3.endsWith(".pbtxt") || t3.endsWith(".textproto")), this.setGraph(new Uint8Array(e3), t3);
  }
  setGraphFromString(t3) {
    this.setGraph(new TextEncoder().encode(t3), false);
  }
  setGraph(t3, e3) {
    const n3 = t3.length, r3 = this.h._malloc(n3);
    this.h.HEAPU8.set(t3, r3), e3 ? this.h._changeBinaryGraph(n3, r3) : this.h._changeTextGraph(n3, r3), this.h._free(r3);
  }
  configureAudio(t3, e3, n3, r3, o3) {
    this.h._configureAudio || console.warn('Attempting to use configureAudio without support for input audio. Is build dep ":gl_graph_runner_audio" missing?'), yo2(this, r3 || "input_audio", (r4) => {
      yo2(this, o3 = o3 || "audio_header", (o4) => {
        this.h._configureAudio(r4, o4, t3, e3, n3);
      });
    });
  }
  setAutoResizeCanvas(t3) {
    this.j = t3;
  }
  setAutoRenderToScreen(t3) {
    this.h._setAutoRenderToScreen(t3);
  }
  setGpuBufferVerticalFlip(t3) {
    this.h.gpuOriginForWebTexturesIsBottomLeft = t3;
  }
  attachErrorListener(t3) {
    this.h.errorListener = t3;
  }
  attachEmptyPacketListener(t3, e3) {
    this.h.emptyPacketListeners = this.h.emptyPacketListeners || {}, this.h.emptyPacketListeners[t3] = e3;
  }
  addAudioToStream(t3, e3, n3) {
    this.addAudioToStreamWithShape(t3, 0, 0, e3, n3);
  }
  addAudioToStreamWithShape(t3, e3, n3, r3, o3) {
    const i3 = 4 * t3.length;
    this.i !== i3 && (this.g && this.h._free(this.g), this.g = this.h._malloc(i3), this.i = i3), this.h.HEAPF32.set(t3, this.g / 4), yo2(this, r3, (t4) => {
      this.h._addAudioToInputStream(this.g, e3, n3, t4, o3);
    });
  }
  addGpuBufferToStream(t3, e3, n3) {
    yo2(this, e3, (e4) => {
      if (!this.h.canvas)
        throw Error("No OpenGL canvas configured.");
      e4 ? this.h._bindTextureToStream(e4) : this.h._bindTextureToCanvas();
      var r3 = this.h.canvas.getContext("webgl2") || this.h.canvas.getContext("webgl");
      if (!r3)
        throw Error("Failed to obtain WebGL context from the provided canvas. `getContext()` should only be invoked with `webgl` or `webgl2`.");
      let o3;
      this.h.gpuOriginForWebTexturesIsBottomLeft && r3.pixelStorei(r3.UNPACK_FLIP_Y_WEBGL, true), r3.texImage2D(r3.TEXTURE_2D, 0, r3.RGBA, r3.RGBA, r3.UNSIGNED_BYTE, t3), this.h.gpuOriginForWebTexturesIsBottomLeft && r3.pixelStorei(r3.UNPACK_FLIP_Y_WEBGL, false), t3.videoWidth ? (r3 = t3.videoWidth, o3 = t3.videoHeight) : t3.naturalWidth ? (r3 = t3.naturalWidth, o3 = t3.naturalHeight) : (r3 = t3.width, o3 = t3.height), !this.j || r3 === this.h.canvas.width && o3 === this.h.canvas.height || (this.h.canvas.width = r3, this.h.canvas.height = o3);
      const [i3, s3] = [r3, o3];
      this.h._addBoundTextureToStream(e4, i3, s3, n3);
    });
  }
  addBoolToStream(t3, e3, n3) {
    yo2(this, e3, (e4) => {
      this.h._addBoolToInputStream(t3, e4, n3);
    });
  }
  addDoubleToStream(t3, e3, n3) {
    yo2(this, e3, (e4) => {
      this.h._addDoubleToInputStream(t3, e4, n3);
    });
  }
  addFloatToStream(t3, e3, n3) {
    yo2(this, e3, (e4) => {
      this.h._addFloatToInputStream(t3, e4, n3);
    });
  }
  addIntToStream(t3, e3, n3) {
    yo2(this, e3, (e4) => {
      this.h._addIntToInputStream(t3, e4, n3);
    });
  }
  addStringToStream(t3, e3, n3) {
    yo2(this, e3, (e4) => {
      yo2(this, t3, (t4) => {
        this.h._addStringToInputStream(t4, e4, n3);
      });
    });
  }
  addStringRecordToStream(t3, e3, n3) {
    yo2(this, e3, (e4) => {
      vo2(this, Object.keys(t3), (r3) => {
        vo2(this, Object.values(t3), (o3) => {
          this.h._addFlatHashMapToInputStream(r3, o3, Object.keys(t3).length, e4, n3);
        });
      });
    });
  }
  addProtoToStream(t3, e3, n3, r3) {
    yo2(this, n3, (n4) => {
      yo2(this, e3, (e4) => {
        const o3 = this.h._malloc(t3.length);
        this.h.HEAPU8.set(t3, o3), this.h._addProtoToInputStream(o3, t3.length, e4, n4, r3), this.h._free(o3);
      });
    });
  }
  addEmptyPacketToStream(t3, e3) {
    yo2(this, t3, (t4) => {
      this.h._addEmptyPacketToInputStream(t4, e3);
    });
  }
  addBoolVectorToStream(t3, e3, n3) {
    yo2(this, e3, (e4) => {
      const r3 = this.h._allocateBoolVector(t3.length);
      if (!r3)
        throw Error("Unable to allocate new bool vector on heap.");
      for (const e5 of t3)
        this.h._addBoolVectorEntry(r3, e5);
      this.h._addBoolVectorToInputStream(r3, e4, n3);
    });
  }
  addDoubleVectorToStream(t3, e3, n3) {
    yo2(this, e3, (e4) => {
      const r3 = this.h._allocateDoubleVector(t3.length);
      if (!r3)
        throw Error("Unable to allocate new double vector on heap.");
      for (const e5 of t3)
        this.h._addDoubleVectorEntry(r3, e5);
      this.h._addDoubleVectorToInputStream(r3, e4, n3);
    });
  }
  addFloatVectorToStream(t3, e3, n3) {
    yo2(this, e3, (e4) => {
      const r3 = this.h._allocateFloatVector(t3.length);
      if (!r3)
        throw Error("Unable to allocate new float vector on heap.");
      for (const e5 of t3)
        this.h._addFloatVectorEntry(r3, e5);
      this.h._addFloatVectorToInputStream(r3, e4, n3);
    });
  }
  addIntVectorToStream(t3, e3, n3) {
    yo2(this, e3, (e4) => {
      const r3 = this.h._allocateIntVector(t3.length);
      if (!r3)
        throw Error("Unable to allocate new int vector on heap.");
      for (const e5 of t3)
        this.h._addIntVectorEntry(r3, e5);
      this.h._addIntVectorToInputStream(r3, e4, n3);
    });
  }
  addStringVectorToStream(t3, e3, n3) {
    yo2(this, e3, (e4) => {
      const r3 = this.h._allocateStringVector(t3.length);
      if (!r3)
        throw Error("Unable to allocate new string vector on heap.");
      for (const e5 of t3)
        yo2(this, e5, (t4) => {
          this.h._addStringVectorEntry(r3, t4);
        });
      this.h._addStringVectorToInputStream(r3, e4, n3);
    });
  }
  addBoolToInputSidePacket(t3, e3) {
    yo2(this, e3, (e4) => {
      this.h._addBoolToInputSidePacket(t3, e4);
    });
  }
  addDoubleToInputSidePacket(t3, e3) {
    yo2(this, e3, (e4) => {
      this.h._addDoubleToInputSidePacket(t3, e4);
    });
  }
  addFloatToInputSidePacket(t3, e3) {
    yo2(this, e3, (e4) => {
      this.h._addFloatToInputSidePacket(t3, e4);
    });
  }
  addIntToInputSidePacket(t3, e3) {
    yo2(this, e3, (e4) => {
      this.h._addIntToInputSidePacket(t3, e4);
    });
  }
  addStringToInputSidePacket(t3, e3) {
    yo2(this, e3, (e4) => {
      yo2(this, t3, (t4) => {
        this.h._addStringToInputSidePacket(t4, e4);
      });
    });
  }
  addProtoToInputSidePacket(t3, e3, n3) {
    yo2(this, n3, (n4) => {
      yo2(this, e3, (e4) => {
        const r3 = this.h._malloc(t3.length);
        this.h.HEAPU8.set(t3, r3), this.h._addProtoToInputSidePacket(r3, t3.length, e4, n4), this.h._free(r3);
      });
    });
  }
  addBoolVectorToInputSidePacket(t3, e3) {
    yo2(this, e3, (e4) => {
      const n3 = this.h._allocateBoolVector(t3.length);
      if (!n3)
        throw Error("Unable to allocate new bool vector on heap.");
      for (const e5 of t3)
        this.h._addBoolVectorEntry(n3, e5);
      this.h._addBoolVectorToInputSidePacket(n3, e4);
    });
  }
  addDoubleVectorToInputSidePacket(t3, e3) {
    yo2(this, e3, (e4) => {
      const n3 = this.h._allocateDoubleVector(t3.length);
      if (!n3)
        throw Error("Unable to allocate new double vector on heap.");
      for (const e5 of t3)
        this.h._addDoubleVectorEntry(n3, e5);
      this.h._addDoubleVectorToInputSidePacket(n3, e4);
    });
  }
  addFloatVectorToInputSidePacket(t3, e3) {
    yo2(this, e3, (e4) => {
      const n3 = this.h._allocateFloatVector(t3.length);
      if (!n3)
        throw Error("Unable to allocate new float vector on heap.");
      for (const e5 of t3)
        this.h._addFloatVectorEntry(n3, e5);
      this.h._addFloatVectorToInputSidePacket(n3, e4);
    });
  }
  addIntVectorToInputSidePacket(t3, e3) {
    yo2(this, e3, (e4) => {
      const n3 = this.h._allocateIntVector(t3.length);
      if (!n3)
        throw Error("Unable to allocate new int vector on heap.");
      for (const e5 of t3)
        this.h._addIntVectorEntry(n3, e5);
      this.h._addIntVectorToInputSidePacket(n3, e4);
    });
  }
  addStringVectorToInputSidePacket(t3, e3) {
    yo2(this, e3, (e4) => {
      const n3 = this.h._allocateStringVector(t3.length);
      if (!n3)
        throw Error("Unable to allocate new string vector on heap.");
      for (const e5 of t3)
        yo2(this, e5, (t4) => {
          this.h._addStringVectorEntry(n3, t4);
        });
      this.h._addStringVectorToInputSidePacket(n3, e4);
    });
  }
  attachBoolListener(t3, e3) {
    bo2(this, t3, e3), yo2(this, t3, (t4) => {
      this.h._attachBoolListener(t4);
    });
  }
  attachBoolVectorListener(t3, e3) {
    wo2(this, t3, e3), yo2(this, t3, (t4) => {
      this.h._attachBoolVectorListener(t4);
    });
  }
  attachIntListener(t3, e3) {
    bo2(this, t3, e3), yo2(this, t3, (t4) => {
      this.h._attachIntListener(t4);
    });
  }
  attachIntVectorListener(t3, e3) {
    wo2(this, t3, e3), yo2(this, t3, (t4) => {
      this.h._attachIntVectorListener(t4);
    });
  }
  attachDoubleListener(t3, e3) {
    bo2(this, t3, e3), yo2(this, t3, (t4) => {
      this.h._attachDoubleListener(t4);
    });
  }
  attachDoubleVectorListener(t3, e3) {
    wo2(this, t3, e3), yo2(this, t3, (t4) => {
      this.h._attachDoubleVectorListener(t4);
    });
  }
  attachFloatListener(t3, e3) {
    bo2(this, t3, e3), yo2(this, t3, (t4) => {
      this.h._attachFloatListener(t4);
    });
  }
  attachFloatVectorListener(t3, e3) {
    wo2(this, t3, e3), yo2(this, t3, (t4) => {
      this.h._attachFloatVectorListener(t4);
    });
  }
  attachStringListener(t3, e3) {
    bo2(this, t3, e3), yo2(this, t3, (t4) => {
      this.h._attachStringListener(t4);
    });
  }
  attachStringVectorListener(t3, e3) {
    wo2(this, t3, e3), yo2(this, t3, (t4) => {
      this.h._attachStringVectorListener(t4);
    });
  }
  attachProtoListener(t3, e3, n3) {
    bo2(this, t3, e3), yo2(this, t3, (t4) => {
      this.h._attachProtoListener(t4, n3 || false);
    });
  }
  attachProtoVectorListener(t3, e3, n3) {
    wo2(this, t3, e3), yo2(this, t3, (t4) => {
      this.h._attachProtoVectorListener(t4, n3 || false);
    });
  }
  attachAudioListener(t3, e3, n3) {
    this.h._attachAudioListener || console.warn('Attempting to use attachAudioListener without support for output audio. Is build dep ":gl_graph_runner_audio_out" missing?'), bo2(this, t3, (t4, n4) => {
      t4 = new Float32Array(t4.buffer, t4.byteOffset, t4.length / 4), e3(t4, n4);
    }), yo2(this, t3, (t4) => {
      this.h._attachAudioListener(t4, n3 || false);
    });
  }
  finishProcessing() {
    this.h._waitUntilIdle();
  }
  closeGraph() {
    this.h._closeGraph(), this.h.simpleListeners = void 0, this.h.emptyPacketListeners = void 0;
  }
});
var Ao2 = class extends _o2 {
};
async function So2(t3, e3, n3) {
  return t3 = await (async (t4, e4, n4, r3) => {
    if (e4 && await mo2(e4), !self.ModuleFactory)
      throw Error("ModuleFactory not set.");
    if (n4 && (await mo2(n4), !self.ModuleFactory))
      throw Error("ModuleFactory not set.");
    return self.Module && r3 && ((e4 = self.Module).locateFile = r3.locateFile, r3.mainScriptUrlOrBlob && (e4.mainScriptUrlOrBlob = r3.mainScriptUrlOrBlob)), r3 = await self.ModuleFactory(self.Module || r3), self.ModuleFactory = self.Module = void 0, new t4(r3, null);
  })(t3, e3.wasmLoaderPath, e3.assetLoaderPath, { locateFile: (t4) => t4.endsWith(".wasm") ? e3.wasmBinaryPath.toString() : e3.assetBinaryPath && t4.endsWith(".data") ? e3.assetBinaryPath.toString() : t4 }), await t3.s(n3), t3;
}
async function Eo2(t3, e3, n3) {
  return So2(t3, e3, n3);
}
function To2(t3, e3) {
  const n3 = tn2(t3.baseOptions, Yr2, 1) || new Yr2();
  "string" == typeof e3 ? (De2(n3, 2, _e2(e3)), De2(n3, 1)) : e3 instanceof Uint8Array && (De2(n3, 1, re2(e3, false, false)), De2(n3, 2)), rn2(t3.baseOptions, 0, 1, n3);
}
function Io2(t3, e3) {
  var _a2, _b, _c2, _d, _e3, _f;
  const n3 = e3.baseOptions || {};
  if (((_a2 = e3.baseOptions) == null ? void 0 : _a2.modelAssetBuffer) && ((_b = e3.baseOptions) == null ? void 0 : _b.modelAssetPath))
    throw Error("Cannot set both baseOptions.modelAssetPath and baseOptions.modelAssetBuffer");
  if (!(((_c2 = tn2(t3.baseOptions, Yr2, 1)) == null ? void 0 : _c2.g()) || ((_d = tn2(t3.baseOptions, Yr2, 1)) == null ? void 0 : _d.i()) || ((_e3 = e3.baseOptions) == null ? void 0 : _e3.modelAssetBuffer) || ((_f = e3.baseOptions) == null ? void 0 : _f.modelAssetPath)))
    throw Error("Either baseOptions.modelAssetPath or baseOptions.modelAssetBuffer must be set");
  return function(t4, e4) {
    let n4 = tn2(t4.baseOptions, Kr2, 3);
    if (!n4) {
      var r3 = n4 = new Kr2();
      on2(r3, 4, new Er2());
    }
    "delegate" in e4 && ("GPU" === e4.delegate ? on2(e4 = n4, 2, r3 = new _r2()) : on2(e4 = n4, 4, r3 = new Er2())), rn2(t4.baseOptions, 0, 3, n4);
  }(t3, n3), n3.modelAssetPath ? fetch(n3.modelAssetPath.toString()).then((t4) => {
    if (t4.ok)
      return t4.arrayBuffer();
    throw Error(`Failed to fetch model: ${n3.modelAssetPath} (${t4.status})`);
  }).then((e4) => {
    try {
      t3.g.h.FS_unlink("/model.dat");
    } catch {
    }
    t3.g.h.FS_createDataFile("/", "model.dat", new Uint8Array(e4), true, false, false), To2(t3, "/model.dat"), t3.I();
  }) : (To2(t3, n3.modelAssetBuffer), t3.I(), Promise.resolve());
}
function Po2(t3) {
  try {
    const e3 = t3.j.length;
    if (1 === e3)
      throw Error(t3.j[0].message);
    if (1 < e3)
      throw Error("Encountered multiple errors: " + t3.j.map((t4) => t4.message).join(", "));
  } finally {
    t3.j = [];
  }
}
function Oo2(t3, e3) {
  t3.u = Math.max(t3.u, e3);
}
var Lo2 = class {
  constructor(t3) {
    this.g = t3, this.j = [], this.u = 0, this.g.setAutoRenderToScreen(false);
  }
  setGraph(t3, e3) {
    this.g.attachErrorListener((t4, e4) => {
      this.j.push(Error(e4));
    }), this.g.U(), this.g.setGraph(t3, e3), Po2(this);
  }
  finishProcessing() {
    this.g.finishProcessing(), Po2(this);
  }
  close() {
    this.g.closeGraph();
  }
};
async function xo2(t3, e3, n3) {
  return Eo2(t3, e3, n3);
}
Lo2.prototype.close = Lo2.prototype.close;
var Bo2 = class extends Lo2 {
  constructor() {
    super(...arguments), this.H = 48e3;
  }
  V(t3) {
    this.H = t3;
  }
};
function Fo2(t3) {
  const e3 = { classifications: nn2(t3, oo2).map((t4) => {
    var _a2, _b, _c2, _d;
    return function(t5, e4 = -1, n3 = "") {
      return { categories: t5.map((t6) => {
        var _a3, _b2, _c3, _d2, _e3, _f, _g;
        var e5 = (_b2 = (_a3 = me2(Ne2(t6, 1))) != null ? _a3 : 0) != null ? _b2 : -1;
        const n4 = t6.l;
        let r3 = Ht2(n4);
        const o3 = Me2(n4, r3, 2), i3 = fe2(o3);
        return null != i3 && i3 !== o3 && Ce2(n4, r3, 2, i3), { index: e5, score: (_c3 = i3 != null ? i3 : 0) != null ? _c3 : 0, categoryName: (_e3 = (_d2 = Ae2(Ne2(t6, 3))) != null ? _d2 : "") != null ? _e3 : "", displayName: (_g = (_f = Ae2(Ne2(t6, 4))) != null ? _f : "") != null ? _g : "" };
      }), headIndex: e4, headName: n3 };
    }((_b = (_a2 = tn2(t4, Wr2, 4)) == null ? void 0 : _a2.g()) != null ? _b : [], (_c2 = me2(Ne2(t4, 2))) != null ? _c2 : 0, (_d = Ae2(Ne2(t4, 3))) != null ? _d : "");
  }) };
  return null != un2(t3) && (e3.timestampMs = cn2(un2(t3))), e3;
}
Bo2.prototype.setDefaultSampleRate = Bo2.prototype.V;
var Uo2 = class extends Bo2 {
  constructor(t3, e3) {
    super(new Ao2(t3, e3)), this.m = [], rn2(t3 = this.i = new Zr2(), 0, 1, e3 = new Xr2());
  }
  get baseOptions() {
    return tn2(this.i, Xr2, 1);
  }
  set baseOptions(t3) {
    rn2(this.i, 0, 1, t3);
  }
  s(t3) {
    var e3 = this.i, n3 = tn2(this.i, Jr2, 2);
    if (n3 = n3 ? Ue2(n3) : new Jr2(), void 0 !== t3.displayNamesLocale ? De2(n3, 1, _e2(t3.displayNamesLocale)) : void 0 === t3.displayNamesLocale && De2(n3, 1), void 0 !== t3.maxResults) {
      var r3 = t3.maxResults;
      if (null != r3) {
        if ("number" != typeof r3)
          throw he2();
        if (!Number.isFinite(r3))
          throw he2();
        r3 |= 0;
      }
      De2(n3, 2, r3);
    } else
      "maxResults" in t3 && De2(n3, 2);
    if (void 0 !== t3.scoreThreshold) {
      if (null != (r3 = t3.scoreThreshold) && "number" != typeof r3)
        throw Error(`Value of float/double field must be a number, found ${typeof r3}: ${r3}`);
      De2(n3, 3, r3);
    } else
      "scoreThreshold" in t3 && De2(n3, 3);
    return void 0 !== t3.categoryAllowlist ? He2(n3, 4, t3.categoryAllowlist) : "categoryAllowlist" in t3 && De2(n3, 4), void 0 !== t3.categoryDenylist ? He2(n3, 5, t3.categoryDenylist) : "categoryDenylist" in t3 && De2(n3, 5), rn2(e3, 0, 2, n3), Io2(this, t3);
  }
  R(t3, e3) {
    return this.G(t3, e3 != null ? e3 : this.H, this.u + 1);
  }
  G(t3, e3, n3) {
    return this.g.addDoubleToStream(e3, "sample_rate", n3), this.g.addAudioToStreamWithShape(t3, 1, t3.length, "audio_in", n3), this.m = [], this.finishProcessing(), [...this.m];
  }
  I() {
    var t3 = new $r2();
    ln2(t3, 10, "audio_in"), ln2(t3, 10, "sample_rate"), ln2(t3, 15, "timestamped_classifications");
    const e3 = new Pr2();
    hn2(e3, to2, this.i);
    const n3 = new kr2();
    Je2(n3, _e2("mediapipe.tasks.audio.audio_classifier.AudioClassifierGraph")), ln2(n3, 3, "AUDIO:audio_in"), ln2(n3, 3, "SAMPLE_RATE:sample_rate"), ln2(n3, 4, "TIMESTAMPED_CLASSIFICATIONS:timestamped_classifications"), n3.s(e3), an2(t3, n3), this.g.attachProtoVectorListener("timestamped_classifications", (t4, e4) => {
      !function(t5, e5) {
        e5.forEach((e6) => {
          e6 = ao2(e6), t5.m.push(Fo2(e6));
        });
      }(this, t4), Oo2(this, e4);
    }), this.g.attachEmptyPacketListener("timestamped_classifications", (t4) => {
      Oo2(this, t4);
    }), t3 = t3.g(), this.setGraph(new Uint8Array(t3), true);
  }
};
function jo2(t3) {
  return { embeddings: nn2(t3, lo2).map((t4) => {
    var _a2, _b, _c2, _d, _e3, _f, _g;
    const e3 = { headIndex: (_b = (_a2 = me2(Ne2(t4, 3))) != null ? _a2 : 0) != null ? _b : -1, headName: (_d = (_c2 = Ae2(Ne2(t4, 4))) != null ? _c2 : "") != null ? _d : "" };
    if (void 0 !== Ze2(t4, uo2, Ye2(t4, 1))) {
      var n3 = void 0;
      t4 = tn2(t4, uo2, Ye2(t4, 1)).l;
      let s3 = Ht2(t4);
      const a3 = 2 & s3 ? 1 : 2;
      n3 = !!n3;
      let u3 = ze2(t4, s3);
      var r3 = Wt2(u3);
      if (!(4 & r3)) {
        (4 & r3 || Object.isFrozen(u3)) && (u3 = Ct2(u3), r3 = sn2(r3, s3, n3), s3 = Ce2(t4, s3, 1, u3));
        for (var o3 = 0, i3 = 0; o3 < u3.length; o3++) {
          const t5 = fe2(u3[o3]);
          null != t5 && (u3[i3++] = t5);
        }
        i3 < o3 && (u3.length = i3), r3 = Rt2(r3 = Re2(r3, s3, n3), 20, true), r3 = Rt2(r3, 4096, false), r3 = Rt2(r3, 8192, false), Jt2(u3, r3), 2 & r3 && Object.freeze(u3);
      }
      We2(r3) || (o3 = r3, (i3 = 1 === a3) ? r3 = Rt2(r3, 2, true) : n3 || (r3 = Rt2(r3, 32, false)), r3 !== o3 && Jt2(u3, r3), i3 && Object.freeze(u3)), 2 === a3 && We2(r3) && (u3 = Ct2(u3), r3 = sn2(r3, s3, n3), Jt2(u3, r3), Ce2(t4, s3, 1, u3)), e3.floatEmbedding = u3;
    } else
      n3 = new Uint8Array(0), e3.quantizedEmbedding = (_g = (_f = (_e3 = tn2(t4, co2, Ye2(t4, 2))) == null ? void 0 : _e3.O()) == null ? void 0 : _f.P()) != null ? _g : n3;
    return e3;
  }), timestampMs: cn2(un2(t3)) };
}
Uo2.prototype.classify = Uo2.prototype.R, Uo2.prototype.setOptions = Uo2.prototype.s, Uo2.createFromModelPath = function(t3, e3) {
  return Eo2(Uo2, t3, { baseOptions: { modelAssetPath: e3 } });
}, Uo2.createFromModelBuffer = function(t3, e3) {
  return xo2(Uo2, t3, { baseOptions: { modelAssetBuffer: e3 } });
}, Uo2.createFromOptions = function(t3, e3) {
  return xo2(Uo2, t3, e3);
};
var ko2 = class extends Bo2 {
  constructor(t3, e3) {
    super(new Ao2(t3, e3)), this.m = [], rn2(t3 = this.i = new no2(), 0, 1, e3 = new Xr2());
  }
  get baseOptions() {
    return tn2(this.i, Xr2, 1);
  }
  set baseOptions(t3) {
    rn2(this.i, 0, 1, t3);
  }
  s(t3) {
    var e3 = this.i, n3 = tn2(this.i, eo2, 2);
    return n3 = n3 ? Ue2(n3) : new eo2(), void 0 !== t3.l2Normalize ? De2(n3, 1, de2(t3.l2Normalize)) : "l2Normalize" in t3 && De2(n3, 1), void 0 !== t3.quantize ? De2(n3, 2, de2(t3.quantize)) : "quantize" in t3 && De2(n3, 2), rn2(e3, 0, 2, n3), Io2(this, t3);
  }
  S(t3, e3) {
    return this.G(t3, e3 != null ? e3 : this.H, this.u + 1);
  }
  G(t3, e3, n3) {
    return this.g.addDoubleToStream(e3, "sample_rate", n3), this.g.addAudioToStreamWithShape(t3, 1, t3.length, "audio_in", n3), this.m = [], this.finishProcessing(), this.m;
  }
  I() {
    var t3 = new $r2();
    ln2(t3, 10, "audio_in"), ln2(t3, 10, "sample_rate"), ln2(t3, 15, "embeddings_out"), ln2(t3, 15, "timestamped_embeddings_out");
    const e3 = new Pr2();
    hn2(e3, ro2, this.i);
    const n3 = new kr2();
    Je2(n3, _e2("mediapipe.tasks.audio.audio_embedder.AudioEmbedderGraph")), ln2(n3, 3, "AUDIO:audio_in"), ln2(n3, 3, "SAMPLE_RATE:sample_rate"), ln2(n3, 4, "EMBEDDINGS:embeddings_out"), ln2(n3, 4, "TIMESTAMPED_EMBEDDINGS:timestamped_embeddings_out"), n3.s(e3), an2(t3, n3), this.g.attachProtoListener("embeddings_out", (t4, e4) => {
      t4 = po2(t4), this.m.push(jo2(t4)), Oo2(this, e4);
    }), this.g.attachEmptyPacketListener("embeddings_out", (t4) => {
      Oo2(this, t4);
    }), this.g.attachProtoVectorListener("timestamped_embeddings_out", (t4, e4) => {
      for (const e5 of t4)
        t4 = po2(e5), this.m.push(jo2(t4));
      Oo2(this, e4);
    }), this.g.attachEmptyPacketListener("timestamped_embeddings_out", (t4) => {
      Oo2(this, t4);
    }), t3 = t3.g(), this.setGraph(new Uint8Array(t3), true);
  }
};
var Vo2;
ko2.prototype.embed = ko2.prototype.S, ko2.prototype.setOptions = ko2.prototype.s, ko2.createFromModelPath = function(t3, e3) {
  return xo2(ko2, t3, { baseOptions: { modelAssetPath: e3 } });
}, ko2.createFromModelBuffer = function(t3, e3) {
  return xo2(ko2, t3, { baseOptions: { modelAssetBuffer: e3 } });
}, ko2.createFromOptions = function(t3, e3) {
  return xo2(ko2, t3, e3);
};
var No2 = new Uint8Array([0, 97, 115, 109, 1, 0, 0, 0, 1, 5, 1, 96, 0, 1, 123, 3, 2, 1, 0, 10, 10, 1, 8, 0, 65, 0, 253, 15, 253, 98, 11]);
async function Mo2() {
  if (void 0 === Vo2)
    try {
      await WebAssembly.instantiate(No2), Vo2 = true;
    } catch {
      Vo2 = false;
    }
  return Vo2;
}
async function Do2(t3, e3 = "") {
  const n3 = await Mo2() ? "wasm_internal" : "wasm_nosimd_internal";
  return { wasmLoaderPath: `${e3}/${t3}_${n3}.js`, wasmBinaryPath: `${e3}/${t3}_${n3}.wasm` };
}
var Co2 = class {
};
Co2.forVisionTasks = function(t3) {
  return Do2("vision", t3);
}, Co2.forTextTasks = function(t3) {
  return Do2("text", t3);
}, Co2.forAudioTasks = function(t3) {
  return Do2("audio", t3);
}, Co2.isSimdSupported = function() {
  return Mo2();
};

// src/new-flow/recorders/NoiseRecorder.ts
var NoiseRecorder = class {
  constructor(optionsProctoring, proctoringSession, paramsConfig, cameraRecorder, onRealtimeAlertsCallback, backend, backendToken) {
    this.recordingInProgress = false;
    this.recordIndex = 1;
    this.countLoopTimes = 0;
    this.examStartTime = 0;
    this.recordingStartTime = 0;
    this.recordingEndTime = 0;
    this.isSpeech = false;
    this.optionsProctoring = optionsProctoring;
    this.proctoringSession = proctoringSession;
    this.paramsConfig = paramsConfig;
    this.cameraRecorder = cameraRecorder;
    this.onRealtimeAlertsCallback = onRealtimeAlertsCallback;
    this.backend = backend;
    this.backendToken = backendToken;
  }
  setProctoringId(proctoringId2) {
    this.proctoringId = proctoringId2;
    this.proctoringId && this.backend && (this.upload = new UploadService(this.proctoringId, this.backend));
  }
  async startRecording() {
    this.examStartTime = Date.now();
    await this.createAudioClassifier();
    this.audioRecorder = new AudioRecorder(
      void 0,
      this.paramsConfig.audioBehaviourParameters
    );
    this.intervalNoiseDetection = setInterval(
      () => this.onNoiseDetectedRecord(),
      200
    );
    this.streamingAudioClassification();
  }
  async stopRecording() {
    clearInterval(this.intervalNoiseDetection);
    await this.stopSoundRecord();
    await this.volumeMeter.stop();
    this.audioWorkletNode && this.audioWorkletNode.disconnect();
  }
  async pauseRecording() {
  }
  async resumeRecording() {
  }
  async saveOnSession(session) {
  }
  async onNoiseDetectedRecord() {
    var _a2, _b, _c2, _d;
    if (!this.volumeMeter && this.cameraRecorder.cameraStream) {
      this.volumeMeter = new VolumeMeter(this.cameraRecorder.cameraStream);
      this.volumeMeter.start().catch((e3) => {
        console.log(e3);
        this.volumeMeter = void 0;
      });
    }
    let noiseLimit = ((_a2 = this.paramsConfig.audioBehaviourParameters) == null ? void 0 : _a2.noiseLimit) || 40;
    const currentVolume = ((_b = this.volumeMeter) == null ? void 0 : _b.getVolume()) || 0;
    this.isSpeech = this.isSpeech || this.hasDesiredResult(this.audioClassificationResult);
    if (!this.isSpeech && !this.recordingInProgress)
      noiseLimit = noiseLimit + noiseLimit * 0.25;
    if (currentVolume >= noiseLimit && !this.recordingInProgress) {
      this.recordingInProgress = true;
      this.audioRecorder.startRecording();
      this.recordingStartTime = Date.now() - this.examStartTime;
    } else if (currentVolume < noiseLimit && this.recordingInProgress) {
      const elapsedTime = Date.now() - this.recordingStartTime;
      if (elapsedTime >= 3e3 && this.countLoopTimes > 4) {
        await this.stopSoundRecord();
        if (((_c2 = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _c2.detectNoise) && !this.isSpeech) {
          this.onRealtimeAlertsCallback({
            status: "ALERT",
            description: "Barulho detectado",
            type: "audio_detection_on_stream"
          });
        }
        if (((_d = this.paramsConfig.videoBehaviourParameters) == null ? void 0 : _d.detectSpeech) && this.isSpeech) {
          this.onRealtimeAlertsCallback({
            status: "ALERT",
            description: "Fala detectada",
            type: "audio_detection_on_stream"
          });
        }
        this.recordingInProgress = false;
        this.recordIndex++;
        this.countLoopTimes = 0;
        this.isSpeech = false;
      }
      this.countLoopTimes++;
    }
  }
  async stopSoundRecord() {
    this.audioRecorder.stopRecording && await this.audioRecorder.stopRecording();
    this.recordingEndTime = Date.now() - this.examStartTime;
    if (this.optionsProctoring.proctoringType !== "REALTIME")
      return;
    const file = new File(
      this.audioRecorder.blobs,
      `EP_${this.proctoringSession.id}_${this.recordingStartTime}_${this.recordingEndTime}_${this.isSpeech ? "speech" : "noise"}.webm`,
      {
        type: "audio/webm"
      }
    );
    this.uploadRecord(file);
    this.audioRecorder.blobs = [];
  }
  download(file) {
    const url2 = URL.createObjectURL(file);
    const a3 = document.createElement("a");
    document.body.appendChild(a3);
    a3.style.display = "none";
    a3.href = url2;
    a3.download = file.name;
    a3.click();
    window.URL.revokeObjectURL(url2);
  }
  uploadRecord(file) {
    if (file && this.upload && this.backendToken) {
      this.upload.upload(
        {
          file
        },
        this.backendToken
      );
    }
  }
  hasDesiredResult(array) {
    if (array == void 0)
      return false;
    for (const result of array) {
      const nameIncludesSpeech = result.name.toLowerCase().includes("speech");
      if (this.optionsProctoring.proctoringType !== "REALTIME") {
        return nameIncludesSpeech;
      }
      const scoreGreaterThanThreshold = parseFloat(result.score) > 0.22;
      if (nameIncludesSpeech && scoreGreaterThanThreshold) {
        return true;
      }
    }
    return false;
  }
  async createAudioClassifier() {
    const audio = await Co2.forAudioTasks(
      "https://cdn.jsdelivr.net/npm/@mediapipe/tasks-audio@0.10.0/wasm"
    );
    this.audioClassifier = await Uo2.createFromOptions(audio, {
      scoreThreshold: 0.15,
      maxResults: 1,
      baseOptions: {
        modelAssetPath: "https://storage.googleapis.com/mediapipe-models/audio_classifier/yamnet/float32/1/yamnet.tflite"
      }
    });
  }
  async streamingAudioClassification() {
    this.context = new AudioContext({ sampleRate: 16e3 });
    try {
      await this.context.audioWorklet.addModule(URL.createObjectURL(new Blob([audioProcessorContent], { type: "text/javascript" })));
    } catch (error) {
      throw new Error("\u274C Error loading audio worklet module");
    }
    const source = this.context.createMediaStreamSource(
      this.cameraRecorder.cameraStream
    );
    this.audioWorkletNode = new AudioWorkletNode(
      this.context,
      "audio-processor"
    );
    this.audioWorkletNode.port.onmessage = (event) => {
      const inputData = event.data;
      const result = this.audioClassifier.classify(inputData);
      const categories = result[0].classifications[0].categories;
      if (categories.length > 0) {
        this.audioClassificationResult = [
          {
            name: categories[0].categoryName,
            score: categories[0].score.toFixed(3)
          }
        ];
      }
    };
    source.connect(this.audioWorkletNode);
    this.audioWorkletNode.connect(this.context.destination);
  }
};
var audioProcessorContent = `
  class AudioProcessor extends AudioWorkletProcessor {
  bufferSize;
  inputBuffer;
  bufferIndex;

  constructor() {
    super();
    this.bufferSize = 16384;
    this.inputBuffer = new Float32Array(this.bufferSize);
    this.bufferIndex = 0;
  }

  process(
    inputs,
    outputs,
    parameters
  ) {
    const input = inputs[0];
    if (input.length > 0) {
      const inputData = input[0];

      for (let i = 0; i < inputData.length; i++) {
        this.inputBuffer[this.bufferIndex++] = inputData[i];

        if (this.bufferIndex === this.bufferSize) {
          this.port.postMessage(this.inputBuffer);
          this.bufferIndex = 0;
        }
      }
    }

    return true;
  }
}

registerProcessor("audio-processor", AudioProcessor);
`;

// src/new-flow/recorders/ScreenRecorder.ts
var ScreenRecorder = class {
  constructor(options) {
    this.blobs = [];
    this.blobsFinal = [];
    this.options = options;
  }
  setProctoringId(proctoringId2) {
    this.proctoringId = proctoringId2;
    setRecorderProctoringId(proctoringId2);
  }
  async startRecording() {
    this.startTime = new Date(Date.now());
    const { allowOnlyFirstMonitor, allowMultipleMonitors, onStopSharingScreenCallback, onBufferSizeErrorCallback } = this.options;
    const displayMediaStreamConstraints = {
      video: {
        cursor: "always",
        width: 854,
        height: 480,
        displaySurface: "monitor"
      },
      audio: false
    };
    this.screenStream = await navigator.mediaDevices.getDisplayMedia(
      displayMediaStreamConstraints
    );
    const tracks = this.screenStream.getVideoTracks();
    tracks[0].onended = onStopSharingScreenCallback;
    const isFirefox = navigator.userAgent.indexOf("Firefox") > -1;
    if (isFirefox) {
      const hasMultipleMonitors = tracks.find(
        (el) => el.label == ""
      );
      if (hasMultipleMonitors && allowOnlyFirstMonitor || hasMultipleMonitors && !allowMultipleMonitors) {
        throw MULTIPLE_MONITORS_DETECTED;
      }
    }
    const sharedFirstScreen = tracks.find((el) => {
      return ["screen:0:0", "Primary Monitor"].includes(el.label);
    }) != null;
    const sharedScreen = tracks.find((el) => {
      return ["screen:0:0", "Primary Monitor", ""].includes(el.label) || ["screen:"].some((substring) => el.label.includes(substring));
    }) != null;
    const sharedNotAllowed = tracks.find((el) => {
      return ["web-contents-media-stream", "window"].some((substring) => el.label.includes(substring));
    }) != null;
    if (!sharedFirstScreen && allowOnlyFirstMonitor) {
      tracks.forEach((el) => {
        el.stop();
      });
      throw NOT_SHARED_FIRST_SCREEN;
    } else if (!sharedScreen || sharedNotAllowed) {
      tracks.forEach((el) => {
        el.stop();
      });
      throw NOT_SHARED_SCREEN;
    }
    const { startRecording, stopRecording } = recorder(this.screenStream, this.blobs, this.options.onBufferSizeError, onBufferSizeErrorCallback);
    this.recordingStart = startRecording;
    this.recordingStop = stopRecording;
    this.recordingStart();
  }
  async pauseRecording() {
  }
  async resumeRecording() {
  }
  async stopRecording() {
    this.recordingStop && await this.recordingStop();
  }
  async saveOnSession(session) {
    session.addRecording({
      device: "",
      file: new File(this.blobs, `EP_${session.id}_screen_0.webm`, {
        type: "video/webm"
      }),
      origin: "Screen" /* Screen */
    });
  }
};

// src/new-flow/repository/IndexDbSessionRepository.ts
var IndexDbSessionRepository = class {
  constructor(dbName, storeName) {
    this.dbName = "EasyProctorDb";
    this.dbVersion = 2;
    this.storeName = "exams2";
    this.dbName = dbName;
    this.storeName = storeName;
  }
  async save(data) {
    const { transaction, store } = await this.connectToStore("readwrite");
    return this.processRequest(store.put(data), transaction).then(() => {
    });
  }
  async delete(id) {
    const { transaction, store } = await this.connectToStore("readwrite");
    return this.processRequest(store.delete(id), transaction);
  }
  async get(id) {
    const { transaction, store } = await this.connectToStore("readwrite");
    return this.processRequest(
      store.get(id),
      transaction
    ).catch(() => void 0);
  }
  async getDevices(id) {
    const { transaction, store } = await this.connectToStore("readwrite");
    return this.processRequest(
      store.get(id),
      transaction
    ).catch(() => void 0);
  }
  async list() {
    const { transaction, store } = await this.connectToStore("readonly");
    return this.processRequest(store.getAll(), transaction);
  }
  async clear() {
    const { transaction, store } = await this.connectToStore("readwrite");
    return this.processRequest(store.clear(), transaction);
  }
  async processRequest(request, transaction) {
    return new Promise((resolve, reject) => {
      request.onerror = (event) => {
        var _a2;
        reject((_a2 = request.error) == null ? void 0 : _a2.message);
      };
      request.onsuccess = (event) => {
        transaction.commit();
        resolve(request.result);
      };
    });
  }
  async hasSessions() {
    const list = await this.list();
    return list.length > 0;
  }
  async connectToStore(mode) {
    const connection = await this.connect();
    const db = connection.result;
    const transaction = db.transaction(this.storeName, mode);
    const store = transaction.objectStore(this.storeName);
    return { transaction, store };
  }
  async connect() {
    if (this.connection)
      return this.connection;
    return new Promise((resolve, reject) => {
      const request = window.indexedDB.open(this.dbName, this.dbVersion);
      request.onerror = (event) => {
        reject("Can't connect to IndexedDB");
      };
      request.onupgradeneeded = (event) => {
        const db = request.result;
        db.onerror = (event2) => {
        };
        db.createObjectStore(this.storeName, { keyPath: "id" });
      };
      request.onsuccess = (event) => {
        this.connection = request;
        resolve(request);
      };
    });
  }
};

// src/utils/browserInformations.ts
function fnBrowserDetect() {
  const userAgent = navigator.userAgent;
  let browserName;
  if (userAgent.match(/chrome|chromium|crios/i)) {
    browserName = "chrome";
  } else if (userAgent.match(/firefox|fxios/i)) {
    browserName = "firefox";
  } else if (userAgent.match(/safari/i)) {
    browserName = "safari";
  } else if (userAgent.match(/opr\//i)) {
    browserName = "opera";
  } else if (userAgent.match(/edg/i)) {
    browserName = "edge";
  } else {
    browserName = "No browser detection";
  }
  return browserName;
}

// src/utils/geolocation.ts
function getGeolocation() {
  return new Promise((resolve, reject) => {
    window.navigator.geolocation.getCurrentPosition(resolve, reject);
  });
}

// src/utils/verifyVersion.ts
function versionVerify() {
  const agentStr = window.navigator.userAgent.split("SEB/");
  if (agentStr.length > 1)
    return agentStr[1];
  else
    return "1.0.0.0";
}

// src/proctoring/Auth.ts
var Auth = class {
  constructor(cpf, backend) {
    this.cpf = cpf;
    this.backend = backend;
    this.capturePhoto = new CapturePhoto();
  }
  async login() {
    const capture = await this.capturePhoto.takePicture(
      "Login com biometria facial",
      "Encaixe seu rosto no formato e clique no bot\xE3o abaixo",
      { width: 1280, height: 720 }
    );
    this.loading();
    return new Promise((resolve, reject) => {
      this.backend.loginAuth(this.cpf, capture.base64.substr(22, capture.base64.length)).then((resp) => {
        this.token = resp.token;
        const authLoader = document.querySelector("#authLoader");
        authLoader == null ? void 0 : authLoader.remove();
        this.backend.token = this.token;
        resolve(this.token);
      }).catch((e3) => {
        console.log(e3);
        const authLoader = document.querySelector("#authLoader");
        authLoader == null ? void 0 : authLoader.remove();
        reject(e3);
      });
    });
  }
  loading() {
    const fullBg = document.createElement("div");
    fullBg.setAttribute("id", "authLoader");
    fullBg.style.backgroundColor = "rgba(0,0,0,0.4)";
    fullBg.style.zIndex = "1000";
    fullBg.style.position = "fixed";
    fullBg.style.top = "0";
    fullBg.style.left = "0";
    fullBg.style.height = "100vh";
    fullBg.style.width = "100%";
    fullBg.style.display = "flex";
    fullBg.style.alignItems = "center";
    fullBg.style.justifyContent = "center";
    const loader = document.createElement("div");
    loader.setAttribute("class", "loader");
    fullBg.appendChild(loader);
    document.body.appendChild(fullBg);
    const styles = `
            .loader {
                border: 6px solid #f3f3f3;
                border-radius: 50%;
                border-top: 6px solid #16a34a;
                width: 50px;
                height: 50px;
                -webkit-animation: spin 2s linear infinite; /* Safari */
                animation: spin 2s linear infinite;
            }
            
            /* Safari */
            @-webkit-keyframes spin {
                0% { -webkit-transform: rotate(0deg); }
                100% { -webkit-transform: rotate(360deg); }
            }
            
            @keyframes spin {
                0% { transform: rotate(0deg); }
                100% { transform: rotate(360deg); }
            }
        `;
    const styleSheet = document.createElement("style");
    styleSheet.innerHTML = styles;
    document.head.appendChild(styleSheet);
  }
};

// src/proctoring/proctoring.ts
var Proctoring = class {
  constructor(context) {
    this.context = context;
    this.paramsConfig = {
      audioBehaviourParameters: {
        recordingBitrate: 128,
        noiseLimit: 40
      },
      imageBehaviourParameters: {
        frames: 40,
        useUploadImage: true,
        uploadInterval: 20,
        saveVideo: true
      },
      videoBehaviourParameters: {
        detectFace: false,
        detectPerson: false,
        detectCellPhone: false,
        detectNoise: false,
        detectSpeech: false
      }
    };
    this.proctoringId = "";
    this.insights = void 0;
    this.state = "Stop" /* Stop */;
    this.serviceType = "Upload" /* Upload */;
    this.onStopSharingScreenCallback = () => {
    };
    this.onLostFocusCallback = () => {
    };
    this.onFocusCallback = () => {
    };
    this.onChangeDevicesCallback = (devices) => {
      return;
    };
    this.onRealtimeAlertsCallback = (response) => {
      return;
    };
    this.onBufferSizeErrorCallback = (cameraStream) => {
      return;
    };
    var _a2;
    this.backend = new BackendService({
      type: context.type || "prod",
      token: context.token
    });
    this.repository = new IndexDbSessionRepository("EasyProctorDb", "exams2");
    this.repositoryDevices = new IndexDbSessionRepository(
      "EasyProctorDbDevices",
      "devices"
    );
    ((_a2 = this.context.credentials) == null ? void 0 : _a2.cpf) && (this.auth = new Auth(this.context.credentials.cpf, this.backend));
  }
  setOnStopSharingScreenCallback(cb) {
    this.onStopSharingScreenCallback = () => {
      trackers.registerStopSharingScreen(
        this.proctoringId,
        "Stop sharing screen"
      );
      cb();
    };
  }
  setOnLostFocusCallback(cb) {
    this.onLostFocusCallback = () => cb();
  }
  setOnFocusCallback(cb) {
    this.onFocusCallback = () => cb();
  }
  async onChangeDevices(options = {}) {
    const onChange = new onChangeDevices(
      this.repositoryDevices,
      this.proctoringId
    );
    onChange.startRecording(options);
    this.onChangeDevicesCallback = (devices) => options.status && options.status(devices);
  }
  async onRealtimeAlerts(options = {}) {
    this.onRealtimeAlertsCallback = (response) => options.data && options.data(response);
  }
  setOnBufferSizeErrorCallback(cb) {
    this.onBufferSizeErrorCallback = (cameraStream) => cb(cameraStream);
  }
  createRecorders(options = getDefaultProctoringOptions) {
    var _a2, _b;
    this.onChangeDevices();
    const cameraRecorder = new CameraRecorder(
      {
        cameraId: this.sessionOptions.cameraId,
        microphoneId: this.sessionOptions.microphoneId,
        onBufferSizeError: this.sessionOptions.onBufferSizeError,
        onBufferSizeErrorCallback: (cameraStream) => this.onBufferSizeErrorCallback(cameraStream),
        proctoringType: this.sessionOptions.proctoringType,
        onChangeDevicesCallback: (devices) => this.onChangeDevicesCallback(devices),
        onRealtimeAlertsCallback: (response) => this.onRealtimeAlertsCallback(response)
      },
      {
        width: this.videoOptions.width,
        height: this.videoOptions.height,
        minWidth: this.videoOptions.minWidth,
        minHeight: this.videoOptions.minHeight
      },
      this.paramsConfig,
      this.backend,
      this.context.token
    );
    const screenRecorder = this.sessionOptions.captureScreen ? new ScreenRecorder({
      allowOnlyFirstMonitor: (_a2 = this.sessionOptions.allowOnlyFirstMonitor) != null ? _a2 : true,
      allowMultipleMonitors: (_b = this.sessionOptions.allowMultipleMonitors) != null ? _b : true,
      onStopSharingScreenCallback: () => this.onStopSharingScreenCallback(),
      onBufferSizeError: this.sessionOptions.onBufferSizeError,
      onBufferSizeErrorCallback: () => this.onBufferSizeErrorCallback()
    }) : void 0;
    const alertRecorder = new AlertRecorder(
      {
        onFocusCallback: () => this.onFocusCallback(),
        onLostFocusCallback: () => this.onLostFocusCallback()
      },
      options
    );
    const noiseRecorder = new NoiseRecorder(
      options,
      this.proctoringSession,
      this.paramsConfig,
      cameraRecorder,
      (response) => this.onRealtimeAlertsCallback(response),
      this.backend,
      this.context.token
    );
    const recorders = [
      cameraRecorder,
      screenRecorder,
      alertRecorder
    ].filter(Boolean);
    recorders.push(noiseRecorder);
    this.recorder = new ProctoringRecorder(this.proctoringSession, recorders);
    return { cameraRecorder, screenRecorder, alertRecorder, noiseRecorder };
  }
  async login() {
    var _a2;
    if (!((_a2 = this.context.credentials) == null ? void 0 : _a2.cpf))
      throw CREDENTIALS_MISSING;
    this.context.token = await this.auth.login();
  }
  async start(options = getDefaultProctoringOptions, _videoOptions = {}) {
    var _a2;
    try {
      if (this.context.token === void 0) {
        throw TOKEN_MISSING;
      }
      this.extension = new Extension();
      this.extension.addEventListener();
      const baseURL = this.backend.selectBaseUrl(this.context.type);
      const devices = await enumarateDevices();
      await this.repositoryDevices.save({ ...devices, id: "devices" });
      this.sessionOptions = { ...getDefaultProctoringOptions, ...options };
      this.videoOptions = validatePartialVideoOptions(_videoOptions);
      await this.initConfig(options.useGeolocation);
      await this.verifyBrowser();
      this.sessionOptions.captureScreen && await this.verifyMultipleMonitors(this.sessionOptions);
      try {
        if (options == null ? void 0 : options.useSpyScan) {
          await this.spyCam.isAlive();
        }
      } catch (error) {
        throw SPY_SCAN_API_NOT_FOUND;
      }
      if (this.state != "Stop" /* Stop */) {
        throw PROCTORING_ALREADY_STARTED;
      }
      this.state = "Starting" /* Starting */;
      if (await this.repository.hasSessions()) {
        await this.repository.clear();
      }
      this.proctoringSession = new ProctoringSession();
      this.allRecorders = this.createRecorders(this.sessionOptions);
      await this.recorder.startAll();
      const startResponse = await this.backend.confirmStart(
        {
          clientId: this.context.clientId,
          examId: this.context.examId,
          token: this.context.token
        },
        this.sessionOptions.proctoringType,
        this.geolocation ? this.geolocation.coords.latitude : void 0,
        this.geolocation ? this.geolocation.coords.longitude : void 0
      );
      this.proctoringId = startResponse.id;
      this.allRecorders.cameraRecorder.setProctoringId(this.proctoringId);
      this.allRecorders.noiseRecorder.setProctoringId(this.proctoringId);
      this.proctoringSession.setProctoringId(this.proctoringId);
      if (options == null ? void 0 : options.useSpyScan) {
        this.spyCam.setProctoringId(this.proctoringId);
        this.spyCam.startCheckSpyCam((_a2 = this.paramsConfig.spyScanInterval) != null ? _a2 : 5, {
          deviceType: 3 /* POTENCIAL_CAMERA */
        });
      }
      await this.repository.save(this.proctoringSession);
      const _navigator = {};
      for (const i3 in navigator)
        _navigator[i3] = navigator[i3];
      trackers.registerStart(
        this.proctoringId,
        true,
        `Version: ${versionVerify()}
Navigator: ${JSON.stringify(_navigator)}`
      );
      startResponse.cameraStream = this.allRecorders.cameraRecorder.cameraStream;
      if (this.allRecorders.screenRecorder) {
        startResponse.screenStream = this.allRecorders.screenRecorder.screenStream;
      }
      this.state = "Recording" /* Recording */;
      return startResponse;
    } catch (error) {
      await this.cancel();
      this.proctoringId && trackers.registerStart(
        this.proctoringId,
        false,
        `Token: ${this.context.token}
Version: ${versionVerify()}
Navigator: ${navigator}
Error: ${error}`
      );
      this.state = "Stop" /* Stop */;
      throw error;
    }
  }
  async cancel() {
    if (this.state === "Recording" /* Recording */ || this.state === "Starting" /* Starting */) {
      await this.recorder.stopAll();
      this.spyCam && await this.spyCam.stopCheckSpyCam();
    }
    this.state = "Stop" /* Stop */;
  }
  async finish(options = {}) {
    try {
      this.extension.options = options;
      if (this.state !== "Recording" /* Recording */) {
        throw PROCTORING_NOT_STARTED;
      }
      await this.recorder.stopAll();
      this.spyCam && this.spyCam.stopCheckSpyCam();
      await this.recorder.saveAllOnSession();
      await this.repository.save(this.proctoringSession);
      let uploader;
      let uploaderServices;
      if (versionVerify() !== "1.0.0.0") {
        uploader = new ProctoringUploader(
          this.proctoringSession,
          this.proctoringId,
          [new DownloadService(this.proctoringId)]
        );
        uploaderServices = "Download";
        this.serviceType = "Download" /* Download */;
      } else {
        uploader = new ProctoringUploader(
          this.proctoringSession,
          this.proctoringId,
          [
            new UploadService(this.proctoringId, this.backend),
            new DownloadService(this.proctoringId)
          ]
        );
        uploaderServices = "Upload";
        this.serviceType = "Upload" /* Upload */;
      }
      let extensionSuccess = false;
      if (this.extension.hasExtension) {
        await this.extension.start().then((response) => {
          extensionSuccess = response;
        }).catch((error) => {
          extensionSuccess = false;
        });
      }
      if (!extensionSuccess || !this.extension.hasExtension) {
        await uploader.upload(this.context.token, options.onProgress).catch(async (error) => {
          trackers.registerUpload(
            this.proctoringSession.id,
            false,
            `upload error: ${error}

Upload Services: ${uploaderServices}`,
            this.serviceType
          );
          if (versionVerify() !== "1.0.0.0") {
            uploader = new ProctoringUploader(
              this.proctoringSession,
              this.proctoringId,
              [
                new UploadService(this.proctoringId, this.backend),
                new DownloadService(this.proctoringId)
              ]
            );
            uploaderServices = "Upload";
            this.serviceType = "Upload" /* Upload */;
            uploaderServices = "Download";
            this.serviceType = "Download" /* Download */;
            await uploader.upload(this.context.token, options.onProgress).catch((error2) => {
              trackers.registerUpload(
                this.proctoringSession.id,
                false,
                `upload backup error: ${error2}

Upload Services: ${uploaderServices}
Upload backup for Safe Browser`,
                this.serviceType
              );
            });
          }
        });
        trackers.registerUpload(
          this.proctoringSession.id,
          true,
          `upload success

Upload Services: ${uploaderServices}`,
          this.serviceType
        );
      }
      if (this.proctoringSession.alerts.length > 0) {
        await this.backend.saveAlerts(this.context, this.proctoringSession).catch((err) => {
          trackers.registerFinish(
            this.proctoringSession.id,
            false,
            "save-screen error: " + err
          );
        });
      }
      await this.backend.finishAndSendUrls(this.context, this.proctoringSession).then(() => {
        trackers.registerFinish(this.proctoringSession.id, true, "");
      }).catch((error) => {
        trackers.registerFinish(
          this.proctoringSession.id,
          false,
          "finish error: " + error
        );
      });
      this.state = "Stop" /* Stop */;
    } catch (error) {
      await this.cancel();
      trackers.registerFinish(
        this.proctoringId,
        false,
        `Token: ${this.context.token}
Error: ` + error
      );
      this.state = "Stop" /* Stop */;
      throw error;
    }
  }
  async verifyMultipleMonitors(sessionOptions) {
    if (!sessionOptions.allowMultipleMonitors) {
      const hasMultipleMonitors = await checkIfhasMultipleMonitors();
      if (hasMultipleMonitors) {
        trackers.registerError(
          this.proctoringId,
          "Multiplas telas detectadas!"
        );
        throw MULTIPLE_MONITORS_DETECTED;
      }
    }
  }
  async verifyBrowser() {
    const browserName = await fnBrowserDetect();
    if (browserName !== "chrome" && browserName !== "firefox") {
      trackers.registerBrowserNotSupported(
        this.proctoringId,
        `Browser n\xE3o suportado: 
 Tentativa utilizando o browser ${browserName}`
      );
      throw BROWSER_NOT_SUPPORTED;
    }
  }
  async initConfig(useGeolocation) {
    var _a2;
    try {
      const paramsConfig = await this.backend.getParamsConfig(
        this.context
      );
      this.paramsConfig = {
        ...this.paramsConfig,
        ...paramsConfig,
        audioBehaviourParameters: {
          ...this.paramsConfig.audioBehaviourParameters,
          ...paramsConfig.audioBehaviourParameters
        },
        imageBehaviourParameters: {
          ...this.paramsConfig.imageBehaviourParameters,
          ...paramsConfig.imageBehaviourParameters
        },
        videoBehaviourParameters: {
          ...this.paramsConfig.videoBehaviourParameters,
          ...paramsConfig.videoBehaviourParameters
        }
      };
      if (useGeolocation) {
        this.geolocation = await getGeolocation().then((resp) => resp).catch((e3) => {
          throw e3.message;
        });
      }
      init(this.backend);
      if ((_a2 = this.sessionOptions) == null ? void 0 : _a2.useSpyScan) {
        this.spyCam = new SpyCam(this.context, {
          onRealtimeAlertsCallback: (response) => this.onRealtimeAlertsCallback(response)
        });
      }
    } catch (err) {
      this.proctoringId && trackers.registerError(this.proctoringId, "Erro no initConfig!");
      await this.cancel();
      throw err;
    }
  }
  async getServerDate() {
    const serverTime = await this.backend.getServerHour(this.context.token).catch((reason) => {
      trackers.registerError(
        this.proctoringId,
        "N\xE3o foi poss\xEDvel requisitar a data do servidor!"
      );
      return void 0;
    });
    const serverDate = serverTime ? new Date(serverTime.toString()) : new Date();
    return serverDate;
  }
  async pause() {
    if (this.state !== "Recording" /* Recording */) {
      trackers.registerError(this.proctoringId, "Proctoring n\xE3o iniciado!");
      throw PROCTORING_NOT_STARTED;
    }
    await this.recorder.stopAll();
    await this.recorder.saveAllOnSession();
    await this.repository.save(this.proctoringSession);
    this.state = "Paused" /* Paused */;
  }
  async resume() {
    var _a2;
    if (this.state != "Paused" /* Paused */) {
      throw PROCTORING_NOT_STARTED;
    }
    await this.verifyBrowser();
    await this.verifyMultipleMonitors(this.sessionOptions);
    await this.recorder.startAll();
    this.proctoringSession.recordings = [];
    await this.repository.save(this.proctoringSession);
    this.state = "Recording" /* Recording */;
    return {
      cameraStream: this.allRecorders.cameraRecorder.cameraStream,
      _screenStream: (_a2 = this.allRecorders.screenRecorder) == null ? void 0 : _a2.screenStream
    };
  }
};

// src/proctoring/SignTerm.ts
var _SignTerm = class {
  constructor(context) {
    this.backend = new BackendService({
      type: (context == null ? void 0 : context.type) || "prod",
      token: context.token
    });
  }
  async signInTerms() {
    if (_SignTerm.isModalOpen) {
      return Promise.reject();
    }
    _SignTerm.isModalOpen = true;
    try {
      const response = await this.openModal();
      return new Promise((resolve) => {
        resolve(response);
      });
    } catch (error) {
      this.closeModal();
      return Promise.reject(error);
    }
  }
  openModal() {
    return new Promise((resolve, reject) => {
      const fullBg = document.createElement("div");
      fullBg.setAttribute("id", "signTermModal");
      const fullBgStyles = {
        backgroundColor: "rgba(0,0,0,0.4)",
        zIndex: "1000",
        position: "fixed",
        top: "0",
        left: "0",
        height: "100vh",
        width: "100%",
        display: "flex",
        alignItems: "center",
        justifyContent: "center"
      };
      this.applyStyles(fullBg, fullBgStyles);
      const modal = document.createElement("div");
      const modalStyles = {
        backgroundColor: "#fff",
        zIndex: "1001",
        width: "850px",
        maxHeight: "95%",
        borderRadius: "10px",
        display: "flex",
        flexDirection: "column",
        alignItems: "center"
      };
      this.applyStyles(modal, modalStyles);
      const h3 = document.createElement("h3");
      h3.innerText = "Termo de consentimento para coleta e uso de dados";
      const h3Styles = {
        color: "rgba(0, 0, 0, .7)",
        fontWeight: "bold",
        fontSize: "20px",
        marginBottom: "15px",
        padding: "20px 0px",
        borderBottom: "2px solid rgba(0, 0, 0, .1)",
        width: "100%",
        textAlign: "center"
      };
      this.applyStyles(h3, h3Styles);
      modal.appendChild(h3);
      const docEmbed = document.createElement("iframe");
      const defaultUrl = "https://docs.google.com/document/u/3/d/e/2PACX-1vRMgrLhDLyDP8BHmotfPDpwAFaDHqK-mA4eBJ0Cy1mDdvHcWLsx47H4otII_4qi4rhtSf6B0OO97e9c/pub";
      this.backend.signTermUrl().then((response) => {
        if (!response)
          throw new Error("N\xE3o foi poss\xEDvel obter o termo de consentimento");
        docEmbed.setAttribute("src", response);
      }).catch(() => {
        docEmbed.setAttribute("src", defaultUrl);
      });
      const docEmbedStyles = {
        width: "100%",
        height: "500px",
        border: "1px solid rgba(0, 0, 0, .1)",
        margin: "20px",
        borderRadius: "5px"
      };
      this.applyStyles(docEmbed, docEmbedStyles);
      modal.appendChild(docEmbed);
      const checkboxContainer = document.createElement("div");
      const checkbox = document.createElement("input");
      checkbox.setAttribute("type", "checkbox");
      checkbox.setAttribute("id", "termsCheckbox");
      const checkboxLabel = document.createElement("label");
      checkboxLabel.setAttribute("for", "termsCheckbox");
      checkboxLabel.innerText = "Li e aceito os termos e condi\xE7\xF5es";
      const checkboxContainerStyles = {
        display: "flex",
        alignItems: "center",
        gap: "10px",
        margin: "20px",
        width: "100%",
        paddingLeft: "20px"
      };
      this.applyStyles(checkboxContainer, checkboxContainerStyles);
      checkboxContainer.appendChild(checkbox);
      checkboxContainer.appendChild(checkboxLabel);
      modal.appendChild(checkboxContainer);
      const divBtn = document.createElement("div");
      const divBtnStyles = {
        width: "100%",
        display: "flex",
        alignItems: "center",
        justifyContent: "center",
        borderTop: "2px solid rgba(0, 0, 0, .1)"
      };
      this.applyStyles(divBtn, divBtnStyles);
      const buttonCancel = document.createElement("button");
      buttonCancel.innerText = "Cancelar";
      const buttonCancelStyles = {
        width: "100%",
        height: "70px",
        backgroundColor: "#FFF",
        border: "none",
        color: "rgba(0, 0, 0, .7)",
        fontWeight: "bold",
        borderRadius: "10px",
        paddingTop: "5px",
        paddingBottom: "5px"
      };
      this.applyStyles(buttonCancel, buttonCancelStyles);
      buttonCancel.addEventListener("click", () => {
        this.closeModal();
        resolve(false);
      });
      const divider = document.createElement("span");
      const dividerStyles = {
        width: "3px",
        height: "70px",
        margin: "0px 2px",
        background: "rgba(0, 0, 0, .1)"
      };
      this.applyStyles(divider, dividerStyles);
      const button = document.createElement("button");
      button.innerText = "Continuar";
      button.setAttribute("id", "confirmBtn");
      const buttonStyles = {
        width: "100%",
        height: "70px",
        backgroundColor: "#FFF",
        border: "none",
        color: "rgba(0, 0, 0, .7)",
        fontWeight: "bold",
        borderRadius: "10px",
        paddingTop: "5px",
        paddingBottom: "5px",
        disabled: true,
        cursor: "not-allowed"
      };
      this.applyStyles(button, buttonStyles);
      button.disabled = true;
      button.addEventListener("click", () => {
        this.closeModal();
        this.backend.signTerm().then(() => {
          resolve(true);
        });
      });
      checkbox.addEventListener("change", (e3) => {
        button.disabled = !e3.target.checked;
        if (e3.target.checked) {
          button.style.color = "#007bff";
          button.style.cursor = "pointer";
        } else {
          button.style.color = "rgba(0, 0, 0, .7)";
          button.style.cursor = "not-allowed";
        }
      });
      divBtn.appendChild(buttonCancel);
      divBtn.appendChild(divider);
      divBtn.appendChild(button);
      modal.appendChild(divBtn);
      fullBg.appendChild(modal);
      document.body.appendChild(fullBg);
    });
  }
  async closeModal() {
    _SignTerm.isModalOpen = false;
    const signTermModal = document.querySelector("#signTermModal");
    signTermModal == null ? void 0 : signTermModal.remove();
  }
  applyStyles(element, styles) {
    for (const [property, value] of Object.entries(styles)) {
      element.style[property] = value;
    }
  }
};
var SignTerm = _SignTerm;
SignTerm.isModalOpen = false;

// src/proctoring/useProctoring.ts
function useProctoring(proctoringOptions, enviromentConfig = "prod") {
  if (!proctoringOptions.showConsole) {
    console.log = () => {
    };
    console.warn = () => {
    };
    console.error = () => {
    };
  }
  const parameters = {
    type: enviromentConfig,
    clientId: proctoringOptions.clientId,
    examId: proctoringOptions.examId,
    token: proctoringOptions.token,
    credentials: proctoringOptions.credentials,
    showConsole: proctoringOptions.showConsole
  };
  const proctoring = new Proctoring(parameters);
  const checker = new DeviceCheckerService(parameters);
  const signTerm = new SignTerm(parameters);
  const photo = new CapturePhoto();
  const login = proctoring.login.bind(proctoring);
  const start = proctoring.start.bind(proctoring);
  const finish = proctoring.finish.bind(proctoring);
  const pause = proctoring.pause.bind(proctoring);
  const resume = proctoring.resume.bind(proctoring);
  const onFocus = proctoring.setOnFocusCallback.bind(proctoring);
  const onLostFocus = proctoring.setOnLostFocusCallback.bind(proctoring);
  const onChangeDevices2 = proctoring.onChangeDevices.bind(proctoring);
  const onBufferSizeError = proctoring.setOnBufferSizeErrorCallback.bind(proctoring);
  const onStopSharingScreen = proctoring.setOnStopSharingScreenCallback.bind(proctoring);
  const onRealtimeAlerts = proctoring.onRealtimeAlerts.bind(proctoring);
  const signInTerms = signTerm.signInTerms.bind(signTerm);
  const checkDevices = checker.checkDevices.bind(checker);
  const runCheckDevicesFlow = checker.runCheckDevicesFlow.bind(checker);
  const changeSelectedDevice = checker.changeSelectedDevice.bind(checker);
  const capturePhoto = photo.takePicture.bind(photo);
  return {
    login,
    start,
    finish,
    onFocus,
    onLostFocus,
    onChangeDevices: onChangeDevices2,
    onBufferSizeError,
    onRealtimeAlerts,
    checkDevices,
    runCheckDevicesFlow,
    changeSelectedDevice,
    capturePhoto,
    enumarateDevices,
    checkPermissions,
    checkIfhasMultipleMonitors,
    onStopSharingScreen,
    signInTerms
  };
}

// src/index.ts
if (typeof window !== "undefined") {
  window.useProctoring = useProctoring;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  useProctoring
});
/*!
 * mime-db
 * Copyright(c) 2014 Jonathan Ong
 * Copyright(c) 2015-2022 Douglas Christopher Wilson
 * MIT Licensed
 */
/*!
 * mime-types
 * Copyright(c) 2014 Jonathan Ong
 * Copyright(c) 2015 Douglas Christopher Wilson
 * MIT Licensed
 */
